<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript">
<% websIncludeFile("comm/jdefines.js"); %>
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("opmode"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var opmode = "<% getCfgZero(1, "OperationMode"); %>";
var radio_off = '<% getCfgZero(1, "RadioOff"); %>';
var omtopb = "<% getOpmodeTopologyBuilt(); %>";

document.title = vendor+" "+model+" - "+(mOMode);

function initValue()
{
	var brb = "<% getBridgeBuilt(); %>";
	var gwb = "<% getGWBuilt(); %>";
	var apcli = "<% getWlanApcliBuilt(); %>";
	var sta = "<% getStationBuilt(); %>";
	var dpb = "<% getDpbSta(); %>";
	var b3g = "<% get3GBuilt(); %>";

	if (brb == "0") {
		document.getElementById("brRow").style.visibility = "hidden";
		document.getElementById("brRow").style.display = "none";
	}
	if (gwb == "0") {
		document.getElementById("gwRow").style.visibility = "hidden";
		document.getElementById("gwRow").style.display = "none";
	}
	if (sta == "0") {
		document.getElementById("ethConRow").style.visibility = "hidden";
		document.getElementById("ethConRow").style.display = "none";
		document.getElementById("brConRow").style.visibility = "hidden";
		document.getElementById("brConRow").style.display = "none";
	}
	else if (brb == "0") {
		document.getElementById("brConRow").style.visibility = "hidden";
		document.getElementById("brConRow").style.display = "none";
	}
	if (apcli == "0") {
		document.getElementById("apcliRow").style.visibility = "hidden";
		document.getElementById("apcliRow").style.display = "none";
		document.getElementById("apcliBRow").style.visibility = "hidden";
		document.getElementById("apcliBRow").style.display = "none";
	}
	else if (brb == "0") {
		document.getElementById("apcliBRow").style.visibility = "hidden";
		document.getElementById("apcliBRow").style.display = "none";
	}
	if (b3g == "0") {
		document.getElementById("3gRow").style.visibility = "hidden";
		document.getElementById("3gRow").style.display = "none";
	}

	document.opmode.opMode[1*opmode].checked = true;
	onModeChange();
}

function showTable(id, show)
{
	if (show) {
		document.getElementById(id).style.visibility = "visible";
		document.getElementById(id).style.display = "";
	}
	else {
		document.getElementById(id).style.visibility = "hidden";
		document.getElementById(id).style.display = "none";
	}
}

function onModeChange()
{
	showTable("div_opmode_ap", 0);
	showTable("div_opmode_router", 0);
	showTable("div_opmode_converter", 0);
	showTable("div_opmode_repeater", 0);
	showTable("div_opmode_wisp", 0);

	if (omtopb == "0")
		return;

	if (document.opmode.opMode[0].checked == true) {
		showTable("div_opmode_ap", 1);
	}
	else if (document.opmode.opMode[1].checked == true) {
		showTable("div_opmode_router", 1);
	}
	else if (document.opmode.opMode[2].checked == true) {
		showTable("div_opmode_converter", 1);
	}
	else if (document.opmode.opMode[3].checked == true) {
		showTable("div_opmode_wisp", 1);
	}
	else if (document.opmode.opMode[4].checked == true) {
	}
	else if (document.opmode.opMode[5].checked == true) {
	}
	else if (document.opmode.opMode[6].checked == true) {
		showTable("div_opmode_repeater", 1);
	}
}

function modeChange()
{
	var dhcpEnbl = "<% getCfgGeneral(1, "dhcpEnabled"); %>";
	var newmode;
	if (document.opmode.opMode[0].checked == true)
		newmode = OPMODE_BRIDGE;
	else if (document.opmode.opMode[1].checked == true)
		newmode = OPMODE_GATEWAY;
	else if (document.opmode.opMode[2].checked == true)
		newmode = OPMODE_ETH_CONVERTER;
	else if (document.opmode.opMode[3].checked == true)
		newmode = OPMODE_APCLI;
	else if (document.opmode.opMode[4].checked == true)
		newmode = OPMODE_BRIDGE_CONVERTER;
	else if (document.opmode.opMode[5].checked == true)
		newmode = OPMODE_3G_GATEWAY;
	else if (document.opmode.opMode[6].checked == true)
		newmode = OPMODE_BRIDGE_APCLI;

	if (newmode == opmode) {
		alert((mAlertUnchanged));
		return false;
	}

	if (newmode == OPMODE_BRIDGE || newmode == OPMODE_BRIDGE_CONVERTER || newmode == OPMODE_BRIDGE_APCLI) {
		if (newmode == OPMODE_BRIDGE_CONVERTER) {
			if (!confirm((mAlertBridgeE)))
				return false;
			if (radio_off == '1')
				alert(mAlertRadioOff);
			document.opmode.nextPage.value = "/station/basic_sta.asp";
		}
		else if (newmode == OPMODE_BRIDGE_APCLI) {
			if (!confirm((mAlertBridgeA)))
				return false;
			if (radio_off == '1')
				alert(mAlertRadioOff);
			document.opmode.nextPage.value = "/wireless/apcli.asp";
		}
		else {
			if (!confirm((mAlertBridge)))
				return false;
			document.opmode.nextPage.value = "/";
		}

		if (dhcpEnbl == "1") {
			if (confirm(mAlertDhcpDisable))
				document.opmode.dhcpEnbl.value = "0";
		}
		return true;
	}
	else {
		if (newmode == OPMODE_GATEWAY) {
			if (!confirm((mAlertGateway)))
				return false;
			document.opmode.nextPage.value = "/internet/wan.asp";
		}
		else if (newmode == OPMODE_ETH_CONVERTER) {
			if (!confirm((mAlertEthconv)))
				return false;
			if (radio_off == '1')
				alert(mAlertRadioOff);
			document.opmode.nextPage.value = "/station/basic_sta.asp";
		}
		else if (newmode == OPMODE_APCLI) {
			if (!confirm((mAlertApcli)))
				return false;
			if (radio_off == '1')
				alert(mAlertRadioOff);
			document.opmode.nextPage.value = "/wireless/apcli.asp";
		}
		else if (newmode == OPMODE_3G_GATEWAY) {
			if (!confirm((mAlert3G)))
				return false;
			document.opmode.nextPage.value = "/internet/wan.asp";
		}

		if (dhcpEnbl == "0") {
			if (confirm(mAlertDhcpEnable))
				document.opmode.dhcpEnbl.value = "1";
		}
		return true;
	}
}

</script>
</head>

<body onLoad="initValue();">

<div class="body_div">

<script language="javascript" type="text/javascript" >
	writeHead(lang, ver, "adm", "opmode");
</script>     
 
<table class="body" cellSpacing="0" cellPadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
    <td class="navi" valign="top">
      <script>writeNavi(lang, ver, "adm", "opmode");</script>
    </td>
    <td class="left" align="center" valign="top">
  	<br />
	<form method="post" name="opmode" action="/goform/setOpMode">
	<input type="hidden" name="nextPage" value="/adm/opmode.asp">
	<input type="hidden" name="dhcpEnbl" value="<% getCfgGeneral(1, "dhcpEnabled"); %>">
    <fieldset align="center" style="width:80%;"> 
    	<legend><script>putmsg(mOTitle);</script></legend> 

	<table align="center" class="content" cellpadding="3" cellspacing="0" width="90%" >
        <tr>
          <td colspan="2">&nbsp;</td>
        </tr>
	<tr id="brRow">
	  <td width="140" valign="top"><input type="radio" name="opMode" id="opMode" value="0" onClick="onModeChange();"><b><script>putmsg(mOModeB);</script></b></td>
	  <td><script>putmsg(mOModeBIntro);</script></td>
	</tr>
	<tr id="gwRow">
	  <td width="140" valign="top"><input type="radio" name="opMode" id="opMode" value="1" onClick="onModeChange();"><b><script>putmsg(mOModeG);</script></b></td>
	  <td><script>putmsg(mOModeGIntro);</script></td>
	</tr>
	<tr id="ethConRow">
	  <td width="140" valign="top"><input type="radio" name="opMode" id="opMode" value="2" onClick="onModeChange();"><b><script>putmsg(mOModeE);</script></b></td>
	  <td><script>putmsg(mOModeEIntro);</script></td>
	</tr>
	<tr id="apcliRow">
	  <td width="140" valign="top"><input type="radio" name="opMode" id="opMode" value="3" onClick="onModeChange();"><b><script>putmsg(mOModeA);</script></b></td>
	  <td><script>putmsg(mOModeAIntro);</script></td>
	</tr>
	<tr id="brConRow" style="display:none;visibility:hidden;">
	  <td width="140" valign="top"><input type="radio" name="opMode" id="opMode" value="4" onClick="onModeChange();"><b><script>putmsg(mOModeBE);</script></b></td>
	  <td><script>putmsg(mOModeBEIntro);</script></td>
	</tr>
	<tr id="3gRow">
	  <td width="140" valign="top"><input type="radio" name="opMode" id="opMode" value="5" onClick="onModeChange();"><b><script>putmsg(mOModeT);</script></b></td>
	  <td><script>putmsg(mOModeTIntro);</script></td>
	</tr>
	<tr id="apcliBRow">
	  <td width="140" valign="top"><input type="radio" name="opMode" id="opMode" value="6" onClick="onModeChange();"><b><script>putmsg(mOModeBA);</script></b></td>
	  <td><script>putmsg(mOModeBAIntro);</script></td>
	</tr>
	<tr><td colspan="2"><hr /></td></tr>
	<tr><td colspan="2" align="center">
	  <table id="div_opmode_ap">
	  <tr><td><img src="/graphics/omap.png" width="480"></td></tr>
	  </table>
	  <table id="div_opmode_router">
	  <tr><td><img src="/graphics/omrouter.png" width="480"></td></tr>
	  </table>
	  <table id="div_opmode_converter">
	  <tr><td><img src="/graphics/omconverter.png" width="480"></td></tr>
	  </table>
	  <table id="div_opmode_repeater">
	  <tr><td><img src="/graphics/omrepeater.png" width="480"></td></tr>
	  </table>
	  <table id="div_opmode_wisp">
	  <tr><td><img src="/graphics/omwisp.png" width="480"></td></tr>
	  </table>
	</td></tr>
	<tr>
	  <td align="center" colspan="2"><br />
		<script>
			document.writeln("<input type='submit' class='button' name='apply' value='"+mBtnApply+"' onClick=\"return modeChange();\">&nbsp;&nbsp;");
			document.writeln("<input type='reset' class='button' name='cancel' value='"+mBtnCancel+"' onClick=\"window.location.reload();\">");
		</script>
	  </td>
	</tr>
	</table>
	<br /><br />

	</fieldset>
	</form>
	<br /><br />

    </td>

    <td class="help">
       <table class="help" cellPadding="3" cellSpacing="0">
	<tr id="helpHead"><td class="helpMenu"><script>putmsg(mHelp);</script></td></tr>
        <tr><td class="help-item"><script>putmsg(mOMode);</script></td></tr>
        <tr><td><script>putmsg(mOModeIntro);</script></td></tr>
	</table>
    </td>
    <td class="right-blank">&nbsp;</td>
</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 

</div>
</body>
</html>

