<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>
   
<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("reboot"); %>

<% getWebsNoClick(); %>

var lang = "<% getCfgGeneral(1, "Language"); %>";
var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var opmode = '<% getCfgZero(1, "OperationMode"); %>';

var autoUpgradeBuilt = '<% getAutoUpgradeBuilt(); %>';
var hwNatBuilt = '<% getHwNatBuilt(); %>';
var longLoopBuilt = '<% getLongLoopBuilt(); %>';
var dataPartBuilt = '<% getDataPartBuilt(); %>';

document.title = vendor+" "+model+" - "+(mRebootTitle);

function initValue() {
	if (autoUpgradeBuilt == "1") {
		var autoUpgrade = "<% getCfgZero(1, "autoUpgrade"); %>";
		document.getElementById("tr_auto_upgrade").style.visibility = "visible";
		document.getElementById("tr_auto_upgrade").style.display = style_display_on();
		document.sysReboot.autoUpgrade.options.selectedIndex = autoUpgrade*1;
	}

	if (hwNatBuilt == "1") {
		var hwnatEnabled = "<% getCfgZero(1, "hwnatEnabled"); %>";
		document.getElementById("tr_hw_nat").style.visibility = "visible";
		document.getElementById("tr_hw_nat").style.display = style_display_on();
		document.sysReboot.hw_nat.options.selectedIndex = hwnatEnabled*1;
	}
	if (longLoopBuilt == "1") {
		var longloopMode = "<% getCfgZero(1, "longloopMode"); %>";
		document.getElementById("tr_long_loop").style.visibility = "visible";
		document.getElementById("tr_long_loop").style.display = style_display_on();
		document.sysReboot.long_loop.options.selectedIndex = longloopMode*1;
	}
	if (dataPartBuilt == "1") {
		var dataPartFormat = "<% getCfgZero(1, "dataPartFormat"); %>";
		document.getElementById("tr_data_part").style.visibility = "visible";
		document.getElementById("tr_data_part").style.display = style_display_on();
		document.sysReboot.data_part.options.selectedIndex = dataPartFormat*1;
	}
}

function showConfirm(){
	var ret = confirm(mConfirmReboot);
	if(!ret)
		return false;
	else
		return true;
}

</script>

</head>

<body onLoad='initValue();'>

<div class="body_div">

<script language="javascript" type="text/javascript" >
	writeHead(lang, ver, "adm", "reboot");
</script>     
         
<table class="body" cellSpacing="0" cellPadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
    <td class="navi" valign="top">
      <script>writeNavi(lang, ver, "adm", "reboot");</script>
    </td>
    <td class="left" align="center" valign="top">
  	<br />
	<form method="post" name="sysReboot" action="/goform/sysReboot">
  	<fieldset align="center" style="width:80%;"> 
    	<legend><script>putmsg(mRebootTitle);</script></legend>  

        <input type="hidden" name="dummy" value="1">
      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	<tr><td>&nbsp;</td><td>&nbsp;</td></tr>
	<tr id="tr_auto_upgrade" style="display:none;visibility:hidden;">
		<td class="head" width="40%"><script>putmsg(mAutoUpgrade);</script>:</td>
		<td>
		<select name="autoUpgrade" size="1">
			<option value="0"><script>putmsg(mRadioDisable);</script></option>
			<option value="1"><script>putmsg(mRadioEnable);</script></option>
		</select>
		</td>
	</tr>
	<tr id="tr_hw_nat" style="display:none;visibility:hidden;">
		<td class="head" width="40%"><script>putmsg(mHwNat);</script>:</td>
		<td>
		<select name="hw_nat" size="1">
			<option value="0"><script>putmsg(mRadioDisable);</script></option>
			<option value="1"><script>putmsg(mRadioEnable);</script></option>
		</select>
		</td>
	</tr>
	<tr id="tr_long_loop" style="display:none;visibility:hidden;">
		<td class="head" width="40%"><script>putmsg(mLongLoop);</script>:</td>
		<td>
		<select name="long_loop" size="1">
			<option value="0"><script>putmsg(mRadioDisable);</script></option>
			<option value="1"><script>putmsg("100Mbps + 100Mbps + 10Mbps");</script></option>
			<option value="2"><script>putmsg("100Mbps + 100Mbps");</script></option>
			<option value="3"><script>putmsg("100Mbps + 10Mbps");</script></option>
		</select>
		</td>
	</tr>
	<tr id="tr_data_part" style="display:none;visibility:hidden;">
		<td class="head" width="40%"><script>putmsg(mDataPart);</script>:</td>
		<td>
		<select name="data_part" size="1">
			<option value="0"><script>putmsg(mRadioDisable);</script></option>
			<option value="1"><script>putmsg(mRadioEnable);</script></option>
		</select>
		</td>
	</tr>
        <tr>
        <td colspan="2" align="center">
		<script>
			document.writeln("<input type='submit' class='button' value='"+mBtnReboot+"' onClick=\"return showConfirm();\">");
		</script>
         </td>
        </tr>
        </table>
	 <br />
	</fieldset>
	<br />
	</form>
    </td>

    <td class="help">
       <table class="help" cellPadding="3" cellSpacing="0">
	<tr id="helpHead"><td class="helpMenu"><script>putmsg(mHelp);</script></td></tr>
        <tr><td class="help-item"><script>putmsg(mRebootTitle);</script></td></tr>
	<tr><td><script>putmsg(mIntroReboot);</script></td></tr>
	</table>
    </td>
    <td class="right-blank">&nbsp;</td>
</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 
       
</div> 
</body>
</html>

