<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("inet"); %>
<% websIncludeLang("wol"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var opmode = '<% getCfgZero(1, "OperationMode"); %>';

var dhcpCliStr = "<% getDhcpCliList(1); %>";
var arpStr = "<% getArpList(0); %>";
//var arpStr = "192.168.9.100,00:24:21:E2:BF:5C,1;192.168.9.101,00:26:18:02:6F:C5,1;192.168.9.102,00:24:21:E2:EF:FF,1";
var wolListStr = "<% getCfgGeneral(1, "wolListStr"); %>";
var arpMaxNum = 0;
var wolMaxNum = 50;
var wolCurNum = 0;

document.title = vendor+" "+model+" - "+(mWolTitle);

function addMac()
{
	var i;
	var j = 0;
	var wolIdx = wolCurNum;
	var arpList = new Array();
	var wolList = new Array();

	disabelCheckBox("wolEnbl_", wolCurNum);
	arpList = arpStr.split(";");
	getWolList(0);
	btnWolStr = document.getElementById("btnWolStr").value;
	
	//alert("arpMaxNum:"+arpMaxNum);
	for (i = 0; i < arpMaxNum; i++) 
	{
		var wolChkIdx = -1;
		if(document.getElementById("arpEnbl_"+i).checked == true)
		{
			var entry = new Array();
			var wolentry = new Array();
			var foundFlag = 0;

			entry = arpList[i].split(",");
			//alert(arpList[i]);
			//alert(btnWolStr);
			if(btnWolStr != "")
			{
				wolList = btnWolStr.split(";");

				//update the same mac
				for(wolChkIdx = 0; wolChkIdx < wolList.length; wolChkIdx++)
				{
					wolentry = wolList[wolChkIdx].split(",");

					if( wolentry[1] == entry[1] )
					{
						wolentry[0] = entry[0];
						foundFlag = 1;
						break;
					}
				}
				//insert a new line
				if(foundFlag == 0)
				{
					btnWolStr += ";"+arpList[i];
				}
			}
			else
				btnWolStr = arpList[i];
		}
		else
			j++;
	}
	if (j == arpMaxNum)
	{
		alert(mAlertSelectAdd);
	}
	//alert(btnWolStr);
	document.getElementById("btnWolStr").value = btnWolStr;
	showWolList();
}

function delWol()
{
	var i,count = 0;
	var tmpBtnWolStr = "";
	var wolList = new Array();
	
	getWolList(0);
	//alert("btnWolStr:"+btnWolStr);
	wolList = btnWolStr.split(";");
	
	for (i = 0; i < wolCurNum; i++) 
	{
		//if checkbox is selected,get the line from arpList
		if(document.getElementById("wolEnbl_"+i).checked == false)
		{
			count++;
			if(tmpBtnWolStr == "")
				tmpBtnWolStr =  wolList[i];
			else
				tmpBtnWolStr  +=  ";"+wolList[i];
		}
	} 
	if (count == wolCurNum)
	{
		alert(mAlerSelecttDel);
	}
	//reset the wol list
	document.getElementById("btnWolStr").value = tmpBtnWolStr;
	wolCurNum = count;
	//alert("wolCurNum:"+wolCurNum);
	showWolList();
}

function showWolList()
{
	var i;
	var wolList = new Array();
	
	hiddenAll();
	btnWolStr = document.getElementById("btnWolStr").value;
	//alert("btnWolStr:"+btnWolStr);
	
	if(btnWolStr == "")
		return ;

	wolList = btnWolStr.split(";");
	wolCurNum = wolList.length;
	disabelCheckBox("wolEnbl_",wolCurNum);

	for (i = 0; i < wolList.length; i++) 
	{
		var entry = new Array();

		entry = wolList[i].split(",");
		//insert a new line
		showTR(i);
		document.getElementById("wolId"+i).innerHTML = i+1; 
		document.getElementById("wolMac"+i).innerHTML = entry[1];
		document.getElementById("wolIp"+i).innerHTML = entry[0];
	}
}
function getWolList(action)
{
	var i,count = 0;
	var e = document.getElementById("btnWolStr");

	//first clear the wolStr
	e.value = "";

	if(action == 0)
		document.getElementById("act").value = "save";
	else if(action == 1)
		document.getElementById("act").value = "wol";
		
	//alert("wolCurNum:"+wolCurNum);
	for (i = 0; i < wolCurNum; i++) 
	{
		//if checkbox is selected,get the line from arpList
		if(e.value == "")
		{
			e.value = document.getElementById("wolIp"+i).innerHTML;
			e.value += ","+document.getElementById("wolMac"+i).innerHTML;

			if(document.getElementById("wolEnbl_"+i).checked == true)
				e.value += ",1";
			else 
				e.value += ",0";
		}
		else
		{
			e.value += ";"+document.getElementById("wolIp"+i).innerHTML;
			e.value += ","+document.getElementById("wolMac"+i).innerHTML;

			if(document.getElementById("wolEnbl_"+i).checked == true)
				e.value += ",1";
			else 
				e.value += ",0";
		}
	}
	
	if(e.value == "" && action == "wol")
		return false;

	return true;
}

function hiddenAll()
{
	var i;

	for (i = 0; i < wolMaxNum; i++)
	{
		document.getElementById("wolListTR"+i).style.visibility = "hidden";
		document.getElementById("wolListTR"+i).style.display = "none";
	}
	
}

function showTR(idx)
{

	document.getElementById("wolListTR"+idx).style.visibility = "visible";
	document.getElementById("wolListTR"+idx).style.display = style_display_on();
}

function enblCheckBox(prefix,max_num)
{
	var i;

	for(i = 0;i<max_num;i++)
	{
		document.getElementById(prefix+i).checked = true;
	}
}

function disabelCheckBox(prefix,max_num)
{
	var i;
	
	for(i = 0;i<max_num;i++)
	{
		document.getElementById(prefix+i).checked = false;
	}
}

function changeCheckBox()
{
	if(document.getElementById("arpEnbl_all").checked == true)
		enblCheckBox("arpEnbl_", arpMaxNum);
	else
		disabelCheckBox("arpEnbl_", arpMaxNum);

	if(document.getElementById("wolEnbl_all").checked == true)
		enblCheckBox("wolEnbl_", wolCurNum);
	else
		disabelCheckBox("wolEnbl_", wolCurNum);
}

function initWol()
{
	var i;
	var wolList = new Array();

	if(wolListStr == "")
		return ;

	wolList = wolListStr.split(";");
	//alert(wolListStr);
	if(wolList.length > 0)
		wolCurNum = wolList.length;

	for (i = 0; i < wolList.length; i++) 
	{
		var entry = new Array();

		entry = wolList[i].split(",");
		showTR(i);
		//insert a new line
		document.getElementById("wolId"+i).innerHTML = i+1; 
		document.getElementById("wolMac"+i).innerHTML = entry[1];
		document.getElementById("wolIp"+i).innerHTML = entry[0];
	}
}

function initValue()
{
	document.getElementById("btnWolStr").value = wolListStr;
	showWolList();
}

function checkValue()
{
	var i,count = 0;
	if (wolCurNum == 0)
	{
		alert(mAlertEmpty);
	}
	else if(wolCurNum > 0)
	{
		for (i = 0; i < wolCurNum; i++)
		{
			if(document.getElementById("wolEnbl_"+i).checked == false)
				count++;
		}
		if(count == wolCurNum)
			alert(mAlertSelectWake);
	}
}	
</script>

</head>

<body onLoad="initValue();">

<div class="body_div">

<script language="javascript" type="text/javascript" >
	writeHead(lang, ver, "adm", "wol");
</script>                  
      
<table class="body" cellSpacing="0" cellPadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
    <td class="navi" valign="top">
      <script>writeNavi(lang, ver, "adm", "wol");</script>
    </td>
    <td class="left" align="center" valign="top">
    <br />

	<form method="post" name="adm_arp" action="/goform/WOL">
	<fieldset align="center" style="width:80%;">
	<legend><script>putmsg(mArpList);</script></legend>
	<br /><br />
	<table align="center" class="content" width="90%" cellspacing="1" cellpadding="3">
	  <tr>
	    <td class="headLine" align="center"><script>putmsg(mIndex);</script></td>
	    <td class="headLine" align="center"><script>putmsg(mInetMac);</script></td>
	    <td class="headLine" align="center"><script>putmsg(mInetIp);</script></td>
	    <td class="headLine" align="center" id="enable">
		<script>putmsg(mBtnAdd);</script>&nbsp;
		<input type="checkbox" id="arpEnbl_all" name="arpEnbl_all" onClick="changeCheckBox();">&nbsp;
	    </td>
	  </tr>
	<script language="javascript" type="text/javascript">
		var i, j=0;
		var arpList = new Array();

		arpList = arpStr.split(";");
		arpMaxNum = arpList.length;

		for (i=0; i<arpList.length; i++) 
		{
			var entry = new Array();

			entry = arpList[i].split(",");
			if (entry.length == 3) 
			{
				if (j%2)
					document.writeln("<tr bgcolor=\""+listBg+"\">");
				else
					document.writeln("<tr>");
				document.writeln("<td align=\"center\" id=\"arpId"+i+"\">"+(i+1)+"</td>");	
				document.writeln("<td align=\"center\" id=\"arpMac"+i+"\">"+entry[1]+"</td>");	
				document.writeln("<td align=\"center\" id=\"arpIp"+i+"\">"+entry[0]+"</td>");	
				document.writeln("<td align=\"center\"><input type=\"checkbox\" id=\"arpEnbl_"+i+"\" name=\"arpEnbl_"+i+"\">&nbsp;</td>");
				document.writeln("</tr>");
				j++;
			}
		}
	</script>
	</table>
	<br /><br />
	</fieldset>

	<br />
	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	<tr>
	  <td align="center">
	  	<script>
			document.writeln("<input type='button' class='button' value='"+mBtnAdd+"' onClick=\"addMac();\">&nbsp;&nbsp;");
			document.writeln("<input type='button' class='button' value='"+mBtnRefresh+"' onClick=\"window.location.reload();\">");
		</script>
	  </td>
	</tr>
	</table>
	<br /><br />

	<fieldset align="center" style="width:80%;">
	<legend><script>putmsg(mWolList);</script></legend>
	<br /><br />
	<table align="center" class="content" width="90%" cellspacing="1" cellpadding="3">
	  <tr>
	    <td class="headLine" align="center"><script>putmsg(mIndex);</script></td>
	    <td class="headLine" align="center"><script>putmsg(mInetMac);</script></td>
	    <td class="headLine" align="center"><script>putmsg(mInetIp);</script></td>
	    <td class="headLine" align="center" id="enable">
		<script>putmsg(mRadioEnable);</script>&nbsp;
		<input type="checkbox" id="wolEnbl_all" name="wolEnbl_all" onClick="changeCheckBox();">&nbsp;
	    </td>
	  </tr>
	  <script language="javascript" type="text/javascript">
		var i;

		for (i = 0; i < wolMaxNum; i++) 
		{
			if (i%2)
				document.writeln("<tr id=\"wolListTR"+i+"\" bgcolor=\""+listBg+"\">");
			else
				document.writeln("<tr id=\"wolListTR"+i+"\">");
			document.writeln("<td align=\"center\" id=\"wolId"+i+"\"></td>");	
			document.writeln("<td align=\"center\" id=\"wolMac"+i+"\"></td>");	
			document.writeln("<td align=\"center\" id=\"wolIp"+i+"\"></td>");	
			document.writeln("<td align=\"center\"><input type=\"checkbox\" id=\"wolEnbl_"+i+"\" name=\"wolEnbl_"+i+"\">&nbsp;</td>");
			document.writeln("</tr>");
		}
	  </script>
	</table>
	<br /><br />
	</fieldset>

	<br />
	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	<tr>
	  <td align="center">
	  	<script>
			document.writeln("<input type='submit' class='button' value='"+mBtnSave+"' onClick=\"return getWolList(0);\">&nbsp;&nbsp;");
			document.writeln("<input type='submit' class='button' value='"+mBtnWol+"' onClick=\"checkValue();return getWolList(1);\">&nbsp;&nbsp;");
			document.writeln("<input type='button' class='button' value='"+mBtnDelete+"' onClick=\"delWol();\">&nbsp;&nbsp;");
		</script>
		<input type="hidden" id="btnWolStr" name="btnWolStr" value="">
		<input type="hidden" id="act" name="act" value="">
	  </td>
	</tr>
	</table>
	<br />
	</form>
    </td>

        
    <td class="help">
       <table class="help" cellPadding="3" cellSpacing="0">
	<tr id="helpHead"><td class="helpMenu"><script>putmsg(mHelp);</script></td></tr>
	<tr><td class="help-item"><script>putmsg(mWol);</script></td></tr>
	<tr><td><script>putmsg(mIntroWol);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

	<tr><td class="help-item"><script>putmsg(mArpList);</script></td></tr>
	<tr><td><script>putmsg(mIntroArpList);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

	<tr><td style="color:red;"><br /><b><script>putmsg(mNote);</script>:</b><script>putmsg(mNoteWol);</script></td></tr>
	</table>
    </td>
    <td class="right-blank">&nbsp;</td>
</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 
       
</div> 

</body>
</html>

