
var OPMODE_BRIDGE 		= "0"; /* Bridge LAN -> WLAN */
var OPMODE_GATEWAY		= "1"; /* Gateway WAN -> LAN+WLAN */
var OPMODE_ETH_CONVERTER 	= "2"; /* WISP STA -> LAN */
var OPMODE_APCLI 		= "3"; /* WISP APCLI -> LAN+WLAN */
var OPMODE_BRIDGE_CONVERTER 	= "4"; /* STA -> LAN */
var OPMODE_3G_GATEWAY 		= "5"; /* 3G 3G -> LAN+WLAN */
var OPMODE_BRIDGE_APCLI 	= "6"; /* APCLI -> LAN+WLAN */

var WAN_TYPE_STATIC 		= "STATIC";
var WAN_TYPE_DHCP 		= "DHCP";
var WAN_TYPE_PPPOE 		= "PPPOE";
var WAN_TYPE_L2TP 		= "L2TP";
var WAN_TYPE_PPTP 		= "PPTP";
var WAN_TYPE_3G 		= "3G";

var WIRELESS_MODE_BG 		= "0";
var WIRELESS_MODE_B 		= "1";
var WIRELESS_MODE_A 		= "2";
var WIRELESS_MODE_ABG 		= "3";
var WIRELESS_MODE_G 		= "4";
var WIRELESS_MODE_ABGN 		= "5";
var WIRELESS_MODE_N 		= "6";
var WIRELESS_MODE_GN		= "7";
var WIRELESS_MODE_AN 		= "8";
var WIRELESS_MODE_BGN 		= "9";
var WIRELESS_MODE_AGN 		= "10";
var WIRELESS_MODE_N_5G 		= "11";
var WIRELESS_MODE_AC_NA 	= "14";
var WIRELESS_MODE_AC_N 		= "15";

var WAN_STATUS_LINK_DOWN 		= "0";
var WAN_STATUS_LINK_UP			= "1";
var WAN_STATUS_CONNECTING		= "2";
var WAN_STATUS_CONNECTED		= "3";
var WAN_STATUS_TIMEOUT			= "4";
var WAN_STATUS_PPP_AUTH_FAILED		= "5";
var WAN_STATUS_DISCONNECTED		= "6";
/* The above sequence must keep unchanged */
var WAN_STATUS_PPP_LINK_DOWN		= "7"; 	/* the PPP connection is down 
						* 1) Peer dead; 
						* 2) User tear down the connection via SIGHUP 
						*/
var WAN_STATUS_PPP_LOCK_FAILED		= "8"; 		/* Failed to lock the serial port */
var WAN_STATUS_PPP_OPEN_FAILED 		= "9"; 		/* Failed to open the serial port */
var WAN_STATUS_PPP_PTYCMD_FAILED	= "10";		/* Pesudo TTY init failed */
var WAN_STATUS_PPP_INIT_FAILED		= "11"; 	/* Initializing script failed */
var WAN_STATUS_PPP_CONNECT_FAILED 	= "12"; 	/* Connection script error */
var WAN_STATUS_PPP_NEGOTIATING		= "13"; 	/* Negotiating the configuration */
var WAN_STATUS_PPP_FATAL_ERROR		= "14"; 	/*  Error setting up the serial device as a ppp interface */
var WAN_STATUS_PPP_IDLE_TIMEOUT 	= "15"; 	/* Connection idle timeout */
var WAN_STATUS_PPP_TRAFFIC_LIMIT 	= "16"; 	/* Total traffic reaches the limitation */
var WAN_STATUS_PPP_FAKE_CONNECTED 	= "17"; 	/* PPP onDemand connection status */
var WAN_STATUS_PPP_HANGUP 		= "18"; 	/* PPP Modem Hangup */
var WAN_STATUS_LOOPBACK 		= "19"; 	/* Loopback detected */
var WAN_STATUS_UNKNOWN 			= "20";
var WAN_STATUS_PPP_DEFAULT_ACCOUNT 	= "21";

var EXIT_LINK_DETECT_DOWN 	= "150";
var EXIT_LINK_DETECT_FAILED 	= "151";
var EXIT_LINK_DETECT_BRIDGE 	= "152";
var EXIT_LINK_DETECT_OK_DHCP 	= "153";
var EXIT_LINK_DETECT_OK_PPPOE 	= "154";


