<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("inet"); %>
<% websIncludeLang("time_date"); %>
<% websIncludeLang("mac_filtering"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var opmode = '<% getCfgZero(1, "OperationMode"); %>';
var rb = <% getRebootFlag(); %>;
var arpStr = "<% getArpList(0); %>";
var arpList = new Array();
arpList = arpStr.split(";");

document.title = vendor+" "+model+" - "+mFilterMac;

var MAX_RULES = <% getMaxNum("filteringMAC"); %>;

var fEnbl = <% getCfgZero(1, "IPPortFilterEnable"); %>;
var fPolicy = <% getCfgZero(1, "DefaultFirewallPolicy"); %>;
var macFilterEnbl = <% getCfgZero(1, "MACFilterEnable"); %>;
var macFilteringIndex = <% getFilteringRuleIndex("macFiltering"); %>;
var ruleStr = "<% getCfgGeneral(1, "macFilterRules"); %>";
var ntpServer = "<% getCfgGeneral(1, "NTPServerIP"); %>";

function showAllFilteringRules()
{
	window.open("macFilteringRules.asp", "MAC_Filtering_Rules", "toolbar=no, location=yes, scrollbars=yes, resizable=no, width=640, height=480");
}

function gotoNtp()
{
	window.location.href = "/adm/management.asp";
}

function macFormCheck()
{
	var objMac = document.macFilter.mac;

	if (document.macFilter.cbEnbl.checked == true) {
		document.macFilter.enbl.value = 1;
	}
	else {
		document.macFilter.enbl.value = 0;
	}

	if(objMac.value != ""){
		if(!checkMac(objMac.value)){
			alert(mInetSmac + mAlertInvalid);
			return false;
		}
	}

	if (document.macFilter.dateMode.checked == true) { // every day
		document.macFilter.dateVal.value = 255;
	}
	else {
		var value = 0;
		if (document.macFilter.date0.checked == true) {
			value = value | 1;
		}
		if (document.macFilter.date1.checked == true) {
			value = value | (1<<1);
		}
		if (document.macFilter.date2.checked == true) {
			value = value | (1<<2);
		}
		if (document.macFilter.date3.checked == true) {
			value = value | (1<<3);
		}
		if (document.macFilter.date4.checked == true) {
			value = value | (1<<4);
		}
		if (document.macFilter.date5.checked == true) {
			value = value | (1<<5);
		}
		if (document.macFilter.date6.checked == true) {
			value = value | (1<<6);
		}

		if (value == 0) {
			alert(mAlertWeekday)
			return false;
		}

		document.macFilter.dateVal.value = value;
	}

	if (document.macFilter.timeMode[1].checked == true) {
		// check time
		var objFromH = document.macFilter.tHourFrom;
		var objFromM = document.macFilter.tMinFrom;
		var objToH = document.macFilter.tHourTo;
		var objToM = document.macFilter.tMinTo;
		var fromValueH = parseInt(objFromH.value);
		var fromValueM = parseInt(objFromM.value);
		var toValueH = parseInt(objToH.value);
		var toValueM = parseInt(objToM.value);
		if (objFromH.value == "" || isNumOnly(objFromH.value) == 0 || fromValueH > 23 || fromValueH < 0) {
			alert(mFilterTime + mAlertInvalid);
			objFromH.focus();
			return false;
		}
		if (objFromM.value == "" || isNumOnly(objFromM.value) == 0 || fromValueM > 59 || fromValueM < 0) {
			alert(mFilterTime + mAlertInvalid);
			objFromM.focus();
			return false;
		}
		if (objToH.value == "" ||isNumOnly(objToH.value) == 0 || toValueH > 23 || toValueH < 0) {
			alert(mFilterTime + mAlertInvalid);
			objToH.focus();
			return false;
		}
		if (objToM.value == "" ||isNumOnly(objToM.value) == 0 || toValueM > 59 || toValueM < 0) {
			alert(mFilterTime + mAlertInvalid);
			objToM.focus();
			return false;
		}

		if (toValueH < fromValueH) {
			alert(mFilterTime + mAlertInvalid);
			objFromH.focus();
			return false;
		}
	}

	document.macFilter.chRule.value = "0";

	if (fEnbl == 0) {
		if (confirm(mCfmFwaDisabled)) {
			document.getElementById("fwEnable").value = 1;
		}
		if (macFilterEnbl == 0) {
			if (confirm(mCfmFilterMacDisabled)) {
				document.getElementById("macFilterEnable").value = 1;
			}
		}
	}
	else if (macFilterEnbl == 0) {
		if (confirm(mCfmFilterMacDisabled)) {
			document.getElementById("macFilterEnable").value = 1;
		}
	}

	return true;
}

function ruleChange()
{
	document.macFilter.chRule.value = "1";
	document.macFilter.submit();
}

function dateModeChange()
{
	var dateId = "date";
	var i=0;
	var cbStatus = false;

	if (document.macFilter.dateMode.checked == true) {
		cbStatus = true;
	}
	else {
		cbStatus = false;
	}

	document.macFilter.date0.disabled = cbStatus;
	document.macFilter.date1.disabled = cbStatus;
	document.macFilter.date2.disabled = cbStatus;
	document.macFilter.date3.disabled = cbStatus;
	document.macFilter.date4.disabled = cbStatus;
	document.macFilter.date5.disabled = cbStatus;
	document.macFilter.date6.disabled = cbStatus;
}

function timeModeChange()
{
	var disableStatus = false;
	if (document.macFilter.timeMode[0].checked == true) {
		disableStatus = true;
	}
	else {
		disableStatus = false;
	}
	document.macFilter.tHourFrom.disabled = disableStatus;
	document.macFilter.tMinFrom.disabled = disableStatus;
	document.macFilter.tHourTo.disabled = disableStatus;
	document.macFilter.tMinTo.disabled = disableStatus;
}

function initFiltering()
{
	var rules = new Array();
	rules = ruleStr.split(";");

	if (rules.length > macFilteringIndex) {
		var entry = new Array();
		entry = rules[macFilteringIndex].split(",");

		if (entry.length == 9) {
			document.macFilter.cbEnbl.checked = (entry[0] == "1") ? true : false;
			document.macFilter.mac.value = entry[1];
			document.macFilter.comment.value = entry[2];

			if (entry[3] == "255") {
				document.macFilter.dateMode.checked = true;
			}
			else {
				var dateVal = parseInt(entry[3]);

				document.macFilter.dateMode.checked = false;

				document.macFilter.date0.checked = (dateVal & 1) ? true : false;
				document.macFilter.date1.checked = (dateVal & (1<<1)) ? true : false;
				document.macFilter.date2.checked = (dateVal & (1<<2)) ? true : false;
				document.macFilter.date3.checked = (dateVal & (1<<3)) ? true : false;
				document.macFilter.date4.checked = (dateVal & (1<<4)) ? true : false;
				document.macFilter.date5.checked = (dateVal & (1<<5)) ? true : false;
				document.macFilter.date6.checked = (dateVal & (1<<6)) ? true : false;
			}

			document.macFilter.timeMode[1*entry[4]].checked = true;
			document.macFilter.tHourFrom.value = entry[5];
			document.macFilter.tMinFrom.value = entry[6];
			document.macFilter.tHourTo.value = entry[7];
			document.macFilter.tMinTo.value = entry[8];
		}
	}
}

function initValue()
{
	if (fEnbl == 1) {
		document.getElementById("filterFirewallEnbl").innerHTML = mRadioEnable;
		document.getElementById("filterFirewallEnbl").style.color = "green";
	}
	else {
		document.getElementById("filterFirewallEnbl").innerHTML = mRadioDisable;
		document.getElementById("filterFirewallEnbl").style.color = "red";
	}
	document.getElementById("fwEnable").value = fEnbl;

	if (macFilterEnbl == 1) {
		document.getElementById("filterMacEnbl").innerHTML = mRadioEnable;
		document.getElementById("filterMacEnbl").style.color = "green";
	}
	else {
		document.getElementById("filterMacEnbl").innerHTML = mRadioDisable;
		document.getElementById("filterMacEnbl").style.color = "red";
	}
	document.getElementById("macFilterEnable").value = macFilterEnbl;

	if (fPolicy == 1) {
		document.getElementById("filterPolicy").innerHTML = mpolicyDrop + ":";
		document.getElementById("filterPolicyDesc").innerHTML = mpolicyDropDesc;
	}
	else {
		document.getElementById("filterPolicy").innerHTML = mpolicyAcc + ":";
		document.getElementById("filterPolicyDesc").innerHTML = mpolicyAccDesc;
	}

	document.getElementById("filterRuleIndex").selectedIndex = macFilteringIndex;

	initFiltering();
	dateModeChange();
	timeModeChange();
}

function showAddrList()
{
	document.getElementById("addrListBg").style.display = "block";
	document.getElementById("addrList").style.display = "block";
}

function hideAddrList()
{
	document.getElementById("addrListBg").style.display = "none";
	document.getElementById("addrList").style.display = "none";
}

function getMac(index)
{
	var entry = new Array();
	entry = arpList[index].split(",");
	document.getElementById("MAC").value = entry[1];
	hideAddrList();
}

</script>

</head>

<body onLoad="initValue();">
<div id="addrListBg" style="display:none;" class="back-overlay">
<iframe src=" " style="position:absolute;visibility:inherit; top:0px; left:0px; width:1024px; height:768px; z-index:-1;opacity:.0; filter: alpha( opacity=0 ); -moz-opacity: 0;">
</iframe>
</div>
<div id="addrList" class="front-content" style="display:none;height:auto;width:400px;">
<fieldset align="center">
  <legend><script>putmsg(mLegendArpList);</script></legend>
      <script>writeARPList(arpList, 1, "getMac");</script>
  <br /><br />
  <table width="90%" border="0">
    <tr><td align="center">
	<script>document.write("<input type='button' class='button' value='"+mBtnBack+"' onClick='hideAddrList();'>");</script>
	</td></tr>
  </table>
</fieldset><br />
</div>

<div class="body_div">

<script language="javascript" type="text/javascript" >
	writeHead(lang, ver, "firewall", "mac_filtering");
</script>                 
         
<table class="body" cellSpacing="0" cellPadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
    <td class="navi" valign="top">
      <script>writeNavi(lang, ver, "firewall", "mac_filtering");</script>
    </td>
    <td class="left" align="center" valign="top">
	<script>writeReboot(rb);</script>
  	<br />
  	<fieldset align="center" style="width:80%;"> 
    	<legend><script>putmsg(mFilterMac);</script></legend>  
	<br />
      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	<tr>
		<td width="25%" class="head"><script>putmsg(mFilterFw);</script>:</td>
		<td><b id="filterFirewallEnbl"></b></td>
	</tr>
	<tr>
		<td class="head"><script>putmsg(mFilterMac);</script>:</td>
		<td><b id="filterMacEnbl"></b></td>
	</tr>
	<tr style="display:none;visibility:hidden;">
		<td class="head"><script>putmsg(mPolicyDft);</script>:</td>
		<td><b id="filterPolicy"></b>&nbsp;<span id="filterPolicyDesc"></span></td>
	</tr>
	<script language="javascript" type="text/javascript" >
	if (ntpServer.length < 2) {
		document.writeln("<tr><td colspan=\"2\">");
		document.writeln("<span style=\"color:red;\"><b>"+mWarning+":</b> "+mWarningFilterNtp+"</span>");
		document.writeln("&nbsp;&nbsp;<input type=\"button\" class=\"button\" value=\""+mFilterNtpSetup+"\" onClick=\"gotoNtp();\">");
		document.writeln("</td></tr>");
	}
	</script>
	</table>
	<br />
  	</fieldset>

	<br /><br />

	<form method="post" name="macFilter" action="/goform/macFilter">
  	<fieldset align="center" style="width:80%;"> 
    	<legend><script>putmsg(mFilterRuleSet);</script></legend>  

	<input type="hidden" name="fwEnable" id="fwEnable" value="1">
	<input type="hidden" name="macFilterEnable" id="macFilterEnable" value="1">
      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tbody>
        
        <tr>
          <td width="25%">&nbsp;</td>
          <td>&nbsp;</td>
        </tr>

	<tr>
		<td><script>putmsg(mFilterRule);</script>:</td>
		<td>

			<select onChange="ruleChange();" name="filterRuleIndex" id="filterRuleIndex">
		<script language="javascript" type="text/javascript" >
			var i=0;
			for (i=0;i<MAX_RULES;i++) {
				document.writeln("<option value=\""+i+"\">"+(i+1)+"&nbsp;( )</option>");
			}
		</script>
			</select>
		&nbsp;&nbsp;
		<script>
			document.write("<input type='button' class='button' value='"+mBtnRuleAll+"' onClick='showAllFilteringRules();' style='width:100px;'>");
		</script>
		<input type="hidden" name="chRule" value="0">
		</td>
	</tr>

	<tr><td colspan="2">&nbsp;</td></tr>

	<tr>
		<td class="head"><script>putmsg(mRadioEnable);</script>:</td>
		<td><input type="checkbox" name="cbEnbl" checked><input type="hidden" name="enbl" value="1"></td>
	</tr>
	<tr>
		<td class="head"><script>putmsg(mFilterRuleName);</script>:</td>
		<td><input type="text" name="comment" size="20" maxlength="32"></td>
	</tr>  
	 <tr>
		<td class="head"><script>putmsg(mInetSmac);</script>:</td>
		<td><input type="text" size="17" maxlength="17" name="mac" id="MAC" >&nbsp;&nbsp;<!--span class="comment">(XX:XX:XX:XX:XX:XX)</span-->
	        <script>
			document.write("<input type='button' class='button' style='width:80px;' value='"+mFilterSelAddr+"' onClick='showAddrList();' >");
		</script>
		</td>
	</tr>

	<tr><td colspan="2"><td>&nbsp;</td></tr>
	<tr>
		<td class="head" valign="top"><script>putmsg(mDate);</script>:</td>
		<td>
			<input type="checkbox" name="dateMode" checked onClick="dateModeChange();"><script>putmsg(mDateAll);</script>
			<input type="hidden" name="dateVal" value="255">
		</td>
	</tr>
	<tr>
		<td>&nbsp;</td>
		<td>
			<input type="checkbox" name="date0" id="date0"><script>putmsg(mDateSun);</script>&nbsp;
			<input type="checkbox" name="date1" id="date1"><script>putmsg(mDateMon);</script>&nbsp;
			<input type="checkbox" name="date2" id="date2"><script>putmsg(mDateTue);</script>&nbsp;
			<input type="checkbox" name="date3" id="date3"><script>putmsg(mDateWed);</script>&nbsp;
			<input type="checkbox" name="date4" id="date4"><script>putmsg(mDateThu);</script><br />
			<input type="checkbox" name="date5" id="date5"><script>putmsg(mDateFri);</script>&nbsp;
			<input type="checkbox" name="date6" id="date6"><script>putmsg(mDateSat);</script>
		</td>
	</tr>

	<tr>
		<td class="head" valign="top"><script>putmsg(mFilterTime);</script>:</td>
		<td>
			<input type="radio" name="timeMode" value="0" checked onClick="timeModeChange();">24 <script>putmsg(mFilterTimeHour);</script><br />
		</td>
	</tr>
	<tr>
		<td>&nbsp;</td>
		<td>
			<input type="radio" name="timeMode" value="1" onClick="timeModeChange();"><script>putmsg(mFilterTimeSpec);</script>&nbsp;
			<input type="text" name="tHourFrom" value="" size="2" maxlength="2">:
			<input type="text" name="tMinFrom" value="" size="2" maxlength="2">&nbsp;&nbsp;-&nbsp;
			<input type="text" name="tHourTo" value="" size="2" maxlength="2">:
			<input type="text" name="tMinTo" value="" size="2" maxlength="2">
		</td>
	</tr>

	</tbody>
	</table>
	       

	<br />
	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	<tr>
	  <td align="center"><script>
		document.writeln("<input type='submit' class='button' name='save' value='"+mBtnSave+"' onClick='return macFormCheck();'>&nbsp;&nbsp;");
		if (rb == 0)
		  document.write("<input type='submit' class='button' value='"+mBtnApply+"' name='apply' onClick='return macFormCheck();'>&nbsp;&nbsp;");
		document.write("<input type='reset' class='button' value='"+mBtnCancel+"' name='cancel' onClick='window.location.reload();'>");
	  </script></td>
	</tr>
	</table>
  </fieldset>
  </form>
    
    <br /><br />

    </td>

        
    <td class="help">
       <table class="help" cellPadding="3" cellSpacing="0">
	<tr id="helpHead"><td class="helpMenu"><script>putmsg(mHelp);</script></td></tr>
        <tr><td class="help-item"><script>putmsg(mFilterMac);</script></td></tr>
	<tr><td><script>putmsg(mIntroFilterMac);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

	<tr><td class="help-item"><script>putmsg(mInetSmac);</script></td></tr>
	<tr><td><script>putmsg(mIntroFilterSmac);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

	<tr><td class="help-item"><script>putmsg(mDate);</script></td></tr>
	<tr><td><script>putmsg(mIntroFilterDate);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

	<tr><td class="help-item"><script>putmsg(mFilterTime);</script></td></tr>
	<tr><td><script>putmsg(mIntroFilterTime);</script></td></tr>
	<tr><td class="help-item" style="color:red;"><script>putmsg(mNote);</script>:&nbsp;</td></tr>
	<tr><td style="color:red;"><script>putmsg(mNoteFilterTime);</script></td></tr>
	</table>
    </td>
    <td class="right-blank">&nbsp;</td>
</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 
       
</div> 

</body>
</html>

