<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>
 
<script language="javascript" type="text/javascript" > 
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("qq_filtering"); %>

<% getWebsNoClick(); %>

var rb = <% getRebootFlag(); %>;
var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var opmode = '<% getCfgZero(1, "OperationMode"); %>';
var qqList = new Array();
var qqFilterValue = "<% getCfgGeneral(1, "qqFilterRules"); %>";
var qqMaxNum=100;
var qqCurNum=0;
var qqListStr;
var FIREWALL_QQFILTER_WANRING =mQqInvalid;
 
document.title = vendor+" "+model+" - "+mQqFilterSet;

function qqChange()
{
	var disableQQStatus = false;
	if (document.QQConfig.qqFilterEnable[0].checked == true||document.QQConfig.qqFilterEnable[1].checked == true) {
		disableQQStatus = false;
	}	
}

function checkQQ(qqStr)
{                           
	var i;
	var cur = 0;

	if(qqStr == ""){
	    return false;
	}		

	if((qqStr.length < 5)||(qqStr.length>10))
		 return false;
	for (j=0; j < qqStr.length; j++) 
	{
		cur = j+1;
		if(qqStr.charAt(j) >= '0' && qqStr.charAt(j) <= '9'&& qqStr.charAt(0) != '0'&& qqStr.charAt(j) != '') 		
			continue;
		else
			return false;
	}
	if( cur == qqStr.length)
		return true;
	else
		return false;

	return true;
  }

function checkNum()
{
	qqObj =  document.getElementById("qqNo");
	if (!checkQQ(qqObj.value)){
	   alert(FIREWALL_QQFILTER_WANRING);
	   return false;
	}
	return true;
}


function  onclickAdd()
{
	var qqNo, Name;
	
	qqNo = document.getElementById("qqNo").value;
	Name = document.getElementById("Name").value;

	if(checkNum())
	{		
		var entry = new Array();
		var foundFlag = 0;
		var i;
		qqListStr = document.getElementById("qqListStr").value;
		if(qqListStr != "")
		{
			qqList = qqListStr.split(";");
			for(i = 0; i < qqList.length; i++)
			{
				entry = qqList[i].split(",");

				if( entry[0] == qqNo )
				{
					entry[1] = Name;
					foundFlag = 1;
					break;
				}
			}
			
			if(foundFlag == 0)
			{
				qqListStr += ";"+qqNo+","+Name+",0";
			}
		}
		else
			qqListStr = qqNo+","+Name+",0";
	}
	document.getElementById("qqListStr").value = qqListStr;
	showQqList();
}

function showQqList()
{
	var i;
	var qqList = new Array();

	hiddenAll();
	qqListStr = document.getElementById("qqListStr").value;
	document.getElementById("Del_all").checked = false;
	if(qqListStr == "")
		return ;

	qqList = qqListStr.split(";");
	qqCurNum = qqList.length;
	disabelCheckBox("qqDel_",qqCurNum);

	for (i = 0; i < qqList.length; i++) 
	{
		var entry = new Array();
		entry = qqList[i].split(",");
		showTable(i);
		document.getElementById("QQIdex"+i).innerHTML = i+1; 
		document.getElementById("QQNo"+i).innerHTML = entry[0];
		document.getElementById("Descrp"+i).innerHTML = entry[1];
	}
}

function enblCheckBox(prefix,max_num)
{
	var i;
	for(i = 0;i<max_num;i++)
	{
		document.getElementById(prefix+i).checked = true;
	}
}

function disabelCheckBox(prefix,max_num)
{
	var i;
	
	for(i = 0;i<max_num;i++)
	{
		document.getElementById(prefix+i).checked = false;
	}
}

function onClickDelete()
{
	if(document.getElementById("Del_all").checked == true)
		enblCheckBox("qqDel_", qqCurNum);
	else
		disabelCheckBox("qqDel_", qqCurNum);
}

function getQqList()
{
	var i;
	var e = document.getElementById("qqListStr");
	e.value = ""; 
	for (i = 0; i < qqCurNum; i++) 
	{
		if(e.value == ""){
			e.value = document.getElementById("QQNo"+i).innerHTML;
		}
		else{
			e.value += ";"+document.getElementById("QQNo"+i).innerHTML;
		}

		e.value += ","+document.getElementById("Descrp"+i).innerHTML;
	}
	return true;
}

function delQqList()
{
	var i,count = 0;
	var tmpQqStr = "";
	var qqList = new Array();

	getQqList();
	qqListStr = document.getElementById("qqListStr").value;
	qqList = qqListStr.split(";");

	for (i = 0; i < qqCurNum; i++) 
	{
		if(document.getElementById("qqDel_"+i).checked == false){
			 count++;
		if(tmpQqStr == "")
			tmpQqStr = qqList[i];
		else
			tmpQqStr +=  ";"+qqList[i];
		}
	}

	document.getElementById("qqListStr").value = tmpQqStr;
	qqCurNum = count;
	showQqList();
}

function hiddenAll()
{
	var i;
	for (i = 0; i < qqMaxNum; i++)
	{       
		document.getElementById("qqListt"+i).style.visibility = "hidden";
		document.getElementById("qqListt"+i).style.display = "none";
	}
	
}

function showTable(idx)
{

	document.getElementById("qqListt"+idx).style.visibility = "visible";
	document.getElementById("qqListt"+idx).style.display = style_display_on();
}

function initValue()
{
	var qqFilterEnbl = '<% getCfgZero(1, "qqFilterEnable"); %>';

	hiddenAll();

	if (1*qqFilterEnbl == 1) {
		document.QQConfig.qqFilterEnable[1].checked = true;
	}
	else {
		
		document.QQConfig.qqFilterEnable[0].checked = true;
	}

	document.getElementById("qqListStr").value = qqFilterValue;
	showQqList();
}

</script>
 
</head>
 
<body onLoad="initValue();">

<div class="body_div">

<script language="javascript" type="text/javascript" > 
	writeHead(lang, ver, "firewall", "qq_filtering");
</script>      

<table class="body" cellSpacing="0" cellPadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
    <td class="navi" valign="top">
      <script>writeNavi(lang, ver, "firewall", "qq_filtering");</script>
    </td>
    <td class="left" align="center" valign="top">
	<script>writeReboot(rb);</script>
	<br />
      <form method="post" name ="QQConfig" action="/goform/qqFilter">
    	 <table align="center" class="content" cellpadding="0" cellspacing="0" width="80%" id="div_qq_st">
	     <tr>
	          <td width="30%">&nbsp;</td>
	          <td width="70%">&nbsp;</td>
	     </tr>
             <tr>
		   <td class="head"><script>putmsg(mPolicyQqFilter);</script>:</td>
	           <td>
	              <input type="radio" name="qqFilterEnable" value="0"  onClick="qqChange();">
				  <script>putmsg(mPolicyDrop);</script>&nbsp;&nbsp;	
                      <input type="radio" name="qqFilterEnable"  value="1"  onClick="qqChange();">
				  <script>putmsg(mPolicyAccept);</script>
                  </td>
      	    </tr>
      	
	   <tr><td>&nbsp;</td><td>&nbsp;</td></tr>
    	</table>

   <fieldset align="center" style="width:80%;">
	 <legend><script>putmsg(mQqNumAdd);</script></legend>
	
	 <table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	<tr>
         <td width="35%">&nbsp;</td>
         <td width="65%">&nbsp;</td>
       </tr>
		<tr>
			<td class="head"><script>putmsg(mQqNum);</script>:</td>
			<td><input type="text" id="qqNo" name="qqNo" value="" size="20" maxlength="10"></td>
		</tr>
		<tr>
			<td class="head"><script>putmsg(mFwDesc);</script>:</td>
			<td><input type="text" id="Name" name="Name"  value="" size="20" maxlength="10"></td>
		</tr>
	</table>
	</fieldset>
      
	 <table align="center" class="content">
	   <tr>
		<td colspan="2"><script>
			document.write("<input type='button' class='button' value='"+mBtnAdd+"' onClick='onclickAdd();'>&nbsp;");
			document.write("<input type='reset' class='button' value='"+mBtnCancel+"' onClick='window.location.reload();'>&nbsp;");
	       </script></td>
	   </tr>
	</table>	

	<br /><br />

        <fieldset align="center" style="width:80%;">
	<legend><script>putmsg(mQqList);</script></legend>
	<br /><br />

	<table align="center" class="content" width="90%"  cellspacing="1" cellpadding="3">
	  <tr>
	    <td class="headLine" align="center"><script>putmsg(mIndex);</script></td>
	    <td class="headLine" align="center"><script>putmsg(mQqNum);</script></td>
	    <td class="headLine" align="center"><script>putmsg(mFwDesc);</script></td>
	    <td class="headLine" align="center" id="Del"><script>putmsg(mBtnDel);</script>&nbsp;
	      <input type="checkbox" id="Del_all" name="Del_all" onClick="onClickDelete();">&nbsp;
	    </td>
	  </tr>
	  
	  <script language="javascript" type="text/javascript">
		var i;
		
		for (i = 0; i < qqMaxNum; i++) 
		{
			if (i%2)
				document.writeln("<tr id=\"qqListt"+i+"\" bgcolor=\""+listBg+"\">");
			else
				document.writeln("<tr id=\"qqListt"+i+"\"\">");
			document.writeln("<td align=\"center\" id=\"QQIdex"+i+"\"></td>");	
			document.writeln("<td align=\"center\" id=\"QQNo"+i+"\"></td>");	
			document.writeln("<td align=\"center\" id=\"Descrp"+i+"\"></td>");	
			document.writeln("<td align=\"center\"><input type=\"checkbox\" id=\"qqDel_"+i+"\" name=\"qqDel_"+i+"\">&nbsp;</td>");
			document.writeln("</tr>");
			
		}
	  </script>
	  </table>

	  <br /><br />
       </fieldset>

	 <br /><br />

       <table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	  <tr>
	    <td align="center"><script>
		document.writeln("<input type='submit' class='button' name='save' value='"+mBtnSave+"' onClick='return getQqList();'>&nbsp;&nbsp;");
		if (rb == 0)
			document.write("<input type='submit' class='button' value='"+mBtnApply+"' onClick='return getQqList();'>&nbsp;&nbsp;");
		document.write("<input type='button' class='button' value='"+mBtnDel+" 'onClick='return delQqList();'>&nbsp;&nbsp;");		
		document.write("<input type='reset' class='button' value='"+mBtnCancel+"' onClick='window.location.reload();' >");
		document.write("<input type='hidden' id='qqListStr' name='qqListStr'  value='' >");
	   </script> </td>
	  </tr>
       </table>

	<br /><br />
	
       </form>
  </td>
 
 
    <td class="help">
       <table class="help" cellPadding="3" cellSpacing="0">
	<tr id="helpHead"><td class="helpMenu"><script>putmsg(mHelp);</script></td></tr>
        <tr><td class="help-item"><script>putmsg(mQqFilterSet);</script></td></tr>
	<tr><td><script>putmsg(mIntroQqFilter);</script></td></tr>
    <tr><td style="color:red;"><b><script>putmsg(mNote);</script>:</b><script>putmsg(mNoteQqFilter);</script></td></tr>

	<tr class="helpHr"><td><hr/></td></tr>
 
        <tr><td class="help-item"><script>putmsg(mPolicyAccept);</script></td></tr>
	<tr><td><script>putmsg(mIntroQqFilterAllow);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>
 
        <tr><td class="help-item"><script>putmsg(mPolicyDrop);</script></td></tr>
	<tr><td><script>putmsg(mIntroQqFilterReject);</script></td></tr>
	</table>
    </td>  
    <td class="right-blank">&nbsp;</td>
</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" > 
	writeFooter(lang);
</script> 

</div> 

</body>
</html>
 
