<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("inet"); %>
<% websIncludeLang("time_date"); %>
<% websIncludeLang("dhcpcliinfo"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var opmode = '<% getCfgZero(1, "OperationMode"); %>';

var dhcpCliStr = "<% getDhcpCliList(1); %>";
var arpStr = "<% getArpList(1); %>";

document.title = vendor+" "+model+" - "+(mTitleDhcpCli);

</script>

</head>

<body>

<div class="body_div">

<script language="javascript" type="text/javascript" >
	writeHead(lang, ver, "info", "dhcpcliinfo");
</script>                  
      
<table class="body" cellSpacing="0" cellPadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
    <td class="navi" valign="top">
      <script>writeNavi(lang, ver, "info", "dhcpcliinfo");</script>
    </td>
    <td class="left" align="center" valign="top">
    <br />
    <fieldset align="center" style="width:80%;"> 

    <legend><script>putmsg(mDhcpCli);</script></legend>
    <br /><br />
	<table align="center" class="content" width="90%" cellspacing="1" cellpadding="3">
	  <tr>
	    <td class="headLine" align="center"><script>putmsg(mIndex);</script></td>
	    <td class="headLine" align="center"><script>putmsg(mHostname);</script></td>
	    <td class="headLine" align="center"><script>putmsg(mInetMac);</script></td>
	    <td class="headLine" align="center"><script>putmsg(mInetIp);</script></td>
	    <td class="headLine" align="center"><script>putmsg(mDhcpExpire);</script></td>
	  </tr>
	<script language="javascript" type="text/javascript">
		var i, j=0;
		var cliList = new Array();

		cliList = dhcpCliStr.split(";");

		for (i=0; i<cliList.length; i++) {
			var entry = new Array();
			entry = cliList[i].split(",");
			if (entry.length == 4) {
				var expire = parseInt(entry[3]);
				var str = "";
				var time = getTime(expire);

				if (time["day"] > 0)
					str = time["day"] + " " +  mDay + " ";
				str += time["hour"] + ":" + time["min"] + ":" +time["sec"];

				if (expire == "0")
					str = mExpired;

				if (j%2)
					document.writeln("<tr bgcolor=\""+listBg+"\">");
				else
					document.writeln("<tr>");
				document.writeln("<td align=\"center\">"+(i+1)+"</td>");	
				document.writeln("<td align=\"center\">"+entry[0]+"</td>");	
				document.writeln("<td align=\"center\">"+entry[1]+"</td>");	
				document.writeln("<td align=\"center\">"+entry[2]+"</td>");	
				document.writeln("<td align=\"center\">"+str+"</td>");	
				document.writeln("</tr>");
				j++;
			}
		}
	</script>
	</table>
	<br /><br />
	</fieldset>
	<br /><br />

	<fieldset align="center" style="width:80%;">
	<legend><script>putmsg(mArpList);</script></legend>
	<br /><br />
	<table align="center" class="content" width="90%" cellspacing="1" cellpadding="3">
	  <tr>
	    <td class="headLine" align="center"><script>putmsg(mIndex);</script></td>
	    <td class="headLine" align="center"><script>putmsg(mInetMac);</script></td>
	    <td class="headLine" align="center"><script>putmsg(mInetIp);</script></td>
	    <td class="headLine" align="center" id="arpSt"><script>putmsg(mStatus);</script></td>
	  </tr>
	<script language="javascript" type="text/javascript">
		var i, j=0;
		var arpList = new Array();

		arpList = arpStr.split(";");

		for (i=0; i<arpList.length; i++) {
			var entry = new Array();
			entry = arpList[i].split(",");
			if (entry.length == 3) {
				if (j%2)
					document.writeln("<tr bgcolor=\""+listBg+"\">");
				else
					document.writeln("<tr>");
				document.writeln("<td align=\"center\">"+(i+1)+"</td>");	
				document.writeln("<td align=\"center\">"+entry[1]+"</td>");	
				document.writeln("<td align=\"center\">"+entry[0]+"</td>");	
				if (entry[2])
					document.writeln("<td align=\"center\">"+(mValid)+"</td>");	
				else
					document.writeln("<td align=\"center\">"+(mInvaid)+"</td>");	
				document.writeln("</tr>");
				j++;
			}
		}
	</script>
	</table>
	<br /><br />
	</fieldset>

	<br />
	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	<tr>
	  <td align="center">
	  	<script>
			document.writeln("<input type='button' class='button' value='"+mBtnRefresh+"' onClick=\"window.location.reload();\">");
		</script>
	  </td>
	</tr>
	</table>
	<br />
    </td>

        
    <td class="help">
       <table class="help" cellPadding="3" cellSpacing="0">
	<tr id="helpHead"><td class="helpMenu"><script>putmsg(mHelp);</script></td></tr>
	<tr><td class="help-item"><script>putmsg(mDhcpCli);</script></td></tr>
	<tr><td><script>putmsg(mIntroDhcpCli);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

	<tr><td class="help-item"><script>putmsg(mArpList);</script></td></tr>
	<tr><td><script>putmsg(mIntroArpList);</script></td></tr>
	</table>
    </td>
    <td class="right-blank">&nbsp;</td>
</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 
       
</div> 

</body>
</html>

