<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="JavaScript" type="text/javascript">
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("inet"); %>
<% websIncludeLang("stainfo"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';     
var opmode = '<% getCfgZero(1, "OperationMode"); %>';

var staListStr = "<% getRaixWlanStaInfo(1); %>";
var staInfoStr = "<% getStaCountInfo(1); %>";

document.title = vendor+" "+model+" - "+mTitleStalist;

function bandSwitch(band)
{
	if (band == 0) { // 5G
		window.location.href = "/info/stainfo.asp";
	}
	else { // 2.4G
		window.location.href = "/info/inic_stainfo.asp";
	}
}

function PageInit()
{
	var txbf = "<% getTxBfBuilt("rai0"); %>";
	var raxABand = "<% getRaxABand(); %>";

	if (raxABand == "0") {
		document.getElementById("dband0").innerHTML = "WLAN (2.4G)";
		document.getElementById("dband1").innerHTML = "WLAN (5G)";
	}

	if (opmode != OPMODE_ETH_CONVERTER && opmode != OPMODE_BRIDGE_CONVERTER) { // WLAN0 sta
		document.getElementById("div_dband").style.visibility = "visible";
		document.getElementById("div_dband").style.display = "";
	}

	if (txbf == "1") {
		document.getElementById("div_info_normal").style.visibility = "hidden";
		document.getElementById("div_info_normal").style.display = "none";
	}
	else {
		document.getElementById("div_info_txbf").style.visibility = "hidden";
		document.getElementById("div_info_txbf").style.display = "none";
	}
}
</script>
</head>

<body onLoad="PageInit();">

<div class="body_div">

<script language="javascript" type="text/javascript" >
	writeHead(lang, ver, "info", "inic_stainfo");
</script> 

<table class="body" cellSpacing="0" cellPadding="0">
<tbody>
<tr>
<td class="left-blank">&nbsp;</td>
<td class="navi" valign="top">
  <script>writeNavi(lang, ver, "info", "inic_stainfo");</script>
</td>
<td class="left" align="center" valign="top">
<table id="div_dband" style="display:none;visibility:hidden;" align="center" class="content" width="80%" cellSpacing="1" cellPadding="3">
  <tr><td align="right"><br />
    <a href="#" onClick="bandSwitch(0);"><span id="dband0">WLAN (5G)</span></a>&nbsp;&nbsp;
    <a href="#" onClick="bandSwitch(1);"><span id="dband1" style="font-weight: bold;">WLAN (2.4G)</span></a>
  </td></tr>
</table>
<br />

<fieldset align="center" style="width:80%;"> 
<legend><script>putmsg(mStalist);</script></legend>  
<br />
<table id="div_info_normal" align="center" class="content" width="90%" cellSpacing="1" cellPadding="3">
  <tr>
    <td class="headLine" align="center"><script>putmsg(mStalistAid);</script></td>
    <td class="headLine" align="center"><script>putmsg(mInetMac);</script></td>
    <td class="headLine" align="center"><script>putmsg(mStalistPsm);</script></td>
    <td class="headLine" align="center"><script>putmsg(mStalistBw);</script></td>
    <td class="headLine" align="center"><script>putmsg(mStalistTime);</script></td>
    <td class="headLine" align="center"><script>putmsg(mStalistMode);</script></td>
  </tr>
  <script language="javascript" type="text/javascript">
		var i, j=0;
		var staList = new Array();

		staList = staListStr.split(";");

		for (i=0; i<staList.length; i++) {
			var entry = new Array();
			entry = staList[i].split(",");
			if (entry.length >= 10) {
				if (j%2)
					document.writeln("<tr bgcolor=\"#eeeeee\">");
				else
					document.writeln("<tr>");
				document.writeln("<td align=\"center\">"+entry[1]+"</td>");	
				document.writeln("<td align=\"center\">"+entry[0]+"</td>");	
				document.writeln("<td align=\"center\">"+entry[2]+"</td>");	
				document.writeln("<td align=\"center\">"+entry[5]+"</td>");	
				document.writeln("<td align=\"center\">"+entry[8]+"</td>");
				document.writeln("<td align=\"center\">"+entry[9]+"</td>");
				document.writeln("</tr>");
				j++;
			}
		}
	</script>
</table>
<table id="div_info_txbf" align="center" class="content" width="90%" cellSpacing="1" cellPadding="3">
  <tr>
    <td class="headLine" align="center"><script>putmsg(mStalistAid);</script></td>
    <td class="headLine" align="center"><script>putmsg(mInetMac);</script></td>
    <td class="headLine" align="center"><script>putmsg(mStalistPsm);</script></td>
    <td class="headLine" align="center"><script>putmsg(mStalistBw);</script></td>
    <td class="headLine" align="center"><script>putmsg(mStalistTime);</script></td>
    <td class="headLine" align="center"><script>putmsg(mStalistMode);</script></td>
  </tr>
  <script language="javascript" type="text/javascript">
		var i, j=0;
		var staList = new Array();

		staList = staListStr.split(";");

		for (i=0; i<staList.length; i++) {
			var entry = new Array();
			entry = staList[i].split(",");
			if (entry.length >= 10) {
				if (j%2)
					document.writeln("<tr bgcolor=\"#eeeeee\">");
				else
					document.writeln("<tr>");
				document.writeln("<td align=\"center\">"+entry[1]+"</td>");	
				document.writeln("<td align=\"center\">"+entry[0]+"</td>");	
				document.writeln("<td align=\"center\">"+entry[2]+"</td>");	
				document.writeln("<td align=\"center\">"+entry[5]+"</td>");	
				document.writeln("<td align=\"center\">"+entry[8]+"</td>");
				document.writeln("<td align=\"center\">"+entry[9]+"</td>");
				document.writeln("</tr>");
				j++;
			}
		}
	</script>
</table>
<br /><br />
</fieldset>

<br /><br />

<fieldset align="center" style="width:80%;">
<legend><script>putmsg(mPacketStalist);</script></legend>
<br />

<table align="center" class="content" width="90%" cellspacing="1" cellpadding="3" id="div_wlan_st">
  <tr>
    <td class="headLine" align="center"><script>putmsg(mStalistAid);</script></td>
    <td class="headLine" align="center"><script>putmsg(mInetMac);</script></td>
    <td class="headLine" align="center"><script>putmsg(mStalistPacketTx);</script></td>
    <td class="headLine" align="center"><script>putmsg(mStalistPacketRx);</script></td>
    <td class="headLine" align="center"><script>putmsg(mStalistByteTx);</script></td>
    <td class="headLine" align="center"><script>putmsg(mStalistByteRx);</script></td>
  </tr>
  
	<script type="text/javascript">
	var i, j=0;
	var staInfoList = new Array();
	staInfoList = staInfoStr.split(";");

	for(i=0; i<staInfoList.length; i++) {
		var entry = new Array();
		entry = staInfoList[i].split(",");
		if (entry.length == 6) {
			if (j%2)
				document.writeln("<tr bgcolor=\"#eeeeee\">");
			else
				document.writeln("<tr>");
			// AID
			document.writeln("<td align=\"center\">"+entry[1]+"</td>");
			// bssid
			document.writeln("<td align=\"center\">"+entry[0]+"</td>");
			// txPac
			document.writeln("<td align=\"center\">"+entry[2]+"</td>");
			// rxPac
			document.writeln("<td align=\"center\">"+entry[3]+"</td>");
			// txBytes
			document.writeln("<td align=\"center\">"+entry[4]+"</td>");
			// rxBytes
			document.writeln("<td align=\"center\">"+entry[5]+"</td>");
			document.writeln("</tr>");
			j++;
		}
	}
	</script>
</table>
<br /><br />
</fieldset>

<br /><br />

<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="0">
  <tr>
    <td align="center"><script>
	 document.write("<input type='button' class='button' value='"+mBtnRefresh+"' onClick='window.location.reload();'>");
    </script></td>
  </tr>
</table>
<br /><br />

</td>

<td class="help">
<table class="help" cellPadding="3" cellSpacing="0">
	<tr id="helpHead"><td class="helpMenu"><script>putmsg(mHelp);</script></td></tr>
        <tr><td class="help-item"><script>putmsg(mStalist);</script></td></tr>
	<tr><td><script>putmsg(mIntroStalist);</script></td></tr>
</table>
</td>

<td class="right-blank">&nbsp;</td>

</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 
       
</div> 
</body>
</html>

