<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("traffic"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var opmode = '<% getCfgZero(1, "OperationMode"); %>';

document.title = vendor+" "+model+" - "+(mTitleTraffic);

// IP,ub,tcp,udp,icmp,others,up,tcp,udp,icmp,others,db,tcp,udp,icmp,others,dp,tcp,udp,icmp,others
var trafficListStr = "<% getTrafficInfo(1); %>";
var trafficListStrRaw = "<% getTrafficInfo(0); %>";
//"192.168.1.100,1.11MB,1.08MB,31.59KB,120B,0B,7258,6877,379,2,0,4.49MB,4.42MB,61.70KB,5.88KB,0B,7024,6634,378,12,0";

</script>

</head>

<body>

<div class="body_div">

<script language="javascript" type="text/javascript" >
	writeHead(lang, ver, "info", "traffic");
</script>                  
      
<table class="body" cellSpacing="0" cellPadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
    <td class="navi" valign="top">
      <script>writeNavi(lang, ver, "info", "traffic");</script>
    </td>
    <td class="left" align="center" valign="top">
    <br />
    <fieldset align="center" style="width:95%;"> 

    <legend><script>putmsg(mTraffic);</script></legend>
    <br /><br />
	<table align="center" class="content" width="96%" border="0" cellSpacing="1" cellPadding="3">
	  <tr>
	    <td class="headLine" rowspan="2" align="center"><script>putmsg(mHost);</script></td>
	    <td class="headLine" rowspan="2" align="center"><script>putmsg(mUpload);</script></td>
	    <td class="headLine" rowspan="2" align="center"><script>putmsg(mDownload);</script></td>
	    <td class="headLine" colspan="2" align="center">TCP</td>
	    <td class="headLine" colspan="2" align="center">UDP</td>
	    <td class="headLine" colspan="2" align="center">ICMP</td>
	    <!-- td class="headLine" colspan="2" align="center"><script>putmsg(mOthers);</script></td -->
	  </tr>
	  <tr>
	    <td class="headLine" align="center"><script>putmsg(mUp);</script></td>
	    <td class="headLine" align="center"><script>putmsg(mDown);</script></td>
	    <td class="headLine" align="center"><script>putmsg(mUp);</script></td>
	    <td class="headLine" align="center"><script>putmsg(mDown);</script></td>
	    <td class="headLine" align="center"><script>putmsg(mUp);</script></td>
	    <td class="headLine" align="center"><script>putmsg(mDown);</script></td>
	    <!-- td class="headLine"><script>putmsg(mUp);</script></td>
	    <td class="headLine"><script>putmsg(mDown);</script></td -->
	  </tr>
	  <script language="javascript" type="text/javascript">
		var i, j=0;
		var trafficList = new Array();

		trafficList = trafficListStr.split(";");
		if (trafficList.length <= 1) {
			document.writeln("<tr><td colspan=\"9\" align=\"center\"><span class=\"comment\">"+mNoTraffic+"</span></td></tr>");
		}
		else {
			var entry = new Array();
			for (i=1; i<trafficList.length; i++) {
				entry = trafficList[i].split(",");
				if (entry.length < 21)
					continue;

				if (j%2)
					document.writeln("<tr bgcolor=\""+listBg+"\">");
				else
					document.writeln("<tr>");
				document.writeln("<td align=\"center\">"+entry[0]+"</td>"); // IP
				document.writeln("<td align=\"center\">"+entry[1]+"</td>"); // ub
				document.writeln("<td align=\"center\">"+entry[11]+"</td>"); // db
				document.writeln("<td align=\"center\">"+entry[2]+"</td>"); // tcp
				document.writeln("<td align=\"center\">"+entry[12]+"</td>"); // tcp
				document.writeln("<td align=\"center\">"+entry[3]+"</td>"); // udp
				document.writeln("<td align=\"center\">"+entry[13]+"</td>"); // udp
				document.writeln("<td align=\"center\">"+entry[4]+"</td>"); // icmp
				document.writeln("<td align=\"center\">"+entry[14]+"</td>"); // icmp
				//document.writeln("<td align=\"center\">"+entry[5]+"</td>"); // others
				//document.writeln("<td align=\"center\">"+entry[15]+"</td>"); // others
				document.writeln("</tr>");
				j++;
			}

			// total
			entry = trafficList[0].split(",");
			if (j%2)
				document.writeln("<tr bgcolor=\""+listBg+"\">");
			else
				document.writeln("<tr>");
			document.writeln("<td align=\"center\">"+mTotal+"</td>"); // IP
			document.writeln("<td align=\"center\">"+entry[1]+"</td>"); // ub
			document.writeln("<td align=\"center\">"+entry[11]+"</td>"); // db
			document.writeln("<td align=\"center\">"+entry[2]+"</td>"); // tcp
			document.writeln("<td align=\"center\">"+entry[12]+"</td>"); // tcp
			document.writeln("<td align=\"center\">"+entry[3]+"</td>"); // udp
			document.writeln("<td align=\"center\">"+entry[13]+"</td>"); // udp
			document.writeln("<td align=\"center\">"+entry[4]+"</td>"); // icmp
			document.writeln("<td align=\"center\">"+entry[14]+"</td>"); // icmp
			//document.writeln("<td align=\"center\">"+entry[5]+"</td>"); // others
			//document.writeln("<td align=\"center\">"+entry[15]+"</td>"); // others
			document.writeln("</tr>");
		}
	</script>

	<tr>
	  <td colspan="9" align="center">
		<br />
  		<form method="get" name="fTraffic" action="/goform/resetTrafficCounters">
	  	<script>
			document.writeln("<input type='button' class='button' value='"+mBtnRefresh+"' onClick=\"window.location.reload();\">&nbsp;&nbsp;");
			document.writeln("<input type='submit' class='button' value='"+mBtnReset+"'>")
		</script>
		</form>
	  </td>
	</tr>
	</table>
	<br />
	</fieldset>
	<br /><br />
    </td>

    <td class="help">
       <table class="help" cellPadding="3" cellSpacing="0">
	<tr id="helpHead"><td class="helpMenu"><script>putmsg(mHelp);</script></td></tr>
	<tr><td class="help-item"><script>putmsg(mTraffic);</script></td></tr>
	<tr><td><script>putmsg(mIntroTraffic);</script></td></tr>
	</table>
    </td>
    <td class="right-blank">&nbsp;</td>
</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 
       
</div> 

</body>
</html>

