<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("ddns"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var opmode = '<% getCfgZero(1, "OperationMode"); %>';
var appdEnable = "<% getAppdEnable(); %>";
var mdAppPort = '<% getCfgGeneral(1, "mobileDevAppPort"); %>';

var rb = <% getRebootFlag(); %>;
document.title = vendor+" "+model+" - "+mDdnsSetting;

var b3322 = <% get3322Built(); %>;
var bOray = <% getOrayBuilt(); %>;
var timerID = "";
var http_request = false;

function updateOrayDdnsInfo()
{
	if (http_request.readyState != 4) {
		return;
	}

        if (http_request.status != 200) {
		return;
	}

	var orayinfo=http_request.responseText;
	var dnsInfo = new Array();

	dnsInfo = orayinfo.split(";");

	if (dnsInfo.length < 3)
		return;

	if (typeof(orayStatus[dnsInfo[1]]) == "undefined")
		document.getElementById("oraystatus").innerHTML = mUnknown; 
	else
		document.getElementById("oraystatus").innerHTML = orayStatus[dnsInfo[1]]; 

	if (typeof(orayUserLevel[dnsInfo[0]]) == "undefined")
		document.getElementById("orayuserlevel").innerHTML = mUnknown; 
	else
		document.getElementById("orayuserlevel").innerHTML = orayUserLevel[dnsInfo[0]]; 

	if (dnsInfo[2] != "-1") {
		var domainArray = new Array();
		var domainList = "";

		domainArray = dnsInfo[2].split(",");
		for (var i=0; i<domainArray.length; i++) {
			if (domainArray[i].length == 0)
				continue;
			if (domainList.length > 0)
				domainList += "<br />";
			domainList += domainArray[i];
		}

		document.getElementById("oraydomainlist").innerHTML = domainList; 
	}
	else {
		document.getElementById("oraydomainlist").innerHTML = " "; 
	}
}

function updateDdnsInfo()
{
	if (http_request.readyState != 4) {
		return;
	}

        if (http_request.status != 200) {
		return;
	}

	var dnsInfo = http_request.responseText;

	if (typeof(orayStatus[dnsInfo]) == "undefined")
		document.getElementById("oraystatus").innerHTML = mUnknown; 
	else
		document.getElementById("oraystatus").innerHTML = orayStatus[dnsInfo];

}

function startOrayRequest()
{
	makeRequest("/goform/getDdnsInfoAjax", "oray", updateOrayDdnsInfo);
}

function startDdnsRequest()
{
	makeRequest("/goform/getDdnsInfoAjax", "ddns", updateDdnsInfo);
}

function DDNSFormCheck()
{
	var idx = document.DDNS1.DDNSProvider.options.selectedIndex;
	var provider = document.DDNS1.DDNSProvider.options[idx].value;

	if (provider != "none") {
		if (document.DDNS1.Account.value == "") {
			alert(AlertInvalidUser);
			document.DDNS1.Account.focus();
			return false;
		}
		if (document.DDNS1.Password.value == "") {
			alert(AlertInvalidPass);
			document.DDNS1.Password.focus();
			return false;
		}
		if (document.DDNS1.DDNS.value == "") {
			alert(AlertInvalidDomain);
			document.DDNS1.DDNS.focus();
			return false;
		}
		if (provider == "oray.cn") {
			var orayu = document.DDNS1.Account.value;
			var orayp = document.DDNS1.Password.value;

			if (orayu.length < 5 || orayu.length > 16) {
				alert(mAlertAccountLength);
				return false;
			}

			if (! /([0-9a-zA-Z-]+)/.test(orayu) ) {
				alert(mAlertAccountInvalid);
				return false;
			}

			if (! /^[0-9a-zA-Z]/.test(orayu) ) {
				alert(mAlertAccountStartChar);
				return false;
			}

			if (orayu.indexOf("--") != -1) {
				alert(mAlertAccountDouble);
				return false;
			}

			if (orayp.length < 6 || orayp.length > 16) {
				alert(mAlertPassLength);
				return false;
			}
		}
		else if (provider == "freedns.afraid.org") {
			if (document.DDNS1.Hash.value == "") {
				alert(AlertInvalidHash);
				document.DDNS1.Hash.focus();
				return false;
			}
		}
	}

	return true;
}

function submit_apply(parm)
{
	document.DDNS1.hiddenButton.value = parm;
	if (parm == "save" || parm == "apply") {
		if (!DDNSFormCheck())
			return;
	}
	document.DDNS1.submit();
}

function DDNSupdateState()
{
	var links = new Array();
	links["none"] = "";
	links["dyndns.org"] = "http://www.dyndns.com";
	links["freedns.afraid.org"] = "http://freedns.afraid.org";
	links["zoneedit.com"] = "http://www.zoneedit.com";
	links["no-ip.com"] = "http://www.no-ip.com";
	links["sitelutions.com"] = "http://www.sitelutions.com";
	links["dnsomatic.com"] = "http://www.dnsomatic.com";
	links["dynsip.org"] = "http://www.dynsip.org";
	links["zerigo.com"] = "http://www.zerigo.com";
	links["3322.org"] = "http://www.pubyun.com";
	links["dyns.cx"] = "http://syns.cx";
	links["ods.org"] = "http://ods.org";
	links["tzo.com"] = "http://www.tzo.com";
	links["dhs.org"] = "http://www.dhs.org";
	links["easydns.com"] = "https://web.easydns.com";
	links["oray.cn"] = "http://console.oray.com/passport/register.html";

	if (timerID != "") {
		clearInterval(timerID);
		timerID = "";
	}

	document.getElementById("mobileDevPortTR").style.visibility = "hidden";
	document.getElementById("mobileDevPortTR").style.display = "none";
	document.getElementById("mdPortIntroHead").style.visibility = "hidden";
	document.getElementById("mdPortIntroHead").style.display = "none";
	document.getElementById("mdPortIntro").style.visibility = "hidden";
	document.getElementById("mdPortIntro").style.display = "none";
	disableTextField(document.DDNS1.AppPort);

	var idx = document.DDNS1.DDNSProvider.options.selectedIndex;
	var provider = document.DDNS1.DDNSProvider.options[idx].value;

	if(idx == 0){
		document.getElementById("dnsregister").style.visibility = "hidden";
		document.getElementById("dnsregister").style.display = "none";
		document.getElementById("linkTR").style.visibility = "hidden";
		document.getElementById("linkTR").style.display = "none";
		document.getElementById("accountTR").style.visibility = "hidden";
		document.getElementById("accountTR").style.display = "none";
		document.getElementById("passwdTR").style.visibility = "hidden";
		document.getElementById("passwdTR").style.display = "none";
		document.getElementById("ddnsTR").style.visibility = "hidden";
		document.getElementById("ddnsTR").style.display = "none";
		document.getElementById("hashTR").style.visibility = "hidden";
		document.getElementById("hashTR").style.display = "none";
		document.getElementById("ddnstypeTR").style.visibility = "hidden";
		document.getElementById("ddnstypeTR").style.display = "none";
		document.getElementById("statusTR").style.visibility = "hidden";
		document.getElementById("statusTR").style.display = "none";
		document.getElementById("userlevelTR").style.visibility = "hidden";
		document.getElementById("userlevelTR").style.display = "none";
		document.getElementById("domainlistTR").style.visibility = "hidden";
		document.getElementById("domainlistTR").style.display = "none";

		disableTextField(document.DDNS1.Account);
		disableTextField(document.DDNS1.Password);
		disableTextField(document.DDNS1.DDNS);
	}
	else {
		var ddnsDomain = "<% getCfgGeneral(1, "DDNS"); %>";
		var selectedValue = provider;
		
		enableTextField(document.DDNS1.Account);
		enableTextField(document.DDNS1.Password);
		enableTextField(document.DDNS1.DDNS);
		enableTextField(document.DDNS1.AppPort);
		document.getElementById("linkdns").href = links[selectedValue];
		document.getElementById("dnsregister").style.visibility = "";
		document.getElementById("dnsregister").style.display = "";
		document.getElementById("accountTR").style.visibility = "visible";
		document.getElementById("accountTR").style.display = style_display_on();
		document.getElementById("passwdTR").style.visibility = "visible";
		document.getElementById("passwdTR").style.display = style_display_on();
		if(appdEnable == 1){
			document.getElementById("mobileDevPortTR").style.visibility = "visible";
			document.getElementById("mobileDevPortTR").style.display = style_display_on();
			document.getElementById("mdPortIntroHead").style.visibility = "visible";
			document.getElementById("mdPortIntroHead").style.display = style_display_on();
			document.getElementById("mdPortIntro").style.visibility = "visible";
			document.getElementById("mdPortIntro").style.display = style_display_on();

			if(mdAppPort == "" || mdAppPort.length == 0){
				mdAppPort = 8018;
			}
			document.DDNS1.AppPort.value = mdAppPort;
		}
		if (selectedValue == "oray.cn") {
			document.getElementById("ddnstypeTR").style.visibility = "hidden";
			document.getElementById("ddnstypeTR").style.display = "none";
			document.getElementById("ddnsTR").style.visibility = "hidden";
			document.getElementById("ddnsTR").style.display = "none";
			document.getElementById("hashTR").style.visibility = "hidden";
			document.getElementById("hashTR").style.display = "none";
			document.getElementById("linkTR").style.visibility = "visible";
			document.getElementById("linkTR").style.display = style_display_on();
			document.getElementById("statusTR").style.visibility = "visible";
			document.getElementById("statusTR").style.display = style_display_on();
			document.getElementById("userlevelTR").style.visibility = "visible";
			document.getElementById("userlevelTR").style.display = style_display_on();
			document.getElementById("domainlistTR").style.visibility = "visible";
			document.getElementById("domainlistTR").style.display = style_display_on();
			document.DDNS1.DDNS.value = "oray.cn";
			document.getElementById("dnsregister").innerHTML = mOrayRegister;
			if (rb == 1) {
				document.DDNS1.login.disabled = true;
				document.DDNS1.logout.disabled = true;
			}
			timerID=setInterval("startOrayRequest()",1000);
		}
		else {
			document.getElementById("linkTR").style.visibility = "hidden";
			document.getElementById("linkTR").style.display = "none";
			document.getElementById("statusTR").style.visibility = "visible";
			document.getElementById("statusTR").style.display = style_display_on();
			document.getElementById("userlevelTR").style.visibility = "hidden";
			document.getElementById("userlevelTR").style.display = "none";
			document.getElementById("domainlistTR").style.visibility = "hidden";
			document.getElementById("domainlistTR").style.display = "none";
			document.getElementById("ddnsTR").style.visibility = "visible";
			document.getElementById("ddnsTR").style.display = style_display_on();

			if (selectedValue == "freedns.afraid.org") {
				document.getElementById("hashTR").style.visibility = "visible";
				document.getElementById("hashTR").style.display = style_display_on();
			}
			else {
				document.getElementById("hashTR").style.visibility = "hidden";
				document.getElementById("hashTR").style.display = "none";
			}

			if (selectedValue == "dyndns.org") {
				document.getElementById("ddnstypeTR").style.visibility = "visible";
				document.getElementById("ddnstypeTR").style.display = style_display_on();
			}
			else {
				document.getElementById("ddnstypeTR").style.visibility = "hidden";
				document.getElementById("ddnstypeTR").style.display = "none";
			}

			document.getElementById("dnsregister").innerHTML = mRegister;
			
			timerID=setInterval("startDdnsRequest()",1000);
			 
			if (ddnsDomain == "oray.cn")
				document.DDNS1.DDNS.value = "";
			else
				document.DDNS1.DDNS.value = ddnsDomain;
		}
	}
}

function initValue()
{
	var olevel = "<% getOrayDdnsInfoASP("userlevel"); %>";
	var ostatus = "<% getOrayDdnsInfoASP("status"); %>"
	var odomain = "<% getOrayDdnsInfoASP("domain"); %>"
	var i;
	var ddns_provider = "<% getCfgGeneral(1, "DDNSProvider"); %>";
	var ddns_type = "<% getCfgZero(1, "DDNSType"); %>";
	var element = document.DDNS1.DDNSProvider;

	element.options.selectedIndex = 0;
	for (i=0; i<element.options.length; i++) {
		if (ddns_provider == element.options[i].value) {
			element.options.selectedIndex = i;
			break;
		}
	}

	if (typeof(orayStatus[ostatus]) == "undefined")
		document.getElementById("oraystatus").innerHTML = mUnknown; 
	else
		document.getElementById("oraystatus").innerHTML = orayStatus[ostatus]; 

	if (typeof(orayUserLevel[olevel]) == "undefined")
		document.getElementById("orayuserlevel").innerHTML = mUnknown; 
	else
		document.getElementById("orayuserlevel").innerHTML = orayUserLevel[olevel]; 

	if (odomain != "-1") {
		var domainArray = new Array();
		var domainList = "";

		domainArray = odomain.split(",");
		for (i=0; i<domainArray.length; i++) {
			if (domainArray[i].length == 0)
				continue;
			if (domainList.length > 0)
				domainList += "<br />";
			domainList += domainArray[i];
		}

		document.getElementById("oraydomainlist").innerHTML = domainList; 
	}

	document.DDNS1.Type[1*ddns_type].checked = true;

	DDNSupdateState();
}

</script>

</head>

<body onLoad="initValue();">

<div class="body_div">

<script language="javascript" type="text/javascript" >
      writeHead(lang, ver, "network", "ddns");
</script>
         
<table class="body" cellSpacing="0" cellPadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
    <td class="navi" valign="top">
      <script>writeNavi(lang, ver, "network", "ddns");</script>
    </td>
    <td class="left" align="center" valign="top">
	<script>writeReboot(rb);</script>
  	<br />
	<form method="post" name="DDNS1" action="/goform/DDNS">
	<input type="hidden" name="hiddenButton" value="">
  	<fieldset align="center" style="width:80%;"> 
    	<legend><script>putmsg(mDdnsSetting);</script></legend>  

      	<table align="center" class="content" width="96%" cellSpacing="0" cellPadding="3">
        <tbody>
        
        <tr>
          <td width="25%">&nbsp;</td>
          <td width="75%">&nbsp;</td>
        </tr>
        
	<tr id="linkTR">
	  <td class="head"><script>putmsg(mDdnsLink);</script>:</td>
	  <td>
	    <a id="linkupgrade" href="http://service.oray.com/" target="_blank"><script>putmsg(mOrayUpgrade);</script></a>
	    <a id="linkhelp" href="http://service.oray.com/" target="_blank"><script>putmsg(mOrayHelp);</script></a>
	  </td>
	</tr>

	<tr>
	  <td class="head"><script>putmsg(mDdnsProvider);</script>:</td>
	  <td>
	    <select onChange="DDNSupdateState();" name="DDNSProvider">
	      <option value="none"><script>putmsg(mRadioDisable);</script></option>
	<script>
		if (bOray == 1)
			document.writeln("<option value=\"oray.cn\">"+mDdnsOray+"</option>");
		if(b3322 == 1) {
			document.writeln("<option value=\"3322.org\">www.3322.org "+mDdns3322+"</option>");
			//document.writeln("<option value=\"dyns.cx\">DyNS</option>");
			document.writeln("<option value=\"ods.org\">ods.org</option>");
			document.writeln("<option value=\"tzo.com\">www.tzo.com</option>");
			document.writeln("<option value=\"dhs.org\">www.dhs.org</option>");
			document.writeln("<option value=\"easydns.com\">easydns.com</option>");
		}
	</script>
	      <option value="dyndns.org">Dyndns.org</option>
	      <option value="freedns.afraid.org">freedns.afraid.org</option>
	      <option value="zoneedit.com">www.zoneedit.com</option>
	      <option value="no-ip.com">www.no-ip.com</option>
	      <option value="sitelutions.com">www.sitelutions.com</option>
	      <option value="dnsomatic.com">www.dnsomatic.com</option>
	      <!-- option value="dynsip.org">www.dynsip.org</option -->
	      <option value="zerigo.com">www.zerigo.com</option>
	    </select>&nbsp;&nbsp;
	    <a id="linkdns" href="http://www.dyndns.com" target="_blank"><span id="dnsregister"><script>putmsg(mRegister);</script></span></a>
	  </td>
	</tr>
	<tr id="ddnstypeTR">
	  <td class="head"><script>putmsg(mDdnsType);</script>:</td>
	  <td>
	    <input type="radio" name="Type" value="0" checked><script>putmsg(mDdnsTypeDefault);</script>&nbsp;&nbsp;
	    <input type="radio" name="Type" value="1"><script>putmsg(mDdnsTypeDynamic);</script>&nbsp;&nbsp;
	    <input type="radio" name="Type" value="2"><script>putmsg(mDdnsTypeCustom);</script>&nbsp;&nbsp;
	    <input type="radio" name="Type" value="3"><script>putmsg(mDdnsTypeStatic);</script>
	  </td>
	</tr>
	<tr id="accountTR">
	  <td class="head"><script>putmsg(mUser);</script>:</td>
	  <td><input size="20" maxlength="32" name="Account" value="<% getCfgGeneral(1, "DDNSAccount"); %>" type="text"> </td>
	</tr>
	<tr id="passwdTR">
	  <td class="head"><script>putmsg(mPasswd);</script>:</td>
	  <td><input size="20" maxlength="32" name="Password" value="<% getCfgGeneral(1, "DDNSPassword"); %>" type="password"> </td>
	</tr>
	<tr id="ddnsTR">
	  <td class="head"><script>putmsg(mDomain);</script>:</td>
	  <td><input size="20" maxlength="63" name="DDNS" value="<% getCfgGeneral(1, "DDNS"); %>" type="text"> </td>
	</tr>
	<tr id="hashTR">
	  <td class="head" valign="top"><script>putmsg(mHash);</script>:</td>
	  <td>
	    <input size="48" maxlength="64" name="Hash" value="<% getCfgGeneral(1, "DDNSHash"); %>" type="text">
	    <br /><span class="comment">(<script>putmsg(mHashIntro);</script>)</span>
	    <br /><img border='1' style='border-color:#dddddd' src="/graphics/hash.png">
	  </td>
	</tr>

	<tr id="mobileDevPortTR">
	  <td class="head" valign="top"><script>putmsg(mMobileDevPort);</script>:</td>
	  <td>
	    <input size="8" maxlength="5" name="AppPort" value="" type="text"><span class="comment">(1-65535)</span>
	  </td>
	</tr>

	<tr><td class="head">&nbsp;</td><td class="tail">&nbsp;</td></tr>    

	<tr id="statusTR">
	  <td class="head"><script>putmsg(mStatus);</script>:</td>
	  <td><span id="oraystatus"></span></td>
	</tr>
	<tr id="userlevelTR">
	  <td class="head"><script>putmsg(mUserLevel);</script>:</td>
	  <td>
	    <span id="orayuserlevel"></span>&nbsp;&nbsp;
	    <script>
		document.writeln("<input type='button' class='button' name='login' value='"+mBtnLogin+"' onClick=\"submit_apply('login');\">&nbsp;&nbsp;");
		document.writeln("<input type='button' class='button' name='logout' value='"+mBtnLogout+"' onClick=\"submit_apply('logout');\">");
	    </script>
	  </td>
	</tr>
	<tr id="domainlistTR">
	  <td class="head" valign="top"><script>putmsg(mDomainList);</script>:</td>
	  <td><span id="oraydomainlist"></span></td>
	</tr>

	<tr>
	  <td align="center" colspan="2">
	  	<script>
		document.writeln("<input type='button' class='button' name='save' value='"+mBtnSave+"' onClick=\"submit_apply('save');\">&nbsp;&nbsp;");
		if (rb == 0)
			document.writeln("<input type='button' class='button' name='apply' value='"+mBtnApply+"' onClick=\"submit_apply('apply');\">&nbsp;&nbsp;");
		document.writeln("<input type='reset' class='button' value='"+mBtnCancel+"' onClick=\"window.location.reload();\">");
		</script>
	  </td>
	</tr>
	</tbody>
	</table>
	</fieldset>
	<br /><br />
	</form>
    </td>

        
    <td class="help">
		<table class="help" cellPadding="3" cellSpacing="0">
		<tr id="helpHead"><td class="helpMenu"><script>putmsg(mHelp);</script></td></tr>
        <tr><td class="help-item"><script>putmsg(mDdnsSetting);</script></td></tr>
		<tr><td><script>putmsg(mIntroDdns);</script></td></tr>
		<tr class="helpHr"><td><hr/></td></tr>

		<tr id="mdPortIntroHead"><td class="help-item"><script>putmsg(mMobileDevPort);</script></td></tr>
		<tr id="mdPortIntro"><td><script>putmsg(mIntroMobileDevPort);</script></td></tr>
		</table>
    </td>
    <td class="right-blank">&nbsp;</td>
</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 
       
</div> 
</body>
</html>

