<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript">
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("systools"); %>

<% getWebsNoClick(); %>

var lang = "<% getCfgGeneral(1, "Language"); %>";
var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var opmode = '<% getCfgZero(1, "OperationMode"); %>';

document.title = vendor+" "+model+" - "+(mSysTools);

function onSysTools()
{
	// TODO: enable the available parameters
	var sel = document.sysTool.tool.options.selectedIndex;

	showTableRow("pingCount", 0);

	if (sel == 0) {
		showTableRow("pingCount", 1);
	}
}

function formSysToolsCheck()
{
	if (document.sysTool.pingCount.value == "" )
	{
		alert(mPingAlert);
		document.sysTool.pingCount.focus();
		document.sysTool.pingCount.select();
		return false;
	}

	if (!isNumOnly(document.sysTool.pingCount.value) || document.sysTool.pingCount.value < 4 || document.sysTool.pingCount.value > 20)
	{
		alert(mPingLimitsAlert);
		document.sysTool.pingCount.focus();
		document.sysTool.pingCount.select();
		return false;
	}
	if (document.sysTool.host.value == "") {
		alert(mIPAddrAlert);
		return false;
	}
	return true;
}

function initValue()
{
	document.sysTool.tool.focus();
	onSysTools();
}

</script>

</head>

<body onLoad="initValue();">
<script language="javascript" type="text/javascript" >
	writeWebsHeader_M(menuAdm.systools, "/m/adm/menu_adm.asp");
</script>

<!-- help div  -->  
<div id="help" class="help">
<script>htitle("htitle");</script>
<div class="hcontent">
  	<div>
	<table cellPadding="3" cellSpacing="0">
    <tr><td class="help-item"><script>putmsg(mSysTools);</script></td></tr>
	<tr><td><script>putmsg(mIntroSystools);</script></td></tr>
	<!--tr class="helpHr"><td><hr/></td></tr-->
	</table>
	</div>
  <script>hclose("hclose");</script>
</div>
</div>
<div style="text-align:right; border-left-style:none;">
    <a href="#" onclick="showHelp();return false;" onfocus="this.blur();" id="btnHelp" class="ahelp"><script>document.writeln(mHelp);</script></a>
</div>
<!-- help div end -->

 <div class="body_div">   
<table class="body" cellSpacing="0" cellPadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>

    <td class="left" align="center" valign="top">
  	<br />
	<form method="post" name="sysTool" action="/goform/sysTools">
  	<fieldset align="center" style="width:95%;"> 
    	<legend><script>putmsg(mSysTools);</script>:</legend>  
		<input type="hidden" name="nextPage" value="m/adm/systools.asp">
	<table align="center" class="content" style="width:80%">
	<tr>
	  <td class="head"><script>putmsg(mSysToolsSelect);</script>:</td>
	  <td>
	  <select name="tool" size="1" onChange="onSysTools();">
	    <option value="0" selected><script>putmsg(mToolPing);</script>
	    <option value="1"><script>putmsg(mToolTraceRt);</script>
	  </select>
	  </td>
	</tr>
	<tr id="pingCount">
	  <td class="head"><script>putmsg(mPingCount);</script>:</td>
	  <td><input type="text" name="pingCount" value="4" size="4" maxlength="2">(4-20)</td>
	</tr>
	<tr id="host">
	  <td class="head"><script>putmsg(mHost);</script>:</td>
	  <td><input type="text" name="host" value="" style="width:121px"></td>
	</tr>
	<tr>
	  <td colspan="2">
	  <textarea style="font-family:Arial,Verdana,Helvetica;font-size:9pt;" cols="45" rows="20" wrap="off" readonly="1">
<% websShowSysToolResults(); %>
	  </textarea>
	  </td>
	</tr>

	<tr>
	  <td colspan="2" align="center"><br />
	  <script>
	    document.writeln("<input type='submit' class='button'name='sumbit' value='"+mBtnOk+"' onClick=\"return formSysToolsCheck();\">&nbsp;&nbsp;");
	    document.writeln("<input type='reset' class='button' name='reset' value='"+mBtnReset+"'>&nbsp;&nbsp;");
	    document.writeln("<input type='submit' class='button' name='repeat' value='"+mSysToolsRepeat+"'>");
	  </script>
	  </td>
	</tr>
	</table>
	<br />
	</fieldset>
	<br />
	</form>
    </td>

   
    <td class="right-blank">&nbsp;</td>
</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 

</div>
</body></html>
