<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("filtering"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var opmode = '<% getCfgZero(1, "OperationMode"); %>';
var rb = <% getRebootFlag(); %>;
document.title = vendor+" "+model+" - "+(mFilterSet);

var layer7fb = "<% getLayer7FilterBuilt(); %>";
var fEnbl = <% getCfgZero(1, "IPPortFilterEnable"); %>;
var fPolicy = <% getCfgZero(1, "DefaultFirewallPolicy"); %>;
var ipFilterEnbl = <% getCfgZero(1, "IPFilterEnable"); %>;
var macFilterEnbl = <% getCfgZero(1, "MACFilterEnable"); %>;
var urlFilterEnbl = <% getCfgZero(1, "URLFilterEnable"); %>;
var hostFilterEnbl = <% getCfgZero(1, "HostFilterEnable"); %>;
var layer7FilterEnbl = <% getCfgZero(1, "Layer7FilterEnable"); %>;

function showHideTableRow(id, show)
{
	if (show) {
		document.getElementById(id).style.visibility = "visible";
		document.getElementById(id).style.display = style_display_on();
	}
	else {
		document.getElementById(id).style.visibility = "hidden";
		document.getElementById(id).style.display = "none";
	}
}

function filterChange()
{
	if (document.FilterSettings.portFilterEnabled[0].checked == true) { // disabled
		showHideTableRow("rPolicyAccept", 0);
		showHideTableRow("rPolicyDrop", 0);
		showHideTableRow("rIp", 0);
		showHideTableRow("rMac", 0);
		showHideTableRow("rUrl", 0);
		showHideTableRow("rHost", 0);
		showHideTableRow("rLayer7", 0);
	}
	else {
		showHideTableRow("rPolicyAccept", 0);
		showHideTableRow("rPolicyDrop", 0);
		showHideTableRow("rIp", 1);
		showHideTableRow("rMac", 1);
		showHideTableRow("rUrl", 1);
		showHideTableRow("rHost", 1);
		if (layer7fb == "1")
			showHideTableRow("rLayer7", 1);
	}
}

function initValue()
{
	document.FilterSettings.portFilterEnabled[1*fEnbl].checked = true;
	document.FilterSettings.defaultFirewallPolicy[1*fPolicy].checked = true;
	document.FilterSettings.ipFilterEnabled[1*ipFilterEnbl].checked = true;
	document.FilterSettings.macFilterEnabled[1*macFilterEnbl].checked = true;
	document.FilterSettings.urlFilterEnabled[1*urlFilterEnbl].checked = true;
	document.FilterSettings.hostFilterEnabled[1*hostFilterEnbl].checked = true;
	document.FilterSettings.layer7FilterEnabled[1*layer7FilterEnbl].checked = true;

	filterChange();
}

</script>

</head>

<body onLoad="initValue();">

<script language="javascript" type="text/javascript" >
	writeWebsHeader_M(menuFirewall.filtering, "/m/firewall/menu_fwf.asp");
</script>
<!-- help div  -->
<div id="help" class="help">
<script>htitle("htitle");</script>
<div class="hcontent">
  <div>
  <table cellPadding="3" cellSpacing="0">
    <tr><td class="help-item"><script>putmsg(mFilterFw);</script></td></tr>
  	<tr><td><script>putmsg(mIntroFilterFw);</script></td></tr>
  	<tr class="helpHr"><td><hr/></td></tr>
  
  	<tr><td class="help-item"><script>putmsg(mFilterIP);</script></td></tr>
  	<tr><td><script>putmsg(mIntroFilterIP);</script></td></tr>
  	<tr class="helpHr"><td><hr/></td></tr>
  
  	<tr><td class="help-item"><script>putmsg(mFilterMac);</script></td></tr>
  	<tr><td><script>putmsg(mIntroFilterMac);</script></td></tr>
  	<tr class="helpHr"><td><hr/></td></tr>
  
  	<tr><td class="help-item"><script>putmsg(mFilterUrl);</script></td></tr>
  	<tr><td><script>putmsg(mIntroFilterUrl);</script></td></tr>
  	<tr class="helpHr"><td><hr/></td></tr>
  
  	<tr><td class="help-item"><script>putmsg(mFilterHost);</script></td></tr>
  	<tr><td><script>putmsg(mIntroFilterHost);</script></td></tr>   
 </table>
  </div>
  <script>hclose("hclose");</script>
</div>
</div>

<div style="text-align:right; border-left-style:none;">
    <a href="#" onclick="showHelp();return false;" onfocus="this.blur();" id="btnHelp" class="ahelp"><script>document.writeln(mHelp);</script></a>
</div>
<!-- help div end -->                 
<div class="body_div">       
<table class="body" cellSpacing="0" cellPadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
    <td class="navi" valign="top">
      <script>writeNavi(lang, ver, "firewall", "filtering");</script>
    </td>
    <td class="left" align="center" valign="top">
	<script>writeReboot(rb);</script>
  	<br />
  	<form method="post" name="FilterSettings" action="/goform/BasicSettings">
	<input type="hidden" name="nextPage" value="m/firewall/filtering.asp">
  	<fieldset align="center" style="width:95%;"> 
    	<legend><script>putmsg(mFilterSet);</script></legend>  

      	<table align="center" class="content" width="92%" cellSpacing="0" cellPadding="3">
        <tbody>
        
        <tr>
          <td colspan="2">&nbsp;</td>
        </tr>
        
	<tr>
		<td width="50%" class="head"><script>putmsg(mFilterFw);</script>:</td>
		<td>
			<input type="radio" value="0" name="portFilterEnabled" onClick="filterChange();"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
			<input type="radio" value="1" name="portFilterEnabled" onClick="filterChange();"><script>putmsg(mRadioEnable);</script>
	    	</td>
	</tr>

	<tr id="rPolicyAccept" style="display:none;visibility:hidden;">
		<td class="head"><script>putmsg(mPolicyDft);</script>:</td>
		<td>
			<input type="radio" name="defaultFirewallPolicy" value="0">
			<script>putmsg(mPolicyAcc);</script>:
			<script>putmsg(mPolicyAccDesc);</script>
		</td>
	</tr>
	<tr id="rPolicyDrop" style="display:none;visibility:hidden;">
		<td>&nbsp;</td>
		<td>
			<input type="radio" name="defaultFirewallPolicy" value="1">
			<script>putmsg(mPolicyDrop);</script>:
			<script>putmsg(mPolicyDropDesc);</script>
		</td>
	</tr>

	<tr id="rIp" style="display:none;visibility:hidden;">
		<td class="head"><script>putmsg(mFilterIP);</script>:</td>
		<td>
			<input type="radio" name="ipFilterEnabled" value="0"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
			<input type="radio" name="ipFilterEnabled" value="1"><script>putmsg(mRadioEnable);</script>
		</td>
	</tr>

	<tr id="rMac" style="display:none;visibility:hidden;">
		<td class="head"><script>putmsg(mFilterMac);</script>:</td>
		<td>
			<input type="radio" name="macFilterEnabled" value="0"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
			<input type="radio" name="macFilterEnabled" value="1"><script>putmsg(mRadioEnable);</script>
		</td>
	</tr>

	<tr id="rUrl" style="display:none;visibility:hidden;">
		<td class="head"><script>putmsg(mFilterUrl);</script>:</td>
		<td>
			<input type="radio" name="urlFilterEnabled" value="0"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
			<input type="radio" name="urlFilterEnabled" value="1"><script>putmsg(mRadioEnable);</script>
		</td>
	</tr>

	<tr id="rHost" style="display:none;visibility:hidden;">
		<td class="head"><script>putmsg(mFilterHost);</script>:</td>
		<td>
			<input type="radio" name="hostFilterEnabled" value="0"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
			<input type="radio" name="hostFilterEnabled" value="1"><script>putmsg(mRadioEnable);</script>
		</td>
	</tr>

	<tr id="rLayer7" style="display:none;visibility:hidden;">
		<td class="head"><script>putmsg(mFilterLayer7);</script>:</td>
		<td>
			<input type="radio" name="layer7FilterEnabled" value="0"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
			<input type="radio" name="layer7FilterEnabled" value="1"><script>putmsg(mRadioEnable);</script>
		</td>
	</tr>

	<tr>
          <td colspan="2">&nbsp;</td>
        </tr>    
        </tbody>
       </table>

	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	<tr>
	  <td align="center"><script>
	  document.writeln("<input type='submit' class='button' name='save' value='"+mBtnSave+"'>&nbsp;&nbsp;");
	  if (rb == 0)
	    document.write("<input type='submit' class='button' value='"+mBtnApply+"' name='apply'> &nbsp;&nbsp;");
	  document.write("<input type='reset' class='button' value='"+mBtnCancel+"' name='cancel' onClick='window.location.reload();'>");
	  </script></td>
	</tr>
	</table>
	</fieldset>
	</form>
	<br /><br /><br />
    <br /><br />
    </td>
 <td class="right-blank">&nbsp;</td>
</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 
       
</div> 

</body>
</html>

