<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("inet"); %>
<% websIncludeLang("stainfo"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';     
var opmode = '<% getCfgZero(1, "OperationMode"); %>';

var staListStr = "<% getWlanStaInfo(1); %>";
var staInfoStr = "<% getStaCountInfo(); %>";

document.title = vendor+" "+model+" - "+mTitleStalist;

function bandSwitch(band)
{
	if (band == 0) { // WLAN0
		window.location.href = "/m/info/stainfo.asp";
	}
	else { // WLAN1
		window.location.href = "/m/info/inic_stainfo.asp";
	}
}

function PageInit()
{
	var rtdevB = "<% getRtDevBuilt(); %>";
	var raxABand = "<% getRaxABand(); %>";

	if (rtdevB == "1") {
		document.getElementById("div_dband").style.visibility = "visible";
		document.getElementById("div_dband").style.display = "";
		if (raxABand == "0") {
			document.getElementById("dband0").innerHTML = "WLAN (2.4G)";
			document.getElementById("dband1").innerHTML = "WLAN (5G)";
		}
	}
}

</script>

</head>

<body onLoad="PageInit();">


<script language="javascript" type="text/javascript" >
	writeWebsHeader_M(menuInfo.stalist, "/m/info/menu_info.asp");
</script> 
  
<!-- help div  -->
<div id="help" class="help">
<script>htitle("htitle");</script>
<div class="hcontent">
  	<div>
    <table cellPadding="3" cellSpacing="0">
    <tr><td class="help-item"><script>putmsg(mStalist);</script></td></tr>
	<tr><td><script>putmsg(mIntroStalist);</script></td></tr>
    </table>
	</div>
  <script>hclose("hclose");</script>
</div>
</div>

<div style="text-align:right; border-left-style:none;">
    <a href="#" onclick="showHelp();return false;" onfocus="this.blur();" id="btnHelp" class="ahelp"><script>document.writeln(mHelp);</script></a>
</div>
<!-- help div end -->

<div class="body_div">
<table class="body" cellSpacing="0" cellPadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
    <td class="left" align="center" valign="top">
      	<table id="div_dband" style="display:none;visibility:hidden;" align="center" class="content" width="80%" cellSpacing="1" cellPadding="3">
	<tr><td align="right"><br />
	  <a href="#" onClick="bandSwitch(0);"><span id="dband0" style="font-weight: bold;">WLAN (5G)</span></a>&nbsp;&nbsp;
	  <a href="#" onClick="bandSwitch(1);"><span id="dband1">WLAN (2.4G)</span></a>
	</td></tr>
	</table>
  	<br />
  	<fieldset align="center" style="width:95%;"> 
    	<legend><script>putmsg(mStalist);</script></legend>  
        <br />
      	<table align="center" class="content" width="95%" cellSpacing="1" cellPadding="3">
        <tbody>
        <tr>
          <!--td class="headLine" align="center" id="stalistIndex"></td-->
          <td class="headLine" align="center"><script>putmsg(mStalistAid);</script></td>
          <!--<td class="headLine" align="center"><script>putmsg(mInetMac);</script></td>
          <td class="headLine" align="center"><script>putmsg(mStalistPsm);</script></td>
          <td class="headLine" align="center"><script>putmsg(mStalistBw);</script></td>
          <td class="headLine" align="center"><script>putmsg(mStalistTime);</script></td>
          <td class="headLine" align="center"><script>putmsg(mStalistMode);</script></td>-->
		  <td class="headLine" align="center"><script>putmsg(mStalist);</script></td>
          <!--td class="head" align="center">MCS</td-->
          <!--td class="head" align="center">SGI</td-->
          <!--td class="head" align="center">STBC</td-->
        </tr>
	<script language="javascript" type="text/javascript">
		var i, j=0;
		var staList = new Array();

		staList = staListStr.split(";");

		for (i=0; i<staList.length; i++) {
			var entry = new Array();
			entry = staList[i].split(",");
			if (entry.length >= 10) {
				if (j%2)
					document.writeln("<tr bgcolor=\""+listBg+"\">");
				else
					document.writeln("<tr>");
				//document.writeln("<td align=\"center\">"+(i+1)+"</td>");	
				document.writeln("<td align=\"center\">"+entry[1]+"</td>");	
				document.writeln("<td>");
				putmsg(mInetMac);putmsg('( ');document.writeln(entry[0]);putmsg(' ),&nbsp;&nbsp;');	
				putmsg(mStalistPsm);putmsg('( ');document.writeln(entry[2]);putmsg(' ),&nbsp;&nbsp;');	
				putmsg(mStalistBw);putmsg('( ');document.writeln(entry[5]);putmsg(' ),&nbsp;&nbsp;');
				putmsg(mStalistTime);putmsg('( ');document.writeln(entry[8]);putmsg(' ),&nbsp;&nbsp;');
				putmsg(mStalistMode);putmsg('( ');document.writeln(entry[9]);putmsg(' )&nbsp;&nbsp;');
				document.write("</td>");
				document.writeln("</tr>");
				j++;
			}
		}
	</script>
        </tbody>
       </table>
       <br /><br />
       	</fieldset>
       <br /><br />

	<fieldset align="center" style="width:95%;">
	<legend><script>putmsg(mPacketStalist);</script></legend>
	<br />
	<table align="center" class="content" width="95%" cellspacing="1" cellpadding="3" id="div_wlan_st">
	  <tr>
        <td class="headLine" align="center"><script>putmsg(mStalistAid);</script></td>
	    <!--<td class="headLine" align="center"><script>putmsg(mInetMac);</script></td>
	    <td class="headLine" align="center"><script>putmsg(mStalistPacketTx);</script></td>
	    <td class="headLine" align="center"><script>putmsg(mStalistPacketRx);</script></td>
	    <td class="headLine" align="center"><script>putmsg(mStalistByteTx);</script></td>
	    <td class="headLine" align="center"><script>putmsg(mStalistByteRx);</script></td>-->
		<td class="headLine" align="center"><script>putmsg(mPacketStalist);</script></td>
	  </tr>
	  
		<script type="text/javascript">
		var i, j=0;
		var staInfoList = new Array();
		staInfoList = staInfoStr.split(";");

		for(i=0; i<staInfoList.length; i++) {
			var entry = new Array();
			entry = staInfoList[i].split(",");
			if (entry.length >= 6) {
				if (j%2)
					document.writeln("<tr bgcolor=\""+listBg+"\">");
				else
					document.writeln("<tr>");
				// AID
				document.writeln("<td align=\"center\">"+entry[1]+"</td>");
				document.writeln("<td>");
				// bssid
				putmsg(mInetMac);putmsg('( ');document.writeln(entry[0]);putmsg(' ),&nbsp;&nbsp;');
				// txPac
				putmsg(mStalistPacketTx);putmsg('( ');document.writeln(entry[2]);putmsg(' ),&nbsp;&nbsp;');
				// rxPac
				putmsg(mStalistPacketRx);putmsg('( ');document.writeln(entry[3]);putmsg(' ),&nbsp;&nbsp;');
				// txBytes
				putmsg(mStalistByteTx);putmsg('( ');document.writeln(entry[4]);putmsg(' ),&nbsp;&nbsp;');
				// rxBytes
				putmsg(mStalistByteRx);putmsg('( ');document.writeln(entry[5]);putmsg(' )&nbsp;&nbsp;');
				document.write("</td>");
				document.writeln("</tr>");
				j++;
			}
		}
		</script>
	</table>
	<br /><br />
	</fieldset>
	<br /><br />
         <table align="center" class="content" width="90%" cellSpacing="0" cellPadding="0">
	  <tr>
	    <td align="center"><script>
		 document.write("<input type='button' class='button' value='"+mBtnRefresh+"' onClick='window.location.reload();'>");
	    </script></td>
	  </tr>
	</table>
	<br /><br />
  </td>

   
    <td class="right-blank">&nbsp;</td>
</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 
       
</div> 

</body>
</html>

