<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/jdefines.js"); %>
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("statistic"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var opmode = '<% getCfgZero(1, "OperationMode"); %>';

var timerID;
var http_request = false;

document.title = vendor+" "+model+" - "+mStatsTitle;

//JCG guochaoguo
function updateWanRxPac()
{
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
		document.getElementById("wanRxPac").innerHTML =http_request.responseText;
		makeRequest("/goform/getRxBytes", "1", updateWanRxBytes);
        }
    }
}

//JCG guochaoguo
function updateWanRxBytes()
{
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
		document.getElementById("wanRxBytes").innerHTML =http_request.responseText;
		makeRequest("/goform/getTxPac", "1", updateWanTxPac);
        }
    }
}

//JCG guochaoguo
function updateWanTxPac()
{
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
		document.getElementById("wanTxPac").innerHTML =http_request.responseText;
		makeRequest("/goform/getTxBytes", "1", updateWanTxBytes);
        }
    }
}

//JCG guochaoguo
function updateWanTxBytes()
{
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
		document.getElementById("wanTxBytes").innerHTML =http_request.responseText;
		makeRequest("/goform/getRxPac", "2", updateLanRxPac);
        }
    }
}

//JCG guochaoguo
function updateLanRxPac()
{
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
		document.getElementById("lanRxPac").innerHTML =http_request.responseText;
		makeRequest("/goform/getRxBytes", "2", updateLanRxBytes);
        }
    }
}

//JCG guochaoguo
function updateLanRxBytes()
{
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
		document.getElementById("lanRxBytes").innerHTML =http_request.responseText;
		makeRequest("/goform/getTxPac", "2", updateLanTxPac);
        }
    }
}

//JCG guochaoguo
function updateLanTxPac()
{
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
		document.getElementById("lanTxPac").innerHTML =http_request.responseText;
		makeRequest("/goform/getTxBytes", "2", updateLanTxBytes);
        }
    }
}

//JCG guochaoguo
function updateLanTxBytes()
{
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
		document.getElementById("lanTxBytes").innerHTML =http_request.responseText;
        }
    }
}

function chStatistic()
{
	if (opmode == OPMODE_BRIDGE || opmode == OPMODE_BRIDGE_CONVERTER || opmode == OPMODE_BRIDGE_APCLI || opmode == OPMODE_APCLI)
		makeRequest("/goform/getRxPac", "2", updateLanRxPac);
	else
		makeRequest("/goform/getRxPac", "1", updateWanRxPac);
}

function PageInit()
{
	if (opmode == OPMODE_BRIDGE || opmode == OPMODE_BRIDGE_CONVERTER || opmode == OPMODE_BRIDGE_APCLI || opmode == OPMODE_APCLI) {
		document.getElementById("div_wan_st").style.visibility = "hidden";
		document.getElementById("div_wan_st").style.display = "none";
	}

	timerID=setInterval("chStatistic()",3000);
}

</script>

</head>

<body onLoad="PageInit();">

<script language="javascript" type="text/javascript" >
	writeWebsHeader_M(menuInfo.statistics, "/m/info/menu_info.asp");
</script>     
<!-- help div  -->
<div id="help" class="help">
<script>htitle("htitle");</script>
<div class="hcontent">
  	<div>    
    <table cellPadding="3" cellSpacing="0">
    <tr><td class="help-item"><script>putmsg(mStatsTitle);</script></td></tr>
	<tr><td><script>putmsg(mStatsIntro);</script></td></tr>
	</table>
	</div>
  <script>hclose("hclose");</script>
</div>
</div>

<div style="text-align:right; border-left-style:none;">
    <a href="#" onclick="showHelp();return false;" onfocus="this.blur();" id="btnHelp" class="ahelp"><script>document.writeln(mHelp);</script></a>
</div>
<!-- help div end -->

<div class="body_div">
<table class="body" cellSpacing="0" cellPadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
   
    <td class="left" align="center" valign="top">
  	<br />

	<fieldset align="center" style="width:95%;" id="div_wan_st"> 
    	<legend id="statisticWAN"><script>putmsg(mStatsWan);</script></legend>
      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tbody>
        
        <tr><td width="40%">&nbsp;</td><td>&nbsp;</td>
        </tr>
        
	<tr>
	  <td class="head"><script>putmsg(mStatsRxPackets);</script>:</td>
	  <td><span id="wanRxPac"><% getWANRxPacketASP(); %></span></td>
	</tr>
	<tr>
	  <td class="head"><script>putmsg(mStatsRxBytes);</script>:</td>
	  <td><span id="wanRxBytes"><% getWANRxByteASP(); %></span></td>
	</tr>
	<tr>
	  <td class="head"><script>putmsg(mStatsTxPackets);</script>:</td>
	  <td><span id="wanTxPac"><% getWANTxPacketASP(); %></span></td>
	</tr>
	<tr>
	  <td class="head"><script>putmsg(mStatsTxBytes);</script>:</td>
	  <td><span id="wanTxBytes"><% getWANTxByteASP(); %></span></td>
	</tr>
        </tbody>
       </table>
 </fieldset>
	<br />

 <fieldset align="center" style="width:95%;"> 
    	<legend id="statisticLAN"><script>putmsg(mStatsLan);</script></legend>  

      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tbody>
        
        <tr><td width="40%">&nbsp;</td><td>&nbsp;</td></tr>
  
	<tr>
	  <td class="head"><script>putmsg(mStatsRxPackets);</script>:</td>
	  <td><span id="lanRxPac"><% getLANRxPacketASP(); %></span></td>
	</tr>
	<tr>
	  <td class="head"><script>putmsg(mStatsRxBytes);</script>:</td>
	  <td><span id="lanRxBytes"><% getLANRxByteASP(); %></span></td>
	</tr>
	<tr>
	  <td class="head"><script>putmsg(mStatsTxPackets);</script>:</td>
	  <td><span id="lanTxPac"><% getLANTxPacketASP(); %></span></td>
	</tr>
	<tr>
	  <td class="head"><script>putmsg(mStatsTxBytes);</script>:</td>
	  <td><span id="lanTxBytes"><% getLANTxByteASP(); %></span></td>
	</tr>
        </tbody>
       </table>
  </fieldset>

	<br />
	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	<tr>
	  <td align="center">
	  	<script>
			document.writeln("<input type='button' class='button' value='"+mBtnRefresh+"' onClick=\"window.location.reload();\">");
		</script>
	  </td>
	</tr>
	</table>
	<br />

    </td>
    <td class="right-blank">&nbsp;</td>
</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 
       
</div> 

</body>
</html>

