<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<style>
.bselected {font-weight: bold;}
</style>

<% getWebsHeader(); %>
      
<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/jdefines.js"); %>
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("inet"); %>
<% websIncludeLang("time_date"); %>
<% websIncludeLang("status"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var opmode = '<% getCfgZero(1, "OperationMode"); %>';
var opmodeB = "<% getOpModeBuilt(); %>";

var ethtoolb = "<% getETHTOOLBuilt(); %>";
var lanreverse = '<% getLanPortReverseBuilt(); %>';
var wlanB = '<% getWlanBuilt(); %>';
var rtdevB = "<% getRtDevBuilt(); %>";
var raxABand = "<% getRaxABand(); %>";
var wanMode = "<% getCfgGeneral(1, "wanConnectionMode"); %>";
var staticIp = "<% getCfgGeneral(1, "wan_ipaddr"); %>";
var staticNetmask = "<% getCfgGeneral(1, "wan_netmask"); %>";
var staticGateway = "<% getCfgGeneral(1, "wan_gateway"); %>";
var staticPriDns = "<% getCfgGeneral(1, "wan_primary_dns"); %>";
var staticSecDns = "<% getCfgGeneral(1, "wan_secondary_dns"); %>";
var radio_on = '<% getWlanStatus(0); %>';
var radio1_on = '<% getWlanStatus(1); %>';

var l2tp_mode = '<% getCfgZero(1, "wan_l2tp_mode"); %>';
var pptp_mode = '<% getCfgZero(1, "wan_pptp_mode"); %>';
var vpn_status = "<% getVpnStatus("tunnel-status"); %>";

var timerID;
var http_request = false;
var wan_Status = "<% getWanStatusASP(); %>";
var count = 1;
var upTime = <% getSysUptime(); %>;
var cpub = "<% getCpuBuilt(); %>";
var cpu = "<% getCpuUsage(); %>";
var memb = "<% getMemInfoBuilt(); %>";
var memTotal = parseInt("<% getMemTotalASP(); %>");
var memLeft = parseInt("<% getMemLeftASP(); %>"); 

document.title = vendor+" "+model+" - "+(mStatusTitle);

function showWanConnectionStatus(id, wanStatus)
{
	var e = document.getElementById(id);

	if (wanStatus == WAN_STATUS_LINK_DOWN) {
		e.innerHTML = (mStaLinkdown);
	}
	else if (wanStatus == WAN_STATUS_LINK_UP) {
		e.innerHTML = (mLinkup);
	}
	else if (wanStatus == WAN_STATUS_CONNECTING) {
		e.innerHTML = (mConnecting);
	}
	else if (wanStatus == WAN_STATUS_CONNECTED) {
		e.innerHTML = (mConnected);
	}
	else if (wanStatus == WAN_STATUS_TIMEOUT) {
		e.innerHTML = (mTimeout);
	}
	else if (wanStatus == WAN_STATUS_PPP_AUTH_FAILED) {
		e.innerHTML = (mPppAuthFail);
	}
	else if (wanStatus == WAN_STATUS_DISCONNECTED) {
		e.innerHTML = (mDisconnected);
	}
	else if (wanStatus == WAN_STATUS_PPP_LINK_DOWN) {
		e.innerHTML = (mPppLinkDown);
	}
	else if (wanStatus == WAN_STATUS_PPP_NEGOTIATING) {
		e.innerHTML = (mPppNegotiating);
	}
	else if (wanStatus == WAN_STATUS_PPP_IDLE_TIMEOUT) {
		e.innerHTML = (mPppIdleTimeout);
	}
	else if (wanStatus == WAN_STATUS_PPP_FAKE_CONNECTED) {
		e.innerHTML = (mPppFakeConnected);
	}
	else if (wanStatus == WAN_STATUS_LOOPBACK) {
		e.innerHTML = (mLoopback);
	}
	else if (wanStatus == WAN_STATUS_PPP_DEFAULT_ACCOUNT) {
		e.innerHTML = (mPppDefaultAccount);
	}
	else {
		e.innerHTML = (mUnknown) + " (" + wanStatus + ")";
	}
}

//JCG guochaoguo
function updateSysUptime()
{
	var time = getTime(upTime);
	var time_str = time["day"]+mDay+time["hour"]+mHour+time["min"]+mMinute+time["sec"]+mSecond;

	document.getElementById("sysuptime").innerHTML = time_str;
}

function updateWanStatus()
{
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
            var wanStaus=http_request.responseText;
	     showWanConnectionStatus("wanstatus", wanStaus);

	     if (opmode == OPMODE_BRIDGE_APCLI)     		
		 return;	
/*
	     if (wanMode == WAN_TYPE_STATIC)     		
		 return;	
*/

	     if (wanStaus != WAN_STATUS_CONNECTED && wanStaus != WAN_STATUS_PPP_IDLE_TIMEOUT && wanStaus != WAN_STATUS_PPP_FAKE_CONNECTED) {	     		
		 hiddenWanInfo();
	     }
	     else{
	    	 makeRequest("/goform/getWanUpTimeAjax", "wanuptime", updateWanUpTime);
	     }
        } 
    }
}

function updateWanUpTime()
{
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
		if(http_request.responseText!="-1"){
			var time = getTime(http_request.responseText);
			var time_str = time["day"]+mDay+time["hour"]+mHour+time["min"]+mMinute+time["sec"]+mSecond;
	    		document.getElementById("wanUptime").innerHTML = time_str;
		}
		if (wanMode == WAN_TYPE_DHCP)
	    		makeRequest("/goform/getWanLeaseTimeAjax", "wanleasetime", updateWanLeaseTime);
		else
	    		makeRequest("/goform/getWanIpAjax", "wanip", updateWanIp);
        }
    }
}

function updateWanLeaseTime()
{
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
		if(http_request.responseText!="-1"){
			var time = getTime(http_request.responseText);
			var time_str = time["day"]+mDay+time["hour"]+mHour+time["min"]+mMinute+time["sec"]+mSecond;
	    		document.getElementById("wanLease").innerHTML = time_str;
		}
	    	makeRequest("/goform/getWanIpAjax", "wanip", updateWanIp);
        }
    }
}

function updateWanIp()
{
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
		if(http_request.responseText!="-1"){
	    		 document.getElementById("wanIp").innerHTML =http_request.responseText;
		}
		makeRequest("/goform/getWanNetmaskAjax", "wanmask", updateWanMask);
        }
    }
}

function updateWanMask()
{
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
            if(http_request.responseText!="")
	      document.getElementById("wanmask").innerHTML =http_request.responseText;
	    makeRequest("/goform/getSysGatewayAjax", "sysgateway", updateWanGw);
        } 
    }
}

function updateWanGw()
{
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
		if(http_request.responseText!="-1"){
	     		document.getElementById("defaultgw").innerHTML =http_request.responseText;
		}
		makeRequest("/goform/getSysDnsAjax", "0", updateWanPriDns);
        } 
    }
}

function updateWanPriDns()
{
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
		if(http_request.responseText!="-1"){
	     		document.getElementById("pridns").innerHTML =http_request.responseText;
		}
		makeRequest("/goform/getSysDnsAjax", "1", updateWanSecDns);
        } 
    }
}

function updateWanSecDns()
{
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
		if(http_request.responseText!="-1"){
	    		document.getElementById("secdns").innerHTML =http_request.responseText;
		}
		if (wanMode == WAN_TYPE_PPTP || wanMode == WAN_TYPE_L2TP)
			makeRequest("/goform/getVpnStatusAjax", "1", updateVpnStatus);
	} 
    }
}

function updateVpnStatus()
{
	if (http_request.readyState != 4)
		return;

	if (http_request.status != 200)
		return;

	if(http_request.responseText == "-1")
		return;

	var statusStr = http_request.responseText;
	var statusArray = new Array();

	statusArray = statusStr.split(",");

	if (statusArray.length < 6)
		return;

	var time = getTime(statusArray[4]);
	var time_str = time["day"]+mDay+time["hour"]+mHour+time["min"]+mMinute+time["sec"]+mSecond;
	document.getElementById("vpnuptime").innerHTML = time_str;
	showWanConnectionStatus("vpnstatus", statusArray[0])
	document.getElementById("vpnip").innerHTML = statusArray[1];
	document.getElementById("vpnnm").innerHTML = statusArray[2];
	document.getElementById("vpngw").innerHTML = statusArray[3];
	
	if (statusArray[5] != "0") {
		time = getTime(statusArray[5]);
		time_str = time["day"]+mDay+time["hour"]+mHour+time["min"]+mMinute+time["sec"]+mSecond;
	    	document.getElementById("vpnlease").innerHTML = time_str;
	}
}

//JCG guochaoguo
function updatePortSt()
{
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
		var str =http_request.responseText;
		var all = new Array();

		if(str != "-1"){
			all = str.split(",");
			for(var i=0; i< all.length-1; i+=3){
				var imagename1="image"+i;
				if(all[i] == "1"){
					if(all[i+1] == "10")
						 document.getElementById(imagename1).src ="/graphics/10.gif";
					else if(all[i+1] == "100")
						 document.getElementById(imagename1).src ="/graphics/100.gif";
				}
				else if(all[i] == "0"){
					document.getElementById(imagename1).src ="/graphics/empty.gif";
				}
			}
		}

		if (opmode == OPMODE_BRIDGE || opmode == OPMODE_BRIDGE_CONVERTER) {
			// no status for bridge
			return;
		}
                makeRequest("/goform/getWanStatusAjax", "wanstatus", updateWanStatus);
        } 
    }
}

function setProcessBar(val)
{
	var all = new Array();

	all = val.split(",");
	average = all[0];
	sys = all[1];
	user = all[2];
	idle = all[3];
	document.getElementById("cpuUsage").innerHTML = average+"%";
	document.getElementById("cpuProcessBar").style.width = average+"%";
	if (average <= 30)
	document.getElementById("cpuProcessBar").className = "green-value";
	else if (average > 30 && average <= 60)
	document.getElementById("cpuProcessBar").className = "blue-value";
	else
	document.getElementById("cpuProcessBar").className = "red-value";
}

function startCpuRequest()
{
	makeRequest("/goform/getCpuUsageAjax", "0", updateCpuUsage);
}


function updateCpuUsage()
{
	var all = new Array();

	if (http_request.readyState == 4) {
		if (http_request.status == 200) {
			setProcessBar(http_request.responseText);
			startRequest();
		}
	}
}

//JCG guochaoguo
function startRequest()
{
	var tmp = 0;
	updateSysUptime();
	upTime++;
	if (count <= 0) {
		count = 3;
		if (memb == "1")
			makeRequest("/goform/getMemLeft", "0", updateMemLeft);
		else if (ethtoolb == "1")
			makeRequest("/goform/getPortStatusAjax", "state", updatePortSt);
		else if (opmode != OPMODE_BRIDGE && opmode != OPMODE_BRIDGE_CONVERTER)
                	makeRequest("/goform/getWanStatusAjax", "wanstatus", updateWanStatus);
	}
	count--;
}

function updateMemLeft()
{
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
		memeryProcessBar(http_request.responseText);
		if (ethtoolb == "1") {
			makeRequest("/goform/getPortStatusAjax", "state", updatePortSt);
		}
		else if (opmode != OPMODE_BRIDGE && opmode != OPMODE_BRIDGE_CONVERTER) {
                	makeRequest("/goform/getWanStatusAjax", "wanstatus", updateWanStatus);
		}
        }
    }
}

function memeryProcessBar(sta)
{
	var memutilization;
	memLeft = parseInt(sta);
	memutilization =parseInt((memTotal-memLeft)*100/memTotal);
	document.getElementById("MemoryRate").innerHTML = memutilization+"%";
	document.getElementById("MemoryProcessBar").style.width = memutilization+"%";
	if (memutilization <= 30)
	document.getElementById("MemoryProcessBar").className = "green-value";
	else if (memutilization > 30 && memutilization <= 60)
	document.getElementById("MemoryProcessBar").className = "blue-value";
	else
	document.getElementById("MemoryProcessBar").className = "red-value"
}

function showOpMode()
{
	var e = document.getElementById("statusOpModev");
	if (opmode == OPMODE_BRIDGE)
		e.innerHTML = (mOpmodeB);
	else if (opmode == OPMODE_GATEWAY)
		e.innerHTML = (mOpmodeG);
	else if (opmode == OPMODE_ETH_CONVERTER)
		e.innerHTML = (mOpmodeE);
	else if (opmode == OPMODE_APCLI)
		e.innerHTML = (mOpmodeA);
	else if (opmode == OPMODE_BRIDGE_CONVERTER)
		e.innerHTML = (mOpmodeBE);
	else if (opmode == OPMODE_3G_GATEWAY)
		e.innerHTML = (mOpmodeT);
	else if (opmode == OPMODE_BRIDGE_APCLI)
		e.innerHTML = (mOpmodeBA);
	else
		e.innerHTML = (mOpmodeUnknown);
}

function showPortStatus()
{
	var str = "<% getPortStatus(); %>";
	var all = new Array();

	if(str == "-1"){
		document.write((mNotSupported));
		return ;
	}

	all = str.split(",");
	for(i=0; i< all.length-1; i+=3){
		var imagename="image"+i;
		if(i==0 && (opmode == OPMODE_GATEWAY || opmode == OPMODE_BRIDGE_CONVERTER || opmode == OPMODE_BRIDGE_APCLI)) {
			document.write("<td bgcolor=\"#4ba8d4\" align=\"center\" width=20%>");
		}
		else {
			document.write("<td bgcolor=\"#ffff00\" align=\"center\" width=20%>");
		}

		if(all[i] == "1"){
			if(all[i+1] == "10")
				document.write("<img id="+imagename+" src=/graphics/10.gif> &nbsp;&nbsp;");
			else if(all[i+1] == "100")
				document.write("<img id="+imagename+" src=/graphics/100.gif>&nbsp;&nbsp; ");

//			if(all[i+2] == "F")
//				document.write("Full ");
//			else(all[i+2] == "H")
//				document.write("Half ");
		}
		else if(all[i] == "0"){
			document.write("<img id="+imagename+" src=/graphics/empty.gif>&nbsp;&nbsp; ");
		}
		document.write("</td>");
	}
}

function showWanConnectionMode()
{
	var e = document.getElementById("statusWanMode");

	if (wanMode == WAN_TYPE_STATIC) {
		e.innerHTML = (mModeStatic);
	}
	else if (wanMode == WAN_TYPE_DHCP) {
		e.innerHTML = (mModeDhcp);
	}
	else if (wanMode == WAN_TYPE_PPPOE) {
		e.innerHTML = (mModePppoe);
	}
	else if (wanMode == WAN_TYPE_L2TP) {
		e.innerHTML = (mModeL2tp);
	}
	else if (wanMode == WAN_TYPE_PPTP) {
		e.innerHTML = (mModePptp);
	}
	else if (wanMode == WAN_TYPE_3G) {
		e.innerHTML = (mMode3G);
	}
	else {
		e.innerHTML = (mModeUnknown);
	}
}

function hiddenWanInfo()
{
	document.getElementById("wanUptime").innerHTML = mInvalid;
	document.getElementById("wanLease").innerHTML = mInvalid; 
	document.getElementById("wanIp").innerHTML = "0.0.0.0";
	document.getElementById("wanmask").innerHTML = "0.0.0.0";
	document.getElementById("defaultgw").innerHTML = "0.0.0.0";
	document.getElementById("pridns").innerHTML = "0.0.0.0";
	document.getElementById("secdns").innerHTML = "0.0.0.0";
}

function showHideVpnStatus(show)
{
	var style_visibility = show ? "visible" : "hidden";
	var style_display = show ? style_display_on() : "none";

	document.getElementById("rvpnmode").style.display = style_display;
	document.getElementById("rvpnmode").style.visibility = style_visibility;
	document.getElementById("rvpnstatus").style.display = style_display;
	document.getElementById("rvpnstatus").style.visibility = style_visibility;
	document.getElementById("rvpnip").style.display = style_display;
	document.getElementById("rvpnip").style.visibility = style_visibility;
	document.getElementById("rvpnnm").style.display = style_display;
	document.getElementById("rvpnnm").style.visibility = style_visibility;
	document.getElementById("rvpngw").style.display = style_display;
	document.getElementById("rvpngw").style.visibility = style_visibility;
	document.getElementById("rvpnuptime").style.display = style_display;
	document.getElementById("rvpnuptime").style.visibility = style_visibility;
	document.getElementById("rvpnlease").style.display = style_display;
	document.getElementById("rvpnlease").style.visibility = style_visibility;
}

function showWlanSecInfo(band)
{
	var authMode = "<% getCfgNthGeneral(1, "AuthMode", 0); %>";
	var encrypType = "<% getCfgNthGeneral(1, "EncrypType", 0); %>";
	var wep8021 = "<% getCfgNthGeneral(1, "IEEE8021X", 0); %>";
	var authObj = document.getElementById("wlsecmode");

	if (band == 1) {
		authMode = "<% getCfg2NthGeneral(1, "AuthMode", 0); %>";
		encrypType = "<% getCfg2NthGeneral(1, "EncrypType", 0); %>";
		wep8021 = "<% getCfg2NthGeneral(1, "IEEE8021X", 0); %>";
		authObj = document.getElementById("wlsecmode1");
	}

	if (authMode == "Disable") {
		authObj.innerHTML = mRadioDisable;
	}
	else if (authMode == "OPEN" || authMode == "SHARED" || authMode == "WEPAUTO" || authMode == "IEEE8021X") {
		if (authMode == "OPEN") {
			if (wep8021 == "1") {
				authObj.innerHTML = mWlanIeee8021x + " (" + encrypType + ")";
				return;
			}
			else if(encrypType == "NONE")
				authObj.innerHTML = mRadioDisable;
			else
				authObj.innerHTML = mWlanOpen + " (" + encrypType +")";
		}
		else if (authMode == "SHARED")
			authObj.innerHTML = mWlanShared + " (" + encrypType + ")";
		else// if (autoMode == "WEPAUTO")
			authObj.innerHTML = mWlanWepauto + " (" + encrypType + ")";
	}
	else if (authMode == "WPAPSK" || authMode == "WPA2PSK" || authMode == "WPAPSKWPA2PSK") {
		if (authMode == "WPAPSK")
			authObj.innerHTML = mWlanWpapsk + " (" + encrypType + ")";
		else if (authMode == "WPA2PSK")
			authObj.innerHTML = mWlanWpa2psk + " (" + encrypType + ")";
		else //if (authMode == "WPAPSKWPA2PSk")
			authObj.innerHTML = mWlanWpapskwpa2psk + " (" + encrypType + ")";
	}
	else if (authMode == "WPA" || authMode == "WPA2" || authMode == "WPA1WPA2") {
		if (authMode == "WPA")
			authObj.innerHTML = mWlanWpa + " (" + encrypType + ")";
		else if (authMode == "WPA2")
			authObj.innerHTML = mWlanWpa2 + " (" + encrypType + ")";
		else if (authMode == "WPA1WPA2")
			authObj.innerHTML = mWlanWpa1wpa2 + " (" + encrypType + ")";
	}
}

function bandSwitch(band)
{
	if (band == 0) { // 5G
		document.getElementById("dband0").className = "bselected";
		document.getElementById("dband1").className = "";

		document.getElementById("wlan0").style.visibility = "visible";
		document.getElementById("wlan0").style.display = "";
		document.getElementById("wlan1").style.visibility = "hidden";
		document.getElementById("wlan1").style.display = "none";
	}
	else {
		document.getElementById("dband0").className = "";
		document.getElementById("dband1").className = "bselected";

		document.getElementById("wlan0").style.visibility = "hidden";
		document.getElementById("wlan0").style.display = "none";
		document.getElementById("wlan1").style.visibility = "visible";
		document.getElementById("wlan1").style.display = "";
	}
}

function fwAuthStatusShow()
{
	if (http_request.readyState == 4) {
        	if (http_request.status == 200) {
                	var fwAuthRes = parseInt(http_request.responseText);
			if(isNaN(fwAuthRes)){
				alert("getSoftwareAuthAjax: responseText Error!!!");
				return;
			} else if(fwAuthRes == 2){
				document.getElementById("fwAuth").style.visibility = "hidden";
        			document.getElementById("fwAuth").style.display = "none";
			} else{
				document.getElementById("fwAuth").style.visibility = "visible";
        			document.getElementById("fwAuth").style.display = "";
				if(fwAuthRes == 1){
					document.getElementById("statusFwAuth").innerHTML = (mFwAuthYes);
				
				} else{
					document.getElementById("statusFwAuth").innerHTML = (mFwAuthNo);
					document.getElementById("statusFwAuth").style.color = "red";
				}
			}
        	}
    	}		
}

function PageInit()
{
	var swatchdog='<% getSoftWatchdogBuilt(); %>';
	var builtdate = "<% getCfg0General(1, "bdate"); %>";
	var bootVer = "<% getCfg0General(1, "bootv"); %>";

	if (bootVer == "") {
		document.getElementById("bootv").style.display = "none";
		document.getElementById("bootv").style.visibility = "hidden";
	}

	if (builtdate == "") {
		document.getElementById("tUptime").style.display = "none";
		document.getElementById("tUptime").style.visibility = "hidden";
	}
	else {
		var i;
		var mStr = "";
		var dStr = "";
		var dateArray = new Array();
		var mArray = ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"];
		dateArray = builtdate.split(" ");
		if (dateArray.length == 4) { // Skip the spacing
			dateArray[1] = dateArray[2];
			dateArray[2] = dateArray[3];
		}

		for (i=0; i<mArray.length; i++) {
			if (dateArray[0] == mArray[i]) {
				i++;
				break;
			}
		}

		if (i < 9)
			mStr = "0"+i;
		else
			mStr = i;

		if (dateArray[1] < 9)
			dStr = "0"+dateArray[1];
		else
			dStr = dateArray[1];

		document.getElementById("bdate").innerHTML = dateArray[2]+"-"+mStr+"-"+dStr;
	}

	if (swatchdog == '1') {
		document.getElementById("tUptime").style.display = "none";
		document.getElementById("tUptime").style.visibility = "hidden";
	}

	updateSysUptime();

	if (opmodeB == "1") {
		document.getElementById("rOpMode").style.visibility = "visible";
		document.getElementById("rOpMode").style.display = style_display_on();
		showOpMode();
	}
	showWanConnectionMode();
	showWanConnectionStatus("wanstatus", wan_Status);

	if (opmode == OPMODE_BRIDGE || opmode == OPMODE_BRIDGE_CONVERTER || opmode == OPMODE_BRIDGE_APCLI
		|| !(wanMode == WAN_TYPE_PPTP || wanMode == WAN_TYPE_L2TP)) {
		showHideVpnStatus(0);
	}
	else if (wanMode == WAN_TYPE_PPTP || wanMode == WAN_TYPE_L2TP) {
		var vpn_mode = l2tp_mode;
		if (wanMode == WAN_TYPE_PPTP)
			vpn_mode = pptp_mode;

		showHideVpnStatus(1);

		document.getElementById("vpnstatus").innerHTML = mUnknown;
		document.getElementById("vpnuptime").innerHTML = mInvalid;
		document.getElementById("vpnlease").innerHTML = mInvalid;

		if (vpn_mode == '0') {
			document.getElementById("vpnmode").innerHTML = mModeStatic;
			document.getElementById("rvpnlease").style.display = "none";
			document.getElementById("rvpnlease").style.visibility = "hidden";
		}
		else {
			document.getElementById("vpnmode").innerHTML = mModeDhcp;
		}
	}

	if (opmode == OPMODE_BRIDGE || opmode == OPMODE_BRIDGE_CONVERTER || opmode == OPMODE_BRIDGE_APCLI
		|| wan_Status != WAN_STATUS_CONNECTED) {
	 	hiddenWanInfo();
	}
	else
	{
		var wan_ipadd = "<% getWanIpASP(); %>";
		var wan_mask = "<% getWanNetmaskASP(); %>";
		var wan_gw = "<% getWanGatewayASP(); %>";
		var wan_pdns = "<% getSysDnsASP(0); %>";
		var wan_sdns = "<% getSysDnsASP(1); %>";
		
		document.getElementById("wanUptime").innerHTML = mGettingInfo;
		document.getElementById("wanLease").innerHTML = mGettingInfo;
		document.getElementById("wanIp").innerHTML = wan_ipadd ;
		document.getElementById("wanmask").innerHTML = wan_mask ;
		document.getElementById("defaultgw").innerHTML = wan_gw;
		document.getElementById("pridns").innerHTML = wan_pdns ;
		document.getElementById("secdns").innerHTML = wan_sdns;

	}
	
	if (ethtoolb == "1")
	{
		document.getElementById("div_ethtool").style.visibility = "visible";
		//document.getElementById("div_ethtool").style.display = style_display_on();
	}
	else
	{
		document.getElementById("div_ethtool").style.visibility = "hidden";
		document.getElementById("div_ethtool").style.display = "none";
	}

	if (opmode == OPMODE_BRIDGE || opmode == OPMODE_BRIDGE_CONVERTER || opmode == OPMODE_BRIDGE_APCLI) {
		document.getElementById("statusWanMode").innerHTML = mUnsupported;
		if (opmode != OPMODE_BRIDGE_APCLI)
			document.getElementById("wanstatus").innerHTML = mUnsupported;
		document.getElementById("wanmac").innerHTML = " ";
	}

	if (wanMode == WAN_TYPE_STATIC) {
    		document.getElementById("wanIp").innerHTML = staticIp;
    		document.getElementById("wanmask").innerHTML = staticNetmask;
     		document.getElementById("defaultgw").innerHTML = staticGateway;
     		document.getElementById("pridns").innerHTML = staticPriDns;
    		document.getElementById("secdns").innerHTML = staticSecDns;
	}

	if (wanMode == WAN_TYPE_DHCP) {
		document.getElementById("tLease").style.visibility = "visible";
		document.getElementById("tLease").style.display = style_display_on();
	}

	if (cpub == "1") {
		setProcessBar(cpu);
		timerID=setInterval("startCpuRequest()", 1000);
	}
	else {
		document.getElementById("cpuinfo").style.visibility = "hidden";
		document.getElementById("cpuinfo").style.display = "none";
		timerID=setInterval("startRequest()", 1000);
	}

	if (memb == "1") {
		memeryProcessBar(memLeft);
	}
	else {
		document.getElementById("meminfo").style.visibility = "hidden";
		document.getElementById("meminfo").style.display = "none";
	}

	if (wlanB == '1') {
		if (opmode != OPMODE_BRIDGE_CONVERTER && opmode != OPMODE_ETH_CONVERTER) {
			var channel = '<% getCfgGeneral(1, "Channel"); %>';
			if (channel == '0')
				document.getElementById('wlchannel').innerHTML = mWlanAuto;
			showWlanSecInfo(0);
		}

		if (rtdevB == "1") {
			var channel = '<% getCfg2General(1, "Channel"); %>';
			if (channel == '0')
				document.getElementById('wlchannel1').innerHTML = mWlanAuto;
			showWlanSecInfo(1);

			document.getElementById("div_dband").style.visibility = "visible";
			document.getElementById("div_dband").style.display = "";

			if (raxABand == "0") {
				document.getElementById("dband0").innerHTML = "WLAN (2.4G)";
				document.getElementById("dband1").innerHTML = "WLAN (5G)";
			}

			bandSwitch(0);
		}
	}
	else {
		document.getElementById("wlan_status").style.visibility = "hidden";
		document.getElementById("wlan_status").style.display = "none";
	}

	makeRequest("/goform/getSoftwareAuthAjax", "n/a", fwAuthStatusShow);
}
</script>

</head>

<body onLoad="PageInit();">

<script language="javascript" type="text/javascript" >
	writeWebsHeader_M(menuInfo.status, "/m/info/menu_info.asp");
</script>  

<!-- help div  -->
<div id="help" class="help">
<script>htitle("htitle");</script>
<div class="hcontent">
  	<div>    
    <table cellPadding="3" cellspacing="0">
    <tr><td class="help-item"><script>putmsg(mStatusTitle);</script></td></tr>
    <tr><td><script>putmsg(mIntroStatus);</script></td></tr>
    </table>
	</div>
  <script>hclose("hclose");</script>
</div>
</div>

<div style="text-align:right; border-left-style:none;">
    <a href="#" onclick="showHelp();return false;" onfocus="this.blur();" id="btnHelp" class="ahelp"><script>document.writeln(mHelp);</script></a>
</div>
<!-- help div end -->

<div class="body_div">
<table class="body" cellSpacing="0" cellPadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
    
    <td class="left" align="center" valign="top">
  	<br />

  	<fieldset align="center" style="width:95%;"> 
    	<legend><script>putmsg(mInfoTitle);</script></legend>  
      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tbody>
        
	<tr>
	  <td class="head" width="50%"><script>putmsg(mStaModel);</script>:</td>
	  <td><% getSysInfo("modelDisp"); %>&nbsp;</td>
	</tr>
	<!--tr>
	  <td class="head" id="statusSDKVersion">SDK Version:</td>
	  <td>&nbsp;</td>
	</tr-->
	<tr>
	  <td class="head"><script>putmsg(mstaFirmwareVersion);</script>:</td>
	  <td><% getVersionInfo("versionDisp"); %>.<% getVersionInfo("build"); %> (<% getInternalCode(); %>.<% getSdkVersion(); %>)</td>
	</tr>
	<tr id="bootv">
	  <td class="head"><script>putmsg(mstaBootVersion);</script>:</td>
	  <td>
	    <% getCfg0General(1, "bootv"); %>-<% getCfg0General(1, "rbootv"); %> &nbsp;
	    (<span id="bdate"><% getCfg0General(1, "bdate"); %></span>)
	  </td>
	</tr>
	<tr id="tUptime">
	  <td class="head"><script>putmsg(mStaSystemUptime);</script>:</td>
	  <td id="sysuptime"><% getSysUptime(); %></td>
	</tr>
	<!--tr>
	  <td class="head" id="statusSysPlatform">System Platform:</td>
	  <td><% getPlatform(); %></td>
	</tr-->
	<tr id="rOpMode" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(mOpmode);</script>:</td>
	  <td id="statusOpModev"></td>
	</tr>
	<tr id="fwAuth" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(mFwAuthStatus);</script>:</td>
	  <td id="statusFwAuth"></td>
	</tr>
	<tr id="meminfo">
	  <td class="head"><script>putmsg(mStaMemoryUtilization);</script>:</td>
	  <td>
	    <div class="process-bar">
              <div class="pb-text" id="MemoryRate"></div>
              <div id="MemoryProcessBar" class="pb-value"></div>
            </div>
	  </td>
	</tr>
	<tr id="cpuinfo">
	  <td class="head"><script>putmsg(mStaCPUAverage);</script>:</td>
	  <td>
	    <div class="process-bar">
              <div class="pb-text" id="cpuUsage"></div>
              <div id="cpuProcessBar" class="pb-value"></div>
            </div>    
	  </td>
	</tr>
  
        </tbody>
       </table>
	</fieldset>

  	<br />

    	<fieldset id="wan_statu" align="center" style="width:95%;"> 
    	<legend><script>putmsg(mStaInternetConfig);</script></legend>  
      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tbody>
        
 	<tr>
 	  <td class="head" width="50%"><script>putmsg(mWanMode);</script>:</td>
 	  <td id="statusWanMode"></td>
 	</tr>
 	<tr>
           <td class="head"><script>putmsg(mWanStatus);</script>:</td>
	   <td id="wanstatus"></td>
	</tr>
 	<tr>
 	  <td class="head"><script>putmsg(mUptime);</script>:</td>
 	  <td><span id="wanUptime">&nbsp;</span></td>
 	</tr>
 	<tr id="tLease" style="display:none;visibility:hidden;">
 	  <td class="head"><script>putmsg(mLease);</script>:</td>
 	  <td><span id="wanLease">&nbsp;</span></td>
 	</tr>
 	<tr>
 	  <td class="head"><script>putmsg(mInetIp);</script>:</td>
 	  <td><span id="wanIp"></span>&nbsp;</td>
 	</tr>
 	<tr>
 	  <td class="head"><script>putmsg(mInetMask);</script>:</td>
 	  <td><span id="wanmask"></span>&nbsp;</td>
 	</tr>
 	<tr>
 	  <td class="head"><script>putmsg(mInetGw);</script>:</td>
 	  <td><span id="defaultgw"></span>&nbsp;</td>
 	</tr>
 	<tr>
 	  <td class="head"><script>putmsg(mDnsPri);</script>:</td>
 	  <td><span id="pridns"></span>&nbsp;</td>
 	</tr>
 	<tr>
 	  <td class="head"><script>putmsg(mDnsSec);</script>:</td>
 	  <td><span id="secdns"></span>&nbsp;</td>
 	</tr>
 	<tr id="rvpnmode" style="display:none;visibility:hidden">
 	  <td class="head">VPN <script>putmsg(mVpnMode);</script>:</td>
 	  <td><span id="vpnmode"></span>&nbsp;</td>
        </tr>
 	<tr id="rvpnstatus" style="display:none;visibility:hidden">
 	  <td class="head">VPN <script>putmsg(mWanStatus);</script>:</td>
 	  <td><span id="vpnstatus"></span>&nbsp;</td>
        </tr>
 	<tr id="rvpnuptime" style="display:none;visibility:hidden">
 	  <td class="head">VPN <script>putmsg(mUptime);</script>:</td>
 	  <td><span id="vpnuptime"></span>&nbsp;</td>
        </tr>
 	<tr id="rvpnip" style="display:none;visibility:hidden">
 	  <td class="head">VPN <script>putmsg(mInetIp);</script>:</td>
 	  <td><span id="vpnip"><% getVpnStatus("tunnel-ip"); %></span>&nbsp;</td>
        </tr>
 	<tr id="rvpnnm" style="display:none;visibility:hidden">
 	  <td class="head">VPN <script>putmsg(mInetMask);</script>:</td>
 	  <td><span id="vpnnm"><% getVpnStatus("tunnel-netmask"); %></span>&nbsp;</td>
        </tr>
 	<tr id="rvpngw" style="display:none;visibility:hidden">
 	  <td class="head">VPN <script>putmsg(mInetGw);</script>:</td>
 	  <td><span id="vpngw"><% getVpnStatus("tunnel-gateway"); %></span>&nbsp;</td>
        </tr>
 	<tr id="rvpnlease" style="display:none;visibility:hidden">
 	  <td class="head">VPN <script>putmsg(mLease);</script>:</td>
 	  <td><span id="vpnlease"></span>&nbsp;</td>
        </tr>
 	<tr>
 	  <td class="head"><script>putmsg(mInetMac);</script>:</td>
 	  <td><span id="wanmac"><% getWanMacASP(); %></span>&nbsp;</td>
 	</tr>
   
        </tbody>
       </table>
	</fieldset>

  	<br />
  
  	<fieldset align="center" style="width:95%;"> 
    	<legend><script>putmsg(mStaLocalNetwork);</script></legend>  
      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tbody>
        
	<tr>
	  <td class="head" width="50%"><script>putmsg(mInetIp);</script>:</td>
	  <td><% getLanIpASP(); %>&nbsp;</td>
	</tr>
	<tr>
	  <td class="head"><script>putmsg(mInetMask);</script>:</td>
	  <td><% getLanNetmaskASP(); %>&nbsp;</td>
	</tr>
	<tr>
	  <td class="head"><script>putmsg(mInetMac);</script>:</td>
	  <td><% getLanMacASP(); %>&nbsp;</td>
	</tr>
        <tr>
          <td class="head"><script>putmsg(mNumHost);</script>:</td>
          <td><a href="/m/info/dhcpcliinfo.asp"><span class="status" id="lanhostnum"><% getHostNumASP(); %></span></a></td>
        </tr>
  
        </tbody>
       </table>
	</fieldset>

	<div id="wlan_status">
	<br />

  	<fieldset align="center" style="width:95%;"> 
    	<legend id="wllegend"><script>putmsg(mStaWlanNetwork);</script></legend>
      	<table id="div_dband" style="display:none;visibility:hidden;" align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tr><td width="50%">&nbsp;</td><td>
	  <a href="#" onClick="bandSwitch(0);"><span id="dband0">WLAN (5G)</span></a>&nbsp;&nbsp;
	  <a href="#" onClick="bandSwitch(1);"><span id="dband1">WLAN (2.4G)</span></a>
        </table>

      	<table id="wlan0" align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tbody>

        <tr>
          <td class="head" width="50%"><script>putmsg(mWlanNetwork);</script>:</td>
          <script>
            var radioStr = (radio_on == '1') ? mRadioOn : mRadioOff;
            document.writeln("<td>"+radioStr+"</td>");
          </script>
        </tr>
	<tr>
          <td class="head"><script>putmsg(mWlanSsid);</script>:</td>
          <td><% getCfgToHTML(1, "SSID1"); %></td>
        </tr>
        <tr>
          <td class="head"><script>putmsg(mWlanChannel);</script>:</td>
          <td><span id="wlchannel"><% getCfgGeneral(1, "Channel"); %></span></td>
        </tr>
        <tr>
          <td class="head"><script>putmsg(mWlanSecMode);</script>:</td>
          <td><span id="wlsecmode"></span></td>
        </tr>
        <tr>
          <td class="head"><script>putmsg(mInetMac);</script>:</td>
          <td><% getWlanCurrentMac(); %></td>
        </tr>
        <tr>
          <td class="head"><script>putmsg(mNumSta);</script>:</td>
          <td><a href="/m/info/stainfo.asp"><span class="status"><% getStaNumASP(0); %></span></a></td>
        </tr>
        </tbody>
        </table>

        <table id="wlan1" style="display:none;visibility:hidden;" align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tbody>

        <tr>
          <td class="head" width="50%"><script>putmsg(mWlanNetwork);</script>:</td>
          <script>
            var radioStr = (radio1_on == '1') ? mRadioOn : mRadioOff;
            document.writeln("<td>"+radioStr+"</td>");
          </script>
        </tr>
	<tr>
          <td class="head"><script>putmsg(mWlanSsid);</script>:</td>
          <td><% getCfg2ToHTML(1, "SSID1"); %></td>
        </tr>
        <tr>
          <td class="head"><script>putmsg(mWlanChannel);</script>:</td>
          <td><span id="wlchannel1"><% getCfg2General(1, "Channel"); %></span></td>
        </tr>
        <tr>
          <td class="head"><script>putmsg(mWlanSecMode);</script>:</td>
          <td><span id="wlsecmode1"></span></td>
        </tr>
        <tr>
          <td class="head"><script>putmsg(mInetMac);</script>:</td>
          <td><% getInicCurrentMac(); %></td>
        </tr>
        <tr>
          <td class="head"><script>putmsg(mNumSta);</script>:</td>
          <td><a href="/m/info/inic_stainfo.asp"><span class="status"><% getStaNumASP(1); %></span></a></td>
        </tr>
        </tbody>
        </table>
        </fieldset>
	</div>

	<br />
  
  	<fieldset id="div_ethtool" align="center" style="width:95%;"> 
    	<legend><script>putmsg(mStaEthernetPort);</script></legend>  
      	<table width="90%" cellSpacing="0" cellPadding="0" align="center">
          <tr>
	  <script>
	  if (opmode == OPMODE_GATEWAY) {
   	  	document.writeln("<td bgcolor=\"#4ba8d4\" align=\"center\" width=20%><B>WAN</B></td>");
	  }
	  else {
		if (lanreverse == '1')
   	  		document.writeln("<td bgcolor=\"#ffff00\" align=\"center\" width=20%><B>LAN5</B></td>");
		else
   	  		document.writeln("<td bgcolor=\"#ffff00\" align=\"center\" width=20%><B>LAN0</B></td>");
	  }
	  for (var i=1; i<5; i++) {
		if (lanreverse == '1')
   	  		document.writeln("<td bgcolor=\"#ffff00\" align=\"center\" width=20%><B>LAN"+(5-i)+"</B></td>");
		else
   	  		document.writeln("<td bgcolor=\"#ffff00\" align=\"center\" width=20%><B>LAN"+i+"</B></td>");
	  }
	  </script>
	  </tr>
	
	<tr>
	    <script type="text/javascript">
	       showPortStatus();
	    </script>
	<tr>
		<td width="15%" align="center" class="bold"><script>putmsg(mStaLinkdown);</script></td>
          <td width="15%" align="center"><B>10M</B></td>
          <td width="15%" align="center"><B>100M</B></td>          
       </tr>
	  <td width="15%" align="center"><img src="/graphics/empty.gif"></td>
	  <td width="15%" align="center"><img src="/graphics/10.gif"></td> 
	  <td width="15%" align="center"><img src="/graphics/100.gif"></td>	  
	</tr>
        </table>
	</fieldset>

	<br />
	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	<tr>
	  <td align="center">
	  	<script>
			document.writeln("<input type='button' class='button' value='"+mBtnRefresh+"' onClick=\"window.location.reload();\">");
		</script>
	  </td>
	</tr>
	</table>
  <br />
  </td>

  
  <td class="right-blank">&nbsp;</td>
</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 
       
</div> 

</body>
</html>

