<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript">
<% websIncludeFile("comm/jdefines.js"); %>
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("inet"); %>
<% websIncludeLang("basic"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';     
var opmode = '<% getCfgZero(1, "OperationMode"); %>';
var rb = <% getRebootFlag(); %>;

document.title = vendor+" "+model+" - "+mTitleWlanBasic;

var PhyMode  = '<% getCfg2Zero(1, "WirelessMode"); %>';
var HiddenSSID  = '<% getCfg2Zero(1, "HideSSID"); %>';
var max_bssid_num = '<% getMaxBssidNum(); %>';
var APIsolated = '<% getCfg2Zero(1, "NoForwarding"); %>';
var mbssidapisolated = '<% getCfg2Zero(1, "NoForwardingBTNBSSID"); %>';

var ChIdx  = '<% getInicChannel(); %>';
var fxtxmode = '<% getCfg2General(1, "FixedTxMode"); %>';
var CntyCd = '<% getCfg2General(1, "CountryCode"); %>';
var CntyRegion = '<% getCfg2General(1, "CountryRegion"); %>';
var CntyRegionA = '<% getCfg2General(1, "CountryRegionABand"); %>';
var ht_mode = '<% getCfg2Zero(1, "HT_OpMode"); %>';
var ht_bw = '<% getCfg2Zero(1, "HT_BW"); %>';
var vht_bw = '<% getCfg2Zero(1, "VHT_BW"); %>';
var ht_gi = '<% getCfg2Zero(1, "HT_GI"); %>';
var ht_stbc = '<% getCfg2Zero(1, "HT_STBC"); %>';
var ht_mcs = '<% getCfg2Zero(1, "HT_MCS"); %>';
var ht_htc = '<% getCfg2Zero(1, "HT_HTC"); %>';
var ht_rdg = '<% getCfg2Zero(1, "HT_RDG"); %>';
//var ht_linkadapt = '<% getCfg2Zero(1, "HT_LinkAdapt"); %>';
var ht_extcha = '<% getCfg2Zero(1, "HT_EXTCHA"); %>';
var ht_amsdu = '<% getCfg2Zero(1, "HT_AMSDU"); %>';
var ht_autoba = '<% getCfg2Zero(1, "HT_AutoBA"); %>';
var ht_badecline = '<% getCfg2Zero(1, "HT_BADecline"); %>';
var draft3b = '<% getRaix11nDraft3Built(); %>';
var ht_disallow_tkip = '<% getCfg2Zero(1, "HT_DisallowTKIP"); %>';
var ht_2040_coexit = '<% getCfg2Zero(1, "HT_BSSCoexistence"); %>';
var ht_ldpc = '<% getCfg2Zero(1, "HT_LDPC"); %>';
var ht_f_40mhz = '<% getCfg2Zero(1, "HT_40MHZ_INTOLERANT"); %>';
var vht_stbc = '<% getCfg2Zero(1, "VHT_STBC"); %>';
var vht_sgi = '<% getCfg2Zero(1, "VHT_SGI"); %>';
var vht_bw_signal = '<% getCfg2Zero(1, "VHT_BW_SIGNAL"); %>';
var vht_ldpc = '<% getCfg2Zero(1, "VHT_LDPC"); %>';
//var wifi_optimum = '<!--#include ssi=getWlanWiFiTest()-->';
var apcli_include = '0';
var tx_stream_idx = '<% getCfg2Zero(1, "HT_TxStream"); %>';
var rx_stream_idx = '<% getCfg2Zero(1, "HT_RxStream"); %>';
var txrxStream = '<% getRaixHTStream(); %>';
var AC = "<% getRaixAC(); %>";

ChannelList_24G = new Array(14);
ChannelList_24G[0] = "1"; //"2412MHz (Channel 1)";
ChannelList_24G[1] = "2"; //"2417MHz (Channel 2)";
ChannelList_24G[2] = "3"; //"2422MHz (Channel 3)";
ChannelList_24G[3] = "4"; //"2427MHz (Channel 4)";
ChannelList_24G[4] = "5"; //"2432MHz (Channel 5)";
ChannelList_24G[5] = "6"; //"2437MHz (Channel 6)";
ChannelList_24G[6] = "7"; //"2442MHz (Channel 7)";
ChannelList_24G[7] = "8"; //"2447MHz (Channel 8)";
ChannelList_24G[8] = "9"; //"2452MHz (Channel 9)";
ChannelList_24G[9] = "10"; //"2457MHz (Channel 10)";
ChannelList_24G[10] = "11"; //"2462MHz (Channel 11)";
ChannelList_24G[11] = "12"; //"2467MHz (Channel 12)";
ChannelList_24G[12] = "13"; //"2472MHz (Channel 13)";
ChannelList_24G[13] = "14"; //"2484MHz (Channel 14)";

ChannelList_5G = new Array(33);
ChannelList_5G[0] = "36"; //"5180MHz (Channel 36)";
ChannelList_5G[1] = "40"; //"5200MHz (Channel 40)";
ChannelList_5G[2] = "44"; //"5220MHz (Channel 44)";
ChannelList_5G[3] = "48"; //"5240MHz (Channel 48)";
ChannelList_5G[4] = "52"; //"5260MHz (Channel 52)";
ChannelList_5G[5] = "56"; //"5280MHz (Channel 56)";
ChannelList_5G[6] = "60"; //"5300MHz (Channel 60)";
ChannelList_5G[7] = "64"; //"5320MHz (Channel 64)";
ChannelList_5G[16] = "100"; //"5500MHz (Channel 100)";
ChannelList_5G[17] = "104"; //"5520MHz (Channel 104)";
ChannelList_5G[18] = "108"; //"5540MHz (Channel 108)";
ChannelList_5G[19] = "112"; //"5560MHz (Channel 112)";
ChannelList_5G[20] = "116"; //"5580MHz (Channel 116)";
ChannelList_5G[21] = "120"; //"5600MHz (Channel 120)";
ChannelList_5G[22] = "124"; //"5620MHz (Channel 124)";
ChannelList_5G[23] = "128"; //"5640MHz (Channel 128)";
ChannelList_5G[24] = "132"; //"5660MHz (Channel 132)";
ChannelList_5G[25] = "136"; //"5680MHz (Channel 136)";
ChannelList_5G[26] = "140"; //"5700MHz (Channel 140)";
ChannelList_5G[28] = "149"; //"5745MHz (Channel 149)";
ChannelList_5G[29] = "153"; //"5765MHz (Channel 153)";
ChannelList_5G[30] = "157"; //"5785MHz (Channel 157)";
ChannelList_5G[31] = "161"; //"5805MHz (Channel 161)";
ChannelList_5G[32] = "165"; //"5825MHz (Channel 165)";

HT5GExtCh = new Array(22);
HT5GExtCh[0] = new Array(1, "40"); // channel 36's extension channel
HT5GExtCh[1] = new Array(0, "36"); // channel 40's extension channel
HT5GExtCh[2] = new Array(1, "48"); // channel 44's extension channel
HT5GExtCh[3] = new Array(0, "44"); // channel 48's extension channel
HT5GExtCh[4] = new Array(1, "56"); // channel 52's extension channel
HT5GExtCh[5] = new Array(0, "52"); // channel 56's extension channel
HT5GExtCh[6] = new Array(1, "64"); // channel 60's extension channel
HT5GExtCh[7] = new Array(0, "60"); // channel 64's extension channel
HT5GExtCh[8] = new Array(1, "104"); // channel 100's extension channel
HT5GExtCh[9] = new Array(0, "100"); // channel 104's extension channel
HT5GExtCh[10] = new Array(1, "112"); // channel 108's extension channel
HT5GExtCh[11] = new Array(0, "108"); // channel 112's extension channel
HT5GExtCh[12] = new Array(1, "120"); // channel 116's extension channel
HT5GExtCh[13] = new Array(0, "116"); // channel 120's extension channel
HT5GExtCh[14] = new Array(1, "128"); // channel 124's extension channel
HT5GExtCh[15] = new Array(0, "124"); // channel 128's extension channel
HT5GExtCh[16] = new Array(1, "136"); // channel 132's extension channel
HT5GExtCh[17] = new Array(0, "132"); // channel 136's extension channel
HT5GExtCh[18] = new Array(1, "153"); // channel 149's extension channel
HT5GExtCh[19] = new Array(0, "149"); // channel 153's extension channel
HT5GExtCh[20] = new Array(1, "161"); // channel 157's extension channel
HT5GExtCh[21] = new Array(0, "157"); // channel 161's extension channel
HT5GExtCh[22] = new Array(0, "161"); // channel 161's extension channel

function changeHTStream(wmode)
{
	var stream = document.wireless_basic.tx_stream.length;
	var x = document.getElementById("tx_stream");
	var y = document.getElementById("rx_stream");

	for (i=stream; i>1;i--) 
	{
		x.remove(i-1);
		y.remove(i-1);
	}
	stream = document.wireless_basic.tx_stream.length;
	if (txrxStream > 1)
	{
		document.wireless_basic.rx_stream.options[1] = new Option("2", "2");
		document.wireless_basic.tx_stream.options[1] = new Option("2", "2");
		stream++;
	}
	if (txrxStream > 2)
	{
		document.wireless_basic.rx_stream.options[2] = new Option("3", "3");
		document.wireless_basic.tx_stream.options[2] = new Option("3", "3");
		stream++;
	}
	if (txrxStream > 3)
	{
		document.wireless_basic.rx_stream.options[3] = new Option("4", "4");
		document.wireless_basic.tx_stream.options[3] = new Option("4", "4");
		stream++;
	}
	
	if (txrxStream == "1")
	{
		tx_stream_idx = 1;
		rx_stream_idx = 1;
	}
	document.wireless_basic.rx_stream.selectedIndex = rx_stream_idx - 1;
	document.wireless_basic.tx_stream.selectedIndex = tx_stream_idx - 1;
}

function changeMCSoptions(wmode)
{
	var w_mode = document.wireless_basic.wirelessmode.options[document.wireless_basic.wirelessmode.selectedIndex].value;
	var mcs_len = document.wireless_basic.n_mcs.options.length;
	var x = document.getElementById("n_mcs");
	for (i=mcs_len; i>8;i--) 
	{
		x.remove(i-1);
	}
	mcs_len = document.wireless_basic.n_mcs.options.length;
	if (w_mode != WIRELESS_MODE_AC_NA && w_mode != WIRELESS_MODE_AC_N)
	{
		if (document.wireless_basic.tx_stream.selectedIndex > 0)
		{
			for (i = 8; i < 16; i++) 
			{
				document.wireless_basic.n_mcs.options[i] = new Option(i, i);
				mcs_len++;
			}
			if (1*txrxStream == 3) 
			{
				for (i = 16; i < 24; i++) 
				{
					document.wireless_basic.n_mcs.options[i] = new Option(i, i);
					mcs_len++;
				}
			}
		}
		if (document.wireless_basic.n_bandwidth[1].checked == true)
		{
			document.wireless_basic.n_mcs.options[mcs_len] = new Option("32", "32");
			mcs_len++;
		}
	}
	else
	{
		document.wireless_basic.n_mcs.options[mcs_len] = new Option(8, 8);
		mcs_len++;
		document.wireless_basic.n_mcs.options[mcs_len] = new Option(9, 9);
		mcs_len++;
	}
	document.wireless_basic.n_mcs.options[mcs_len] = new Option(mWlanAuto, "33");
	mcs_len++;
	var ht_mcs_nm = 1*ht_mcs.split(";", 1);
        if (ht_mcs_nm <= 23)
                document.wireless_basic.n_mcs.options.selectedIndex = ht_mcs_nm;
        else if ((ht_mcs_nm == 32) && (document.wireless_basic.n_bandwidth[1].checked == true))
		document.wireless_basic.n_mcs.options.selectedIndex = mcs_len-2;
        else
		document.wireless_basic.n_mcs.options.selectedIndex = mcs_len-1;
}

function changeTxStream()
{
	changeMCSoptions(document.wireless_basic.wirelessmode.selectedIndex);
}

function CreateExtChannelOption(vChannel)
{
	var y = document.createElement('option');

	y.text = ChannelList_24G[1*vChannel - 1];
//	y.value = 1*vChannel;
	y.value = 1;

	var x = document.getElementById("n_extcha");

	try
	{
		x.add(y,null); // standards compliant
	}
	catch(ex)
	{
		x.add(y); // IE only
	}
}

function insertExtChannelOption()
{
	var option_length; 
	var CurrentCh;
	var wmode = document.wireless_basic.wirelessmode.options[document.wireless_basic.wirelessmode.selectedIndex].value;

	if ((wmode == WIRELESS_MODE_BGN) || (wmode == WIRELESS_MODE_GN) || (wmode == WIRELESS_MODE_AN) || (wmode == WIRELESS_MODE_N) || (wmode == WIRELESS_MODE_N_5G)
		|| (wmode == WIRELESS_MODE_AC_NA) || (wmode == WIRELESS_MODE_AC_N))
	{
		var x = document.getElementById("n_extcha");
		var length = document.wireless_basic.n_extcha.options.length;

		if (length > 1)
		{
			x.selectedIndex = 1;
			x.remove(x.selectedIndex);
		}

		if ((wmode == WIRELESS_MODE_AN) || (wmode == WIRELESS_MODE_N_5G) || (wmode == WIRELESS_MODE_AC_NA) || (wmode == WIRELESS_MODE_AC_N))
		{
			CurrentCh = document.wireless_basic.sz11aChannel.value;

			if ((1*CurrentCh >= 36) && (1*CurrentCh <= 64))
			{
				CurrentCh = 1*CurrentCh;
				CurrentCh /= 4;
				CurrentCh -= 9;

				x.options[0].text = HT5GExtCh[CurrentCh][1];
				x.options[0].value = HT5GExtCh[CurrentCh][0];
			}
			else if ((1*CurrentCh >= 100) && (1*CurrentCh <= 136))
			{
				CurrentCh = 1*CurrentCh;
				CurrentCh /= 4;
				CurrentCh -= 17;

				x.options[0].text = HT5GExtCh[CurrentCh][1];
				x.options[0].value = HT5GExtCh[CurrentCh][0];
			}
			else if ((1*CurrentCh >= 149) && (1*CurrentCh <= 161))
			{
				CurrentCh = 1*CurrentCh;
				CurrentCh -= 1;
				CurrentCh /= 4;
				CurrentCh -= 19;

				x.options[0].text = HT5GExtCh[CurrentCh][1];
				x.options[0].value = HT5GExtCh[CurrentCh][0];
			}
			else if (1*CurrentCh == 165) {
				CurrentCh = 22; // 161

				x.options[0].text = HT5GExtCh[CurrentCh][1];
				x.options[0].value = HT5GExtCh[CurrentCh][0];
			}
			else
			{
				x.options[0].text = mWlanAuto;
				x.options[0].value = 0;
			}
		}
		else if ((wmode == WIRELESS_MODE_BGN) || (wmode == WIRELESS_MODE_N) || (wmode == WIRELESS_MODE_GN))
		{
			CurrentCh = document.wireless_basic.sz11gChannel.value;
			option_length = document.wireless_basic.sz11gChannel.options.length;

			if ((CurrentCh >=1) && (CurrentCh <= 4))
			{
				x.options[0].text = ChannelList_24G[1*CurrentCh + 4 - 1];
				x.options[0].value = 1*CurrentCh + 4;
			}
			else if ((CurrentCh >= 5) && (CurrentCh <= 7))
			{
				x.options[0].text = ChannelList_24G[1*CurrentCh - 4 - 1];
				x.options[0].value = 0; //1*CurrentCh - 4;
				CurrentCh = 1*CurrentCh;
				CurrentCh += 4;
				CreateExtChannelOption(CurrentCh);
			}
			else if ((CurrentCh >= 8) && (CurrentCh <= 9))
			{
				x.options[0].text = ChannelList_24G[1*CurrentCh - 4 - 1];
				x.options[0].value = 0; //1*CurrentCh - 4;

				if (option_length >=14)
				{
					CurrentCh = 1*CurrentCh;
					CurrentCh += 4;
					CreateExtChannelOption(CurrentCh);
				}
			}
			else if (CurrentCh == 10)
			{
				x.options[0].text = ChannelList_24G[1*CurrentCh - 4 - 1];
				x.options[0].value = 0; //1*CurrentCh - 4;

				if (option_length > 14)
				{
					CurrentCh = 1*CurrentCh;
					CurrentCh += 4;
					CreateExtChannelOption(CurrentCh);
				}
			}
			else if (CurrentCh >= 11)
			{
				x.options[0].text = ChannelList_24G[1*CurrentCh - 4 - 1];
				x.options[0].value = 0; //1*CurrentCh - 4;
			}
			else
			{
				x.options[0].text = mWlanAuto;
				x.options[0].value = 0;
			}
		}
	}
}

function ChannelOnChange()
{
	if (document.wireless_basic.n_bandwidth[1].checked == true)
	{
		var w_mode = document.wireless_basic.wirelessmode.options[document.wireless_basic.wirelessmode.selectedIndex].value;

		if ((w_mode == WIRELESS_MODE_AN) || (w_mode == WIRELESS_MODE_AC_NA) || (w_mode == WIRELESS_MODE_N_5G) || (w_mode == WIRELESS_MODE_AC_N))
		{
			if (document.wireless_basic.n_bandwidth[1].checked == true)
			{
				document.getElementById("extension_channel").style.visibility = "visible";
				document.getElementById("extension_channel").style.display = style_display_on();
				document.wireless_basic.n_extcha.disabled = false;
			}

			if (document.wireless_basic.sz11aChannel.options.selectedIndex == 0)
			{
				document.getElementById("extension_channel").style.visibility = "hidden";
				document.getElementById("extension_channel").style.display = "none";
				document.wireless_basic.n_extcha.disabled = true;
			}
		}
		else if ((w_mode == WIRELESS_MODE_BGN) || (w_mode == WIRELESS_MODE_N) || (w_mode == WIRELESS_MODE_GN))
		{
			if (document.wireless_basic.n_bandwidth[1].checked == true)
			{
				document.getElementById("extension_channel").style.visibility = "visible";
				document.getElementById("extension_channel").style.display = style_display_on();
				document.wireless_basic.n_extcha.disabled = false;
			}

			if (document.wireless_basic.sz11gChannel.options.selectedIndex == 0)
			{
				document.getElementById("extension_channel").style.visibility = "hidden";
				document.getElementById("extension_channel").style.display = "none";
				document.wireless_basic.n_extcha.disabled = true;
			}
		}
	}

	insertExtChannelOption();
}

function changeVHTBW()
{
	var w_mode = document.wireless_basic.wirelessmode.options[document.wireless_basic.wirelessmode.selectedIndex].value;

	document.getElementById("div_vht_bw").style.visibility = "hidden";
	document.getElementById("div_vht_bw").style.display = "none";
	document.wireless_basic.vht_bandwidth[0].disabled = true;
	document.wireless_basic.vht_bandwidth[1].disabled = true;
	if ((w_mode == WIRELESS_MODE_AC_NA) || (w_mode == WIRELESS_MODE_AC_N))
	{
		document.getElementById("div_vht_bw").style.visibility = "visible";
		document.getElementById("div_vht_bw").style.display = style_display_on();
		if (document.wireless_basic.n_bandwidth[1].checked == true)
		{
			document.wireless_basic.vht_bandwidth[0].disabled = false;
			document.wireless_basic.vht_bandwidth[1].disabled = false;
		}
	}
	if (1*vht_bw == 1)
	{
		document.wireless_basic.vht_bandwidth[1].checked = true;
	}
	else
	{
		document.wireless_basic.vht_bandwidth[0].checked = true;
	}

}

function Channel_BandWidth_onClick()
{
	var w_mode = document.wireless_basic.wirelessmode.options[document.wireless_basic.wirelessmode.selectedIndex].value;

	if (document.wireless_basic.n_bandwidth[0].checked == true)
	{
		document.getElementById("extension_channel").style.visibility = "hidden";
		document.getElementById("extension_channel").style.display = "none";
		document.wireless_basic.n_extcha.disabled = true;
	}
	else
	{
		document.getElementById("extension_channel").style.visibility = "visible";
		document.getElementById("extension_channel").style.display = style_display_on();
		document.wireless_basic.n_extcha.disabled = false;

		if ((w_mode == WIRELESS_MODE_AN) || (w_mode == WIRELESS_MODE_N_5G) || (w_mode == WIRELESS_MODE_AC_NA) || (w_mode == WIRELESS_MODE_AC_N))
		{
			if (document.wireless_basic.sz11aChannel.options.selectedIndex == 0)
			{
				document.getElementById("extension_channel").style.visibility = "hidden";
				document.getElementById("extension_channel").style.display = "none";
				document.wireless_basic.n_extcha.disabled = true;
			}
		}
	}
	changeVHTBW();
	changeMCSoptions(w_mode);
}

function initValue()
{
	var ssidArray;
	var broadcastssidArray;
	var channel_11a_index;
	var current_channel_length;
	var radio_off = '<% getCfg2Zero(1, "RadioOff"); %>';
	var BssidNum = 1*'<% getCfg2General(1, "BssidNum"); %>';

	if (CntyCd == '')
		CntyCd = 'NONE';

	document.getElementById("div_11a_channel").style.visibility = "hidden";
	document.getElementById("div_11a_channel").style.display = "none";
	document.wireless_basic.sz11aChannel.disabled = true;
	document.getElementById("div_11b_channel").style.visibility = "hidden";
	document.getElementById("div_11b_channel").style.display = "none";
	document.wireless_basic.sz11bChannel.disabled = true;
	document.getElementById("div_11g_channel").style.visibility = "hidden";
	document.getElementById("div_11g_channel").style.display = "none";
	document.wireless_basic.sz11gChannel.disabled = true;
	//document.getElementById("div_11n").style.visibility = "hidden";
	document.getElementById("div_11n").style.display = "none";
	document.wireless_basic.n_mode.disabled = true;
	document.wireless_basic.n_bandwidth.disabled = true;
	document.wireless_basic.n_rdg.disabled = true;
	document.wireless_basic.n_gi.disabled = true;
	document.wireless_basic.n_mcs.disabled = true;
	//document.getElementById("div_11n_plugfest").style.display = "none";
	//document.wireless_basic.f_40mhz.disabled = true;
	document.getElementById("div_2040_coexit").style.display = "none";
	document.wireless_basic.n_2040_coexit.disabled = true;
	document.wireless_basic.n_ldpc.disabled = true;
	//document.getElementById("div_11vht").style.visibility = "hidden";
	document.getElementById("div_11vht").style.display = "none";
	document.wireless_basic.vht_bandwidth.disabled = true;
	document.wireless_basic.vht_stbc.disabled = true;
	document.wireless_basic.vht_sgi.disabled = true;
	document.wireless_basic.vht_bw_signal.disabled = true;
	document.wireless_basic.vht_ldpc.disabled = true;

	//PhyMode = 1*PhyMode;

	if ((PhyMode == WIRELESS_MODE_BGN) || (PhyMode == WIRELESS_MODE_N) || (PhyMode == WIRELESS_MODE_GN) || (PhyMode == WIRELESS_MODE_AN)
		|| (PhyMode == WIRELESS_MODE_N_5G) || (PhyMode == WIRELESS_MODE_AC_NA) || (PhyMode == WIRELESS_MODE_AC_N))
	{
		//document.getElementById("div_11n").style.visibility = "visible";
		//if (window.ActiveXObject) // IE
		//	document.getElementById("div_11n").style.display = "block";
		//else if (window.XMLHttpRequest)  // Mozilla, Safari,...
		//	document.getElementById("div_11n").style.display = "table";
		document.getElementById("div_11n").style.display = "";
		document.wireless_basic.n_mode.disabled = false;
		document.wireless_basic.n_bandwidth.disabled = false;
		document.wireless_basic.n_rdg.disabled = false;
		document.wireless_basic.n_gi.disabled = false;
		document.wireless_basic.n_mcs.disabled = false;
		document.wireless_basic.n_ldpc.disabled = false;
		//document.getElementById("div_11n_plugfest").style.display = "block";
		//document.wireless_basic.f_40mhz.disabled = false;
		if ((PhyMode == WIRELESS_MODE_AC_NA) || (PhyMode == WIRELESS_MODE_AC_N))
		{
			//document.getElementById("div_11vht").style.visibility = "visible";
			//if (window.ActiveXObject) // IE
			//	document.getElementById("div_11vht").style.display = "block";
			//else if (window.XMLHttpRequest)  // Mozilla, Safari,...
			//	document.getElementById("div_11vht").style.display = "table";
			document.getElementById("div_11vht").style.display = "";
			document.wireless_basic.vht_bandwidth.disabled = false;
			document.wireless_basic.vht_stbc.disabled = false;
			document.wireless_basic.vht_sgi.disabled = false;
			document.wireless_basic.vht_bw_signal.disabled = false;
			document.wireless_basic.vht_ldpc.disabled = false;
		}
	}
	var wmode_len = document.wireless_basic.wirelessmode.options.length;

	var Gband = "<% getRaixGBand(); %>";
	if (Gband == "1")
	{
		document.wireless_basic.wirelessmode.options[wmode_len++] = new Option(mWlanModeBG, "0");
		document.wireless_basic.wirelessmode.options[wmode_len++] = new Option(mWlanModeB, "1");
		document.wireless_basic.wirelessmode.options[wmode_len++] = new Option(mWlanModeG, "4");
		document.wireless_basic.wirelessmode.options[wmode_len++] = new Option(mWlanModeN, "6");
		document.wireless_basic.wirelessmode.options[wmode_len++] = new Option(mWlanModeGN, "7");
		document.wireless_basic.wirelessmode.options[wmode_len++] = new Option(mWlanModeBGN, "9");
		wmode_len = document.wireless_basic.wirelessmode.options.length;
	}
	var Aband = "<% getRaixABand(); %>";
	if (Aband == "1")
	{
		document.wireless_basic.wirelessmode.options[wmode_len++] = new Option(mWlanModeA, "2");
		document.wireless_basic.wirelessmode.options[wmode_len++] = new Option(mWlanModeAN, "8");
		document.wireless_basic.wirelessmode.options[wmode_len++] = new Option(mWlanModeNABand, "11");
		wmode_len = document.wireless_basic.wirelessmode.options.length;
	}
	if (AC == "1")
	{
		document.wireless_basic.wirelessmode.options[wmode_len++] = new Option(mWlanModeACNA, "14");
		document.wireless_basic.wirelessmode.options[wmode_len++] = new Option(mWlanModeACN, "15");
		wmode_len = document.wireless_basic.wirelessmode.options.length;
	}

	for (var i=0; i<wmode_len; i++) {
		if (PhyMode == document.wireless_basic.wirelessmode.options[i].value) {
			document.wireless_basic.wirelessmode.options.selectedIndex = i;
			break;
		}
		document.wireless_basic.wirelessmode.options.selectedIndex = 0;
	}
	if ((PhyMode == WIRELESS_MODE_BG) || (PhyMode == WIRELESS_MODE_G) || (PhyMode == WIRELESS_MODE_BGN)
		|| (PhyMode == WIRELESS_MODE_N) || (PhyMode == WIRELESS_MODE_GN))
	{
		document.getElementById("div_11g_channel").style.visibility = "visible";
		document.getElementById("div_11g_channel").style.display = style_display_on();
		document.wireless_basic.sz11gChannel.disabled = false;
	}
	else if (PhyMode == WIRELESS_MODE_B)
	{
		document.getElementById("div_11b_channel").style.visibility = "visible";
		document.getElementById("div_11b_channel").style.display = style_display_on();
		document.wireless_basic.sz11bChannel.disabled = false;
	}
	else if ((PhyMode == WIRELESS_MODE_A) || (PhyMode == WIRELESS_MODE_AN) || (PhyMode == WIRELESS_MODE_N_5G)
		|| (PhyMode == WIRELESS_MODE_AC_NA) || (PhyMode == WIRELESS_MODE_AC_N))
	{
		document.getElementById("div_11a_channel").style.visibility = "visible";
		document.getElementById("div_11a_channel").style.display = style_display_on();
		document.wireless_basic.sz11aChannel.disabled = false;
	}

	for (i=1;i<8;i++)
	{
		var ssid = eval("document.wireless_basic.mssid_"+i+".disabled");
		var div = eval("document.getElementById(\"div_hssid"+i+"\").style");

		div.visibility = "hidden";
		div.display = "none";
		ssid = true;
		document.wireless_basic.hssid[i].disabled = true;
	}

	var num = max_bssid_num;
	for (i=1;i<num;i++)
	{
		var ssid = eval("document.wireless_basic.mssid_"+i+".disabled");
		var div = eval("document.getElementById(\"div_hssid"+i+"\").style");

		div.visibility = "visible";
		div.display = style_display_on();
		ssid = false;
		document.wireless_basic.hssid[i].disabled = false;
	}

	if (HiddenSSID.indexOf("0") >= 0)
	{
		document.wireless_basic.broadcastssid[0].checked = true;
		var HiddenSSIDArray = HiddenSSID.split(";");
		for (i=0;i<BssidNum;i++)
		{
			if (HiddenSSIDArray[i] == "1")
				document.wireless_basic.hssid[i].checked = true;
			else
				document.wireless_basic.hssid[i].checked = false;
		}
	}
	else
	{
		document.wireless_basic.broadcastssid[1].checked = true;
		for (i=0;i<BssidNum;i++)
			document.wireless_basic.hssid[i].checked = true;
	}

	if (APIsolated.indexOf("1") >= 0)
	{
		document.wireless_basic.apisolated[1].checked = true;
		var APIsolatedArray = APIsolated.split(";");
		for (i=0;i<BssidNum;i++)
		{
			if (APIsolatedArray[i] == "1")
				document.wireless_basic.isolated_ssid[i].checked = true;
			else
				document.wireless_basic.isolated_ssid[i].checked = false;
		}
	}
	else
	{
		document.wireless_basic.apisolated[0].checked = true;
		for (i=0;i<BssidNum;i++)
			document.wireless_basic.isolated_ssid[i].checked = false;
	}

	if (1*ht_bw == 0)
	{
		document.wireless_basic.n_bandwidth[0].checked = true;
		document.getElementById("extension_channel").style.visibility = "hidden";
		document.getElementById("extension_channel").style.display = "none";
		document.wireless_basic.n_extcha.disabled = true;
	}
	else
	{
		document.wireless_basic.n_bandwidth[1].checked = true;
		document.getElementById("extension_channel").style.visibility = "visible";
		document.getElementById("extension_channel").style.display = style_display_on();
		document.wireless_basic.n_extcha.disabled = false;
	}
	if (AC == "1")
		changeVHTBW();

	ChIdx = 1*ChIdx;

	if ((PhyMode == WIRELESS_MODE_BG) || (PhyMode == WIRELESS_MODE_G) || (PhyMode == WIRELESS_MODE_N) 
		|| (PhyMode == WIRELESS_MODE_GN) || (PhyMode == WIRELESS_MODE_BGN))
	{
		if (CntyRegion == '0' && (ChIdx < 1 || ChIdx > 11)) // region 0: 1~11
			document.wireless_basic.sz11gChannel.options.selectedIndex = 0;
		else if (CntyRegion == '1' && (ChIdx < 1 || ChIdx > 13)) // region 1: 1~13
			document.wireless_basic.sz11gChannel.options.selectedIndex = 0;
		else if (CntyRegion == '2' && (ChIdx < 10 || ChIdx > 11)) // region 2: 10~11
			document.wireless_basic.sz11gChannel.options.selectedIndex = 0;
		else if (CntyRegion == '3' && (ChIdx < 10 || ChIdx > 13)) // region 3: 10~13
			document.wireless_basic.sz11gChannel.options.selectedIndex = 0;
		else if (CntyRegion == '4' && (ChIdx != 14)) // region 4: 14
			document.wireless_basic.sz11gChannel.options.selectedIndex = 0;
		else if (CntyRegion == '5' && (ChIdx < 1 || ChIdx > 14)) // region 5: 1~14
			document.wireless_basic.sz11gChannel.options.selectedIndex = 0;
		else if (CntyRegion == '6' && (ChIdx < 3 || ChIdx > 9)) // region 6: 3~9
			document.wireless_basic.sz11gChannel.options.selectedIndex = 0;
		else if (CntyRegion == '7' && (ChIdx < 5 || ChIdx > 13)) // region 7: 5~13
			document.wireless_basic.sz11gChannel.options.selectedIndex = 0;
		else {
			if (ChIdx < 1 || ChIdx > 14)
				document.wireless_basic.sz11gChannel.options.selectedIndex = 0;
		}
	}
	else if (PhyMode == WIRELESS_MODE_B)
	{
		if (CntyRegion == '0' && (ChIdx < 1 || ChIdx > 11)) // region 0: 1~11
			document.wireless_basic.sz11bChannel.options.selectedIndex = 0;
		else if (CntyRegion == '1' && (ChIdx < 1 || ChIdx > 13)) // region 1: 1~13
			document.wireless_basic.sz11bChannel.options.selectedIndex = 0;
		else if (CntyRegion == '2' && (ChIdx < 10 || ChIdx > 11)) // region 2: 10~11
			document.wireless_basic.sz11bChannel.options.selectedIndex = 0;
		else if (CntyRegion == '3' && (ChIdx < 10 || ChIdx > 13)) // region 3: 10~13
			document.wireless_basic.sz11bChannel.options.selectedIndex = 0;
		else if (CntyRegion == '4' && (ChIdx != 14)) // region 4: 14
			document.wireless_basic.sz11bChannel.options.selectedIndex = 0;
		else if (CntyRegion == '5' && (ChIdx < 1 || ChIdx > 14)) // region 5: 1~14
			document.wireless_basic.sz11bChannel.options.selectedIndex = 0;
		else if (CntyRegion == '6' && (ChIdx < 3 || ChIdx > 9)) // region 6: 3~9
			document.wireless_basic.sz11bChannel.options.selectedIndex = 0;
		else if (CntyRegion == '7' && (ChIdx < 5 || ChIdx > 13)) // region 7: 5~13
			document.wireless_basic.sz11bChannel.options.selectedIndex = 0;
		else {
			if (ChIdx < 1 || ChIdx > 14)
				document.wireless_basic.sz11bChannel.options.selectedIndex = 0;
		}
	}
	else if ((PhyMode == WIRELESS_MODE_A) || (PhyMode == WIRELESS_MODE_AN) || (PhyMode == WIRELESS_MODE_N_5G)
		|| (PhyMode == WIRELESS_MODE_AC_NA) || (PhyMode == WIRELESS_MODE_AC_N))
	{
		if (CntyRegionA == '0' && (ChIdx < 36 || (ChIdx > 64 && ChIdx < 149) || ChIdx > 165))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '1' && (ChIdx < 36 || (ChIdx > 64 && ChIdx < 100) || ChIdx > 140))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '2' && (ChIdx < 36 || ChIdx > 64))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '3' && (ChIdx < 52 || (ChIdx > 64 && ChIdx < 149) || ChIdx > 161))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '4' && (ChIdx < 149 || ChIdx > 165))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '5' && (ChIdx < 149 || ChIdx > 161))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '6' && (ChIdx < 36 || ChIdx > 48))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '7' && (ChIdx < 36 || (ChIdx > 64 && ChIdx < 100) || (ChIdx > 140 && ChIdx < 149) || ChIdx > 173))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '8' && (ChIdx < 52 || ChIdx > 64))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '9' && (ChIdx < 36 || (ChIdx > 64 && ChIdx < 100) || (ChIdx > 116 && ChIdx < 132) || (ChIdx > 140 && ChIdx < 149) || ChIdx > 165))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '10' && (ChIdx < 36 || (ChIdx > 48 && ChIdx < 149) || ChIdx > 165))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '11' && (ChIdx < 36 || (ChIdx > 64 && ChIdx < 100) || (ChIdx > 120 && ChIdx < 149) || ChIdx > 161))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '12' && (ChIdx < 36 || (ChIdx > 64 && ChIdx < 100) || ChIdx > 140))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '13' && (ChIdx < 52 || (ChIdx > 64 && ChIdx < 100) || (ChIdx > 140 && ChIdx < 149) || ChIdx > 161))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '14' && (ChIdx < 36 || (ChIdx > 64 && ChIdx < 100) || (ChIdx > 116 && ChIdx < 136) || (ChIdx > 140 && ChIdx < 149)|| ChIdx > 165))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '15' && (ChIdx < 149 || ChIdx > 173))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '16' && (ChIdx < 52 || (ChIdx > 64 && ChIdx < 149) || ChIdx > 165))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '17' && (ChIdx < 36 || (ChIdx > 48 && ChIdx < 149) || ChIdx > 161))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '18' && (ChIdx < 36 || (ChIdx > 64 && ChIdx < 100) || (ChIdx > 116 && ChIdx < 132) || ChIdx > 140))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '19' && (ChIdx < 56 || (ChIdx > 64 && ChIdx < 100) || (ChIdx > 140 && ChIdx < 149) || ChIdx > 161))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '20' && (ChIdx < 36 || (ChIdx > 64 && ChIdx < 100) || (ChIdx > 124 && ChIdx < 149) || ChIdx > 161))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '20' && (ChIdx < 36 || (ChIdx > 64 && ChIdx < 100) || (ChIdx > 140 && ChIdx < 149) || ChIdx > 161))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else {
			if (ChIdx < 36 || (ChIdx > 64 && ChIdx < 100) || (ChIdx > 140 && ChIdx < 149) || ChIdx > 173)
				document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		}
	}

	//ABG Rate
	if ((PhyMode == WIRELESS_MODE_BG) || (PhyMode == WIRELESS_MODE_A) || (PhyMode == WIRELESS_MODE_G))
	{
		document.wireless_basic.abg_rate.options.length = 0;
		document.wireless_basic.abg_rate.options[0] = new Option(mWlanAuto, "0");
		document.wireless_basic.abg_rate.options[1] = new Option("1 Mbps", "1");
		document.wireless_basic.abg_rate.options[2] = new Option("2 Mbps", "2");
		document.wireless_basic.abg_rate.options[3] = new Option("5.5 Mbps", "5");
		document.wireless_basic.abg_rate.options[4] = new Option("6 Mbps", "6");
		document.wireless_basic.abg_rate.options[5] = new Option("9 Mbps", "9");
		document.wireless_basic.abg_rate.options[6] = new Option("11 Mbps", "11");
		document.wireless_basic.abg_rate.options[7] = new Option("12 Mbps", "12");
		document.wireless_basic.abg_rate.options[8] = new Option("18 Mbps", "18");
		document.wireless_basic.abg_rate.options[9] = new Option("24 Mbps", "24");
		document.wireless_basic.abg_rate.options[10] = new Option("36 Mbps", "36");
		document.wireless_basic.abg_rate.options[11] = new Option("48 Mbps", "48");
		document.wireless_basic.abg_rate.options[12] = new Option("54 Mbps", "54");
		if (fxtxmode == "CCK" || fxtxmode == "cck") {
			if (ht_mcs.indexOf("33") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 0;
			else if (ht_mcs.indexOf("0") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 1;
			else if (ht_mcs.indexOf("1") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 2;
			else if (ht_mcs.indexOf("2") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 3;
			else if (ht_mcs.indexOf("3") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 6;
		}
		else {
			if (ht_mcs.indexOf("33") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 0;
			else if (ht_mcs.indexOf("0") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 4;
			else if (ht_mcs.indexOf("1") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 5;
			else if (ht_mcs.indexOf("2") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 7;
			else if (ht_mcs.indexOf("3") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 8;
			else if (ht_mcs.indexOf("4") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 9;
			else if (ht_mcs.indexOf("5") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 10;
			else if (ht_mcs.indexOf("6") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 11;
			else if (ht_mcs.indexOf("7") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 12;
		}
	}
	else if (PhyMode == WIRELESS_MODE_B)
	{
		document.wireless_basic.abg_rate.options.length = 0;
		document.wireless_basic.abg_rate.options[0] = new Option(mWlanAuto, "0");
		document.wireless_basic.abg_rate.options[1] = new Option("1 Mbps", "1");
		document.wireless_basic.abg_rate.options[2] = new Option("2 Mbps", "2");
		document.wireless_basic.abg_rate.options[3] = new Option("5.5 Mbps", "5");
		document.wireless_basic.abg_rate.options[4] = new Option("11 Mbps", "11");
		if (ht_mcs.indexOf("33") == 0)
			document.wireless_basic.abg_rate.options.selectedIndex = 0;
		else if (ht_mcs.indexOf("0") == 0)
			document.wireless_basic.abg_rate.options.selectedIndex = 1;
		else if (ht_mcs.indexOf("1") == 0)
			document.wireless_basic.abg_rate.options.selectedIndex = 2;
		else if (ht_mcs.indexOf("2") == 0)
			document.wireless_basic.abg_rate.options.selectedIndex = 3;
		else if (ht_mcs.indexOf("3") == 0)
			document.wireless_basic.abg_rate.options.selectedIndex = 4;
	}
	else
	{
		document.getElementById("div_abg_rate").style.visibility = "hidden";
		document.getElementById("div_abg_rate").style.display = "none";
		document.wireless_basic.abg_rate.disabled = true;
	}

	document.getElementById("div_mbssidapisolated").style.visibility = "hidden";
	document.getElementById("div_mbssidapisolated").style.display = "none";
	document.wireless_basic.mbssidapisolated.disabled = true;
	if (max_bssid_num > 1)
	{
		document.getElementById("div_mbssidapisolated").style.visibility = "visible";
		document.getElementById("div_mbssidapisolated").style.display = style_display_on();
		document.wireless_basic.mbssidapisolated.disabled = false;
		if (mbssidapisolated == "1")
			document.wireless_basic.mbssidapisolated[1].checked = true;
		else
			document.wireless_basic.mbssidapisolated[0].checked = true;
	}

	insertExtChannelOption();

	if (1*ht_stbc == 0)
	{
		document.wireless_basic.n_stbc[0].checked = true;
	}
	else
	{
		document.wireless_basic.n_stbc[1].checked = true;
	}

	if (1*ht_mode == 0)
	{
		document.wireless_basic.n_mode[0].checked = true;
	}
	else if (1*ht_mode == 1)
	{
		document.wireless_basic.n_mode[1].checked = true;
	}

	else if (1*ht_mode == 2)
	{
		document.wireless_basic.n_mode[2].checked = true;
	}

	if (1*ht_gi == 0)
	{
		document.wireless_basic.n_gi[0].checked = true;
	}
	else if (1*ht_gi == 1)
	{
		document.wireless_basic.n_gi[1].checked = true;
	}
	else if (1*ht_gi == 2)
	{
		document.wireless_basic.n_gi[2].checked = true;
	}

	if (1*ht_rdg == 0)
		document.wireless_basic.n_rdg[0].checked = true;
	else
		document.wireless_basic.n_rdg[1].checked = true;

	var option_length = document.wireless_basic.n_extcha.options.length;

	if (1*ht_extcha == 0)
	{
		if (option_length > 1)
			document.wireless_basic.n_extcha.options.selectedIndex = 0;
	}
	else if (1*ht_extcha == 1)
	{
		if (option_length > 1)
			document.wireless_basic.n_extcha.options.selectedIndex = 1;
	}
	else
	{
		document.wireless_basic.n_extcha.options.selectedIndex = 0;
	}

	if ((PhyMode == WIRELESS_MODE_N) || (PhyMode == WIRELESS_MODE_N_5G) || (PhyMode == WIRELESS_MODE_AC_NA) || (PhyMode == WIRELESS_MODE_AC_N))
	{
		if (document.wireless_basic.sz11aChannel.options.selectedIndex == 0)
		{
			document.getElementById("extension_channel").style.visibility = "hidden";
			document.getElementById("extension_channel").style.display = "none";
			document.wireless_basic.n_extcha.disabled = true;
		}
	}
	else if ((PhyMode == WIRELESS_MODE_BGN) || (PhyMode == WIRELESS_MODE_N) || (PhyMode == WIRELESS_MODE_GN))
	{
		if (document.wireless_basic.sz11gChannel.options.selectedIndex == 0)
		{
			document.getElementById("extension_channel").style.visibility = "hidden";
			document.getElementById("extension_channel").style.display = "none";
			document.wireless_basic.n_extcha.disabled = true;
		}
	}

	if (1*ht_amsdu == 0)
		document.wireless_basic.n_amsdu[0].checked = true;
	else
		document.wireless_basic.n_amsdu[1].checked = true;

	if (1*ht_autoba == 0)
		document.wireless_basic.n_autoba[0].checked = true;
	else
		document.wireless_basic.n_autoba[1].checked = true;

	if (1*ht_badecline == 0)
		document.wireless_basic.n_badecline[0].checked = true;
	else
		document.wireless_basic.n_badecline[1].checked = true;

	if (1*ht_disallow_tkip == 1)
		document.wireless_basic.n_disallow_tkip[1].checked = true;
	else
		document.wireless_basic.n_disallow_tkip[0].checked = true;

	if (1*draft3b == 1)
	{
		document.getElementById("div_2040_coexit").style.display = style_display_on();
		document.wireless_basic.n_2040_coexit.disabled = false;
		if (1*ht_2040_coexit == 0)
			document.wireless_basic.n_2040_coexit[0].checked = true;
		else
			document.wireless_basic.n_2040_coexit[1].checked = true;
	}
	if (1*ht_ldpc == 0)
		document.wireless_basic.n_ldpc[0].checked = true;
	else
		document.wireless_basic.n_ldpc[1].checked = true;
	//if (1*ht_f_40mhz == 0)
		//document.wireless_basic.f_40mhz[0].checked = true;
	//else
		//document.wireless_basic.f_40mhz[1].checked = true;

	/*
	if (1*wifi_optimum == 0)
		document.wireless_basic.wifi_opt[0].checked = true;
	else
		document.wireless_basic.wifi_opt[1].checked = true;
	*/
	if (AC == "1")
	{
		if (1*vht_stbc == 1)
		{
			document.wireless_basic.vht_stbc[1].checked = true;
		}
		else
		{
			document.wireless_basic.vht_stbc[0].checked = true;
		}
		if (1*vht_sgi == 1)
		{
			document.wireless_basic.vht_sgi[1].checked = true;
		}
		else
		{
			document.wireless_basic.vht_sgi[0].checked = true;
		}
		if (1*vht_bw_signal == 2)
		{
			document.wireless_basic.vht_bw_signal[2].checked = true;
		}
		else if (1*vht_bw_signal == 1)
		{
			document.wireless_basic.vht_bw_signal[1].checked = true;
		}
		else
		{
			document.wireless_basic.vht_bw_signal[0].checked = true;
		}
		if (1*vht_ldpc == 1)
		{
			document.wireless_basic.vht_ldpc[1].checked = true;
		}
		else
		{
			document.wireless_basic.vht_ldpc[0].checked = true;
		}
	}

	if (1*apcli_include == 1)
	{
		document.wireless_basic.mssid_7.disabled = true;
	}

	changeHTStream(PhyMode);

	changeMCSoptions(PhyMode);

	if (1*radio_off == 1) {
		document.wireless_basic.radiohiddenButton[0].checked = true;
		document.getElementById("div_radio_off").style.visibility = "";
		document.getElementById("div_radio_off").style.display = "";
		document.wireless_basic.scanChannelb.disabled = true;
		document.wireless_basic.scanChannelg.disabled = true;
	}
	else {
		document.wireless_basic.radiohiddenButton[1].checked = true;
	}
}

function wirelessModeChange()
{
	var wmode;
   
	document.getElementById("div_11a_channel").style.visibility = "hidden";
	document.getElementById("div_11a_channel").style.display = "none";
	document.wireless_basic.sz11aChannel.disabled = true;
	document.getElementById("div_11b_channel").style.visibility = "hidden";
	document.getElementById("div_11b_channel").style.display = "none";
	document.wireless_basic.sz11bChannel.disabled = true;
	document.getElementById("div_11g_channel").style.visibility = "hidden";
	document.getElementById("div_11g_channel").style.display = "none";
	document.wireless_basic.sz11gChannel.disabled = true;
	document.getElementById("div_abg_rate").style.visibility = "hidden";
	document.getElementById("div_abg_rate").style.display = "none";
	document.wireless_basic.abg_rate.disabled = true;
	document.getElementById("div_11n").style.display = "none";
	document.wireless_basic.n_mode.disabled = true;
	document.wireless_basic.n_bandwidth.disabled = true;
	document.wireless_basic.n_rdg.disabled = true;
	document.wireless_basic.n_gi.disabled = true;
	document.wireless_basic.n_mcs.disabled = true;
	document.wireless_basic.n_ldpc.disabled = true;
	//document.getElementById("div_11n_plugfest").style.display = "none";
	//document.wireless_basic.f_40mhz.disabled = true;
	//document.getElementById("div_11vht").style.visibility = "hidden";
	document.getElementById("div_11vht").style.display = "none";
	document.wireless_basic.vht_bandwidth.disabled = true;
	document.wireless_basic.vht_stbc.disabled = true;
	document.wireless_basic.vht_sgi.disabled = true;
	document.wireless_basic.vht_bw_signal.disabled = true;
	document.wireless_basic.vht_ldpc.disabled = true;

	wmode = document.wireless_basic.wirelessmode.options[document.wireless_basic.wirelessmode.selectedIndex].value;

	//wmode = 1*wmode;
	if ((wmode == WIRELESS_MODE_BG) || (wmode == WIRELESS_MODE_G))
	{
		document.getElementById("div_11g_channel").style.visibility = "visible";
		document.getElementById("div_11g_channel").style.display = style_display_on();
		document.wireless_basic.sz11gChannel.disabled = false;
	}
	else if (wmode == WIRELESS_MODE_B)
	{
		document.getElementById("div_11b_channel").style.visibility = "visible";
		document.getElementById("div_11b_channel").style.display = style_display_on();
		document.wireless_basic.sz11bChannel.disabled = false;
	}
	else if (wmode == WIRELESS_MODE_A)
	{
		document.getElementById("div_11a_channel").style.visibility = "visible";
		document.getElementById("div_11a_channel").style.display = style_display_on();
		document.wireless_basic.sz11aChannel.disabled = false;
	}
	else if ((wmode == WIRELESS_MODE_AN) || (wmode == WIRELESS_MODE_N_5G)  || (wmode == WIRELESS_MODE_AC_NA) || (wmode == WIRELESS_MODE_AC_N))
	{
		document.getElementById("div_11a_channel").style.visibility = "visible";
		document.getElementById("div_11a_channel").style.display = style_display_on();
		document.wireless_basic.sz11aChannel.disabled = false;
		//document.getElementById("div_11n").style.visibility = "visible";
		//if (window.ActiveXObject) // IE
		//	document.getElementById("div_11n").style.display = "block";
		//else if (window.XMLHttpRequest)  // Mozilla, Safari,...
		//	document.getElementById("div_11n").style.display = "table";
		document.getElementById("div_11n").style.display = "";
		document.wireless_basic.n_mode.disabled = false;
		document.wireless_basic.n_bandwidth.disabled = false;
		document.wireless_basic.n_rdg.disabled = false;
		document.wireless_basic.n_gi.disabled = false;
		document.wireless_basic.n_mcs.disabled = false;
		document.wireless_basic.n_ldpc.disabled = false;
		changeHTStream(wmode);
		changeMCSoptions(wmode);
		if ((wmode == WIRELESS_MODE_AC_NA) || (wmode == WIRELESS_MODE_AC_N))
		{
			//document.getElementById("div_11vht").style.visibility = "visible";
			//if (window.ActiveXObject) // IE
			//	document.getElementById("div_11vht").style.display = "block";
			//else if (window.XMLHttpRequest)  // Mozilla, Safari,...
			//	document.getElementById("div_11vht").style.display = "table";
			document.getElementById("div_11vht").style.display = "";
			document.wireless_basic.vht_bandwidth.disabled = false;
			document.wireless_basic.vht_stbc.disabled = false;
			document.wireless_basic.vht_sgi.disabled = false;
			document.wireless_basic.vht_bw_signal.disabled = false;
			document.wireless_basic.vht_ldpc.disabled = false;
		}
		changeVHTBW();
		//document.getElementById("div_11n_plugfest").style.display = "block";
		//document.wireless_basic.f_40mhz.disabled = false;

		if (document.wireless_basic.sz11aChannel.options.selectedIndex == 0)
		{
			document.getElementById("extension_channel").style.visibility = "hidden";
			document.getElementById("extension_channel").style.display = "none";
			document.wireless_basic.n_extcha.disabled = true;
		}

		insertExtChannelOption();
	}
	else if ((wmode == WIRELESS_MODE_BGN) || (wmode == WIRELESS_MODE_N) || (wmode == WIRELESS_MODE_GN))
	{
		document.getElementById("div_11g_channel").style.visibility = "visible";
		document.getElementById("div_11g_channel").style.display = style_display_on();
		document.wireless_basic.sz11gChannel.disabled = false;
		//document.getElementById("div_11n").style.visibility = "visible";
		//if (window.ActiveXObject) // IE
		//	document.getElementById("div_11n").style.display = "block";
		//else if (window.XMLHttpRequest)  // Mozilla, Safari,...
		//	document.getElementById("div_11n").style.display = "table";
		document.getElementById("div_11n").style.display = "";
		document.wireless_basic.n_mode.disabled = false;
		document.wireless_basic.n_bandwidth.disabled = false;
		document.wireless_basic.n_rdg.disabled = false;
		document.wireless_basic.n_gi.disabled = false;
		document.wireless_basic.n_mcs.disabled = false;
		document.wireless_basic.n_ldpc.disabled = false;
		changeHTStream(wmode);
		changeMCSoptions(wmode);
		changeVHTBW();
		//document.getElementById("div_11n_plugfest").style.display = "block";
		//document.wireless_basic.f_40mhz.disabled = false;

		if (document.wireless_basic.sz11gChannel.options.selectedIndex == 0)
		{
			document.getElementById("extension_channel").style.visibility = "hidden";
			document.getElementById("extension_channel").style.display = "none";
			document.wireless_basic.n_extcha.disabled = true;
		}

		insertExtChannelOption();
	}

	//ABG Rate
	if ((wmode == WIRELESS_MODE_BG) || (wmode == WIRELESS_MODE_G) || (wmode == WIRELESS_MODE_A))
	{
		document.wireless_basic.abg_rate.options.length = 0;
		document.wireless_basic.abg_rate.options[0] = new Option(mWlanAuto, "0");
		document.wireless_basic.abg_rate.options[1] = new Option("1 Mbps", "1");
		document.wireless_basic.abg_rate.options[2] = new Option("2 Mbps", "2");
		document.wireless_basic.abg_rate.options[3] = new Option("5.5 Mbps", "5");
		document.wireless_basic.abg_rate.options[4] = new Option("6 Mbps", "6");
		document.wireless_basic.abg_rate.options[5] = new Option("9 Mbps", "9");
		document.wireless_basic.abg_rate.options[6] = new Option("11 Mbps", "11");
		document.wireless_basic.abg_rate.options[7] = new Option("12 Mbps", "12");
		document.wireless_basic.abg_rate.options[8] = new Option("18 Mbps", "18");
		document.wireless_basic.abg_rate.options[9] = new Option("24 Mbps", "24");
		document.wireless_basic.abg_rate.options[10] = new Option("36 Mbps", "36");
		document.wireless_basic.abg_rate.options[11] = new Option("48 Mbps", "48");
		document.wireless_basic.abg_rate.options[12] = new Option("54 Mbps", "54");
		if (fxtxmode == "CCK" || fxtxmode == "cck") {
			if (ht_mcs.indexOf("33") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 0;
			else if (ht_mcs.indexOf("0") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 1;
			else if (ht_mcs.indexOf("1") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 2;
			else if (ht_mcs.indexOf("2") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 3;
			else if (ht_mcs.indexOf("3") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 6;
		}
		else {
			if (ht_mcs.indexOf("33") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 0;
			else if (ht_mcs.indexOf("0") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 4;
			else if (ht_mcs.indexOf("1") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 5;
			else if (ht_mcs.indexOf("2") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 7;
			else if (ht_mcs.indexOf("3") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 8;
			else if (ht_mcs.indexOf("4") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 9;
			else if (ht_mcs.indexOf("5") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 10;
			else if (ht_mcs.indexOf("6") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 11;
			else if (ht_mcs.indexOf("7") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 12;
		}

		document.getElementById("div_abg_rate").style.visibility = "visible";
		document.getElementById("div_abg_rate").style.display = style_display_on();
		document.wireless_basic.abg_rate.disabled = false;
	}
	else if (wmode == WIRELESS_MODE_B)
	{
		document.wireless_basic.abg_rate.options.length = 0;
		document.wireless_basic.abg_rate.options[0] = new Option(mWlanAuto, "0");
		document.wireless_basic.abg_rate.options[1] = new Option("1 Mbps", "1");
		document.wireless_basic.abg_rate.options[2] = new Option("2 Mbps", "2");
		document.wireless_basic.abg_rate.options[3] = new Option("5.5 Mbps", "5");
		document.wireless_basic.abg_rate.options[4] = new Option("11 Mbps", "11");
		if (ht_mcs.indexOf("33") == 0)
			document.wireless_basic.abg_rate.options.selectedIndex = 0;
		else if (ht_mcs.indexOf("0") == 0)
			document.wireless_basic.abg_rate.options.selectedIndex = 1;
		else if (ht_mcs.indexOf("1") == 0)
			document.wireless_basic.abg_rate.options.selectedIndex = 2;
		else if (ht_mcs.indexOf("2") == 0)
			document.wireless_basic.abg_rate.options.selectedIndex = 3;
		else if (ht_mcs.indexOf("3") == 0)
			document.wireless_basic.abg_rate.options.selectedIndex = 4;

		document.getElementById("div_abg_rate").style.visibility = "visible";
		document.getElementById("div_abg_rate").style.display = style_display_on();
		document.wireless_basic.abg_rate.disabled = false;
	}
}

function switch_hidden_ssid()
{
	var BssidNum = 1*'<% getCfg2General(1, "BssidNum"); %>';

	if (document.wireless_basic.broadcastssid[0].checked == true)
		for (i=0;i<BssidNum;i++)
			document.wireless_basic.hssid[i].checked = false;
	else
		for (i=0;i<BssidNum;i++)
			document.wireless_basic.hssid[i].checked = true;
}

function switch_isolated_ssid()
{
	var BssidNum = 1*'<% getCfg2General(1, "BssidNum"); %>';

	if (document.wireless_basic.apisolated[1].checked == true)
		for (i=0;i<BssidNum;i++)
			document.wireless_basic.isolated_ssid[i].checked = true;
	else
		for (i=0;i<BssidNum;i++)
			document.wireless_basic.isolated_ssid[i].checked = false;
}

function CheckValue()
{
	var wireless_mode;
	var submit_ssid_num;
	var channel_11a_index;

	if (document.wireless_basic.mssid_0.value == "")
	{
		alert(mAlertSSID);
		document.wireless_basic.mssid_0.focus();
		document.wireless_basic.mssid_0.select();
		return false;
	}

	var wpsenable = "<% getCfg2Zero(1, "WscModeOption"); %>";
	if (wpsenable != "0" && document.wireless_basic.broadcastssid[1].checked == true)
		alert("WPS feature is going to turn off because of disabled broadcasting of SSID");

	submit_ssid_num = 1;

	for (i = 1; i < max_bssid_num; i++)
	{
		if (eval("document.wireless_basic.mssid_"+i).value != "")
		{
			if (i > 5)
			{
				if (1*apcli_include == 1)
					break;
				else if (i == (max_bssid_num - 1))
					if (1*apcli_include == 1)
						break;
			}
			submit_ssid_num++;
		}
	}

	for (i=0; i<max_bssid_num; i++) {
		var objId = "sta_num_"+i;
		var obj = document.getElementById(objId);

		if (obj.value != "") {
			if (isNaN(obj.value) || parseInt(obj.value) < 0
				|| parseInt(obj.value) > 255 || (obj.value).indexOf(".") != -1 ) {
				alert(mWlanStaNum + mAlertInvalid);
				obj.focus();
				obj.select();
				return false;
			}
		}
	}

	document.wireless_basic.bssid_num.value = submit_ssid_num;

	return true;
}

function RadioStatusChange(rs)
{
	if (rs == 1) {
		document.wireless_basic.radioButton.value = "RADIO OFF";
		document.wireless_basic.radiohiddenButton.value = 0;
	}
	else {
		document.wireless_basic.radioButton.value = "RADIO ON";
		document.wireless_basic.radiohiddenButton.value = 1;
	}
}

function WiFiStatusChange(rs)
{
	if (rs == 1) {
		document.wireless_basic.WiFiButton.value = "WiFi OFF";
		document.wireless_basic.wifihiddenButton.value = 0;
	}
	else {
		document.wireless_basic.WiFiButton.value = "WiFi ON";
		document.wireless_basic.wifihiddenButton.value = 1;
	}
}

function showChannelList()
{   
	window.open("inic_channel_smartSta.asp", "inic_Channel_Smart_Statistics", "toolbar=no, location=yes, scrollbars=yes, resizable=no, width=screen.availWidth,height=screen.availHeight");
}
</script>
</head>

<body onLoad="initValue();">

<script language="javascript" type="text/javascript" >
	writeWebsHeader_M(menuWireless.basic, "/m/inic/menu_inic.asp");
</script> 

<!-- help div  -->
<div id="help" class="help">
<script>htitle("htitle");</script>
<div class="hcontent">
  <div>
	<table cellPadding="3" cellSpacing="0">
  <tr><td class="help-item"><script>putmsg(mWlanBasicSet);</script></td></tr>
  <tr><td><script>putmsg(mIntroWlanBasic);</script></td></tr>
  <tr class="helpHr"><td><hr/></td></tr>
 
  <tr><td class="help-item"><script>putmsg(mWlanNet);</script></td></tr>
  <tr><td><script>putmsg(mIntroWlanNet);</script></td></tr>
  <tr class="helpHr"><td><hr/></td></tr>
      
  <tr><td class="help-item"><script>putmsg(mWlanNetMode);</script></td></tr>
  <tr><td><script>putmsg(mIntroWlanNetMode);</script></td></tr>
  <tr class="helpHr"><td><hr/></td></tr>
      
  <tr><td class="help-item"><script>putmsg(mWlanSsid);</script></td></tr>
  <tr><td><script>putmsg(mIntroWlanSsid);</script></td></tr>
  <tr class="helpHr"><td><hr/></td></tr>

  <tr><td class="help-item"><script>putmsg(mWlanSsidHide);</script></td></tr>
  <tr><td><script>putmsg(mIntroWlanSsidHide);</script></td></tr>
  <tr class="helpHr"><td><hr/></td></tr>

  <tr><td class="help-item"><script>putmsg(mWlanStaNum);</script></td></tr>
  <tr><td><script>putmsg(mIntroWlanStaNum);</script></td></tr>
  <tr class="helpHr"><td><hr/></td></tr>

  <tr><td class="help-item"><script>putmsg(mWlanChannel);</script></td></tr>
  <tr><td><script>putmsg(mIntroWlanChannel);</script></td></tr>
</table>
  </div>
 <script>hclose("hclose");</script>
</div>
</div>

<div style="text-align:right; border-left-style:none;">
    <a href="#" onclick="showHelp();return false;" onfocus="this.blur();" id="btnHelp" class="ahelp"><script>document.writeln(mHelp);</script></a>
</div>
<!-- help div end -->
<div class="body_div">

<table class="body" cellSpacing="0" cellPadding="0">
<tbody>
<tr>
  <td class="left-blank">&nbsp;</td>
  <td class="navi" valign="top">
    <script>writeNavi(lang, ver, "inic", "inic_basic");</script>
  </td>
  <td class="left" align="center" valign="top">
  <script>writeReboot(rb);</script>
  <br />

<form method="post" name="wireless_basic" action="/goform/inicBasic" onSubmit="return CheckValue();">
<fieldset align="center" style="width:95%;">
<legend><script>putmsg(mLegendWlanBasic);</script></legend>
<input type="hidden" name="nextPage" value="m/inic/inic_basic.asp">

<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3" id="div_radio_off" style="visibility:hidden;display:none;">
  <tr>
    <td><b style="color:red;"><script>putmsg(mWarning);</script>:</b><span style="color:red;"><script>putmsg(mAlertRadioOff);</script></span></td>
  </tr>
</table>

<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
  <tr>
    <td width="45%">&nbsp;<input type="hidden" name="bssid_num" value="1"></td>
    <td width="55%">&nbsp;</td>
  </tr>
  <tr> 
    <td class="head" id="aboutDriverVersion"><script>putmsg(mWlanDriverVer);</script>:</td>
    <td><span class="comment"><% getAPDriverVer(1); %></span></td>
  </tr>
  <tr> 
    <td class="head"><script>putmsg(mInetMac);</script>(BSSID):</td>
    <td><span class="comment"><% getInicCurrentMac(); %></span></td>
  </tr>
  <tr> 
    <td class="head" id="basicRadioButton"><script>putmsg(mWlanNet);</script>:</td>
    <td>
      <input type="radio" name="radiohiddenButton" value="0"><script>putmsg(mRadioOff);</script>&nbsp;&nbsp;
      <input type="radio" name="radiohiddenButton" value="1"><script>putmsg(mRadioOn);</script>
    </td>
  </tr>
  <tr>
    <td class="head" id="basicNetMode"><script>putmsg(mWlanNetMode);</script>:</td>
    <td>
      <select name="wirelessmode" id="wirelessmode" size="1" style="width:132px;" onChange="wirelessModeChange();">
      <!--
	<option value=0>802.11 b/g mixed mode</option>
	<option value=1>802.11 b only</option>
	<option value=2>802.11 a only</option>
	<option value=3>802.11 a/b/g mixed mode</option>
	<option value=4>802.11 g</option>
	<option value=5>802.11 a/b/g/n mixed mode</option>
	<option value=6>802.11 n only</option>
	<option value=7>802.11 g/n mixed mode</option>
	<option value=8>802.11 a/n mixed mode</option>
	<option value=9>802.11 b/g/n mixed mode</option>
      -->
      </select>
    </td>
  </tr>
  <tr> 
    <td class="head" id="basicSSID" valign="top"><script>putmsg(mWlanSsid);</script>(SSID):</td>
    <td>
      <input type="text" name="mssid_0" id="mssid_0" size="20" maxlength="31" value="<% getCfg2ToHTML(1, "SSID1"); %>"><br />
      <script>putmsg(mWlanHssid);</script><input type="checkbox" name="hssid" value="0">&nbsp;&nbsp;
      <script>putmsg(mWlanIsolated);</script><input type="checkbox" name="isolated_ssid" value="0"><br />
      <script>putmsg(mWlanStaNum);</script>
      <input type="text" name="sta_num_0" id="sta_num_0" size="4" maxlength="3" value="<% getCfg2NthZero(1, "MaxStaNum", 0); %>">
      <span class="comment">&nbsp;(0~255)</span>
    </td>
  </tr>
  <tr id="div_hssid1" style="display:none;visibility:hidden;"> 
    <td class="head" valign="top"><script>putmsg(mWlanSsid);</script> 2:</td>
    <td>
      <input type="text" name="mssid_1"  id="mssid_1" size="20" maxlength="31" value="<% getCfg2ToHTML(1, "SSID2"); %>"><br />
      <script>putmsg(mWlanHssid);</script><input type="checkbox" name="hssid" value="1">&nbsp;&nbsp;
      <script>putmsg(mWlanIsolated);</script><input type="checkbox" name="isolated_ssid" value="1"><br />
      <script>putmsg(mWlanStaNum);</script>
      <input type="text" name="sta_num_1" id="sta_num_1" size="4" maxlength="3" value="<% getCfg2NthZero(1, "MaxStaNum", 1); %>">
      <span class="comment">&nbsp;(0~255)</span>
    </td>
  </tr>
  <tr id="div_hssid2" style="display:none;visibility:hidden;"> 
    <td class="head" valign="top"><script>putmsg(mWlanSsid);</script> 3:</td>
    <td>
      <input type="text" name="mssid_2" id="mssid_2" size="20" maxlength="31" value="<% getCfg2ToHTML(1, "SSID3"); %>"><br />
      <script>putmsg(mWlanHssid);</script><input type="checkbox" name="hssid" value="2">&nbsp;&nbsp;
      <script>putmsg(mWlanIsolated);</script><input type="checkbox" name="isolated_ssid" value="2"><br />
      <script>putmsg(mWlanStaNum);</script>
      <input type="text" name="sta_num_2" id="sta_num_2" size="4" maxlength="3" value="<% getCfg2NthZero(1, "MaxStaNum", 2); %>">
      <span class="comment">&nbsp;(0~255)</span>
    </td>
  </tr>
  <tr id="div_hssid3" style="display:none;visibility:hidden;"> 
    <td class="head" valign="top"><script>putmsg(mWlanSsid);</script> 4:</td>
    <td>
      <input type="text" name="mssid_3" id="mssid_3" size="20" maxlength="31" value="<% getCfg2ToHTML(1, "SSID4"); %>"><br />
      <script>putmsg(mWlanHssid);</script><input type="checkbox" name="hssid" value="3">&nbsp;&nbsp;
      <script>putmsg(mWlanIsolated);</script><input type="checkbox" name="isolated_ssid" value="3"><br />
      <script>putmsg(mWlanStaNum);</script>
      <input type="text" name="sta_num_3" id="sta_num_3" size="4" maxlength="3" value="<% getCfg2NthZero(1, "MaxStaNum", 3); %>">
      <span class="comment">&nbsp;(0~255)</span>
    </td>
  </tr>
  <tr id="div_hssid4" style="display:none;visibility:hidden;"> 
    <td class="head" valign="top"><script>putmsg(mWlanSsid);</script> 5:</td>
    <td>
      <input type="text" name="mssid_4" id="mssid_4" size="20" maxlength="31" value="<% getCfg2ToHTML(1, "SSID5"); %>"><br />
      <script>putmsg(mWlanHssid);</script><input type="checkbox" name="hssid" value="4">&nbsp;&nbsp;
      <script>putmsg(mWlanIsolated);</script><input type="checkbox" name="isolated_ssid" value="4"><br />
      <script>putmsg(mWlanStaNum);</script>
      <input type="text" name="sta_num_4" id="sta_num_4" size="4" maxlength="3" value="<% getCfg2NthZero(1, "MaxStaNum", 4); %>">
      <span class="comment">&nbsp;(0~255)</span>
    </td>
  </tr>
  <tr id="div_hssid5" style="display:none;visibility:hidden;"> 
    <td class="head" valign="top"><script>putmsg(mWlanSsid);</script> 6:</td>
    <td>
      <input type="text" name="mssid_5" id="mssid_5" size="20" maxlength="31" value="<% getCfg2ToHTML(1, "SSID6"); %>"><br />
      <script>putmsg(mWlanHssid);</script><input type="checkbox" name="hssid" value="5">&nbsp;&nbsp;
      <script>putmsg(mWlanIsolated);</script><input type="checkbox" name="isolated_ssid" value="5"><br />
      <script>putmsg(mWlanStaNum);</script>
      <input type="text" name="sta_num_5" id="sta_num_5" size="4" maxlength="3" value="<% getCfg2NthZero(1, "MaxStaNum", 5); %>">
      <span class="comment">&nbsp;(0~255)</span>
    </td>
  </tr>
  <tr id="div_hssid6" style="display:none;visibility:hidden;"> 
    <td class="head" valign="top"><script>putmsg(mWlanSsid);</script> 7:</td>
    <td>
      <input type="text" name="mssid_6" id="mssid_6" size="20" maxlength="31" value="<% getCfg2ToHTML(1, "SSID7"); %>"><br />
      <script>putmsg(mWlanHssid);</script><input type="checkbox" name="hssid" value="6">&nbsp;&nbsp;
      <script>putmsg(mWlanIsolated);</script><input type="checkbox" name="isolated_ssid" value="6"><br />
      <script>putmsg(mWlanStaNum);</script>
      <input type="text" name="sta_num_6" id="sta_num_6" size="4" maxlength="3" value="<% getCfg2NthZero(1, "MaxStaNum", 6); %>">
      <span class="comment">&nbsp;(0~255)</span>
    </td>
  </tr>
  <tr id="div_hssid7" style="display:none;visibility:hidden;"> 
    <td class="head" valign="top"><script>putmsg(mWlanSsid);</script> 8:</td>
    <td>
      <input type="text" name="mssid_7" id="mssid_7" size="20" maxlength="31" value="<% getCfg2ToHTML(1, "SSID8"); %>"><br />
      <script>putmsg(mWlanHssid);</script><input type="checkbox" name="hssid" value="7">&nbsp;&nbsp;
      <script>putmsg(mWlanIsolated);</script><input type="checkbox" name="isolated_ssid" value="7"><br />
      <script>putmsg(mWlanStaNum);</script>
      <input type="text" name="sta_num_7" id="sta_num_7" size="4" maxlength="3" value="<% getCfg2NthZero(1, "MaxStaNum", 7); %>">
      <span class="comment">&nbsp;(0~255)</span>
    </td>
  </tr>
  <tr style="display:none;visibility:hidden;"> 
    <td class="head" id="basicBroadcastSSID"><script>putmsg(mWlanHssidAll);</script>:</td>
    <td>
      <input type="radio" name="broadcastssid" value="0" checked onClick="switch_hidden_ssid();"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="broadcastssid" value="1" onClick="switch_hidden_ssid();"><script>putmsg(mRadioEnable);</script>
    </td>
  </tr>
  <tr style="display:none;visibility:hidden;"> 
    <td class="head"><script>putmsg(mWlanIsolatedAll);</script>:</td>
    <td>
      <input type="radio" name="apisolated" value="0" onClick="switch_isolated_ssid();"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="apisolated" value="1" checked onClick="switch_isolated_ssid();"><script>putmsg(mRadioEnable);</script>
    </td>
  </tr>
  <tr id="div_mbssidapisolated"> 
    <td class="head"><script>putmsg(mWlanIsolatedAp);</script>:</td>
    <td>
      <input type="radio" name="mbssidapisolated" value="0"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="mbssidapisolated" value="1"><script>putmsg(mRadioEnable);</script>
    </td>
  </tr>

  <tr id="div_11a_channel" name="div_11a_channel">
    <td class="head" id="basicFreqA"><script>putmsg(mWlanChannel);</script>:</td>
    <td>
      <select id="sz11aChannel" name="sz11aChannel" size="1" style="width:132px;" onChange="ChannelOnChange();">
	    <option value="0"><script>putmsg(mWlanAuto);</script></option>
	    <% getInic11aChannels(); %>
      </select>
    </td>
  </tr>
  <tr id="div_11b_channel" name="div_11b_channel">
    <td class="head" id="basicFreqB"><script>putmsg(mWlanChannel);</script>:</td>
    <td>
      <select id="sz11bChannel" name="sz11bChannel" size="1" style="width:132px;" onChange="ChannelOnChange();">
	    <option value="0"><script>putmsg(mWlanAuto);</script></option>
	    <% getInic11bChannels(); %>
      </select> &nbsp;&nbsp;
      <script>
      	document.write("<input type='button' class='button' name='scanChannelb' style='width:100px;' value='"+mChanStatis+"' onClick='showChannelList();'>");
      </script>
    </td>
  </tr>
  <tr id="div_11g_channel" name="div_11g_channel">
    <td class="head" d="basicFreqG"><script>putmsg(mWlanChannel);</script>:</td>
    <td>
      <select id="sz11gChannel" name="sz11gChannel" size="1" style="width:132px;" onChange="ChannelOnChange();">
	    <option value="0"><script>putmsg(mWlanAuto);</script></option>
	    <% getInic11gChannels(); %>
      </select>&nbsp;&nbsp;
      <script>
        document.write("<input type='button' class='button' name='scanChannelg' style='width:100px;' value='"+mChanStatis+"' onClick='showChannelList();'>");
      </script>
    </td>
  </tr>
  <tr id="div_abg_rate">
    <td class="head"><script>putmsg(mWlanRate);</script>:</td>
    <td>
      <select name="abg_rate" size="1" style="width:132px;">
      </select>
    </td>
  </tr>
  <tr>
    <td class="head">&nbsp;</td>
    <td class="tail">&nbsp;</td>
  </tr>    
</table>
</fieldset>

<!-- HT Option -->
<br /><br />
<fieldset align="center" style="width:95%;display:none;" id="div_11n">
<legend><script>putmsg(mLegendHtMode);</script></legend>

<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
  <tr>
    <td width="45%">&nbsp;</td>
    <td width="55%">&nbsp;</td>
  </tr>
  <tr>
    <td class="head" id="basicHTOPMode"><script>putmsg(mWlanOpMode);</script> :</td>
    <td>
      <input type="radio" name="n_mode" value="0" checked><script>putmsg(mWlanOpModeMixed);</script>&nbsp;&nbsp;
      <input type="radio" name="n_mode" value="1">Green Field
    </td>
  </tr>
  <tr>
    <td class="head" id="basicHTChannelBW"><script>putmsg(mWlanChannelBandwidth);</script>:</td>
    <td>
      <input type="radio" name="n_bandwidth" value="0" onClick="Channel_BandWidth_onClick();" checked>20 MHz&nbsp;&nbsp;
      <input type="radio" name="n_bandwidth" value="1" onClick="Channel_BandWidth_onClick();">20/40 MHz
    </td>
  </tr>
  <tr>
    <td class="head" id="basicHTGI"><script>putmsg(mWlanGuardIntrv);</script>:</td>
    <td>
      <input type="radio" name="n_gi" value="0" checked><script>putmsg(mWlanGILong);</script>&nbsp;&nbsp;
      <input type="radio" name="n_gi" value="1"><script>putmsg(mWlanAuto);</script>
    </td>
  </tr>
  <tr>
    <td class="head">MCS:</td>
    <td>
      <select id="n_mcs" name="n_mcs" size="1" style="width:132px;">
	<option value="0">0</option>
	<option value="1">1</option>
	<option value="2">2</option>
	<option value="3">3</option>
	<option value="4">4</option>
	<option value="5">5</option>
	<option value="6">6</option>
	<option value="7">7</option>
      </select>
    </td>
  </tr>
  <tr>
    <td class="head" id="basicHTRDG"><script>putmsg(mWlanRDG);</script> (RDG):</td>
    <td>
      <input type="radio" name="n_rdg" value="0" checked><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="n_rdg" value="1"><script>putmsg(mRadioEnable);</script>
    </td>
  </tr>
  <tr name="extension_channel" id="extension_channel">
    <td class="head" id="basicHTExtChannel"><script>putmsg(mWlanEXTChannel);</script>:</td>
    <td>
      <select id="n_extcha" name="n_extcha" size="1" style="width:132px;">
	<option value="1" selected>1</option>
      </select>
    </td>
  </tr>
  <tr>
    <td class="head" id="basicHTSTBC"><script>putmsg(mWlanStbc);</script> (STBC):</td>
    <td>
      <input type="radio" name="n_stbc" value="0" checked><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="n_stbc" value="1"><script>putmsg(mRadioEnable);</script>
    </td>
  </tr>
  <tr>
    <td class="head" id="basicHTAMSDU"><script>putmsg(mWlanAmsdu);</script> (A-MSDU):</td>
    <td>
      <input type="radio" name="n_amsdu" value="0" checked><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="n_amsdu" value="1"><script>putmsg(mRadioEnable);</script>
    </td>
  </tr>
  <tr>
    <td class="head" id="basicHTAddBA"><script>putmsg(mWlanAutoBa);</script>:</td>
    <td>
      <input type="radio" name="n_autoba" value="0" checked><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="n_autoba" value="1"><script>putmsg(mRadioEnable);</script>
    </td>
  </tr>
  <tr>
    <td class="head" id="basicHTDelBA"><script>putmsg(mWlanDeclineBa);</script>:</td>
    <td>
      <input type="radio" name="n_badecline" value="0" checked><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="n_badecline" value="1"><script>putmsg(mRadioEnable);</script>
    </td>
  </tr>
  <tr>
    <td class="head" id="basicHTAllowTKIP"><script>putmsg(mWlanDisableTKIP);</script>:</td>
    <td>
      <input type="radio" name="n_disallow_tkip" value="0" checked><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="n_disallow_tkip" value="1"><script>putmsg(mRadioEnable);</script>
    </td>
  </tr>
  <tr id="div_2040_coexit">
    <td class="head" id="basic2040CoExit"><script>putmsg(mWlan2040CoExit);</script>:</td>
    <td>
      <input type="radio" name="n_2040_coexit" value="0" checked><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="n_2040_coexit" value="1"><script>putmsg(mRadioEnable);</script>
    </td>
  </tr>
  <tr>
    <td class="head" id="basicHTLDPC"><script>putmsg(mWlanStbc);</script> (LDPC):</td>
    <td>
      <input type="radio" name="n_ldpc" value="0" checked><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="n_ldpc" value="1"><script>putmsg(mRadioEnable);</script>
    </td>
  </tr>
  <tr>
    <td class="head">&nbsp;</td>
    <td class="tail">&nbsp;</td>
  </tr>    
</table>
</fieldset>

<!-- VHT Option -->
<br /><br />
<fieldset align="center" style="width:95%;display:none;" id="div_11vht">
<legend><script>putmsg(mWlanVhtOptions);</script></legend>

<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
  <tr>
    <td width="45%">&nbsp;</td>
    <td width="55%">&nbsp;</td>
  </tr>
  <tr id="div_vht_bw">
    <td class="head" id="basicVhtBw">VHT <script>putmsg(mWlanChannelBandwidth);</script>:</td>
    <td>
      <input type="radio" name="vht_bandwidth" value="0" checked>20/40MHz&nbsp;&nbsp;
      <input type="radio" name="vht_bandwidth" value="1">80MHz
    </td>
  </tr>
  <tr>
    <td class="head" id="basicVhtStbc">VHT <script>putmsg(mWlanStbc);</script> (STBC):</td>
    <td>
      <input type="radio" name="vht_stbc" value="0" checked><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="vht_stbc" value="1"><script>putmsg(mRadioEnable);</script>
    </td>
  </tr>
  <tr>
    <td class="head" id="basicVhtSgi">VHT <script>putmsg(mWlanGuardIntrv);</script> (SGI):</td>
    <td>
      <input type="radio" name="vht_sgi" value="0" checked><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="vht_sgi" value="1"><script>putmsg(mRadioEnable);</script>
    </td>
  </tr>
  <tr>
    <td class="head" id="basicVhtBwSignal">VHT <script>putmsg(mWlanBwSignal);</script>:</td>
    <td>
      <input type="radio" name="vht_bw_signal" value="0" checked><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="vht_bw_signal" value="1"><script>putmsg(mWlanStatic);</script>&nbsp;&nbsp;
      <input type="radio" name="vht_bw_signal" value="2"><script>putmsg(mWlanDynamic);</script>
    </td>
  </tr>
  <tr>
    <td class="head" id="basicVHTLDPC">VHT <script>putmsg(mWlanLdpc);</script> (LDPC):</td>
    <td>
      <input type="radio" name="vht_ldpc" value="0" checked><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="vht_ldpc" value="1"><script>putmsg(mRadioEnable);</script>
    </td>
  </tr>
  <tr>
    <td class="head">&nbsp;</td>
    <td class="tail">&nbsp;</td>
  </tr>
</table>
</fieldset>

<br /><br />
<fieldset align="center" style="width:95%;" id="div_11n_plugfest" name="div_11n_plugfest">
<legend><script>putmsg(mLegendOtherSet);</script></legend>  

<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
  <tr>
    <td width="45%">&nbsp;</td>
    <td width="55%">&nbsp;</td>
  </tr>
  <!--
  <tr>
    <td width="45%" bgcolor="#E8F8FF" nowrap>40 Mhz Intolerant</td>
    <td bgcolor="#FFFFFF"><font color="#003366" face=arial><b>
      <input type=radio name=f_40mhz value="0" checked>Diable&nbsp;
      <input type=radio name=f_40mhz value="1">Enable
    </b></font></td>
  </tr>
  <tr>
    <td class="head">WiFi Optimum</td>
    <td>
      <input type=radio name=wifi_opt value="0" checked>Diable&nbsp;
      <input type=radio name=wifi_opt value="1">Enable
    </td>
  </tr>
  -->
  <tr>
    <td class="head" id="basicHTTxStream"><script>putmsg(mWlanStreamTX);</script>:</td>
    <td>
      <select id="tx_stream" name="tx_stream" size="1" style="width:132px;" onChange="changeTxStream();">
	    <option value="1">1</option>
      </select>
    </td>
  </tr>
  <tr>
    <td class="head" id="basicHTRxStream"><script>putmsg(mWlanStreamRX);</script>:</td>
    <td>
      <select id="rx_stream" name="rx_stream" size="1" style="width:132px;">
	    <option value="1">1</option>
      </select>
    </td>
  </tr>
  <tr>
    <td class="head">&nbsp;</td>
    <td class="tail">&nbsp;</td>
  </tr>    
</table>
</fieldset>

<br /><br />
<table align="center" class="content" width="80%" cellSpacing="0" cellPadding="3">
  <tr>
    <td align="center">
    <script>
      document.writeln("<input type='submit' class='button' name='save' value='"+mBtnSave+"'>&nbsp;&nbsp;");
        if (rb == 0)
          document.write("<input type='submit' class='button' value='"+mBtnApply+"' id='basicApply'>&nbsp;&nbsp;");
        document.write("<input type='reset' class='button' value='"+mBtnCancel+"' id='basicCancel' onClick='window.location.reload();'>");
    </script>
    </td>
  </tr>
</table>

<br /><br />
</form>  

</td>

<td class="right-blank">&nbsp;</td>
</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 

</div>
</body>
</html>

