<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="JavaScript" type="text/javascript">
<% websIncludeFile("comm/jdefines.js"); %>
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("guest"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var opmode = '<% getCfgZero(1, "OperationMode"); %>';
var rb = <% getRebootFlag(); %>;

document.title = vendor+" "+model+" - "+(mGuestSettings);

var mssid1 = "<% getCfgGeneralJS(1, "SSID1"); %>";
var mssid2 = "<% getCfgGeneralJS(1, "SSID2"); %>";
var mssid3 = "<% getCfgGeneralJS(1, "SSID3"); %>";
var mssid4 = "<% getCfgGeneralJS(1, "SSID4"); %>";

var imssid1 = "<% getCfg2GeneralJS(1, "SSID1"); %>";
var imssid2 = "<% getCfg2GeneralJS(1, "SSID2"); %>";
var imssid3 = "<% getCfg2GeneralJS(1, "SSID3"); %>";
var imssid4 = "<% getCfg2GeneralJS(1, "SSID4"); %>";

var mIfName = new Array();
mIfName["WLAN1"] = mssid1;
mIfName["WLAN2"] = mssid2;
mIfName["WLAN3"] = mssid3;
mIfName["WLAN4"] = mssid4;
mIfName["WLANI1"] = imssid1;
mIfName["WLANI2"] = imssid2;
mIfName["WLANI3"] = imssid3;
mIfName["WLANI4"] = imssid4;

var guestIfList = "<% getCfgGeneral(1, "guestIfList"); %>";
var wlanIfList = "<% getWlanIfList(); %>";

function writeIfList()
{
	var i,j;

	var guestIfs = new Array();
	var wlanIfs = new Array();
	var wlanIfNames = new Array();
	var wlanIfValues = new Array();

	guestIfs = guestIfList.split(";");
	wlanIfs = wlanIfList.split(";");

	for (i=0; i<wlanIfs.length; i++) {
		var entry = new Array();
		entry = wlanIfs[i].split("|");
		wlanIfValues[i] = entry[0];
		wlanIfNames[i] = entry[1];
	}

	for (i=0; i<wlanIfs.length; i++) {
		if (wlanIfValues[i].length > 0) {
			var enbl = false;
			for (j=0; j<guestIfs.length; j++) {
				if (guestIfs[j] == wlanIfValues[i]) {
					enbl = true;
					break;
				}
			}

			document.writeln('<tr><td>'+mIfName[wlanIfNames[i]]+':</td>');
			if (enbl) {
				document.writeln('<td><input type="radio" name="'+wlanIfValues[i]+'" value="0">'+mRadioDisable+'&nbsp;&nbsp;');
				document.writeln('<input type="radio" name="'+wlanIfValues[i]+'" value="1" checked>'+mRadioEnable+'</td>');
			}
			else {
				document.writeln('<td><input type="radio" name="'+wlanIfValues[i]+'" value="0" checked>'+mRadioDisable+'&nbsp;&nbsp;');
				document.writeln('<input type="radio" name="'+wlanIfValues[i]+'" value="1">'+mRadioEnable+'</td>');
			}
			document.writeln('</tr>');
		}
	}
}

function checkData()
{
	if (document.setIfList.guestIP.value == "") {
		alert(mAlertIpEmpty);
		return false;
	}
	if (!isNumOnly(document.setIfList.guestIP.value)) {
		alert(mAlertIpInvalid);
		return false;
	}

	var guest_ip = "192.168."+document.setIfList.guestIP.value+".1";
	var lan_ip = "<% getCfgGeneral(1, "lan_ipaddr"); %>";
	if (guest_ip == lan_ip) {
		alert(mAlertIpEqualLan);
		return false;
	}

	return true;
}

function fSubmit()
{
	document.fReboot.submit();
}

function onInit()
{
	if (rb) {
		showBlock("rebootNote", 1);
	}
}

</script>
</head>

<body onLoad="onInit();">
<script language="javascript" type="text/javascript" >
	writeWebsHeader_M(menuNetwork.guest, "/m/internet/menu_network.asp");
</script> 

<!-- help div  -->
<div id="help" class="help">
<script>htitle("htitle");</script>
<div class="hcontent">
  <div>
	<table cellPadding="3" cellSpacing="0">
        <tr><td class="help-item"><script>putmsg(mGuestSettings);</script></td></tr>
        <tr><td><script>putmsg(mIntroGuest);</script></td></tr>
      </table>
  </div>
 <script>hclose("hclose");</script>
</div>
</div>

<div style="text-align:right; border-left-style:none;">
    <a href="#" onclick="showHelp();return false;" onfocus="this.blur();" id="btnHelp" class="ahelp"><script>document.writeln(mHelp);</script></a>
</div>
<!-- help div end -->
<div class="body_div">
 
<table class="body" cellspacing="0" cellpadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
    <td class="navi" valign="top">
      <script>writeNavi(lang, ver, "network", "guest");</script>
    </td>
    <td class="left" align="center" valign="top">
      <div id="rebootNote" style="display:none;visibility:hidden;">
      <form name="fReboot" action="/goform/sysReboot" method="post">
      <input type="hidden" name="dummy" value="1">
      <table class="content" align="center" width="80%">
      <tr><td>
      <img src="/graphics/alert.gif" border="0">&nbsp;&nbsp;<span style="color:red;"><script>putmsg(mReboot)</script></span>&nbsp;&nbsp;
      <script>document.writeln("<input type=\"submit\" class=\"button\" value=\""+mBtnReboot+"\">");</script>
      </td></tr>
      </table>
      </form>
      <hr/>
      </div>
      <br />
      <form method="post" name="setIfList" action="/goform/setGuestAccess" onSubmit="return checkData();">
      <fieldset align="center" style="width:95%;"> 
      <legend><script>putmsg(mGuestSettings);</script></legend>  

      <input type="hidden" name="nextPage" value="m/internet/guest.asp">

      <table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
      <tbody>
        <tr><td colspan="2">&nbsp;</td></tr>
        <tr>
          <td width="40%"><script>putmsg(mGuestIp);</script>:</td>
          <td>
            192.168.<input type="text" size="2" maxlength="2" name="guestIP" value="<% getCfgZero(1, "guestIP"); %>">.1 &nbsp;&nbsp;
            <span class="comment">(0-99)</span>
          </td>
        </tr>
        <script>writeIfList();</script>
        <tr><td colspan="2">&nbsp;</td></tr>
      </tbody>
      </table>

      <table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tr>
          <td align="center">
          <script>
            document.writeln("<input type='submit' class='button' name='save' value='"+mBtnSave+"'>&nbsp;&nbsp;");
            if (rb == 0)
              document.write("<input type='submit' class='button' value='"+mBtnApply+"' name='apply'>&nbsp;&nbsp;");
            document.writeln("<input type='reset' class='button' name='cancel' value='"+mBtnCancel+"' onClick=\"window.location.reload();\">");
          </script>
          </td>
        </tr>
    </table>
    <br />
    </fieldset>
    <br />
    </form>
    </td>

    <td class="right-blank">&nbsp;</td>
  </tr>
  </tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 

</div> 

</body>
</html>

