<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("DMZ"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var opmode = '<% getCfgZero(1, "OperationMode"); %>';
var rb = <% getRebootFlag(); %>;
var lanIp = "<% getLanIpASP(); %>";
var lanMask = "<% getLanNetmaskASP(); %>";

var http_request = false;

document.title = vendor+" "+model+" - "+mDMZTitle;

var dmzEn = <% getCfgZero(1, "DMZEnable"); %>;
var sdmzBuilt = <% getSDMZBuilt(); %>;

function fillMyIpClick()
{
	http_request = false;
	makeRequest('/goform/getMyIpAjax', 'n/a', doFillMyIp);
}

function fillMyMacClick()
{
	http_request = false;
	makeRequest('/goform/getMyMacAjax', 'n/a', doFillMyMac);
}

function doFillMyIp()
{
    if (http_request.readyState == 4) {
	if (http_request.status == 200) {
		document.getElementById("DMZIPAddress").value = http_request.responseText;
	}
    }
}

function doFillMyMac()
{
    if (http_request.readyState == 4) {
		if (http_request.status == 200) {
			document.getElementById("DMZAddress").value = http_request.responseText;
		}
	}
}

function formCheck()
{
	if(!document.DMZ1.DMZEnabled.options.selectedIndex){
		// user choose disable
		return true;
	}

	if (document.DMZ1.DMZEnabled.options.selectedIndex == 1) {
		if(document.DMZ1.DMZIPAddress.value == ""){
			alert(mDMZIP + mAlertEmpty);
			document.DMZ1.DMZIPAddress.focus();
			return false;
		}

		if(! checkIpAddr(document.DMZ1.DMZIPAddress)|| !checkLanIp(lanIp, lanMask, document.DMZ1.DMZIPAddress.value) ){
			alert((mAlertInvalidIp));
			document.DMZ1.DMZIPAddress.focus();
			return false;
		}
	}
	else if (document.DMZ1.DMZEnabled.options.selectedIndex == 2) {
		if(document.DMZ1.DMZAddress.value == ""){
			alert(mDMZMac + mAlertEmpty);
			document.DMZ1.DMZAddress.focus();
			return false;
		}

		if(! checkMac(document.DMZ1.DMZAddress.value) ){
			alert(mDMZMac +mAlertInvalid);
			document.DMZ1.DMZAddress.focus();
			return false;
		}
	}

	return true;
}

function updateState()
{
	document.getElementById("dmzAddr").style.visibility = "hidden";
	document.getElementById("dmzAddr").style.display = "none";
	document.getElementById("sdmzAddr").style.visibility = "hidden";
	document.getElementById("sdmzAddr").style.display = "none";
	disableTextField(document.DMZ1.DMZIPAddress);
	disableTextField(document.DMZ1.DMZAddress);
	document.getElementById("fillMyIp").disabled = true;
	document.getElementById("fillMyMac").disabled = true;

	if(document.DMZ1.DMZEnabled.options.selectedIndex == 1){
		document.getElementById("dmzAddr").style.visibility = "visible";
		document.getElementById("dmzAddr").style.display = style_display_on();
		enableTextField(document.DMZ1.DMZIPAddress);
		document.getElementById("fillMyIp").disabled = false;
	} else if(document.DMZ1.DMZEnabled.options.selectedIndex == 2) {
		document.getElementById("sdmzAddr").style.visibility = "visible";
		document.getElementById("sdmzAddr").style.display = style_display_on();
		enableTextField(document.DMZ1.DMZAddress);
		document.getElementById("fillMyMac").disabled = false;
	}
}

function initVal()
{
	var se = document.DMZ1.DMZEnabled;

	se.options[0] = new Option(mRadioDisable, "0");
	se.options[1] = new Option("DMZ", "1");
	if (sdmzBuilt == 1)
		se.options[2] = new Option("Super DMZ", "2");

	document.DMZ1.DMZEnabled.options.selectedIndex = dmzEn;
	updateState();
}

</script>
</head>

<body onLoad="initVal();">

<script language="javascript" type="text/javascript" >
	writeWebsHeader_M(menuNat.dmz, "/m/nat/menu_nat.asp");
</script> 

<!-- help div  -->
<div id="help" class="help">
<script>htitle("htitle");</script>
<div class="hcontent">
  <div>
  <table cellPadding="3" cellSpacing="0">
    <tr><td class="help-item"><script>putmsg(mDMZTitle);</script></td></tr>
  	<tr><td><script>putmsg(mIntroDMZ);</script></td></tr>
  	<tr><td style="color:red;"><br /><b><script>putmsg(mNote);</script>:</b><script>putmsg(mNoteDMZ);</script></td></tr>
  </table>
  </div>
  <script>hclose("hclose");</script>
</div>
</div>

<div style="text-align:right; border-left-style:none;">
    <a href="#" onclick="showHelp();return false;" onfocus="this.blur();" id="btnHelp" class="ahelp"><script>document.writeln(mHelp);</script></a>
</div>
<!-- help div end -->


<div class="body_div">
<table class="body" cellSpacing="0" cellPadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
    <td class="navi" valign="top">
      <script>writeNavi(lang, ver, "nat", "DMZ");</script>
    </td>
    <td class="left" align="center" valign="top">
	<script>writeReboot(rb);</script>
  	<br />
	<form method="post" name="DMZ1" action="/goform/DMZ">
  	<fieldset align="center" style="width:95%;"> 
    	<legend><script>putmsg(mDMZTitle);</script></legend>  
		<input type="hidden" name="nextPage" value="m/nat/DMZ.asp">

      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tbody>
        
        <tr>
          <td width="50%">&nbsp;</td>
          <td width="50%">&nbsp;</td>
        </tr>
	 <tr>
		<td class="head"><script>putmsg(mDMZ);</script> (DMZ):</td>
		<td>
		<select name="DMZEnabled" size="1" onChange="updateState();">
		</select>
	    	</td>
	 </tr>

	 <tr id="dmzAddr" style="visibility:hidden;display:none;">
		<td class="head"><script>putmsg(mDMZIP);</script>:</td>
		<td><script>
		document.write("<input type='text' size='20' maxlength='15' name='DMZIPAddress' id='DMZIPAddress' value=<% getCfgGeneral(1, 'DMZIPAddress'); %> >&nbsp;&nbsp;");
		document.write("<input type='button' class='button' name='fillMyIp' id='fillMyIp' value='"+mDMZFillIP+"' onClick='fillMyIpClick();'>");
		</script></td>
	 </tr>
	 <tr id="sdmzAddr" style="visibility:hidden;display:none;">
		<td class="head"><script>putmsg(mDMZMac);</script></td>
		<td><script>
	  		document.write("<input type='text' size='20' maxlength='17' name='DMZAddress' id='DMZAddress' value=<% getCfgGeneral(1, 'DMZAddress'); %> >&nbsp;&nbsp;");
			document.write("<input type='button' class='button' name='fillMyMac' id='fillMyMac' value='"+mDMZFillMac+"' onClick='fillMyMacClick();'>");
		</script></td>
	 </tr>
	 <tr>
          <td class="head">&nbsp;</td>
          <td class="tail">&nbsp;</td>
        </tr>    
        </tbody>
       </table>
       
	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	<tr>
	  <td align="center"><script>
	  document.write("<input type='submit' class='button' name='save' value='"+mBtnSave+"' onClick='return formCheck();'>&nbsp;&nbsp;");
	  if (rb == 0)
		document.write("<input type='submit' class='button' value='"+mBtnApply+"' name='addDMZ' onClick='return formCheck();'> &nbsp;&nbsp;");
	  document.write("<input type='button' class='button' value='"+mBtnCancel+"' name='reset' onClick='window.location.reload();'>");
	  </script></td>
	</tr>
	</table>

	</fieldset>
	<br /><br /><br />
  <br /><br /><br />
  <br /><br /><br />
  <br /><br /><br />
  <br />
	</form>
    </td>

</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 
       
</div> 
</body>
</html>

