<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("inet"); %>
<% websIncludeLang("port_forward"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var opmode = '<% getCfgZero(1, "OperationMode"); %>';
var rb = <% getRebootFlag(); %>;
var lanIp = "<% getLanIpASP(); %>";
var lanMask = "<% getLanNetmaskASP(); %>";

document.title = vendor+" "+model+" - "+mFwdMulti;

var MAX_RULES = <% getMaxNum("forwardingMulti"); %>;
var ruleStr = "<% getCfgGeneral(1, "PortForwardRules"); %>";

function formCheck()
{
	var i;
	var ipObj;
	var protoObj;
	var fPortObj;
	var tPortObj;
	var commentObj;
	var cbEnblObj;
	var enblObj;

	var rList = new Array();

	for (i=0; i<MAX_RULES; i++) {
		ipObj = document.getElementById("ip_"+i);
		protoObj = document.getElementById("proto_"+i);
		fPortObj = document.getElementById("fPort_"+i);
		tPortObj = document.getElementById("tPort_"+i);
		commentObj = document.getElementById("comment_"+i);
		cbEnblObj = document.getElementById("cbEnbl_"+i);
		enblObj = document.getElementById("enbl_"+i);

		if(ipObj.value == "") {
			continue;
		}

		if(!checkIpAddr(ipObj)) {
			alert(mInetIp + mAlertInvalid);
			return false;
		}

		if(!checkLanIp(lanIp, lanMask, ipObj.value)) {
			alert(mInetIp + mAlertInvalid);
			ipObj.focus();
			return false;
		}

		if(fPortObj.value == "") {
			alert(mInetPrange + mAlertEmpty);
			fPortObj.focus();
			return false;
		}

		if(isNumOnly(fPortObj.value) == 0) {
			alert(mInetPrange + mAlertInvalid);
			fPortObj.focus();
			return false;
		}

		d1 = atoi(fPortObj.value, 1);
		if(d1 > 65535 || d1 < 1) {
			alert(mInetPrange + mAlertInvalid);
			fPortObj.focus();
			return false;
		}

		if(tPortObj.value != "") {
			if(isNumOnly(tPortObj.value ) == 0){
				alert(mInetPrange + mAlertInvalid);
				tPortObj.focus();
				return false;
			}
			d2 = atoi(tPortObj.value, 1);
			if(d2 > 65535 || d2 < 1){
				alert(mInetPrange + mAlertInvalid);
				tPortObj.focus();
				return false;
			}
			if(d1 > d2){
				alert(mInetPrange + mAlertInvalid);
				fPortObj.focus();
				return false;
			}
		}
		if (cbEnblObj.checked == true)
			enblObj.value = "1";
		else
			enblObj.value = "0";

	/*
		for (var j=0; j<rList.length; j++) {
			if ((d1 > rList[j].sport && d1 < rList[j].tport)
				|| (d2 > rList[j] && d2 < rList[j].tport)) {
				alert(mAlertOccupied);
				fPortObj.focus();
				return false;
			}
		}

		rList[i] = { ip: ipObj.value, sport: d1, tport: d2 };
	*/
	}
	return true;
}

function updateState()
{
}


</script>

</head>

<body onLoad="updateState();">

<script language="javascript" type="text/javascript" >
      writeWebsHeader_M(menuNat.mPort, "/m/nat/menu_nat.asp");
</script> 

<!-- help div  -->
<div id="help" class="help">
<script>htitle("htitle");</script>
<div class="hcontent">
  <div>
  <table cellPadding="3" cellSpacing="0">
    <tr><td class="help-item"><script>putmsg(mFwdPort);</script></td></tr>
  	<tr><td><script>putmsg(mIntroFwd);</script></td></tr>
  	<tr><td style="color:red;"><br /><b><script>putmsg(mNote);</script>:</b>&nbsp;
  	<script>putmsg(mNotePortFwd);</script></td></tr>
  	<tr class="helpHr"><td><hr/></td></tr>
  
  	<tr><td class="help-item"><script>putmsg(mFwdMulti);</script></td></tr>
  	<tr><td><script>putmsg(mIntroFwdMulti);</script></td></tr>
  	<tr class="helpHr"><td><hr/></td></tr>
  
  	<tr><td class="help-item"><script>putmsg(mInetIp);</script></td></tr>
  	<tr><td><script>putmsg(mIntroFwdIP);</script></td></tr>
  	<tr class="helpHr"><td><hr/></td></tr>
  
  	<tr><td class="help-item"><script>putmsg(mInetProto);</script></td></tr>
  	<tr><td><script>putmsg(mIntroFwdProto);</script></td></tr>
  	<tr class="helpHr"><td><hr/></td></tr>
  
  	<tr><td class="help-item"><script>putmsg(mInetPrange);</script></td></tr>
  	<tr><td><script>putmsg(mIntroFwdPort);</script></td></tr>
  </table>
  </div>
  <script>hclose("hclose");</script>
</div>
</div>

<div style="text-align:right; border-left-style:none;">
    <a href="#" onclick="showHelp();return false;" onfocus="this.blur();" id="btnHelp" class="ahelp"><script>document.writeln(mHelp);</script></a>
</div>
<!-- help div end -->

<div class="body_div">
<table class="body" cellSpacing="0" cellPadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
    <td class="navi" valign="top">
      <script>writeNavi(lang, ver, "nat", "port_forward");</script>
    </td>
    <td class="left" align="center" valign="top">
	<script>writeReboot(rb);</script>
  	<br />
  	<form method="post" name="portForward" action="/goform/portForwardMulti">
  	<fieldset align="center" style="width:95%;"> 
    	<legend><script>putmsg(mFwdRule);</script></legend>  
		<input type="hidden" name="nextPage" value="m/nat/port_forward.asp">

      	<table align="center" class="content" width="90%" cellSpacing="1" cellPadding="3">
        <tbody>
	<tr><td colspan="3">&nbsp;</td></tr>
	<tr>
	  <td class="headLine" align="center" ><script>putmsg(mIndex);</script><br />
	  <script>putmsg(mRadioEnable);</script></td>
	  <td class="headLine" align="center" ><script>putmsg(mInetIp);</script><br />
	  <script>putmsg(mInetProto);</script><br />
	  <script>putmsg(mFwdComment);</script></td>
	  <td class="headLine" align="center" ><script>putmsg(mInetPrange);</script><br />
	  <script>putmsg(mInetPortStart);</script><br/>
	  <script>putmsg(mInetPortEnd);</script></td>
	</tr>
        
<script language="javascript" type="text/javascript" >
	var i;
	var rules = new Array();
	rules  = ruleStr.split(";");

	for (i=0; i<MAX_RULES; i++) {
		if (i%2)
			document.writeln("<tr bgcolor=\""+listBg+"\">");
		else
			document.writeln("<tr>");
		document.writeln("<td align=\"center\">"+(i+1)+"<br />");
		document.writeln("<input type=\"checkbox\" id=\"cbEnbl_"+i+"\" name=\"cbEnbl_"+i+"\" checked>&nbsp;");
		document.writeln("<input type=\"hidden\" name=\"enbl_"+i+"\" id=\"enbl_"+i+"\" value=\"1\"></td>");

		document.writeln("<td align=\"center\"><input type=\"text\" size=\"16\" maxlength=\"15\" id=\"ip_"+i+"\" name=\"ip_"+i+"\"><br />");
//		document.writeln("<td align=\"center\">");
		document.writeln("<select id=\"proto_"+i+"\" name=\"proto_"+i+"\">");
		document.writeln("<option value=\"1\">TCP</option>");
		document.writeln("<option value=\"2\">UDP</option>");
		document.writeln("<option value=\"3\">"+mInetProtoBoth+"</option>");
		document.writeln("</select>");
//		document.writeln("</td>");
		document.writeln("<br />");
		document.writeln("<input type=\"text\" size=\"8\" maxlength=\"16\" id=\"comment_"+i+"\" name=\"comment_"+i+"\"></td>");

		document.writeln("<td align=\"center\"><input type=\"text\" size=\"5\" maxlength=\"5\" id=\"fPort_"+i+"\" name=\"fPort_"+i+"\"><br />");
		document.writeln("<input type=\"text\" size=\"5\" maxlength=\"5\" id=\"tPort_"+i+"\" name=\"tPort_"+i+"\"></td>");

		document.writeln("</tr>");
	}

	for(i=0; i<rules.length && i<MAX_RULES; i++) {
		var entry = new Array();
		entry = rules[i].split(",");
		if (entry.length == 6 || entry.length == 5) {
			document.getElementById("ip_"+i).value = entry[0];
			document.getElementById("proto_"+i).selectedIndex = (entry[3]*1 - 1);
			document.getElementById("fPort_"+i).value = entry[1];
			document.getElementById("tPort_"+i).value = entry[2];
			document.getElementById("comment_"+i).value = entry[4];
			if (entry.length == 5)
				entry[5] = "1";
			document.getElementById("cbEnbl_"+i).checked = (entry[5] == "1");
		}
	}
</script>

        </tbody>
       </table>

	<br /><br />       
	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	<tr>
	  <td align="center"><script>
	  document.write("<input type='submit' class='button' name='save' value='"+mBtnSave+"' onClick='return formCheck();'>&nbsp;&nbsp;");
	  if (rb == 0)
		document.write("<input type='submit' class='button' value='"+mBtnApply+"' name='btnApply' onClick='return formCheck();'>&nbsp;&nbsp;");
	  document.write("<input type='reset' class='button' value='"+mBtnCancel+"' name='btnCancel' onClick='window.location.reload();'>");
	  </script></td>
	</tr>
	</table>
	</fieldset>
	</form>

	<br />
    </td>

</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 
       
</div> 

</body>
</html>

