<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<title></title>
<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("inet"); %>
<% websIncludeLang("upnp"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var opmode = '<% getCfgZero(1, "OperationMode"); %>';
var rb = <% getRebootFlag(); %>;
document.title = vendor+" "+model+" - "+mUpnpSet;

var upnp = <% getCfgZero(1, "upnpEnabled"); %>;

function initValue() {
	document.upnpForm.upnpEnbl[1*upnp].checked = true;

	if (upnp*1 == 0) {
		document.getElementById("upnpList_div").style.visibility = "hidden";
		document.getElementById("upnpList_div").style.display = "none";
	}
}

</script>

</head>

<body onLoad='initValue();'>

<script language="javascript" type="text/javascript" >
	writeWebsHeader_M(menuNat.upnp, "/m/nat/menu_nat.asp");
</script>     


<!-- help div  -->
<div id="help" class="help">
<script>htitle("htitle");</script>
<div class="hcontent">
  <div>
  <table cellPadding="3" cellSpacing="0">
    <tr><td class="help-item"><script>putmsg(mUpnpSet);</script></td></tr>
  	<tr><td><script>putmsg(mIntroUpnp);</script></td></tr>
 </table>
  </div>
  <script>hclose("hclose");</script>
</div>
</div>

<div style="text-align:right; border-left-style:none;">
    <a href="#" onclick="showHelp();return false;" onfocus="this.blur();" id="btnHelp" class="ahelp"><script>document.writeln(mHelp);</script></a>
</div>
<!-- help div end -->
<div class="body_div"> 
<table class="body" cellSpacing="0" cellPadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
    <td class="navi" valign="top">
      <script>writeNavi(lang, ver, "nat", "upnp");</script>
    </td>
    <td class="left" align="center" valign="top">
	<script>writeReboot(rb);</script>
  	<br />
	<form method="post" name="upnpForm" action="/goform/setUPnP">
  	<fieldset align="center" style="width:95%;"> 
    	<legend><script>putmsg(mUpnpSet);</script></legend>  
		<input type="hidden" name="nextPage" value="m/nat/upnp.asp">
      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tr>
          <td width="40%">&nbsp;</td>
          <td width="60%">&nbsp;</td>
        </tr>
	<tr>
	  <td class="head">UPnP:</td>
	  <td>
	    <input type="radio" name="upnpEnbl" value="0"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
	    <input type="radio" name="upnpEnbl" value="1"><script>putmsg(mRadioEnable);</script>
	  </td>
	</tr>
	</table>

	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	<tr><td>&nbsp;</td></tr>
        <tr>
        <td align="center"><script>
		document.write("<input type='submit' class='button' name='save' value='"+mBtnSave+"'>&nbsp;&nbsp;");
		if (rb == 0)
        		document.write("<input type='submit' class='button' name='apply' value='"+mBtnApply+"'>&nbsp;&nbsp;");
        	document.write("<input type='reset' class='button' name='cancel' value='"+mBtnCancel+"' onClick='window.location.reload();'>&nbsp;&nbsp;");
        </script></td>
        </tr>
        </table>
	 <br />
	</fieldset>
	<br /><br />

  	<fieldset align="center" style="width:95%;" id="upnpList_div"> 
    	<legend><script>putmsg(mUpnpCurrent);</script></legend>  
	<table align="center" class="content" width="90%" cellSpacing="1" cellPadding="3">
	<tr><td colspan="3">&nbsp;</td></tr>
	<tr>
	  <td class="headLine" align="center"><script>putmsg(mIndex);</script></td>
	  <td class="headLine" align="center"><script>putmsg(mfwExtPort);</script><br />
	  <script>putmsg(mFwIntPort);</script></td>
	  <td class="headLine" align="center"><script>putmsg(mInetProto);</script><br />
	  <script>putmsg(mInetIp);</script><br />
	  <script>putmsg(mFwStatus);</script><br />
	  <script>putmsg(mFwDesc);</script></td>
	</tr>
<script language="javascript" type="text/javascript" >
if (upnp == 1) {
	var i, j=0;
	var mappingListStr = "<% getUpnpPortMapping(); %>";
	var mappingList = new Array();

	mappingList = mappingListStr.split(";");

	for (i=0; i<mappingList.length; i++) {
		var mappingEntry = new Array();

		mappingEntry = mappingList[i].split(",");

		if (mappingEntry.length != 6)
			continue;

		if (j%2)
			document.writeln("<tr bgcolor=\""+listBg+"\">");
		else
			document.writeln("<tr>");
		document.writeln("<td align=\"center\">"+(i+1)+"</td>");
		document.writeln("<td align=\"center\>");
		document.writeln(mappingEntry[0]);
		document.writeln("<br />");
		document.writeln(mappingEntry[2]);
		document.writeln("</td>");
		document.writeln("<td align=\"center\>");
		document.writeln(mappingEntry[1]);
		document.writeln("<br />");
		document.writeln(mappingEntry[3]);
		document.writeln("<br />");
		if (mappingEntry[4] == "1")
        {
			document.writeln(mRadioEnable);
		    document.writeln("<br />");
        }
		else
        {
			document.writeln(mRadioDisable);
		    document.writeln("<br />");
        }
		document.writeln(mappingEntry[5]);
		document.writeln("</td>");
		document.writeln("</tr>");
		j++;
	}
}
</script>
	</table>

	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	<tr><td>&nbsp;</td></tr>
        <tr>
        <td align="center"><script>
        document.write("<input type='button' class='button' name='refresh' value='"+mBtnRefresh+"' onClick='window.location.reload();'>");
        </script></td>
        </tr>
        </table>
	</fieldset>
	<br />
      
	</form>
    </td>
        
</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 
       
</div> 
</body>
</html>

