<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>
 
<script language="javascript" type="text/javascript" > 
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("inet"); %>
<% websIncludeLang("qos_ipconnlimit"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var opmode = '<% getCfgZero(1, "OperationMode"); %>';
var rb = <% getRebootFlag(); %>;

document.title = vendor+" "+model+" - "+mQosCtlSet;

var QosList = new Array();
var qosMaxNum = 100;
var QosCurNum = 0;
var QosListStr = "<% getCfgGeneral(1, "IpConnLimitList"); %>";
var lanIp = "<% getLanIpASP(); %>";
var lanMask = "<% getLanNetmaskASP(); %>";
var QosEnbl = '<% getCfgZero(1, "IpConnLimitEnbl"); %>'; 

function showHideTableRow(id, show)
{
	if (show) {
		document.getElementById(id).style.visibility = "visible";
		document.getElementById(id).style.display = "";
	}
	else {
		document.getElementById(id).style.visibility = "hidden";
		document.getElementById(id).style.display = "none";
	}
}
 
function buttonChange()
{
	if (document.QOSCtl.connLimitEnbl[0].checked == true) { 
		showHideTableRow("hCntAdd", 0);
		showHideTableRow("hBtn", 0);
		showHideTableRow("hRules", 0);
	}
	else {
		showHideTableRow("hCntAdd", 1);
		showHideTableRow("hBtn", 1);
		showHideTableRow("hRules", 1);
	}
}
 

function ipverify()
{
	var IPNo = document.QOSCtl.IPNo.value;
	var IPNo2 = document.QOSCtl.IPNo2.value;
	var i;
	var j,z;
	var QosList = new Array();
	var entry1 = new Array();
	var entry2 = new Array();
	var a1 = new Array();
	var a2 = new Array();
	var ip11 = new Array();
	var ip21 = new Array();

	ip11 = IPNo.split(".");
	ip21 = IPNo2.split(".");
	d11 = parseInt(ip11[3]);
	d21 = parseInt(ip21[3]);

        QosListStr = document.getElementById("QosListStr").value;
        QosList = QosListStr.split(";");

	if(!QosListStr.length && QosList.length)
		QosList.length = 0;

	for (i = 0; i < QosList.length; i++) {		
		var entry = QosList[i].split(",");
		entry1[i] = entry[1];
		entry2 [i] = entry[2];
		var ipNum = new Array();
		var ipNum2 = new Array();
		ipNum = entry1[i].split(".");
		ipNum2 = entry2[i].split(".");
		a1[i] = parseInt(ipNum[3]);
		a2[i] = parseInt(ipNum2[3]);
		if(isNaN(a2[i])){
			if((d21 >= a1[i] && d11 <= a1[i])||d11 == a1[i]){
				alert (mErro);
				document.QOSCtl.IPNo.focus();
				document.QOSCtl.IPNo.select();
				return false ;
			}
	        }
		else if((d11<= a2[i] && d11>= a1[i]) || (d21 <= a2[i] && d21 >= a1[i]) || ( d11 <= a1[i] && d21 >= a2[i])){
			alert (mErro);
			document.QOSCtl.IPNo.focus();
			document.QOSCtl.IPNo.select();
			return false ;
		}
	}
	return true ;	
}

function CheckValue()
{                           
	var IPNo = parseInt(document.QOSCtl.IPNo.value);
	var IPNo2 = parseInt(document.QOSCtl.IPNo2.value);
	var obj1 = document.QOSCtl.IPNo;
	
	if (document.QOSCtl.IPNo.value == "" ){
		alert(mRequest);
		obj1.focus();
		obj1.select();
		return false;
	}

	var obj2 = document.QOSCtl.IPNo2;

	if(document.QOSCtl.IPNo.value != ""){
		if(! checkIpAddr(document.QOSCtl.IPNo) || !checkLanIp(lanIp, lanMask, document.QOSCtl.IPNo.value) ){
			alert((mAlertInvalidIp));
			obj1.focus();
			return false;
		}
		if(obj2.value != ""){
			if(! checkIpAddr(obj2) || !checkLanIp(lanIp, lanMask, obj2.value) ){
				alert((mAlertInvalidIp));
				obj2.focus();
				obj2.select();
				return false;
			}
	
			var ip1 = new Array();
			var ip2 = new Array();

			ip1 = obj1.value.split(".");
			ip2 = obj2.value.split(".");
			d1 = parseInt(ip1[3]);
			d2 = parseInt(ip2[3]);
			if (d1 > d2) {
				alert((mAlertInvalidIpIp));
				obj1.focus();
				return false;
			}
		}   
	}   

	if (ipverify()) {	
  	}
  	else 
  		return false;

	var session = document.getElementById("ipsessions");	
	if(session.value == "")
	{
		alert(mSessionull);
  		session.focus();
  		session.select();
  		return false;
	}
	if(!isNumOnly(session.value))
	{
  		alert(mSessionull);
  		session.focus();
  		session.select();
  		return false;
	}
	return true;
}

function  onclickAdd()
{
	var  Name,IPNo,IPNo2,Sessions;
	
	Name = document.getElementById("Name").value;
	IPNo = document.getElementById("IPNo").value;
	IPNo2 = document.getElementById("IPNo2").value;
	Sessions = parseInt(document.getElementById("ipsessions").value);

	if (IPNo2 == "")
		IPNo2 = 0;

	if(CheckValue())
	{		
		var QosList= new Array();
		var i;
		
		QosListStr = document.getElementById("QosListStr").value;
		QosList = QosListStr.split(";");
	 
		if(QosListStr != ""){
			QosListStr += ";"+Name+","+IPNo+","+IPNo2+","+Sessions;
		}
		else
			QosListStr = Name+","+IPNo+","+IPNo2+","+Sessions;
 	}

	document.getElementById("QosListStr").value = QosListStr;
	showQosList();
	Name.value =IPNo.value= IPNo2.value=Sessions.value= "";
}

function showQosList()
{
	var i;
	var QosList = new Array();
	var entry = new Array();

	hiddenAll();
	QosListStr = document.getElementById("QosListStr").value;
	document.getElementById("QOSEnbl_all").checked = false;

	if(QosListStr == "")
		return ;

	QosList = QosListStr.split(";");
	QosCurNum = QosList.length;
	disabelCheckBox("QOSEnbl_",QosCurNum);

	for (i = 0; i < QosList.length; i++) {
                entry = QosList[i].split(",")
		showTable(i);
		document.getElementById("QosIdex"+i).innerHTML = i+1; 
		if (entry[2] == 0)
		{
			document.getElementById("QosDesc"+i).innerHTML = mQosDesc + "(" + entry[0] + ")" + ";"
														+ mInetIp + "(" + entry[1] + ")" + ";"
														+ mSession + "(" + entry[3] + ")" + ";";
		}
		else
		{
			document.getElementById("QosDesc"+i).innerHTML = mQosDesc + "(" + entry[0] + ")" + ";"
														+ mInetIp + "(" + entry[1] + "-" + entry[2] + ")" + ";"
														+ mSession + "(" + entry[3] + ")" + ";";
		}
		
		if( entry[4] == 1){
			document.getElementById("QOSEnbl_"+i).checked = true;
		}
		else{
			document.getElementById("QOSEnbl_"+i).checked = false;	 
		}
	}
}

function enblCheckBox(prefix,max_num)
{
	var i;
	for(i = 0;i<max_num;i++){
		document.getElementById(prefix+i).checked = true;
	}
}

function disabelCheckBox(prefix,max_num)
{
	var i;
	
	for(i = 0;i<max_num;i++){
		document.getElementById(prefix+i).checked = false;
	}
}

function changeCheckBox()
{
	if(document.getElementById("QOSEnbl_all").checked == true)
		enblCheckBox("QOSEnbl_", QosCurNum);
	else
		disabelCheckBox("QOSEnbl_", QosCurNum);
}

function delQosList()
{
	var i,j,count = 0;
	var tmpQosStr = "";
	var QosList = new Array();
	var NoDel;
	var resetValue,nocheckedcount=0;

	QosListStr = document.getElementById("QosListStr").value;
	QosList = QosListStr.split(";");
	
	//alert("QosCurNum2="+QosCurNum);

	for (i = 0,j=0; i < QosCurNum; i++) {
		if(document.getElementById("QOSEnbl_"+i).checked == true){
			count++;
		}
		else {
			nocheckedcount++;
			if (tmpQosStr.length)
				tmpQosStr += ";" + QosList[i];
			else
				tmpQosStr += QosList[i];
		}
	}
	
	if(count == 0){
		alert((mAlertDeleteSelected));
		return false;
	}
	
	var ret = confirm((mConfirmDeleteSelected));
	if(!ret)
		return false;

        resetValue=tmpQosStr;
        document.getElementById("QosListStr").value = tmpQosStr;
       	QosCurNum = nocheckedcount;
	showQosList();
		
	return true;
}

function hiddenAll()
{
	var i;
	for (i = 0; i < qosMaxNum; i++)
	{       
		document.getElementById("QosListt"+i).style.visibility = "hidden";
		document.getElementById("QosListt"+i).style.display = "none";
	}
	
}

function showTable(idx)
{
	document.getElementById("QosListt"+idx).style.visibility = "visible";
	document.getElementById("QosListt"+idx).style.display = style_display_on();
}

function onCancel()
{
	var urlstr = window.location.href;
	var pos = urlstr.indexOf("?");

	if (pos > 0) {
		window.location.href = urlstr.substring(0, pos);;
	}
	else {
		window.location.reload();
	}
}

function initValue()
{
	var i;
	var pos;
	var limitIp;

	pos = window.location.href.indexOf("=");
	if(pos < 0) {
		limitIp = "";
	}
	else {
		var urlstr = window.location.href;

/*
		if(1*QosEnbl == 0)
		{
			var rm = confirm(mConfirmDisable);
			if(rm == true)
			{
				QosEnbl = 1;
			}
		}
*/
		limitIp = urlstr.substring(pos+1);
	}

	hiddenAll();

	if (1*QosEnbl == 1) {
		document.QOSCtl.connLimitEnbl[1].checked = true;
	}
	else {
		document.QOSCtl.connLimitEnbl[0].checked = true;
	}
	document.QOSCtl.IPNo.value = limitIp;
	document.QOSCtl.IPNo2.value = limitIp;

	buttonChange();
	showQosList();
}

</script>
 
</head>
 
<body onLoad="initValue()">

<script language="javascript" type="text/javascript" >
	writeWebsHeader_M(menuQoS.qosConnLimit, "/m/qos/menu_qos.asp");
</script>

<!-- help div  -->
<div id="help" class="help">
<script>htitle("htitle");</script>
<div class="hcontent">
  <div>
  <table cellPadding="3" cellSpacing="0">
  <tr><td class="help-item"><script>putmsg(mQosCtlSet);</script></td></tr>
  <tr><td><script>putmsg(mIntroIpConnLimit);</script></td></tr>
  </table>
  </div>
  <script>hclose("hclose");</script>
</div>
</div>

<div style="text-align:right; border-left-style:none;">
    <a href="#" onclick="showHelp();return false;" onfocus="this.blur();" id="btnHelp" class="ahelp"><script>document.writeln(mHelp);</script></a>
</div>
<!-- help div end -->

<div class="body_div">
   
<table class="body" cellSpacing="0" cellPadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
    <td class="navi" valign="top">
      <script>writeNavi(lang, ver, "qos_set", "qos_ipconnlimit");</script>
    </td>
    <td class="left" align="center" valign="top">
    <script>writeReboot(rb);</script>
    <br />

      <form method="post" name ="QOSCtl" action="/goform/QosIpConnLimit">
      <input type="hidden" id="QosListStr"  name="QosListStr" value="<% getCfgGeneral(1, "IpConnLimitList"); "%>">  
      <table border="0" cellpadding="0" cellspacing="0" width="95%" id="div_qos_st">
      <tr><td width="35%">&nbsp;</td><td>&nbsp;</td></tr>
      <tr>
        <td class="head"> &nbsp;&nbsp;<script>putmsg(mQosCtlSet);</script>:</td>
        <td>
          <input type="radio" name="connLimitEnbl" value="0" onClick="buttonChange();"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;	
          <input type="radio" name="connLimitEnbl" value="1" onClick="buttonChange();"><script>putmsg(mRadioEnable);</script>
        </td>
      </tr>
      	
      </table>

      <fieldset id="hCntAdd" align="center" style="width:95%;">
      <legend><script>putmsg(mCntlAdd);</script></legend>
	
      <table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
      <tr>
        <td width="35%">&nbsp;</td>
        <td width="65%">&nbsp;</td>
      </tr> 
      <tr >
        <td class="head"><script>putmsg(mQosDesc);</script>:</td>
        <td><input type="text" id="Name" name="Name"  value="" size="20" maxlength="10"></td>
      </tr>
      <tr>
        <td class="head"><script>putmsg(mInetSip);</script>:</td>
        <td >
          <input type="text" size="16" maxlength="15" name="IPNo" id="IPNo">&nbsp;-&nbsp;
          <input type="text" size="16" maxlength="15" name="IPNo2"  id="IPNo2">
        </td>
      </tr>
		
      <tr>
        <td class="head"><script>putmsg(mSession);</script>:</td>
        <td ><input type="text" size="16" maxlength="8" name="ipsessions" id="ipsessions" value=""></td>
      </tr>

      </table>
      </fieldset>
      
      <table align="center" class="content" id="hBtn">
      <tr >
        <td colspan="2">
        <script>
          document.write("<input type='button' class='button' value='"+mBtnAdd+"'onClick=\"onclickAdd();\">&nbsp;");
          document.write("<input type='button' class='button' value='"+mBtnCancel+"' onClick=\"onCancel();\">&nbsp;");
        </script>
        </td>
      </tr>
      </table>	

      <br /><br />

      <fieldset id="hRules" align="center" style="width:95%;">
      <legend><script>putmsg(mQosRuleList);</script></legend>
      <br /><br />

      <table align="center" class="content" width="90%" cellspacing="1" cellpadding="3">
      <tr>
        <td class="headLine" align="center"><script>putmsg(mIndex);</script></td>
        <td class="headLine" align="center"><script>putmsg(mQosDesc);</script></td>
        <!-- <td class="headLine" align="center"><script>putmsg(mInetIp);</script></td>
        <td class="headLine" align="center"><script>putmsg(mSession);</script></td> -->
        <td class="headLine" align="center" id="enable"><script>putmsg(mBtnDel);</script>&nbsp;
          <input type="checkbox" id="QOSEnbl_all" name="QOSEnbl_all" onClick="changeCheckBox();">&nbsp;
        </td>
      </tr>
	  
      <script language="javascript" type="text/javascript">
	var i;
	
	for (i=0; i<qosMaxNum; i++) 
	{
		if (i%2)
			document.writeln("<tr id=\"QosListt"+i+"\" bgcolor=\""+listBg+"\">");
		else
			document.writeln("<tr id=\"QosListt"+i+"\">");
		document.writeln("<td align=\"center\" id=\"QosIdex"+i+"\"></td>");	
		document.writeln("<td align=\"center\" id=\"QosDesc"+i+"\"></td>");
		//document.writeln("<td align=\"center\" id=\"QosIPField"+i+"\"></td>");	
		//document.writeln("<td align=\"center\" id=\"QosSession"+i+"\"></td>");
		document.writeln("<td align=\"center\"><input type=\"checkbox\" id=\"QOSEnbl_"+i+"\" name=\"QOSEnbl_"+i+"\">&nbsp;</td>");
		document.writeln("</tr>");
		
	}
      </script>
      </table>

      <br /><br />
      </fieldset>

      <table align="center" class="content" width="95%" cellSpacing="0" cellPadding="3">
      <tr>
        <td align="center"><script>
          if (QosEnbl*1 == 1)
            document.write("<input type='button' class='button' value='"+mBtnDel+"' onClick=\"return delQosList();\">&nbsp;&nbsp;");
          document.write("<input type='submit' class='button' name='save' value='"+mBtnSave+"'>&nbsp;&nbsp;");
          if (rb == 0)
            document.write("<input type='submit' class='button' value='"+mBtnApply+"'>&nbsp;&nbsp;");
          document.write("<input type='button' class='button' value='"+mBtnCancel+"' onClick=\"onCancel();\" >");
        </script> </td>
      </tr>
      </table>

      <br /><br />
	
      </form>
    </td>
    
    <td class="right-blank">&nbsp;</td>
</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" > 
	writeFooter(lang);
</script> 

</div> 

</body>
</html>

