<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("inet"); %>
<% websIncludeLang("security"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';     
var opmode = '<% getCfgZero(1, "OperationMode"); %>';
var http_request = false;
var rb = <% getRebootFlag(); %>;
document.title = vendor+" "+model+" - "+mTitleWlanSec;

var MBSSID_MAX 				= 8;
var ACCESSPOLICYLIST_MAX	= 64;

var changed = 0;
var old_MBSSID;

var defaultShownMBSSID = 0;
var PhyMode  = '<% getCfgZero(1, "WirelessMode"); %>';
var SSID = new Array();
var PreAuth = new Array();
var AuthMode = new Array();
var EncrypType = new Array();
var DefaultKeyID = new Array();
var Key1Type = new Array();
var Key1Str = new Array();
var Key2Type = new Array();
var Key2Str = new Array();
var Key3Type = new Array();
var Key3Str = new Array();
var Key4Type = new Array();
var Key4Str = new Array();
var WPAPSK = new Array();
var RekeyMethod = new Array();
var RekeyInterval = new Array();
var PMKCachePeriod = new Array();
var IEEE8021X = new Array();
var RADIUS_Server = new Array();
var RADIUS_Port = new Array();
var RADIUS_Key = new Array();
var session_timeout_interval = new Array();
/*
// JCG wangxg-- Moved to access control
var AccessPolicy = new Array();
var AccessControlList = new Array();
*/
var WapiPskType = new Array();
var WapiPsk = new Array();
var WapiAsIpAddr = new Array();
var WapiAsPort = new Array();
var WapiAsCertPath = new Array();
var WapiUserCertPath = new Array();
var wapib = "<% getRaxWAPIBuilt(); %>";
var wpsenable  = '<% getCfgZero(1, "WscModeOption"); %>';
var ht_disallow_tkip = "<% getCfgZero(1, "HT_DisallowTKIP"); %>";
var built8021x = "<% get8021xBuilt(); %>";

function ASCertUpdate()
{
	makeRequest("/goform/UpdateCert", "as");
}

function UserCertUpdate()
{
	makeRequest("/goform/UpdateCert", "user");
}

function ASContents() {
	if (http_request.readyState == 4) {
		if (http_request.status == 200) {
			ASCertUpdateHTML(http_request.responseText);
		} else {
			alert(mAlertRequest);
		}
	}
}

function UserContents() {
	if (http_request.readyState == 4) {
		if (http_request.status == 200) {
			UserCertUpdateHTML(http_request.responseText);
		} else {
			alert(mAlertRequest);
		}
	}
}

function ASCertUpdateHTML(str)
{
	if (str.length > 0) {
		var cert = document.security_form.wapicert_ascert;
		cert.options[cert.length] = new Option(str, str);
	}
}

function UserCertUpdateHTML(str)
{
	if (str.length > 0) {
		var cert = document.security_form.wapicert_usercert;
		cert.options[cert.length] = new Option(str, str);
	}
}


function securityHandler() {
	if (http_request.readyState == 4) {
		if (http_request.status == 200) {
			parseAllData(http_request.responseText);
			UpdateMBSSIDList();
			LoadFields(defaultShownMBSSID);

			// load Access Policy for MBSSID[selected]
			// JCG wanxgg-- moved to access control
			//LoadAP();
			//ShowAP(defaultShownMBSSID);
		}
	}
}

/*
// JCG wangxg-- moved to access control
function deleteAccessPolicyListHandler()
{
	window.location.reload(false);
}
*/


function parseAllData(str)
{
	var all_str = new Array();
	all_str = str.split("\n");

	defaultShownMBSSID = parseInt(all_str[0]);

	for (var i=0; i<all_str.length-1; i++) {
		var fields_str = new Array();
		fields_str = all_str[i+1].split("\r");

		SSID[i] = fields_str[0];
		PreAuth[i] = fields_str[1];
		AuthMode[i] = fields_str[2];
		EncrypType[i] = fields_str[3];
		DefaultKeyID[i] = fields_str[4];
		Key1Type[i] = fields_str[5];
		Key1Str[i] = fields_str[6];
		Key2Type[i] = fields_str[7];
		Key2Str[i] = fields_str[8];
		Key3Type[i] = fields_str[9];
		Key3Str[i] = fields_str[10];
		Key4Type[i] = fields_str[11];
		Key4Str[i] = fields_str[12];
		WPAPSK[i] = fields_str[13];
		RekeyMethod[i] = fields_str[14];
		RekeyInterval[i] = fields_str[15];
		PMKCachePeriod[i] = fields_str[16];
		IEEE8021X[i] = fields_str[17];
		RADIUS_Server[i] = fields_str[18];
		RADIUS_Port[i] = fields_str[19];
		RADIUS_Key[i] = fields_str[20];
		session_timeout_interval[i] = fields_str[21];
	/*
		// JCG wangxg-- moved to access control
		AccessPolicy[i] = fields_str[22];
		AccessControlList[i] = fields_str[23];
	*/
		WapiPskType[i] = fields_str[24];
		WapiPsk[i] = fields_str[25];
		WapiAsIpAddr[i] = fields_str[26];
		WapiAsPort[i] = fields_str[27];
		WapiAsCertPath[i] = fields_str[28];
		WapiUserCertPath[i] = fields_str[29];

		/* !!!! IMPORTANT !!!!*/
		if(IEEE8021X[i] == "1")
			AuthMode[i] = "IEEE8021X";

		if(AuthMode[i] == "OPEN" && EncrypType[i] == "NONE" && IEEE8021X[i] == "0")
			AuthMode[i] = "Disable";
		//alert("SSID"+i+": "+SSID[i]+", PreAuth"+i+": "+PreAuth[i]+", AuthMode"+i+": "+AuthMode[i]+", EncrypType"+i+": "+EncrypType[i]+", DefaultKeyID"+i+": "+DefaultKeyID[i]+", Key1Type"+i+": "+Key1Type[i]+", Key1Str"+i+": "+Key1Str[i]+", Key2Type"+i+": "+Key2Type[i]+", Key2Str"+i+": "+Key2Str[i]+", Key3Type"+i+": "+Key3Type[i]+", Key3Str"+i+": "+Key3Str[i]+", Key4Type"+i+": "+Key4Type[i]+", Key4Str"+i+": "+Key4Str[i]+", WPAPSK"+i+": "+WPAPSK[i]+", RekeyMethod"+i+": "+RekeyMethod[i]+", RekeyInterval"+i+": "+RekeyInterval[i]+", PMKCachePeriod"+i+": "+PMKCachePeriod[i]+", IEEE8021X"+i+": "+IEEE8021X[i]+", RADIUS_Server"+i+": "+RADIUS_Server[i]+", RADIUS_Port"+i+": "+RADIUS_Port[i]+", RADIUS_Key"+i+": "+RADIUS_Key[i]+", session_timeout_interval"+i+": "+session_timeout_interval[i]+", AccessPolicy"+i+": "+AccessPolicy[i]+", AccessControlList"+i+": "+AccessControlList[i]+WapiPskType[i]+" + "+WapiPsk[i]+" + "+WapiAsIpAddr[i]+" + "+WapiAsPort[i]+" + "+WapiAsCertPath[i]+" + "+WapiUserCertPath[i]);
	}
}

function checkData()
{
	var securitymode;
//	var ssid = document.security_form.Ssid.value;
	
	securitymode = document.security_form.security_mode.value;
	if (securitymode == "OPEN" || securitymode == "SHARED" ||securitymode == "WEPAUTO")
	{
		if(! check_Wep(securitymode) )
			return false;
	}else if (securitymode == "WPAPSK" || securitymode == "WPA2PSK" || securitymode == "WPAPSKWPA2PSK" /* || security_mode == 5 */){
		var keyvalue = document.security_form.passphrase.value;

		if (keyvalue.length == 0){
			alert(mWlanSecPassPhrase +mAlertEmpty);
			return false;
		}

		if (keyvalue.length < 8){
			alert(mWlanSecPassPhrase +mAlertTooShort);
			return false;
		}
		
		if ((keyvalue.length == 64) && (checkHex(keyvalue) == false)) {
			alert(mAlertKeyvalue);
			return false;
		}
		
		if(checkInjection(document.security_form.passphrase.value) == false){
			alert(mWlanSecPassPhrase +mAlertInvalid);
			return false;
		}

		if(document.security_form.cipher[0].checked != true && 
		   document.security_form.cipher[1].checked != true &&
   		   document.security_form.cipher[2].checked != true){
   		   alert(mWlanSecEncType + mAlertSelect);
   		   return false;
		}

		if(check_wpa() == false)
			return false;
	}
	//802.1x
	else if (securitymode == "IEEE8021X") // 802.1x
	{
		if( document.security_form.ieee8021x_wep[0].checked == false &&
			document.security_form.ieee8021x_wep[1].checked == false){
			alert(mWlanSec8021xWep +mAlertSelect);
			return false;
		}
		if(check_radius() == false)
			return false;
	}else if (securitymode == "WPA" || securitymode == "WPA1WPA2") //     WPA or WPA1WP2 mixed mode
	{
		if(check_wpa() == false)
			return false;
		if(check_radius() == false)
			return false;
	}else if (securitymode == "WPA2") //         WPA2
	{
		if(check_wpa() == false)
			return false;
		if( document.security_form.PreAuthentication[0].checked == false &&
			document.security_form.PreAuthentication[1].checked == false){
			alert(mWlanSecPreauth +mAlertSelect);
			return false;
		}

		if(!document.security_form.PMKCachePeriod.value.length){
			alert(mWlanSecPmkCachePeriod +mAlertEmpty);
			return false;
		} else if (!isNumOnly(document.security_form.PMKCachePeriod.value)) {
			alert(mAlertNum);
			return false;
		}
		if(check_radius() == false)
			return false;
	}
	else if (securitymode == "WAICERT")
	{
		if(check_as() == false)
			return false;
	}
	else if (securitymode == "WAIPSK")
	{
		var pskey = document.security_form.wapipsk_prekey.value;

		if (pskey.length == 0)
		{
			alert(mAlertSharedKeyEmpty);
			return false;
		}

		if (pskey.length < 8)
		{
			alert(mAlertSharedKeyLeast);
			return false;
		}
		
		if (checkInjection(pskey) == false)
		{
			alert(mAlertSharedKeyInvalid);
			return false;
		}

		if (document.security_form.wapipsk_keytype.selectedIndex == 0 &&
		    pskey.length%2 != 0)
		{
			alert(mAlertKey);
			return false;
		}
	}

	// check Access Policy
/*
	// JCG wangxg-- moved to access control
	for(i=0; i<MBSSID_MAX; i++){


		if (document.getElementById("newap_text_" + i).value != ""){
			if(!checkMac(document.getElementById("newap_text_" + i).value)){
				alert("The mac address in Access Policy form is invalid.\n");
				return false;
			}
			if ((document.getElementById("newap_text_" + i).value == "<% getWiFiMac("ra0"); %>") || 
					(document.getElementById("newap_text_" + i).value == "<% getLanMacASP(); %>")) {
				alert("The mac address is illegal!\n");
				return false;
			}
		}
	}
*/

	return true;
}

function check_wpa()
{
		if(document.security_form.cipher[0].checked != true && 
		   document.security_form.cipher[1].checked != true &&
   		   document.security_form.cipher[2].checked != true){
   		   alert(mAlertWPA);
   		   return false;
		}

		// there is no tkip-aes mixed mode in WPA-PSK.
		if ((document.security_form.security_mode.value == "WPA" || 
		     document.security_form.security_mode.value == "WPAPSK") && 
		     document.security_form.cipher[2].checked == true)
		{
			document.security_form.cipher[0].checked = true;
		   	document.security_form.cipher[1].checked = false;
   		   	document.security_form.cipher[2].checked = false;
		}

		if(!isNumOnly(document.security_form.keyRenewalInterval.value)){
			alert(mAlertSecRenewIntrv);
			return false;
		}
		if(!checkRange(document.security_form.keyRenewalInterval.value, 1, 1, 4194303)){
			alert(mAlertSecRenewIntrv);
			return false;
		}
		if (ht_disallow_tkip == "1" && document.security_form.cipher[0].checked)
			alert(mAlertEncryption);
		return true;
}

function check_as()
{
	if (!document.security_form.wapicert_asipaddr.value.length)
	{
		alert(mAlertIP);
		return false;
	}

	if (!document.security_form.wapicert_asport.value.length)
	{
		alert(mAlertPort);
		return false;
	}

	if (checkIpAddr(document.security_form.wapicert_asipaddr) == false)
	{
		alert(mAlertServerIp);
		return false;
	}

	if( (checkRange(document.security_form.wapicert_asport.value, 1, 1, 65535)==false) ||
		(!isNumOnly(document.security_form.wapicert_asport.value))){
		alert(mAlertServerPort);
		return false;		
	}
}

function check_radius()
{
	if(!document.security_form.RadiusServerIP.value.length){
		alert(mInetIp +mAlertEmpty);
		return false;		
	}
	if(!document.security_form.RadiusServerPort.value.length){
		alert(mInetPort +mAlertEmpty);
		return false;		
	}
	if(!document.security_form.RadiusServerSecret.value.length){
		alert(mWlanSecSharedKey + mAlertEmpty);
		return false;		
	}

	if(checkIpAddr(document.security_form.RadiusServerIP) == false){
		alert(mInetIp +mAlertInvalid);
		return false;		
	}
	if( (checkRange(document.security_form.RadiusServerPort.value, 1, 1, 65535)==false) ||
		(!isNumOnly(document.security_form.RadiusServerPort.value))){
		alert(mInetPort +mAlertInvalid);
		return false;		
	}
	if(checkStrictInjection(document.security_form.RadiusServerSecret.value)==false){
		alert(mWlanSecSharedKey +mAlertInvalid);
		return false;		
	}

	if(document.security_form.RadiusServerSessionTimeout.value.length){
		if(!isNumOnly(document.security_form.RadiusServerSessionTimeout.value)){
			alert(mWlanSessionTimeout + mAlertEmpty);
			return false;	
		}	
	}

	return true;
}

function securityMode(c_f)
{
	var security_mode;


	changed = c_f;

	hideWep();

	document.getElementById("div_wpa").style.visibility = "hidden";
	document.getElementById("div_wpa").style.display = "none";
	document.getElementById("div_wpa_algorithms").style.visibility = "hidden";
	document.getElementById("div_wpa_algorithms").style.display = "none";
	document.getElementById("wpa_passphrase").style.visibility = "hidden";
	document.getElementById("wpa_passphrase").style.display = "none";
	document.getElementById("wpa_key_renewal_interval").style.visibility = "hidden";
	document.getElementById("wpa_key_renewal_interval").style.display = "none";
	document.getElementById("wpa_PMK_Cache_Period").style.visibility = "hidden";
	document.getElementById("wpa_PMK_Cache_Period").style.display = "none";
	document.getElementById("wpa_preAuthentication").style.visibility = "hidden";
	document.getElementById("wpa_preAuthentication").style.display = "none";
	document.security_form.cipher[0].disabled = true;
	document.security_form.cipher[1].disabled = true;
	document.security_form.cipher[2].disabled = true;
	document.security_form.passphrase.disabled = true;
	document.security_form.keyRenewalInterval.disabled = true;
	document.security_form.PMKCachePeriod.disabled = true;
	document.security_form.PreAuthentication.disabled = true;

	// 802.1x
	document.getElementById("div_radius_server").style.visibility = "hidden";
	document.getElementById("div_radius_server").style.display = "none";
	document.getElementById("div_8021x_wep").style.visibility = "hidden";
	document.getElementById("div_8021x_wep").style.display = "none";
	document.security_form.ieee8021x_wep.disable = true;
	document.security_form.RadiusServerIP.disable = true;
	document.security_form.RadiusServerPort.disable = true;
	document.security_form.RadiusServerSecret.disable = true;	
	document.security_form.RadiusServerSessionTimeout.disable = true;
	document.security_form.RadiusServerIdleTimeout.disable = true;	

	// wapi
	document.getElementById("div_wapi_psk").style.visibility = "hidden";
	document.getElementById("div_wapi_psk").style.display = "none";
	document.security_form.wapipsk_prekey.disabled = true;
	document.security_form.wapipsk_keytype.disabled = true;
	document.getElementById("div_wapi_cert").style.visibility = "hidden";
	document.getElementById("div_wapi_cert").style.display = "none";
	document.security_form.wapicert_asipaddr.disabled = true;
	document.security_form.wapicert_asport.disabled = true;
	document.security_form.wapicert_ascert.disabled = true;
	document.security_form.wapicert_usercert.disabled = true;

	security_mode = document.security_form.security_mode.value;

	if (security_mode == "OPEN" || security_mode == "SHARED" ||security_mode == "WEPAUTO")
	{
		showWep(security_mode);
	}else if (security_mode == "WPAPSK" || security_mode == "WPA2PSK" || security_mode == "WPAPSKWPA2PSK"){
		<!-- WPA -->
		document.getElementById("div_wpa").style.visibility = "visible";
		document.getElementById("div_wpa").style.display ="";// style_table_display_on();

		document.getElementById("div_wpa_algorithms").style.visibility = "visible";
		document.getElementById("div_wpa_algorithms").style.display = style_display_on();
		document.security_form.cipher[0].disabled = false;
		document.security_form.cipher[1].disabled = false;

		// deal with TKIP-AES mixed mode
		if(security_mode == "WPA2PSK" || security_mode == "WPAPSKWPA2PSK") {
			document.security_form.cipher[2].disabled = false;
		}
		else {
			// do not support TKIPAES
			if (document.security_form.cipher[2].checked == true)
				document.security_form.cipher[1].checked = true;
		}

		document.getElementById("wpa_passphrase").style.visibility = "visible";
		document.getElementById("wpa_passphrase").style.display = style_display_on();
		document.security_form.passphrase.disabled = false;

		document.getElementById("wpa_key_renewal_interval").style.visibility = "visible";
		document.getElementById("wpa_key_renewal_interval").style.display = style_display_on();
		document.security_form.keyRenewalInterval.disabled = false;
	}else if (security_mode == "WPA" || security_mode == "WPA2" || security_mode == "WPA1WPA2") //wpa enterprise
	{
		document.getElementById("div_wpa").style.visibility = "visible";
		document.getElementById("div_wpa").style.display = "";//style_table_display_on();

		document.getElementById("div_wpa_algorithms").style.visibility = "visible";
		document.getElementById("div_wpa_algorithms").style.display = style_display_on();
		document.security_form.cipher[0].disabled = false;
		document.security_form.cipher[1].disabled = false;
		document.getElementById("wpa_key_renewal_interval").style.visibility = "visible";
		document.getElementById("wpa_key_renewal_interval").style.display = style_display_on();
		document.security_form.keyRenewalInterval.disabled = false;
	
		<!-- 802.1x -->
		document.getElementById("div_radius_server").style.visibility = "visible";
		document.getElementById("div_radius_server").style.display ="";// style_table_display_on();
		document.security_form.RadiusServerIP.disable = false;
		document.security_form.RadiusServerPort.disable = false;
		document.security_form.RadiusServerSecret.disable = false;	
		document.security_form.RadiusServerSessionTimeout.disable = false;
		document.security_form.RadiusServerIdleTimeout.disable = false;	

		if(security_mode == "WPA2" || security_mode == "WPA1WPA2") {
			document.security_form.cipher[2].disabled = false;
		}
		else {
			// do not support TKIPAES
			if (document.security_form.cipher[2].checked == true)
				document.security_form.cipher[1].checked = true;
		}

		if(security_mode == "WPA2"){
			document.getElementById("wpa_preAuthentication").style.visibility = "visible";
			document.getElementById("wpa_preAuthentication").style.display = style_display_on();
			document.security_form.PreAuthentication.disabled = false;
			document.getElementById("wpa_PMK_Cache_Period").style.visibility = "visible";
			document.getElementById("wpa_PMK_Cache_Period").style.display = style_display_on();
			document.security_form.PMKCachePeriod.disabled = false;

			document.security_form.PMKCachePeriod.disabled = false;
		}

	}else if (security_mode == "IEEE8021X"){ // 802.1X-WEP
		document.getElementById("div_8021x_wep").style.visibility = "visible";
		document.getElementById("div_8021x_wep").style.display = "";//style_table_display_on();

		document.getElementById("div_radius_server").style.visibility = "visible";
		document.getElementById("div_radius_server").style.display = "";//style_table_display_on();
		document.security_form.ieee8021x_wep.disable = false;
		document.security_form.RadiusServerIP.disable = false;
		document.security_form.RadiusServerPort.disable = false;
		document.security_form.RadiusServerSecret.disable = false;	
		document.security_form.RadiusServerSessionTimeout.disable = false;
		//document.security_form.RadiusServerIdleTimeout.disable = false;
	}
	else if (security_mode == "WAIPSK") {
		document.getElementById("div_wapi_psk").style.visibility = "visible";
		document.getElementById("div_wapi_psk").style.display = style_display_on();
		document.security_form.wapipsk_prekey.disabled = false;
		document.security_form.wapipsk_keytype.disabled = false;
	} else if (security_mode == "WAICERT") {
		document.getElementById("div_wapi_cert").style.visibility = "visible";
		document.getElementById("div_wapi_cert").style.display = style_display_on();
		document.security_form.wapicert_asipaddr.disabled = false;
		document.security_form.wapicert_asport.disabled = false;
		document.security_form.wapicert_ascert.disabled = false;
		document.security_form.wapicert_usercert.disabled = false;
	}
}

function hideWep()
{
	document.getElementById("div_wep").style.visibility = "hidden";
	document.getElementById("div_wep").style.display = "none";
}
function showWep(mode)
{
	<!-- WEP -->
	document.getElementById("div_wep").style.visibility = "visible";
	document.getElementById("div_wep").style.display ="";// style_table_display_on();
	//document.security_form.wep_auth_type.disabled = false;
}


function check_Wep(securitymode)
{
	var defaultid = document.security_form.wep_default_key.value;
	var key_input;

	if ( defaultid == 1 )
		var keyvalue = document.security_form.wep_key_1.value;
	else if (defaultid == 2)
		var keyvalue = document.security_form.wep_key_2.value;
	else if (defaultid == 3)
		var keyvalue = document.security_form.wep_key_3.value;
	else if (defaultid == 4)
		var keyvalue = document.security_form.wep_key_4.value;

	if (keyvalue.length == 0 &&  (securitymode == "SHARED" || securitymode == "OPEN" || securitymode == "WEPAUTO")){ // shared wep  || md5
		alert(mWlanSecKey + defaultid+mAlertEmpty);
		return false;
	}

	var keylength = document.security_form.wep_key_1.value.length;
	if (keylength != 0){
		if (document.security_form.WEP1Select.options.selectedIndex == 0){
			if(keylength != 5 && keylength != 13) {
				alert(mWlanSecKey + '1' + mAlertWepKey5or13);
				return false;
			}
			if(checkInjection(document.security_form.wep_key_1.value)== false){
				alert(mWlanSecKey + '1' +mAlertInvalid);
				return false;
			}
		}
		if (document.security_form.WEP1Select.options.selectedIndex == 1){
			if(keylength != 10 && keylength != 26) {
				alert(mWlanSecKey + '1' + mAlertWepKey10or26);
				return false;
			}
			if(checkHex(document.security_form.wep_key_1.value) == false){
				alert(mWlanSecKey + '1' +mAlertInvalid);
				return false;
			}
		}
	}

	keylength = document.security_form.wep_key_2.value.length;
	if (keylength != 0){
		if (document.security_form.WEP2Select.options.selectedIndex == 0){
			if(keylength != 5 && keylength != 13) {
				alert(mWlanSecKey + '2' +mAlertWepKey5or13);
				return false;
			}
			if(checkInjection(document.security_form.wep_key_2.value)== false){
				alert(mWlanSecKey + '2' +mAlertInvalid);
				return false;
			}			
		}
		if (document.security_form.WEP2Select.options.selectedIndex == 1){
			if(keylength != 10 && keylength != 26) {
				alert(mWlanSecKey + '2' + mAlertWepKey10or26);
				return false;
			}
			if(checkHex(document.security_form.wep_key_2.value) == false){
				alert(mWlanSecKey + '2' +mAlertInvalid);
				return false;
			}
		}
	}

	keylength = document.security_form.wep_key_3.value.length;
	if (keylength != 0){
		if (document.security_form.WEP3Select.options.selectedIndex == 0){
			if(keylength != 5 && keylength != 13) {
				alert(mWlanSecKey + '3' + mAlertWepKey5or13);
				return false;
			}
			if(checkInjection(document.security_form.wep_key_3.value)== false){
				alert(mWlanSecKey + '3' +mAlertInvalid);
				return false;
			}
		}
		if (document.security_form.WEP3Select.options.selectedIndex == 1){
			if(keylength != 10 && keylength != 26) {
				alert(mWlanSecKey + '3' + mAlertWepKey10or26);
				return false;
			}
			if(checkHex(document.security_form.wep_key_3.value) == false){
				alert(mWlanSecKey + '3' + mAlertInvalid);
				return false;
			}			
		}
	}

	keylength = document.security_form.wep_key_4.value.length;
	if (keylength != 0){
		if (document.security_form.WEP4Select.options.selectedIndex == 0){
			if(keylength != 5 && keylength != 13) {
				alert(mWlanSecKey + '4' + mAlertWepKey5or13);
				return false;
			}
			if(checkInjection(document.security_form.wep_key_4.value)== false){
				alert(mWlanSecKey + '4' + mAlertInvalid);
				return false;
			}			
		}
		if (document.security_form.WEP4Select.options.selectedIndex == 1){
			if(keylength != 10 && keylength != 26) {
				alert(mWlanSecKey + '4' +mAlertWepKey10or26);
				return false;
			}

			if(checkHex(document.security_form.wep_key_4.value) == false){
				alert(mWlanSecKey + '4' +mAlertInvalid);
				return false;
			}			
		}
	}
	if (ht_disallow_tkip == "1")
		alert(mAlertEncryption);
	return true;
}

function LoadFields(MBSSID)
{
	var result;
	// Security Policy
	sp_select = document.getElementById("security_mode");

	sp_select.options.length = 0;

	sp_select.options[sp_select.length] = new Option(mRadioDisable, "Disable",	false, AuthMode[MBSSID] == "Disable");
	sp_select.options[sp_select.length] = new Option(mWlanSecModeOpen, "OPEN",		false, AuthMode[MBSSID] == "OPEN");
	if (wpsenable == "0") 
	{
		sp_select.options[sp_select.length] = new Option(mWlanSecModeShared, "SHARED",		false, AuthMode[MBSSID] == "SHARED");
		if (built8021x == "1")
			sp_select.options[sp_select.length] = new Option(mWlanSecModeWepAuto, "WEPAUTO", 	false, AuthMode[MBSSID] == "WEPAUTO");
	}
	if (wpsenable == "0" && built8021x == "1")
		sp_select.options[sp_select.length] = new Option(mWlanSecModeWpa, "WPA",		false, AuthMode[MBSSID] == "WPA");
	sp_select.options[sp_select.length] = new Option(mWlanSecModeWpaPsk, "WPAPSK", 	false, AuthMode[MBSSID] == "WPAPSK");
	if (wpsenable == "0" && built8021x == "1")
		sp_select.options[sp_select.length] = new Option(mWlanSecModeWpa2, "WPA2",		false, AuthMode[MBSSID] == "WPA2");
	sp_select.options[sp_select.length] = new Option(mWlanSecModeWpa2Psk, "WPA2PSK", 	false, AuthMode[MBSSID] == "WPA2PSK");
	sp_select.options[sp_select.length] = new Option(mWlanSecModeWpaPskWpa2Psk, "WPAPSKWPA2PSK", false, AuthMode[MBSSID] == "WPAPSKWPA2PSK");
	if (wpsenable == "0" && built8021x == "1")
		sp_select.options[sp_select.length] = new Option(mWlanSecModeWpa1Wpa2, "WPA1WPA2", 	false, AuthMode[MBSSID] == "WPA1WPA2");

	if (wpsenable == "0" && built8021x == "1")
		sp_select.options[sp_select.length] = new Option(mWlanSecModeIEEE8021X, "IEEE8021X", false, AuthMode[MBSSID] == "IEEE8021X");
	if (wapib == "1")
	{
		sp_select.options[sp_select.length] = new Option("WAPI-PSK", "WAIPSK",	false, AuthMode[MBSSID] == "WAIPSK");
		sp_select.options[sp_select.length] = new Option("WAPI-Certificate", "WAICERT",	false, AuthMode[MBSSID] == "WAICERT");
	}
	// WEP
	document.getElementById("WEP1").value = Key1Str[MBSSID];
	document.getElementById("WEP2").value = Key2Str[MBSSID];
	document.getElementById("WEP3").value = Key3Str[MBSSID];
	document.getElementById("WEP4").value = Key4Str[MBSSID];

	document.getElementById("WEP1Select").selectedIndex = (Key1Type[MBSSID] == "0" ? 1 : 0);
	document.getElementById("WEP2Select").selectedIndex = (Key2Type[MBSSID] == "0" ? 1 : 0);
	document.getElementById("WEP3Select").selectedIndex = (Key3Type[MBSSID] == "0" ? 1 : 0);
	document.getElementById("WEP4Select").selectedIndex = (Key4Type[MBSSID] == "0" ? 1 : 0);

	document.getElementById("wep_default_key").selectedIndex = parseInt(DefaultKeyID[MBSSID]) - 1 ;

	// WPA
	if(EncrypType[MBSSID] == "TKIP")
		document.security_form.cipher[0].checked = true;
	else if(EncrypType[MBSSID] == "AES")
		document.security_form.cipher[1].checked = true;
	else if(EncrypType[MBSSID] == "TKIPAES")
		document.security_form.cipher[2].checked = true;

	document.getElementById("passphrase").value = WPAPSK[MBSSID];
	document.getElementById("keyRenewalInterval").value = RekeyInterval[MBSSID];
	document.getElementById("PMKCachePeriod").value = PMKCachePeriod[MBSSID];
	//document.getElementById("PreAuthentication").value = PreAuth[MBSSID];
	if(PreAuth[MBSSID] == "0")
		document.security_form.PreAuthentication[0].checked = true;
	else
		document.security_form.PreAuthentication[1].checked = true;

	//802.1x wep
	if(IEEE8021X[MBSSID] == "1"){
		if(EncrypType[MBSSID] == "WEP")
			document.security_form.ieee8021x_wep[1].checked = true;
		else
			document.security_form.ieee8021x_wep[0].checked = true;
	}

	document.getElementById("RadiusServerIP").value = RADIUS_Server[MBSSID];
	document.getElementById("RadiusServerPort").value = RADIUS_Port[MBSSID];
	document.getElementById("RadiusServerSecret").value = RADIUS_Key[MBSSID];			
	document.getElementById("RadiusServerSessionTimeout").value = session_timeout_interval[MBSSID];

	// wapi
	document.security_form.wapicert_asipaddr.value = WapiAsIpAddr[MBSSID];
	for (var i=0;i<document.security_form.wapicert_ascert.length;i++)
	{
		var temp = document.security_form.wapicert_ascert.options[i].value;
		if (temp == WapiAsCertPath[MBSSID])
			document.security_form.wapicert_ascert.selectedIndex = i;
	}
	for (i=0;i<document.security_form.wapicert_usercert.length;i++)
	{
		var temp = document.security_form.wapicert_usercert.options[i].value;
		if (temp == WapiUserCertPath[MBSSID])
			document.security_form.wapicert_usercert.selectedIndex = i;
	}
	document.security_form.wapipsk_prekey.value = WapiPsk[MBSSID];
	if (WapiPskType[MBSSID] == "1")
		document.security_form.wapipsk_keytype.selectedIndex = 1;
	else
		document.security_form.wapipsk_keytype.selectedIndex = 0;

	securityMode(0);
}

/*
// JCG wamgxg-- moved to access control
function ShowAP(MBSSID)
{
	var i;
	for(i=0; i<MBSSID_MAX; i++){
		document.getElementById("apselect_"+i).selectedIndex	= AccessPolicy[i];
		document.getElementById("AccessPolicy_"+i).style.visibility = "hidden";
		document.getElementById("AccessPolicy_"+i).style.display = "none";
	}

	document.getElementById("AccessPolicy_"+MBSSID).style.visibility = "visible";
	document.getElementById("AccessPolicy_"+MBSSID).style.display = ""; //style_table_display_on();
}

function LoadAP()
{
	for(var i=0; i<SSID.length; i++){
		var j=0;
		var aplist = new Array;

		if(AccessControlList[i].length != 0){
			aplist = AccessControlList[i].split(";");
			for(j=0; j<aplist.length; j++){
				document.getElementById("newap_"+i+"_"+j).value = aplist[j];
			}

			// hide the lastest <td>
			if(j%2){
				document.getElementById("newap_td_"+i+"_"+j).style.visibility = "hidden";
				document.getElementById("newap_td_"+i+"_"+j).style.display = "none";
				j++;
			}
		}

		// hide <tr> left
		for(; j<ACCESSPOLICYLIST_MAX; j+=2){
			document.getElementById("id_"+i+"_"+j).style.visibility = "hidden";
			document.getElementById("id_"+i+"_"+j).style.display = "none";
		}
	}
}
*/

function selectMBSSIDChanged()
{
	// check if any security settings changed
	if(changed){
		ret = confirm(mConfirmDiscard);
		if(!ret){
			document.security_form.ssidIndex.options.selectedIndex = old_MBSSID;
			return false;
		}
		else
			changed = 0;
	}

	var selected = document.security_form.ssidIndex.options.selectedIndex;

	// backup for user cancel action
	old_MBSSID = selected;

	MBSSIDChange(selected);
}

/*
 * When user select the different SSID, this function would be called.
 */ 
function MBSSIDChange(selected)
{
	// load wep/wpa/802.1x table for MBSSID[selected]
	LoadFields(selected);

	// update Access Policy for MBSSID[selected]
	// JCG wanxgg-- moved to access control
	//ShowAP(selected);

	// radio button special case
	WPAAlgorithms = EncrypType[selected];
	IEEE8021XWEP = IEEE8021X[selected];
	PreAuthentication = PreAuth[selected];

	changeSecurityPolicyTableTitle(SSID[selected]);

	// clear all new access policy list field
/*
	// JCG wangxg-- moved to access control
	for(i=0; i<MBSSID_MAX; i++)
		document.getElementById("newap_text_"+i).value = "";
*/

	return true;
}

function changeSecurityPolicyTableTitle(t)
{
	var title = document.getElementById("sp_title");
	title.innerHTML = "\"" + t + "\"";
}

/*
// JCG wangxg-- moved to access control
function delap(mbssid, num)
{
	makeRequest("/goform/APDeleteAccessPolicyList", mbssid+ "," +num, deleteAccessPolicyListHandler);
}
*/

function initAll()
{
	var radio_off = '<% getCfgZero(1, "RadioOff"); %>';

	if (1*radio_off == 1) {
		document.getElementById("div_radio_off").style.visibility = "";
		document.getElementById("div_radio_off").style.display = "";
	}

	makeRequest("/goform/wirelessGetSecurity", "n/a", securityHandler);
}

function UpdateMBSSIDList()
{
	document.security_form.ssidIndex.length = 0;

	for(var i=0; i<SSID.length; i++){
		var j = document.security_form.ssidIndex.options.length;
		document.security_form.ssidIndex.options[j] = new Option(SSID[i], i, false, false);
	}
	
	document.security_form.ssidIndex.options.selectedIndex = defaultShownMBSSID;
	old_MBSSID = defaultShownMBSSID;
	changeSecurityPolicyTableTitle(SSID[defaultShownMBSSID]);
}

function setChange(c){
	changed = c;
}

var WPAAlgorithms;
function onWPAAlgorithmsClick(type)
{
	if(type == 0 && WPAAlgorithms == "TKIP") return;
	if(type == 1 && WPAAlgorithms == "AES") return;
	if(type == 2 && WPAAlgorithms == "TKIPAES") return;
	setChange(1);
}

var IEEE8021XWEP;
function onIEEE8021XWEPClick(type)
{
	if(type == 0 && IEEE8021XWEP == false) return;
	if(type == 1 && IEEE8021XWEP == true) return;
	setChange(1);
}

var PreAuthentication;
function onPreAuthenticationClick(type)
{
	if(type == 0 && PreAuthentication == false) return;
	if(type == 1 && PreAuthentication == true) return;
	setChange(1);
}

function open_wapi_cert_upload(target)
{
	if (target == "user")
		window.open("wapi_cert_user_upload.asp","wapi_cert_user_upload","toolbar=no, location=yes, scrollbars=yes, resizable=no, width=500, height=500");
	else if (target == "as")
		window.open("wapi_cert_as_upload.asp","wapi_cert_as_upload","toolbar=no, location=yes, scrollbars=yes, resizable=no, width=500, height=500");
}
</script>

</head>

<body onLoad="initAll();">
<script language="javascript" type="text/javascript" >
	writeWebsHeader_M(menuWireless.security, "/m/wireless/menu_wl.asp");
</script> 

<!-- help div  -->
<div id="help" class="help">
<script>htitle("htitle");</script>
<div class="hcontent">
  <div>
	<table  cellPadding="3" cellSpacing="0">
	<tr><td class="help-item"><script>putmsg(mWlanSecSet);</script></td></tr>
	<tr><td><script>putmsg(mIntrowlanSec);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

	<tr><td class="help-item"><script>putmsg(mWlanSecModeOpen);</script></td></tr>
	<tr><td><script>putmsg(mIntroSecModeOpen);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

	<tr><td class="help-item"><script>putmsg(mWlanSecModeShared);</script></td></tr>
	<tr><td><script>putmsg(mIntroSecModeShared);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

	<tr><td class="help-item"><script>putmsg(mWlanSecModeWpaPskWpa2Psk);</script></td></tr>
	<tr><td><script>putmsg(mIntroSecModeWpapsk);</script></td></tr>
       </table>
  </div>
 <script>hclose("hclose");</script>
</div>
</div>

<div style="text-align:right; border-left-style:none;">
    <a href="#" onclick="showHelp();return false;" onfocus="this.blur();" id="btnHelp" class="ahelp"><script>document.writeln(mHelp);</script></a>
</div>
<!-- help div end -->
<div class="body_div">
    
<table class="body" cellSpacing="0" cellPadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
    <td class="left" align="center" valign="top">
	<script>writeReboot(rb);</script>
  	<br />
	<form method="post" name="security_form" action="/goform/APSecurity" onSubmit="return checkData();">
  	<fieldset align="center" style="width:95%;"> 
    	<legend><script>putmsg(mWlanSsid);</script></legend>  
	<input type="hidden" name="nextPage" value="m/wireless/security.asp">
      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3" id="div_radio_off" style="visibility:hidden;display:none;">
	<tr>
	  <td>
	    <b style="color:red;"><script>putmsg(mWarning);</script>:</b>
	    <span style="color:red;"><script>putmsg(mAlertRadioOff);</script></span>
	    <script>document.writeln("<input type='button' class='button' value='"+mBtnSetup+"' onClick=\"gotoURL('basic.asp');\">");</script>
	  </td>
	</tr>
	</table>

      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tbody>
        
        <tr>
          <td width="50%">&nbsp;</td>
          <td width="50%">&nbsp;</td>
        </tr>
        <tr>
          <td class="head"><script>putmsg(mWlanSelSsid);</script> (SSID):</td>
          <td>
            <select name="ssidIndex" size="1" onChange="selectMBSSIDChanged();" style="width:132px;">
      			<!-- ....Javascript will update options.... -->
            </select>
          </td>
        </tr>
	<tr>
          <td class="head">&nbsp; </td>
          <td class="tail"> &nbsp; </td>
        </tr>    
        </tbody>
       </table>
	</fieldset>
	<br /><br />
  
  <fieldset align="center" style="width:95%;"> 
    	<legend id="sp_title"></legend>  

      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tbody>
        
        <tr>
          <td width="50%">&nbsp;</td>
          <td width="50%">&nbsp;</td>
        </tr>
        <tr id="div_security_infra_mode" name="div_security_infra_mode"> 
          <td class="head"><script>putmsg(mWlanSecMode);</script>:</td>
          <td>
            <select name="security_mode" id="security_mode" size="1" onChange="securityMode(1);" style="width:132px;">
      			<!-- ....Javascript will update options.... -->
            </select>
      
          </td>
        </tr>
	<tr>
          <td class="head">&nbsp;</td>
          <td class="tail">&nbsp;</td>
        </tr>    
        </tbody>
       </table>
	</fieldset>
	<br /><br />
  
  <fieldset id="div_wep" name="div_wep" align="center" style="width:95%;visibility: hidden;"> 
    	<legend><script>putmsg(mLegendWepSet);</script></legend>  

      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tbody>
        
        <tr>
          <td width="50%">&nbsp;</td>
          <td width="30%">&nbsp;</td>
          <td width="20%">&nbsp;</td>
        </tr>
        <tr> 
          <td class="head"><script>putmsg(mWlanSecDftKey);</script>:</td>
          <td colspan="2">
            <select name="wep_default_key" id="wep_default_key" size="1" onChange="setChange(1);" style="width:60px;">
		<option value="1">1</option>
		<option value="2">2</option>
		<option value="3">3</option>
		<option value="4">4</option>
            </select>
          </td>
          <td>&nbsp;</td>
        </tr>
        
        <tr> 
          <td class="head">WEP <script>putmsg(mWlanSecKey);</script>&nbsp;1:</td>
          <td><input name="wep_key_1" id="WEP1" size="20" maxlength="26" value="" onKeyUp="setChange(1);"></td>
          <td><select id="WEP1Select" name="WEP1Select" onChange="setChange(1);" style="width:74px;"> 
      	<option value="1"><script>putmsg(mWlanSecAscii);</script></option>
      	<option value="0"><script>putmsg(mWlanSecHex);</script></option>
      	</select></td>
        </tr>
      
        <tr> 
          <td class="head">WEP <script>putmsg(mWlanSecKey);</script>&nbsp;2:</td>
          <td><input name="wep_key_2" id="WEP2" size="20" maxlength="26" value="" onKeyUp="setChange(1);"></td>
          <td><select id="WEP2Select" name="WEP2Select" onChange="setChange(1);" style="width:74px;">
      	<option value="1"><script>putmsg(mWlanSecAscii);</script></option>
      	<option value="0"><script>putmsg(mWlanSecHex);</script></option>
      	</select></td>
        </tr>
        <tr> 
          <td class="head">WEP <script>putmsg(mWlanSecKey);</script>&nbsp;3:</td>
          <td><input name="wep_key_3" id="WEP3" size="20" maxlength="26" value="" onKeyUp="setChange(1)"></td>
          <td><select id="WEP3Select" name="WEP3Select" onChange="setChange(1);" style="width:74px;">
      	<option value="1"><script>putmsg(mWlanSecAscii);</script></option>
      	<option value="0"><script>putmsg(mWlanSecHex);</script></option>
      	</select></td>
        </tr>
        <tr> 
          <td class="head">WEP <script>putmsg(mWlanSecKey);</script>&nbsp;4:</td>
          <td><input name="wep_key_4" id="WEP4" size="20" maxlength="26" value="" onKeyUp="setChange(1)"></td>
          <td><select id="WEP4Select" name="WEP4Select" onChange="setChange(1);" style="width:74px;">
      	<option value="1"><script>putmsg(mWlanSecAscii);</script></option>
      	<option value="0"><script>putmsg(mWlanSecHex);</script></option>
      	</select></td>
        </tr>

	<tr>
          <td class="head">&nbsp;</td>
          <td class="tail">&nbsp;</td>
          <td class="tail">&nbsp;</td>
        </tr>    
        </tbody>
       </table>
	</fieldset>

  <fieldset id="div_wpa" name="div_wpa" align="center" style="width:95%;visibility: hidden;"> 
    	<legend><script>putmsg(mLegendWpaSet);</script></legend>  

      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tbody>
        
        <tr>
          <td width="50%">&nbsp;</td>
          <td width="50%">&nbsp;</td>
        </tr>
        <tr id="div_wpa_algorithms" name="div_wpa_algorithms" style="visibility: hidden;"> 
          <td class="head"><script>putmsg(mWlanSecWpaAlgorithm);</script>:</td>
          <td>
            <input name="cipher" id="cipher" value="0" type="radio" onClick="onWPAAlgorithmsClick(0);" checked>TKIP &nbsp;
            <input name="cipher" id="cipher" value="1" type="radio" onClick="onWPAAlgorithmsClick(1);">AES &nbsp;
            <input name="cipher" id="cipher" value="2" type="radio" onClick="onWPAAlgorithmsClick(2);">TKIP/AES &nbsp;
          </td>
        </tr>
        <tr id="wpa_passphrase" name="wpa_passphrase" style="visibility: hidden;">
          <td class="head"><script>putmsg(mWlanSecPassPhrase);</script>:</td>
          <td>
            <input name="passphrase" id="passphrase" size="20" maxlength="64" value="" onKeyUp="setChange(1);">
          </td>
        </tr>
      
        <tr id="wpa_key_renewal_interval" name="wpa_key_renewal_interval" style="visibility: hidden;">
          <td class="head"><script>putmsg(mWlanSecRenewIntrv);</script>:</td>
          <td>
            <input name="keyRenewalInterval" id="keyRenewalInterval" size="8" maxlength="7" value="3600" onKeyUp="setChange(1);">&nbsp;
		<script>putmsg(mTimeSecond);</script>&nbsp;&nbsp;(0 ~ 4194303)
          </td>
        </tr>
      
        <tr id="wpa_PMK_Cache_Period" name="wpa_PMK_Cache_Period" style="visibility: hidden;">
          <td class="head"><script>putmsg(mWlanSecPmkCachePeriod);</script>:</td>
          <td>
            <input name="PMKCachePeriod" id="PMKCachePeriod" size="6" maxlength="4" value="" onKeyUp="setChange(1);">&nbsp;
		<script>putmsg(mTimeMin);</script>
          </td>
        </tr>
      
        <tr id="wpa_preAuthentication" name="wpa_preAuthentication" style="visibility: hidden;">
          <td class="head"><script>putmsg(mWlanSecPreauth);</script>:</td>
          <td>
            <input name="PreAuthentication" id="PreAuthentication" value="0" type="radio" onClick="onPreAuthenticationClick(0);" checked>
		<script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;&nbsp;
            <input name="PreAuthentication" id="PreAuthentication" value="1" type="radio" onClick="onPreAuthenticationClick(1);">
		<script>putmsg(mRadioEnable);</script>&nbsp;
          </td>
        </tr>       
	<tr>
          <td class="head">&nbsp;</td>
          <td class="tail">&nbsp;</td>
        </tr>    
        </tbody>
       </table>
	</fieldset>
  
    <fieldset id="div_8021x_wep" name="div_8021x_wep" align="center" style="width:95%;visibility: hidden;"> 
    	<legend><script>putmsg(mLegend8021xSet);</script></legend>  

      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tbody>
        
        <tr>
          <td width="50%">&nbsp;</td>
          <td width="50%">&nbsp;</td>
        </tr>
        <tr>
         <td class="head"><script>putmsg(mWlanSec8021xWep);</script>:</td>
         <td>
            <input name="ieee8021x_wep" id="ieee8021x_wep" value="0" type="radio" onClick="onIEEE8021XWEPClick(0);" checked>
		<script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
            <input name="ieee8021x_wep" id="ieee8021x_wep" value="1" type="radio" onClick="onIEEE8021XWEPClick(1);">
		<script>putmsg(mRadioEnable);</script>
         </td>
        </tr>
	<tr>
          <td class="head">&nbsp;</td>
          <td class="tail">&nbsp;</td>
        </tr>    
        </tbody>
       </table>
	</fieldset>
	<br />
	<fieldset id="div_radius_server" name="div_radius_server" align="center" style="width:95%;visibility: hidden;"> 
    	<legend><script>putmsg(mLegendRadiusSet);</script></legend>  

      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tbody>
        
        <tr>
          <td width="50%">&nbsp;</td>
          <td width="50%">&nbsp;</td>
        </tr>
        <tr> 
        	<td   class="head"><script>putmsg(mInetIp);</script>:</td>
        	<td> <input name="RadiusServerIP" id="RadiusServerIP" size="20" maxlength="15" value="" onKeyUp="setChange(1);"> </td>
        </tr>
        <tr> 
        	<td   class="head"><script>putmsg(mInetPort);</script>:</td>
        	<td> <input name="RadiusServerPort" id="RadiusServerPort" size="6" maxlength="5" value="" onKeyUp="setChange(1);"> </td>
        </tr>
        <tr> 
        	<td   class="head"><script>putmsg(mWlanSecSharedKey);</script>:</td>
        	<td> <input name="RadiusServerSecret" id="RadiusServerSecret" size="20" maxlength="64" value="" onKeyUp="setChange(1);"> </td>
        </tr>
        <tr> 
        	<td   class="head"><script>putmsg(mWlanSessionTimeout);</script>:</td>
        	<td> <input name="RadiusServerSessionTimeout" id="RadiusServerSessionTimeout" size="6" maxlength="4" value="0" onKeyUp="setChange(1);"> </td>
        </tr>
		<tr> 
        	<td   class="head"><script>putmsg(mWlanIdleTimeout);</script>:</td>
        	<td> <input name="RadiusServerIdleTimeout" id="RadiusServerIdleTimeout" size="6" maxlength="4" value="0" onKeyUp="setChange(1);" readonly> </td>
        </tr>
	<tr>
          <td class="head">&nbsp;</td>
          <td class="tail">&nbsp;</td>
        </tr>    
        </tbody>
       </table>
	</fieldset>
	<br />
	
	<fieldset id="div_wapi_psk" name="div_wapi_psk" align="center"> 
    	<legend><script>putmsg(mLegendRadiusSet);</script></legend>  

      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tbody>
        
        <tr>
          <td width="50%">&nbsp;</td>
          <td width="50%">&nbsp;</td>
        </tr>
	<tr>
        <td class="head" id="wapiPreKey">Pre-Shared Key</td>
          <td>
            <input type="text" name="wapipsk_prekey" size="28" maxlength="64" value="">
            <select name="wapipsk_keytype">
            <option value="0" selected>HEX</option>
	    <option value="1">ASCII</option>
            </select>
          </td>
  	</tr>
	<tr>
          <td class="head">&nbsp;</td>
          <td class="tail">&nbsp;</td>
        </tr>    
        </tbody>
       </table>
	</fieldset>
	
	<fieldset id="div_wapi_cert" name="div_wapi_cert" align="center"> 
    	<legend><script>putmsg(mLegendRadiusSet);</script></legend>  

      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tbody>
        
        <tr>
          <td width="50%">&nbsp;</td>
          <td width="50%">&nbsp;</td>
        </tr>
	<tr> 
	    <td class="head" id="wapiAsIPAddr">AS IP Address </td>
	    <td>
	      <input type="text" name="wapicert_asipaddr" size="16" maxlength="32" value="">
	    </td>
	  </tr>
	   <tr> 
	    <td class="head" id="wapiAsPort">AS Port</td>
	    <td> 
	      <input type="text" name="wapicert_asport" size="5" maxlength="5" value="3810" readOnly>
	    </td>
	  </tr>
	  <tr>
	    <td class="head" id="wapiAsCert">AS Certificate</td>
	    <td>
	      <select name="wapicert_ascert" size="1">
	        <% getWAPIASCertList(); %>
	      </select>
	      <input type="button" value="Install" name="wapi_as_cert_upload" id="wapiASCertInstall" onClick="open_wapi_cert_upload('as');">
	    </td>
	  </tr>
	  <tr>
	    <td class="head" id="wapiUserCert">User Certificate</td>
	    <td>
	      <select name="wapicert_usercert" size="1">
	        <% getWAPIUserCertList(); %>
	      </select>
	      <input type="button" value="Install" name="wapi_apuser_cert_upload" id="wapiUserCertInstall" onClick="open_wapi_cert_upload('user');">
	    </td>
	  </tr>
	<tr>
          <td class="head">&nbsp;</td>
          <td class="tail">&nbsp;</td>
        </tr>    
        </tbody>
       </table>
	</fieldset>
	
	<table align="center" class="content" width="80%" cellSpacing="0" cellPadding="3">
	  <tr>
	    <td align="center">
		<script>
		document.write("<input type='submit' class='button' name='save' value='"+mBtnSave+"'>&nbsp;&nbsp;");
		if (rb == 0)
			document.write("<input type='submit' class='button' value='"+mBtnApply+"'>&nbsp;&nbsp;");
		document.write("<input type='reset' class='button' value='"+mBtnCancel+"' onClick='window.location.reload();'>");
	    </script>
		</td>
	  </tr>
	</table>
	<br /><br />
	</form>
  </td>

    <td class="right-blank">&nbsp;</td>
</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 

</div>
</body>
</html>

