<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("pass"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var opmode = '<% getCfgZero(1, "OperationMode"); %>';
var ftpPortList = "<% getCfgGeneral(1, "ftpPortList"); %>";
var ftpPassBuilt = <% getFtpPassBuilt(); %>;
var scPassBuilt = <% getStarCraftPassBuilt(); %>;
var rb = <% getRebootFlag(); %>;
document.title = vendor+" "+model+" - "+(mPassTitle);

//chenxh++
function showFtpPass()
{
	document.getElementById("ftp_pass_div").style.display = "";
	document.getElementById("ftp_pass_div").style.visibility = "visible";
	document.getElementById("ftpPassIntroHr").style.visibility = "visible";
	document.getElementById("ftpPassIntroHr").style.display = style_display_on();
	document.getElementById("ftpPassIntroD").style.visibility = "visible";
	document.getElementById("ftpPassIntroD").style.display = style_display_on();
	document.getElementById("ftpPassIntro").style.visibility = "visible";
	document.getElementById("ftpPassIntro").style.display = style_display_on();
}

function showScPass()
{
	document.getElementById("sc_pass_div").style.display = "";
	document.getElementById("sc_pass_div").style.visibility = "visible";
}

function updateFtpPortList()
{
	var i, val;
	var e = document.getElementById("ftpListStr");
	e.value = ""; 

	for (i=0; i<5; i++) 
	{
		val = document.getElementById("ftpPort_"+i).value;
		if (val.length == 0)
			continue;

		if(parseInt(val) <= 0 || parseInt(val) > 65535)
			continue;

		if(e.value == ""){
			e.value = val;
		}
		else{
			e.value += ","+val; //port list seprate by ,
		}
	}

	return true;
}
//end++

function initValue()
{
	var l2tp = <% getCfgZero(1, "l2tpPassThru"); %>;
	var ipsec = <% getCfgZero(1, "ipsecPassThru"); %>;
	var pptp = <% getCfgZero(1, "pptpPassThru"); %>;
	var sc = <% getCfgZero(1, "scPassThru"); %>;
	var colon = ": ";

	document.vpnpass.l2tpPT[1*l2tp].checked = true;
	document.vpnpass.ipsecPT[1*ipsec].checked = true;
	document.vpnpass.pptpPT[1*pptp].checked = true;

	if (ftpPassBuilt == 1) {
		var i;
		var portId;

		if (ftpPortList.length > 0) {
			var ftpPorts = new Array();
			ftpPorts = ftpPortList.split(",");
			for (i=0; i<ftpPorts.length; i++) {
				portId = "ftpPort_"+i;
				document.getElementById(portId).value = ftpPorts[i];
			}
		}
		showFtpPass();
	}

	if (scPassBuilt == 1) {
		document.scPass.scPT[1*sc].checked = true;
		showScPass();
	}
}
function checkAllFtpPort()
{
	var i;
	for(i = 0; i < 5; i++)
	{
		if(checkFtpPort(i) == false)
			return false;
	}
	return true;
}
function checkFtpPort(id)
{ 
	var i;
	var e = document.getElementById("ftpPort_"+id);
	if (e.value != "")
	{
		if(isAllNum(e.value)==false){
			e.focus();
			alert(mAlertPortNum);
			return false;
		}
		if(parseInt(e.value) <= 0 || parseInt(e.value) > 65535)
		{
			e.focus();
			alert(mAlertPortRange);
			return false;
		}
		
		for(i=0;i < (e.value).length; i++)
		{
			num = i+1;
			if((e.value).charAt(i) >= '0' && (e.value).charAt(i) <= '9'&& (e.value).charAt(0) != '0'&& (e.value).charAt(i) != '') 		
				continue;
			else
			{
				 alert(mAlertPortRange);
				 return false;
			}
		}
	}

  	updateFtpPortList();
	return true;
}

</script>

</head>

<body onLoad="initValue();">

<div class="body_div">

<script language="javascript" type="text/javascript" >
	writeHead(lang, ver, "nat", "pass");
</script>

<table class="body" cellSpacing="0" cellPadding="3">
 <tbodY>
 <tr>
   <td class="left-blank">&nbsp;</td>
   <td class="navi" valign="top">
     <script>writeNavi(lang, ver, "nat", "pass");</script>
   </td>
   <td class="left" align="center" valign="top">
   <script>writeReboot(rb);</script>
   <br />

	<form method="post" name="vpnpass" action="/goform/setVpnPaThru">
  	<fieldset align="center" style="width:80%;"> 
    	<legend><script>putmsg(mVpnpassSetting);</script></legend>  

      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tr>
          <td width="35%">&nbsp;</td>
          <td width="65%">&nbsp;</td>
        </tr>
        
	  <tr>
	    <td class="head"><script>putmsg(mvpnpassL2tp);</script>:</td>
	    <td>
	      <input type="radio" name="l2tpPT" value="0"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
	      <input type="radio" name="l2tpPT" value="1"><script>putmsg(mRadioEnable);</script>
	    </td>
	  </tr>
	  <tr>
	    <td class="head"><script>putmsg(mVpnpassIpsec);</script>:</td>
	    <td>
	      <input type="radio" name="ipsecPT" value="0"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
	      <input type="radio" name="ipsecPT" value="1"><script>putmsg(mRadioEnable);</script>
	    </td>
	  </tr>
	  <tr>
	    <td class="head"><script>putmsg(mVpnpassPptp);</script>:</td>
	    <td>
	      <input type="radio" name="pptpPT" value="0"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
	      <input type="radio" name="pptpPT" value="1"><script>putmsg(mRadioEnable);</script>
	    </td>
	  </tr>

	<tr>
	  <td align="center" colspan="2">
	  <script>
	    document.writeln("<input type='submit' class='button' name='save' value='"+mBtnSave+"'>&nbsp;&nbsp;");
	    if (rb == 0)
	      document.writeln("<input type='submit' class='button' value='"+mBtnApply+"'>&nbsp;&nbsp;");
	    document.writeln("<input type='reset' class='button' value='"+mBtnCancel+"' onClick=\"window.location.reload();\">");
	  </script>
	  </td>
	</tr>

	<tr><td class="head">&nbsp;</td><td class="tail">&nbsp;</td></tr>
       </table>
	</fieldset>
	</form>
	<br /><br />

     <form method="post" name="ftpPass" action="/goform/setFtpPass">
     <fieldset align="center" id="ftp_pass_div" style="display:none;visibility:hidden;width:80%;">
     <legend><script>putmsg(mFtpPass);</script></legend>

	<input type="hidden" id="ftpListStr" name="ftpListStr" value="">
	<table align="center" class="content" width="90%" cellSpacing="3" cellPadding="3">
	<tr><td width="35%">&nbsp;</td><td width="65%">&nbsp;</td></tr>
	<tr>
	<td class="head"><script>putmsg(mFtpPorts);</script>:</td>
	<td>
	  <input type="text" size="3" maxlength="5" id="ftpPort_0" value="" >&nbsp;
	  <input type="text" size="3" maxlength="5" id="ftpPort_1" value="" >&nbsp;
	  <input type="text" size="3" maxlength="5" id="ftpPort_2" value="" >&nbsp;
	  <input type="text" size="3" maxlength="5" id="ftpPort_3" value="" >&nbsp;
	  <input type="text" size="3" maxlength="5" id="ftpPort_4" value="" >
	</td>
	</tr>
	<tr>
	<td align="center" colspan="2">
	<script>
	document.writeln("<input type='submit' class='button' name='save' value='"+mBtnSave+"' onClick=\"return checkAllFtpPort();\">&nbsp;&nbsp;");
	if (rb == 0)
		document.writeln("<input type='submit' class='button' value='"+mBtnApply+"' name='ftpApply' onClick=\"return checkAllFtpPort();\">&nbsp;&nbsp;");
	document.writeln("<input type='reset' class='button' value='"+mBtnCancel+"' onClick=\"window.location.reload();\">");
	</script>
	</td>
	</tr>
	<tr><td class="head">&nbsp;</td><td class="tail">&nbsp;</td></tr>
	</table>
	</fieldset>
	</form>
	<br /><br />

	<form method="post" name="scPass" action="/goform/setStarCraftPass">
	<fieldset align="center" id="sc_pass_div" style="display:none;visibility:hidden;width:80%;">
	<legend><script>putmsg(mScPass);</script></legend>
	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	<tr><td width="35%">&nbsp;</td><td width="65%">&nbsp;</td></tr>
	<tr>
	  <td class="head"><script>putmsg(mScPass);</script>:</td>
	  <td>
	    <input type="radio" name="scPT" value="0"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
	    <input type="radio" name="scPT" value="1"><script>putmsg(mRadioEnable);</script>
	  </td>
	</tr>
	<tr>
	  <td align="center" colspan="2">
	  <script>
	    document.writeln("<input type='submit' class='button' name='save' value='"+mBtnSave+"'>&nbsp;&nbsp;");
	    if (rb == 0)
	      document.writeln("<input type='submit' class='button' value='"+mBtnApply+"'>&nbsp;&nbsp;");
	    document.writeln("<input type='reset' class='button' value='"+mBtnCancel+"' onClick=\"window.location.reload();\">");
	  </script>
	  </td>
	</tr>
	<tr><td class="head">&nbsp;</td><td class="tail">&nbsp;</td></tr>
	</table>
	</fieldset>
	</form>
	<br /><br />

    </td>

    <td class="help">
       <table class="help" cellPadding="3" cellSpacing="0">
	<tr id="helpHead"><td class="helpMenu"><script>putmsg(mHelp);</script></td></tr>
	<tr><td class="help-item"><script>putmsg(mVpnpassSetting);</script></td></tr>
	<tr><td><script>putmsg(mIntroVpnpass);</script></td></tr>
	
	<tr id="ftpPassIntroHr" class="helpHr" style="display:none;visibility:hidden;"><td><hr/></td></tr>
	<tr id="ftpPassIntroD" style="display:none;visibility:hidden;"><td class="help-item"><script>putmsg(mFtpPass);</script></td></tr>
	<tr id="ftpPassIntro" style="display:none;visibility:hidden;"><td id="ftpro"><script>putmsg(mFtpPassIntro);</script></td></tr>
	</table>
    </td>
    <td class="right-blank">&nbsp;</td>
</tr>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 
       
</div> 
</body>
</html>

