<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("inet"); %>
<% websIncludeLang("pfsingle"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var opmode = '<% getCfgZero(1, "OperationMode"); %>';
var rb = <% getRebootFlag(); %>;
var lanIp = "<% getLanIpASP(); %>";
var lanMask = "<% getLanNetmaskASP(); %>";

document.title = vendor+" "+model+" - "+mFwdSingle;

var MAX_RULES = <% getMaxNum("forwardingSingle"); %>;
var ruleStr = "<% getCfgGeneral(1, "sPortForwardRules"); %>";

var ruleStr2 = "<% getCfgGeneral(1, "ftpListStr"); %>";
var ruleDefault = ",80,8000,1,HTTP,0;,21,21,1,FTP,0;,23,23,1,Telnet,0;,69,69,2,TFTP,0;,22,22,1,SSH,0;,53,53,2,DNS,0;,110,110,1,POP3,0;,25,25,1,SMTP,0;,119,119,1,NNTP,0;,161,161,2,SNMP,0;,1723,1723,3,PPTP,0;,1080,1080,3,SOCK,0;,79,79,1,Finger,0;,70,70,1,GOPHER,0";
var ftpCurNum = 5;

function formCheck()
{
	var i;
	var ipObj;
	var protoObj;
	var intPortObj;
	var extPortObj;
	var commentObj;
	var cbEnblObj;
	var enblObj;

	var rList = "";
	var needle = "";
  
  	for (i=0; i<MAX_RULES; i++) {
		ipObj = document.getElementById("ip_"+i);
		protoObj = document.getElementById("proto_"+i);
		intPortObj = document.getElementById("intPort_"+i);
		extPortObj = document.getElementById("extPort_"+i);
		commentObj = document.getElementById("comment_"+i);
		cbEnblObj = document.getElementById("cbEnbl_"+i);
		enblObj = document.getElementById("enbl_"+i);

		if(ipObj.value == "") {
			continue;
		}

		if(!checkIpAddr(ipObj)) {
			alert(mInetIp + mAlertInvalid);
			return false;
		}

		if(!checkLanIp(lanIp, lanMask, ipObj.value)) {
			ipObj.value = ipObj.defaultValue;
		        ipObj.focus();
			alert(mInetIp + mAlertInvalid);
			return false;
		}

		if(intPortObj.value == "") {
			alert(mFwIntPort + mAlertEmpty);
			intPortObj.focus();
			return false;
		}

		if(isNumOnly(intPortObj.value) == 0) {
			alert(mFwIntPort + mAlertInvalid);
			intPortObj.focus();
			return false;
		}

		d1 = atoi(intPortObj.value, 1);
		if(d1 > 65535 || d1 < 1) {
			alert(mFwIntPort + mAlertInvalid);
			intPortObj.focus();
			return false;
		}

		if(extPortObj.value == "") {
			alert(mFwExtPort + mAlertEmpty);
			extPortObj.focus();
			return false;
		}

		if(isNumOnly(extPortObj.value) == 0) {
			alert(mFwExtPort + mAlertInvalid);
			extPortObj.focus();
			return false;
		}

		d1 = atoi(extPortObj.value, 1);
		if(d1 > 65535 || d1 < 1) {
			alert(mFwExtPort + mAlertInvalid);
			extPortObj.focus();
			return false;
		}

		if (cbEnblObj.checked == true)
			enblObj.value = "1";
		else
			enblObj.value = "0";

	/*
		needle = ipObj.value+"_i_"+intPortObj.value;
		if (rList.indexOf(needle) >= 0) {
			alert(mAlertOccupied);
			return false;
		}

		rList += needle;

		needle = ipObj.value+"_e_"+extPortObj.value;
		if (rList.indexOf(needle) >= 0) {
			alert(mAlertOccupied);
			return false;
		}

		rList += ","+needle+";";
	*/
	}
	return true;
}

function updateState()
{
	//showhidediv("ftpshow");
}
</script>

</head>

<body onLoad="updateState();">

<div class="body_div">

<script language="javascript" type="text/javascript" >
      writeHead(lang, ver, "nat", "pfsingle");
</script> 

<table class="body" cellSpacing="0" cellPadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
    <td class="navi" valign="top">
      <script>writeNavi(lang, ver, "nat", "pfsingle");</script>
    </td>
    <td class="left" align="center" valign="top">
	<script>writeReboot(rb);</script>
  	<br />
  	<form method="post" name="portForward" action="/goform/portForwardSingle">
  	<fieldset align="center" style="width:80%;"> 
    	<legend><script>putmsg(mFwdRule);</script></legend>  

      	<table align="center" class="content" width="90%" cellSpacing="1" cellPadding="3">
        <tbody>
	<tr><td colspan="7">&nbsp;</td></tr>
	<tr>
	  <td class="headLine" align="center"><script>putmsg(mIndex);</script></td>
	  <td class="headLine" align="center"><script>putmsg(mInetIp);</script></td>
	  <td class="headLine" align="center"><script>putmsg(mInetProto);</script></td>
	  <td class="headLine" align="center"><script>putmsg(mFwIntPort);</script></td>
	  <td class="headLine" align="center"><script>putmsg(mFwExtPort);</script></td>
	  <td class="headLine" align="center"><script>putmsg(mFwdComment);</script></td>
	  <td class="headLine" align="center"><script>putmsg(mRadioEnable);</script></td>
	</tr>
        
<script language="javascript" type="text/javascript" >
	var i,j;
	var rules = new Array();
	rules  = ruleStr.split(";");

	for (i=0; i<MAX_RULES; i++) {
		if (i%2)
			document.writeln("<tr bgcolor=\""+listBg+"\">");
		else
			document.writeln("<tr>");
		document.writeln("<td align=\"center\">"+(i+1)+"</td>");

		document.writeln("<td align=\"center\"><input type=\"text\" size=\"16\" maxlength=\"15\" id=\"ip_"+i+"\" name=\"ip_"+i+"\"></td>");
		document.writeln("<td align=\"center\">");
		document.writeln("<select id=\"proto_"+i+"\" name=\"proto_"+i+"\">");
		document.writeln("<option value=\"1\">TCP</option>");
		document.writeln("<option value=\"2\">UDP</option>");
		document.writeln("<option value=\"3\">"+mInetProtoBoth+"</option>");
		document.writeln("</select>");
		document.writeln("</td>");

		document.writeln("<td align=\"center\"><input type=\"text\" size=\"5\" maxlength=\"5\" id=\"intPort_"+i+"\" name=\"intPort_"+i+"\"></td>");
		document.writeln("<td align=\"center\"><input type=\"text\" size=\"5\" maxlength=\"5\" id=\"extPort_"+i+"\" name=\"extPort_"+i+"\"></td>");
		document.writeln("<td align=\"center\"><input type=\"text\" size=\"8\" maxlength=\"16\" id=\"comment_"+i+"\" name=\"comment_"+i+"\"></td>");

		document.writeln("<td align=\"center\"><input type=\"checkbox\" id=\"cbEnbl_"+i+"\" name=\"cbEnbl_"+i+"\" checked>&nbsp;");
		document.writeln("<input type=\"hidden\" name=\"enbl_"+i+"\" id=\"enbl_"+i+"\" value=\"1\"></td>");
		document.writeln("</tr>");
	}

	for(i=0; i<rules.length && i<MAX_RULES; i++) {
		var entry = new Array();
		entry = rules[i].split(",");
		if (entry.length == 6) {
			document.getElementById("ip_"+i).value = entry[0];
			document.getElementById("proto_"+i).selectedIndex = (entry[3]*1 - 1);
			document.getElementById("intPort_"+i).value = entry[1];
			document.getElementById("extPort_"+i).value = entry[2];
			document.getElementById("comment_"+i).value = entry[4];
			document.getElementById("cbEnbl_"+i).checked = (entry[5] == "1");
		}
		else {
			break;
		}
	}

	rules  = ruleDefault.split(";");
	for(j=0; i<MAX_RULES; i++,j++) {
		var entry = new Array();
		if (j >= rules.length)
			break; 
		entry = rules[j].split(",");
		if (entry.length == 6) {
			document.getElementById("ip_"+i).value = entry[0];
			document.getElementById("proto_"+i).selectedIndex = (entry[3]*1 - 1);
			document.getElementById("intPort_"+i).value = entry[1];
			document.getElementById("extPort_"+i).value = entry[2];
			document.getElementById("comment_"+i).value = entry[4];
			document.getElementById("cbEnbl_"+i).checked = (entry[5] == "1");
		}
	}
</script>

        </tbody>
       </table>

	<br /><br />       
	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	<tr>
	  <td align="center"><script>
	  document.write("<input type='submit' class='button' name='save' value='"+mBtnSave+"' onClick='return formCheck();'>&nbsp;&nbsp;");
	  if (rb == 0)
	    document.write("<input type='submit' class='button' value='"+mBtnApply+"' name='btnApply' onClick='return formCheck();'>&nbsp;&nbsp;");
	  document.write("<input type='reset' class='button' value='"+mBtnCancel+"' name='btnCancel' onClick='window.location.reload();'>");
	  </script></td>
	</tr>
	</table>
	</fieldset>
	</form>
<br />

    </td>

        
    <td class="help">
       <table class="help" cellPadding="3" cellSpacing="0">
	<tr id="helpHead"><td class="helpMenu"><script>putmsg(mHelp);</script></td></tr>
        <tr><td class="help-item"><script>putmsg(mFwdPort);</script></td></tr>
	<tr><td><script>putmsg(mIntroFwd);</script></td></tr>
	<tr><td style="color:red;"><br /><b><script>putmsg(mNote);</script>:</b>&nbsp;<script>putmsg(mNotePortFwd);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

	<tr><td class="help-item"><script>putmsg(mFwdSingle);</script></td></tr>
	<tr><td><script>putmsg(mIntroFwdSingle);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

	<tr><td class="help-item"><script>putmsg(mInetIp);</script></td></tr>
	<tr><td><script>putmsg(mIntroFwdIP);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

	<tr><td class="help-item"><script>putmsg(mInetProto);</script></td></tr>
	<tr><td><script>putmsg(mIntroFwdProto);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

	<tr><td class="help-item"><script>putmsg(mFwIntPort);</script></td></tr>
	<tr><td><script>putmsg(mIntroFwdPortInt);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

	<tr><td class="help-item"><script>putmsg(mFwExtPort);</script></td></tr>
	<tr><td><script>putmsg(mIntroFwdPortExt);</script></td></tr>
	
  	</table>
    </td>
    <td class="right-blank">&nbsp;</td>
</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 
       
</div> 

</body>
</html> 

