<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<title></title>
<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("inet"); %>
<% websIncludeLang("upnp"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var opmode = '<% getCfgZero(1, "OperationMode"); %>';
var rb = <% getRebootFlag(); %>;
document.title = vendor+" "+model+" - "+mUpnpSet;

var upnp = <% getCfgZero(1, "upnpEnabled"); %>;

function initValue() {
	document.upnpForm.upnpEnbl[1*upnp].checked = true;

	if (upnp*1 == 0) {
		document.getElementById("upnpList_div").style.visibility = "hidden";
		document.getElementById("upnpList_div").style.display = "none";
	}
}

</script>

</head>

<body onLoad='initValue();'>

<div class="body_div">

<script language="javascript" type="text/javascript" >
	writeHead(lang, ver, "nat", "upnp");
</script>     
         
<table class="body" cellSpacing="0" cellPadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
    <td class="navi" valign="top">
      <script>writeNavi(lang, ver, "nat", "upnp");</script>
    </td>
    <td class="left" align="center" valign="top">
	<script>writeReboot(rb);</script>
  	<br />
	<form method="post" name="upnpForm" action="/goform/setUPnP">
  	<fieldset align="center" style="width:80%;"> 
    	<legend><script>putmsg(mUpnpSet);</script></legend>  
      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tr>
          <td width="40%">&nbsp;</td>
          <td width="60%">&nbsp;</td>
        </tr>
	<tr>
	  <td class="head">UPnP:</td>
	  <td>
	    <input type="radio" name="upnpEnbl" value="0"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
	    <input type="radio" name="upnpEnbl" value="1"><script>putmsg(mRadioEnable);</script>
	  </td>
	</tr>
	</table>

	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	<tr><td>&nbsp;</td></tr>
        <tr>
        <td align="center"><script>
		document.write("<input type='submit' class='button' name='save' value='"+mBtnSave+"'>&nbsp;&nbsp;");
		if (rb == 0)
        		document.write("<input type='submit' class='button' name='apply' value='"+mBtnApply+"'>&nbsp;&nbsp;");
        	document.write("<input type='reset' class='button' name='cancel' value='"+mBtnCancel+"' onClick='window.location.reload();'>&nbsp;&nbsp;");
        </script></td>
        </tr>
        </table>
	 <br />
	</fieldset>
	<br /><br />

  	<fieldset align="center" style="width:80%;" id="upnpList_div"> 
    	<legend><script>putmsg(mUpnpCurrent);</script></legend>  
	<table align="center" class="content" width="90%" cellSpacing="1" cellPadding="3">
	<tr><td colspan="7">&nbsp;</td></tr>
	<tr>
	  <td class="headLine" align="center"><script>putmsg(mIndex);</script></td>
	  <td class="headLine" align="center"><script>putmsg(mfwExtPort);</script></td>
	  <td class="headLine" align="center"><script>putmsg(mInetProto);</script></td>
	  <td class="headLine" align="center"><script>putmsg(mFwIntPort);</script></td>
	  <td class="headLine" align="center"><script>putmsg(mInetIp);</script></td>
	  <td class="headLine" align="center"><script>putmsg(mFwStatus);</script></td>
	  <td class="headLine" align="center"><script>putmsg(mFwDesc);</script></td>
	</tr>
<script language="javascript" type="text/javascript" >
if (upnp == 1) {
	var i, j=0;
	var mappingListStr = "<% getUpnpPortMapping(); %>";
	var mappingList = new Array();

	mappingList = mappingListStr.split(";");

	for (i=0; i<mappingList.length; i++) {
		var mappingEntry = new Array();

		mappingEntry = mappingList[i].split(",");

		if (mappingEntry.length != 6)
			continue;

		if (j%2)
			document.writeln("<tr bgcolor=\""+listBg+"\">");
		else
			document.writeln("<tr>");
		document.writeln("<td align=\"center\">"+(i+1)+"</td>");
		document.writeln("<td align=\"center\">"+mappingEntry[0]+"</td>");
		document.writeln("<td align=\"center\">"+mappingEntry[1]+"</td>");
		document.writeln("<td align=\"center\">"+mappingEntry[2]+"</td>");
		document.writeln("<td align=\"center\">"+mappingEntry[3]+"</td>");
		if (mappingEntry[4] == "1")
			document.writeln("<td align=\"center\">"+mRadioEnable+"</td>");
		else
			document.writeln("<td align=\"center\">"+mRadioDisable+"</td>");
		document.writeln("<td align=\"center\" width=\"35%\">"+mappingEntry[5]+"</td>");
		document.writeln("</tr>");
		j++;
	}
}
</script>
	</table>

	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	<tr><td>&nbsp;</td></tr>
        <tr>
        <td align="center"><script>
        document.write("<input type='button' class='button' name='refresh' value='"+mBtnRefresh+"' onClick='window.location.reload();'>");
        </script></td>
        </tr>
        </table>
	</fieldset>
	<br />
      
	</form>
    </td>
        
    <td class="help">
       <table class="help" cellPadding="3" cellSpacing="0">
	<tr id="helpHead"><td class="helpMenu"><script>putmsg(mHelp);</script></td></tr>
        <tr><td class="help-item"><script>putmsg(mUpnpSet);</script></td></tr>
	<tr><td><script>putmsg(mIntroUpnp);</script></td></tr>
	</table>
    </td>
    <td class="right-blank">&nbsp;</td>
</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 
       
</div> 
</body>
</html>

