<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<title> </title>
<script language="javascript" type="text/javascript">
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("qos_basic"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var opmode = '<% getCfgZero(1, "OperationMode"); %>';
var rb = <% getRebootFlag(); %>;
document.title = vendor+" "+model+" - "+(mTitleQosBasic);

var QOS_MAX_HARD_LIMITED = "1000M";						// Our max bandwidth that we can deal with.
var QOS_MIN_HARD_LIMITED = "32k";						// Our min bandwidth that we hope.

var QoS = "<% getCfgGeneral(1, "QoSEnable"); %>";
var QoSModel = "<% getCfgGeneral(1, "QoSModel"); %>";
var QoSModeType = "<% getCfgGeneral(1, "QoSModeType"); %>";
var uploadBandwidth = "<% getCfgGeneral(1, "QoSUploadBandwidth"); %>";
var downloadBandwidth = "<% getCfgGeneral(1, "QoSDownloadBandwidth"); %>";
var uploadBandwidth_custom = "<% getCfgGeneral(1, "QoSUploadBandwidth_custom"); %>";
var downloadBandwidth_custom = "<% getCfgGeneral(1, "QoSDownloadBandwidth_custom"); %>";
var reserveBandwidth = "<% getCfgGeneral(1, "QoSReserveBandwidth"); %>";
var isPortBasedQoSSupport = "<% QoSisPortBasedQoSSupport(); %>";
var SFQsupport = "<% isSFQsupport(); %>";

/* JCG QOS */
var jcgQosBuilt = "<% getJcgQosBuilt(); %>";
var qosIPBWBuilt = "<% getQosIPBWLimitBuilt(); %>";

QoS = (QoS == "") ? "0" : QoS;
QoSModel = (QoSModel == "") ? "1" : QoSModel;		/* Default model is DRR */
reserveBandwidth = (reserveBandwidth == "") ? "0" : reserveBandwidth;

/* Upload AF Group init */
var AF1ULName = "<% getCfgGeneral(1, "QoSAF1ULName"); %>";
var AF2ULName = "<% getCfgGeneral(1, "QoSAF2ULName"); %>";
var AF3ULName = "<% getCfgGeneral(1, "QoSAF3ULName"); %>";
var AF4ULName = "<% getCfgGeneral(1, "QoSAF4ULName"); %>";
var AF5ULName = "<% getCfgGeneral(1, "QoSAF5ULName"); %>";
var AF6ULName = "<% getCfgGeneral(1, "QoSAF6ULName"); %>";
AF1ULName = (AF1ULName == "") ? "Low" : AF1ULName;
AF2ULName = (AF2ULName == "") ? "Middle" : AF2ULName;
AF3ULName = (AF3ULName == "") ? "NoName3(UL)" : AF3ULName;
AF4ULName = (AF4ULName == "") ? "NoName4(UL)" : AF4ULName;
AF5ULName = (AF5ULName == "") ? "High" : AF5ULName;
AF6ULName = (AF6ULName == "") ? "Default" : AF6ULName;

/* JCG AF Group init */
var AF1Name = "<% getCfgGeneral(1, "QoSAF1Name"); %>";
var AF2Name = "<% getCfgGeneral(1, "QoSAF2Name"); %>";
var AF3Name = "<% getCfgGeneral(1, "QoSAF3Name"); %>";
var AF4Name = "<% getCfgGeneral(1, "QoSAF4Name"); %>";
var AF5Name = "<% getCfgGeneral(1, "QoSAF5Name"); %>";
var AF6Name = "<% getCfgGeneral(1, "QoSAF6Name"); %>";
AF1Name = (AF1Name == "") ? "Low" : AF1Name;
AF2Name = (AF2Name == "") ? "Middle" : AF2Name;
AF3Name = (AF3Name == "") ? "NoName3" : AF3Name;
AF4Name = (AF4Name == "") ? "NoName4" : AF4Name;
AF5Name = (AF5Name == "") ? "High" : AF5Name;
AF6Name = (AF6Name == "") ? "Default" : AF6Name;

var AF1ULRate = "<% getCfgGeneral(1, "QoSAF1ULRate"); %>";
var AF2ULRate = "<% getCfgGeneral(1, "QoSAF2ULRate"); %>";
var AF3ULRate = "<% getCfgGeneral(1, "QoSAF3ULRate"); %>";
var AF4ULRate = "<% getCfgGeneral(1, "QoSAF4ULRate"); %>";
var AF5ULRate = "<% getCfgGeneral(1, "QoSAF5ULRate"); %>";
var AF6ULRate = "<% getCfgGeneral(1, "QoSAF6ULRate"); %>";
AF1ULRate = (AF1ULRate == "") ? "10" : AF1ULRate;		// default 10% 
AF2ULRate = (AF2ULRate == "") ? "20" : AF2ULRate;
AF3ULRate = (AF3ULRate == "") ? "10" : AF3ULRate;
AF4ULRate = (AF4ULRate == "") ? "10" : AF4ULRate;
AF5ULRate = (AF5ULRate == "") ? "30" : AF5ULRate;
AF6ULRate = (AF6ULRate == "") ? "10" : AF6ULRate;

var AF1Rate = "<% getCfgGeneral(1, "QoSAF1Rate"); %>";
var AF2Rate = "<% getCfgGeneral(1, "QoSAF2Rate"); %>";
var AF3Rate = "<% getCfgGeneral(1, "QoSAF3Rate"); %>";
var AF4Rate = "<% getCfgGeneral(1, "QoSAF4Rate"); %>";
var AF5Rate = "<% getCfgGeneral(1, "QoSAF5Rate"); %>";
var AF6Rate = "<% getCfgGeneral(1, "QoSAF6Rate"); %>";
AF1Rate = (AF1Rate == "") ? "10" : AF1Rate;		// Low default 10% 
AF2Rate = (AF2Rate == "") ? "20" : AF2Rate; 		// Middle default 20%
AF3Rate = (AF3Rate == "") ? "10" : AF3Rate;
AF4Rate = (AF4Rate == "") ? "10" : AF4Rate;
AF5Rate = (AF5Rate == "") ? "30" : AF5Rate; 		// High default 30%
AF6Rate = (AF6Rate == "") ? "5" : AF6Rate; 		// Default default 5%

var AF1ULCeil = "<% getCfgGeneral(1, "QoSAF1ULCeil"); %>";
var AF2ULCeil = "<% getCfgGeneral(1, "QoSAF2ULCeil"); %>";
var AF3ULCeil = "<% getCfgGeneral(1, "QoSAF3ULCeil"); %>";
var AF4ULCeil = "<% getCfgGeneral(1, "QoSAF4ULCeil"); %>";
var AF5ULCeil = "<% getCfgGeneral(1, "QoSAF5ULCeil"); %>";
var AF6ULCeil = "<% getCfgGeneral(1, "QoSAF6ULCeil"); %>";
AF1ULCeil = (AF1ULCeil == "") ? "50" : AF1ULCeil;		// default 100%
AF2ULCeil = (AF2ULCeil == "") ? "80" : AF2ULCeil;
AF3ULCeil = (AF3ULCeil == "") ? "100" : AF3ULCeil;
AF4ULCeil = (AF4ULCeil == "") ? "100" : AF4ULCeil;
AF5ULCeil = (AF5ULCeil == "") ? "100" : AF5ULCeil;
AF6ULCeil = (AF6ULCeil == "") ? "70" : AF6ULCeil;

var AF1Ceil = "<% getCfgGeneral(1, "QoSAF1Ceil"); %>";
var AF2Ceil = "<% getCfgGeneral(1, "QoSAF2Ceil"); %>";
var AF3Ceil = "<% getCfgGeneral(1, "QoSAF3Ceil"); %>";
var AF4Ceil = "<% getCfgGeneral(1, "QoSAF4Ceil"); %>";
var AF5Ceil = "<% getCfgGeneral(1, "QoSAF5Ceil"); %>";
var AF6Ceil = "<% getCfgGeneral(1, "QoSAF6Ceil"); %>";
AF1Ceil = (AF1Ceil == "") ? "50" : AF1Ceil;		// Low default 50%
AF2Ceil = (AF2Ceil == "") ? "80" : AF2Ceil; 		// Middle default 80%
AF3Ceil = (AF3Ceil == "") ? "100" : AF3Ceil;
AF4Ceil = (AF4Ceil == "") ? "100" : AF4Ceil;
AF5Ceil = (AF5Ceil == "") ? "100" : AF5Ceil; 		// High default 100%
AF6Ceil = (AF6Ceil == "") ? "70" : AF6Ceil;		// Default default 70%

/* Download AF Group init */
var AF1DLName = "<% getCfgGeneral(1, "QoSAF1DLName"); %>";
var AF2DLName = "<% getCfgGeneral(1, "QoSAF2DLName"); %>";
var AF3DLName = "<% getCfgGeneral(1, "QoSAF3DLName"); %>";
var AF4DLName = "<% getCfgGeneral(1, "QoSAF4DLName"); %>";
var AF5DLName = "<% getCfgGeneral(1, "QoSAF5DLName"); %>";
var AF6DLName = "<% getCfgGeneral(1, "QoSAF6DLName"); %>";
AF1DLName = (AF1DLName == "") ? "Low" : AF1DLName;
AF2DLName = (AF2DLName == "") ? "Middle" : AF2DLName;
AF3DLName = (AF3DLName == "") ? "NoName3(DL)" : AF3DLName;
AF4DLName = (AF4DLName == "") ? "NoName4(DL)" : AF4DLName;
AF5DLName = (AF5DLName == "") ? "High" : AF5DLName;
AF6DLName = (AF6DLName == "") ? "Default" : AF6DLName;

var AF1DLRate = "<% getCfgGeneral(1, "QoSAF1DLRate"); %>";
var AF2DLRate = "<% getCfgGeneral(1, "QoSAF2DLRate"); %>";
var AF3DLRate = "<% getCfgGeneral(1, "QoSAF3DLRate"); %>";
var AF4DLRate = "<% getCfgGeneral(1, "QoSAF4DLRate"); %>";
var AF5DLRate = "<% getCfgGeneral(1, "QoSAF5DLRate"); %>";
var AF6DLRate = "<% getCfgGeneral(1, "QoSAF6DLRate"); %>";
AF1DLRate = (AF1DLRate == "") ? "10" : AF1DLRate;		// default 10% 
AF2DLRate = (AF2DLRate == "") ? "20" : AF2DLRate;
AF3DLRate = (AF3DLRate == "") ? "10" : AF3DLRate;
AF4DLRate = (AF4DLRate == "") ? "10" : AF4DLRate;
AF5DLRate = (AF5DLRate == "") ? "30" : AF5DLRate;
AF6DLRate = (AF6DLRate == "") ? "10" : AF6DLRate;

var AF1DLCeil = "<% getCfgGeneral(1, "QoSAF1DLCeil"); %>";
var AF2DLCeil = "<% getCfgGeneral(1, "QoSAF2DLCeil"); %>";
var AF3DLCeil = "<% getCfgGeneral(1, "QoSAF3DLCeil"); %>";
var AF4DLCeil = "<% getCfgGeneral(1, "QoSAF4DLCeil"); %>";
var AF5DLCeil = "<% getCfgGeneral(1, "QoSAF5DLCeil"); %>";
var AF6DLCeil = "<% getCfgGeneral(1, "QoSAF6DLCeil"); %>";
AF1DLCeil = (AF1DLCeil == "") ? "50" : AF1DLCeil;		// default 100%
AF2DLCeil = (AF2DLCeil == "") ? "80" : AF2DLCeil;
AF3DLCeil = (AF3DLCeil == "") ? "100" : AF3DLCeil;
AF4DLCeil = (AF4DLCeil == "") ? "100" : AF4DLCeil;
AF5DLCeil = (AF5DLCeil == "") ? "100" : AF5DLCeil;
AF6DLCeil = (AF6DLCeil == "") ? "70" : AF6DLCeil;

var port_based_settings = "<% getCfgGeneral(1, "QoSPortBasedRules"); %>";
port_based_settings = port_based_settings.length ? port_based_settings : ",,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,";

var port0 = "2";		/* "0" : highest, "1": high, "2": default, "3": low */
var port1 = "2";
var port2 = "2";
var port3 = "2";
var port4 = "2";
var port0_remark = "0";
var port1_remark = "0";
var port2_remark = "0";
var port3_remark = "0";
var port4_remark = "0";

/*
var ssid1 = "<% getCfgGeneral(1, "SSID1"); %>";
var ssid2 = "<% getCfgGeneral(1, "SSID2"); %>";
var ssid3 = "<% getCfgGeneral(1, "SSID3"); %>";
var ssid4 = "<% getCfgGeneral(1, "SSID4"); %>";
var ssid5 = "<% getCfgGeneral(1, "SSID5"); %>";
var ssid6 = "<% getCfgGeneral(1, "SSID6"); %>";
var ssid7 = "<% getCfgGeneral(1, "SSID7"); %>";
var ssid8 = "<% getCfgGeneral(1, "SSID8"); %>";
*/
var ssid1 = "";
var ssid2 = "";
var ssid3 = "";
var ssid4 = "";
var ssid5 = "";
var ssid6 = "";
var ssid7 = "";
var ssid8 = "";

var ssid1_group = "2";
var ssid2_group = "2";
var ssid3_group = "2";
var ssid4_group = "2";
var ssid5_group = "2";
var ssid6_group = "2";
var ssid7_group = "2";
var ssid8_group = "2";
var ssid1_remark = "0";
var ssid2_remark = "0";
var ssid3_remark = "0";
var ssid4_remark = "0";
var ssid5_remark = "0";
var ssid6_remark = "0";
var ssid7_remark = "0";
var ssid8_remark = "0";

function getGroupNameByIndex(index)
{
	if(index == "5")
		return mQosHigh;
	if(index == "2")
		return mQosMiddle;
	if(index == "6")
		return mQosDefault;
	if(index == "1")
		return mQosLow;
	return "Unknown";
}

function hideSFQReserveBW()
{
	document.getElementById("ReserveBandwidth").style.visibility = "hidden";
	document.getElementById("ReserveBandwidth").style.display = "none";
	document.getElementById("ReserveBandwidthStr").style.visibility = "hidden";
	document.getElementById("ReserveBandwidthStr").style.display = "none";
}

function checkGroup(oRate, oCeil)
{
	var rate = parseInt(oRate.value);
	var ceil = parseInt(oCeil.value);

	if(oRate.value == "" || oCeil.value == "" ){
		alert((mAlertEmptyQosAf));
		return false;
	}
	
	if(isNumOnly(oRate.value) == 0 || isNumOnly(oCeil.value) == 0 )
	{
		alert(mAlertinputnum);
		return false;
	}
	if(rate > 100 || rate < 0 || ceil > 100 || ceil < 0)
	{
		alert(mAlertinvalidnum);
		return false;
	}
	if(rate > ceil){
		alert((mAlertRateBiggerThanCeil));
		oRate.focus();
		return false;
	}

	return true;
}

function checkGroupForm()
{
	var oRate = document.QoSSetup.QoSAF5Rate;
	var oCeil = document.QoSSetup.QoSAF5Ceil;

	if (checkGroup(oRate, oCeil) == false)
		return false;

	oRate = document.QoSSetup.QoSAF2Rate;
	oCeil = document.QoSSetup.QoSAF2Ceil;

	if (checkGroup(oRate, oCeil) == false)
		return false;

	oRate = document.QoSSetup.QoSAF6Rate;
	oCeil = document.QoSSetup.QoSAF6Ceil;

	if (checkGroup(oRate, oCeil) == false)
		return false;

	oRate = document.QoSSetup.QoSAF1Rate;
	oCeil = document.QoSSetup.QoSAF1Ceil;

	if (checkGroup(oRate, oCeil) == false)
		return false;

	return true;
}

function onInit()
{ 
	document.QoSSetup.UploadBandwidth_Custom.disabled = true;
	document.QoSSetup.DownloadBandwidth_Custom.disabled = true;
	document.QoSSetup.Model.disabled = true;
	document.QoSSetup.UploadBandwidth_Custom.style.display = 'none';
	document.QoSSetup.DownloadBandwidth_Custom.style.display = 'none';

	JcgQueueHide();
	UploadQueueHide();
	DownloadQueueHide();

	if (jcgQosBuilt == "1") {
		showTableRow("QoSType_Str", 0);
		showTableRow("QoSModel_Str", 0);
		showTableRow("ReserveBandwidth_Str", 0);
	}
	else {
		showTableRow("hPriHr", 0);
		showTableRow("hPri", 0);
		showTableRow("hPriIntro", 0);
		showTableRow("hIpBwHr", 0);
		showTableRow("hIpBw", 0);
		showTableRow("hIpBwIntro", 0);
	}

	if(QoS == "0"){ // DISABLE
		document.QoSSetup.UploadBandwidth.disabled = true;
		document.QoSSetup.DownloadBandwidth.disabled = true;
		document.QoSSetup.ModeType.disabled = true;
		document.QoSSetup.Model.disabled = true;
		document.QoSSetup.ReserveBandwidth.disabled = true;
	}else{
		document.QoSSetup.UploadBandwidth.disabled = false;
		document.QoSSetup.DownloadBandwidth.disabled = false;
		document.QoSSetup.ModeType.disabled = false;
		document.QoSSetup.Model.disabled = false;
		document.QoSSetup.ReserveBandwidth.disabled = false;

		if(QoS == "1"){
			if (jcgQosBuilt == "1") { // Priority based
				JcgQueueShow();
			}
			else { // Both ingress & egress enabled 
				UploadQueueShow();
				DownloadQueueShow();
			}
		}else if(QoS == "2"){
			if (jcgQosBuilt == "1") { // IP based
			}
			else { // Egress enabled only
				UploadQueueShow();
			}
		}else if(QoS == "3"){
			//  Ingress enabled only
			DownloadQueueShow();
		}else if(QoS == "4" /* port based */){
			UploadQueueShow();
		}

		if(uploadBandwidth == "custom"){
			document.QoSSetup.UploadBandwidth_Custom.disabled = false;
			document.QoSSetup.UploadBandwidth_Custom.style.display = '';
			document.QoSSetup.UploadBandwidth_Custom.value = uploadBandwidth_custom;
		}else{
			for(var i=0; i< document.QoSSetup.UploadBandwidth.length; i++){
				if(document.QoSSetup.UploadBandwidth.options[i].value == uploadBandwidth){
					document.QoSSetup.UploadBandwidth.options.selectedIndex = i;
					break;
				}
			}
		}
		if(downloadBandwidth == "custom"){
			document.QoSSetup.DownloadBandwidth_Custom.disabled = false;
			document.QoSSetup.DownloadBandwidth_Custom.style.display = '';
			document.QoSSetup.DownloadBandwidth_Custom.value = downloadBandwidth_custom;
		}else{
			for(var i=0; i< document.QoSSetup.DownloadBandwidth.length; i++){
				if(document.QoSSetup.DownloadBandwidth.options[i].value == downloadBandwidth){
					document.QoSSetup.DownloadBandwidth.options.selectedIndex = i;
					break;
				}
			}
		}

		if(QoSModel == 1 /* DRR */)
			document.QoSSetup.Model.options.selectedIndex = 0;
		else if(QoSModel == 2 /* SPQ */)
			document.QoSSetup.Model.options.selectedIndex = 1;
		else if(QoSModel == 3 /* DRR+SPQ */)
			document.QoSSetup.Model.options.selectedIndex = 2;
		else if(QoSModel == 4 /* Remark only */)
			document.QoSSetup.Model.options.selectedIndex = 3;
		else
			document.QoSSetup.Model.options.selectedIndex = 0;

		/* Init Reserve Bandwidth */
		if( reserveBandwidth == "0")
			document.QoSSetup.ReserveBandwidth.options.selectedIndex = 0;
		else if( reserveBandwidth == "10")
			document.QoSSetup.ReserveBandwidth.options.selectedIndex = 1;
		else if( reserveBandwidth == "20")
			document.QoSSetup.ReserveBandwidth.options.selectedIndex = 2;
		else if( reserveBandwidth == "30")
			document.QoSSetup.ReserveBandwidth.options.selectedIndex = 3;
		else if( reserveBandwidth == "40")
			document.QoSSetup.ReserveBandwidth.options.selectedIndex = 4;
	}

	if(QoS == "0")
		document.QoSSetup.QoSSelect.options.selectedIndex = 0;
	else if(QoS == "1")
		document.QoSSetup.QoSSelect.options.selectedIndex = 1;
	else if(QoS == "2")
		document.QoSSetup.QoSSelect.options.selectedIndex = 2;
	else if(QoS == "3")
		document.QoSSetup.QoSSelect.options.selectedIndex = 3;
	else if(QoS == "4")
		document.QoSSetup.QoSSelect.options.selectedIndex = 4;

	/* Group index */
	QoSSetupQueue(document.QoSSetup.highest_upload_queue_rate, AF5ULRate);
	QoSSetupQueue(document.QoSSetup.highest_upload_queue_ceil, AF5ULCeil);
	QoSSetupQueue(document.QoSSetup.high_upload_queue_rate   , AF2ULRate);
	QoSSetupQueue(document.QoSSetup.high_upload_queue_ceil   , AF2ULCeil);
	QoSSetupQueue(document.QoSSetup.default_upload_queue_rate, AF6ULRate);
	QoSSetupQueue(document.QoSSetup.default_upload_queue_ceil, AF6ULCeil);
	QoSSetupQueue(document.QoSSetup.low_upload_queue_rate    , AF1ULRate);
	QoSSetupQueue(document.QoSSetup.low_upload_queue_ceil    , AF1ULCeil);

	QoSSetupQueue(document.QoSSetup.highest_download_queue_rate, AF5DLRate);
	QoSSetupQueue(document.QoSSetup.highest_download_queue_ceil, AF5DLCeil);
	QoSSetupQueue(document.QoSSetup.high_download_queue_rate   , AF2DLRate);
	QoSSetupQueue(document.QoSSetup.high_download_queue_ceil   , AF2DLCeil);
	QoSSetupQueue(document.QoSSetup.default_download_queue_rate, AF6DLRate);
	QoSSetupQueue(document.QoSSetup.default_download_queue_ceil, AF6DLCeil);
	QoSSetupQueue(document.QoSSetup.low_download_queue_rate    , AF1DLRate);
	QoSSetupQueue(document.QoSSetup.low_download_queue_ceil    , AF1DLCeil);

	if (jcgQosBuilt != "1") {
		if(QoSModel == 1 /* DRR */ ){
			QoSShowAllRateCeilSelect();
		}else if(QoSModel == 2 /* SPQ */ ){
			QoSHideAllRateCeilSelect();
		}else if(QoSModel == 3 /* SPQ+DRR*/ ){
			QoSShowAllRateCeilSelect();
			showTableRow("highest_upload_queue_tr", 0);
			showTableRow("high_upload_queue_tr", 0);
			showTableRow("default_upload_queue_tr", 1);
			showTableRow("low_upload_queue_tr", 1);
			showTableRow("highest_download_queue_tr", 0);
			showTableRow("high_download_queue_tr", 0);
			showTableRow("default_download_queue_tr", 1);
			showTableRow("low_download_queue_tr", 1);
		}else if(QoSModel == 4 /* Remark Only */ ){
			UploadQueueHide();
			DownloadQueueHide();
		}
	}

	if (QoSModeType == 1){
		document.QoSSetup.ModeType.options.selectedIndex = 0;
	}else if(QoSModeType == 2){
		document.QoSSetup.ModeType.options.selectedIndex = 1;
	}

	if (jcgQosBuilt != "1") {
		if(document.QoSSetup.QoSSelect.options.selectedIndex != 0){ // Not disabled
			if(document.QoSSetup.ModeType.options.selectedIndex == 0) /*Auto Config*/
			{
				//document.QoSSetup.Model.disabled = true;
				//document.QoSSetup.ReserveBandwidth.disabled = true;
				QoSModelHide();
				QoSReserveHide();
				UploadQueueHide();
				DownloadQueueHide();
				document.QoSSetup.UploadBandwidth.disabled = false;
				LoadUploadBW();
				document.QoSSetup.DownloadBandwidth.disabled = false;
				LoadDownloadBW();
				document.QoSSetup.ReserveBandwidth.disabled = true;
			}
			else{
				QoSModelShow();
				QoSReserveShow();
			}
		}
	}

	// port based QoS init
	if(QoS == "4"){
		showTableRow("QoSPortBasedDiv", 1);

		/*
		 * Port based init
		 */ 	 
		var all_str = new Array();
		all_str = port_based_settings.split(",");
		/* Ethernet */
		port0 = all_str[0].length ? all_str[0] : port0;
		port0_remark = all_str[1].length ? all_str[1] : port0_remark;
		port1 = all_str[2].length ? all_str[2] : port1;
		port1_remark = all_str[3].length ? all_str[3] : port1_remark;
		port2 = all_str[4].length ? all_str[4] : port2;
		port2_remark = all_str[5].length ? all_str[5] : port2_remark;
		port3 = all_str[6].length ? all_str[6] : port3;
		port3_remark = all_str[7].length ? all_str[7] : port3_remark;
		port4 = all_str[8].length ? all_str[8] : port4;
		port4_remark = all_str[9].length ? all_str[9] : port4_remark;
	
		/* WiFi */
		ssid1_group = all_str[10].length ? all_str[10] : ssid1_group;
		ssid1_remark = all_str[11].length ? all_str[11] : ssid1_remark;
		ssid2_group = all_str[12].length ? all_str[12] : ssid2_group;
		ssid2_remark = all_str[13].length ? all_str[13] : ssid2_remark;
		ssid3_group = all_str[14].length ? all_str[14] : ssid3_group;
		ssid3_remark = all_str[15].length ? all_str[15] : ssid3_remark;
		ssid4_group = all_str[16].length ? all_str[16] : ssid4_group;
		ssid4_remark = all_str[17].length ? all_str[17] : ssid4_remark;
		ssid5_group = all_str[18].length ? all_str[18] : ssid5_group;
		ssid5_remark = all_str[19].length ? all_str[19] : ssid5_remark;
		ssid6_group = all_str[20].length ? all_str[20] : ssid6_group;
		ssid6_remark = all_str[21].length ? all_str[21] : ssid6_remark;
		ssid7_group = all_str[22].length ? all_str[22] : ssid7_group;
		ssid7_remark = all_str[23].length ? all_str[23] : ssid7_remark;
		ssid8_group = all_str[24].length ? all_str[24] : ssid8_group;
		ssid8_remark = all_str[25].length ? all_str[25] : ssid8_remark;
	
		// change the "select element"
		document.getElementById("port0_group").options.selectedIndex = parseInt(port0, 10);
		document.getElementById("port0_remarker").options.selectedIndex = parseInt(port0_remark, 10);
		document.getElementById("port1_group").options.selectedIndex = parseInt(port1, 10);
		document.getElementById("port1_remarker").options.selectedIndex = parseInt(port1_remark, 10);
		document.getElementById("port2_group").options.selectedIndex = parseInt(port2, 10);
		document.getElementById("port2_remarker").options.selectedIndex = parseInt(port2_remark, 10);
		document.getElementById("port3_group").options.selectedIndex = parseInt(port3, 10);
		document.getElementById("port3_remarker").options.selectedIndex = parseInt(port3_remark, 10);
		document.getElementById("port4_group").options.selectedIndex = parseInt(port4, 10);
		document.getElementById("port4_remarker").options.selectedIndex = parseInt(port4_remark, 10);
	
		document.getElementById("ssid1_group").options.selectedIndex = parseInt(ssid1_group, 10);
		document.getElementById("ssid1_remarker").options.selectedIndex = parseInt(ssid1_remark, 10);
		document.getElementById("ssid2_group").options.selectedIndex = parseInt(ssid2_group, 10);
		document.getElementById("ssid2_remarker").options.selectedIndex = parseInt(ssid2_remark, 10);
		document.getElementById("ssid3_group").options.selectedIndex = parseInt(ssid3_group, 10);
		document.getElementById("ssid3_remarker").options.selectedIndex = parseInt(ssid3_remark, 10);
		document.getElementById("ssid4_group").options.selectedIndex = parseInt(ssid4_group, 10);
		document.getElementById("ssid4_remarker").options.selectedIndex = parseInt(ssid4_remark, 10);
		document.getElementById("ssid5_group").options.selectedIndex = parseInt(ssid5_group, 10);
		document.getElementById("ssid5_remarker").options.selectedIndex = parseInt(ssid5_remark, 10);
		document.getElementById("ssid6_group").options.selectedIndex = parseInt(ssid6_group, 10);
		document.getElementById("ssid6_remarker").options.selectedIndex = parseInt(ssid6_remark, 10);
		document.getElementById("ssid7_group").options.selectedIndex = parseInt(ssid7_group, 10);
		document.getElementById("ssid7_remarker").options.selectedIndex = parseInt(ssid7_remark, 10);
		document.getElementById("ssid8_group").options.selectedIndex = parseInt(ssid8_group, 10);
		document.getElementById("ssid8_remarker").options.selectedIndex = parseInt(ssid8_remark, 10);
	
		// show or hide SSID
		showTableRow("ssid1_tr", (ssid1.length ? 1 : 0));
		document.getElementById("ssid1_td").innerHTML = ssid1 + " (SSID1)";
		showTableRow("ssid2_tr", (ssid2.length ? 1 : 0));
		document.getElementById("ssid2_td").innerHTML = ssid2 + " (SSID2)";
		showTableRow("ssid3_tr", (ssid3.length ? 1 : 0));
		document.getElementById("ssid3_td").innerHTML = ssid3 + " (SSID3)";
		showTableRow("ssid4_tr", (ssid4.length ? 1 : 0));
		document.getElementById("ssid4_td").innerHTML = ssid4 + " (SSID4)";
		showTableRow("ssid5_tr", (ssid5.length ? 1 : 0));
		document.getElementById("ssid5_td").innerHTML = ssid5 + " (SSID5)";
		showTableRow("ssid6_tr", (ssid6.length ? 1 : 0));
		document.getElementById("ssid6_td").innerHTML = ssid6 + " (SSID6)";
		showTableRow("ssid7_tr", (ssid7.length ? 1 : 0));
		document.getElementById("ssid7_td").innerHTML = ssid7 + " (SSID7)";
		showTableRow("ssid8_tr", (ssid8.length ? 1 : 0));
		document.getElementById("ssid8_td").innerHTML = ssid8 + " (SSID8)";

		if(QoSModel == "4" /* remarker only */)
			QoSPortBasedEnableGroupSelect(false);	/* disable all group select */
		else
			QoSPortBasedEnableGroupSelect(true);	/* enable all group select */
	}else{
		showTableRow("QoSPortBasedDiv", 0);
	}
}

function QoSPortBasedEnableGroupSelect(opt)
{
	document.getElementById("port0_group").disabled = 
	document.getElementById("port1_group").disabled = 
	document.getElementById("port2_group").disabled =
	document.getElementById("port3_group").disabled =
	document.getElementById("port4_group").disabled = 
/*
	document.getElementById("ssid1_group").disabled = 
	document.getElementById("ssid2_group").disabled = 
	document.getElementById("ssid3_group").disabled = 
	document.getElementById("ssid4_group").disabled = 
	document.getElementById("ssid5_group").disabled = 
	document.getElementById("ssid6_group").disabled = 
	document.getElementById("ssid7_group").disabled = 
	document.getElementById("ssid8_group").disabled =
*/
	(!opt); 
}

function QoSHideAllRateCeilSelect()
{
	showTableRow("div_qos_group_upload", 0);
	showTableRow("highest_upload_queue_tr", 0);
	showTableRow("high_upload_queue_tr", 0);
	showTableRow("default_upload_queue_tr", 0);
	showTableRow("low_upload_queue_tr", 0);

	showTableRow("div_qos_group_download", 0);
	showTableRow("highest_download_queue_tr", 0);
	showTableRow("high_download_queue_tr", 0);
	showTableRow("default_download_queue_tr", 0);
	showTableRow("low_download_queue_tr", 0);
}

function QoSShowAllRateCeilSelect()
{
	showTableRow("div_qos_group_upload", 1);
	showTableRow("highest_upload_queue_tr", 1);
	showTableRow("high_upload_queue_tr", 1);
	showTableRow("default_upload_queue_tr", 1);
	showTableRow("low_upload_queue_tr", 1);

	showTableRow("div_qos_group_download", 1);
	showTableRow("highest_download_queue_tr", 1);
	showTableRow("high_download_queue_tr", 1);
	showTableRow("default_download_queue_tr", 1);
	showTableRow("low_download_queue_tr", 1);
}

/* why not just div by 10? LoL */
function QoSSetupQueue(ele, per)
{
	switch(per){
	case "0":
		ele.options.selectedIndex = 0;	break;
	case "10":
		ele.options.selectedIndex = 1;	break;
	case "20":
		ele.options.selectedIndex = 2;	break;
	case "30":
		ele.options.selectedIndex = 3;	break;
	case "40":
		ele.options.selectedIndex = 4;	break;
	case "50":
		ele.options.selectedIndex = 5;	break;
	case "60":
		ele.options.selectedIndex = 6;	break;
	case "70":
		ele.options.selectedIndex = 7;	break;
	case "80":
		ele.options.selectedIndex = 8;	break;
	case "90":
		ele.options.selectedIndex = 9;	break;
	case "100":
		ele.options.selectedIndex = 10;	break;
	}
}

function QoSModelHide()
{
	showTableRow("QoSModel_Str", 0);
}

function QoSReserveHide()
{
	showTableRow("ReserveBandwidth_Str", 0);
}

function QoSModelShow()
{
	showTableRow("QoSModel_Str", 1);
}

function QoSReserveShow()
{
	showTableRow("ReserveBandwidth_Str", 1);
}

function JcgQueueShow()
{
	showTableRow("div_qos_group_jcg", 1);
}

function JcgQueueHide()
{
	showTableRow("div_qos_group_jcg", 0);
}

function UploadQueueShow()
{
	showTableRow("div_qos_group_upload", 1);
}

function UploadQueueHide()
{
	showTableRow("div_qos_group_upload", 0);
}

function DownloadQueueShow()
{
	showTableRow("div_qos_group_download", 1);
}

function DownloadQueueHide()
{
	showTableRow("div_qos_group_download", 0);
}

function QoSSetupCheck()
{ 
	if(document.QoSSetup.QoSSelect.options.selectedIndex == 0){
		;  // do nothing
	}else if(jcgQosBuilt == "1" &&
		document.QoSSetup.QoSSelect.options.selectedIndex == 1){
		if (!checkGroupForm()) {
			return false;
		}
	}else if(document.QoSSetup.QoSSelect.options.selectedIndex == 1 /* bi-dir*/ ||
				document.QoSSetup.QoSSelect.options.selectedIndex == 2 /* upload */ || 
				document.QoSSetup.QoSSelect.options.selectedIndex == 3 /* download */ ||
				document.QoSSetup.QoSSelect.options.selectedIndex == 4 /* download */ ||
				document.QoSSetup.ModeType.options.selectedIndex == 0){
		if(document.QoSSetup.UploadBandwidth.value == "custom"){
			if(document.QoSSetup.UploadBandwidth_Custom.value == ""){
				alert(mAlertEmptyBandwidth);
				document.QoSSetup.UploadBandwidth_Custom.focus();
				return false;
			}
			if(!checkNum(document.QoSSetup.UploadBandwidth_Custom.value)){
				alert(mAlertFormatBandwidth);
				document.QoSSetup.UploadBandwidth_Custom.focus();
				return false;
			}
				
			var value = getTrueValue(document.QoSSetup.UploadBandwidth_Custom.value);
			if( value  > getTrueValue(QOS_MAX_HARD_LIMITED) ){
				alert(mAlertBandwidthTooLarge+" (<" + QOS_MAX_HARD_LIMITED + ")");
				document.QoSSetup.UploadBandwidth_Custom.focus();
				return false;
			}
			if( value < QOS_MIN_HARD_LIMITED ){
				var ret = confirm(mConfirmBandwidthTooSmall);
				if(ret == false)
					return false;
			}
		}
		if(document.QoSSetup.DownloadBandwidth.value == "custom"){
			if(document.QoSSetup.DownloadBandwidth_Custom.value == ""){
				alert(mAlertEmptyBandwidth);
				document.QoSSetup.DownloadBandwidth_Custom.focus();
				return false;
			}
			if(!checkNum(document.QoSSetup.DownloadBandwidth_Custom.value)){
				alert(mAlertFormatBandwidth);
				document.QoSSetup.DownloadBandwidth_Custom.focus();
				return false;
			}

			var value = getTrueValue(document.QoSSetup.DownloadBandwidth_Custom.value);
			if( value <= 0 ){
				alert(mAlertNegative);
				document.QoSSetup.DownloadBandwidth_Custom.focus();
				return false;
			}
		}
	}

	return true;
}

function QoSSelectChange()
{
	var QoSSetup = document.QoSSetup.QoSSelect.options.selectedIndex;
	QoSModel_idx = document.QoSSetup.Model.options.selectedIndex;

	if(jcgQosBuilt != "1" && QoSSetup != 0){
		if(document.QoSSetup.ModeType.options.selectedIndex == 0) /*Auto Config*/
		{
			//document.QoSSetup.Model.disabled = true;
			document.QoSSetup.ModeType.disabled = false;
			QoSModelHide();
			QoSReserveHide();
			UploadQueueHide();
			DownloadQueueHide();
		  	document.QoSSetup.UploadBandwidth.disabled = false;
			LoadUploadBW();
			document.QoSSetup.DownloadBandwidth.disabled = false;
			LoadDownloadBW();
		  	return;
		}
	}

	if (jcgQosBuilt != "1") {
		QoSModelShow();
		QoSReserveShow();
	}
	UploadQueueHide();
	DownloadQueueHide();
	QoSHideAllRateCeilSelect();
	JcgQueueHide();

	showTableRow("QoSPortBasedDiv", 0);

	if(QoSSetup == 1 && QoS == "1"){
		if (jcgQosBuilt == "1") {
			JcgQueueShow();
		}
	}else if(QoSSetup == 2 && QoS == "2"){
	}else if(QoSSetup == 3 && QoS == "3"){
	}else if(QoSSetup == 4 && QoS == "4"){
		showTableRow("QoSPortBasedDiv", 1);
	}

	if(QoSSetup == 0 /* disable */){
		document.QoSSetup.UploadBandwidth.disabled = true;
		document.QoSSetup.DownloadBandwidth.disabled = true;
		document.QoSSetup.ModeType.disabled = true;
		document.QoSSetup.Model.disabled = true;
		document.QoSSetup.UploadBandwidth_Custom.disabled = true;
		document.QoSSetup.DownloadBandwidth_Custom.disabled = true;
		document.QoSSetup.ReserveBandwidth.disabled = true;
	}else{
		document.QoSSetup.ModeType.disabled = false;
		document.QoSSetup.Model.disabled = false;
		document.QoSSetup.UploadBandwidth.disabled = false;
		LoadUploadBW();
		document.QoSSetup.DownloadBandwidth.disabled = false;
		LoadDownloadBW();
		document.QoSSetup.ReserveBandwidth.disabled = false;

		if( QoSSetup == 1 /* Bi */ ){
			if (jcgQosBuilt == "1") {
				JcgQueueShow();
			}
			else {
				UploadQueueShow();
				DownloadQueueShow();

				updateRateCeil(QoSModel_idx);
			}
		}else if( QoSSetup == 2 /* Upload */) {
			if (jcgQosBuilt != "1") {
				UploadQueueShow();
				updateRateCeil(QoSModel_idx);
			}

		}else if( QoSSetup == 3 /* Download */) {
			DownloadQueueShow();
			updateRateCeil(QoSModel_idx);
		}else if( QoSSetup == 4 /* port based */) {
			UploadQueueShow();
			updateRateCeil(QoSModel_idx);

//			showTableRow("QoSPortBasedDiv", 1);
//			if(QoSModel_idx == 3 /* remarker only */)
//				QoSPortBasedEnableGroupSelect(false);	/* disable all group select */
//			else
//				QoSPortBasedEnableGroupSelect(true);	/* enable all group select */
		}
	}
}

function updateRateCeil(idx)
{
	if(QoSModel_idx == 0 /* DRR */ ){
		QoSShowAllRateCeilSelect();
	}else if(QoSModel_idx == 1 /* SPQ */ ){
		QoSHideAllRateCeilSelect();
	}else if(QoSModel_idx == 2 /* SPQ+DRR*/ ){
		QoSShowAllRateCeilSelect();
		showTableRow("highest_upload_queue_tr", 0);
		showTableRow("high_upload_queue_tr", 0);
		showTableRow("default_upload_queue_tr", 1);
		showTableRow("low_upload_queue_tr", 1);
		showTableRow("highest_download_queue_tr", 0);
		showTableRow("high_download_queue_tr", 0);
		showTableRow("default_download_queue_tr", 1);
		showTableRow("low_download_queue_tr", 1);
	}else if(QoSModel_idx == 3 /* Remark Only */ ){
		QoSHideAllRateCeilSelect();
		UploadQueueHide();
		DownloadQueueHide();
	}else if(QoSModel_idx == 4 /* SFQ */ ){
		QoSHideAllRateCeilSelect();
		UploadQueueHide();
		DownloadQueueHide();
		//hideSFQReserveBW();
	}
}

function LoadUploadBW()
{
	if(document.QoSSetup.UploadBandwidth.options.selectedIndex == 0){
		document.QoSSetup.UploadBandwidth_Custom.value = uploadBandwidth_custom;
		document.QoSSetup.UploadBandwidth_Custom.disabled = false;
		document.QoSSetup.UploadBandwidth_Custom.style.display = '';
	}else{
		document.QoSSetup.UploadBandwidth_Custom.disabled = true;
		document.QoSSetup.UploadBandwidth_Custom.style.display = 'none';
		if(uploadBandwidth != "custom"){
	  		for(var i=0; i< document.QoSSetup.UploadBandwidth.length; i++){
	  			if(document.QoSSetup.UploadBandwidth.options[i].value == uploadBandwidth){
	  				document.QoSSetup.UploadBandwidth.options.selectedIndex = i;
	  				break;
	  			}
	  		}
		}
	}
}

function UploadBWChange()
{
	if(document.QoSSetup.UploadBandwidth.options.selectedIndex == 0){
		document.QoSSetup.UploadBandwidth_Custom.value = uploadBandwidth_custom;
		document.QoSSetup.UploadBandwidth_Custom.disabled = false;
		document.QoSSetup.UploadBandwidth_Custom.style.display = '';
	}else{
		document.QoSSetup.UploadBandwidth_Custom.disabled = true;
		document.QoSSetup.UploadBandwidth_Custom.style.display = 'none';
	}
}

function LoadDownloadBW()
{
	if(document.QoSSetup.DownloadBandwidth.options.selectedIndex == 0){
		document.QoSSetup.DownloadBandwidth_Custom.value = downloadBandwidth_custom;
		document.QoSSetup.DownloadBandwidth_Custom.disabled = false;
		document.QoSSetup.DownloadBandwidth_Custom.style.display = '';
	}else{
		document.QoSSetup.DownloadBandwidth_Custom.disabled = true;
		document.QoSSetup.DownloadBandwidth_Custom.style.display = 'none';
		if(downloadBandwidth != "custom"){
			for(var i=0; i< document.QoSSetup.DownloadBandwidth.length; i++){
				if(document.QoSSetup.DownloadBandwidth.options[i].value == downloadBandwidth){
					document.QoSSetup.DownloadBandwidth.options.selectedIndex = i;
					break;
				}
			}
		}
	}
}

function DownloadBWChange()
{
	if(document.QoSSetup.DownloadBandwidth.options.selectedIndex == 0){
		document.QoSSetup.DownloadBandwidth_Custom.value = downloadBandwidth_custom;
		document.QoSSetup.DownloadBandwidth_Custom.disabled = false;
		document.QoSSetup.DownloadBandwidth_Custom.style.display = '';
	}else{
		document.QoSSetup.DownloadBandwidth_Custom.disabled = true;
		document.QoSSetup.DownloadBandwidth_Custom.style.display = 'none';
	}
}

function getTrueValue(str)
{
	var rc;
	rc = parseInt(str);
	if(str.charAt(str.length-1) == 'k' || str.charAt(str.length-1) == 'K')
		rc = rc * 1000;
	else if(str.charAt(str.length-1) == 'm' || str.charAt(str.length-1) == 'M')
		rc = rc * 1000 * 1024;
	return rc;
}

function checkNum(str)
{
	if(str.length < 2)
		return false;
	for(i=0; i<str.length-1; i++){
		if( str.charAt(i) >= '0' && str.charAt(i) <= '9')
			continue;
		return false;
	}
	if( str.charAt(str.length-1) == 'k' || str.charAt(str.length-1) == 'K' ||
		str.charAt(str.length-1) == 'm' || str.charAt(str.length-1) == 'M' || 
		(str.charAt(str.length-1) >= '0' && str.charAt(str.length-1) <= '9') )
		return true;
	return false;
}

function UploadQueueRateCheck()
{
	var total = 0;
	if(QoSModel == 1 /* DRR */){
		total =	parseInt(document.QoSSetup.highest_upload_queue_rate.value) +
				parseInt(document.QoSSetup.high_upload_queue_rate.value) +
				parseInt(document.QoSSetup.default_upload_queue_rate.value) +
				parseInt(document.QoSSetup.low_upload_queue_rate.value);
	}else if(QoSModel == 2 /* SPQ */){
	}else if(QoSModel == 3 /* SPQ + DRR */){
		total = parseInt(document.QoSSetup.default_upload_queue_rate.value) +
				parseInt(document.QoSSetup.low_upload_queue_rate.value);
	}else if(QoSModel == 4 /* remark only */){
	}	
	if(total > 100){
		alert(mAlertBandwidthTooLarge+" ("+total+">100%)!");
		return false;
	}
	return true;
}

function UploadQueueCeilCheck()
{
	var highest_rate = parseInt(document.QoSSetup.highest_upload_queue_rate.value);
	var highest_ceil = parseInt(document.QoSSetup.highest_upload_queue_ceil.value);
	var high_rate = parseInt(document.QoSSetup.high_upload_queue_rate.value);
	var high_ceil = parseInt(document.QoSSetup.high_upload_queue_ceil.value);
	var default_rate = parseInt(document.QoSSetup.default_upload_queue_rate.value);
	var default_ceil = parseInt(document.QoSSetup.default_upload_queue_ceil.value);
	var low_rate = parseInt(document.QoSSetup.low_upload_queue_rate.value);
	var low_ceil = parseInt(document.QoSSetup.low_upload_queue_ceil.value);

	if(QoSModel == 1 /* DRR */){
		if(	highest_rate > highest_ceil || high_rate > high_ceil || default_rate > default_ceil || low_rate > low_ceil){
			alert(mAlertRateBiggerThanCeil);
			return false;
		}

	}else if(QoSModel == 2 /* SPQ */){
	}else if(QoSModel == 3 /* SPQ + DRR */){
		if(	default_rate > default_ceil || low_rate > low_ceil){
			alert(mAlertRateBiggerThanCeil);
			return false;
		}
	}else if(QoSModel == 4 /* remark only */){
	}	
	return true;
}

function DownloadQueueCeilCheck()
{
	var highest_rate = parseInt(document.QoSSetup.highest_download_queue_rate.value);
	var highest_ceil = parseInt(document.QoSSetup.highest_download_queue_ceil.value);
	var high_rate = parseInt(document.QoSSetup.high_download_queue_rate.value);
	var high_ceil = parseInt(document.QoSSetup.high_download_queue_ceil.value);
	var default_rate = parseInt(document.QoSSetup.default_download_queue_rate.value);
	var default_ceil = parseInt(document.QoSSetup.default_download_queue_ceil.value);
	var low_rate = parseInt(document.QoSSetup.low_download_queue_rate.value);
	var low_ceil = parseInt(document.QoSSetup.low_download_queue_ceil.value);

	if(QoSModel == 1 /* DRR */){
		if(	highest_rate > highest_ceil || high_rate > high_ceil || default_rate > default_ceil || low_rate > low_ceil){
			alert(mAlertRateBiggerThanCeil);
			return false;
		}

	}else if(QoSModel == 2 /* SPQ */){
	}else if(QoSModel == 3 /* SPQ + DRR */){
		if(	default_rate > default_ceil || low_rate > low_ceil){
			alert(mAlertRateBiggerThanCeil);
			return false;
		}
	}else if(QoSModel == 4 /* remark only */){
	}	
	return true;
}

function DownloadQueueRateCheck()
{
	var total = 0;
	if(QoSModel == 1 /* DRR */){
		total =	parseInt(document.QoSSetup.highest_download_queue_rate.value) +
				parseInt(document.QoSSetup.high_download_queue_rate.value) +
				parseInt(document.QoSSetup.default_download_queue_rate.value) +
				parseInt(document.QoSSetup.low_download_queue_rate.value);
	}else if(QoSModel == 2 /* SPQ */){
	}else if(QoSModel == 3 /* SPQ + DRR */){
		total =	parseInt(document.QoSSetup.default_download_queue_rate.value) +
				parseInt(document.QoSSetup.low_download_queue_rate.value);
	}else if(QoSModel == 4 /* remark only */){
	}	
	if(total > 100){
		alert("The sum of download queues' rate bandwidth is exceed 100%!");
		return false;
	}
	return true;
}

</script>
</head>
<body onLoad="onInit();">

<div class="body_div">

<script language="javascript" type="text/javascript" >
	writeHead(lang, ver, "qos_set", "qos_basic");
</script>

<table class="body" cellSpacing="0" cellPadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
    <td class="navi" valign="top">
      <script>writeNavi(lang, ver, "qos_set", "qos_basic");</script>
    </td>
    <td class="left" align="center" valign="top">
      <script>writeReboot(rb);</script>
      <br />

<form method="post" name="QoSSetup" action="/goform/QoSSetup">
<input type="hidden" name="nextPage" value="/qos/qos_basic.asp">

<fieldset align="center" style="width:80%;"> 
<legend><script>putmsg(mQosBwSettings);</script></legend>
<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
<tbody>
<tr>
  <td width="40%">&nbsp;</td>
  <td width="60%">&nbsp;</td>
</tr>
<tr>
  <td class="head"><script>putmsg(mQosService);</script>:</td>
  <td>
    <select name="QoSSelect" size="1" style="width:132px;" onChange="QoSSelectChange();">
      <option value="0"><script>putmsg(mRadioDisable);</script></option>
      <script>
        if (jcgQosBuilt == "1") {
          if (qosIPBWBuilt == "1") {
            document.writeln('<option value="1">'+mQosPriority+'</option>');
            document.writeln('<option value="2">'+mQosIP+'</option>');
          }
          else {
            document.writeln('<option value="1">'+mRadioEnable+'</option>');
          }
        }
        else {
          document.writeln('<option value="1">'+mUpDown+'</option>');
          document.writeln('<option value="2">'+mUpload+'</option>');
          document.writeln('<option value="3">'+mDownload+'</option>');
          if (isPortBasedQoSSupport == "1")
            document.writeln('<option value="4">'+mPortBase+'</option>');
        }
      </script>
    </select>
  </td>
</tr>
<tr>
  <td class="head"><script>putmsg(mQosUploadBandwidth);</script>:</td>
  <td>
    <select name="UploadBandwidth" id="UploadBandwidth" size="1" style="width:72px;" onChange="UploadBWChange();">
      <option value="custom"><script>putmsg(mInetCustom);</script></option>
      <option value="64k">64k</option>
      <option value="96k">96k</option>
      <option value="128k">128k</option>
      <option value="192k">192k</option>
      <option value="256k">256k</option>
      <option value="384k" >384k</option>
      <option value="512k">512k</option>
      <option value="768k">768k</option>
      <option value="1M">1M</option>
      <option value="2M">2M</option>
      <option value="4M">4M</option>
      <option value="8M">8M</option>
      <option value="10M">10M</option>
      <option value="12M">12M</option>
      <option value="16M">16M</option>
      <option value="20M">20M</option>
      <option value="24M">24M</option>
      <option value="32M">32M</option>
      <option value="60M">60M</option>
      <option value="80M">80M</option>
      <option value="100M">100M</option>
    </select>

    <input type="text" name="UploadBandwidth_Custom" size="6" maxlength="8" style="display:none;">&nbsp;&nbsp;bps
  </td>
</tr>
<tr>
  <td class="head"><script>putmsg(mQosDownloadBandwidth);</script>:</td>
  <td>
    <select name="DownloadBandwidth" id="DownloadBandwidth" size="1" style="width:72px;" onChange="DownloadBWChange();">
      <option value="custom"><script>putmsg(mInetCustom);</script></option>
      <option value="64k">64k</option>
      <option value="96k">96k</option>
      <option value="128k">128k</option>
      <option value="192k">192k</option>
      <option value="256k">256k</option>
      <option value="384k" >384k</option>
      <option value="512k">512k</option>
      <option value="768k">768k</option>
      <option value="1M">1M</option>
      <option value="2M">2M</option>
      <option value="4M">4M</option>
      <option value="8M">8M</option>
      <option value="10M">10M</option>
      <option value="12M">12M</option>
      <option value="16M">16M</option>
      <option value="20M">20M</option>
      <option value="24M">24M</option>
      <option value="32M">32M</option>
      <option value="60M">60M</option>
      <option value="80M">80M</option>
      <option value="100M">100M</option>
    </select>

    <input type="text" name="DownloadBandwidth_Custom" size="6" maxlength="8" style="display:none;">&nbsp;&nbsp;bps
  </td>
</tr>

<tr id="QoSType_Str">
  <td class="head" id="QoSType"><script>putmsg(mQosType);</script>:</td>
  <td>
    <select name="ModeType" id="ModeType" size="1" onchange="QoSSelectChange();">
      <option value="1"><script>putmsg(mAuto);</script></option>
      <option value="2"><script>putmsg(mManual);</script></option>
    </select>
  </td>
</tr>

<tr id="QoSModel_Str">
  <td class="head" id="QoSModelStr"><script>putmsg(mQosModel);</script>:</td>
  <td>
    <select name="Model" id="Model" size="1" onchange="QoSSelectChange();">
      <option value="1">DRR</option>
      <option value="2">SPQ</option>
      <option value="3">SPQ+DRR</option>
      <option value="4"><script>putmsg(mRemark);</script></option>
    </select>
  </td>
</tr>

<tr id="ReserveBandwidth_Str">
  <td class="head" id="ReserveBandwidthStr"><script>putmsg(mReserved);</script>:</td>
  <td>
    <select name="ReserveBandwidth" id="ReserveBandwidth" size="1">
      <option value="0">0%</option>
      <option value="10">10%</option>
      <option value="20">20%</option>
      <option value="30">30%</option>
      <option value="40">40%</option>
    </select>
    <span class="comment">(10% <script>putmsg(mRecommanded);</script>)</span>
  </td>
</tr>

<tr>
  <td class="head">&nbsp;</td>
  <td class="tail">&nbsp;</td>
</tr>    
</tbody>
</table>

<br />
</fieldset>

<!-- JCG QOS Group -->
<div id="div_qos_group_jcg">
<br />
<fieldset align="center" style="width:80%;"> 
<legend><script>putmsg(mQosGroupSettings);</script></legend>
<br />
<table width="90%" align="center" border="0" cellspacing="1" cellpadding="3">
<tr>
  <td class="headLine" align="center"><script>putmsg(mQosGroup);</script></td>
  <td class="headLine" align="center"><script>putmsg(mQosRate);</script></td>
  <td class="headLine" align="center"><script>putmsg(mQosCeil);</script></td>
</tr>

<!-- EF / AF5 -->
<tr>
  <td class="head" align="center">
    <script  language="javascript" type="text/javascript">
      document.writeln("" + mQosHigh + "");
      document.writeln("<input type=\"hidden\" name=\"QoSAF5Name\" value=\"" + AF5Name + "\">");
    </script>
  </td>
  <td align="center">
    <script  language="javascript" type="text/javascript">
      document.writeln("<input type=\"text\" name=\"QoSAF5Rate\" value=\"" + AF5Rate + "\" size=\"4\" maxlength=\"3\">% ");
    </script>
  </td>
  <td align="center">
    <script language="javascript" type="text/javascript">
      document.writeln("<input type=\"text\" name=\"QoSAF5Ceil\" value=\"" + AF5Ceil + "\" size=\"4\" maxlength=\"3\">% ");
    </script>
  </td>
</tr>

<!-- AF2 -->
<tr>
  <td class="head" align="center">
    <script language="javascript" type="text/javascript">
      document.writeln("" + mQosMiddle + "");
      document.writeln("<input type=\"hidden\" name=\"QoSAF2Name\" value=\"" + AF2Name + "\">");
    </script>
  </td>
  <td align="center">
    <script language="javascript" type="text/javascript">
      document.writeln("<input type=\"text\" name=\"QoSAF2Rate\" value=\"" + AF2Rate + "\" size=\"4\" maxlength=\"3\">% ");
    </script>
  </td>
  <td align="center">
    <script language="javascript" type="text/javascript">
      document.writeln("<input type=\"text\" name=\"QoSAF2Ceil\" value=\"" + AF2Ceil + "\" size=\"4\" maxlength=\"3\">% ");
    </script>
  </td>
</tr>

<!-- Default/AF6 -->
<tr>
  <td class="head" align="center">
    <script language="javascript" type="text/javascript">
      document.writeln("" + mQosDefault + "");
      document.writeln("<input type=\"hidden\" name=\"QoSAF6Name\" value=\"" + AF6Name + "\">");
    </script>
  </td>
  <td align="center">
    <script language="javascript" type="text/javascript">
      document.writeln("<input type=\"text\" name=\"QoSAF6Rate\" value=\"" + AF6Rate + "\" size=\"4\" maxlength=\"3\">% ");
    </script>
  </td>
  <td align="center">
    <script language="javascript" type="text/javascript">
      document.writeln("<input type=\"text\" name=\"QoSAF6Ceil\" value=\"" + AF6Ceil + "\" size=\"4\" maxlength=\"3\">% ");
    </script>
  </td>
</tr>

<!-- Default/AF1 -->
<tr>
  <td class="head" align="center">
    <script language="javascript" type="text/javascript">
      document.writeln("" + mQosLow + "");
      document.writeln("<input type=\"hidden\" name=\"QoSAF1Name\" value=\"" + AF1Name + "\">");
    </script>
  </td>
  <td align="center">
    <script language="javascript" type="text/javascript">
      document.writeln("<input type=\"text\" name=\"QoSAF1Rate\" value=\"" + AF1Rate + "\" size=\"4\" maxlength=\"3\">% ");
    </script>
  </td>
  <td align="center">
    <script language="javascript" type="text/javascript">
      document.writeln("<input type=\"text\" name=\"QoSAF1Ceil\" value=\"" + AF1Ceil + "\" size=\"4\" maxlength=\"3\">% ");
    </script>
  </td>
</tr>
<tr>
  <td class="head" colspan="3">&nbsp;</td>
</tr>    
</table>
</fieldset>
</div>

<!-- Upload -->
<div id="div_qos_group_upload">
<br />
<fieldset align="center" style="width:80%;"> 
<legend><script>putmsg(mUpSet);</script></legend>
<br />
<table width="90%" align="center" border="0" cellspacing="1" cellpadding="3">
<tr>
  <td class="headLine" align="center"><script>putmsg(mQosGroup);</script></td>
  <td class="headLine" align="center"><script>putmsg(mQosRate);</script></td>
  <td class="headLine" align="center"><script>putmsg(mQosCeil);</script></td>
</tr>
<!-- EF / AF5 -->
<tr id="highest_upload_queue_tr">
  <td class="head" align="center">
    <script  language="javascript" type="text/javascript">
      document.writeln("" + mQosHigh + "");
      document.writeln("<input type=\"hidden\" name=\"QoSAF5ULName\" value=\"" + AF5ULName + "\">");
    </script>
  </td>
  <td align="center">
    <select name="highest_upload_queue_rate" id="highest_upload_queue_rate" size="1" onChange="UploadQueueRateCheck();">
      <option value="0">0%</option>
      <option selected="selected" value="10">10%</option>
      <option value="20">20%</option>
      <option value="30">30%</option>
      <option value="40">40%</option>
      <option value="50">50%</option>
      <option value="60">60%</option>
      <option value="70">70%</option>
      <option value="80">80%</option>
      <option value="90">90%</option>
      <option value="100">100%</option>
    </select>
  </td>
  <td align="center">
    <select name="highest_upload_queue_ceil" id="highest_upload_queue_ceil" size="1" onChange="UploadQueueCeilCheck();">
      <option value="0">0%</option>
      <option value="10">10%</option>
      <option value="20">20%</option>
      <option value="30">30%</option>
      <option value="40">40%</option>
      <option value="50">50%</option>
      <option value="60">60%</option>
      <option value="70">70%</option>
      <option value="80">80%</option>
      <option value="90">90%</option>
      <option selected="selected" value="100">100%</option>
    </select>
  </td>
</tr>

<!-- AF2 -->
<tr id="high_upload_queue_tr">
  <td class="head" align="center">
    <script  language="javascript" type="text/javascript">
      document.writeln("" + mQosMiddle + "");
      document.writeln("<input type=\"hidden\" name=\"QoSAF2ULName\" value=\"" + AF2ULName + "\">");
    </script>
  </td>
  <td align="center">
    <select name="high_upload_queue_rate" id="high_upload_queue_rate" size="1" onChange="UploadQueueRateCheck();">
      <option value="0">0%</option>
      <option selected="selected" value="10">10%</option>
      <option value="20">20%</option>
      <option value="30">30%</option>
      <option value="40">40%</option>
      <option value="50">50%</option>
      <option value="60">60%</option>
      <option value="70">70%</option>
      <option value="80">80%</option>
      <option value="90">90%</option>
      <option value="100">100%</option>
    </select>
  </td>
  <td align="center">
    <select name="high_upload_queue_ceil" id="high_upload_queue_ceil" size="1" onChange="UploadQueueCeilCheck();">
      <option selected="selected" value="0">0%</option>
      <option value="10">10%</option>
      <option value="20">20%</option>
      <option value="30">30%</option>
      <option value="40">40%</option>
      <option value="50">50%</option>
      <option value="60">60%</option>
      <option value="70">70%</option>
      <option value="80">80%</option>
      <option value="90">90%</option>
      <option value="100">100%</option>
    </select>
  </td>
</tr>

<!-- Default/AF6 -->
<tr id="default_upload_queue_tr">
  <td class="head" align="center">
    <script  language="javascript" type="text/javascript">
      document.writeln("" + mQosDefault+ "");
      document.writeln("<input type=\"hidden\" name=\"QoSAF6ULName\" value=\"" + AF6ULName + "\">");
    </script>
  </td>
  <td align="center">
    <select name="default_upload_queue_rate" id="default_upload_queue_rate" size="1" onChange="UploadQueueRateCheck();">
      <option value="0">0%</option>
      <option selected="selected" value="10">10%</option>
      <option value="20">20%</option>
      <option value="30">30%</option>
      <option value="40">40%</option>
      <option value="50">50%</option>
      <option value="60">60%</option>
      <option value="70">70%</option>
      <option value="80">80%</option>
      <option value="90">90%</option>
      <option value="100">100%</option>
    </select>
  </td>
  <td align="center">
    <select name="default_upload_queue_ceil" id="default_upload_queue_ceil" size="1" onChange="UploadQueueCeilCheck();">
      <option selected="selected" value="0">0%</option>
      <option value="10">10%</option>
      <option value="20">20%</option>
      <option value="30">30%</option>
      <option value="40">40%</option>
      <option value="50">50%</option>
      <option value="60">60%</option>
      <option value="70">70%</option>
      <option value="80">80%</option>
      <option value="90">90%</option>
      <option value="100">100%</option>
    </select>
  </td>
</tr>

<!-- AF1 -->
<tr id="low_upload_queue_tr">
  <td class="head" align="center">
    <script  language="javascript" type="text/javascript">
      document.writeln("" + mQosLow + "");
      document.writeln("<input type=\"hidden\" name=\"QoSAF1ULName\" value=\"" + AF1ULName + "\">");
    </script>
  </td>
  <td align="center">
    <select name="low_upload_queue_rate" id="low_upload_queue_rate" size="1" onChange="UploadQueueRateCheck();">
      <option value="0">0%</option>
      <option selected="selected" value="10">10%</option>
      <option value="20">20%</option>
      <option value="30">30%</option>
      <option value="40">40%</option>
      <option value="50">50%</option>
      <option value="60">60%</option>
      <option value="70">70%</option>
      <option value="80">80%</option>
      <option value="90">90%</option>
      <option value="100">100%</option>
    </select>
  </td>
  <td align="center">
    <select name="low_upload_queue_ceil" id="low_upload_queue_ceil" size="1" onChange="UploadQueueCeilCheck();">
      <option selected="selected" value="0">0%</option>
      <option value="10">10%</option>
      <option value="20">20%</option>
      <option value="30">30%</option>
      <option value="40">40%</option>
      <option value="50">50%</option>
      <option value="60">60%</option>
      <option value="70">70%</option>
      <option value="80">80%</option>
      <option value="90">90%</option>
      <option value="100">100%</option>
    </select>
  </td>
</tr>
<tr>
  <td class="head" colspan="3">&nbsp;</td>
</tr>    
</table>
</fieldset>
</div>

<!-- Download -->
<div id="div_qos_group_download">
<br />
<fieldset align="center" style="width:80%;"> 
<legend><script>putmsg(mDownSet);</script></legend>
<br />
<table width="90%" align="center" border="0" cellspacing="1" cellpadding="3">
<tr>
  <td class="headLine" align="center"><script>putmsg(mQosGroup);</script></td>
  <td class="headLine" align="center"><script>putmsg(mQosRate);</script></td>
  <td class="headLine" align="center"><script>putmsg(mQosCeil);</script></td>
</tr>
<!-- EF / AF5 -->
<tr id="highest_download_queue_tr">
  <td class="head" align="center">
    <script  language="javascript" type="text/javascript">
      document.writeln("" + mQosHigh + "");
      document.writeln("<input type=\"hidden\" name=\"QoSAF5DLName\" value=\"" + AF5DLName + "\">");
    </script>
  </td>
  <td align="center">
    <select name="highest_download_queue_rate" id="highest_download_queue_rate" size="1" onChange="DownloadQueueRateCheck();">
      <option value="0">0%</option>
      <option selected="selected" value="10">10%</option>
      <option value="20">20%</option>
      <option value="30">30%</option>
      <option value="40">40%</option>
      <option value="50">50%</option>
      <option value="60">60%</option>
      <option value="70">70%</option>
      <option value="80">80%</option>
      <option value="90">90%</option>
      <option value="100">100%</option>
    </select>
  </td>
  <td align="center">
    <select name="highest_download_queue_ceil" id="highest_download_queue_ceil" size="1" onChange="DownloadQueueCeilCheck();">
      <option selected="selected" value="0">0%</option>
      <option value="10">10%</option>
      <option value="20">20%</option>
      <option value="30">30%</option>
      <option value="40">40%</option>
      <option value="50">50%</option>
      <option value="60">60%</option>
      <option value="70">70%</option>
      <option value="80">80%</option>
      <option value="90">90%</option>
      <option value="100">100%</option>
    </select>
  </td>
</tr>

<!-- AF2 -->
<tr id="high_download_queue_tr">
  <td class="head" align="center">
    <script  language="javascript" type="text/javascript">
      document.writeln("" + mQosMiddle+ "");
      document.writeln("<input type=\"hidden\" name=\"QoSAF2DLName\" value=\"" + AF2DLName + "\">");
    </script>
  </td>
  <td align="center">
    <select name="high_download_queue_rate" id="high_download_queue_rate" size="1" onChange="DownloadQueueRateCheck();">
      <option value="0">0%</option>
      <option selected="selected" value="10">10%</option>
      <option value="20">20%</option>
      <option value="30">30%</option>
      <option value="40">40%</option>
      <option value="50">50%</option>
      <option value="60">60%</option>
      <option value="70">70%</option>
      <option value="80">80%</option>
      <option value="90">90%</option>
      <option value="100">100%</option>
    </select>
  </td>
  <td align="center">
    <select name="high_download_queue_ceil" id="high_download_queue_ceil" size="1" onChange="DownloadQueueCeilCheck();">
      <option selected="selected" value="0">0%</option>
      <option value="10">10%</option>
      <option value="20">20%</option>
      <option value="30">30%</option>
      <option value="40">40%</option>
      <option value="50">50%</option>
      <option value="60">60%</option>
      <option value="70">70%</option>
      <option value="80">80%</option>
      <option value="90">90%</option>
      <option value="100">100%</option>
    </select>
  </td>
</tr>

<!-- Default/AF6 -->
<tr id="default_download_queue_tr">
  <td class="head" align="center">
    <script  language="javascript" type="text/javascript">
      document.writeln("" + mQosDefault+ "");
      document.writeln("<input type=\"hidden\" name=\"QoSAF6DLName\" value=\"" + AF6DLName + "\">");
    </script>
  </td>
  <td align="center">
    <select name="default_download_queue_rate" id="default_download_queue_rate" size="1" onChange="DownloadQueueRateCheck();">
      <option value="0">0%</option>
      <option selected="selected" value="10">10%</option>
      <option value="20">20%</option>
      <option value="30">30%</option>
      <option value="40">40%</option>
      <option value="50">50%</option>
      <option value="60">60%</option>
      <option value="70">70%</option>
      <option value="80">80%</option>
      <option value="90">90%</option>
      <option value="100">100%</option>
    </select>
  </td>
  <td align="center">
    <select name="default_download_queue_ceil" id="default_download_queue_ceil" size="1" onChange="DownloadQueueCeilCheck();">
      <option selected="selected" value="0">0%</option>
      <option value="10">10%</option>
      <option value="20">20%</option>
      <option value="30">30%</option>
      <option value="40">40%</option>
      <option value="50">50%</option>
      <option value="60">60%</option>
      <option value="70">70%</option>
      <option value="80">80%</option>
      <option value="90">90%</option>
      <option value="100">100%</option>
    </select>
  </td>
</tr>

<!-- AF1 -->
<tr id="low_download_queue_tr">
  <td class="head" align="center">
    <script  language="javascript" type="text/javascript">
      document.writeln("" + mQosLow + "");
      document.writeln("<input type=\"hidden\" name=\"QoSAF1DLName\" value=\"" + AF1DLName + "\">");
    </script>
  </td>
  <td align="center">
    <select name="low_download_queue_rate" id="low_download_queue_rate" size="1" onChange="DownloadQueueRateCheck();">
      <option value="0">0%</option>
      <option selected="selected" value="10">10%</option>
      <option value="20">20%</option>
      <option value="30">30%</option>
      <option value="40">40%</option>
      <option value="50">50%</option>
      <option value="60">60%</option>
      <option value="70">70%</option>
      <option value="80">80%</option>
      <option value="90">90%</option>
      <option value="100">100%</option>
    </select>
  </td>
  <td align="center">
    <select name="low_download_queue_ceil" id="low_download_queue_ceil" size="1" onChange="DownloadQueueCeilCheck();">
      <option selected="selected" value="0">0%</option>
      <option value="10">10%</option>
      <option value="20">20%</option>
      <option value="30">30%</option>
      <option value="40">40%</option>
      <option value="50">50%</option>
      <option value="60">60%</option>
      <option value="70">70%</option>
      <option value="80">80%</option>
      <option value="90">90%</option>
      <option value="100">100%</option>
    </select>
  </td>
</tr>
<tr>
  <td class="head" colspan="3">&nbsp;</td>
</tr>    
</table>
</fieldset>
</div>

<br />

<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
<tr>
  <td align="center" colspan="3">
    <script>
      document.writeln("<input type='submit' class='button' name='save' value='"+mBtnSave+"' onClick=\"return QoSSetupCheck();\">&nbsp;&nbsp;");
      if (rb == 0)
        document.writeln("<input type='submit' class='button' value='"+mBtnApply+"' onClick=\"return QoSSetupCheck();\">&nbsp;&nbsp;");
      document.writeln("<input type='reset' class='button' value='"+mBtnCancel+"' onClick=\"window.location.reload();\">");
    </script>
  </td>
</tr>
</table>

</form>

<!-- QoS Port Based -->
<form method="post" name="QoSPortSetup" action="/goform/QoSPortSetup">
<input type="hidden" name="nextPage" value="/qos/qos_basic.asp">

<div id="QoSPortBasedDiv">
<br />
<fieldset align="center" style="width:80%;"> 
<legend><script>putmsg(mPortSet);</script></legend>
<br />

<table width="90%" align="center" id="QoSPortSetupTable" name="QoSPortSetupTable" border="0" cellspacing="1" cellpadding="3">
<tr>
  <td class="headLine" align="center"><script>putmsg(mPort);</script></td>
  <td class="headLine" align="center"><script>putmsg(mQosGroup);</script></td>
  <td class="headLine" align="center"><script>putmsg(mRemarker);</script></td>
</tr>
<tr>
  <td class="head" align="center" id="QoSPort0Str"><script>putmsg(mEthPort);</script> 0</td>
  <td align="center">
    <select name="port0_group" id="port0_group" size="1">
      <option value="0"><script>document.write(mQosHigh);</script></option>
      <option value="1"><script>document.write(mQosMiddle);</script></option>
      <option value="2"><script>document.write(mQosDefault);</script></option>
      <option value="3"><script>document.write(mQosLow);</script></option>
    </select>
  </td>
  <td align="center">
    <select name="port0_remarker" id="port0_remarker">
      <option value="0"><script>putmsg(mNoChange);</script></option>
      <option value="1">BE</option>
      <option value="2">AF11</option>
      <option value="3">AF12</option>
      <option value="4">AF13</option>
      <option value="5">AF21</option>
      <option value="6">AF22</option>
      <option value="7">AF23</option>
      <option value="8">AF31</option>
      <option value="9">AF32</option>
      <option value="10">AF33</option>
      <option value="11">AF41</option>
      <option value="12">AF42</option>
      <option value="13">AF43</option>
      <option value="14">EF</option>
    </select>
  </td>
</tr>
<tr>
  <td class="head" align="center" id="QoSPort1Str"><script>putmsg(mEthPort);</script> 1</td>
  <td align="center">
    <select name="port1_group" id="port1_group" size="1">
      <option value="0"><script>document.write(mQosHigh);</script></option>
      <option value="1"><script>document.write(mQosMiddle);</script></option>
      <option value="2"><script>document.write(mQosDefault);</script></option>
      <option value="3"><script>document.write(mQosLow);</script></option>
    </select>
  </td>
  <td align="center">
    <select name="port1_remarker" id="port1_remarker">
      <option value="0"><script>putmsg(mNoChange);</script></option>
      <option value="1">BE</option>
      <option value="2">AF11</option>
      <option value="3">AF12</option>
      <option value="4">AF13</option>
      <option value="5">AF21</option>
      <option value="6">AF22</option>
      <option value="7">AF23</option>
      <option value="8">AF31</option>
      <option value="9">AF32</option>
      <option value="10">AF33</option>
      <option value="11">AF41</option>
      <option value="12">AF42</option>
      <option value="13">AF43</option>
      <option value="14">EF</option>
    </select>
  </td>
</tr>

<tr>
  <td class="head" align="center" id="QoSPort2Str"><script>putmsg(mEthPort);</script> 2</td>
  <td align="center">
    <select name="port2_group" id="port2_group" size="1">
      <option value="0"><script> document.write(mQosHigh);</script></option>
      <option value="1"><script> document.write(mQosMiddle);</script></option>
      <option value="2"><script> document.write(mQosDefault);</script></option>
      <option value="3"><script> document.write(mQosLow);</script></option>
    </select>
  </td>
  <td align="center">
    <select name="port2_remarker" id="port2_remarker">
      <option value="0"><script>putmsg(mNoChange);</script></option>
      <option value="1">BE</option>
      <option value="2">AF11</option>
      <option value="3">AF12</option>
      <option value="4">AF13</option>
      <option value="5">AF21</option>
      <option value="6">AF22</option>
      <option value="7">AF23</option>
      <option value="8">AF31</option>
      <option value="9">AF32</option>
      <option value="10">AF33</option>
      <option value="11">AF41</option>
      <option value="12">AF42</option>
      <option value="13">AF43</option>
      <option value="14">EF</option>
    </select>
  </td>
</tr>

<tr>
  <td class="head" align="center" id="QoSPort3Str"><script>putmsg(mEthPort);</script> 3</td>
  <td align="center">
    <select name="port3_group" id="port3_group" size="1">
      <option value="0"><script>document.write(mQosHigh);</script></option>
      <option value="1"><script>document.write(mQosMiddle);</script></option>
      <option value="2"><script>document.write(mQosDefault);</script></option>
      <option value="3"><script>document.write(mQosLow);</script></option>
    </select>
  </td>
  <td align="center">
    <select name="port3_remarker" id="port3_remarker">
      <option value="0"><script>putmsg(mNoChange);</script></option>
      <option value="1">BE</option>
      <option value="2">AF11</option>
      <option value="3">AF12</option>
      <option value="4">AF13</option>
      <option value="5">AF21</option>
      <option value="6">AF22</option>
      <option value="7">AF23</option>
      <option value="8">AF31</option>
      <option value="9">AF32</option>
      <option value="10">AF33</option>
      <option value="11">AF41</option>
      <option value="12">AF42</option>
      <option value="13">AF43</option>
      <option value="14">EF</option>
    </select>
  </td>
</tr>

<tr>
  <td class="head" align="center" id="QoSPort4Str"><script>putmsg(mEthPort);</script> 4</td>
  <td align="center">
    <select name="port4_group" id="port4_group" size="1">
      <option value="0"><script>document.write(mQosHigh);</script></option>
      <option value="1"><script>document.write(mQosMiddle);</script></option>
      <option value="2"><script>document.write(mQosDefault);</script></option>
      <option value="3"><script>document.write(mQosLow);</script></option>
    </select>
  </td>
  <td align="center">
    <select name="port4_remarker" id="port4_remarker">
      <option value="0"><script>putmsg(mNoChange);</script></option>
      <option value="1">BE</option>
      <option value="2">AF11</option>
      <option value="3">AF12</option>
      <option value="4">AF13</option>
      <option value="5">AF21</option>
      <option value="6">AF22</option>
      <option value="7">AF23</option>
      <option value="8">AF31</option>
      <option value="9">AF32</option>
      <option value="10">AF33</option>
      <option value="11">AF41</option>
      <option value="12">AF42</option>
      <option value="13">AF43</option>
      <option value="14">EF</option>
    </select>
  </td>
</tr>

<tr id="ssid1_tr">
  <td class="head" align="center" id="ssid1_td">SSID 1</td>
  <td align="center">
    <select name="ssid1_group" id="ssid1_group" size="1">
      <option value="0"><script>document.write(mQosHigh);</script></option>
      <option value="1"><script>document.write(mQosMiddle);</script></option>
      <option value="2"><script>document.write(mQosDefault);</script></option>
      <option value="3"><script>document.write(mQosLow);</script></option>
    </select>
  </td>
  <td align="center">
    <select name="ssid1_remaker" id="ssid1_remarker">
      <option value="0"><script>putmsg(mNoChange);</script></option>
      <option value="1">BE</option>
      <option value="2">AF11</option>
      <option value="3">AF12</option>
      <option value="4">AF13</option>
      <option value="5">AF21</option>
      <option value="6">AF22</option>
      <option value="7">AF23</option>
      <option value="8">AF31</option>
      <option value="9">AF32</option>
      <option value="10">AF33</option>
      <option value="11">AF41</option>
      <option value="12">AF42</option>
      <option value="13">AF43</option>
      <option value="14">EF</option>
    </select>
  </td>
</tr>

<tr id="ssid2_tr">
  <td class="head" align="center" id="ssid2_td">SSID 2</td>
  <td align="center">
    <select name="ssid2_group" id="ssid2_group" size="1">
      <option value="0"><script>document.write(mQosHigh);</script></option>
      <option value="1"><script>document.write(mQosMiddle);</script></option>
      <option value="2"><script>document.write(mQosDefault);</script></option>
      <option value="3"><script>document.write(mQosLow);</script></option>
    </select>
  </td>
  <td align="center">
    <select name="ssid2_remaker" id="ssid2_remarker">
      <option value="0"><script>putmsg(mNoChange);</script></option>
      <option value="1">BE</option>
      <option value="2">AF11</option>
      <option value="3">AF12</option>
      <option value="4">AF13</option>
      <option value="5">AF21</option>
      <option value="6">AF22</option>
      <option value="7">AF23</option>
      <option value="8">AF31</option>
      <option value="9">AF32</option>
      <option value="10">AF33</option>
      <option value="11">AF41</option>
      <option value="12">AF42</option>
      <option value="13">AF43</option>
      <option value="14">EF</option>
    </select>
  </td>
</tr>

<tr id="ssid3_tr">
  <td class="head" align="center" id="ssid3_td">SSID 3</td>
  <td align="center">
    <select name="ssid3_group" id="ssid3_group" size="1">
      <option value="0"><script>document.write(mQosHigh);</script></option>
      <option value="1"><script>document.write(mQosMiddle);</script></option>
      <option value="2"><script>document.write(mQosDefault);</script></option>
      <option value="3"><script>document.write(mQosLow);</script></option>
    </select>
  </td>
  <td align="center">
    <select name="ssid3_remaker" id="ssid3_remarker">
      <option value="0"><script>putmsg(mNoChange);</script></option>
      <option value="1">BE</option>
      <option value="2">AF11</option>
      <option value="3">AF12</option>
      <option value="4">AF13</option>
      <option value="5">AF21</option>
      <option value="6">AF22</option>
      <option value="7">AF23</option>
      <option value="8">AF31</option>
      <option value="9">AF32</option>
      <option value="10">AF33</option>
      <option value="11">AF41</option>
      <option value="12">AF42</option>
      <option value="13">AF43</option>
      <option value="14">EF</option>
    </select>
  </td>
</tr>

<tr id="ssid4_tr">
  <td class="head" id="ssid4_td">SSID 4</td>
  <td>
    <select name="ssid4_group" id="ssid4_group" size="1">
      <option value="0"><script>document.write(mQosHigh);</script></option>
      <option value="1"><script>document.write(mQosMiddle);</script></option>
      <option value="2"><script>document.write(mQosDefault);</script></option>
      <option value="3"><script>document.write(mQosLow);</script></option>
    </select>
  </td>
  <td align="center">
    <select name="ssid4_remaker" id="ssid4_remarker">
      <option value="0"><script>putmsg(mNoChange);</script></option>
      <option value="1">BE</option>
      <option value="2">AF11</option>
      <option value="3">AF12</option>
      <option value="4">AF13</option>
      <option value="5">AF21</option>
      <option value="6">AF22</option>
      <option value="7">AF23</option>
      <option value="8">AF31</option>
      <option value="9">AF32</option>
      <option value="10">AF33</option>
      <option value="11">AF41</option>
      <option value="12">AF42</option>
      <option value="13">AF43</option>
      <option value="14">EF</option>
    </select>
  </td>
</tr>

<tr id="ssid5_tr">
  <td class="head" align="center" id="ssid5_td">SSID 5</td>
  <td align="center">
    <select name="ssid5_group" id="ssid5_group" size="1">
      <option value="0"><script>document.write(mQosHigh);</script></option>
      <option value="1"><script>document.write(mQosMiddle);</script></option>
      <option value="2"><script>document.write(mQosDefault);</script></option>
      <option value="3"><script>document.write(mQosLow);</script></option>
    </select>
  </td>
  <td align="center">
    <select name="ssid5_remaker" id="ssid5_remarker">
      <option value="0"><script>putmsg(mNoChange);</script></option>
      <option value="1">BE</option>
      <option value="2">AF11</option>
      <option value="3">AF12</option>
      <option value="4">AF13</option>
      <option value="5">AF21</option>
      <option value="6">AF22</option>
      <option value="7">AF23</option>
      <option value="8">AF31</option>
      <option value="9">AF32</option>
      <option value="10">AF33</option>
      <option value="11">AF41</option>
      <option value="12">AF42</option>
      <option value="13">AF43</option>
      <option value="14">EF</option>
    </select>
  </td>
</tr>

<tr id="ssid6_tr">
  <td class="head" align="center" id="ssid6_td">SSID 6</td>
  <td align="center">
    <select name="ssid6_group" id="ssid6_group" size="1">
      <option value="0"><script>document.write(mQosHigh);</script></option>
      <option value="1"><script>document.write(mQosMiddle);</script></option>
      <option value="2"><script>document.write(mQosDefault);</script></option>
      <option value="3"><script>document.write(mQosLow);</script></option>
    </select>
  </td>
  <td align="center">
    <select name="ssid6_remaker" id="ssid6_remarker">
      <option value="0"><script>putmsg(mNoChange);</script></option>
      <option value="1">BE</option>
      <option value="2">AF11</option>
      <option value="3">AF12</option>
      <option value="4">AF13</option>
      <option value="5">AF21</option>
      <option value="6">AF22</option>
      <option value="7">AF23</option>
      <option value="8">AF31</option>
      <option value="9">AF32</option>
      <option value="10">AF33</option>
      <option value="11">AF41</option>
      <option value="12">AF42</option>
      <option value="13">AF43</option>
      <option value="14">EF</option>
    </select>
  </td>
</tr>

<tr id="ssid7_tr">
  <td class="head" align="center" id="ssid7_td">SSID 7</td>
  <td align="center">
    <select name="ssid7_group" id="ssid7_group" size="1">
      <option value="0"><script>document.write(mQosHigh);</script></option>
      <option value="1"><script>document.write(mQosMiddle);</script></option>
      <option value="2"><script>document.write(mQosDefault);</script></option>
      <option value="3"><script>document.write(mQosLow);</script></option>
    </select>
  </td>
  <td align="center">
    <select name="ssid7_remaker" id="ssid7_remarker">
      <option value="0"><script>putmsg(mNoChange);</script></option>
      <option value="1">BE</option>
      <option value="2">AF11</option>
      <option value="3">AF12</option>
      <option value="4">AF13</option>
      <option value="5">AF21</option>
      <option value="6">AF22</option>
      <option value="7">AF23</option>
      <option value="8">AF31</option>
      <option value="9">AF32</option>
      <option value="10">AF33</option>
      <option value="11">AF41</option>
      <option value="12">AF42</option>
      <option value="13">AF43</option>
      <option value="14">EF</option>
    </select>
  </td>
</tr>

<tr id="ssid8_tr">
  <td class="head" align="center" id="ssid8_td">SSID 8</td>
  <td align="center">
    <select name="ssid8_group" id="ssid8_group" size="1">
      <option value="0"><script>document.write(mQosHigh);</script></option>
      <option value="1"><script>document.write(mQosMiddle);</script></option>
      <option value="2"><script>document.write(mQosDefault);</script></option>
      <option value="3"><script>document.write(mQosLow);</script></option>
    </select>
  </td>
  <td align="center">
    <select name="ssid8_remaker" id="ssid8_remarker">
      <option value="0"><script>putmsg(mNoChange);</script></option>
      <option value="1">BE</option>
      <option value="2">AF11</option>
      <option value="3">AF12</option>
      <option value="4">AF13</option>
      <option value="5">AF21</option>
      <option value="6">AF22</option>
      <option value="7">AF23</option>
      <option value="8">AF31</option>
      <option value="9">AF32</option>
      <option value="10">AF33</option>
      <option value="11">AF41</option>
      <option value="12">AF42</option>
      <option value="13">AF43</option>
      <option value="14">EF</option>
    </select>
  </td>
</tr>

<tr>
  <td class="head" colspan="3">&nbsp;</td>
</tr>    
</table>

<br />

<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
<tr>
  <td align="center" colspan="3">
    <script>
      document.writeln("<input type='submit' class='button' name='save' value='"+mBtnSave+"'>&nbsp;&nbsp;");
      if (rb == 0)
        document.writeln("<input type='submit' class='button' value='"+mBtnApply+"'>&nbsp;&nbsp;");
      document.writeln("<input type='reset' class='button' value='"+mBtnCancel+"' onClick=\"window.location.reload();\">");
    </script>
  </td>
</tr>
</table>

</fieldset>
</div>

</form>

<br />

</td>

<td class="help">
<table class="help" cellPadding="3" cellSpacing="0">
  <tr id="helpHead"><td class="helpMenu"><script>putmsg(mHelp);</script></td></tr>
  <tr><td class="help-item"><script>putmsg(mQosBwSettings);</script></td></tr>
  <tr><td><script>putmsg(mIntroQosBw);</script></td></tr>

  <tr id="hPriHr" class="helpHr"><td><hr/></td></tr>
  <tr id="hPri"><td class="help-item"><script>putmsg(mQosPriority);</script></td></tr>
  <tr id="hPriIntro"><td><script>putmsg(mIntroQosGroup);</script></td></tr>

  <tr id="hIpBwHr" class="helpHr"><td><hr/></td></tr>
  <tr id="hIpBw"><td class="help-item"><script>putmsg(mQosIP);</script></td></tr>
  <tr id="hIpBwIntro"><td><script>putmsg(mIntroIPPolicy);</script></td></tr>
</table>
</td>

<td class="right-blank">&nbsp;</td>
</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 
       
</div> 

</body>
</html>


