<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("torrent_list"); %>

<% getWebsNoClick(); %>

document.title = mTitle;
var lang = "<% getCfgGeneral(1, "Language"); %>";
var usbtList ;

var entry = new Array();
var lenMax;
var sendText;
var parentTrId;
var parentSearchFlag;
var parentShowFlag;
var parentSelectId;
var parentStatusImgId;
var parentDirNameId;
var parentDirNameHeadId;
var parentDirNameBakId;
var totalIndex = 0;

function startRequest()
{
	sendText = "usbDir="+document.getElementById("usbDir").value;
	makeRequest("/goform/getUsbDirAjax", sendText, updateUsbDir);
}
function updateUsbDir()
{
	var i, j;
	var head_dir, whiteStr, pathLen;
	var dirEntry = new Array();
	
	head_dir = document.getElementById("usbDir").value;

	dirEntry = head_dir.split("/");

    if (http_request.readyState == 4) 
	{
        if (http_request.status == 200) 
		{
			usbtList = http_request.responseText;

			whiteStr = "";
			pathLen = getStrLen(head_dir);

			for( j = 0; j < dirEntry.length * 6; j++)
			{
				whiteStr += "&nbsp;";
			}

			if(usbtList != "")
			{
				entry = usbtList.split(";");
				lenMax = entry.length;
				totalIndex += lenMax;

				for (i = 0; i < lenMax; i++) 
				{
					AddRow(i);

					document.getElementById(parentDirNameHeadId+"."+i).innerHTML = whiteStr;
					document.getElementById(parentDirNameId+"."+i).innerHTML = entry[i];
					document.getElementById(parentDirNameBakId+"."+i).innerHTML = head_dir+"/"+entry[i];
					document.getElementById(parentSearchFlag).value = 1;
					document.getElementById(parentShowFlag+"."+i).value = 1;
				}
			}
		}
	}
}

function getStrLen(str) 
{
	var totalLength = 0;
	var list = str.split("");

	for(var i = 0; i < list.length; i++) 
	{
		var s = list[i];

		if(s.match(/[\u0000-\u00ff]/g)) //
			totalLength += 2; 
		else if(s.match(/[\u4e00-\u9fa5]/g)) //  
			totalLength += 4; 
		else if(s.match(/[\uff00-\uffff]/g)) //ȫ 
			totalLength += 4;
	}

	return totalLength;
} 

function setbgColor()
{
	var i;

	for (i = 0; i < totalIndex + 2; i++) 
	{
		tabDir.rows[i].style.backgroundColor = "#ffffff";
	}	

	document.getElementById(parentTrId).style.backgroundColor = "#aaaaaa";	
	document.getElementById(parentSelectId).checked = true;
}

function showOfHidden(trId)
{
	var i;
	var curId;

	for (i = 0; i < totalIndex + 2; i++) 
	{
		curId = tabDir.rows[i].id;

		if(curId.indexOf(trId,curId) != -1 && trId != curId)
		{
			if(document.getElementById(parentShowFlag).value == 1)
			{
				document.getElementById(curId).style.visibility = "hidden";
				document.getElementById(curId).style.display = "none";
			}
			else
			{
				document.getElementById(curId).style.visibility = "visible";
				document.getElementById(curId).style.display = style_display_on();
			}
		}
	}

	if(document.getElementById(parentShowFlag).value == 1)
	{	
		document.getElementById(parentShowFlag).value = 0;
	}
	else
	{
		document.getElementById(parentShowFlag).value = 1;
	}
}

function updateDir(trId)
{
	parentTrId = trId;
	parentSelectId = trId.replace("dirList", "select");
	parentSearchFlag = trId.replace("dirList", "searchFlag");
	parentShowFlag = trId.replace("dirList", "showFlag");
	parentStatusImgId = trId.replace("dirList", "statusImg");
	parentDirNameHeadId = trId.replace("dirList", "dirNameHead");
	parentDirNameId = trId.replace("dirList", "dirName");
	parentDirNameBakId = trId.replace("dirList", "dirNameBak");

	document.getElementById("usbDir").value = document.getElementById(parentDirNameBakId).innerHTML.replace("&amp;","&");

	if(document.getElementById(parentSearchFlag).value != 1)
		startRequest();
	else
		showOfHidden(parentTrId);

	setbgColor();

}
//index - such as 0.0.1
function AddRow(index)
{
 //һ
 var curIndex;
 var newSelectId, newSearchFlag, newShowFlag, newStatusImgId, newDirNameId, newDirNameHeadId;

 if(index == 0)
		curIndex = document.getElementById(parentTrId).rowIndex;
 else 
		curIndex = document.getElementById(parentTrId+"."+(index-1)).rowIndex;	

 var newTr = tabDir.insertRow(curIndex+1);

 //е
  newTr.id = parentTrId+"."+index;
  newTr.onClick = function()
  {
		updateDir(newTr.id);
  }
 //
 var newTd0 = newTr.insertCell(-1);
 var newTd1 = newTr.insertCell(-1);
 var newTd2 = newTr.insertCell(-1);
 //ݺ
 newSelectId = parentSelectId+"."+index;
 newSearchFlag = parentSearchFlag+"."+index;
 newShowFlag = parentShowFlag+"."+index;
 newStatusImgId = parentStatusImgId+"."+index;
 newDirNameId = parentDirNameId+"."+index;
 newDirNameHeadId = parentDirNameHeadId+"."+index;


 newTd0.align = 'center'; 
 newTd0.innerHTML = "<input type='radio' name='sel' id='"+newSelectId+"'> <input type='hidden' id='"+newSearchFlag+"' value='0'> <input type='hidden' id='"+newShowFlag+"' value='0'>";

 newTd1.innerHTML = "<span id="+newDirNameHeadId+"></span><img id="+newStatusImgId+"' src='/graphics/folder.gif'><span id="+newDirNameId+"></span>";

 newTd2.id = parentDirNameBakId+"."+index;
 newTd2.style.visibility = "hidden";
 newTd2.style.display = "none";
}

function doApply()
{
	window.opener.document.getElementById("dPath").value = document.getElementById("usbDir").value;
	window.close();	
}

function init()
{
	var trId;

	trId = "dirList0";
	parentTrId = trId;
	parentSelectId = trId.replace("dirList", "select");
	parentSearchFlag = trId.replace("dirList", "searchFlag");
	parentShowFlag = trId.replace("dirList", "showFlag");
	parentStatusImgId = trId.replace("dirList", "statusImg");
	parentDirNameHeadId = trId.replace("dirList", "dirNameHead");
	parentDirNameId = trId.replace("dirList", "dirName");
	parentDirNameBakId = trId.replace("dirList", "dirNameBak");

	if(document.getElementById(parentSearchFlag).value != 1)
		startRequest();
}
</script>
</head>

<body class="newopen" onLoad="init();">
<table class="body" width="600" cellspacing="0" cellpadding="0">  
<tr>
  <td align="center" valign="top">
    <fieldset align="center" style="width:80%;">
	  <legend><script>putmsg(mTorrenrList);</script></legend>
	  <br />
	  <table id="tabDir" class="content" width="90%" cellSpacing="1" cellPadding="3">
	    <tr align="center">
	      <td class="headLine" width="15%"><script>putmsg(mSelect);</script></td>
	      <td class="headLine"><script>putmsg(mFileName);</script></td>
            </tr>       
		
		<script>
			var i;
			for(i = 0; i < 1; i++){
				document.write("<tr id=\"dirList"+i+"\" style='display:none;visibility:hidden;' onClick=\"updateDir(dirList"+i+");\">");
				document.write("<td align='center'>");
				document.write("<input type='radio' name='sel' id='select"+i+"'>");
				document.write("<input type='hidden' id='searchFlag"+i+"' value='0'>");
				document.write("<input type='hidden' id='showFlag"+i+"' value='0'>");
				document.write("</td>");
				document.write("<td><span id='dirNameHead"+i+"'></span><img id='statusImg"+i+"' src='/graphics/folder.gif'><span id='dirName"+i+"'></span></td>");
				document.write("<td id='dirNameBak"+i+"' style='display:none;visibility:hidden;'></td>");
				document.write("</tr>");
			}
        </script>
		
	  </table>
	  <br />

	  <table class="content" width="95%" cellSpacing="0" cellPadding="3">
	    <tr ><td colspan="2" align="center">
	    <script>
	      document.write("<input type='button' class='button' id='btnApply' value='"+mBtnApply+"' onClick='doApply();'>&nbsp;&nbsp;");  
	      document.write("<input type='button' class='button' id='btnCancel' value='"+mBtnCancel+"' onClick='window.close();'>"); 
	      document.write("<input type='hidden' id='usbDir' value='/media'>"); 
	    </script>
		</td></tr>
	  </table><br />
    </fieldset>
  </td>

</tr>
</table>

</body>
</html>
