<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("inet"); %>
<% websIncludeLang("apcli"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';     
var opmode = '<% getCfgZero(1, "OperationMode"); %>';
var rb = <% getRebootFlag(); %>;
document.title = vendor+" "+model+" - "+mTitleApcli;

var ssid = '<% getCfgGeneralJS(1, "ApCliSsid"); %>';
var bssid = '<% getCfgGeneral(1, "ApCliBssid"); %>';
var mode = '<% getCfgGeneral(1, "ApCliAuthMode"); %>';
var enc = '<% getCfgGeneral(1, "ApCliEncrypType"); %>';
var wpapsk = '<% getCfgGeneralJS(1, "ApCliWPAPSK"); %>';
var keyid = '<% getCfgGeneral(1, "ApCliDefaultKeyID"); %>';
var key1 = '<% getCfgGeneral(1, "ApCliKey1Str"); %>';
var key2 = '<% getCfgGeneral(1, "ApCliKey2Str"); %>';
var key3 = '<% getCfgGeneral(1, "ApCliKey3Str"); %>';
var key4 = '<% getCfgGeneral(1, "ApCliKey4Str"); %>';
var key1Type = '<% getCfgGeneral(1, "ApCliKey1Type"); %>';
var key2Type = '<% getCfgGeneral(1, "ApCliKey2Type"); %>';
var key3Type = '<% getCfgGeneral(1, "ApCliKey3Type"); %>';
var key4Type = '<% getCfgGeneral(1, "ApCliKey4Type"); %>';
var http_request = false;
var Max_Num=30;
var site_survey_flag=0;
var timerId = 0;
var curChannel = "<% getCfgGeneral(1, "Channel"); %>";

var channels = new Array();//b[0]
var ssids = new Array();//b[1]
var bssids = new Array();//b[2]
var encrypts = new Array();//b[3]
var auth_wpa = new Array();//WPAPSK/AES
function onSelect(idx)
{
	var selIdx = 0;
	var encIdx = 0;

	auth_wpa = encrypts[idx].split("/");
	if (auth_wpa[0] == "NONE" || encrypts[idx].indexOf("NONE") >= 0) {
		selIdx = 0;
	}
	else if(auth_wpa[0] == "OPEN") {
		selIdx = 1;
	}
	else if(auth_wpa[0] == "SHAERD") {
		selIdx = 2;
	}
	else if (auth_wpa[0] == "WEP" || encrypts[idx].indexOf("WEP") >= 0) {
		//alert(mAlertWep);
		selIdx = 3; // WEPAUTO
	}
	else if(auth_wpa[0].indexOf("WPAPSK") >= 0 || auth_wpa[0].indexOf("WPA1PSK") >= 0 || auth_wpa[0].indexOf("WPA2PSK") >= 0
		|| auth_wpa[0].indexOf("WPA-PSK") >= 0 || auth_wpa[0].indexOf("WPA1-PSK") >= 0 || auth_wpa[0].indexOf("WPA2-PSK") >= 0) {
		if (auth_wpa[0].indexOf("WPA2PSK") >= 0 || auth_wpa[0].indexOf("WPA2-PSK") >= 0)
			selIdx = 5;
		else
			selIdx = 4;
		if (auth_wpa.length != 2) {
			return;
		}
		if (auth_wpa[1] == "AES" || auth_wpa[1].indexOf("AES") >= 0)
			encIdx = 1;
		else
			encIdx = 0;
	}
	else {
		alert(mAlertApAuth);
		return;
	}

	if (channels[idx] != curChannel) {
		/*var str = mCfmApChannelCur + curChannel + ", ";
		str += mCfmApChannelRemote + channels[idx] + ". ";
		str += mCfmApChannelShare;
		str +=mCfmApSelectSure;
		if (!confirm(str)) {
			return;
		}
		if (confirm(mAlertApChannel)) */{
			document.wireless_apcli.channel.value = channels[idx];
		}
	}
	document.wireless_apcli.apcli_ssid.value = ssids[idx];
	document.wireless_apcli.apcli_bssid.value = bssids[idx];
	document.wireless_apcli.apcli_mode.options.selectedIndex = selIdx;
	if(selIdx == 4 || selIdx == 5) {
		document.wireless_apcli.apcli_enc.selectedIndex = encIdx;
		document.wireless_apcli.apcli_wpapsk.value = "";
	}
	else if(selIdx == 1 || selIdx == 2 || selIdx == 3) {
		document.wireless_apcli.apcli_key1.value = "";
		document.wireless_apcli.apcli_key2.value = "";
		document.wireless_apcli.apcli_key3.value = "";
		document.wireless_apcli.apcli_key4.value = "";
	}

	SecurityModeSwitch();
}

function writeSignalImg(id, percent)
{
	if(percent < 10)
		document.getElementById(id).src = "/graphics/sig00.png";
	else if(percent >= 10 && percent < 20)
		document.getElementById(id).src = "/graphics/sig20.png";
	else if(percent >= 20 && percent < 30)
		document.getElementById(id).src = "/graphics/sig40.png";
	else if(percent >= 30 && percent < 40)
		document.getElementById(id).src = "/graphics/sig60.png";
	else if(percent >= 40 && percent < 60)
		document.getElementById(id).src = "/graphics/sig80.png";
	else if(percent >= 60)
		document.getElementById(id).src = "/graphics/sig100.png";
}

//Receive the response text and show the WDS sites information.
function showSite()
{
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
			
		if(http_request.responseText==""){
			document.getElementById("nositerow").style.visibility = "visible";
			document.getElementById("nositerow").style.display = style_display_on();
			document.getElementById("aSurveyNoSite").innerHTML = mSurveyNoSiteFound;
		}
		else{	
			var i,j,c;
			var a = new Array();
			
			document.getElementById("nositerow").style.visibility = "hidden";
			document.getElementById("nositerow").style.display = "none";
			a=http_request.responseText.split("\n");
			if(a.length < Max_Num)
				c = a.length;
			else
				c = Max_Num;

			document.getElementById("ap_site_list").style.visibility = "visible";
			document.getElementById("ap_site_list").style.display = style_display_on();

			var aplist = new Array();

			/* aplist */
			for (i=0; i<c; i++) {
				var ap = new Array();
				ap = a[i].split("\r");
				aplist[i] = new Array();
				for (j=0; j<ap.length; j++) {
					aplist[i][j] = ap[j];
				}
			}

			/* sort aplist */
			for (i=0; i<aplist.length; i++) {
				for (j=0; j<aplist.length-i-1; j++) {
					if (parseInt(aplist[j][4]) < parseInt(aplist[j+1][4])) {
						var t = new Array();
						t = aplist[j];  
						aplist[j] = aplist[j+1];
						aplist[j+1] = t;
					}
				}
			}

			for(i=0; i<c; i++){
				var b = new Array();
				b = aplist[i];
				channels[i] = b[0];
				ssids[i] = b[1];
				bssids[i] = b[2];
				encrypts[i] = b[3];//WPAPSK/WPA2PSK

				// Channel
				document.getElementById("channel"+i).innerHTML = mWlanChannel+" - "+b[0];

				// Frequency
				if (b[6] == "BELLOW" || b[6] == "ABOVE")
					document.getElementById("freq"+i).innerHTML = " ("+mWlanFreq+" - 20/40MHz), ";
				else
					document.getElementById("freq"+i).innerHTML = " ("+mWlanFreq+" - 20MHz), ";

				// SSID
				if (b[1].length == 0)
					document.getElementById("ssid"+i).innerHTML = "["+mWlanSsidHidden+"]";
				else
					document.getElementById("ssid"+i).innerHTML = b[1];

				// BSSID
				document.getElementById("bssid"+i).innerHTML = "("+b[2]+")";

				// Security
				if (b[3] == "NONE" || b[3].indexOf("NONE") >= 0) {
					if (b[8] == "YES")
						document.getElementById("wpsnosec"+i).innerHTML = ", "+mWlanWpsEnbl+" ("+b[9]+")";
					document.getElementById("nosecrow"+i).style.visibility = "visible";
					document.getElementById("nosecrow"+i).style.display = style_display_on();
					document.getElementById("secrow"+i).style.visibility = "hidden";
					document.getElementById("secrow"+i).style.display = "none";
				}
				else {
					if (b[8] == "YES")
						document.getElementById("wps"+i).innerHTML = ", "+mWlanWpsEnbl+" ("+b[9]+")";
					document.getElementById("security"+i).innerHTML = mWlanSecOn+" ("+b[3]+")";
				}

				// Signal
				//document.getElementById("signal"+i).innerHTML = mWlanSignal+" - "+b[4]+"%";
				writeSignalImg("signal"+i, b[4]);

				// Network mode
				document.getElementById("wmode"+i).innerHTML = mWlanNetMode+" - "+b[5];
				if (b[7] == "In")
					document.getElementById("wnt"+i).innerHTML = " (Infrastructure)";
				else
					document.getElementById("wnt"+i).innerHTML = " (Adhoc)";

				// Show entry
				document.getElementById("site"+i).style.visibility = "visible";
				document.getElementById("site"+i).style.display = style_display_on();
			}
		}
        }
    }
}

function style_table_display_on()
{
	return "";

/*
	if (window.ActiveXObject) { // IE
		return "block";
	}
	else if (window.XMLHttpRequest) { // Mozilla, Safari,...
		return "table";
	}
*/
}

function startSiteSurvey()
{
	var i;
	document.getElementById("ap_site_list").style.visibility = "hidden";
	document.getElementById("ap_site_list").style.display = "none";

	for(i=0;i<Max_Num;i++){
		document.getElementById("site"+i).style.visibility = "hidden";
		document.getElementById("site"+i).style.display = "none";
	}

	document.getElementById("nositerow").style.visibility = "visible";
	document.getElementById("nositerow").style.display = style_display_on();
	document.getElementById("aSurveyNoSite").innerHTML =mSurveyScan;

	makeRequest("/goform/getWlanSiteSurveyAjax", "sitesurvey", showSite);
}

function searchOn()
{
	//if (site_survey_flag==0)
	{ 
		document.getElementById("btnsearch").value= mSurveyClose;
		startSiteSurvey();
		//timerId = setInterval("startSiteSurvey()", 10000);
		//site_survey_flag=1;
	}
/*
	else if (site_survey_flag==1)
	{ 
		document.getElementById("btnsearch").value= mSurveyOpen;
		clearInterval(timerId);
		site_survey_flag=0;
	}
*/
}

function KeyTypeSwitch(id)
{
	var keytype = eval("document.wireless_apcli.apcli_key"+id+"type.options.selectedIndex");
	document.wireless_apcli.apcli_key1type.options.selectedIndex = keytype;
	document.wireless_apcli.apcli_key2type.options.selectedIndex = keytype;
	document.wireless_apcli.apcli_key3type.options.selectedIndex = keytype;
	document.wireless_apcli.apcli_key4type.options.selectedIndex = keytype;
}

function SecurityModeSwitch()
{
	document.getElementById("div_apcli_enc").style.visibility = "hidden";
	document.getElementById("div_apcli_enc").style.display = "none";
	document.getElementById("div_apcli_default_key").style.visibility = "hidden";
	document.getElementById("div_apcli_default_key").style.display = "none";
	document.wireless_apcli.apcli_default_key.disabled = true;
	document.getElementById("div_apcli_key1").style.visibility = "hidden";
	document.getElementById("div_apcli_key1").style.display = "none";
	document.wireless_apcli.apcli_key1.disabled = true;
	document.getElementById("div_apcli_key2").style.visibility = "hidden";
	document.getElementById("div_apcli_key2").style.display = "none";
	document.wireless_apcli.apcli_key2.disabled = true;
	document.getElementById("div_apcli_key3").style.visibility = "hidden";
	document.getElementById("div_apcli_key3").style.display = "none";
	document.wireless_apcli.apcli_key3.disabled = true;
	document.getElementById("div_apcli_key4").style.visibility = "hidden";
	document.getElementById("div_apcli_key4").style.display = "none";
	document.wireless_apcli.apcli_key4.disabled = true;
	document.getElementById("div_apcli_wpapsk").style.visibility = "hidden";
	document.getElementById("div_apcli_wpapsk").style.display = "none";
	document.wireless_apcli.apcli_wpapsk.disabled = true;

	var mysel = document.wireless_apcli.apcli_enc;
/*
	mysel.options.length = 0;
*/
	if (document.wireless_apcli.apcli_mode.options.selectedIndex == 0) { // Disable
	}
	else if (document.wireless_apcli.apcli_mode.options.selectedIndex == 1 /* OPEN */
		|| document.wireless_apcli.apcli_mode.options.selectedIndex == 2 /* SHARED */
		|| document.wireless_apcli.apcli_mode.options.selectedIndex == 3 /* WEPAUTO */
		) {
	/*
		mysel.options[0] = new Option("None", "NONE");
		mysel.options[1] = new Option("Wep", "WEP");
		document.getElementById("div_apcli_default_key").style.visibility = "visible";
		document.getElementById("div_apcli_default_key").style.display = style_display_on();
	*/
		document.wireless_apcli.apcli_default_key.disabled = false;
		document.getElementById("div_apcli_key1").style.visibility = "visible";
		document.getElementById("div_apcli_key1").style.display = style_display_on();
		document.wireless_apcli.apcli_key1.disabled = false;
	/*
		document.getElementById("div_apcli_key2").style.visibility = "visible";
		document.getElementById("div_apcli_key2").style.display = style_display_on();
	*/
		document.wireless_apcli.apcli_key2.disabled = false;
	/*
		document.getElementById("div_apcli_key3").style.visibility = "visible";
		document.getElementById("div_apcli_key3").style.display = style_display_on();
	*/
		document.wireless_apcli.apcli_key3.disabled = false;
	/*
		document.getElementById("div_apcli_key4").style.visibility = "visible";
		document.getElementById("div_apcli_key4").style.display = style_display_on();
	*/
		document.wireless_apcli.apcli_key4.disabled = false;
		mysel.disabled = true;
	}
	else if (document.wireless_apcli.apcli_mode.options.selectedIndex == 4 /* WPA-PSK */
		|| document.wireless_apcli.apcli_mode.options.selectedIndex == 5 /* WPA2-PSK */
		) {
	/*
		mysel.options[0] = new Option("TKIP", "TKIP");
		mysel.options[1] = new Option("AES", "AES");
	*/
		document.getElementById("div_apcli_enc").style.visibility = "visible";
		document.getElementById("div_apcli_enc").style.display = style_display_on();
		document.getElementById("div_apcli_wpapsk").style.visibility = "visible";
		document.getElementById("div_apcli_wpapsk").style.display = style_display_on();
		document.wireless_apcli.apcli_wpapsk.disabled = false;
		mysel.disabled = false;
	}
}

function initValue()
{
	var radio_off = '<% getCfgZero(1, "RadioOff"); %>';

	if (1*radio_off == 1) {
		document.getElementById("div_radio_off").style.visibility = "";
		document.getElementById("div_radio_off").style.display = "";
		document.getElementById("btnsearch").disabled = true;
	}

	document.getElementById("nositerow").style.visibility = "hidden";
	document.getElementById("nositerow").style.display = "none";
	
	document.wireless_apcli.apcli_ssid.value = ssid;
	document.wireless_apcli.apcli_bssid.value = bssid;
	if (mode == "OPEN") {
		if (enc == "WEP")
			document.wireless_apcli.apcli_mode.options.selectedIndex = 1;
		else
			document.wireless_apcli.apcli_mode.options.selectedIndex = 0;
	}
	else if (mode == "SHARED")
		document.wireless_apcli.apcli_mode.options.selectedIndex = 2;
	else if (mode == "WEPAUTO")
		document.wireless_apcli.apcli_mode.options.selectedIndex = 3;
	else if (mode == "WPAPSK")
		document.wireless_apcli.apcli_mode.options.selectedIndex = 4;
	else if (mode == "WPA2PSK")
		document.wireless_apcli.apcli_mode.options.selectedIndex = 5;

	if (mode == "WPAPSK" || mode == "WPA2PSK") {
		if (enc == "TKIP")
			document.wireless_apcli.apcli_enc.selectedIndex = 0;
		else
			document.wireless_apcli.apcli_enc.selectedIndex = 1;
	}

	if (keyid == "")
		keyid = 1;

	document.wireless_apcli.apcli_default_key.options.selectedIndex = 0;//keyid*1 -1;
	document.wireless_apcli.apcli_key1.value = key1;
	document.wireless_apcli.apcli_key2.value = key2;
	document.wireless_apcli.apcli_key3.value = key3;
	document.wireless_apcli.apcli_key4.value = key4;
	document.wireless_apcli.apcli_key1type.options.selectedIndex = key1Type*1;
	document.wireless_apcli.apcli_key2type.options.selectedIndex = key2Type*1;
	document.wireless_apcli.apcli_key3type.options.selectedIndex = key3Type*1;
	document.wireless_apcli.apcli_key4type.options.selectedIndex = key4Type*1;
	document.wireless_apcli.apcli_wpapsk.value = wpapsk;
	
	SecurityModeSwitch();
}

function CheckWep()
{
	var mykey = document.wireless_apcli.apcli_key1;
	document.wireless_apcli.apcli_default_key.options.selectedIndex = 0;
	if (mykey.value.length == 0) {
		alert(mWlanSecKey+mAlertEmpty);
		mykey.focus();
		return false;
	}

	if (mykey.value.length == 5 || mykey.value.length == 13) { // ASCII 5/13
		if (!checkInjection(mykey.value)) {
			alert(mWlanSecKey+mAlertWepKeyFormat);
			mykey.focus();
			return false;
		}
		document.wireless_apcli.apcli_key1type.options.selectedIndex = 1;
		document.wireless_apcli.apcli_key2type.options.selectedIndex = 1;
		document.wireless_apcli.apcli_key3type.options.selectedIndex = 1;
		document.wireless_apcli.apcli_key4type.options.selectedIndex = 1;
	}
	else if (mykey.value.length == 10 || mykey.value.length == 26) { // Hex 10/26
		if (!checkHex(mykey.value)) {
			alert(mWlanSecKey + mAlertWepKeyFormat);
			mykey.focus();
			return false;
		}
		document.wireless_apcli.apcli_key1type.options.selectedIndex = 0;
		document.wireless_apcli.apcli_key2type.options.selectedIndex = 0;
		document.wireless_apcli.apcli_key3type.options.selectedIndex = 0;
		document.wireless_apcli.apcli_key4type.options.selectedIndex = 0;
	}
	else { // Invalid Key
		alert(mWlanSecKey+mAlertInvalid);
	}

	document.wireless_apcli.apcli_key2.value = mykey.value;
	document.wireless_apcli.apcli_key3.value = mykey.value;
	document.wireless_apcli.apcli_key4.value = mykey.value;

	return true;
}

function CheckWpa()
{
	if (document.wireless_apcli.apcli_wpapsk.value.length < 8) {
		alert(mWlanSecPassPhrase + mAlertPassPhraseLen);
		document.wireless_apcli.apcli_wpapsk.focus();
		return false;
	}
	if (!checkInjection(document.wireless_apcli.apcli_wpapsk.value)) {
		alert(mWlanSecPassPhrase + mAlertInvalid);
		document.wireless_apcli.apcli_wpapsk.focus();
		return false;
	}
	return true;
}

function CheckValue()
{
	if (document.wireless_apcli.apcli_ssid.value == '') {
		alert(mApcliSsid + mAlertEmpty);
		document.wireless_apcli.apcli_ssid.focus(); 
		return false;
	}

	if (document.wireless_apcli.apcli_bssid.value != '') {
		var re = /[A-Fa-f0-9]{2}:[A-Fa-f0-9]{2}:[A-Fa-f0-9]{2}:[A-Fa-f0-9]{2}:[A-Fa-f0-9]{2}:[A-Fa-f0-9]{2}/;
		if (!re.test(document.wireless_apcli.apcli_bssid.value)) {
			alert(mInetMac + mAlertInvalid);
			document.wireless_apcli.apcli_bssid.focus(); 
			return false;
		}
	}

	if (document.wireless_apcli.apcli_mode.options.selectedIndex == 0)
		return true;
	else if (document.wireless_apcli.apcli_mode.options.selectedIndex == 1)
		return CheckWep();
	else if (document.wireless_apcli.apcli_mode.options.selectedIndex == 2)
		return CheckWep();
	else if (document.wireless_apcli.apcli_mode.options.selectedIndex == 3)
		return CheckWep();
	else if (document.wireless_apcli.apcli_mode.options.selectedIndex == 4)
		return CheckWpa();
	else if (document.wireless_apcli.apcli_mode.options.selectedIndex == 5)
		return CheckWpa();
	else {
		alert(mAlertUnknownSecMode);
		return false;
	}
}

</script>

</head>

<body onLoad="initValue();">

<div class="body_div">

<script language="javascript" type="text/javascript" >
	writeHead(lang, ver, "wireless", "apcli");
</script> 

<table class="body" cellSpacing="0" cellPadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
    <td class="navi" valign="top">
      <script>writeNavi(lang, ver, "wireless", "apcli");</script>
    </td>
    <td class="left" align="center" valign="top">
	<script>writeReboot(rb);</script>
  	<br />
  	
	<form method="post" name="wireless_apcli" action="/goform/wirelessApcli" onSubmit="return CheckValue();">
  	<fieldset align="center" style="width:80%;"> 
    	<legend><script>putmsg(mApcliSet);</script></legend>  

	<input type="hidden" name="channel" value="<% getCfgGeneral(1, "Channel"); %>">

      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3" id="div_radio_off" style="visibility:hidden;display:none;">
	<tr>
	  <td>
	    <b style="color:red;"><script>putmsg(mWarning);</script>:</b>
	    <span style="color:red;"><script>putmsg(mAlertRadioOff);</script></span>
	    <script>document.writeln("<input type='button' class='button' value='"+mBtnSetup+"' onClick=\"gotoURL('basic.asp');\">");</script>
	  </td>
	</tr>
	</table>

      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tbody>
        
        <tr>
          <td width="40%">&nbsp;</td>
          <td width="60%">&nbsp;</td>
        </tr>
        
        <tr> 
          <td class="head"><script>putmsg(mApcliSsid);</script>:</td>
          <td><input type="text" name="apcli_ssid" size="20" maxlength="32"></td>
        </tr>
        <tr> 
          <td class="head"><script>putmsg(mInetMac);</script>:</td>
          <td><input type="text" name="apcli_bssid" size="20" maxlength="17">&nbsp;
		  <span class="comment">(<script>putmsg(mWlanOptional);</script>)</span></td>
        </tr>
        <tr> 
          <td class="head"><script>putmsg(mWlanSecMode);</script>:</td>
          <td>
            <select name="apcli_mode" id="apcli_mode" size="1" onChange="SecurityModeSwitch();" style="width:132px;">
             <option value="Disable"><script>putmsg(mRadioDisable);</script></option>
      	     <option value="OPEN"><script>putmsg(mWlanSecModeOpen);</script></option>
      	     <option value="SHARED"><script>putmsg(mWlanSecModeShared);</script></option>
             <option value="WEPAUTO"><script>putmsg(mWlanSecModeOpen+"|"+mWlanSecModeShared);</script></option>
      	     <option value="WPAPSK"><script>putmsg(mWlanSecModeWpaPsk);</script></option>
      	     <option value="WPA2PSK"><script>putmsg(mWlanSecModeWpa2Psk);</script></option>
            </select>
          </td>
        </tr>
        <tr id="div_apcli_enc">
          <td class="head"><script>putmsg(mWlanDecEncType);</script>:</td>
          <td>
            <select name="apcli_enc" id="apcli_enc" size="1" style="width:132px;">
            <option value="TKIP">TKIP</option>
            <option value="AES">AES</option>
            </select>
          </td>
        </tr>
        <tr id="div_apcli_default_key">
          <td class="head"><script>putmsg(mWlanSecDftKey);</script>:</td>
          <td>
            <select name="apcli_default_key" id="apcli_default_key" size="1" style="width:60px;display:none;visibility:hidden;">
		<option value="1" selected>1</option>
		<option value="2">2</option>
		<option value="3">3</option>
		<option value="4">4</option>
            </select>
          </td>
        </tr>
        <tr id="div_apcli_key1">
          <td class="head"><script>putmsg(mWlanSecKey);</script>:</td>
          <td>
            <input name="apcli_key1" id="apcli_key1" size="20" maxlength="26">&nbsp;&nbsp;
            <select id="apcli_key1type" name="apcli_key1type" onChange="KeyTypeSwitch(1);" style="width:80px;display:none;visibility:hidden;"> 
              <option value="0"><script>putmsg(mWlanSecHex);</script></option>
              <option value="1"><script>putmsg(mWlanSecAscii);</script></option>
            </select>
          </td>
        </tr>
        <tr id="div_apcli_key2">
          <td class="head"><script>putmsg(mWlanSecKey);</script>&nbsp;2:</td>
          <td>
            <input name="apcli_key2" id="apcli_key2" size="20" maxlength="26">&nbsp;&nbsp;
            <select id="apcli_key2type" name="apcli_key2type" onChange="KeyTypeSwitch(2);" style="width:80px;display:none;visibility:hidden;"> 
              <option value="0"><script>putmsg(mWlanSecHex);</script></option>
              <option value="1"><script>putmsg(mWlanSecAscii);</script></option>
            </select>
          </td>
        </tr>
        <tr id="div_apcli_key3">
          <td class="head"><script>putmsg(mWlanSecKey);</script>&nbsp;3:</td>
          <td>
            <input name="apcli_key3" id="apcli_key3" size="20" maxlength="26">&nbsp;&nbsp;
            <select id="apcli_key3type" name="apcli_key3type" onChange="KeyTypeSwitch(3);" style="width:80px;display:none;visibility:hidden;"> 
              <option value="0"><script>putmsg(mWlanSecHex);</script></option>
              <option value="1"><script>putmsg(mWlanSecAscii);</script></option>
            </select>
          </td>
        </tr>
        <tr id="div_apcli_key4">
          <td class="head"><script>putmsg(mWlanSecKey);</script>&nbsp;4:</td>
          <td>
            <input name="apcli_key4" id="apcli_key4" size="20" maxlength="26">&nbsp;&nbsp;
            <select id="apcli_key4type" name="apcli_key4type" onChange="KeyTypeSwitch(4);" style="width:80px;display:none;visibility:hidden;"> 
              <option value="0"><script>putmsg(mWlanSecHex);</script></option>
              <option value="1"><script>putmsg(mWlanSecAscii);</script></option>
            </select>
          </td>
        </tr>
        <tr id="div_apcli_wpapsk"> 
          <td class="head"><script>putmsg(mWlanSecPassPhrase);</script>:</td>
          <td><input type="text" name="apcli_wpapsk" size="20" maxlength="64"></td>
        </tr>
      
	 <tr>
          <td class="head">&nbsp;</td>
          <td class="tail">&nbsp;</td>
        </tr>    
        </tbody>
       </table>
       
       <table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	  <tr>
	    <td align="center"><script>
		document.write("<input type='submit' class='button' name='save' value='"+mBtnSave+"'>&nbsp;&nbsp;");
		if (rb == 0)
			document.write("<input type='submit' class='button' value='"+mBtnApply+"'>&nbsp;&nbsp;");
		document.write("<input type='reset' class='button' value='"+mBtnCancel+"' onClick='window.location.reload()'>");
	    </script></td>
	  </tr>
	</table>
       </fieldset>
       
       <br /><br />
       <fieldset id="div_ap_site_survey" align="center" style="width:80%;"> 
    	<legend><script>putmsg(mSurveySiteList);</script></legend> 
	<br />
	<table align="center" class="content" width="96%" cellSpacing="1" cellPadding="3">
	  <tr>
            <td class="headLine" align="center" width="10%"><script>putmsg(mWlanSelect);</script></td>
            <td class="headLine" align="center"><script>putmsg(mWlanNetwork);</script></td>
          </tr>
          
          <tr id="nositerow">
            <td align="center" id="aSurveyNoSite" colspan="2"></td>
          </tr>
    </table>
	<table id="ap_site_list" align="center" class="content" width="96%" cellSpacing="1" cellPadding="2" style="visibility:hidden;display:none;">
	<tr><td align="center">
	<div style="width: 100%; overflow-x: hidden; overflow-y: auto; height: 360px;">
	<table align="center" class="content" width="100%" cellSpacing="1" cellPadding="2">
        <script language="javascript" type="text/javascript">
		var i;
		for(i=0; i<Max_Num; i+=1){
			document.writeln("<tr id=\"site"+i+"\" style=\"visibility:hidden;display:none;\">");
			document.writeln("<td align=\"center\" width=\"10%\" id=\"select"+i+"\"><input type=\"radio\" name=\"select\" onClick=\"onSelect("+i+");\"></td>");

			document.writeln("<td align=\"center\" width=\"10%\"><img src=\"/graphics/radio.gif\"></td>");

			document.writeln("<td align=\"center\">");
			document.writeln("<table width=\"100%\" border=\"0\" cellspacing=\"0\">");
			document.writeln("<tr><td width=\"76%\"><b id=\"ssid"+i+"\"></b>&nbsp;&nbsp;");
			document.writeln("<span class=\"comment\" id=\"bssid"+i+"\"></span></td></tr>");
			//document.writeln("<td><span class=\"comment\" id=\"signal"+i+"\"></span></td></tr>");

			document.writeln("<tr><td colspan=\"2\"><span class=\"comment\" id=\"channel"+i+"\"></span>");
			document.writeln("<span class=\"comment\" id=\"freq"+i+"\"></span>");
			document.writeln("<span class=\"comment\" id=\"wmode"+i+"\"></span>");
			document.writeln("<span class=\"comment\" id=\"wnt"+i+"\"></span>");
			document.writeln("</td></tr>");

			document.writeln("<tr id=\"nosecrow"+i+"\" style=\"display:none;visibility:hidden;\">");
			document.writeln("<td colspan=\"2\"><span class=\"comment\" id=\"securitynone"+i+"\">"+mWlanSecOff+"</span>");
			document.writeln("<span class=\"comment\" id=\"wpsnosec"+i+"\"></span>");
			document.writeln("</td></tr>");

			document.writeln("<tr id=\"secrow"+i+"\">");
			document.writeln("<td colspan=2><img src=\"/graphics/lock.gif\">&nbsp;&nbsp;<span class=\"comment\" id=\"security"+i+"\"></span>");
			document.writeln("<span class=\"comment\" id=\"wps"+i+"\"></span>");
			document.writeln("</td></tr>");

			document.writeln("</table>");
			document.writeln("</td>");
			document.writeln("<td align=\"center\"><img id=\"signal"+i+"\" border=\"0\" src=\"\"></td>");
			document.writeln("</tr>");
		}
        </script>
	</table>
	</div>
	</td></tr>
	</table>
	<table align="center" class="content" width="96%" cellSpacing="1" cellPadding="2">
        <tr>
          <td align="center">
	  <script>
            document.write("<input type='button' id='btnsearch' value='"+mWlanSiteScan+"' class='button' onClick='searchOn();'>");
	  </script>
          </td></tr>
    </table><br />
    </fieldset>
	</form>
    	<br /><br />
  </td>

    <td class="help">
       <table class="help" cellPadding="3" cellSpacing="0">
       <tr id="helpHead"><td class="helpMenu"><script>putmsg(mHelp);</script></td></tr>
       <tr><td class="help-item"><script>putmsg(mApcliSet);</script></td></tr>
       <tr><td><script>putmsg(mIntroApcli);</script></td></tr>
       </table>
    </td>
    <td class="right-blank">&nbsp;</td>
</tr>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 
       
</div> 
</body>
</html>

