<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("settings"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var opmode = '<% getCfgZero(1, "OperationMode"); %>';

document.title = vendor+" "+model+" - "+(mSetTitle);

function AdmFormCheck()
{
	if (document.ImportSettings.filename.value == "") {
		alert((mAlertFile));
		return false;
	}
	document.getElementById("resultbg").style.display = "block";
	document.getElementById("result").style.display = "block";
	return true;
}

function PageInit()
{
}

function showMessage()
{
	var ret = confirm((mConfirmLoadDefault));
	if(!ret)
		return false;
	else{
		document.getElementById("resultbg").style.display = "block";
		document.getElementById("result").style.display = "block";
		return true;
	}
}

</script>

</head>

<body onLoad="PageInit();">
<div id="resultbg" style="display:none;" class="back-overlay">
<iframe src="" style="position:absolute;visibility:inherit; top:0px; left:0px; width:1024px; height:768px; z-index:-1;opacity:.0; filter: alpha( opacity=0 );-moz-opacity: 0;"></iframe>
</div>
<div id="result" class="front-content" style="display:none;">
<table border="0" width="100%">
       <tr>
           <td align="center">
               <br /><br /><br /><script>putmsg(mMsgApplying);</script><br /><br />
            </td>
       </tr>
</table>
</div>

<div class="body_div">

<script language="javascript" type="text/javascript" >
	writeHead(lang, ver, "adm", "settings");
</script> 

<table class="body" cellSpacing="0" cellPadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
    <td class="navi" valign="top">
      <script>writeNavi(lang, ver, "adm", "settings");</script>
    </td>
    <td class="left" align="center" valign="top">
  	<br />
    <fieldset align="center" style="width:80%;"> 
    	<legend id="setman" ><script>putmsg(mSetTitle);</script></legend>  

  	<form method="post" name="ExportSettings" action="/cgi-bin/export_settings.cgi" enctype="multipart/form-data">
      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	  <tr>
	    <td class="head" width="40%"><script>putmsg(mSetExport);</script>:</td>
	    <td>
			<script>
				document.writeln("<input type='submit' class='button' value='"+mBtnExport+"'>");
			</script>
	    </td>
	  </tr>
	</table>
	</form>

	<form method="post" name="ImportSettings" action="/cgi-bin/upload_settings.cgi" enctype="multipart/form-data">
	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	  <tr>
	      <td class="head" width="40%"><script>putmsg(mSetImportFile);</script>:</td>
	      <td><input type="File" name="filename" size="20" maxlength="256"></td>
	  </tr>
	<tr>
	      <td class="head"><script>putmsg(mSetImport);</script>:</td>
	    <td>
	    <script>
		document.writeln("<input type='submit' class='button' value='"+mBtnImport+"' onClick=\"return AdmFormCheck();\">");
	    </script>
	    </td>
	</tr>   
	</table>
	</form>

  	<form method="get" name="LoadDefaultSettings" action="/goform/LoadDefaultSettings">
	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	  <tr>
	    <td class="head" width="40%"><script>putmsg(mSetFactoryDefault);</script>:</td>
	    <td>
	    <script>
		document.writeln("<input type='submit' class='button' style=width:132px;' value='"+mBtnLoadFactoryDefault+"' onClick=\"return showMessage();\">");
	    </script>
	    </td>
	  </tr>
	</table>
	</form>

	</fieldset>
	<br /><br />    
    </td>

    <td class="help">
       <table class="help" cellPadding="3" cellSpacing="0">
	<tr id="helpHead"><td class="helpMenu"><script>putmsg(mHelp);</script></td></tr>
        <tr><td class="help-item"><script>putmsg(mBtnExport);</script></td></tr>
	<tr><td><script>putmsg(mIntroSetBackup);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

        <tr><td class="help-item"><script>putmsg(mBtnImport);</script></td></tr>
	<tr><td><script>putmsg(mIntroSetRestore);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

        <tr><td class="help-item"><script>putmsg(mBtnLoadFactoryDefault);</script></td></tr>
	<tr><td><script>putmsg(mIntroSetDefault);</script></td></tr>
	</table>
    </td>
    <td class="right-blank">&nbsp;</td>
</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 
       
</div> 

</body>
</html>

