<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("time_date"); %>
<% websIncludeLang("url_filtering"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var opmode = '<% getCfgZero(1, "OperationMode"); %>';
var rb = <% getRebootFlag(); %>;
document.title = vendor+" "+model+" - "+mFilterUrl;

var MAX_RULES = <% getMaxNum("filteringURL"); %>;

var fEnbl = <% getCfgZero(1, "IPPortFilterEnable"); %>;
var fPolicy = <% getCfgZero(1, "DefaultFirewallPolicy"); %>;
var urlFilterEnbl = <% getCfgZero(1, "URLFilterEnable"); %>;
var urlFilteringIndex = <% getFilteringRuleIndex("urlFiltering"); %>;
var ruleStr = "<% getCfgGeneral(1, "urlFilterRules"); %>";
var ntpServer = "<% getCfgGeneral(1, "NTPServerIP"); %>";

function showAllFilteringRules()
{
	window.open("urlFilteringRules.asp", "URL_Filtering_Rules", "toolbar=no, location=yes, scrollbars=yes, resizable=no, width=640, height=480");
}

function gotoNtp()
{
	window.location.href = "/adm/management.asp";
}

function ruleChange()
{
	document.urlFilter.chRule.value = "1";
	document.urlFilter.submit();
}

function dateModeChange()
{
	var dateId = "date";
	var i=0;
	var cbStatus = false;

	if (document.urlFilter.dateMode.checked == true) {
		cbStatus = true;
	}
	else {
		cbStatus = false;
	}

	document.urlFilter.date0.disabled = cbStatus;
	document.urlFilter.date1.disabled = cbStatus;
	document.urlFilter.date2.disabled = cbStatus;
	document.urlFilter.date3.disabled = cbStatus;
	document.urlFilter.date4.disabled = cbStatus;
	document.urlFilter.date5.disabled = cbStatus;
	document.urlFilter.date6.disabled = cbStatus;
}

function timeModeChange()
{
	var disableStatus = false;
	if (document.urlFilter.timeMode[0].checked == true) {
		disableStatus = true;
	}
	else {
		disableStatus = false;
	}
	document.urlFilter.tHourFrom.disabled = disableStatus;
	document.urlFilter.tMinFrom.disabled = disableStatus;
	document.urlFilter.tHourTo.disabled = disableStatus;
	document.urlFilter.tMinTo.disabled = disableStatus;
}



function initFiltering()
{
	var rules = new Array();
	rules = ruleStr.split(";");

	if (rules.length > urlFilteringIndex) {
		var entry = new Array();
		entry = rules[urlFilteringIndex].split(",");

		if (entry.length == 9) {
			document.urlFilter.cbEnbl.checked = (entry[0] == "1") ? true : false;
			document.urlFilter.url.value = entry[1];
			document.urlFilter.comment.value = entry[2];

			if (entry[3] == "255") {
				document.urlFilter.dateMode.checked = true;
			}
			else {
				var dateVal = parseInt(entry[3]);

				document.urlFilter.dateMode.checked = false;

				document.urlFilter.date0.checked = (dateVal & 1) ? true : false;
				document.urlFilter.date1.checked = (dateVal & (1<<1)) ? true : false;
				document.urlFilter.date2.checked = (dateVal & (1<<2)) ? true : false;
				document.urlFilter.date3.checked = (dateVal & (1<<3)) ? true : false;
				document.urlFilter.date4.checked = (dateVal & (1<<4)) ? true : false;
				document.urlFilter.date5.checked = (dateVal & (1<<5)) ? true : false;
				document.urlFilter.date6.checked = (dateVal & (1<<6)) ? true : false;
			}

			document.urlFilter.timeMode[1*entry[4]].checked = true;
			document.urlFilter.tHourFrom.value = entry[5];
			document.urlFilter.tMinFrom.value = entry[6];
			document.urlFilter.tHourTo.value = entry[7];
			document.urlFilter.tMinTo.value = entry[8];
		}
	}
}

function initValue()
{
	if (fEnbl == 1) {
		document.getElementById("filterFirewallEnbl").innerHTML = mRadioEnable;
		document.getElementById("filterFirewallEnbl").style.color = "green";
	}
	else {
		document.getElementById("filterFirewallEnbl").innerHTML = mRadioDisable;
		document.getElementById("filterFirewallEnbl").style.color = "red";
	}
	document.getElementById("fwEnable").value = fEnbl;

	if (urlFilterEnbl == 1) {
		document.getElementById("filterUrlEnbl").innerHTML = mRadioEnable;
		document.getElementById("filterUrlEnbl").style.color = "green";
	}
	else {
		document.getElementById("filterUrlEnbl").innerHTML = mRadioDisable;
		document.getElementById("filterUrlEnbl").style.color = "red";
	}
	document.getElementById("urlFilterEnable").value = urlFilterEnbl;

	if (fPolicy == 1) {
		document.getElementById("filterPolicy").innerHTML = mPolicyDrop + ":";
		document.getElementById("filterPolicyDesc").innerHTML = mPolicyDropDesc;
	}
	else {
		document.getElementById("filterPolicy").innerHTML = mPolicyAcc + ":";
		document.getElementById("filterPolicyDesc").innerHTML = mPolicyAccDesc;
	}

	document.getElementById("filterRuleIndex").selectedIndex = urlFilteringIndex;

	initFiltering();
	dateModeChange();
	timeModeChange();
}

function urlFilterCheck()
{
	if(document.urlFilter.url.value == ""){
		alert(mFilterUrlKwd +mAlertEmpty);
		return false;
	}

	if (document.urlFilter.cbEnbl.checked == true) {
		document.urlFilter.enbl.value = 1;
	}
	else {
		document.urlFilter.enbl.value = 0;
	}

	if (document.urlFilter.dateMode.checked == true) { // every day
		document.urlFilter.dateVal.value = 255;
	}
	else {
		var value = 0;
		if (document.urlFilter.date0.checked == true) {
			value = value | 1;
		}
		if (document.urlFilter.date1.checked == true) {
			value = value | (1<<1);
		}
		if (document.urlFilter.date2.checked == true) {
			value = value | (1<<2);
		}
		if (document.urlFilter.date3.checked == true) {
			value = value | (1<<3);
		}
		if (document.urlFilter.date4.checked == true) {
			value = value | (1<<4);
		}
		if (document.urlFilter.date5.checked == true) {
			value = value | (1<<5);
		}
		if (document.urlFilter.date6.checked == true) {
			value = value | (1<<6);
		}

		if (value == 0) {
			alert(mAlertWeekday)
			return false;
		}

		document.urlFilter.dateVal.value = value;
	}

	if (document.urlFilter.timeMode[1].checked == true) {
		// check time
		var objFromH = document.urlFilter.tHourFrom;
		var objFromM = document.urlFilter.tMinFrom;
		var objToH = document.urlFilter.tHourTo;
		var objToM = document.urlFilter.tMinTo;
		var fromValueH = parseInt(objFromH.value);
		var fromValueM = parseInt(objFromM.value);
		var toValueH = parseInt(objToH.value);
		var toValueM = parseInt(objToM.value);
		if (objFromH.value == "" || isNumOnly(objFromH.value) == 0 || fromValueH > 23 || fromValueH < 0) {
			alert(mFilterTime + mAlertInvalid);
			objFromH.focus();
			return false;
		}
		if (objFromM.value == "" || isNumOnly(objFromM.value) == 0 || fromValueM > 59 || fromValueM < 0) {
			alert(mFilterTime + mAlertInvalid);
			objFromM.focus();
			return false;
		}
		if (objToH.value == "" ||isNumOnly(objToH.value) == 0 || toValueH > 23 || toValueH < 0) {
			alert(mFilterTime + mAlertInvalid);
			objToH.focus();
			return false;
		}
		if (objToM.value == "" ||isNumOnly(objToM.value) == 0 || toValueM > 59 || toValueM < 0) {
			alert(mFilterTime + mAlertInvalid);
			objToM.focus();
			return false;
		}

		if (toValueH < fromValueH) {
			alert(mFilterTime + mAlertInvalid);
			objFromH.focus();
			return false;
		}
	}

	document.urlFilter.chRule.value = "0";

	if (fEnbl == 0) {
		if (confirm(mCfmFwDisabled)) {
			document.getElementById("fwEnable").value = 1;
		}
		if (urlFilterEnbl == 0) {
			if (confirm(mCfmFilterUrlDisabled)) {
				document.getElementById("urlFilterEnable").value = 1;
			}
		}
	}
	else if (urlFilterEnbl == 0) {
		if (confirm(mCfmFilterUrlDisabled)) {
			document.getElementById("urlFilterEnable").value = 1;
		}
	}

	return true;
}

</script>

</head>

<body onLoad="initValue();">

<div class="body_div">

<script language="javascript" type="text/javascript" >
	writeHead(lang, ver, "firewall", "url_filtering");
</script>                 

<table class="body" cellSpacing="0" cellPadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
    <td class="navi" valign="top">
      <script>writeNavi(lang, ver, "firewall", "url_filtering");</script>
    </td>
    <td class="left" align="center" valign="top">
	<script>writeReboot(rb);</script>
	<br />
  	<fieldset align="center" style="width:80%;"> 
    	<legend><script>putmsg(mFilterUrl);</script></legend>  
	<br />
      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	<tr>
		<td width="25%" class="head"><script>putmsg(mFilterFw);</script>:</td>
		<td><b id="filterFirewallEnbl"></b></td>
	</tr>
	<tr>
		<td class="head"><script>putmsg(mFilterUrl);</script>:</td>
		<td><b id="filterUrlEnbl"></b></td>
	</tr>
	<tr style="display:none;visibility:hidden;">
		<td class="head"><script>putmsg(mPolicyDft);</script>:</td>
		<td><b id="filterPolicy"></b>&nbsp;<span id="filterPolicyDesc"></span></td>
	</tr>
	<script language="javascript" type="text/javascript" >
	if (ntpServer.length < 2) {
		document.writeln("<tr><td colspan=\"2\">");
		document.writeln("<span style=\"color:red;\"><b>"+mWarning+":</b> "+mWarningFilterNtp+"</span>");
		document.writeln("&nbsp;&nbsp;<input type=\"button\" class=\"button\" value=\""+mFilterNtpSetup+"\" onClick=\"gotoNtp();\">");
		document.writeln("</td></tr>");
	}
	</script>
	</table>
	<br />
  	</fieldset>

	<br /><br />
	<form action="/goform/urlFilter" method="post" name="urlFilter">
  	<fieldset align="center" style="width:80%;"> 
    	<legend><script>putmsg(mFilterRuleSet);</script></legend>  

	<input type="hidden" name="fwEnable" id="fwEnable" value="1">
	<input type="hidden" name="urlFilterEnable" id="urlFilterEnable" value="1">
      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tbody>
        
        <tr>
          <td width="25%">&nbsp;</td>
          <td>&nbsp;</td>
        </tr>

       	<tr>
		<td><script>putmsg(mFilterRule);</script>:</td>
		<td>

			<select onChange="ruleChange();" name="filterRuleIndex" id="filterRuleIndex">
		<script language="javascript" type="text/javascript" >
			var i=0;
			for (i=0;i<MAX_RULES;i++) {
				document.writeln("<option value=\""+i+"\">"+(i+1)+"&nbsp;( )</option>");
			}
		</script>
			</select>
		&nbsp;&nbsp;
		<script>document.write("<input type='button' class='button' value='"+mBtnRuleAll+"' onClick='showAllFilteringRules();' style='width:100px;'>");</script>
		<input type="hidden" name="chRule" value="0">
		</td>
	</tr>

	<tr><td colspan="2">&nbsp;</td></tr>

	<tr>
		<td class="head"><script>putmsg(mRadioEnable);</script>:</td>
		<td><input type="checkbox" name="cbEnbl" checked><input type="hidden" name="enbl" value="1"></td>
	</tr>
	<tr>
		<td class="head"><script>putmsg(mFilterRuleName);</script>:</td>
		<td><input type="text" name="comment" size="20" maxlength="32"></td>
	</tr>
        <tr>
		<td class="head"><script>putmsg(mFilterUrlKwd);</script>:</td>
		<td> <input name="url" size="32" maxlength="32" type="text"></td>
        </tr>
        
	<tr><td colspan="2"><td>&nbsp;</td></tr>
	<tr>
		<td class="head" valign="top"><script>putmsg(mDate);</script>:</td>
		<td>
			<input type="checkbox" name="dateMode" checked onClick="dateModeChange();"><script>putmsg(mDateAll);</script>
			<input type="hidden" name="dateVal" value="255">
		</td>
	</tr>
	<tr>
		<td>&nbsp;</td>
		<td>
			<input type="checkbox" name="date0" id="date0"><script>putmsg(mDateSun);</script>&nbsp;
			<input type="checkbox" name="date1" id="date1"><script>putmsg(mDateMon);</script>&nbsp;
			<input type="checkbox" name="date2" id="date2"><script>putmsg(mDateTue);</script>&nbsp;
			<input type="checkbox" name="date3" id="date3"><script>putmsg(mDateWed);</script>&nbsp;
			<input type="checkbox" name="date4" id="date4"><script>putmsg(mDateThu);</script><br />
			<input type="checkbox" name="date5" id="date5"><script>putmsg(mDateFri);</script>&nbsp;
			<input type="checkbox" name="date6" id="date6"><script>putmsg(mDateSat);</script>
		</td>
	</tr>

	<tr>
		<td class="head" valign="top"><script>putmsg(mFilterTime);</script>:</td>
		<td>
			<input type="radio" name="timeMode" value="0" checked onClick="timeModeChange();">24 <script>putmsg(mFilterTimeHour);</script><br />
		</td>
	</tr>
	<tr>
		<td>&nbsp;</td>
		<td>
			<input type="radio" name="timeMode" value="1" onClick="timeModeChange();"><script>putmsg(mFilterTimeSpecified);</script>&nbsp;
			<input type="text" name="tHourFrom" value="" size="2" maxlength="2">:
			<input type="text" name="tMinFrom" value="" size="2" maxlength="2">&nbsp;&nbsp;-&nbsp;
			<input type="text" name="tHourTo" value="" size="2" maxlength="2">:
			<input type="text" name="tMinTo" value="" size="2" maxlength="2">
		</td>
	</tr>

        </tbody>
       </table>
       
       <br />
       <table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
       <tr>
          <td align="center"><script>
	  document.writeln("<input type='submit' class='button' name='save' value='"+mBtnSave+"' onClick='return urlFilterCheck();'>&nbsp;&nbsp;");
	  if (rb == 0)
	    document.write("<input type='submit' class='button'  value='"+mBtnApply+"' name='apply' onClick='return urlFilterCheck();'>&nbsp;&nbsp;");
	  document.write("<input type='reset' class='button'  value='"+mBtnCancel+"' name='cancel' onClick='window.location.reload();'>");
          </script></td>
       </tr>
       </table>
	</fieldset>
	</form>
	<br />

    </td>

    <td class="help">
       <table class="help" cellPadding="3" cellSpacing="0">
	<tr id="helpHead"><td class="helpMenu"><script>putmsg(mHelp);</script></td></tr>
        <tr><td class="help-item"><script>putmsg(mFilterUrl);</script></td></tr>
	<tr><td><script>putmsg(mIntroFilterUrl);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

        <tr><td class="help-item"><script>putmsg(mFilterUrlKwd);</script></td></tr>
	<tr><td><script>putmsg(mIntroFilterUrlKwd);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

	<tr><td class="help-item"><script>putmsg(mDate);</script></td></tr>
	<tr><td><script>putmsg(mIntroFilterDate);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

	<tr><td class="help-item"><script>putmsg(mFilterTime);</script></td></tr>
	<tr><td><script>putmsg(mIntroFilterTime);</script></td></tr>
	<tr><td class="help-item" style="color:red;"><script>putmsg(mNote);</script>:&nbsp;</td></tr>
	<tr><td style="color:red;"><script>putmsg(mNoteFilterTime);</script></td></tr>
	</table>
    </td>
    <td class="right-blank">&nbsp;</td>
</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 
       
</div> 

</body>
</html>

