<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("sessions"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var opmode = '<% getCfgZero(1, "OperationMode"); %>';

var MAX_SESSION = <% getMaxNum("ipConntrack"); %>;
var QosIpLm = <% getQosIpLimitBuilt(); %>; 

var http_request = false;
var page,message,cur=1;
var session = <% getConnSession(); %>;
var total_session=session.length;
var row_count=100;


document.title = vendor+" "+model+" - "+(mSessionTitle);

function getResult(num){
	return parseInt(num);
}

function showContent(page_no,message_count) {
	var i,j=(page_no-1)*row_count;
	for(i=1;i<=message_count;i++){
		j++;
		document.getElementById("number"+i).innerHTML =j;
		document.getElementById("localAddress"+i).innerHTML =lip[j-1];
		document.getElementById("threadNum"+i).innerHTML =threadNum[j-1]
		document.getElementById("session"+i).style.visibility = "visible";
		document.getElementById("session"+i).style.display = style_display_on();
	}

}
function showThreadList(id)
{   
	document.getElementById("click").value = id;
	document.getElementById("curSip").value = lip[id-1];
	window.open("thread_list.asp", "thread", "toolbar=no, location=yes, scrollbars=yes, resizable=no, width=640, height=480");
}

var lip = new Array();
var sip = new Array();
var threadNum = new Array();

function getIp(){
	for(i=1;i<=total_session;i++){
		var a = new Array();		
		a=session[i-1].split(",");
		sip[i-1]=a[3];
		lip[i-1]=sip[i-1];
	}
	
	lip.unique();     
	var x=lip.length;
	for(i=0;i<lip.length;i++){
		var num=0;
		for(j=0;j<sip.length;j++){
			if(sip[j]==lip[i]){
				num++;
			}
		}
		threadNum[i]=num;
	}
}
		
function showConn() {
	
	getIp();
	message=lip.length;
	if(message%row_count!=0)
		page=message/row_count+1;
	else
		page=message/row_count;
	page=getResult(page);
					
	addOption(page);
	showFirstPage();	
}

function addOption(count)
{
        var obj=document.getElementById("sel_page");
	 for(var j=1;j<=count;j++)
	 {
		var y = document.createElement('option');		 
		y.text = j;
		y.value = j;
 
		try
		{
			obj.add(y,null); // standards compliant
		}
		catch(ex)
		{
			obj.add(y); // IE only
		}
	 }
}

function delOption()
{
	var obj=document.getElementById("sel_page");
	 obj.options.length=0;
}

function pagechanged()
{
	var num=document.getElementById("sel_page").value;
	hiddenAllPages();
	cur=getResult(num);

	if(cur==1)
		showFirstPage();
	else if(cur==page)
		showLastPage();
	else
		showContent(cur,row_count) ;
	
}

function hiddenAllPages()
{
	for(var i=1;i<=row_count;i++){
		document.getElementById("session"+i).style.visibility = "hidden";
		document.getElementById("session"+i).style.display = "none";
	}
}

function showFirstPage()
{
	document.getElementById("first").style.color="red";
	document.getElementById("previous").style.color="#000000";
	document.getElementById("next").style.color="#000000";
	document.getElementById("last").style.color="#000000";
	hiddenAllPages();
	cur=1;
	if(page<=1)
		showContent(1,message) ;
	else
		showContent(cur,row_count) ;
	
}

function showNextPage()
{
	document.getElementById("next").style.color="red";
	document.getElementById("previous").style.color="#000000";
	document.getElementById("first").style.color="#000000";
	document.getElementById("last").style.color="#000000";
	hiddenAllPages();
	cur=cur+1;
	if(cur>=page)
		showLastPage();
	else
		showContent(cur,row_count) ;	
}

function showPrePage()
{
	hiddenAllPages();
	document.getElementById("previous").style.color="red";
	document.getElementById("first").style.color="#000000";
	document.getElementById("next").style.color="#000000";
	document.getElementById("last").style.color="#000000";
	cur=cur-1;
	if(cur<=1)
		showFirstPage();
	else
		showContent(cur,row_count) ;
}

function showLastPage()
{
	document.getElementById("last").style.color="red";
	document.getElementById("first").style.color="#000000";
	document.getElementById("next").style.color="#000000";
	document.getElementById("previous").style.color="#000000";
	hiddenAllPages();
	cur=page;

	var i=(page-1)*row_count;
	showContent(cur,message-i) ;
}

function updateLog()
{
	hiddenAllPages();
	showConn();
}

function initValue()
{
	var loadStr = total_session + "/" + MAX_SESSION + " (" + Math.round((total_session*10000)/MAX_SESSION)/100 + "%) ";
	document.getElementById("netLoadValue").innerHTML = loadStr;

	updateLog();
}

function refreshclick(){
	window.location.reload();
}

function setConLimit(id)
{	
	var urlIp = document.getElementById("localAddress"+id).innerHTML;
	window.location.href = "/qos/qos_ipconnlimit.asp?ip="+urlIp;
}

</script>

</head>
<body onLoad="initValue();">

<div class="body_div">

<script language="javascript" type="text/javascript" >
	writeHead(lang, ver, "info", "sessions");
</script> 
         
<table class="body" cellSpacing="0" cellPadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
    <td class="navi" valign="top">
      <script>writeNavi(lang, ver, "info", "sessions");</script>
    </td>
    <td class="left" align="center" valign="top">
  	<br />
  	<fieldset align="center" style="width:80%;"> 
    	<legend><script>putmsg(mSessionTitle);</script></legend>  
	<br />
	<table align="center" class="content" width="90%" cellSpacing="1" cellPadding="3">
	  <tr>
	  <script>
	    if (QosIpLm==1)
	      document.write('<td colspan="4">');
	    else
	      document.write('<td colspan="3">');
	  </script>
	     <span style="color:green;"><script>putmsg(mSessionLoad);</script></span><span id="netLoadValue" style="color:green;"></span></td>
	  </tr>
	  <tr>
	    <td class="headLine"  align="center"><script>putmsg(mIndex);</script></td>
	    <td class="headLine"  align="center"><script>putmsg(mSessionLip);</script></td>
	    <td class="headLine"  align="center"><script>putmsg(mThreadNum);</script></td>
		<script>
			if(QosIpLm==1)
				document.write("<td class=\"headLine\" align=\"center\">"+mLimit+"</td>");
		</script>
	  </tr>
	  <script type="text/javascript">
		var i;
		for(i=1; i<=row_count; i+=1){
			if (i%2)
				document.write("<tr id=\"session" + i + "\">");
			else
				document.write("<tr id=\"session" + i + "\" bgcolor=\""+listBg+"\">");
			document.write("<td id=\"number" + i + "\"  align=\"center\"></td>");
			document.write("<td id=\"localAddress" + i + "\"  align=\"center\"></td>");
			document.write("<td align=\"center\"><a id=\"threadNum" + i + "\" href=\"javascript:showThreadList("+i+");\"></a></td>");
			if(QosIpLm==1){
				document.write("<td id=\"limitConnectNum" + i + "\"  align=\"center\">");
				document.write("<input type=\"submit\" class=\"button\" name=\"btnLimit\" id=\"btnLimit"+i+"\" value='"+mLimit+"' onClick=\"setConLimit("+i+");\">");
				document.write("</td>");
			}
			document.write("</tr>");
		}
	</script>
	</table>
	<input type="hidden" name="curSip" id="curSip" value="">
	<input type="hidden" name="click" id="click" value="">

	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	<tr>
	<td align="right">
	<div style="margin-top:12px; margin-left:24px; margin-bottom:20px;">
	<span id="page1"></span>
	<script>
	document.writeln("<input type='button' id='first' class='changePage' value='"+mNavFirst+"' onClick=\"showFirstPage();\">");
	document.writeln("<input type='button' id='previous' class='changePage' value='"+mNaviPrevious+"' onClick=\"showPrePage();\">");
	document.writeln("<input type='button' id='next' class='changePage' value='"+mNaviNext+"' onClick='showNextPage();'>");
	document.writeln("<input type='button' id='last' class='changePage' value='"+mNaviLast+"' onClick='showLastPage();'>");
	</script>

	<script>putmsg(mNaviJump);</script>
	<select id="sel_page" onChange="pagechanged();">
	</select>
	<script>putmsg(mNaviPage);</script>
	</div>
	</td>
	</tr>
	</table>

	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	  <tr>
	    <td align="center">
		<script>
			document.writeln("<input type='button' class='button' value='"+mBtnRefresh+"' onClick=\"refreshclick();\">");
		</script>
	    </td>
	  </tr>
	</table>
	</fieldset>
	<br /><br />
    </td>
        
    <td class="help">
       <table class="help" cellPadding="3" cellSpacing="0">
	<tr id="helpHead"><td class="helpMenu"><script>putmsg(mHelp);</script></td></tr>
        <tr><td class="help-item"><script>putmsg(mSessionTitle);</script></td></tr>
	<tr><td><script>putmsg(mIntroSession);</script></td></tr>
	</table>
    </td>
    <td class="right-blank">&nbsp;</td>
</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 
       
</div> 

</body>
</html>

