<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("syslog"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var opmode = '<% getCfgZero(1, "OperationMode"); %>';

var Max_Num = 1000;
var http_request = false;
var page,message,cur=1;

document.title = vendor+" "+model+" - "+(mSysTitle);

function getResult(num)
{
	return parseInt(num);
}
  
 //Show the log in a table.
function alertContents()
{
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {	
		if(http_request.responseText != ""){
			var i,c;
			var j=0;
			var a = new Array();		
			a = http_request.responseText.split("\n");
			if(a.length < Max_Num){
				c = a.length;
				for(i=1; i<=c; i+=1){
					if(a[i] == "" || a[i] == null)
						continue;
					j++;
					document.getElementById("number"+j).innerHTML = j;
					document.getElementById("content"+j).innerHTML = a[i];
				}

				message = j;

				if(message%50 != 0)
				 	page = message/50+1;
				else
					page = message/50;

				page = getResult(page);
				addOption(page);
				showFirstPage();
			}
			else
			{
				makeRequest("/goform/clearlogAjax", "n/a", clearOperate);
			}
		}
        } else {
		hiddenAllPages();
		makeRequest("/goform/syslog", "n/a", alertContents);
	
        }
    }
}

function addOption(count)
{
	var obj = document.getElementById("sel_page");
	for(var j=1; j<=count; j++)
	{
		var y = document.createElement('option');		 
		y.text = j;
		y.value = j;
 
		try
		{
			obj.add(y,null); // standards compliant
		}
		catch(ex)
		{
			obj.add(y); // IE only
		}
	}
}


function delOption()
{
	var obj = document.getElementById("sel_page");
	 obj.options.length = 0;
}


function pagechanged()
{
	var num = document.getElementById("sel_page").value;
	hiddenAllPages();
	cur=getResult(num);
	for(var i=(cur-1)*50+1; i<=cur*50; i++){
		document.getElementById("log"+i).style.visibility = "visible";
		document.getElementById("log"+i).style.display = style_display_on();
	}
}

function hiddenAllPages()
{
	for(var i=1; i<=Max_Num; i++){
		document.getElementById("log"+i).style.visibility = "hidden";
		document.getElementById("log"+i).style.display = "none";
	}
}

function showFirstPage()
{
	document.getElementById("first").style.color = "red";
	document.getElementById("previous").style.color = "#000000";
	document.getElementById("next").style.color = "#000000";
	document.getElementById("last").style.color = "#000000";
	hiddenAllPages();
	cur = 1;
	if(page <= 1){
		for(var i=1; i<=message; i++){
			document.getElementById("log"+i).style.visibility = "visible";
			document.getElementById("log"+i).style.display = style_display_on();
		}
	}
	else
		for(var i=(cur-1)*50+1; i<=cur*50; i++){
			document.getElementById("log"+i).style.visibility = "visible";
			document.getElementById("log"+i).style.display = style_display_on();
		}
}

function showNextPage()
{
	document.getElementById("next").style.color = "red";
	document.getElementById("previous").style.color = "#000000";
	document.getElementById("first").style.color = "#000000";
	document.getElementById("last").style.color = "#000000";
	hiddenAllPages();
	cur = cur+1;
	if(cur >= page)
		showLastPage();
	else
	{
		for(var i=(cur-1)*50+1; i<=cur*50; i++){
			document.getElementById("log"+i).style.visibility = "visible";
			document.getElementById("log"+i).style.display = style_display_on();
		}
	}
}

function showPrePage()
{
	hiddenAllPages();
	document.getElementById("previous").style.color = "red";
	document.getElementById("first").style.color = "#000000";
	document.getElementById("next").style.color = "#000000";
	document.getElementById("last").style.color = "#000000";
	cur = cur-1;
	if(cur <= 1)
		showFirstPage();
	else {
		for(var i=(cur-1)*50+1; i<=cur*50; i++){
			document.getElementById("log"+i).style.visibility = "visible";
			document.getElementById("log"+i).style.display = style_display_on();
		}
	}
}

function showLastPage()
{
	document.getElementById("last").style.color = "red";
	document.getElementById("first").style.color = "#000000";
	document.getElementById("next").style.color = "#000000";
	document.getElementById("previous").style.color = "#000000";
	hiddenAllPages();
	cur = page;
	for(var i=(page-1)*50+1; i<=message; i++){
		document.getElementById("log"+i).style.visibility = "visible";
		document.getElementById("log"+i).style.display = style_display_on();
	}	
}

function clearOperate()
{
	if (http_request.readyState == 4) {
           	if (http_request.status == 200) {
			window.location.reload();			
        	} 
	}
}	
//!guochaoguo

function updateLog()
{
	hiddenAllPages();
	makeRequest("/goform/syslog", "n/a", alertContents);
}

function pageInit()
{
	var logLevel = "<% getCfgZero(1, "logLevel"); %>";

	document.fLogLevel.logLevel.options.selectedIndex = 1*logLevel;

	if (logLevel != "0") {
		document.getElementById("div_logmsg").style.visibility = "visible";
		document.getElementById("div_logmsg").style.display = "block";
		updateLog();
	}
}

function refreshlogclick()
{
	delOption();
	updateLog();
	return true;
}
</script>

<body onLoad="pageInit();">

<div class="body_div">

<script language="javascript" type="text/javascript" >
	writeHead(lang, ver, "info", "syslog");
</script>     
         
<table class="body" cellSpacing="0" cellPadding="0">
  <tr>
    <td class="left-blank">&nbsp;</td>
    <td class="navi" valign="top">
      <script>writeNavi(lang, ver, "info", "syslog");</script>
    </td>
    <td class="left" align="center" valign="top">
  	<br />

  	<fieldset align="center" style="width:80%;"> 
    	<legend><script>putmsg(mSysTitle);</script></legend>  
	<br />
	<form method="post" name="fLogLevel" action="/goform/setLogLevel">
      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	<tr>
		<td class="head" width="40%"><script>putmsg(mLogLevel);</script>:</td>
		<td>
		<select name="logLevel" size="1">
			<option value="0"><script>putmsg(mLogNone);</script></option>
			<option value="1"><script>putmsg(mLogAlert);</script></option>
			<option value="2"><script>putmsg(mLogCrit);</script></option>
			<option value="3"><script>putmsg(mLogErr);</script></option>
			<option value="4"><script>putmsg(mLogWarning);</script></option>
			<option value="5"><script>putmsg(mLogNotice);</script></option>
			<option value="6"><script>putmsg(mLogInfo);</script></option>
			<option value="7"><script>putmsg(mLogDebug);</script></option>
		</select>&nbsp;&nbsp;
		<script>
			document.writeln("<input class=\"button\" type=\"submit\" value=\""+mBtnApply+"\">");
		</script>
		</td>
	</tr>
	</table>
	</form>
	<br />

	<div id="div_logmsg" style="display:none;visibility:hidden;">
      	<table align="center" class="content" width="90%" cellSpacing="1" cellPadding="3">
	<tr>
		<td class="headLine" align="center" width="10%"><script>putmsg(mIndex);</script></td>
		<td class="headLine" align="center"><script>putmsg(mSysContent);</script></td>
	</tr>
	<script type="text/javascript">
	//JCG guochaoguo+
		var i;
		for(i=1; i<=Max_Num; i+=1){
			if (i%2)
				document.write("<tr id=\"log" + i + "\">");
			else
				document.write("<tr id=\"log" + i + "\" bgcolor=\""+listBg+"\">");
			document.write("<td align=\"center\" id=\"number" + i + "\"></td>");
			document.write("<td id=\"content" + i + "\"></td>");
			document.write("</tr>");
		}
	//!guochaoguo
	</script>

       </table>
       
	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	<tr>
	<td align="right">
	<div style="margin-top:12px; margin-left:24px; margin-bottom:20px;">
	<span id="page1"> </span>
	<script>
	document.writeln("<input type='button' id='first' style='font-family:Verdana, Arial, Helvetica, sans-serif;width:70px; color: #000000; background-color:transparent; border: 0;' value='"+mNaviFirst+"' onClick=\"showFirstPage();\">");
	document.writeln("<input type='button' id='previous' style='font-family:Verdana, Arial, Helvetica, sans-serif;width:70px; color: #000000; background-color:transparent; border: 0;' value='"+mNaviPrevious+"' onClick=\"showPrePage();\">");
	document.writeln("<input type='button' id='next' style='font-family:Verdana, Arial, Helvetica, sans-serif; width:70px; color: #000000; background-color:transparent; border: 0;' value='"+mNaviNext+"' onClick=\"showNextPage();\">");
	document.writeln("<input type='button' id='last' style='font-family:Verdana, Arial, Helvetica, sans-serif; width:70px; color: #000000; background-color:transparent; border: 0;' value='"+mNaviLast+"' onClick=\"showLastPage();\">");
    </script>
	<script>putmsg(mNaviJump);</script>
	<select id="sel_page" onChange="pagechanged();">
	</select>
	<script>putmsg(mNaviPage);</script>
	</div>
	</td>
	</tr>
	</table>  

	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	  <tr>
	    <td align="right">
		<form method="get" name="exportSyslog" action="/goform/exportSyslog">
		<script>
			document.write("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
			document.writeln("<input type='submit' class='button' value='"+mBtnExport+"'>&nbsp;&nbsp;");
		</script>
		</form>
	    </td>
	    <td align="left">
		<form method="get" name="SubmitClearLog" action="/goform/clearlog">
		<script>
			document.writeln("<input type='button' class='button' value='"+mBtnRefresh+"' onClick=\"refreshlogclick();\">&nbsp;&nbsp;");
			document.writeln("<input type='submit' class='button' value='"+mBtnClear+"'>");
		</script>
		</form>    
	    </td>
	  </tr>
	</table>

	</div>
	<br />

	</fieldset>
	<br /><br />
    </td>

    <td class="help">
       <table class="help" cellPadding="3" cellSpacing="0">
	<tr id="helpHead"><td class="helpMenu"><script>putmsg(mHelp);</script></td></tr>
        <tr><td class="help-item"><script>putmsg(mSysTitle);</script></td></tr>
	<tr><td><script>putmsg(mIntroSyslog);</script></td></tr>
	</table>
    </td>
    <td class="right-blank">&nbsp;</td>
</tr>
</table>

<script language="javascript" type="text/javascript">
	writeFooter(lang);
</script> 
       
</div> 

</body>
</html>

