<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("thread_list"); %>

<% getWebsNoClick(); %>

var lang = "<% getCfgGeneral(1, "Language"); %>";
var http_request = false;
var page,message,cur=1;
var row_count=100;
var session = window.opener.session;
var total_session=session.length;

var id = window.opener.document.getElementById("click").value;
var mTitle = window.opener.document.getElementById("curSip").value;

var lip = new Array();
var sip = new Array();
var newSession = new Array()
var threadCon = new Array();
var curr = new Array();

document.title = mTitle+" "+mSessionTitle;

function getContent()
{	
	for(i=1;i<=total_session;i++){
		var a = new Array();		
		a=session[i-1].split(",");
		sip[i-1]=a[3];
		lip[i-1]=sip[i-1];
		newSession[i-1]=a[0]+","+a[2]+","+a[4]+","+a[5]+","+a[6];
	}
	
	lip.unique();     
	var x=lip.length;
	for(i=0;i<lip.length;i++){
		var b="";
		var m=0;
		for(j=0;j<sip.length;j++){
			if(sip[j]==lip[i]){
				b += ";"+newSession[j];
			}
		}
		threadCon[i]=b;
	}
	
	curr = threadCon[id-1].split(";");
	curr.splice(0,1);
}

function showContent(page_no,message_count){
	var i,j=(page_no-1)*row_count;
	for(i=1;i<=message_count;i++)
	{
		j++;
		var str = new Array(); 
		str = curr[j-1].split(","); 
		document.getElementById("index"+i).innerHTML = j;
		document.getElementById("protocal"+i).innerHTML =str[0];
		document.getElementById("ttl"+i).innerHTML =str[1];
		document.getElementById("localPort"+i).innerHTML =str[2];
		document.getElementById("remoteAddress"+i).innerHTML =str[3];
		document.getElementById("remotePort"+i).innerHTML =str[4];

		document.getElementById("thread"+i).style.visibility = "visible";
		document.getElementById("thread"+i).style.display = style_display_on();
	}
}

function getResult(num){
	return parseInt(num);
}

function showConn() {
	
	getContent();
	message=curr.length;

	if(message%row_count!=0)
		page=message/row_count+1;
	else
		page=message/row_count;
	page=getResult(page);
					
	addOption(page);
	showFirstPage();	
}

function addOption(count)
{
	var obj=document.getElementById("sel_page");
	for(var j=1;j<=count;j++)
	{
		var y = document.createElement('option');		 
		y.text = j;
		y.value = j;
 
		try
		{
			obj.add(y,null); // standards compliant
		}
		catch(ex)
		{
			obj.add(y); // IE only
		}
	}
}

function pagechanged()
{
	var num=document.getElementById("sel_page").value;
	hiddenAllPages();
	cur=getResult(num);

	if(cur==1)
		showFirstPage();
	else if(cur==page)
		showLastPage();
	else
		showContent(cur,row_count) ;
	
}

function hiddenAllPages()
{
	for(var i=1;i<=row_count;i++){
		document.getElementById("thread"+i).style.visibility = "hidden";
		document.getElementById("thread"+i).style.display = "none";
	}
}

function showFirstPage()
{
	document.getElementById("first").style.color="red";
	document.getElementById("previous").style.color="#000000";
	document.getElementById("next").style.color="#000000";
	document.getElementById("last").style.color="#000000";
	hiddenAllPages();
	cur=1;
	if(page<=1)
		showContent(1,message) ;
	else
		showContent(cur,row_count) ;
	
}

function showNextPage()
{
	document.getElementById("next").style.color="red";
	document.getElementById("previous").style.color="#000000";
	document.getElementById("first").style.color="#000000";
	document.getElementById("last").style.color="#000000";
	hiddenAllPages();
	cur=cur+1;
	if(cur>=page)
		showLastPage();
	else
		showContent(cur,row_count) ;	
}

function showPrePage()
{
	hiddenAllPages();
	document.getElementById("previous").style.color="red";
	document.getElementById("first").style.color="#000000";
	document.getElementById("next").style.color="#000000";
	document.getElementById("last").style.color="#000000";
	cur=cur-1;
	if(cur<=1)
		showFirstPage();
	else
		showContent(cur,row_count) ;
}

function showLastPage()
{
	document.getElementById("last").style.color="red";
	document.getElementById("first").style.color="#000000";
	document.getElementById("next").style.color="#000000";
	document.getElementById("previous").style.color="#000000";
	hiddenAllPages();
	cur=page;

	var i=(page-1)*row_count;
	showContent(cur,message-i) ;
}

function initValue()
{
	hiddenAllPages();
	showConn();
}

/*function refreshclick(){
	window.location.reload();
}
*/
</script>
</head>

<body onLoad="initValue();" class="newopen">
<table class="body" width="600" cellspacing="0" cellpadding="0">  
<tr>
  <td align="center" valign="top">
      <fieldset align="center" style="width:95%;">
	  <legend><script>putmsg(mTitle);</script></legend>
	  <br />
	  <table align="center" class="content" width="95%" cellSpacing=1 cellPadding=3>
	  <tr>
	    <td class="headLine" align="center"><script>putmsg(mIndex);</script></td>
	    <td class="headLine" align="center"><script>putmsg(mSessionProto);</script></td>
	    <td class="headLine" align="center"><script>putmsg(mSessionTtl);</script></td>
	    <td class="headLine" align="center"><script>putmsg(mSessionLport);</script></td>
	    <td class="headLine" align="center"><script>putmsg(mSessionRip);</script></td>
	    <td class="headLine" align="center"><script>putmsg(mSessionRport);</script></td>
	    <!--<td class="headLine" id="sStatus">Status</td>-->
	  </tr>
	  <script type="text/javascript">
		var i;
		for(i=1; i<=row_count; i++){
			if (i%2)
				document.write("<tr id=\"thread" + i + "\">");
			else
				document.write("<tr id=\"thread" + i + "\" bgcolor=#eeeeee>");
			document.write("<td id=\"index" + i + "\"  align=\"center\"></td>");
			document.write("<td id=\"protocal" + i + "\"  align=\"center\"></td>");
			document.write("<td id=\"ttl" + i + "\"  align=\"center\"></td>");
			document.write("<td id=\"localPort" + i + "\"  align=\"center\"></td>");
			document.write("<td id=\"remoteAddress" + i + "\"  align=\"center\"></td>");
			document.write("<td id=\"remotePort" + i + "\"  align=\"center\"></td>");
			//document.write("<td id=\"status" + i + "\"  align=\"center\"></td>");
			document.write("</tr>");
		}
	</script>
	</table>

	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	<tr>
	<td align="right">
	<div style="margin-top:12px; margin-left:24px; margin-bottom:20px;">
	<span id="page1"></span>
	<script>
	document.writeln("<input type='button' id='first' class='changePage' value='"+mNavFirst+"' onClick=\"showFirstPage();\">");
	document.writeln("<input type='button' id='previous' class='changePage' value='"+mNaviPrevious+"' onClick=\"showPrePage();\">");
	document.writeln("<input type='button' id='next' class='changePage' value='"+mNaviNext+"' onClick='showNextPage();'>");
	document.writeln("<input type='button' id='last' class='changePage' value='"+mNaviLast+"' onClick='showLastPage();'>");
	</script>

	<script>putmsg(mNaviJump);</script>
	<select id="sel_page" onChange="pagechanged();">
	</select>
	<script>putmsg(mNaviPage);</script>
	</div>
	</td>
	</tr>
	</table>	
    </fieldset>
	<br />
	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	  <tr>
	    <td  align="center">
		<script>
			document.writeln("<input type='button' class='button' value='"+mBtnClose+"' onClick=\"return window.close();\">");
		</script>
	    </td>
	  </tr>
	</table>
	<br />
  </td>
</tr>
</table>

</body>
</html>
