<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/jdefines.js"); %>
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("inet"); %>
<% websIncludeLang("lan"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var opmode = '<% getCfgZero(1, "OperationMode"); %>';
var rb = <% getRebootFlag(); %>;
var dhcp6sb = "<% getIPv6DhcpBuilt(); %>";
var ipv6b =  "<% getIPv6Built(); %>";

document.title= vendor+" "+model+" - "+mLanSettings;

var wan = "<% getCfgZero(1, "wanConnectionMode"); %>";
var dnsp = "<% getDnsmasqBuilt(); %>";
var wanIp = '<% getCfgGeneral(1, "wan_ipaddr"); %>';
var wanNm = '<% getCfgGeneral(1, "wan_netmask"); %>';
var oldlan_ip = '<% getLanIpASP(); %>';//gcg+
var secs;
var timerID = null;
var timerRunning = false;

var dhcpClients = 0;
var maxClients = 253; //<% getMaxNum("dhcpClient"); %>;
var blockB = <% getBlockStaticIpBuilt(); %>;
var block = "<% getCfgGeneral(1, "dhcpBlockStaticIp"); %>";
var dhcpSArray = new Array();
var dhcpEArray = new Array();

function StartTheTimer()
{
   if (secs==0){
	TimeoutReload(5);
	//window.location.reload();
	window.location.href=window.location.href;	//reload page
   }
   else {
        self.status = secs;
        secs = secs - 1;
        timerRunning = true;
        timerID = self.setTimeout("StartTheTimer()", 1000);
    }
}

function TimeoutReload(timeout)
{
	secs = timeout;
	if(timerRunning)
		clearTimeout(timerID);
	timerRunning = false;
	StartTheTimer();	
}

function open_static_window()
{
	window.open("staticip.asp", "Static_IP", "toolbar=no, location=yes, scrollbars=yes, resizable=yes, width=640, height=480");
}

// JCG wangxg++
// Disable DNS settings if DNS proxy is enabled
function dproxySwitch()
{
	var dns = <% getCfgZero(1, "dnsPEnabled"); %>;
	if (document.lanCfg.lanDhcpType[1].checked == true) {
		if (document.lanCfg.dnspEnbl[1].checked == true) {
			document.getElementById("pridns").style.visibility = "hidden";
			document.getElementById("pridns").style.display = "none";
			document.lanCfg.dhcpPriDns.disabled = true;
			document.getElementById("secdns").style.visibility = "hidden";
			document.getElementById("secdns").style.display = "none";
			document.lanCfg.dhcpSecDns.disabled = true;
		}
		else {
			document.getElementById("pridns").style.visibility = "visible";
			document.getElementById("pridns").style.display = style_display_on();
			document.lanCfg.dhcpPriDns.disabled = false;
			document.getElementById("secdns").style.visibility = "visible";
			document.getElementById("secdns").style.display = style_display_on();
			document.lanCfg.dhcpSecDns.disabled = false;
			if (dns*1 == 1) {
				alert(mAlertDnspDisable);
				document.lanCfg.dhcpPriDns.focus();
			}
		}
	}
}

function dhcpTypeSwitch()
{
	document.getElementById("start").style.visibility = "hidden";
	document.getElementById("start").style.display = "none";
	document.lanCfg.dhcpStart.disabled = true;
	document.getElementById("end").style.visibility = "hidden";
	document.getElementById("end").style.display = "none";
	document.lanCfg.dhcpEnd.disabled = true;

	document.getElementById("netmask").style.visibility = "hidden";
	document.getElementById("netmask").style.display = "none";
	document.lanCfg.dhcpMask.disabled = true;
	document.getElementById("gateway").style.visibility = "hidden";
	document.getElementById("gateway").style.display = "none";
	document.lanCfg.dhcpGateway.disabled = true;

	document.getElementById("blockStaticIp").style.visibility = "hidden";
	document.getElementById("blockStaticIp").style.display = "none";
	document.getElementById("blockIntroD").style.visibility = "hidden";
	document.getElementById("blockIntroD").style.display = "none";
	document.getElementById("blockIntro").style.visibility = "hidden";
	document.getElementById("blockIntro").style.display = "none";
	document.getElementById("blockIntroHr").style.visibility = "hidden";
	document.getElementById("blockIntroHr").style.display = "none";

	document.getElementById("dnsproxy").style.visibility = "hidden";
	document.getElementById("dnsproxy").style.display = "none";

	document.getElementById("pridns").style.visibility = "hidden";
	document.getElementById("pridns").style.display = "none";
	document.lanCfg.dhcpPriDns.disabled = true;
	document.getElementById("secdns").style.visibility = "hidden";
	document.getElementById("secdns").style.display = "none";
	document.lanCfg.dhcpSecDns.disabled = true;

	document.getElementById("lease").style.visibility = "hidden";
	document.getElementById("lease").style.display = "none";
	document.lanCfg.dhcpLease.disabled = true;

	document.getElementById("staticBind").style.visibility = "hidden";
	document.getElementById("staticBind").style.display = "none";

	if (document.lanCfg.lanDhcpType[1].checked == true)
	{
		document.getElementById("start").style.visibility = "visible";
		document.getElementById("start").style.display = style_display_on();
		document.lanCfg.dhcpStart.disabled = false;
		/* if (blockB == 0) */ {
			document.getElementById("end").style.visibility = "visible";
			document.getElementById("end").style.display = style_display_on();
		}
		document.lanCfg.dhcpEnd.disabled = false;

		if (opmode == OPMODE_BRIDGE || opmode == OPMODE_BRIDGE_CONVERTER || opmode == OPMODE_BRIDGE_APCLI) {
			document.getElementById("netmask").style.visibility = "visible";
			document.getElementById("netmask").style.display = style_display_on();
			document.lanCfg.dhcpMask.disabled = false;
		}
		document.getElementById("gateway").style.visibility = "visible";
		document.getElementById("gateway").style.display = style_display_on();
		document.lanCfg.dhcpGateway.disabled = false;

		if (blockB == 1) {
			document.getElementById("blockStaticIp").style.visibility = "visible";
			document.getElementById("blockStaticIp").style.display = style_display_on();
			document.getElementById("blockIntroD").style.visibility = "visible";
			document.getElementById("blockIntroD").style.display = style_display_on();
			document.getElementById("blockIntro").style.visibility = "visible";
			document.getElementById("blockIntro").style.display = style_display_on();
			document.getElementById("blockIntroHr").style.visibility = "visible";
			document.getElementById("blockIntroHr").style.display = style_display_on();
		}

		if (dnsp == "1") {
			document.getElementById("dnsproxy").style.visibility = "visible";
			document.getElementById("dnsproxy").style.display = style_display_on();
		}

		if (document.lanCfg.dnspEnbl[0].checked == true) {
			document.getElementById("pridns").style.visibility = "visible";
			document.getElementById("pridns").style.display = style_display_on();
			document.lanCfg.dhcpPriDns.disabled = false;
			document.getElementById("secdns").style.visibility = "visible";
			document.getElementById("secdns").style.display = style_display_on();
			document.lanCfg.dhcpSecDns.disabled = false;
		}

		document.getElementById("lease").style.visibility = "visible";
		document.getElementById("lease").style.display = style_display_on();
		document.lanCfg.dhcpLease.disabled = false;
		document.getElementById("staticBind").style.visibility = "visible";
		document.getElementById("staticBind").style.display = style_display_on(); 
	}
}

function initValue()
{
	var dhcp = <% getCfgZero(1, "dhcpEnabled"); %>;
	var stp = <% getCfgZero(1, "stpEnabled"); %>;
	var igmp = <% getCfgZero(1, "igmpEnabled"); %>;
	var upnp = <% getCfgZero(1, "upnpEnabled"); %>;
	var pppoe = <% getCfgZero(1, "pppoeREnabled"); %>;
	var radvd = <% getCfgZero(1, "radvdEnabled"); %>;
	var dns = <% getCfgZero(1, "dnsPEnabled"); %>;
	var igmpb = "<% getIgmpProxyBuilt(); %>";
	var upnpb = "<% getUpnpBuilt(); %>";
	var radvdb = "<% getRadvdBuilt(); %>";
	var dhcpLeaseSec = <% getCfgGeneral(1, "dhcpLease"); %>;
	var dhcpLeaseMin = parseInt(dhcpLeaseSec/60);
	var hashost = <% getHostSupp(1); %>;
	
	if (hashost != 1) {
		document.getElementById("hostnameTr").style.visibility = "hidden";
		document.getElementById("hostnameTr").style.display = "none";
	}

	if (blockB == 1) {
		var dhcpS = "<% getCfgGeneral(1, "dhcpStart"); %>";
		var dhcpE = "<% getCfgGeneral(1, "dhcpEnd"); %>";

		dhcpSArray = dhcpS.split(".");
		dhcpEArray = dhcpE.split(".");
		
		if (dhcpSArray.length != dhcpEArray.length || dhcpSArray.length != 4 || dhcpEArray.length != 4) {
			//alert("dhcp start/end ip address error!");
			dhcpClients = 1;
		}
		else {
			dhcpClients = (parseInt(dhcpEArray[3]) - parseInt(dhcpSArray[3])) + 1; // because the end ip address is valid as well
			/*if (dhcpClients > maxClients) {
				dhcpClients = maxClients;
				dhcpEArray[3] = parseInt(dhcpSArray[3]+maxClients-1);
				document.lanCfg.dhcpEnd.value = dhcpEArray[0]+"."+dhcpEArray[1]+"."+dhcpEArray[2]+"."+dhcpEArray[3];
			}*/
		}

	}

	//initTranslation();

	document.lanCfg.lanDhcpType[1*dhcp].checked = true;
	document.lanCfg.dhcpLeaseMin.value = dhcpLeaseMin;
	dhcpTypeSwitch();

	document.lanCfg.igmpEnbl[1*igmp].checked = true;
	document.lanCfg.upnpEnbl[1*upnp].checked = true;
	document.lanCfg.radvdEnbl[1*radvd].checked = true;
	document.lanCfg.dnspEnbl[1*dns].checked = true;
	//document.lanCfg.dnsProxyEnbl[1*dns].checked = true;

	if (blockB == 1) {
		if (block == "1") {
			document.lanCfg.chBlockStatic.checked = true;
			document.lanCfg.blockStatic.value = "1";
		}
		else {
			document.lanCfg.chBlockStatic.checked = false;
			document.lanCfg.blockStatic.value = "0";
		}
	}

	//gateway, dns only allow to configure at bridge mode
	if (opmode != OPMODE_BRIDGE && opmode != OPMODE_BRIDGE_CONVERTER && opmode != OPMODE_BRIDGE_APCLI) {
		document.getElementById("netmask").style.visibility = "hidden";
		document.getElementById("netmask").style.display = "none";
		document.lanCfg.dhcpMask.disabled = true;
	/*
		document.getElementById("brGateway").style.visibility = "hidden";
		document.getElementById("brGateway").style.display = "none";
		document.getElementById("brDnsProxy").style.visibility = "hidden";
		document.getElementById("brDnsProxy").style.display = "none";
		document.getElementById("brPriDns").style.visibility = "hidden";
		document.getElementById("brPriDns").style.display = "none";
		document.getElementById("brSecDns").style.visibility = "hidden";
		document.getElementById("brSecDns").style.display = "none";
	*/
	}

	/* ppp0 is not a disabled interface anymore..
	if (wan == "PPPOE" || wan == "L2TP" || wan == "PPTP") {
		document.getElementById("igmpProxy").style.visibility = "hidden";
		document.getElementById("igmpProxy").style.display = "none";
	}
	else {
		document.getElementById("igmpProxy").style.visibility = "visible";
		document.getElementById("igmpProxy").style.display = style_display_on();
	}
	*/

	if (igmpb == "0") {
		document.getElementById("igmpProxy").style.visibility = "hidden";
		document.getElementById("igmpProxy").style.display = "none";
		document.lanCfg.igmpEnbl[0].checked = true;
	}
	if (upnpb == "0") {
		document.getElementById("upnp").style.visibility = "hidden";
		document.getElementById("upnp").style.display = "none";
		document.lanCfg.upnpEnbl[0].checked = true;
	}
	if (radvdb == "0") {
		document.getElementById("radvd").style.visibility = "hidden";
		document.getElementById("radvd").style.display = "none";
		document.getElementById("radvdPreTr").style.visibility = "hidden";
		document.getElementById("radvdPreTr").style.display = "none";
		document.lanCfg.radvdEnbl[0].checked = true;
	}
	// xiangshr ++
	else{
		radvdTypeSwitch();
	}

	if (dnsp == "0") {
		document.getElementById("dnsproxy").style.visibility = "hidden";
		document.getElementById("dnsproxy").style.display = "none";
	/*
		document.getElementById("brDnsProxy").style.visibility = "hidden";
		document.getElementById("brDnsProxy").style.display = "none";
		document.lanCfg.dnspEnbl[0].checked = true;
		document.lanCfg.dnsProxyEnbl[0].checked = true;
	*/
	}
	// JCG wangxg++
	else {
		dproxySwitch();
	}

	if (opmode == OPMODE_BRIDGE || opmode == OPMODE_BRIDGE_CONVERTER || opmode == OPMODE_BRIDGE_APCLI) {
	/*
		document.getElementById("div_dhcp").style.visibility = "hidden";
		document.getElementById("div_dhcp").style.display = "none";
		document.getElementById("dhcpIntroD").style.visibility = "hidden";
		document.getElementById("dhcpIntroD").style.display = "none";
		document.getElementById("dhcpIntro").style.visibility = "hidden";
		document.getElementById("dhcpIntro").style.display = "none";
		document.getElementById("dhcpIntroHr").style.visibility = "hidden";
		document.getElementById("dhcpIntroHr").style.display = "none";
		document.getElementById("blockIntroD").style.visibility = "hidden";
		document.getElementById("blockIntroD").style.display = "none";
		document.getElementById("blockIntro").style.visibility = "hidden";
		document.getElementById("blockIntro").style.display = "none";
		document.getElementById("blockIntroHr").style.visibility = "hidden";
		document.getElementById("blockIntroHr").style.display = "none";
		document.getElementById("staticIntroD").style.visibility = "hidden";
		document.getElementById("staticIntroD").style.display = "none";
		document.getElementById("staticIntro").style.visibility = "hidden";
		document.getElementById("staticIntro").style.display = "none";

		document.getElementById("gatewayIntroD").style.visibility = "visible";
		document.getElementById("gatewayIntroD").style.display = style_display_on();
		document.getElementById("gatewayIntro").style.visibility = "visible";
		document.getElementById("gatewayIntro").style.display = style_display_on();
		document.getElementById("gatewayIntroHr").style.visibility = "visible";
		document.getElementById("gatewayIntroHr").style.display = style_display_on();
	*/
	}

	if (radvdb == "0" && dhcp6sb == "0" && ipv6b == "0") {
		document.getElementById("lanIp6AddrTr").style.visibility = "hidden";
		document.getElementById("lanIp6AddrTr").style.display = "none";
		document.lanCfg.dhcp6Pre.disabled = true;	
		document.lanCfg.dhcp6PreLen.disabled = true;
	}
	
	if(dhcp6sb == "1"){
		var dhcp6s = <% getCfgZero(1, "dhcp6sEnabled"); %>;
		document.lanCfg.Dhcp6Type[1*dhcp6s].checked = true;

		dhcp6TypeSwitch();
	}
	else{
		document.getElementById("div_dhcp6").style.visiblity = "hidden";
		document.getElementById("div_dhcp6").style.display = "none";	

		document.lanCfg.AddrType.disabled = true;
		document.lanCfg.dhcp6Pre.disabled = true;	
		document.lanCfg.dhcp6PreLen.disabled = true;
		document.lanCfg.dhcp6Start.disabled = true;	
		document.lanCfg.dhcp6End.disabled = true;
	}
}	
	

var  checkDhcpNum = function(field)
{
    if(field.value == ""){
        field.focus();
        return false;
    }

    if (isNumOnly(field.value) == 0) {
	field.value = field.defaultValue;
        field.focus();
        return false;
    }
   return true;
};


function CheckValue(param)
{
	var lan_ip = document.lanCfg.lanIp.value;
	var lan_mask = document.lanCfg.lanNetmask.value;
	var guestIfList = "<% getCfgGeneral(1, "guestIfList"); %>";
	
	if (document.lanCfg.hostname.value != "" && document.lanCfg.hostname.value.indexOf(" ") >= 0)
	{
		alert(mAlertInvalidHostname);
		document.lanCfg.hostname.focus();
		document.lanCfg.hostname.select();
		return false;
	}

	if (!checkIpAddr(document.lanCfg.lanIp)) {
		alert(mInetIp+ mAlertInvalid);
		return false;
	}
	
	//JCG guochaoguo+
	//make sure whther the lan ip is conflict with the wan ip
	if (wan == "STATIC" && checkLanIp(wanIp, wanNm, lan_ip)){
		alert(mAlertIpEqualWan);
		return false;
	}

	if (guestIfList.length > 0) {
		var guestIP = "192.168.<% getCfgZero(1, "guestIP"); %>.1";
		var guestMask = "255.255.255.0";
		if (checkLanIp(guestIP, guestMask, lan_ip)) {
			alert(mAlertIpEqualGuest);
			return false;
		}
	}
	
	if (!checkNetMask(document.lanCfg.lanNetmask)) {
		alert(mInetMask + mAlertInvalid);
		return false;
	}

	if (opmode == OPMODE_BRIDGE || opmode == OPMODE_BRIDGE_CONVERTER || opmode == OPMODE_BRIDGE_APCLI) {
	/*
		if (document.lanCfg.lanGateway.value != "") {
			if (!checkIpAddr(document.lanCfg.lanGateway)) {
				alert(("inet gateway") + ("alert invalid"));
				return false;
			}
			else {
				var lan_ip = document.lanCfg.lanIp.value;
				var lan_mask = document.lanCfg.lanNetmask.value;
				var lan_gw =  document.lanCfg.lanGateway.value;
				if (!checkLanIp(lan_ip, lan_mask, lan_gw)) {
					alert(("alert invalid gateway bridge"));
					return false;
				}
			}
		}
		if (document.lanCfg.lanPriDns.value != "") {
			if (!checkIpAddr(document.lanCfg.lanPriDns)) {
				alert(("inet dns pri") + ("alert invalid"));
				return false;
			}
		}
		if (document.lanCfg.lanSecDns.value != "") {
			if (!checkIpAddr(document.lanCfg.lanSecDns)) {
				alert(("inet dns sec") + ("alert invalid"));
				return false;
			}
		}

		if(document.lanCfg.lanIp.value!=oldlan_ip){
			alert(("alert page redirect"));
		}
		return true;
	*/
	}

	if (document.lanCfg.lanDhcpType[1].checked == true) 
	{

		var lan_start = document.lanCfg.dhcpStart.value;
		var lan_end = document.lanCfg.dhcpEnd.value;
		var lan_gw = document.lanCfg.dhcpGateway.value;

		if (opmode == OPMODE_BRIDGE || opmode == OPMODE_BRIDGE_CONVERTER || opmode == OPMODE_BRIDGE_APCLI) {
			lan_ip = document.lanCfg.dhcpGateway.value;
			lan_mask = document.lanCfg.dhcpMask.value;
		}

		if (!checkIpAddr(document.lanCfg.dhcpGateway)) {
			alert(mGateway + mAlertInvalid);
			return false;
		}

		if (opmode != OPMODE_BRIDGE && opmode != OPMODE_BRIDGE_CONVERTER && opmode != OPMODE_BRIDGE_APCLI) {
		/*
			if (!checkLanIp(lan_ip, lan_mask, lan_gw)) {
				alert(mGateway + mAlertInvalid);
				return false;
			}
		*/
		}

		if (opmode == OPMODE_BRIDGE || opmode == OPMODE_BRIDGE_CONVERTER || opmode == OPMODE_BRIDGE_APCLI) {
			if (!checkNetMask(document.lanCfg.dhcpMask)) {
				alert("DHCP "+mInetMask + mAlertInvalid);
				return false;
			}
		}

		if (!checkIpAddr(document.lanCfg.dhcpStart)/* || !checkLanIp(lan_ip, lan_mask, lan_start)*/) {
			alert(mStartIpAddr + mAlertInvalid);
			return false;
		}

		if (blockB == 1) {
			var endIp = 0;
			var clients = 0;

			var dhcpS = document.lanCfg.dhcpStart.value;
			var dhcpE = document.lanCfg.dhcpEnd.value;

			dhcpSArray = dhcpS.split(".");
			dhcpEArray = dhcpE.split(".");
			
			/*clients = (parseInt(dhcpEArray[3]) - parseInt(dhcpSArray[3])) + 1; // because the end ip address is valid as well

			if (clients > maxClients || clients < 0) {
				alert(mAlertMaxDhcpClient + maxClients);
				return false;
			}*/
		}

		if (!checkIpAddr(document.lanCfg.dhcpEnd)/* || !checkLanIp(lan_ip, lan_mask, lan_end)*/) {
			alert(mEndIpAddr + mAlertInvalid);
			return false;
		}


		if(document.lanCfg.dhcpLeaseMin.value == ""){
			alert((mAlertInvalidLeaseTime));
			return false;
		}
		else{
			if (!isNumOnly(document.lanCfg.dhcpLeaseMin.value)){
				alert((mAlertInvalidLeaseTime));
				return false;
			}
		}
		
		if (document.lanCfg.dnspEnbl[0].checked == true) {
			if (!checkIpAddr(document.lanCfg.dhcpPriDns)) {
				alert((mDnsPri) + (mAlertInvalid));
				return false;
			}
			if (document.lanCfg.dhcpSecDns.value != "") {
				if(document.lanCfg.dhcpSecDns.value == document.lanCfg.dhcpPriDns.value){
					alert(mAlertDnsConflict);
					document.lanCfg.dhcpSecDns.focus();
					return false;
				}
				if (!checkIpAddr(document.lanCfg.dhcpSecDns)) {
					alert((mDnsSec) + (mAlertInvalid));
					return false;
				}
			}
		}

		var leaseMin = document.lanCfg.dhcpLeaseMin.value;
		document.lanCfg.dhcpLease.value = leaseMin*60;
	}
	//xiangshr ++
	if (radvdb == "1" ){
		if(!checkRadvdValue()){
			return false;
		}
	}
	
	if(dhcp6sb == "1") {
		if((document.lanCfg.Dhcp6Type[1].checked == true) && (document.lanCfg.AddrType[1].checked == true)){
			if(!checkLanIp6Value())
				return false;
		}

		if(!checkDhcp6sValue())
			return false;
	}

	//gcg+
	if(document.lanCfg.lanIp.value!=oldlan_ip){
		if (param == 'apply')
			alert((mAlertPageRedirect));
	}
	//!gcg
	return true;
}


var oldIp;
function recIpCfg()
{
	oldIp = document.lanCfg.lanIp.value;
}

function modDhcpCfg()
{
	var i, j;
	var mask = document.lanCfg.lanNetmask.value;
	var newNet = document.lanCfg.lanIp.value;

	if (opmode == OPMODE_BRIDGE || opmode == OPMODE_BRIDGE_CONVERTER || opmode == OPMODE_BRIDGE_APCLI)
		return;

	//support simple subnet mask only
	if (mask == "255.255.255.0")
		mask = 3;
	else if (mask == "255.255.0.0")
		mask = 2;
	else if (mask == "255.0.0.0")
		mask = 1;
	else
		mask = 3;

	//get the old subnet
	for (i=0, j=0; i<oldIp.length; i++) {
		if (oldIp.charAt(i) == '.') {
			j++;
			if (j != mask)
				continue;
			oldIp = oldIp.substring(0, i);
			break;
		}
	}

	//get the new subnet
	for (i=0, j=0; i<newNet.length; i++) {
		if (newNet.charAt(i) == '.') {
			j++;
			if (j != mask)
				continue;
			newNet = newNet.substring(0, i);
			break;
		}
	}

	document.lanCfg.dhcpStart.value = document.lanCfg.dhcpStart.value.replace(oldIp, newNet);
	document.lanCfg.dhcpEnd.value = document.lanCfg.dhcpEnd.value.replace(oldIp, newNet);
	document.lanCfg.dhcpGateway.value = document.lanCfg.dhcpGateway.value.replace(oldIp, newNet);
}

function blockSwitch()
{
	if (document.lanCfg.chBlockStatic.checked == true)
		document.lanCfg.blockStatic.value = 1;
	else
		document.lanCfg.blockStatic.value = 0;
}

//xiangshr ++
function radvdTypeSwitch()
{
	document.getElementById("radvdPreTr").style.visibility = "hidden";
	document.getElementById("radvdPreTr").style.display = "none";

	document.lanCfg.radvdPrefix.disabled = true;

	if(document.lanCfg.radvdEnbl[1].checked == true){
		document.getElementById("radvdPreTr").style.visibility = "visible";
		document.getElementById("radvdPreTr").style.display = style_display_on();

		document.lanCfg.radvdPrefix.disabled = false;
	}
}

//Add dhcp6 mod.
function dhcp6TypeSwitch()
{
	document.getElementById("addrTypeSelect").style.visibility = "hidden";
	document.getElementById("addrTypeSelect").style.display = "none";
	document.lanCfg.AddrType.disabled = true;

	if (document.lanCfg.Dhcp6Type[1].checked == true){
		var radvdb = "<% getRadvdBuilt(); %>"; 
		
		if(radvdb == "0"){
			document.getElementById("addrTypeSelect").style.visibility = "hidden";
			document.getElementById("addrTypeSelect").style.display = "none";
			document.lanCfg.AddrType.disabled = true;
		}
		else{
			var addr6Type = <% getCfgZero(1, "Ip6Type"); %>;

			document.getElementById("addrTypeSelect").style.visibility = "visible";
			document.getElementById("addrTypeSelect").style.display = style_display_on();
			document.lanCfg.AddrType.disabled = false;
			
			document.lanCfg.AddrType[1*addr6Type].checked = true;
			addressTypeSwitch();
		}
	}
	else
		addressTypeSwitch();
}

function addressTypeSwitch()
{
	document.getElementById("ip6AddrPre").style.visibility = "hidden";
	document.getElementById("ip6AddrPre").style.display = "none";
	document.lanCfg.dhcp6Pre.disabled = true;	
	document.lanCfg.dhcp6PreLen.disabled = true;

	document.getElementById("ip6Start").style.visibility = "hidden";
	document.getElementById("ip6Start").style.display = "none";
	document.lanCfg.dhcp6Start.disabled = true;	

	document.getElementById("ip6End").style.visibility = "hidden";
	document.getElementById("ip6End").style.display = "none";
	document.lanCfg.dhcp6End.disabled = true;

	if (document.lanCfg.Dhcp6Type[1].checked == true && document.lanCfg.AddrType[1].checked == true){
		document.getElementById("ip6AddrPre").style.visibility = "visible";
		document.getElementById("ip6AddrPre").style.display = style_display_on();
		document.lanCfg.dhcp6Pre.disabled = false;
		document.lanCfg.dhcp6PreLen.disabled = false;

		document.getElementById("ip6Start").style.visibility = "visible";
		document.getElementById("ip6Start").style.display = style_display_on();
		document.lanCfg.dhcp6Start.disabled = false;	
		
		document.getElementById("ip6End").style.visibility = "visible";
		document.getElementById("ip6End").style.display = style_display_on();
		document.lanCfg.dhcp6End.disabled = false;	
	}
}

function checkIpv6Format(ip_addr, errStr)
{
	var ip_item = new Array();
	ip_item = ip_addr.split(":");

	if(ip_item.length > 8 || ip_item.length < 0){
		alert(errStr + mAlertInvalid);
		return false;
	}

	for (var i=0; i<ip_item.length; i++) {
		if (ip_item[i].length < 0 || ip_item[i].length > 4 || !checkHex(ip_item[i])) {
			alert(errStr + mAlertInvalid);
			return false;
		}
	}

	return true;
}

function checkRadvdValue()
{
	if(document.lanCfg.radvdEnbl[1].checked == true){	
		if(document.lanCfg.radvdPrefix.value != ""){
			return true;
		}
		else{
			if(checkIpv6Format(document.lanCfg.radvdPrefix.value, mRadvdPre) == false)
				return false;
		}
	}

	return true;
}

function checkLanIp6Value()
{
	var ip6 = document.lanCfg.lanIp6Addr.value;
	var len = document.lanCfg.lanPrefixLen.value;

	if(ip6 == ""){
		alert(mIpv6 + mAlertEmpty);
		return false;
	}
	else{
		if(checkIpv6Format(ip6, mIpv6) == false)
			return false;
	}
	
	if(len == ""){
		alert(mPrefixLen + mAlertEmpty);
		return false;
	}
	else{
		if(!isNumOnly(len)){
			alert(mPrefixLen + mAlertInvalid);
			return false;
		}

		var len = parseInt(len, 10);
		if(len <= 0 || len > 128){
			alert(mAlertPreLenRange);
			return false;
		}
	}
	return true;
}

function checkDhcp6sValue()
{
	if((document.lanCfg.Dhcp6Type[1].checked == true) && (document.lanCfg.AddrType[1].checked == true)){
		if(document.lanCfg.dhcp6Pre.value == ""){
			alert(mIpPrefix + mAlertEmpty);
			return false;
		}
		else{
			if(checkIpv6Format(document.lanCfg.dhcp6Pre.value, mIpPrefix) == false)
				return false;
		}
		
		if(document.lanCfg.dhcp6PreLen.value == ""){
			alert("DHCPv6" + mPrefixLen + mAlertEmpty);
			return false;
		}
		else{
			if(!isNumOnly(document.lanCfg.dhcp6PreLen.value)){
				alert("DHCPv6" + mPrefixLen + mAlertInvalid);
				return false;
			}

			var len = parseInt(document.lanCfg.dhcp6PreLen.value, 10);
			if(len <= 0 || len > 128){
				alert("DHCPv6" + mAlertPreLenRange);
				return false;
			}
		}

		if(document.lanCfg.dhcp6Start.value == ""){
			alert(mStartIp6Addr + mAlertEmpty);
			return false;
		}
		else{
			if(checkIpv6Format(document.lanCfg.dhcp6Start.value, mStartIp6Addr) == false)
				return false;
		}

		if(document.lanCfg.dhcp6End.value == ""){
			alert(mEndIp6Addr + mAlertEmpty);
			return false;
		}
		else{
			if(checkIpv6Format(document.lanCfg.dhcp6End.value,mEndIp6Addr) == false)
				return false;
		}
	}

	return true;
}

</script>

</head>

<body onLoad="initValue();">

<div class="body_div">

<script language="javascript" type="text/javascript" >
	writeHead(lang, ver, "network", "lan");
</script> 

<table class="body" cellSpacing="0" cellPadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
    <td class="navi" valign="top">
      <script>writeNavi(lang, ver, "network", "lan");</script>
    </td>
    <td class="left" align="center" valign="top">
	<script>writeReboot(rb);</script>
  	<br />
	<form method="post" name="lanCfg" action="/goform/setLan">
  	<fieldset align="center" style="width:80%;"> 
    	<legend><script>putmsg(mTitle);</script></legend>  

      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tbody>
        
        <tr>
          <td width="35%">&nbsp;</td>
          <td width="65%">&nbsp;</td>
        </tr>

	<tr id="hostnameTr">
	  <td class="head"><script>putmsg(mHostName);</script>:</td>
	  <td><input name="hostname" maxlength="16" size="20" value="<% getCfgGeneral(1, "HostName"); %>"></td>
	</tr>
	<tr>
	  <td class="head"><script>putmsg(mInetIp);</script>:</td>
	  <td><input name="lanIp" maxlength="15" size="20" value="<% getCfgGeneral(1, "lan_ipaddr"); %>" onFocus="recIpCfg();" onBlur="modDhcpCfg();"></td>
	</tr>
	<tr>
	  <td class="head"><script>putmsg(mInetMask);</script>:</td>
	  <td><input name="lanNetmask" maxlength="15" size="20" value="<% getCfgGeneral(1, "lan_netmask"); %>"></td>
	</tr>

	<!--tr id="brGateway">
	  <td class="head" id="lGateway"></td>
	  <td><input name="lanGateway" maxlength="15" size="20" value="<% getCfgGeneral(1, "wan_gateway"); %>"></td>
	</tr-->
	<!--tr id="brDnsProxy">
	  <td class="head" id="lDnsProxy"></td>
	  <td>
	    <input type="radio" name="dnsProxyEnbl" value="0"><span id="lDnsProxyD"></span>&nbsp;&nbsp;
	    <input type="radio" name="dnsProxyEnbl" value="1"><span id="lDnsProxyE"></span>
	  </td>
	</tr-->
	<!--tr id="brPriDns">
	  <td class="head" id="lPriDns"></td>
	  <td><input name="lanPriDns" maxlength="15" size="20" value="<% getCfgGeneral(1, "wan_primary_dns"); %>"></td>
	</tr-->
	<!--tr id="brSecDns">
	  <td class="head" id="lSecDns"></td>
	  <td><input name="lanSecDns" maxlength="15" size="20" value="<% getCfgGeneral(1, "wan_secondary_dns"); %>"></td>
	</tr-->
	<tr>
	  <td class="head"><script>putmsg(mInetMac);</script>:</td>
	  <td><span class="comment"><% getLanMacASP(); %>&nbsp;</span></td>
	</tr>

	<tr id="lanIp6AddrTr">
	  <td><script>putmsg(mIpv6+"/"+mPrefixLen)</script>:</td>
	  <td>
        <input name="lanIp6Addr" maxlength="39" size="35" value="<% getCfgGeneral(1, "lanIp6Addr"); %>">/
	    <input name="lanPrefixLen" maxlength="3" size="3" value="<% getCfgGeneral(1, "lanPrefixLen"); %>"> 
	  </td>
	</tr>

	<tr id="radvd">
	  <td class="head" id="lRadvd"><script>putmsg(mRadvd);</script> (RADVD):</td>
	  <td>
	    <input type="radio" name="radvdEnbl" value="0" onClick="radvdTypeSwitch();"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
	    <input type="radio" name="radvdEnbl" value="1" onClick="radvdTypeSwitch();"><script>putmsg(mRadioEnable);</script>
	  </td>
	</tr>
	<tr id="radvdPreTr">
	  <td><script>putmsg(mRadvdPre)</script>:</td>
	  <td>
	    <input name="radvdPrefix" maxlength="39" size="35" value="<% getCfgGeneral(1, "radvdPrefix"); %>">&nbsp;
		<span class="comment">(<script>putmsg(mOptional + "," + mDefaultLen + ":64");</script>)</span>
	  </td>
	</tr>
	<tr>
          <td class="head">&nbsp;</td>
          <td class="tail">&nbsp;</td>
        </tr>    
        </tbody>
       </table>
	</fieldset>
	<br /><br />

	<fieldset align="center" style="width:80%;" id="div_dhcp"> 
    	<legend><script>putmsg(mDhcpSettings);</script></legend>  

      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tbody>
        
        <tr>
          <td width="35%">&nbsp;</td>
          <td width="65%">&nbsp;</td>
        </tr>
	<tr>
	  <td class="head"><script>putmsg(mDhcpServer);</script>:</td>
	  <td>
		<input type="radio" name="lanDhcpType" value="DISABLE" onClick="dhcpTypeSwitch();"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
		<input type="radio" name="lanDhcpType" value="SERVER" onClick="dhcpTypeSwitch();"><script>putmsg(mRadioEnable);</script>
	  </td>
	</tr>
	<tr id="start">
	  <td class="head"><script>putmsg(mStartIpAddr);</script>:</td>
	  <td><input name="dhcpStart" maxlength="15" size="16" value="<% getCfgGeneral(1, "dhcpStart"); %>"></td>
	</tr>
	<tr id="end">
	  <td class="head"><script>putmsg(mEndIpAddr);</script>:</td>
	  <td><input name="dhcpEnd" maxlength="15" size="16" value="<% getCfgGeneral(1, "dhcpEnd"); %>"></td>
	</tr>
	<tr id="netmask">
	  <td class="head"><script>putmsg(mInetMask);</script>:</td>
	  <td><input name="dhcpMask" maxlength="15" size="16" value="<% getCfgGeneral(1, "dhcpMask"); %>"></td>
	</tr>
	<tr id="gateway">
	  <td class="head"><script>putmsg(mGateway);</script>:</td>
	  <td><input name="dhcpGateway" maxlength="15" size="16" value="<% getCfgGeneral(1, "dhcpGateway"); %>"></td>
	</tr>
	<tr id="blockStaticIp">
	  <td class="head"><script>putmsg(mDhcpBlockStatic);</script>:</td>
	  <td>
		<input type="checkbox" name="chBlockStatic" checked onClick="blockSwitch();">
		<input type="hidden" name="blockStatic" value="1">
	  </td>
	</tr>

	<tr id="dnsproxy">
	  <td class="head"><script>putmsg(mDnsProxy);</script>:</td>
	  <td>
	    <input type="radio" name="dnspEnbl" value="0" onClick="dproxySwitch();"><script>putmsg(mDnsStatic);</script>&nbsp;&nbsp;
	    <input type="radio" name="dnspEnbl" value="1" onClick="dproxySwitch();"><script>putmsg(mDnsDynamic);</script>
	  </td>
	</tr>

	<tr id="pridns">
	  <td class="head"><script>putmsg(mDnsPri);</script>:</td>
	  <td><input name="dhcpPriDns" maxlength="15" size="16" value="<% getCfgGeneral(1, "dhcpPriDns"); %>"></td>
	</tr>
	<tr id="secdns">
	  <td class="head"><script>putmsg(mDnsSec);</script>:</td>
	  <td><input name="dhcpSecDns" maxlength="15" size="16" value="<% getCfgGeneral(1, "dhcpSecDns"); %>"></td>
	</tr>

	<tr id="lease">
	  <td class="head"><script>putmsg(mDhcpLease);</script>:</td>
	  <td>
		<input name="dhcpLeaseMin" id="dhcpLeaseMin" maxlength="8" size="8" value="60">&nbsp;<script>putmsg(mMin);</script>
		<input type="hidden" name="dhcpLease" value="<% getCfgGeneral(1, "dhcpLease"); %>">
	  </td>
	</tr>
	<tr id="staticBind">
	  <td class="head"><script>putmsg(mIpBind);</script>:</td>
	  <td>
	  	<script>
			document.writeln("<input type='button' class='button' name='StaticIP' value='"+mBindSettings+"' onClick=\"open_static_window();\">");
	 	</script>
	  </td>
	</tr>
	<tr>
          <td class="head">&nbsp;</td>
          <td class="tail">&nbsp;</td>
        </tr>    

	<tr id="igmpProxy" style="visibility:hidden;display:none;">
	  <td class="head"><script>putmsg(mIgmpProxy);</script>:</td>
	  <td>
	    <input type="radio" name="igmpEnbl" value="0"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
	    <input type="radio" name="igmpEnbl" value="1"><script>putmsg(mRadioEnable);</script>
	  </td>
	</tr>
	<tr id="upnp" style="visibility:hidden;display:none;">
	  <td class="head"><script>putmsg(mUpnp);</script>:</td>
	  <td>
	    <input type="radio" name="upnpEnbl" value="0"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
	    <input type="radio" name="upnpEnbl" value="1"><script>putmsg(mRadioEnable);</script>
	  </td>
	</tr>

        </tbody>
       </table>
	</fieldset>
	<br /><br />

	<fieldset align="center" style="width:80%;" id="div_dhcp6"> 
    	<legend><script>putmsg(mDhcpv6Settings);</script></legend>  

      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tbody>
        
        <tr>
          <td width="35%">&nbsp;</td>
          <td width="65%">&nbsp;</td>
        </tr>
	<tr>
	  <td class="head"><script>putmsg(mDhcp6Server);</script>:</td>
	  <td>
	    <input type="radio" name="Dhcp6Type" value="0" onClick="dhcp6TypeSwitch();"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
        <input type="radio" name="Dhcp6Type" value="1" onClick="dhcp6TypeSwitch();"><script>putmsg(mRadioEnable);</script>
	  </td>
	</tr>
	<tr id="addrTypeSelect">
	  <td class="head"><script>putmsg(mAddrType);</script>:</td>
	  <td>
	    <input type="radio" name="AddrType" value="0" onClick="addressTypeSwitch();"><script>putmsg(mStateless);</script>
        <input type="radio" name="AddrType" value="1" onClick="addressTypeSwitch();"><script>putmsg(mStateful);</script>
	  </td>
	</tr>
	<tr id="ip6AddrPre">
	  <td><script>putmsg(mIpPrefix+"/"+mPrefixLen)</script>:</td>
	  <td>
        <input name="dhcp6Pre" maxlength="39" size="35" value="<% getCfgGeneral(1, "dhcp6Prefix"); %>">/
	    <input name="dhcp6PreLen" maxlength="3" size="3" value="<% getCfgGeneral(1, "dhcp6PreLen"); %>"> 
	  </td>
	</tr>
	<tr id="ip6Start">
	  <td class="head"><script>putmsg(mStartIp6Addr);</script>:</td>
	  <td><input name="dhcp6Start" maxlength="39" size="35" value="<% getCfgGeneral(1, "dhcp6Start"); %>"></td>
	</tr>
	<tr id="ip6End">
	  <td class="head"><script>putmsg(mEndIp6Addr);</script>:</td>
	  <td><input name="dhcp6End" maxlength="39" size="35" value="<% getCfgGeneral(1, "dhcp6End"); %>"></td>
	</tr>
	<tr>
      <td class="head">&nbsp;</td>
      <td class="tail">&nbsp;</td>
    </tr>
	</table>
	</fieldset>
	<br /><br />
	<table align="center" class="content" width="80%" cellSpacing="0" cellPadding="3">
	  <tr>
	    <td align="center">
		<script>
		document.writeln("<input type='submit' class='button' name='save' value='"+mBtnSave+"' onClick=\"return CheckValue('save');\">&nbsp;&nbsp;");
		if (rb == 0)
			document.writeln("<input type='submit' class='button' name='apply' value='"+mBtnApply+"' onClick=\"return CheckValue('apply');\">&nbsp;&nbsp;");
     		document.writeln("<input type='reset' class='button' name='cancel' value='"+mBtnCancel+"' onClick=\"window.location.reload();\">");
		</script>
	    </td>
	  </tr>
	</table>
	<br /><br />
	</form>
    </td>

    <td class="help">
       <table class="help" cellPadding="3" cellSpacing="0">
	<tr id="helpHead"><td class="helpMenu"><script>putmsg(mHelp);</script></td></tr>
	<tr><td class="help-item"><script>putmsg(mLanSettings);</script></td></tr>
	<tr><td><script>putmsg(mIntroLanSettings);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>
		      
	<tr><td class="help-item"><script>putmsg(mInetIp);</script></td></tr>
	<tr><td><script>putmsg(mLanIpAddr);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>
		      
	<tr><td class="help-item"><script>putmsg(mInetMask);</script></td></tr>
	<tr><td><script>putmsg(mLanMask);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

	<tr id="gatewayIntroD" style="visibility:hidden;display:none;"><td class="help-item"><script>putmsg(mGateway);</script></td></tr>
	<tr id="gatewayIntro" style="visibility:hidden;display:none;"><td><script>putmsg(mLanGateway);</script></td></tr>
	<tr id="gatewayIntroHr" class="helpHr" style="visibility:hidden;display:none;"><td><hr/></td></tr>

	<tr id="dhcpIntroD"><td class="help-item"><script>putmsg(mDhcpServer);</script></td></tr>
	<tr id="dhcpIntro"><td><script>putmsg(mLanDhcp);</script></td></tr>
	<tr id="dhcpIntroHr" class="helpHr"><td><hr/></td></tr>

	<tr id="blockIntroD"><td class="help-item"><script>putmsg(mDhcpBlockStatic);</script></td></tr>
	<tr id="blockIntro"><td><script>putmsg(mLanBlock);</script></td></tr>
	<tr id="blockIntroHr" class="helpHr"><td><hr/></td></tr>

	<tr><td class="help-item"><script>putmsg(mDnsProxy);</script></td></tr>
	<tr><td><script>putmsg(mIntroDnsProxy);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

	<tr id="staticIntroD"><td class="help-item"><script>putmsg(mIpBind);</script></td></tr>
	<tr id="staticIntro"><td><script>putmsg(mLanDhcpStatic);</script></td></tr>
	</table>
    </td>
    <td class="right-blank">&nbsp;</td>
</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 
       
</div> 
</body>
</html>

