<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html><head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/jdefines.js"); %>
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("routing"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var opmode = '<% getCfgZero(1, "OperationMode"); %>';
var rb = <% getRebootFlag(); %>;
var lanIp = "<% getLanIpASP(); %>";
var lanMask = "<% getLanNetmaskASP(); %>";

document.title = vendor+" "+model+" - "+(mTitle);

var destination = new Array();
var gateway = new Array();
var netmask = new Array();
var flags = new Array();
var metric = new Array();
var ref = new Array();
var use = new Array();
var true_interface = new Array();
var category = new Array();
var interface = new Array();
var idle = new Array();
var comment = new Array();

var entries = new Array();
var all_str = <% getRoutingTable(); %>;

entries = all_str.split(";");

// JCG panghong++ start for IPv6 static routing
var ipv6b = "<% getConfigIPv6Built(); %>";

var prefixlen = new Array();
var IPv6entries = new Array();
var v6all_str = <% getIPv6RoutingTable(); %>;
IPv6entries = v6all_str.split(";");
// JCG panghong++ end for IPv6 static routing

function deleteClick()
{	
	//JCG guochaoguo+
	//Check wether some routing rules are selected to delete.
	var i,j=0;
	for(i=0; i<entries.length; i++){
		var one_entry = entries[i].split(",");
		category[i] = parseInt(one_entry[8]);
	}

	for(i=0; i<entries.length; i++){
		if(category[i] > -1){
			if(document.getElementById("DR"+category[i]).checked)
			j++;
		}
	}
	if(j<=0){
		alert((mAlertDeleteSelected));
		return false;
	}
	else{
		ret = confirm((mConfirmDeleteSelected));
		if(!ret)
			return false;
		else
			return true;
	}
}

 //gcg+
function chenckIpNetwork(field){
    var valid = false;
    if( document.addrouting.hostnet[0].checked == true){
 	valid=checkRange(field.value, 4, 1, 255);
    }
    else{
	var d=atoi(field.value, 4);
	if(d%2 != 0)
		valid=false;
	else
		valid=checkRange(field.value, 4, 0, 254);	
    }
    return valid;
}
//!gcg

function formCheck()
{
	if( document.addrouting.dest.value != "" && (!checkIpAddr(document.addrouting.dest))){
		alert((mAlertFormatDest));
		return false;
	}
	//gcg+
	if(!chenckIpNetwork(document.addrouting.dest)){
		alert((mAlertFormatDest));
		return false;
	}
	//!gcg
	if( document.addrouting.netmask.value != "" && (!checkNetMask(document.addrouting.netmask))){
		alert((mAlertFormatNetmask));
		return false;
	}
	if( document.addrouting.gateway.value != "" && (!checkIpAddr(document.addrouting.gateway))){
		alert((mAlertFormatGatewayRouting));
		return false;
	}

	if(	document.addrouting.dest.value == ""){
		alert((mAlertEmptyDest));
		return false;
	}

	if( document.addrouting.hostnet[1].checked == true &&
		document.addrouting.netmask.value == ""){
		alert((mAlertEmptyNetmask));
		return false;
	}

/*
	if(document.addrouting.interface.value == "Custom" &&
		document.addrouting.custom_interface.value == ""){
		alert(("alert empty if custom"));
		return false;
	}
*/
	if (document.addrouting.interface.selectedIndex == 0) { // LAN
		if (!checkLanIp(lanIp, lanMask, document.addrouting.gateway.value)) {
			alert((mAlertFormatGatewayRouting));
			return false;
		}
	}

	return true;
}


//JCG guochaoguo+
//Set the delete button and reset button disable when there have no routing rules for delete.
function updateState(){
	var i;
	var j=0;
	
	for(i=0; i<entries.length; i++){
		var one_entry = entries[i].split(",");
		category[i] = parseInt(one_entry[8]);
	}

	for(i=0; i<entries.length; i++){
		if(category[i] > -1){
			j++;
		}
	}
	
	if(j==0){
		disableTextField(document.delRouting.deleteSel);
 		disableTextField(document.delRouting.deleteReset);
	}
	else{
		enableTextField(document.delRouting.deleteSel);
 		enableTextField(document.delRouting.deleteReset);
	}
}

function onRipClick()
{
	if (document.dynamicRouting.RIPSelect[1].checked == true) {
		document.dynamicRouting.RIPv[0].disabled = false;
		document.dynamicRouting.RIPv[1].disabled = false;
	}
	else {
		document.dynamicRouting.RIPv[0].disabled = true;
		document.dynamicRouting.RIPv[1].disabled = true;
	}
}

// JCG panghong++ start for IPv6 static routing
function IPv6deleteClick()
{	
	//Check whether some routing rules are selected to delete.
	var i, j=0;
	for(i=0; i<IPv6entries.length; i++){
		var one_entry = IPv6entries[i].split(",");
		category[i] = parseInt(one_entry[8]);
	}
	
	for(i=0; i<IPv6entries.length; i++){
		if(category[i] > -1){
			if(document.getElementById("IPv6DR"+category[i]).checked)
			j++;
		}
	}
	if(j<=0){
		alert((mAlertDeleteSelected));
		return false;
	}
	else{
		ret = confirm((mConfirmDeleteSelected));
		if(!ret)
			return false;
		else
			return true;
	}
}

function IPv4IPv6Change()
{
	document.getElementById("ipv4ipv6selecting").submit();
}

function IPv6AddrCheck(ip_addr, len)
{
	var compresszeroflag = 0;
	var ip_item = new Array();
	ip_item = ip_addr.split(":");
	
	if(ip_item.length > len)
		return false;
	
	for (var i=0; i<ip_item.length; i++) {
		if(ip_item[i].length == 0){ // only one "::"
			compresszeroflag ++;
			if(compresszeroflag > 1)
				return false;
			else
				continue;
		}
		else{
			for (var j=0; j<ip_item[i].length; j++){ // 16 scale
				if((ip_item[i].charAt(j) >= '0' && ip_item[i].charAt(j) <= '9')
				|| (ip_item[i].charAt(j) >= 'a' && ip_item[i].charAt(j) <= 'f')
				|| (ip_item[i].charAt(j) >= 'A' && ip_item[i].charAt(j) <= 'F')){
					continue;
				}
				return false;
			}
		}
	}
	return true;
}

function IPv6AddrPrefixLenCheck(ipv6addrprefixlen)
{
	var prefixlen = ipv6addrprefixlen;
	
	if(prefixlen.length > 3)
		return false;
	
	for(var i=0; i < prefixlen.length; i++)
	{
		if(!(prefixlen.charAt(i) >= "0"  && prefixlen.charAt(i) <= "9"))
			return false;
	}
	
	if(prefixlen < 0 || prefixlen > 128)
		return false;
	
	return true;
}

function IPv6formCheck()
{
	if( document.addIPv6routing.ipv6dest.value == ""){
		alert(mAlertEmptyDest);
		return false;
	}
	if( document.addIPv6routing.ipv6dest.value != "" 
	    && (!IPv6AddrCheck(document.addIPv6routing.ipv6dest.value, 8))){
		alert(mAlertFormatDest);
		return false;
	}
	
	if(document.addIPv6routing.ipv6_prefix_len.value == "")
	{
		alert(mAlertEmptyIPv6PrefixLength);
		return false;
	}
	if( document.addIPv6routing.ipv6_prefix_len.value != "" 
	    && (!IPv6AddrPrefixLenCheck(document.addIPv6routing.ipv6_prefix_len.value))){
		alert(mAlertInvalidIPv6PreLen);
		return false;
	}
	
	if( document.addIPv6routing.ipv6gateway.value == ""){
		alert(mAlertEmptyGateway);
		return false;
	}
	if( document.addIPv6routing.ipv6gateway.value != ""
	    && (!IPv6AddrCheck(document.addIPv6routing.ipv6gateway.value, 8))){
		alert(mAlertFormatGatewayRouting);
		return false;
	}
	
	return true;
}
// JCG panghong++ end IPv6 static routing

function onInit()
{
	var rip = <% getCfgZero(1, "RIPEnable"); %>;
	var ripv = <% getCfgZero(1, "RIPVersion"); %>;
	updateState();
	document.addrouting.hostnet[0].checked = true;

	document.addrouting.netmask.value = "";
	document.getElementById("routingNetmaskRow").style.visibility = "hidden";
	document.getElementById("routingNetmaskRow").style.display = "none";
	
	document.addrouting.interface.selectedIndex = 0;
	//document.addrouting.custom_interface.value = "";
	//document.addrouting.custom_interface.readOnly = true;

	document.dynamicRouting.RIPSelect[1*rip].checked = true;
	if (ripv == 2 || ripv == 0)
		document.dynamicRouting.RIPv[1].checked = true;
	onRipClick();

	mydiv = document.getElementById("dynamicRoutingDiv");
	if(! <% getDynamicRoutingBuilt(); %>) {
		mydiv.style.display = "none";
		mydiv.style.visibility = "hidden";
		document.getElementById("ripIntroDRow").style.visibility = "hidden";
		document.getElementById("ripIntroDRow").style.display = "none";
		document.getElementById("ripIntroRow").style.visibility = "hidden";
		document.getElementById("ripIntroRow").style.display = "none";
	}

	if (rb) {
		document.addrouting.add.disabled = true;
		document.addrouting.cancel.disabled = true;
	}

	// JCG panghong++ start for IPv6 static routing
	if( ipv6b == "1"){
		var ipv4roipv6routing = "<% getCfgZero(1, "IPv4orIPv6Routing"); %>";
		if(ipv4roipv6routing == "ipv6")
			document.ipv4ipv6selecting.ipv4ipv6[1].checked = true;
		else 
			document.ipv4ipv6selecting.ipv4ipv6[0].checked = true;
		// IPv4IPv6Change();
		if(document.ipv4ipv6selecting.ipv4ipv6[0].checked == true){
			document.addrouting.style.visibility = "visible";
			document.addrouting.style.display = style_display_on();
			document.delRouting.style.visibility = "visible";
			document.delRouting.style.display = style_display_on();
			document.addIPv6routing.style.visibility = "hidden";
			document.addIPv6routing.style.display = "none";
			document.delIPv6Routing.style.visibility = "hidden";
			document.delIPv6Routing.style.display = "none";
		}else{
			document.addIPv6routing.style.visibility = "visible";
			document.addIPv6routing.style.display = style_display_on();
			document.delIPv6Routing.style.visibility = "visible";
			document.delIPv6Routing.style.display = style_display_on();
			document.addrouting.style.visibility = "hidden";
			document.addrouting.style.display = "none";
			document.delRouting.style.visibility = "hidden";
			document.delRouting.style.display = "none";
			// ipv4 RIP
			document.getElementById("dynamicRoutingDiv").style.visibility = "hidden";
			document.getElementById("dynamicRoutingDiv").style.display = "none";
			document.getElementById("ripIntroDRow").style.visibility = "hidden";
			document.getElementById("ripIntroDRow").style.display = "none";
			document.getElementById("ripIntroRow").style.visibility = "hidden";
			document.getElementById("ripIntroRow").style.display = "none";
		}
	}
	else{
		document.addrouting.style.visibility = "visible";
		document.addrouting.style.display = style_display_on();
		document.delRouting.style.visibility = "visible";
		document.delRouting.style.display = style_display_on();
		document.ipv4ipv6selecting.style.visibility = "hidden";
		document.ipv4ipv6selecting.style.display = "none";
		document.addIPv6routing.style.visibility = "hidden";
		document.addIPv6routing.style.display = "none";
		document.delIPv6Routing.style.visibility = "hidden";
		document.delIPv6Routing.style.display = "none";
	}
	// JCG panghong++ end for IPv6 static routing
}

function wrapDel(str, idle)
{
	if(idle == 1){
		document.write("<del>" + str + "</del>");
	}else
		document.write(str);
}

function hostnetChange()
{
	if(document.addrouting.hostnet[1].checked == true){
		document.getElementById("routingNetmaskRow").style.visibility = "visible";
		document.getElementById("routingNetmaskRow").style.display = style_display_on();
		document.addrouting.netmask.focus();

	}else{
		document.addrouting.netmask.value = "";
		document.getElementById("routingNetmaskRow").style.visibility = "hidden";
		document.getElementById("routingNetmaskRow").style.display = "none";
	}
}
function interfaceChange()
{
/*
	if(document.addrouting.interface.selectedIndex == 2){
		document.addrouting.custom_interface.readOnly = false;
		document.addrouting.custom_interface.focus();
	}else{
		document.addrouting.custom_interface.value = "";
		document.addrouting.custom_interface.readOnly = true;
	}
*/
}

</script>

</head>

<body onLoad="onInit();">

<div class="body_div">

<script language="javascript" type="text/javascript" >
	writeHead(lang, ver, "network", "routing");
</script>                 

<table class="body" cellSpacing="0" cellPadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
    <td class="navi" valign="top">
      <script>writeNavi(lang, ver, "network", "routing");</script>
    </td>
    <td class="left" align="center" valign="top">
	<script>writeReboot(rb);</script>
  	<br />
	<!-- JCG panghong++ start for IPv6 static routing-->
  	<!-- IPv4 or IPv6 selected -->
  	<form method="post" name="ipv4ipv6selecting" id="ipv4ipv6selecting" action="/goform/ipv4ipv6selecting"> 
       <fieldset align="center" style="width:80%;">
    	<legend><script>putmsg(mIPv4IPv6Selected);</script></legend>  
	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
		<tr>
		<td width="40%">&nbsp;</td>
		<td width="60%">&nbsp;</td>
		</tr>
		
		<tr>
		<td class="head"><script>putmsg(mIPv4IPv6Type);</script>:</td>
		<td>
		<input type="radio" name="ipv4ipv6" value="ipv4" onClick="IPv4IPv6Change();"><script>putmsg(mIPv4);</script>&nbsp;&nbsp;
		<input type="radio" name="ipv4ipv6" value="ipv6" onClick="IPv4IPv6Change();"><script>putmsg(mIPv6);</script>
		</td>
		</tr>
		
		<tr>
		<td class="head">&nbsp;</td>
		<td class="tail">&nbsp;</td>
		</tr>
	</table>
       </fieldset>
	</form>
	<br />
	<br />
	<!-- JCG panghong++ end for IPv6 static routing-->
	
  	<form method="post" name="addrouting" action="/goform/addRouting"> 
        <fieldset align="center" style="width:80%;">
    	<legend><script>putmsg(mStaticSettings);</script></legend>  
      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tbody>
        
        <tr>
          <td width="40%">&nbsp;</td>
          <td width="60%">&nbsp;</td>
        </tr>
        
	<tr>
		<td class="head"><script>putmsg(mDest);</script>:</td>
		<td><input size="20" maxlength="15" name="dest" type="text"></td>
	</tr>

	<tr>
		<td class="head"><script>putmsg(mRange);</script>:</td>
		<td>
			<input type="radio" name="hostnet" value="host" onClick="hostnetChange();"><script>putmsg(mHost);</script>&nbsp;&nbsp;
			<input type="radio" name="hostnet" value="net" onClick="hostnetChange();"><script>putmsg(mNet);</script>
		</td>
	</tr>

	<tr id="routingNetmaskRow">
		<td class="head"><script>putmsg(mNetMask);</script>:</td>
		<td><input size="20" maxlength="15" name="netmask" type="text"></td>
	</tr>

	<tr>
		<td class="head"><script>putmsg(mGateway);</script>:</td>
		<td><input size="20" maxlength="15" name="gateway" type="text"></td>
	</tr>

	<tr>
		<td class="head"><script>putmsg(mInterface);</script>:</td>
		<td>
			<select name="interface" onChange="interfaceChange();" size="1" style="width:132px;">
			<option selected value="LAN"><script>putmsg(mLan);</script></option>

			<script language="javascript" type="text/javascript">
				if(opmode != OPMODE_BRIDGE && opmode != OPMODE_BRIDGE_CONVERTER && opmode != OPMODE_BRIDGE_APCLI)
					document.write("<option value=\"WAN\">"+mWan+"</option>");
			</script>

			<!--option value="Custom" id="routingCustom">Custom</option-->
			</select>
			&nbsp;<!--input size="6" maxlength="15" name="custom_interface" type="text"-->
		</td>
	</tr>

	<tr>
		<td class="head"><script>putmsg(mComment);</script>:</td>
		<td><input name="comment" size="20" maxlength="32" type="text"></td>
	</tr>

	<tr>
          <td class="head">&nbsp;</td>
          <td class="tail">&nbsp;</td>
        </tr>    
        </tbody>
       </table>
       
<table align="center" class="content" width="72%" cellSpacing="0" cellPadding="3">
<tr>
  <td align="center">
  	<script>
  		 document.writeln("<input type='submit' class='button' name='add' value='"+mBtnAdd+"' onClick=\"return formCheck();\">&nbsp;&nbsp;");
		 document.writeln("<input type='reset' class='button' name='cancel' value='"+mBtnCancel+"' onClick=\"window.location.reload();\">");
 	</script>
  </td>
</tr>
</table>
	</fieldset>
	</form>
	
	<!-- JCG panghong++ start for IPv6 static routing -->
	<!-- IPv6 add routing -->
	<!--size="1",one line -->
	<form method="post" name="addIPv6routing" action="/goform/addIPv6Routing"> 
       <fieldset align="center" style="width:80%;">
    	<legend><script>putmsg(mIPv6StaticSettings);</script></legend>  
      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
       <tbody>
       <tr>
	<td width="40%">&nbsp;</td>
	<td width="60%">&nbsp;</td>
       </tr>
       
	<tr>
	  <td class="head"><script>putmsg(mIpv6DestAddrSubPreLen + ":");</script></td>
	  <td><input name="ipv6dest" maxlength="39" size="34"> / <input name="ipv6_prefix_len" maxlength="3" size="3"></td>
	</tr>
	
	<tr>
	<td class="head"><script>putmsg(mGateway);</script>:</td>
	<td><input name="ipv6gateway" maxlength="39" size="34" type="text"></td>
	</tr>
	
	<tr>
	<td class="head"><script>putmsg(mInterface);</script>:</td>
	<td>
		<select name="ipv6interface" onChange="interfaceChange();" size="1" style="width:132px;">
		<option selected value="LAN"><script>putmsg(mLan);</script></option>
		<script language="javascript" type="text/javascript">
		if(opmode != OPMODE_BRIDGE && opmode != OPMODE_BRIDGE_CONVERTER && opmode != OPMODE_BRIDGE_APCLI)
			document.write("<option value=\"WAN\">"+mWan+"</option>");
		</script>
		</select>
		&nbsp;
	</td>
	</tr>
	
	<tr>
	<td class="head"><script>putmsg(mComment);</script>:</td>
	<td><input name="ipv6comment" maxlength="32" size="20" type="text"></td>
	</tr>
	
	<tr>
	<td class="head">&nbsp;</td>
	<td class="tail">&nbsp;</td>
	</tr>
	</tbody>
	</table>
       
	<table align="center" class="content" width="72%" cellSpacing="0" cellPadding="3">
	<tr>
	  <td align="center">
	  	<script>
	  	document.writeln("<input type='submit' class='button' name='add' value='"+mBtnAdd+"' onClick=\"return IPv6formCheck();\">&nbsp;&nbsp;");
		document.writeln("<input type='reset' class='button' name='cancel' value='"+mBtnCancel+"' onClick=\"window.location.reload();\">");
	 	</script>
	  </td>
	</tr>
	</table>
	
	</fieldset>
	</form>
	<br />
	<br />
	<!-- JCG panghong++ end for IPv6 static routing -->
	
  <form action="/goform/delRouting" method="post" name="delRouting">
  <fieldset align="center" style="width:80%;">
    	<legend><script>putmsg(mTable);</script></legend>  
	<br />
	<table align="center" class="content" width="96%" cellSpacing="1" cellPadding="3">
	<tbody>
	<tr>
		<td class="headLine" align="center"><script>putmsg(mIndex);</script></td>
		<td class="headLine" align="center"><script>putmsg(mDest);</script></td>
		<td class="headLine" align="center"><script>putmsg(mNetMask);</script></td>
		<td class="headLine" align="center" id="routingDelGateway"><script>putmsg(mGateway);</script></td>
		<!--td class="headLine" align="center" id="routingDelFlags">Flags</td-->
		<!--td class="headLine" align="center" id="routingDelMetric">Metric</td-->
		<!--td class="headLine" align="center" id="routingDelRef">Ref</td-->
		<!--td class="headLine" align="center" id="routingDelUse">Use</td-->
		<td class="headLine" align="center"><script>putmsg(mInterface);</script></td>
		<td class="headLine" align="center"><script>putmsg(mComment);</script></td>
		<td class="headLine" align="center"><script>putmsg(mBtnDel);</script></td>
	</tr>

	<script language="javascript" type="text/javascript">
	var i;
	/*var entries = new Array();
	var all_str = <% getRoutingTable(); %>;
	
	entries = all_str.split(";");*/
	for(i=0; i<entries.length; i++){
		var one_entry = entries[i].split(",");


		true_interface[i] = one_entry[0];
		destination[i] = one_entry[1];
		gateway[i] = one_entry[2];
		netmask[i] = one_entry[3];
		flags[i] = one_entry[4];
		ref[i] = one_entry[5];
		use[i] = one_entry[6];
		metric[i] = one_entry[7];
		category[i] = parseInt(one_entry[8]);
		interface[i] = one_entry[9];
		idle[i] = parseInt(one_entry[10]);
		comment[i] = one_entry[11];
		if(comment[i] == " " || comment[i] == "")
			comment[i] = "&nbsp";
	}

	for(i=0; i<entries.length; i++){
		if (i%2)
			document.write("<tr bgcolor=\""+listBg+"\">");
		else
			document.write("<tr>");
		if(category[i] > -1){
			//document.write("<tr bgcolor=#F1F1FF>");
			document.write("<td align=\"center\">");
			document.write(i+1);
			document.write("</td>");
		}else{
			//document.write("<tr>");
			document.write("<td align=\"center\">"); 	document.write(i+1);			 	document.write("</td>");
		}

		document.write("<td align=\"center\">"); 	wrapDel(destination[i], idle[i]); 	document.write("</td>");
		document.write("<td align=\"center\">"); 	wrapDel(netmask[i], idle[i]);		document.write("</td>");
		document.write("<td align=\"center\">"); 	wrapDel(gateway[i], idle[i]); 		document.write("</td>");
	/*
		// JCG wangxg
		document.write("<td align=\"center\">"); 	wrapDel(flags[i], idle[i]);			document.write("</td>");
		document.write("<td align=\"center\">"); 	wrapDel(metric[i], idle[i]);		document.write("</td>");
		document.write("<td align=\"center\">"); 	wrapDel(ref[i], idle[i]);			document.write("</td>");
		document.write("<td align=\"center\">"); 	wrapDel(use[i], idle[i]);			document.write("</td>");
	*/

		if(interface[i] == "LAN")
			interface[i] = (mLan);
		else if(interface[i] == "WAN")
			interface[i] = (mWan);
		else if(interface[i] == "lo")
			interface[i] = (mLo);
		else if(interface[i] == "Custom")
			interface[i] = (mCustom);

		document.write("<td align=\"center\">"); 	wrapDel(interface[i]/* + "(" +true_interface[i] + ")"*/, idle[i]);		document.write("</td>");
		document.write("<td align=\"center\">"); 	wrapDel(comment[i], idle[i]);		document.write("</td>");

		document.write("<td align=\"center\">");
		if(category[i] > -1){
			document.write("<input type=\"checkbox\" name=\"DR"+category[i]+"\" id=\"DR"+category[i]+"\" value=\""+destination[i]+" "+netmask[i]+" "+true_interface[i]+"\">");
		}
		document.write("&nbsp;</td>");

		document.write("</tr>\n");
	}
	</script>

</tbody></table>
<br />

<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
<tr>
  <td align="center">
  	<script>
		document.writeln("<input type='submit' class='button' name='deleteSel' value='"+mBtnDel+"' onClick=\"return deleteClick();\">&nbsp;&nbsp;");
		document.writeln("<input type='reset' class='button' name='deleteReset' value='"+mBtnCancel+"' onClick=\"window.location.reload();\">");
	</script>
  </td>
</tr>
</table>
</fieldset>
</form>

	<!-- JCG panghong++ start for IPv6 static routing-->
	<!-- IPv6 routing table -->
 	<form action="/goform/delIPv6Routing" method="post" name="delIPv6Routing">
  	<fieldset align="center" style="width:80%;">
    	<legend><script>putmsg(mIPv6Table);</script></legend>  
	<br />
	<table align="center" class="content" width="96%" cellSpacing="1" cellPadding="3">
	<tbody>
	<tr>
		<td class="headLine" align="center"><script>putmsg(mIndex);</script></td>
		<td class="headLine" align="center"><script>putmsg(mDest+"&nbsp/&nbsp"+mIPv6PrefixLength+"&nbsp/&nbsp"+mGateway);</script></td>
		<td class="headLine" align="center"><script>putmsg(mInterface);</script></td>
		<td class="headLine" align="center"><script>putmsg(mComment);</script></td>
		<td class="headLine" align="center"><script>putmsg(mBtnDel);</script></td>
	</tr>
	
	<script language="javascript" type="text/javascript">
	var i;
	for(i=0; i<IPv6entries.length; i++){
		var one_entry = IPv6entries[i].split(",");
		true_interface[i] = one_entry[0];
		destination[i] = one_entry[1];
		gateway[i] = one_entry[2];
		prefixlen[i] = one_entry[3];
		flags[i] = one_entry[4];
		ref[i] = one_entry[5];
		use[i] = one_entry[6];
		metric[i] = one_entry[7];
		category[i] = parseInt(one_entry[8]);
		interface[i] = one_entry[9];
		idle[i] = parseInt(one_entry[10]);
		comment[i] = one_entry[11];
		if(comment[i] == " " || comment[i] == "")
			comment[i] = "&nbsp";
	}
	
	for(i=0; i<IPv6entries.length; i++){
		if (i%2) document.write("<tr bgcolor=\""+listBg+"\">");
		else document.write("<tr>");
		
		document.write("<td align=\"center\">"); document.write(i+1); document.write("</td>");
		document.write("<td align=\"center\">"); document.write(destination[i]+"&nbsp/&nbsp"+prefixlen[i]+"<br />"+gateway[i]); document.write("</td>");
		
		if(interface[i] == "LAN") interface[i] = (mLan);
		else if(interface[i] == "WAN") interface[i] = (mWan);
		else if(interface[i] == "lo") interface[i] = (mLo);
		document.write("<td align=\"center\">"); 	document.write(interface[i]);		document.write("</td>");
		document.write("<td align=\"center\">"); 	document.write(comment[i]);	document.write("</td>");
		
		document.write("<td align=\"center\">");
		if(category[i] > -1){
			document.write("<input type=\"checkbox\" name=\"IPv6DR"+category[i]+"\" id=\"IPv6DR"+category[i]+"\" value=\""+destination[i]+" "+prefixlen[i]+" "+gateway[i]+" "+true_interface[i]+"\">");
		}
		document.write("&nbsp;</td>");
		
		document.write("</tr>\n");
	}
	</script>
	</tbody></table>
	<br />
	
	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
		<tr>
	  	<td align="center">
	  	<script>
			document.writeln("<input type='submit' class='button' name='deleteSel' value='"+mBtnDel+"' onClick=\"return IPv6deleteClick();\">&nbsp;&nbsp;");
			document.writeln("<input type='reset' class='button' name='deleteReset' value='"+mBtnCancel+"' onClick=\"window.location.reload();\">");
		</script>
	  	</td>
		</tr>
	</table>
	</fieldset>
	</form>
	<br />
	<br />
	<!-- JCG panghong++ end for IPv6 static routing-->
	
  <fieldset align="center" style="width:80%;" id="dynamicRoutingDiv">
    	<legend><script>putmsg(mDynamic);</script></legend>  
      	<form method="post" name="dynamicRouting" action="/goform/dynamicRouting">
        <table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tbody>
        
        <tr>
          <td width="40%">&nbsp;</td>
          <td width="60%">&nbsp;</td>
        </tr>
	<tr>
		<td class="head"><script>putmsg(mRip);</script>:&nbsp;</td>
		<td>
			<input type="radio" name="RIPSelect" value="0" onClick="onRipClick();"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
			<input type="radio" name="RIPSelect" value="1" onClick="onRipClick();"><script>putmsg(mRadioEnable);</script>
		</td>
	</tr>
	<tr>
		<td class="head"><script>putmsg(mRipVersion);</script>:&nbsp;</td>
		<td>
			<input type="radio" name="RIPv" value="1" checked>RIPv1&nbsp;&nbsp;
			<input type="radio" name="RIPv" value="2">RIPv2
		</td>
	</tr>
	<tr>
          <td class="head">&nbsp;</td>
          <td class="tail">&nbsp;</td>
        </tr>    
        </tbody>
       </table>
       
	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	<tr>
	  <td align="center">
	  	<script>
		document.writeln("<input type='submit' class='button' name='save' value='"+mBtnSave+"'>&nbsp;&nbsp;");
		if (rb == 0)
			document.writeln("<input type='submit' class='button' name='apply' value='"+mBtnApply+"'>&nbsp;&nbsp;");
		document.writeln("<input type='reset' class='button' name='cancel' value='"+mBtnCancel+"' onClick=\"window.location.reload();\">");
		</script>
	  </td>
	</tr>
	</table>

</form>
</fieldset>
	<br /><br />

</td>

    <td class="help">
       <table class="help" cellPadding="3" cellSpacing="0">
	<tr id="helpHead"><td class="helpMenu"><script>putmsg(mHelp);</script></td></tr>
        <tr><td class="help-item"><script>putmsg(mStaticSettings);</script></td></tr>
	<tr><td><script>putmsg(mIntroRouting);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

	<tr><td class="help-item"><script>putmsg(mDest);</script></td></tr>
	<tr><td><script>putmsg(mIntroDest);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

	<tr><td class="help-item"><script>putmsg(mGateway);</script></td></tr>
	<tr><td><script>putmsg(mIntroGateway);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

	<tr><td class="help-item"><script>putmsg(mInterface);</script></td></tr>
	<tr><td><script>putmsg(mIntroInterface);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

	<tr id="ripIntroDRow"><td class="help-item"><script>putmsg(mRip);</script></td></tr>
	<tr id="ripIntroRow"><td><script>putmsg(mIntroRip);</script></td></tr>
	</table>
    </td>
    <td class="right-blank">&nbsp;</td>
</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 
       
</div> 

</body>
</html>

