<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/jdefines.js"); %>
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("inet"); %>
<% websIncludeLang("staticip"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var lanIp = "<% getLanIpASP(); %>";
var lanMask = "<% getLanNetmaskASP(); %>";

document.title= vendor+" "+model+" - "+(mDhcpStatic);

var STATIC_IP_MAX = <% getMaxNum("dhcpBinding"); %>;
var dhcpStatic = "<% getCfgGeneral(1, "dhcpStatic"); %>";

function checkValue()
{
	var staticList = "";
	var macObj;
	var ipObj;
	var i;

	for(i=0; i<STATIC_IP_MAX; i++) {
		macObj = document.getElementById("mac_"+i);
		if (macObj.value != "") {
			var re = /[A-Fa-f0-9]{2}:[A-Fa-f0-9]{2}:[A-Fa-f0-9]{2}:[A-Fa-f0-9]{2}:[A-Fa-f0-9]{2}:[A-Fa-f0-9]{2}/;
			if (!re.test(macObj.value) || staticList.indexOf(macObj.value) >= 0) {
				alert((mInetMac) + (mAlertInvalid));
				macObj.focus();
				return false;
			}

			ipObj = document.getElementById("ip_"+i);
			if (!checkIpAddr(ipObj) || !checkLanIp(lanIp, lanMask, ipObj.value) || staticList.indexOf(ipObj.value) >= 0) {
				alert((mInetIp) + (mAlertInvalid));
				ipObj.focus();
				return false;
			}

			if (document.getElementById("cbEnbl_"+i).checked == true)
				document.getElementById("enbl_"+i).value = 1;
			else
				document.getElementById("enbl_"+i).value = 0;

			staticList += macObj.value + ',' + ipObj.value + ',' + document.getElementById("enbl_"+i).value + ';';
		}
	}
	return true;
}

function submit_form()
{
	if (checkValue() == true) {
		document.staticCfg.submit();
	}
}

function initValue()
{
}

</script>

<body class="newopen" onLoad="initValue();">
<div align="left" style="margin-left:30px;">

<form method="post" name="staticCfg" action="/goform/setStaticLease">
<table class="body" width="600">
<tr>
<td align="center">

<fieldset align="center" style="width:95%;">
<legend><script>putmsg(mDhcpStatic);</script></legend>

<table align="center" class="content" cellpadding="3" cellspacing="1" width="90%">
<tr><td colspan="4">&nbsp;</td></tr>
<tr>
  <td class="headLine" align="center"><script>putmsg(mIndex);</script></td>
  <td class="headLine" align="center"><script>putmsg(mInetMac);</script> (XX:XX:XX:XX:XX:XX)</td>
  <td class="headLine" align="center"><script>putmsg(mInetIp);</script></td>
  <td class="headLine" align="center"><script>putmsg(mRadioEnable);</script></td>
</tr>

<script language="javascript" type="text/javascript" >
	var i;
	var allStatic = new Array();
	allStatic = dhcpStatic.split(";");
	for(i=0; i<STATIC_IP_MAX; i++) {
		if (i%2)
			document.writeln("<tr bgcolor=\""+listBg+"\">");
		else
			document.writeln("<tr>");
		document.writeln("<td align=\"center\">"+(i+1)+"</td>");
		document.writeln("<td align=\"center\"><input type=\"text\" name=\"mac_"+i+"\" id=\"mac_"+i+"\" value=\"\" size='20' maxlength='17'></td>");
		document.writeln("<td align=\"center\"><input type=\"text\" name=\"ip_"+i+"\" id=\"ip_"+i+"\" value=\"\" size='20' maxlength='15'></td>");
		document.writeln("<td align=\"center\"><input type=\"checkbox\" name=\"cbEnbl_"+i+"\" id=\"cbEnbl_"+i+"\" checked>");
		document.writeln("<input type=\"hidden\" name=\"enbl_"+i+"\" id=\"enbl_"+i+"\" value=\"1\"></td>");
		document.writeln("</tr>");
	}

	for(i=0; i<allStatic.length && i<STATIC_IP_MAX; i++) {
		var staticEntry = new Array();
		staticEntry = allStatic[i].split(",");
		if (staticEntry.length != 3)
			break;
		document.getElementById("mac_"+i).value = staticEntry[0];
		document.getElementById("ip_"+i).value = staticEntry[1];
		//document.getElementById("enbl_"+i).checked = staticEntry[2];
		if (staticEntry[2] == 0)
			document.getElementById("cbEnbl_"+i).checked = false;
		else
			document.getElementById("cbEnbl_"+i).checked = true;
	}
</script>

</table>
<br /><br />

<table align="center" class="content" width="540" cellpadding="3" cellspacing="0">
<tr>
  <td align="center">
	<script>
		document.writeln("<input type='button' class='button' value='"+mBtnOk+"' onClick=\"submit_form();\">&nbsp;&nbsp;");
		document.writeln("<input type='button' class='button' value='"+mBtnCancel+"' onClick=\"window.close();\">");
	</script>
  </td>
</tr>
</table>

</fieldset>

</td></tr>
</table>

</form>
</div>
</body>
</html>
