<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/jdefines.js"); %>
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeFile("lang/language.js"); %>
<% websIncludeLang("management"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var opmode = '<% getCfgZero(1, "OperationMode"); %>';
var langStr = "<% getLangBuilt(); %>";
var rb = <% getRebootFlag(); %>;
var http_request = false;

document.title = vendor+" "+model+" - "+(mManTitle);

function initLang()
{
	var element;
	var langs = new Array();

	element = document.Lang.langSelection;
	langs = langStr.split(";");

	if (langs.length > 0) {
		var i=0;

		element.options.length = 0;

		for (i=0; i<langs.length; i++) {
			if (langs[i].length > 0)
				element.options[i] = new Option(mLang[langs[i]], langs[i]);
		}
		for (i=0; i<element.options.length; i++) {
			if (lang == element.options[i].value) {
				element.options.selectedIndex = i;
				break;
			}
		}
		if (element.options.length == 1) {
			document.getElementById("div_lang").style.visibility = "hidden";
			document.getElementById("div_lang").style.display = "none";
		}
	}
}

function updateTime()
{
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
		// refresh
	/*
		var currentTime = new Date();	
		var times = getDate(currentTime);
		var time_str = times["year"]+"-"+times["month"]+"-"+times["day"]+" "+times["hour"]+":"+times["min"]+":"+times["sec"];
	*/
		document.getElementById("ntpcurrenttime").value = http_request.responseText; //time_str;
	      
		//window.location.reload();
        }
    }
}

function AdmFormCheck()
{
/*
	if (document.Adm.admuser.value == "") {
		alert((AlertAccount));
		return false;
	}
*/
	if (document.Adm.admpass.value == "") {
		alert((AlertPassword));
		return false;
	}

	var str = document.Adm.admpass.value;
	var len = str.length;
	for (var i = 0; i < len; i++) {
		if (str.charAt(i) == ';' || str.charAt(i) == ',' ||
			str.charAt(i) == '\r' || str.charAt(i) == '\n' ||
			str.charAt(i) == ' ') {
			alert(AlertPasswordInvalid);
			return false;
		}
	}

	//JCG guochaoguo+
	//Confirm the password which you want to set.
	if (document.Adm.admpass.value != document.Adm.admpass1.value) {
		alert((AlertPasswordMismatch));
		return false;
	}
	//!guochaoguo
	return true;
}

function NTPFormCheck()
{
	var ntpSyncIntrv = new Array();
	ntpSyncIntrv = document.NTP.NTPSync.value.split(".");

	if( document.NTP.NTPServerIP.value != "" && 
		document.NTP.NTPSync.value == ""){
		alert((AlertNtpSyncInterval));
		return false;
	}
	if((isAllNum( document.NTP.NTPSync.value ) == 0) || (ntpSyncIntrv.length >2)){
		alert((AlertNtpSyncInvalid));
		return false;
	}
	if( atoi(document.NTP.NTPSync.value, 1) > 300){
		alert((AlertNtpSyncTooBig));
		return false;
	}	
	return true;
}

function initValue()
{
	//var currtime = <% getCurrentTimeASP(); %>;
	var tz = "<% getCfgGeneral(1, "TZ"); %>";
	var ddns_provider = "<% getCfgGeneral(1, "DDNSProvider"); %>";

	var dateb = "<% getDATEBuilt(); %>";
	//var ddnsb = "<% getDDNSBuilt(); %>";

/*
	var hostTime = new Date();
	var hostMSecTime = Number(hostTime);
	var diffTime = hostMSecTime-currtime*1000;

	var time = new Date(hostMSecTime+diffTime);
	var times = getDate(time);
	var time_str = times["year"]+"-"+times["month"]+"-"+times["day"]+" "+times["hour"]+":"+times["min"]+":"+times["sec"];
	document.getElementById("ntpcurrenttime").value = time_str;
*/

	initLang();


	if (dateb == "1")
	{
		document.getElementById("div_date").style.visibility = "visible";
		document.getElementById("div_date").style.display = style_display_on();
		document.NTP.ntpcurrenttime.disabled = false;
	} 
	else
	{
		document.getElementById("div_date").style.visibility = "hidden";
		document.getElementById("div_date").style.display = "none";
		document.NTP.ntpcurrenttime.disabled = true;
	}

	if (opmode == OPMODE_BRIDGE || opmode == OPMODE_BRIDGE_CONVERTER || opmode == OPMODE_BRIDGE_APCLI) {
		document.getElementById("div_ntp").style.visibility = "hidden";
		document.getElementById("div_ntp").style.display = "none";
		document.getElementById("ntpNote").style.visibility = "hidden";
		document.getElementById("ntpNote").style.display = "none";
		document.getElementById("ntpNoteHr").style.visibility = "hidden";
		document.getElementById("ntpNoteHr").style.display = "none";
		document.getElementById("ntpSyncD").style.visibility = "hidden";
		document.getElementById("ntpSyncD").style.display = "none";
		document.getElementById("ntpSync").style.visibility = "hidden";
		document.getElementById("ntpSync").style.display = "none";
		document.getElementById("ntpServerD").style.visibility = "hidden";
		document.getElementById("ntpServerD").style.display = "none";
		document.getElementById("ntpServer").style.visibility = "hidden";
		document.getElementById("ntpServer").style.display = "none";
		document.getElementById("ntpServerEx").style.visibility = "hidden";
		document.getElementById("ntpServerEx").style.visibility = "hidden";
		document.getElementById("ntpServerHr").style.display = "none";
		document.getElementById("ntpServerHr").style.display = "none";
		document.getElementById("ntpIntervalD").style.visibility = "hidden";
		document.getElementById("ntpIntervalD").style.display = "none";
		document.getElementById("ntpInterval").style.visibility = "hidden";
		document.getElementById("ntpInterval").style.display = "none";
	}

	if (tz != "") {
		var i;
		var e = document.NTP.time_zone;

		for (i=0; i<e.options.length; i++) {
			if (tz == e.options[i].value) {
				e.options.selectedIndex = i;
				break;
			}
		}
	}
}

function setLanguage()
{
	//document.cookie="language="+document.Lang.langSelection.value+"; path=/";
	//parent.location.reload();
	return true;
}

function syncWithHost()
{
	var time = new Date();

	var times = getDate(time);
	var time_str = times["month"]+times["day"]+times["hour"]+times["min"]+times["year"];
	makeRequest("/goform/NTPSyncWithHost", time_str, updateTime);
}

</script>
</head>

<body onLoad="initValue();">

<script language="javascript" type="text/javascript" >
	writeWebsHeader_M(menuAdm.management, "/m/adm/menu_adm.asp");
</script>     

<!-- help div  -->  
<div id="help" class="help">
<script>htitle("htitle");</script>
<div class="hcontent">
  	<div>
    <table cellPadding="3" cellSpacing="0">
    <tr><td class="help-item"><script>putmsg(mManTitle);</script></td></tr>
	<tr><td><script>putmsg(mIntroMan);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

	<tr id="ntpSyncD"><td class="help-item"><script>putmsg(mNtpSyncWithHost);</script></td></tr>
	<tr id="ntpSync"><td><script>putmsg(mIntroNtpSyncWithHost);</script></td></tr>
	<tr id="ntpNote"><td style="color:red;"><b><script>putmsg(mNote);</script>:</b><script>putmsg(mNoteNtp);</script></td></tr>
	<tr id="ntpNoteHr" class="helpHr"><td><hr/></td></tr>

	<tr id="ntpServerD"><td class="help-item"><script>putmsg(mNtpServer);</script></td></tr>
	<tr id="ntpServer"><td><script>putmsg(mIntroNtpServer);</script></td></tr>
	<tr id="ntpServerEx"><td><script>putmsg(mAdminEx);</script>:<br />cn.pool.ntp.org, time.nist.gov, ntp0.broad.mit.edu</td></tr>
	<tr id="ntpServerHr" class="helpHr"><td><hr/></td></tr>

	<tr id="ntpIntervalD"><td class="help-item"><script>putmsg(mNtpSyncInterval);</script></td></tr>
	<tr id="ntpInterval"><td><script>putmsg(mIntroNtpSyncInterval);</script></td></tr>
    </table>
    </div>
  <script>hclose("hclose");</script>
</div>
</div>

<div style="text-align:right; border-left-style:none;">
    <a href="#"onclick="showHelp();return false;" onfocus="this.blur();" id="btnHelp" class="ahelp"><script>document.writeln(mHelp);</script></a>
</div>
<!-- help div end -->

<div class="body_div">
<table class="body" cellSpacing="0" cellPadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
 
    <td class="left" align="center" valign="top">
	<script>writeReboot(rb);</script>
  	<br />

    <form method="post" name="Lang" action="/goform/setSysLang">
  	<fieldset id="div_lang" align="center" style="width:95%;"> 
    	<legend><script>putmsg(mLanguageSetting);</script></legend>  
		<input type="hidden" name="nextPage" value="m/adm/management.asp">

      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tbody>
        
        <tr>
          <td width="35%">&nbsp;</td>
          <td width="65%">&nbsp;</td>
        </tr>
        
        <tr>
	    <td class="head"><script>putmsg(mLanguage);</script>:</td>
	    <td>
	      <select name="langSelection" id="langSelection" style="width:132px;">
	      </select>
	    </td>
	  </tr>
  	  <tr>
          <td class="head">&nbsp;</td>
          <td class="tail">&nbsp;</td>
        </tr>   
        
	<tr>
          <td colspan="2" align="center">&nbsp;
		  <script> 
			document.writeln("<input type='submit' class='button' value='"+mBtnApply+"' onClick=\"return setLanguage();\">&nbsp;&nbsp;");
			document.writeln("<input type='reset' class='button' value='"+mBtnCancel+"' onClick=\"window.location.reload();\">");
		  </script>
          </td>
        </tr>    
        </tbody>
       </table>
	</fieldset>
	</form>
  <br />
  
  <form method="post" name="Adm" action="/goform/setSysAdm">
  <fieldset align="center" style="width:95%;"> 
    	<legend><script>putmsg(mAdminSettings);</script></legend>  
		<input type="hidden" name="nextPage" value="m/adm/management.asp">

      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tbody>
        
        <tr>
          <td width="35%">&nbsp;</td>
          <td width="65%">&nbsp;</td>
        </tr>
        <tr>
	    <td class="head"><script>putmsg(mAccount);</script>:</td>
	    <td><% getCfgGeneral(1, "Login"); %></td>
	  </tr>
	  <tr>
	    <td class="head"><script>putmsg(mPasswd);</script>:</td>
	    <td><input type="password" name="admpass" size="20" maxlength="32" value="<% getCfgGeneral(1, "Password"); %>"></td>
	  </tr>
	  <tr>
	    <td class="head"><script>putmsg(mPasswdConfirm);</script>:</td>
	    <td><input type="password" name="admpass1" size="20" maxlength="32" value="<% getCfgGeneral(1, "Password"); %>"></td>
	  </tr>
      	 <tr>
          <td class="head">&nbsp;</td>
          <td class="tail">&nbsp;</td>
         </tr>   
	 <tr>
         <td colspan="2" align="center"> 
	   <script>
	   document.writeln("<input type='submit' class='button' name='save' value='"+mBtnSave+"' onClick=\"return AdmFormCheck();\">&nbsp;&nbsp;");
	   document.writeln("<input type='reset' class='button' value='"+mBtnCancel+"' onClick=\"window.location.reload();\">");
	  </script>
          </td>
        </tr>    
        </tbody>
       </table>
	</fieldset>
	</form>
  <br />
  
   	<form method="post" name="NTP" action="/goform/NTP">
	<fieldset align="center" style="width:95%;" id="div_ntp"> 
    	<legend><script>putmsg(mNtpSettings);</script></legend>  
		<input type="hidden" name="nextPage" value="m/adm/management.asp">
      	<table align="center" class="content" width="100%" cellSpacing="0" cellPadding="3">
        <tbody>
        
        <tr>
          <td>&nbsp;</td>
          <td>&nbsp;</td>
        </tr>
	<tr id="div_date">
		<td class="head"><script>putmsg(mNtpCurrentTime);</script>:</td>
		<td>
			<input  name="ntpcurrenttime" id="ntpcurrenttime" size="20" value="<% getCurrentTimeASP(); %>" type="text" readonly="1">&nbsp;&nbsp;
			<script>
				document.writeln("<input type='button' class='button' value='"+mNtpSyncWithHost+"' style='width:100px;' onClick=\"syncWithHost();\">");
			</script>
		</td>
	</tr>
	<tr>
	  <td class="head"><script>putmsg(mNtpTz);</script>:</td>
	  <td>
	    <select name="time_zone" size="1" style="width:175px;">
	      <option value="UCT_-11"><script>putmsg(mNtpMidIsland);</script></option>
	      <option value="UCT_-10"><script>putmsg(mNtpHawaii);</script></option>
	      <option value="NAS_-09"><script>putmsg(mNtpAlaska);</script></option>
	      <option value="PST_-08"><script>putmsg(mNtpPacific);</script></option>
	      <option value="MST_-07"><script>putmsg(mNtpMountain);</script></option>
	      <option value="UCT_-07"><script>putmsg(mNtpArizona);</script></option>
	      <option value="CST_-06"><script>putmsg(mNtpCentral);</script></option>
	      <option value="UCT_-06"><script>putmsg(mNtpMidUs);</script></option>
	      <option value="UCT_-05"><script>putmsg(mNtpIndianaEast);</script></option>
	      <option value="EST_-05"><script>putmsg(mNtpEastern);</script></option>
	      <option value="AST_-04"><script>putmsg(mNtpAtlantic);</script></option>
	      <option value="UCT_-04"><script>putmsg(mNtpBolivia);</script></option>
	      <option value="UCT_-03"><script>putmsg(mNtpGuyana);</script></option>
	      <option value="EBS_-03"><script>putmsg(mNtpBrazilEast);</script></option>
	      <option value="NOR_-02"><script>putmsg(mNtpMidAtlantic);</script></option>
	      <option value="EUT_-01"><script>putmsg(mNtpAzoresIslands);</script></option>
	      <option value="UCT_000"><script>putmsg(mNtpGambia);</script></option>
	      <option value="GMT_000"><script>putmsg(mNtpEngland);</script></option>
	      <option value="MET_001"><script>putmsg(mNtpCzechRepublic);</script></option>
	      <option value="MEZ_001"><script>putmsg(mNtpGermany);</script></option>
	      <option value="UCT_001"><script>putmsg(mNtpTunisia);</script></option>
              <option value="CET_001"><script>putmsg(mNtpEspana);</script></option>
	      <option value="EET_002"><script>putmsg(mNtpGreece);</script></option>
	      <option value="SAS_002"><script>putmsg(mNtpSouthAfrica);</script></option>
	      <option value="IST_003"><script>putmsg(mNtpIraq);</script></option>
	      <option value="MSK_003"><script>putmsg(mNtpMoscowWinter);</script></option>
	      <option value="UCT_004"><script>putmsg(mNtpArmenia);</script></option>
	      <option value="UCT_005"><script>putmsg(mNtpPakistan);</script></option>
	      <option value="UCT_006"><script>putmsg(mNtpBangladesh);</script></option>
	      <option value="UCT_007"><script>putmsg(mNtpThailand);</script></option>
	      <option value="CST_008" selected><script>putmsg(mNtpChinacoast);</script></option>
	      <option value="CCT_008"><script>putmsg(mNtpTaipei);</script></option>
	      <option value="SST_008"><script>putmsg(mNtpSingapore);</script></option>
	      <option value="AWS_008"><script>putmsg(mNtpAustraliaWa);</script></option>
	      <option value="JST_009"><script>putmsg(mNtpJapan);</script></option>
	      <option value="KST_009"><script>putmsg(mNtpKorean);</script></option>
	      <option value="UCT_010"><script>putmsg(mNtpGuam);</script></option>
	      <option value="AES_010"><script>putmsg(mNtpAustraliaQld);</script></option>
	      <option value="UCT_011"><script>putmsg(mNtpSolomonIslands);</script></option>
	      <option value="UCT_012"><script>putmsg(mNtpFiji);</script></option>
	      <option value="NZS_012"><script>putmsg(mNtpNewzealand);</script></option>
	    </select>
	  </td>
	</tr>
	<tr>
	  <td class="head"><script>putmsg(mNtpServer);</script>:</td>
	  <td><input size="20" maxlength="64" name="NTPServerIP" value="<% getCfgGeneral(1, "NTPServerIP"); %>" type="text">
	  </td>
	</tr>
	<tr>
	  <td class="head"><script>putmsg(mNtpSyncInterval);</script>:</td>
	  <td><input size="6" name="NTPSync" value="<% getCfgGeneral(1, "NTPSync"); %>" type="text">&nbsp;<script>putmsg(mHour);</script></td>
	</tr>
      	 <tr>
          <td class="head">&nbsp;</td>
          <td class="tail">&nbsp;</td>
        </tr>   
	<tr>
          <td colspan="2" align="center"> 
	  <script>
	  document.writeln("<input type='submit' class='button' name='save' value='"+mBtnSave+"' onClick=\"return NTPFormCheck();\">&nbsp;&nbsp;");
		if (rb == 0)
		document.writeln("<input type='submit' class='button' value='"+mBtnApply+"' onClick=\"return NTPFormCheck();\">&nbsp;&nbsp;");
		document.writeln("<input type='reset' class='button' value='"+mBtnCancel+"' onClick=\"window.location.reload();\">");
	  </script>
          </td>
        </tr>    
        </tbody>
	</table>

	</fieldset>
	</form>
	<br />
  </td>

 
  <td class="right-blank">&nbsp;</td>
</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 
      
</div> 

</body>
</html>


