<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("upload_firmware"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var opmode = '<% getCfgZero(1, "OperationMode"); %>';
var jrisBuilt = '<% getJrisBuilt(); %>';
var rb = <% getRebootFlag(); %>;

document.title= vendor+" "+model+" - "+(mUploadTitle);          

var requiredDelay = 120;
var current = 0;
var request = 1;
var StrURL = "/"; 
var RestartFunc;
var reqOkFunc;

var timeoutID = 0;
 
var isStorageBuilt = <% getStorageBuilt(); %>;

var firmware_path = "";

var secs;
var timerID = null;
var timerID_OnlineUpgrade = null;
var timerRunning = false;
var timeout = 3;
var delay = 1000;

var http_request = false;

if(isStorageBuilt)		
	requiredDelay += 80;

function inprogress() {
	var currentCell = null;

	current++;
	if (document.getElementById) 
		currentCell = document.getElementById("cell" + (current - 1));
	else if (document.all) 
		currentCell = document.all["cell" + (current - 1)];
	if (currentCell != null) 
		currentCell.style.backgroundColor = cellBg;
	if(current <= requiredDelay) {
		timeoutID = setTimeout("inprogress()", 1000);
	}
	else{
		current=0;
		timeoutID = setTimeout("inprogress()", 1000);
	}
}

var reqOkFunc = function(val)  {
	clearTimeout(timeoutID);
	top.location.href = StrURL ;
};
 
var RestartFunc = function() {
	request = 1;
}
 
function initBar() {
	setTimeout("inprogress()", 1000);
}

function InitializeTimer(){
    if(!isStorageBuilt)
        return;
    // Set the length of the timer, in seconds
    secs = timeout
    StopTheClock()
    StartTheTimer()
}

function StopTheClock(){
    if(timerRunning)
        clearTimeout(timerID)
    timerRunning = false
}

function StartTheTimer(){
	if(!isStorageBuilt)
		return;

    if (secs==0){
        StopTheClock()

        timerHandler();

        secs = timeout
        StartTheTimer()
    }else{
        self.status = secs
        secs = secs - 1
        timerRunning = true
        timerID = self.setTimeout("StartTheTimer()", delay)
    }
}

function timerHandler(){
	if(!isStorageBuilt)
		return;

	makeRequest("/goform/storageGetFirmwarePath", "n/a", alertContents);
}

function alertContents() {
	if(!isStorageBuilt)
		return;

	if (http_request.readyState == 4) {
		if (http_request.status == 200) {
			updateStorageStatus( http_request.responseText);
		}
	}
}

function updateStorageStatus(str)
{
	if(!isStorageBuilt)
		return;

	if(firmware_path == str)
		return;

	firmware_path = str;
	var paths = new Array();
	paths = firmware_path.split("\n");

	if(paths.length){
		document.UploadFirmwareUSB.firmware_path.length = 0;
		for(var i=0; i<paths.length; i++){
			var j = document.UploadFirmwareUSB.firmware_path.options.length;
			document.UploadFirmwareUSB.firmware_path.options[j] = new Option(paths[i].substring(12), paths[i], false, false);
		}
	}
}

var _singleton = 0;
function uploadFirmwareCheck()
{
	if(_singleton)
		return false;
	if(document.UploadFirmware.filename.value == ""){
		alert((mAlertFile));
		return false;
	}

	StopTheClock();
	document.UploadFirmwareUSB.UploadFirmwareUSBScan.disabled = true;
	document.UploadFirmwareUSB.firmware_path.disabled = true;
	document.UploadFirmwareUSB.UploadFirmwareUSBSubmit.disabled = true;
	document.UploadBootloader.UploadBootloaderSubmit.disabled = true;
	document.ForceMemUpgrade.ForceMemUpgradeSelect[0].disabled = true;
	document.ForceMemUpgrade.ForceMemUpgradeSelect[1].disabled = true;
	document.ForceMemUpgrade.ForceMemUpgradeSubmit.disabled = true;

	document.getElementById("btnOnlineCheck").disabled = true;
	document.getElementById("btnDownload").disabled = true;
	document.getElementById("btnUpgrade").disabled = true;
	document.getElementById("btnReleaseNotes").disabled = true;

	document.getElementById("resultbg").style.display = "block";
	document.getElementById("result").style.display = "block";
	initBar()
	//parent.menu.setLockMenu(1);
	_singleton = 1;
	return true;
}

function onlineUpgradeCheck()
{
	if(_singleton)
		return false;

	StopTheClock();
	document.UploadFirmwareUSB.UploadFirmwareUSBScan.disabled = true;
	document.UploadFirmwareUSB.firmware_path.disabled = true;
	document.UploadFirmwareUSB.UploadFirmwareUSBSubmit.disabled = true;
	document.UploadBootloader.UploadBootloaderSubmit.disabled = true;
	document.ForceMemUpgrade.ForceMemUpgradeSelect[0].disabled = true;
	document.ForceMemUpgrade.ForceMemUpgradeSelect[1].disabled = true;
	document.ForceMemUpgrade.ForceMemUpgradeSubmit.disabled = true;

	document.getElementById("btnOnlineCheck").disabled = true;
	document.getElementById("btnDownload").disabled = true;
	document.getElementById("btnUpgrade").disabled = false;
	document.getElementById("btnReleaseNotes").disabled = true;

	document.getElementById("resultbg").style.display = "block";
	document.getElementById("result").style.display = "block";

	initBar()
	//parent.menu.setLockMenu(1);
	_singleton = 1;
	return true;
}

function onOnlineCheck()
{
	if (http_request.readyState == 4) {
		if (http_request.status == 200) {
			if(http_request.responseText == "-1") {
				alert(mConnError);
			}
			else if(http_request.responseText == "0") {
				alert(mUp2Date);
			}
			else {
				var finfoArray = new Array();
				finfoArray = http_request.responseText.split('\n');
				if (finfoArray.length >= 8) {
					document.getElementById("fname").innerHTML =finfoArray[0];
					document.getElementById("fversion").innerHTML =finfoArray[1]+"."+finfoArray[2]+"."+finfoArray[3]+"."+finfoArray[4];
					document.getElementById("ftime").innerHTML =finfoArray[5];
					document.getElementById("fsize").innerHTML =finfoArray[6];
					document.getElementById("fpriority").innerHTML =finfoArray[7];
					showBlock("finfo", 1);

					// New firmware ok					
					if(finfoArray[8] == 100) { // Downloaded
						document.getElementById("onlineNotes").innerHTML = mLoadExist;
						
						document.getElementById("btnOnlineCheck").disabled = true;
						document.getElementById("btnDownload").disabled = true;
						document.getElementById("btnUpgrade").disabled = false;
						document.getElementById("btnReleaseNotes").disabled = false;
					}

					else if(finfoArray[8] == 2) { // Downloading
						document.getElementById("onlineNotes").innerHTML = mLoading;
						
						document.getElementById("btnOnlineCheck").disabled = true;
						document.getElementById("btnDownload").disabled = true;
						document.getElementById("btnUpgrade").disabled = true;
						document.getElementById("btnReleaseNotes").disabled = false;
						
						timerID_OnlineUpgrade = setInterval("getDownloadStatus()",1000);
					}
					
					else { // Download not start, may start the download
						document.getElementById("btnOnlineCheck").disabled = true;
						document.getElementById("btnDownload").disabled = false;
						document.getElementById("btnUpgrade").disabled = true;
						document.getElementById("btnReleaseNotes").disabled = false;
					}
				}
			}
		}
	}
}

function onOnlineDownload() {
	if (http_request.readyState == 4) {
		if (http_request.status == 200) {
			if(http_request.responseText*1 >= 0){
				document.getElementById("onlineNotes").innerHTML = mLoading;
				
				// Download start OK
				document.getElementById("btnOnlineCheck").disabled = true;
				document.getElementById("btnDownload").disabled = true;
				document.getElementById("btnUpgrade").disabled = true;
				document.getElementById("btnReleaseNotes").disabled = false;
				
				// Download started, update download status
				timerID_OnlineUpgrade = setInterval("getDownloadStatus()",1000);
			}
			else{
				document.getElementById("onlineNotes").innerHTML = mLoadError;
			}
		}
	}
}

function getDownloadStatus()
{
	makeRequest("/goform/jrisGetDownloadStatusAjax", "n/a", onDownloadStatus);
	//timerID = setTimeout("getDownloadStatus()",1000);
}

function onDownloadStatus() {
	if (http_request.readyState == 4) {
		if (http_request.status == 200) {
			if(http_request.responseText*1 >= 0 && http_request.responseText*1 < 100){
				document.getElementById("onlineNotes").innerHTML = mLoading+" ("+http_request.responseText+"%)";
			}
			else if (http_request.responseText*1 == 100) {
				clearInterval(timerID_OnlineUpgrade);
				document.getElementById("onlineNotes").innerHTML = mLoaded;
				
				document.getElementById("btnOnlineCheck").disabled = true;
				document.getElementById("btnDownload").disabled = true;
				document.getElementById("btnUpgrade").disabled = false;
				document.getElementById("btnReleaseNotes").disabled = false;
			}
			else if (http_request.responseText*1 == -1) {
				clearInterval(timerID_OnlineUpgrade);
				document.getElementById("onlineNotes").innerHTML = mLoadError;
				
				document.getElementById("btnOnlineCheck").disabled = true;
				document.getElementById("btnDownload").disabled = false;
				document.getElementById("btnUpgrade").disabled = true;
				document.getElementById("btnReleaseNotes").disabled = false;
			}
		}
	}
}


function onlineCheck()
{
	makeRequest("/goform/jrisFirmwareCheckAjax", "n/a", onOnlineCheck);
}

function openNewWindow()
{
	window.open("release.asp", "", "toolbar=no, location=yes, scrollbars=yes, resizable=yes, width=640, height=480");
}

function onlineDownload()
{
	document.getElementById("onlineNotes").innerHTML = mLoading;

	makeRequest("/goform/jrisOnlineDownloadAjax", "n/a", onOnlineDownload);
}

function uploadFirmwareUSBCheck()
{
	if(_singleton)
		return false;
	if(!firmware_path.length){
		alert((mAlertFile));
		return false;
	}
	StopTheClock();
	document.UploadFirmware.UploadFirmwareSubmit.disabled = true;
	document.UploadBootloader.UploadBootloaderSubmit.disabled = true;
	document.ForceMemUpgrade.ForceMemUpgradeSelect[0].disabled = true;
	document.ForceMemUpgrade.ForceMemUpgradeSelect[1].disabled = true;
	document.ForceMemUpgrade.ForceMemUpgradeSubmit.disabled = true;

	document.getElementById("btnOnlineCheck").disabled = true;
	document.getElementById("btnDownload").disabled = true;
	document.getElementById("btnUpgrade").disabled = true;
	document.getElementById("btnReleaseNotes").disabled = true;

	//document.getElementById("loading").style.display="block";
	//parent.menu.setUnderFirmwareUpload(1);
	document.getElementById("resultbg").style.display = "block";
	document.getElementById("result").style.display = "block";
	initBar()
	_singleton = 1;
	return true;
}

function formBootloaderCheck()
{
	ret = confirm("!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!\n\nThis is for engineer only. Are u sure?\n\n!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!");
	if(!ret)
		return false;

	if(_singleton)
		return false;
	if(document.UploadBootloader.filename.value == ""){
		alert(mAlertUpload);
		return false;
	}

	StopTheClock();

	document.UploadFirmware.filename.disabled = true;
	document.UploadFirmware.UploadFirmwareSubmit.disabled = true;
	document.UploadFirmwareUSB.UploadFirmwareUSBScan.disabled = true;
	document.UploadFirmwareUSB.firmware_path.disabled = true;
	document.UploadFirmwareUSB.UploadFirmwareUSBSubmit.disabled = true;
	document.ForceMemUpgrade.ForceMemUpgradeSelect[0].disabled = true;
	document.ForceMemUpgrade.ForceMemUpgradeSelect[1].disabled = true;
	document.ForceMemUpgrade.ForceMemUpgradeSubmit.disabled = true;

	document.getElementById("btnOnlineCheck").disabled = true;
	document.getElementById("btnDownload").disabled = true;
	document.getElementById("btnUpgrade").disabled = true;
	document.getElementById("btnReleaseNotes").disabled = true;

	//document.getElementById("loading").style.display="block";
	//parent.menu.setUnderFirmwareUpload(1);
	document.getElementById("resultbg").style.display = "block";
	document.getElementById("result").style.display = "block";
	initBar()
	_singleton = 1;
	return true;
}

function showBuiltDate()
{
	var dateStr = "<% getVersionInfo("timestamp"); %>";
	var builtStr = dateStr.substr(0,4);
	builtStr += "-"+dateStr.substr(4,2);
	builtStr += "-"+dateStr.substr(6,2);
	builtStr += " "+dateStr.substr(8,2);
	builtStr += ":"+dateStr.substr(10,2);
	document.getElementById("uploadBuiltDate").innerHTML = builtStr;
}

function pageInit(){
	/*if (ver.indexOf(".debug.") > 0) {
		document.getElementById("divUploadBootLoader").style.visibility = "";
		document.getElementById("divUploadBootLoader").style.display = "";
	}*/

	/* if (lang != "en") */{
		showBuiltDate();
	}

	showBlock("finfo", 0);
	document.getElementById("btnOnlineCheck").disabled = false;
	document.getElementById("btnDownload").disabled = true;
	document.getElementById("btnUpgrade").disabled = true;
	document.getElementById("btnReleaseNotes").disabled = true;
	
	if (jrisBuilt == '0') {
		showBlock("online_div", 0);
	}

	if(isStorageBuilt){		
		makeRequest("/goform/storageGetFirmwarePath", "n/a", alertContents);
		InitializeTimer();
	}

	if(<% getCfgZero(1, "Force_mem_upgrade"); %>)
		document.ForceMemUpgrade.ForceMemUpgradeSelect[1].checked = true;
	else
		document.ForceMemUpgrade.ForceMemUpgradeSelect[0].checked = true;

	document.UploadFirmware.UploadFirmwareSubmit.disabled = false;
	if (isStorageBuilt)
	{
		document.getElementById("uploadFWUSBTable").style.visibility = "visible";
		document.getElementById("uploadFWUSBTable").style.display = "";
		document.ForceMemUpgrade.ForceMemUpgradeSubmit.disabled = false;
	}
	else
	{
		document.getElementById("uploadFWUSBTable").style.visibility = "hidden";
		document.getElementById("uploadFWUSBTable").style.display = "none";
		document.ForceMemUpgrade.ForceMemUpgradeSubmit.disabled = true;
	}
}

function doUSBScan()
{
	window.location.href = "/goform/ScanUSBFirmware";
}

</script>

</head>

<body onLoad="pageInit();">

<div id="resultbg" style="display:none;" class="back-overlay">
<iframe src="" style="position:absolute;visibility:inherit; top:0px; left:0px; width:100%; height:100%; z-index:-1;opacity:.0;  filter: alpha( opacity=0 );-moz-opacity: 0;"></iframe>
</div>
<div id="result" class="front-content" style="display:none;">
<table class="content" id="main" width="100%" cellSpacing="0" cellPadding="0">
    
      <tr>
         <td align="center">
            <table class="message" align="center">
               <tr>
                  <td class="message" id="message" align="center">
                  <br /><script>putmsg(mUploadMsg);</script><br /><br />
                  <b style="color:red;"><script>putmsg(mNote);</script>:</b><span style="color:#ff0000;"><script>putmsg(mWarnUploading);</script></span><br /><br />
                  </td>
               </tr>
            </table>
         </td>
      </tr>
      <tr>
         <td align="left">
            <div class="progress">
                  <script language="javascript" type="text/javascript">
                     for (var i = 0; i < requiredDelay; i++) {
                        document.write("<span class=\"cell\" id=\"cell" + i + "\">&nbsp;</span>");
                     }
                  </script>
            </div>
         </td>
      </tr>
  </table>

</div>

<script language="javascript" type="text/javascript" >
	writeWebsHeader_M(menuAdm.firmware, "/m/adm/menu_adm.asp");
</script> 

<!-- help div  -->  
<div id="help" class="help">
<script>htitle("htitle");</script>
<div class="hcontent">
  	<div>
    <table cellPadding="3" cellSpacing="0">
    <tr><td class="help-item"><script>putmsg(mUploadTitle);</script></td></tr>
	<tr><td><script>putmsg(mIntroUpload);</script></td></tr>
	<tr><td style="color:red;"><br /><b><script>putmsg(mNote);</script>:</b><script>putmsg(mNoteUpload);</script></td></tr>
	</table>
	</div>
  <script>hclose("hclose");</script>
</div>
</div>
<div style="text-align:right; border-left-style:none;">
    <a href="#" onclick="showHelp();return false;" onfocus="this.blur();" id="btnHelp" class="ahelp"><script>document.writeln(mHelp);</script></a>
</div>
<!-- help div end -->

 <div class="body_div">   
<table class="body" cellSpacing="0" cellPadding="0" >
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
   
    <td class="left" align="center" valign="top">
    <!-- br / -->
    <form method="post" name="UploadFirmware" action="/cgi-bin/upload.cgi" enctype="multipart/form-data" style="display:none;visibility:hidden;">
  	<fieldset align="center" style="width:95%;"> 
    	<legend><script>putmsg(mUploadFirmware);</script></legend>  
		<input type="hidden" name="nextPage" value="m/adm/upload_firmware.asp">
      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tbody>
        
        <tr>
          <td width="40%">&nbsp;</td>
          <td width="60%">&nbsp;</td>
        </tr>
        
        <tr>
          <td class="head"><script>putmsg(mUploadCurrentFirVersion);</script>:</td>
          <td><% getVersionInfo("versionDisp"); %>.<% getVersionInfo("build"); %> (<% getInternalCode(); %>.<% getSdkVersion(); %>)</td>
        </tr>
        <tr>
          <td class="head"><script>putmsg(mUploadBuildTime);</script>:</td>
          <td id="uploadBuiltDate"><% getSysBuildTime(); %></td>
        </tr>
        <tr>
          <td class="head"><script>putmsg(mUploadFwLocation);</script>:</td>
          <td> <input name="filename" size="26" maxlength="256" type="file"> </td>
        </tr>

	 <tr>
          <td class="head">&nbsp;</td>
          <td class="tail">&nbsp;</td>
        </tr> 
    	<tr>
    	  <td colspan="2" align="center">
	  <script>
	  	document.writeln("<input type='submit' class='button' value='"+mBtnUpgrade+"' name='UploadFirmwareSubmit' onClick=\"return uploadFirmwareCheck();\">");
	  </script>
    	  </td>
    	</tr>   
        </tbody>
       </table>
	</fieldset>
	</form>
	<br />
	  
	<div id="online_div">
    	<form method="post" name="onlineUpgrade" action="/cgi-bin/upload_online.cgi">

	<fieldset align="center" style="width:95%;">
	<br />  
    	<legend><script>putmsg(mUploadOnline);</script></legend> 
	<input type="hidden" name="nextPage" value="m/adm/upload_firmware.asp">
	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	<tr><td colspan="2"><script>putmsg(mIntroOnline);</script></td></tr>
	<tr>
          <td width="40%" class="head"><script>putmsg(mUploadCurrentFirVersion);</script>:</td>
          <td><% getVersionInfo("versionDisp"); %>.<% getVersionInfo("build"); %> (<% getInternalCode(); %>.<% getSdkVersion(); %>)</td>
	</tr>
	<tr>
          <td class="head"><script>putmsg(mUploadBuildTime);</script>:</td>
          <td id="uploadBuiltDate"><% getSysBuildTime(); %></td>
	</tr>
	</table>

	<div id="finfo">
	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	<tr><td colspan="2">&nbsp;</td></tr>
	<tr><td colspan="2"><hr /></td></tr>
	<tr><td width="40%" class="head"><script>putmsg(mFwName);</script>:</td><td width="60%" id="fname"></td></tr>
	<tr><td class="head"><script>putmsg(mUploadBuildTime);</script>:</td><td id="ftime"></td></tr>
	<tr><td class="head"><script>putmsg(mFwVersion);</script>:</td><td id="fversion"></td></tr>
	<tr><td class="head"><script>putmsg(mFwSize);</script>:</td><td id="fsize"></td></tr>
	<tr style="display:none;visibility:hidden;"><td class="head">Priority:</td><td id="fpriority"></td></tr>
	<tr><td colspan="2" id="onlineNotes" align="center">&nbsp;</td></tr>
	<tr><td colspan="2">&nbsp;</td></tr> 
	</table>
	</div>

	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	<tr><td align="center">
	<script>
		document.writeln("<input type='button' style='width:100px;' id='btnOnlineCheck' class='button' value='"+mBtnCheck+"' name='btnOnlineCheck' onClick=\"onlineCheck(); \">&nbsp;&nbsp;");
		document.writeln("<input type='button' style='width:100px;' id='btnDownload' class='button' value='"+mBtnDownload+"' name='btnOnlineDownload' onClick=\"onlineDownload(); \">&nbsp;&nbsp;");
		document.writeln("<input type='submit' style='width:100px;' id='btnUpgrade' class='button' value='"+mBtnOnlineUpgrade+"' name='btnOnlineUpgrade' onClick=\"return onlineUpgradeCheck(); \">&nbsp;&nbsp;");	
		document.writeln("<input type='button' style='width:100px;' id='btnReleaseNotes' class='button' value='"+mBtnReleaseNotes+"' name='btnOnlineRelease' onClick=\"openNewWindow(); \">");
	</script>
	</td></tr>
	</table>

	</fieldset>
	<br />

	</form>
	</div>

	
  	<fieldset id="uploadFWUSBTable"  name="uploadFWUSBTable" align="center" style="width:95%;"> 
    	<legend><script>putmsg(mUploadFirFromUsb);</script></legend>  

	<form method="post" name="ForceMemUpgrade" action="/goform/forceMemUpgrade">
	<input type="hidden" name="nextPage" value="m/adm/upload_firmware.asp">
	<table align="center" class="content" cellpadding="3" cellspacing="0" width="90%" style="display:none;visibility:hidden;">
	<tbody>
        <tr><td width="40%">&nbsp;</td><td width="60%">&nbsp;</td></tr>
	<tr>
		<td class="head" width="40%"><script>putmsg(mForceMem);</script>:</td>
		<td>
			<input type="radio" name="ForceMemUpgradeSelect" value="0"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
			<input type="radio" name="ForceMemUpgradeSelect" value="1"><script>putmsg(mRadioEnable);</script>
		</td>
	</tr>
	<tr><td colspan="2" align="center">
	<script>
		document.writeln("<input type='submit' class='button' name='ForceMemUpgradeSubmit' value='"+mBtnApply+"'>");
	</script>
	</td></tr>
	</tbody>
	</table>
	</form>

	<form method="get" name="UploadFirmwareUSB" action="/cgi-bin/usb_upgrade.cgi">
      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tbody>
        
        <tr>
          <td width="40%">&nbsp;</td>
          <td width="60%">&nbsp;</td>
        </tr>
        
  	<tr>
  	  <td class="head"><script>putmsg(mUploadFwLocation);</script>:</td>
  	  <td>
  		<select name="firmware_path" size="1">
  			<!-- ....Javascript will update these options.... -->
  		</select>                        
  	  </td>
  	</tr>

	 <tr>
          <td class="head">&nbsp;</td>
          <td class="tail">&nbsp;</td>
        </tr> 
	<tr>
	  <td colspan="2" align="center">
            <script>
	      document.writeln("<input class='button' type='submit' value='"+mBtnUpgrade+"' name='UploadFirmwareUSBSubmit' onClick=\"return uploadFirmwareUSBCheck();\">&nbsp;&nbsp;");
	      document.writeln("<input class='button' type='button' value='"+mBtnScan+"' name='UploadFirmwareUSBScan' onClick=\"doUSBScan();\">");
            </script>
	  </td>
	</tr>   
       </tbody>
       </table>
 	</form>
	</fieldset>
  	
    <br />

  	<fieldset id="divUploadBootLoader" align="center" style="width:95%;visibility:hidden;display:none;"> 
	<legend>Update Bootloader</legend>  
	<form method="post" name="UploadBootloader" action="/cgi-bin/upload_bootloader.cgi" enctype="multipart/form-data">
	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	<tbody>
	<tr>
	  <td class="head" width="40%">Location:</td>
	  <td><input name="filename" size="26" maxlength="256" type="file"> </td>
	</tr>
	<tr><td colspan="2" align="center">
	<input type="submit" class="button" value="Apply" name="UploadBootloaderSubmit" onClick="return formBootloaderCheck();">
	</td></tr>
	</tbody>
	</table>
	</form>
	</fieldset>
    <br />

    </td>

    <td class="right-blank">&nbsp;</td>
</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 
       
</div> 

</body>
</html>

