<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("inet"); %>
<% websIncludeLang("time_date"); %>
<% websIncludeLang("ip_filtering"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var opmode = '<% getCfgZero(1, "OperationMode"); %>';
var rb = <% getRebootFlag(); %>;
var lanIp = "<% getLanIpASP(); %>";
var lanMask = "<% getLanNetmaskASP(); %>";

document.title = vendor+" "+model+" - "+mFilterIP;

var MAX_RULES = <% getMaxNum("filteringIP"); %>;

var fEnbl = <% getCfgZero(1, "IPPortFilterEnable"); %>;
var fPolicy = <% getCfgZero(1, "DefaultFirewallPolicy"); %>;
var ipFilterEnbl = <% getCfgZero(1, "IPFilterEnable"); %>;
var ipFilteringIndex = <% getFilteringRuleIndex("ipFiltering"); %>;
var ruleStr = "<% getCfgGeneral(1, "ipFilterRules"); %>";
var ntpServer = "<% getCfgGeneral(1, "NTPServerIP"); %>";

function showAllFilteringRules()
{
	window.open("ipFilteringRules.asp", "IP_Filtering_Rules", "toolbar=no, location=yes, scrollbars=yes, resizable=no, width=screen.availWidth, height=screen.availHeight");
}

function gotoNtp()
{
	window.location.href = "/m/adm/management.asp";
}

function ipFormCheck()
{
	var obj1;
	var obj2;
	var d1, d2;

	if( document.ipFilter.sIpFrom.value == "" && 
		document.ipFilter.dIpFrom.value == "" &&
		document.ipFilter.sPortFrom.value == "" &&
		document.ipFilter.dPortFrom.value == ""){
		alert(mAlertRuleValue);
		return false;
	}

	obj1 = document.ipFilter.sPortFrom;
	if(obj1.value != ""){
		d1 = parseInt(obj1.value);
		if(isNumOnly(obj1.value) == 0 || !checkRange(obj1.value, 1, 0, 65535)){
			alert(mInetSport + mAlertInvalid);
			obj1.focus();
			return false;
		}
		
		obj2 = document.ipFilter.sPortTo;
		if(obj2.value != ""){
			if(isNumOnly(obj2.value) == 0 || !checkRange(obj2.value, 1, 0, 65535)){
				alert(mInetSport + mAlertInvalid);
				obj2.focus();
				return false;
			}		
			d2 = parseInt(obj2.value);
			if(d1 > d2){
				alert(mInetSport + mAlertInvalid);
				obj1.focus();
				return false;
			}
		}
	}

	obj1 = document.ipFilter.dPortFrom;
	if(obj1.value != ""){
		d1 = parseInt(obj1.value);
		if(isNumOnly(obj1.value) == 0 || !checkRange(obj1.value, 1, 0, 65535)){
			alert(mInetDport + mAlertInvalid);
			obj1.focus();
			return false;
		}
		
		obj2 = document.ipFilter.dPortTo;
		if(obj2.value != ""){
			if(isNumOnly(obj2.value) == 0 || !checkRange(obj2.value, 1, 0, 65535)){
				alert(mInetDport + mAlertInvalid);
				obj2.focus();
				return false;
			}		
			d2 = parseInt(obj2.value);
			if(d1 > d2){
				alert(mInetDport + mAlertInvalid);
				obj1.focus();
				return false;
			}
		}
	}
	// check ip address format
	obj1 = document.ipFilter.sIpFrom;
	if(obj1.value != ""){
		if( !checkIpAddr(obj1) || !checkLanIp(lanIp, lanMask, obj1.value) ) {
			alert(mInetSip + mAlertInvalid);
			obj1.focus();
			return false;
		 }

		obj2 = document.ipFilter.sIpTo;
		if(obj2.value != ""){
			if( !checkIpAddr(obj2) || !checkLanIp(lanIp, lanMask, obj2.value) ) {
				alert(mInetSip + mAlertInvalid);
				obj2.focus();
				return false;
			}

			var ip1 = new Array();
			var ip2 = new Array();

			ip1 = obj1.value.split(".");
			ip2 = obj2.value.split(".");
			d1 = parseInt(ip1[3]);
			d2 = parseInt(ip2[3]);
			if (d1 > d2) {
				alert(mInetSip + mAlertInvalid);
				obj1.focus();
				return false;
			}

		}
	}

	obj1 = document.ipFilter.dIpFrom;
	if(obj1.value != ""){
		if(! checkIpAddr(obj1) || checkLanIp(lanIp, lanMask, obj1.value) ){
			alert(mInetDip + mAlertInvalid);
			obj1.focus();
			return false;
		}

		obj2 = document.ipFilter.dIpTo;
		if(obj2.value != ""){
			if(! checkIpAddr(obj2) || checkLanIp(lanIp, lanMask, obj2.value) ){
				alert(mInetDip + mAlertInvalid);
				obj2.focus();
				return false;
			}

			var ip1 = new Array();
			var ip2 = new Array();

			ip1 = obj1.value.split(".");
			ip2 = obj2.value.split(".");
			d1 = parseInt(ip1[3]);
			d2 = parseInt(ip2[3]);
			if (d1 > d2) {
				alert(mInetDip + mAlertInvalid);
				obj1.focus();
				return false;
			}

		}
	}

	if (document.ipFilter.cbEnbl.checked == true) {
		document.ipFilter.enbl.value = 1;
	}
	else {
		document.ipFilter.enbl.value = 0;
	}

	if (document.ipFilter.dateMode.checked == true) { // every day
		document.ipFilter.dateVal.value = 255;
	}
	else {
		var value = 0;
		if (document.ipFilter.date0.checked == true) {
			value = value | 1;
		}
		if (document.ipFilter.date1.checked == true) {
			value = value | (1<<1);
		}
		if (document.ipFilter.date2.checked == true) {
			value = value | (1<<2);
		}
		if (document.ipFilter.date3.checked == true) {
			value = value | (1<<3);
		}
		if (document.ipFilter.date4.checked == true) {
			value = value | (1<<4);
		}
		if (document.ipFilter.date5.checked == true) {
			value = value | (1<<5);
		}
		if (document.ipFilter.date6.checked == true) {
			value = value | (1<<6);
		}

		if (value == 0) {
			alert(mAlertWeekday)
			return false;
		}
		document.ipFilter.dateVal.value = value;
	}

	if (document.ipFilter.timeMode[1].checked == true) {
		// check time
		var objFromH = document.ipFilter.tHourFrom;
		var objFromM = document.ipFilter.tMinFrom;
		var objToH = document.ipFilter.tHourTo;
		var objToM = document.ipFilter.tMinTo;
		var fromValueH = parseInt(objFromH.value);
		var fromValueM = parseInt(objFromM.value);
		var toValueH = parseInt(objToH.value);
		var toValueM = parseInt(objToM.value);
		if (objFromH.value == "" || isNumOnly(objFromH.value) == 0 || fromValueH > 23 || fromValueH < 0) {
			alert(mFilterTime + mAlertInvalid);
			objFromH.focus();
			return false;
		}
		if (objFromM.value == "" || isNumOnly(objFromM.value) == 0 || fromValueM > 59 || fromValueM < 0) {
			alert(mFilterTime + mAlertInvalid);
			objFromM.focus();
			return false;
		}
		if (objToH.value == "" ||isNumOnly(objToH.value) == 0 || toValueH > 23 || toValueH < 0) {
			alert(mFilterTime + mAlertInvalid);
			objToH.focus();
			return false;
		}
		if (objToM.value == "" ||isNumOnly(objToM.value) == 0 || toValueM > 59 || toValueM < 0) {
			alert(mFilterTime + mAlertInvalid);
			objToM.focus();
			return false;
		}

		if (toValueH < fromValueH) {
			alert(mFilterTime + mAlertInvalid);
			objFromH.focus();
			return false;
		}
	}

	document.ipFilter.chRule.value = "0";

	if (fEnbl == 0) {
		if (confirm(mCfmFwDisabled)) {
			document.getElementById("fwEnable").value = 1;
		}
		if (ipFilterEnbl == 0) {
			if (confirm(mCfmFilterIPDisabled)) {
				document.getElementById("ipFilterEnable").value = 1;
			}
		}
	}
	else if (ipFilterEnbl == 0) {
		if (confirm(mCfmFilterIPDisabled)) {
			document.getElementById("ipFilterEnable").value = 1;
		}
	}

	return true;
}

function ruleChange()
{
	document.ipFilter.chRule.value = "1";
	document.ipFilter.submit();
}

function protoChange()
{
	if( document.ipFilter.proto.options.selectedIndex == 1 ||
		document.ipFilter.proto.options.selectedIndex == 2){
		document.ipFilter.dPortFrom.disabled = false;
		document.ipFilter.dPortTo.disabled = false;
		document.ipFilter.sPortFrom.disabled = false;
		document.ipFilter.sPortTo.disabled = false;
	}
	else{
		document.ipFilter.dPortFrom.disabled = true;
		document.ipFilter.dPortTo.disabled = true;
		document.ipFilter.sPortFrom.disabled = true;
		document.ipFilter.sPortTo.disabled = true;

		document.ipFilter.dPortFrom.value = 
			document.ipFilter.dPortTo.value = 
			document.ipFilter.sPortFrom.value = 
			document.ipFilter.sPortTo.value = "";
	}
}

function dateModeChange()
{
	var dateId = "date";
	var i=0;
	var cbStatus = false;

	if (document.ipFilter.dateMode.checked == true) {
		cbStatus = true;
	}
	else {
		cbStatus = false;
	}

	document.ipFilter.date0.disabled = cbStatus;
	document.ipFilter.date1.disabled = cbStatus;
	document.ipFilter.date2.disabled = cbStatus;
	document.ipFilter.date3.disabled = cbStatus;
	document.ipFilter.date4.disabled = cbStatus;
	document.ipFilter.date5.disabled = cbStatus;
	document.ipFilter.date6.disabled = cbStatus;
}

function timeModeChange()
{
	var disableStatus = false;
	if (document.ipFilter.timeMode[0].checked == true) {
		disableStatus = true;
	}
	else {
		disableStatus = false;
	}
	document.ipFilter.tHourFrom.disabled = disableStatus;
	document.ipFilter.tMinFrom.disabled = disableStatus;
	document.ipFilter.tHourTo.disabled = disableStatus;
	document.ipFilter.tMinTo.disabled = disableStatus;
}

function initFiltering()
{
	var rules = new Array();
	rules = ruleStr.split(";");

	if (rules.length > ipFilteringIndex) {
		var entry = new Array();
		entry = rules[ipFilteringIndex].split(",");

		if (entry.length == 17) {
			document.ipFilter.cbEnbl.checked = (entry[0] == "1") ? true : false;
			document.ipFilter.sIpFrom.value = entry[1];
			document.ipFilter.sIpTo.value = entry[2];
			document.ipFilter.sPortFrom.value = (entry[3] == "0") ? "" : entry[3];
			document.ipFilter.sPortTo.value = (entry[4] == "0") ? "" : entry[4];
			document.ipFilter.dIpFrom.value = entry[5];
			document.ipFilter.dIpTo.value = entry[6];
			document.ipFilter.dPortFrom.value = (entry[7] == "0") ? "" : entry[7];
			document.ipFilter.dPortTo.value = (entry[8] == "0") ? "" : entry[8];

			// protocol
			if (entry[9] == "1")
				document.ipFilter.proto.selectedIndex = 1;
			else if (entry[9] == "2")
				document.ipFilter.proto.selectedIndex = 2;
			else if (entry[9] == "4")
				document.ipFilter.proto.selectedIndex = 3;
			else
				document.ipFilter.proto.selectedIndex = 0;

			document.ipFilter.comment.value = entry[10];

			if (entry[11] == "255") {
				document.ipFilter.dateMode.checked = true;
			}
			else {
				var dateVal = parseInt(entry[11]);

				document.ipFilter.dateMode.checked = false;

				document.ipFilter.date0.checked = (dateVal & 1) ? true : false;
				document.ipFilter.date1.checked = (dateVal & (1<<1)) ? true : false;
				document.ipFilter.date2.checked = (dateVal & (1<<2)) ? true : false;
				document.ipFilter.date3.checked = (dateVal & (1<<3)) ? true : false;
				document.ipFilter.date4.checked = (dateVal & (1<<4)) ? true : false;
				document.ipFilter.date5.checked = (dateVal & (1<<5)) ? true : false;
				document.ipFilter.date6.checked = (dateVal & (1<<6)) ? true : false;
			}

			document.ipFilter.timeMode[1*entry[12]].checked = true;
			document.ipFilter.tHourFrom.value = entry[13];
			document.ipFilter.tMinFrom.value = entry[14];
			document.ipFilter.tHourTo.value = entry[15];
			document.ipFilter.tMinTo.value = entry[16];
		}
	}
}

function initValue()
{
	if (fEnbl == 1) {
		document.getElementById("filterFirewallEnbl").innerHTML = mRadioEnable;
		document.getElementById("filterFirewallEnbl").style.color = "green";
	}
	else {
		document.getElementById("filterFirewallEnbl").innerHTML = mRadioDisable;
		document.getElementById("filterFirewallEnbl").style.color = "red";
	}
	document.getElementById("fwEnable").value = fEnbl;

	if (ipFilterEnbl == 1) {
		document.getElementById("filterIpEnbl").innerHTML = mRadioEnable;
		document.getElementById("filterIpEnbl").style.color = "green";
	}
	else {
		document.getElementById("filterIpEnbl").innerHTML = mRadioDisable;
		document.getElementById("filterIpEnbl").style.color = "red";
	}
	document.getElementById("ipFilterEnable").value = ipFilterEnbl;

	if (fPolicy == 1) {
		document.getElementById("filterPolicy").innerHTML = mPolicyDrop + ":";
		document.getElementById("filterPolicyDesc").innerHTML = mPolicyDropDesc;
	}
	else {
		document.getElementById("filterPolicy").innerHTML = mPolicyAccept + ":";
		document.getElementById("filterPolicyDesc").innerHTML = mPolicyAcceptDesc;
	}

	document.getElementById("filterRuleIndex").selectedIndex = ipFilteringIndex;

	initFiltering();
	protoChange();
	dateModeChange();
	timeModeChange();
}

</script>

</head>

<body onLoad="initValue();">

<script language="javascript" type="text/javascript" >
	writeWebsHeader_M(menuFirewall.ipFiltering, "/m/firewall/menu_fwf.asp");
</script>                 
<!-- help div  -->
<div id="help" class="help">
<script>htitle("htitle");</script>
<div class="hcontent">
  <div>
  <table cellPadding="3" cellSpacing="0">
  
  <tr><td class="help-item"><script>putmsg(mFilterIP);</script></td></tr>
	<tr><td><script>putmsg(mIntroFilterIP);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

	<tr><td class="help-item"><script>putmsg(mInetSip);</script></td></tr>
	<tr><td><script>putmsg(mIntroFilterSip);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

	<tr><td class="help-item"><script>putmsg(mInetDip);</script></td></tr>
	<tr><td><script>putmsg(mIntroFilterDip);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

	<tr><td class="help-item"><script>putmsg(mInetProto);</script></td></tr>
	<tr><td><script>putmsg(mIntroFilterProto);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

	<tr><td class="help-item"><script>putmsg(mDate);</script></td></tr>
	<tr><td><script>putmsg(mIntroFilterDate);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

	<tr><td class="help-item"><script>putmsg(mFilterTime);</script><//td></tr>
	<tr><td><script>putmsg(mIntroFilterTime);</script></td></tr>
	<tr><td class="help-item" style="color:red;"><script>putmsg(mNote);</script>:&nbsp;</td></tr>
	<tr><td style="color:red;"><script>putmsg(mNoteFilterTime);</script></td></tr>
   
 </table>
  </div>
  <script>hclose("hclose");</script>
</div>
</div>

<div style="text-align:right; border-left-style:none;">
    <a href="#" onclick="showHelp();return false;" onfocus="this.blur();" id="btnHelp" class="ahelp"><script>document.writeln(mHelp);</script></a>
</div>
<!-- help div end -->
  
<div class="body_div">      
<table class="body" cellSpacing="0" cellPadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
    <td class="left" align="center" valign="top">
	<script>writeReboot(rb);</script>
  	<br />
  	<fieldset align="center" style="width:95%;"> 
    	<legend><script>putmsg(mFilterIP);</script></legend>  
	<br />
      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	<tr>
		<td width="45%" class="head"><script>putmsg(mFilterFw);</script>:</td>
		<td><b id="filterFirewallEnbl"></b></td>
	</tr>
	<tr>
		<td class="head"><script>putmsg(mFilterIP);</script>:</td>
		<td><b id="filterIpEnbl"></b></td>
	</tr>
	<tr style="display:none;visibility:hidden;">
		<td class="head"><script>putmsg(mPolicydft);</script>:</td>
		<td><b id="filterPolicy"></b>&nbsp;<span id="filterPolicyDesc"></span></td>
	</tr>
	<script language="javascript" type="text/javascript" >
	if (ntpServer.length < 2) {
		document.writeln("<tr><td colspan=\"2\">");
		document.writeln("<span style=\"color:red;\"><b>"+mWarning+":</b> "+mWarningFilterNTP+"</span>");
		document.writeln("&nbsp;&nbsp;<input type=\"button\" class=\"button\" value=\""+mFilterNTPSetup+"\" onClick=\"gotoNtp();\">");
		document.writeln("</td></tr>");
	}
	</script>
	</table>
	<br />
  	</fieldset>

	<br /><br />

	<form method="post" name="ipFilter" action="/goform/ipFilter">
  	<fieldset align="center" style="width:95%;"> 
    	<legend id="filterRuleSettings"><script>putmsg(mFilterRuleSet);</script></legend>  
		<input type="hidden" name="nextPage" value="m/firewall/ip_filtering.asp">

	<input type="hidden" name="fwEnable" id="fwEnable" value="1">
	<input type="hidden" name="ipFilterEnable" id="ipFilterEnable" value="1">
      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tbody>
        
     <tr><td colspan="2"></td></tr>

	   <tr>
		  <td colspan="2"><script>putmsg(mFilterRule);</script>:</td>
      </tr>
      <tr>
		  <td>

			<select onChange="ruleChange();" name="filterRuleIndex" id="filterRuleIndex">
		<script language="javascript" type="text/javascript" >
			var i=0;
			for (i=0;i<MAX_RULES;i++) {
				document.writeln("<option value=\""+i+"\">"+(i+1)+"&nbsp;( )</option>");
			}
		</script>
			</select>
		</td>
    <td>
		<script>
			document.write("<input type='button' class='button' value='"+mBtnRuleAll+"' onClick='showAllFilteringRules();' style='width:100px;'>");
		</script>
		<input type="hidden" name="chRule" value="0">
		</td>
	</tr>

	<tr><td colspan="2">&nbsp;</td></tr>

	<tr>
		<td class="head"><script>putmsg(mRadioEnable);</script>:</td>
		<td><input type="checkbox" name="cbEnbl" checked><input type="hidden" name="enbl" value="1"></td>
	</tr>

	<tr>
		<td class="head" colspan="2"><script>putmsg(mFilterRuleName);</script>:</td>
  </tr>
  <tr>
		<td colspan="2"><input type="text" name="comment" size="20" maxlength="32"></td>
	</tr>  

	<tr>
		<td class="head" colspan="2"><script>putmsg(mInetSip);</script>:</td>
  </tr>
  <tr>
		<td colspan="2"><input type="text" size="16" maxlength="15" name="sIpFrom">&nbsp;&nbsp;-&nbsp;<input type="text" size="16" maxlength="15" name="sIpTo"></td>
	</tr>

	<tr>
		<td class="head" colspan="2"><script>putmsg(mInetDip);</script>:</td>
  </tr>
  <tr>
		<td colspan="2"><input type="text" size="16" maxlength="15" name="dIpFrom">&nbsp;&nbsp;-&nbsp;<input type="text" size="16" maxlength="15" name="dIpTo"></td>
	</tr>

	<tr>
		<td class="head"><script>putmsg(mInetProto);</script>:</td>
		<td >
			<select onChange="protoChange();" name="proto" id="proto">
				<option value="None"><script>putmsg(mInetProtoAll);</script></option>
				<option value="TCP">TCP</option>
				<option value="UDP">UDP</option>
				<option value="ICMP">ICMP</option>
			</select>
		</td>
	</tr>

	<tr>
		<td class="head" colspan="2"><script>putmsg(mInetSport);</script>:</td>
  </tr>
  <tr>
		<td colspan="2">
	  		<input type="text" size="5" maxlength="5" name="sPortFrom" id="sPortFrom">&nbsp;&nbsp;-&nbsp;
			<input type="text" size="5" maxlength="5" name="sPortTo" id="sPortTo">
		</td>
	</tr>

	<tr>
		<td class="head"><script>putmsg(mInetDport);</script>:</td>
  </tr>
  <tr>
		<td colspan="2">
	  		<input type="text" size="5" maxlength="5" name="dPortFrom" id="dPortFrom">&nbsp;&nbsp;-&nbsp;
			<input type="text" size="5" maxlength="5" name="dPortTo" id="dPortTo">
		</td>
	</tr>

	<tr><td colspan="2"><td>&nbsp;</td></tr>
	<tr>
		<td class="head" valign="top"><script>putmsg(mDate);</script>:</td>
		<td>
			<input type="checkbox" name="dateMode" checked onClick="dateModeChange();"><script>putmsg(mDateAll);</script>
			<input type="hidden" name="dateVal" value="255">
		</td>
	</tr>
	<tr>
		<td colspan="2" align="center">
			<input type="checkbox" name="date0" id="date0"><script>putmsg(mDateSun);</script>&nbsp;
			<input type="checkbox" name="date1" id="date1"><script>putmsg(mDateMon);</script>&nbsp;
			<input type="checkbox" name="date2" id="date2"><script>putmsg(mDateTue);</script><br />
			<input type="checkbox" name="date3" id="date3"><script>putmsg(mDateWed);</script>&nbsp;
			<input type="checkbox" name="date4" id="date4"><script>putmsg(mDateThu);</script>&nbsp;
			<input type="checkbox" name="date5" id="date5"><script>putmsg(mDateFri);</script><br />
			<input type="checkbox" name="date6" id="date6"><script>putmsg(mDateSat);</script>
		</td>
	</tr>

	<tr>
		<td class="head" valign="top"><script>putmsg(mFilterTime);</script>:</td>
		<td>
			<input type="radio" name="timeMode" value="0" checked onClick="timeModeChange();">24 <script>putmsg(mFilterTimeHour);</script><br />
		</td>
	</tr>
	<tr>
    <td>&nbsp;</td>
		<td >
			<input type="radio" name="timeMode" value="1" onClick="timeModeChange();"><script>putmsg(mFilterTimeSpe);</script>&nbsp;
    </td>
    <tr>
      <td colspan="2" align="center">
			<input type="text" name="tHourFrom" value="" size="2" maxlength="2">:
			<input type="text" name="tMinFrom" value="" size="2" maxlength="2">&nbsp;&nbsp;-&nbsp;
			<input type="text" name="tHourTo" value="" size="2" maxlength="2">:
			<input type="text" name="tMinTo" value="" size="2" maxlength="2">
		</td>
	</tr>

	</tbody>
	</table>
	       

	<br />
	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	<tr>
	  <td align="center"><script>
	  document.writeln("<input type='submit' class='button' name='save' value='"+mBtnSave+"' onClick='return ipFormCheck();'>&nbsp;&nbsp;");
		if (rb == 0)
		document.write("<input type='submit' class='button' value='"+mBtnApply+"' name='apply' onClick='return ipFormCheck();'>&nbsp;&nbsp;");
		document.write("<input type='reset' class='button' value='"+mBtnCancel+"' name='cancel' onClick='window.location.reload();'>");
	  </script></td>
	</tr>
	</table>
  </fieldset>
  </form>
    <br />  
    
    </td>
 <td class="right-blank">&nbsp;</td>
</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 
       
</div> 

</body>
</html>

