<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("inet"); %>
<% websIncludeLang("system_firewall"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var opmode = '<% getCfgZero(1, "OperationMode"); %>';
var rb = <% getRebootFlag(); %>;
var fEnbl = <% getCfgZero(1, "IPPortFilterEnable"); %>;
var port = "<% getCfgGeneral(1, "rmPort"); %>";
var rm = "<% getCfgGeneral(1, "RemoteManagement"); %>";
var telnet = "<% getCfgZero(1, "telnetEnabled"); %>";
var wpf = "<% getCfgGeneral(1, "WANPingFilter"); %>";
var spi = "<% getCfgGeneral(1, "SPIFWEnabled"); %>";
var bps = "<% getCfgGeneral(1, "BlockPortScan"); %>";
var bsf = "<% getCfgGeneral(1, "BlockSynFlood"); %>";
var wanIpList = "<% getCfgGeneral(1, "webAclWan"); %>";
var lanIpList = "<% getCfgGeneral(1, "webAclLan"); %>";
var support_ipPermit = <% getIpAclBuilt(); %>;
var arpStr = "<% getArpList(0); %>";
//var arpStr = "192.168.1.100,00:24:21:E2:BF:5C,1;192.168.1.101,00:26:18:02:6F:C5,1;192.168.9.102,00:24:21:E2:EF:FF,1";
var arpList = new Array();
arpList = arpStr.split(";");
var MAXNUM = 50;

document.title = vendor+" "+model+" - "+mTitleSysfw;

function formCheck()
{
	if (fEnbl == 0) {
		if (confirm(mCfmFwDisabled)) {
			document.getElementById("fwEnable").value = 1;
		}
	}
	if (document.websSysFirewall.remoteManagementEnabled[1].checked == true) {
		var e = document.getElementById("rmPort");
		var p = atoi(e.value, 1);
		if (e.value == "") {
			alert(mSysfwRmPort + mAlertEmpty);
			e.focus();
			return false;
		}
		if (p > 65535 || p < 1 || isNumOnly( e.value ) == 0) {
			alert(mSysfwRmPort + mAlertInvalid);
			e.focus();
			return false;
		}
		if (p == 80) {
			if(confirm(mSysfwRmPort + mCfmPortWww) == false) {
				e.focus();
				return false;
			}
		}
		if (rm*1 == 0 || e.value != port)
			return confirm(mCfmSysfwRmEnable);
		return true;
	}
	return true;
}

function rmChange()
{
	var e = document.getElementById("rmPort");
	var portRow = document.getElementById("rmPortRow");
	if (document.websSysFirewall.remoteManagementEnabled[1].checked == true) {
		e.disabled = false;
		e.readonly = false;
		portRow.style.visibility = "visible";
		portRow.style.display = style_display_on();
	}
	else {
		e.disabled = true;
		e.readonly = true;
		portRow.style.visibility = "hidden";
		portRow.style.display = "none";
	}
}

function onInit()
{
	document.getElementById("fwEnable").value = fEnbl;

	if(rm == "1")
		document.websSysFirewall.remoteManagementEnabled[1].checked = true;
	else
		document.websSysFirewall.remoteManagementEnabled[0].checked = true;
	if(telnet == "1")
		document.websSysFirewall.telnetEnabled[1].checked = true;
	else
		document.websSysFirewall.telnetEnabled[0].checked = true;
	if(wpf == "1")
		document.websSysFirewall.pingFrmWANFilterEnabled[1].checked = true;
	else
		document.websSysFirewall.pingFrmWANFilterEnabled[0].checked = true;
	if(spi == "1")
		document.websSysFirewall.spiFWEnabled[1].checked = true;
	else
		document.websSysFirewall.spiFWEnabled[0].checked = true;

	if(bps == "1")
		document.websSysFirewall.blockPortScanEnabled[1].checked = true;
	else
		document.websSysFirewall.blockPortScanEnabled[0].checked = true;

	if(bsf == "1")
		document.websSysFirewall.blockSynFloodEnabled[1].checked = true;
	else
		document.websSysFirewall.blockSynFloodEnabled[0].checked = true;

	if (port != "")
		document.getElementById("rmPort").value = port;

	rmChange();

	document.getElementById("wanIpStr").value = wanIpList;
	document.getElementById("lanIpStr").value = lanIpList;
	
	showList("wan");
	showList("lan");
	
	if(support_ipPermit == 1){
		show("ipPermit");
		showTRId("ipPermitHr");
		showTRId("ipPermitHelpHead");
		showTRId("ipPermitHelp");
	}
}


function hiddenAll(type)
{
	var i;

	for (i = 0; i < MAXNUM; i++)
	{
		document.getElementById(type+"IpTr"+i).style.visibility = "hidden";
		document.getElementById(type+"IpTr"+i).style.display = "none";
	}
	
}

function showTR(type,idx)
{

	document.getElementById(type+"IpTr"+idx).style.visibility = "visible";
	document.getElementById(type+"IpTr"+idx).style.display = style_display_on();
}

function show(id)
{
	document.getElementById(id).style.visibility = "visible";
	document.getElementById(id).style.display = "";
}

function showTRId(id)
{
	document.getElementById(id).style.visibility = "visible";
	document.getElementById(id).style.display = style_display_on();
}

function showList(type)
{
	hiddenAll(type);
	showTRId("wanAdd");
	showTRId("lanAdd");
	var ListStr = document.getElementById(type+"IpStr").value;
	if( ListStr == "")
		return false;
	var List = ListStr.split(";");
	for (i=0; i<List.length; i++) {
		showTR(type,i);
		document.getElementById(type+"Ip"+i).innerHTML = List[i];
	}
	gainTheNum();
	return true;
}

function delIpList(str)
{
	var List =str.split("_");
	var type = List[0];
	var index = List[1];
	
	var e = document.getElementById(type+"IpStr").value;
	var newIpStr = "";
	var List = e.split(";");
	var i;
	for(i = 0;i < List.length;i++)
	{
		if(index != i){
			if(newIpStr == "")
				newIpStr = List[i];
			else
				newIpStr += ";"+ List[i];
		}
	}
	document.getElementById(type+"IpStr").value = newIpStr;
	showList("wan");
	showList("lan");
	return true;
}

function gainIpStr(type)
{
	var ListStr = document.getElementById(type+"IpStr").value;
	var e = document.getElementById("add"+type+"Ip");
	var i;
	var flag = 0;
	var eStr;
	var lanStartStr;
	var lanEndStr;
	
	if(checkrepeat(type, e) == false)
		return false;

	if(checkIpAddr(e) == false){
		alert(mAlertFormatwrg);
		e.focus();
		return false;
	}

	var lanStartIp = "<% getCfgGeneral(1, "dhcpStart"); %>";
	var lanEndIp = "<% getCfgGeneral(1, "dhcpEnd"); %>";
	var lanIp =  "<% getLanIpASP(); %>";
	var lanMask = "<% getLanNetmaskASP(); %>";
	
	if(e.value == lanIp)
	{
		alert(mAlertRouterIp);
		e.value = "";
		e.focus();
		return false;
	}
	
	if(!checkLanIp(lanIp, lanMask, e.value))
			flag = 1;
	else
			flag = 0;
	/*
	for (i = 1; i < 5; i++){
		eStr = atoi(e.value, i);
		lanStartStr = atoi(lanStartIp, i);
		if(i != 4){
			if(eStr != lanStartStr){
				flag = 1;
				break;
			}	
		}
		else{
			lanEndStr = atoi(lanEndIp, i);
			if(checkRange(e.value, i, lanStartStr, lanEndStr) == false)
				flag = 1;
		}
	}		
	*/
	if( flag ==0 && type == "wan"){
		alert(mAlertLanToWan);
		e.value = "";
		e.focus();
		return false;
	}
	
	if( flag ==1 && type == "lan"){
		alert(mAlertWantolan);
		e.value = "";
		e.focus();
		return false;
	}

	if(ListStr == "")
		ListStr = e.value;
	else
		ListStr += ";"+e.value;
	
	document.getElementById(type+"IpStr").value = ListStr;
	e.value = "";
	e.focus();
	showList(type);
	return true;
}

function gainTheNum()
{
	var wanIpStr = document.getElementById("wanIpStr").value;
	var lanIpStr = document.getElementById("lanIpStr").value;
	
	var wanList = new Array();
	var lanList = new Array();
	
	wanList = wanIpStr.split(";");
	lanList = lanIpStr.split(";");
	var wanNum = wanList.length;
	var lanNum = lanList.length;

	if(wanIpStr == ""){
		wanNum = 0;
	}
	
	if(lanIpStr == ""){
		lanNum = 0;
	}
	var num = wanNum+ lanNum;
	if( num == MAXNUM){
		document.getElementById("lanAdd").style.display = "none";
		document.getElementById("wanAdd").style.display = "none";
	}
	return num;
}

function checkrepeat(type, e)
{
	var ListStr = document.getElementById(type+"IpStr").value;
	if(ListStr == "")
		return true;
	var List = ListStr.split(";");
	for (i=0; i<List.length; i++) {
		if( List[i] == e.value){
		alert(mAlertRepeat);
		e.focus();
		return false;
		}
	}
	return true;
}

function showAddrList()
{
	document.getElementById("addrListBg").style.display = "block";
	document.getElementById("addrList").style.display = "block";
}

function hideAddrList()
{
	document.getElementById("addrListBg").style.display = "none";
	document.getElementById("addrList").style.display = "none";
}

function getIp(index)
{
	var entry = new Array();
	entry = arpList[index].split(",");
	document.getElementById("addlanIp").value = entry[0];
	hideAddrList();
}
</script>

</head>

<body onLoad="onInit();">
<div id="addrListBg" style="display:none;" class="back-overlay">
<iframe src=" " style="position:absolute;visibility:inherit; top:0px; left:0px; width:100%; height:100%; z-index:-1;opacity:.0; filter: alpha( opacity=0 ); -moz-opacity: 0;">
</iframe>
</div>

<div id="addrList" class="front-content" style="display:none;height:auto;margin:auto;">
<fieldset align="center">
  <legend id="legendArpList"><script>putmsg(mLegendArpList);</script></legend>
      <script>writeARPList(arpList, 0, "getIp");</script>
  <br /><br />
  <table width="90%" border="0">
    <tr><td align="center">
	<script>
    	document.write("<input type='button' class='button' id='back' value='"+mBtnClose+"' onClick='hideAddrList();'>");
    	</script>
    </td></tr>
  </table>
</fieldset><br />
</div>

<script language="javascript" type="text/javascript" >
      writeWebsHeader_M(menuFirewall.sysFirewall, "/m/firewall/menu_fwf.asp");
</script>   
<!-- help div  -->
<div id="help" class="help">
<script>htitle("htitle");</script>
<div class="hcontent">
  <div>
  <table cellPadding="3" cellSpacing="0">
  <tr><td class="help-item"><script>putmsg(mSysfwSet);</script></td></tr>
	<tr><td><script>putmsg(mIntroSysfw);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

        <tr><td class="help-item"><script>putmsg(mSysfwRmMan);</script></td></tr>
	<tr><td><script>putmsg(mIntroSysfwRmMan);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

        <tr><td class="help-item"><script>putmsg(mSysfwPing);</script></td></tr>
	<tr><td><script>putmsg(mIntroSysfwPing);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

        <tr><td class="help-item"><script>putmsg(mSysfwSpi);</script></td></tr>
	<tr><td><script>putmsg(mIntroSysfwSpi);</script></td></tr>
	<tr id="ipPermitHr" class="helpHr" style="display:none;"><td><hr/></td></tr>
	<tr id="ipPermitHelpHead" style="display:none;"><td class="help-item"><script>putmsg(mIpLogInSet);</script></td></tr>
	<tr id="ipPermitHelp" style="display:none;"><td><script>putmsg(mIntroIPPermit);</script></td></tr>
  
 </table>
  </div>
  <script>hclose("hclose");</script>
</div>
</div>

<div style="text-align:right; border-left-style:none;">
    <a href="#" onclick="showHelp();return false;" onfocus="this.blur();" id="btnHelp" class="ahelp"><script>document.writeln(mHelp);</script></a>
</div>
<!-- help div end -->                
<div class="body_div">
<table class="body" cellSpacing="0" cellPadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
    <td class="left" align="center" valign="top">
	<script>writeReboot(rb);</script>
  	<br />

	<form method="post" name="websSysFirewall" action="/goform/websSysFirewall">
	<input type="hidden" name="fwEnable" id="fwEnable" value="1">
  	<fieldset align="center" style="width:95%;"> 
	<input type="hidden" name="nextPage" value="m/firewall/system_firewall.asp">
    	<legend><script>putmsg(mSysfwSet);</script></legend>  

      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tbody>
        
        <tr>
          <td width="45%">&nbsp;</td>
          <td width="55%">&nbsp;</td>
        </tr>
	 <tr>
		<td class="head"><script>putmsg(mSysfwRmMan);</script>:</td>
		<td>
		<input type="radio" name="remoteManagementEnabled" value="0" onClick="rmChange();"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
		<input type="radio" name="remoteManagementEnabled" value="1" onClick="rmChange();"><script>putmsg(mRadioEnable);</script>
		</td>
	 </tr>
	 <tr id="rmPortRow">
		<td class="head"><script>putmsg(mSysfwRmPort);</script>:</td>
		<td>
		<input type="text" name="rmPort" id="rmPort" size="6" maxlength="5" value="8080">&nbsp;<span class="comment">(1-65535)</span>
		</td>
	</tr>
	
	<tr>
		<td class="head"><script>putmsg(mSysfwTelnet);</script>:</td>
		<td>
		<input type="radio" name="telnetEnabled" value="0"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
		<input type="radio" name="telnetEnabled" value="1"><script>putmsg(mRadioEnable);</script>
		</td>
	</tr>
	
	<tr>
		<td class="head"><script>putmsg(mSysfwPing);</script>:</td>
		<td>
		<input type="radio" name="pingFrmWANFilterEnabled" value="0"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
		<input type="radio" name="pingFrmWANFilterEnabled" value="1"><script>putmsg(mRadioEnable);</script>
		</td>
	</tr>

	<tr>
		<td class="head"><script>putmsg(mSysfwBlockScan);</script>:</td>
		<td>
		<input type="radio" name="blockPortScanEnabled" value="0"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
		<input type="radio" name="blockPortScanEnabled" value="1"><script>putmsg(mRadioEnable);</script>
		</td>
	</tr>

	<tr>
		<td class="head"><script>putmsg(mSysfwBlockSyn);</script>:</td>
		<td>
		<input type="radio" name="blockSynFloodEnabled" value="0"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
		<input type="radio" name="blockSynFloodEnabled" value="1"><script>putmsg(mRadioEnable);</script>
		</td>
	</tr>
        
	<tr>
		<td class="head"><script>putmsg(mSysfwSpi);</script>:</td>
		<td>
		<input type="radio" name="spiFWEnabled" value="0"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
		<input type="radio" name="spiFWEnabled" value="1"><script>putmsg(mRadioEnable);</script>
		</td>
	</tr>
	 <tr>
          <td class="head">&nbsp;</td>
          <td class="tail">&nbsp;</td>
        </tr>    
        </tbody>
       </table>
	</fieldset>
	<br />

	<table align="center" class="content" width="80%" cellSpacing="0" cellPadding="3">
	  <tr>
	    <td align="center"><script>
		document.write("<input type='submit' class='button' name='save' value='"+mBtnSave+"' onClick='return formCheck();'>&nbsp;&nbsp;");
		if (rb == 0)
			document.write("<input type='submit' class='button'  value='"+mBtnApply+"' name='sysfwApply' onClick='return formCheck();'>&nbsp;&nbsp;");
		document.write("<input type='reset' class='button'  value='"+mBtnCancel+"' name='sysfwReset' onClick='window.location.reload();'>");
	    </script></td>
	</tr>
	</table>
	</form>

<br /><br />

<div id="ipPermit" style="display:none;visibility:hidden;">
<form method="post" name="ipPermitForm" action="/goform/ipACL">
	<fieldset align="center" style="width:95%;"> 
	<input type="hidden" name="nextPage" value="m/firewall/system_firewall.asp">
    	<legend id="ipLogInSetting" align="justify" ><script>putmsg(mIpLogInSet);</script></legend> 
	<table width="100%" id="ipLogInSetting">
	<tr>
	  <td valign="top" colspan="2">
	  <fieldset align="center">
	  <legend id="WanIpLG"><script>putmsg(mWanIpLG);</script></legend> 
	  <table width="100%" id="ipLogInSetting">
	  <tr id="wanAdd">
	    <td class="head" id="manAdmAccount0" align="justify" colspan="2">
	    <script>
	      document.write("<input type='text' id='addwanIp' name='addwanIp' size='18'>"); 
	      document.write("<input type='button' value='"+mBtnAdd+"' name='btnAddWanIP' id='btnAddWanIP' onClick='gainIpStr(\"wan\");'>");
	    </script></td>
	  </tr>
	  <tr>
	    <td class="head" id="WanIp" align="center" width="70%"><script>putmsg(mInetIp);</script></td>
	    <td class="head" id="WanDel" align="center" width="30%"><script>putmsg(mBtnDel);</script></td>
	  </tr>
	  <script language="javascript" type="text/javascript">
	  var i;
	  for (i = 0; i < MAXNUM; i++) 
	  {
		document.writeln("<tr id=\"wanIpTr"+i+"\">");
		document.writeln("<td align=\"center\" id=\"wanIp"+i+"\"></td>");
		document.writeln("<td align=\"center\"><input type=\"button\" id=\"wan_"+i+"\" name=\"wanIpDel_"+i+"\" value='"+mBtnDel+"' onClick=\"delIpList(id);\">&nbsp;</td>");
		document.writeln("</tr>");
	  }
	  hiddenAll("wan");	
	  </script>
	  </table>
	  </fieldset>
	  </td>
		<tr>
	  <td valign="top" colspan="2">
	  <fieldset align="center">
	  <legend id="LanIpLG"><script>putmsg(mLanIpLG);</script></legend>
	  <table width="100%" id="ipLogInSetting">
	  <tr id = "lanAdd">
	    <td class="head" id="manAdmAccount0" align="justify" colspan="2">
	    <script>
	      document.write("<input type='text' id='addlanIp' name='addLanIp' size='18'>");
	      document.write("<input type='button' value='"+mBtnAdd+"' name='btnAddLanIP' id='btnAddLanIP' onClick='gainIpStr(\"lan\");'>");
	      document.write("<input type='button' id='select' name='select' value='"+mFilterSelecteAddr+"' onClick='showAddrList();'>");
	    </script></td>
	  </tr>
	  <tr>
	    <td class="head" id="LanIp" align="center" width="55%"><script>putmsg(mInetIp);</script></td>
	    <td class="head" id="LanDel" align="center" width="25%"><script>putmsg(mBtnDel);</script></td>
	  </tr>
	  <script language="javascript" type="text/javascript">
	    for (i = 0; i < MAXNUM; i++) 
	    {
		document.writeln("<tr id=\"lanIpTr"+i+"\">");
		document.writeln("<td align=\"center\" id=\"lanIp"+i+"\"></td>");	
		document.writeln("<td align=\"center\"><input type=\"button\" id=\"lan_"+i+"\" name=\"lanIpDel_"+i+"\" value='"+mBtnDel+"'  onClick=\"delIpList(id);\">&nbsp;</td>");
		document.writeln("</tr>");
	    }
	    hiddenAll("lan");	
	  </script>
	  </table>
	  </fieldset>
	  </td>
	</tr>
	</table>
	</fieldset>
	<br />

	<table align="center" class="content" width="80%" cellSpacing="0" cellPadding="3">
	  <tr>
	    <td align="center">
   	      <input type="hidden" name="webAclWan" id="wanIpStr" value="">
   	      <input type="hidden" name="webAclLan" id="lanIpStr" value="">
	      <script>
		  /*document.write("<input type='submit' class='button' name='save' value='"+mBtnSave+"'>&nbsp;&nbsp;");
	 	  if (rb == 0)*/
	            document.write("<input type='submit' id='ipPermitApply' class='button' value='"+mBtnApply+"'>&nbsp;&nbsp;");
	          document.write("<input type='reset' id='ipPermitCancel' class='button' value='"+mBtnCancel+"' onClick='window.location.reload();'>");
	      </script>
	    </td>
	  </tr>
	</table>
</form>	
</div>
    <br /><br />

    </td>

    <td class="right-blank">&nbsp;</td>
</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 
       
</div> 
</body>
</html>

