<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("time_date"); %>
<% websIncludeLang("gap"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';     
var opmode = '<% getCfgZero(1, "OperationMode"); %>';
var rb = <% getRebootFlag(); %>;
document.title = vendor+" "+model+" - "+mTitleGap;

var MAX_RULES = 4;
var WEEK_DAYS = 7;
var gapBuilt = 0;
var ntpServer = "<% getCfgGeneral(1, "NTPServerIP"); %>";
var gapEnbl = '<% getCfg2Zero(1, "GreenAP"); %>';
var gapRuleStr = "<% getCfg2General(1, "gapRules"); %>";
var gapRules = new Array();

var wlanSwitchBuilt = '<% getWlanSwitchBuilt(); %>';

function gotoNtp()
{
	window.location.href = "/m/adm/management.asp";
}

function showHideRow(id, show)
{
	if (show) {
		document.getElementById(id).style.visibility = "visible";
		document.getElementById(id).style.display = style_display_on();
	}
	else {
		document.getElementById(id).style.visibility = "hidden";
		document.getElementById(id).style.display = "none";
	}
}

function initDateTime(i, entry)
{
	document.getElementById("cbEnbl_"+i).checked = (entry[0] == "1") ? true : false;
	if (entry[1] == "255") {
		document.getElementById("dateMode_"+i).checked = true;
	}
	else {
		var dateVal = parseInt(entry[1]);
		var j;

		document.getElementById("dateMode_"+i).checked = false;

		for (j=0; j<WEEK_DAYS; j++) {
			document.getElementById("date_"+i+"_"+j).checked = (dateVal & (1<<j)) ? true : false;
		}
	}

	if (entry[2] == "1")
		document.getElementById("timeMode_"+i+"_1").checked = true;
	else
		document.getElementById("timeMode_"+i+"_0").checked = true;

	document.getElementById("tHourFrom_"+i).value = entry[3];
	document.getElementById("tMinFrom_"+i).value = entry[4];
	document.getElementById("tHourTo_"+i).value = entry[5];
	document.getElementById("tMinTo_"+i).value = entry[6];
	document.getElementById("tHourFrom2_"+i).value = entry[7];
	document.getElementById("tMinFrom2_"+i).value = entry[8];
	document.getElementById("tHourTo2_"+i).value = entry[9];
	document.getElementById("tMinTo2_"+i).value = entry[10];
}

function gapEnable(i)
{
	var vs;

	if (document.getElementById("cbEnbl_"+i).checked == true) {
		document.getElementById("enbl_"+i).value = 1;
		vs = true;
	}
	else {
		document.getElementById("enbl_"+i).value = 0;
		vs = false;
	}

	showHideRow("rDate0_"+i, vs);
	showHideRow("rDate1_"+i, vs);
	showHideRow("rTime0_"+i, vs);
	showHideRow("rTime1_"+i, vs);
}

function dateModeChange(i)
{
	var dateId = "date_"+i;
	var j;
	var cbStatus = false;
	var dateModeObj = document.getElementById("dateMode_"+i);


	if (dateModeObj.checked == true) {
		cbStatus = true;
	}
	else {
		cbStatus = false;
	}


	for (j=0; j<WEEK_DAYS; j++) {
		document.getElementById(dateId+"_"+j).disabled = cbStatus;
	}
}

function timeModeChange(i)
{
	var disableStatus = false;

	if (document.getElementById("timeMode_"+i+"_0").checked == true) {
		disableStatus = true;
	}
	else {
		disableStatus = false;
	}
	document.getElementById("tHourFrom_"+i).disabled = disableStatus;
	document.getElementById("tMinFrom_"+i).disabled = disableStatus;
	document.getElementById("tHourTo_"+i).disabled = disableStatus;
	document.getElementById("tMinTo_"+i).disabled = disableStatus;
	document.getElementById("tHourFrom2_"+i).disabled = disableStatus;
	document.getElementById("tMinFrom2_"+i).disabled = disableStatus;
	document.getElementById("tHourTo2_"+i).disabled = disableStatus;
	document.getElementById("tMinTo2_"+i).disabled = disableStatus;
}

function dateCheck(i)
{
	if (document.getElementById("dateMode_"+i).checked == true) { // every day
		document.getElementById("dateVal_"+i).value = 255;
	}
	else {
		var value = 0;
		var j;

		for (j=0; j<WEEK_DAYS; j++) {
			if (document.getElementById("date_"+i+"_"+j).checked == true) {
				value = value | (1<<j);
			}
		}

		if (value == 0) {
			alert(mAlertWeekday)
			return false;
		}

		document.getElementById("dateVal_"+i).value = value;
	}

	return true;
}

function timeCheck(i)
{
	if (document.getElementById("timeMode_"+i+"_1").checked == true) {
		// check time
		var objFromH = document.getElementById("tHourFrom_"+i);
		var objFromM = document.getElementById("tMinFrom_"+i);
		var objToH = document.getElementById("tHourTo_"+i);
		var objToM = document.getElementById("tMinTo_"+i);
		var fromValueH = parseInt(objFromH.value);
		var fromValueM = parseInt(objFromM.value);
		var toValueH = parseInt(objToH.value);
		var toValueM = parseInt(objToM.value);

		var objFromH2 = document.getElementById("tHourFrom2_"+i);
		var objFromM2 = document.getElementById("tMinFrom2_"+i);
		var objToH2 = document.getElementById("tHourTo2_"+i);
		var objToM2 = document.getElementById("tMinTo2_"+i);
		var fromValueH2 = parseInt(objFromH2.value);
		var fromValueM2 = parseInt(objFromM2.value);
		var toValueH2 = parseInt(objToH2.value);
		var toValueM2 = parseInt(objToM2.value);

		if (objFromH.value == "" || isNumOnly(objFromH.value) == 0 || fromValueH > 23 || fromValueH < 0) {
			alert(mTime + mAlertInvalid);
			objFromH.focus();
			return false;
		}
		if (objFromM.value == "" || isNumOnly(objFromM.value) == 0 || fromValueM > 59 || fromValueM < 0) {
			alert(mTime + mAlertInvalid);
			objFromM.focus();
			return false;
		}
		if (objToH.value == "" ||isNumOnly(objToH.value) == 0 || toValueH > 23 || toValueH < 0) {
			alert(mTime + mAlertInvalid);
			objToH.focus();
			return false;
		}
		if (objToM.value == "" ||isNumOnly(objToM.value) == 0 || toValueM > 59 || toValueM < 0) {
			alert(mTime + mAlertInvalid);
			objToM.focus();
			return false;
		}

		if (toValueH < fromValueH) {
			alert(mTime + mAlertInvalid);
			objFromH.focus();
			return false;
		}

		if (objFromH2.value == "") {
			// no time2
			return true;
		}

		if (isNumOnly(objFromH2.value) == 0 || fromValueH2 > 23 || fromValueH2 < 0) {
			alert(mTime + mAlertInvalid);
			objFromH2.focus();
			return false;
		}
		if (objFromM2.value == "" || isNumOnly(objFromM2.value) == 0 || fromValueM2 > 59 || fromValueM2 < 0) {
			alert(mTime + mAlertInvalid);
			objFromM2.focus();
			return false;
		}
		if (objToH2.value == "" ||isNumOnly(objToH2.value) == 0 || toValueH2 > 23 || toValueH2 < 0) {
			alert(mTime + mAlertInvalid);
			objToH2.focus();
			return false;
		}
		if (objToM2.value == "" ||isNumOnly(objToM2.value) == 0 || toValueM2 > 59 || toValueM2 < 0) {
			alert(mTime + mAlertInvalid);
			objToM2.focus();
			return false;
		}

		if (toValueH2 < fromValueH2) {
			alert(mTime + mAlertInvalid);
			objFromH2.focus();
			return false;
		}
	}

	return true;
}

function gapFormCheck()
{
	var i;

	for (i=0; i<MAX_RULES; i++) {
		if (document.getElementById("cbEnbl_"+i).checked == false) {
			var entry = new Array();

			if (gapRules.length > i) {
				entry = gapRules[i].split(",");
			}

			if (entry.length != 11) {
				entry = ["0","255","0","","","","","","","",""];
			}

			initDateTime(i, entry);
			continue;
		}
		if (!dateCheck(i))
			return false;
		if (!timeCheck(i))
			return false;
	}

	return true;
}

function initVal()
{
	var radio_off = '<% getCfg2Zero(1, "RadioOff"); %>';

	if (1*radio_off == 1) {
		document.getElementById("div_radio_off").style.visibility = "";
		document.getElementById("div_radio_off").style.display = "";
	}

	if (gapBuilt == 1) {
		if (1*gapEnbl == 1) {
			document.gap.gapEnbl[1].checked = true;
		}
		else {
			document.gap.gapEnbl[0].checked = true;
		}
		document.getElementById("auto_green_ap").style.display = style_display_on();
		document.getElementById("auto_green_ap").style.visibility = "visible";
		document.getElementById("autoGapIntroHr").style.display = style_display_on();
		document.getElementById("autoGapIntroHr").style.visibility = "visible";
		document.getElementById("autoGapIntroD").style.display = style_display_on();
		document.getElementById("autoGapIntroD").style.visibility = "visible";
		document.getElementById("autoGapIntro").style.display = style_display_on();
		document.getElementById("autoGapIntro").style.visibility = "visible";
	}
}

</script>

</head>

<body onLoad="initVal();">
<script language="javascript" type="text/javascript" >
	writeWebsHeader_M(menuWireless.gap, "/m/inic/menu_inic.asp");
</script> 

<!-- help div  -->
<div id="help" class="help">
<script>htitle("htitle");</script>
<div class="hcontent">
  <div>
	 <table cellPadding="3" cellSpacing="0">
        <tr><td class="help-item"><script>putmsg(mGapSet);</script></td></tr>
	<tr><td><script>putmsg(mIntroGap);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

        <tr id="autoGapIntroHr" style="display:none;visibility:hidden;"><td class="help-item"><script>putmsg(mAutoGap);</script></td></tr>
	<tr id="autoGapIntroD" style="display:none;visibility:hidden;"><td><script>putmsg(mIntroAutoGap);</script></td></tr>
	<tr id="autoGapIntro" class="helpHr" style="display:none;visibility:hidden;"><td><hr/></td></tr>

        <tr><td class="help-item"><script>putmsg(mGapRadioOff);</script></td></tr>
	<tr><td><script>putmsg(mIntroGapRadioOff);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

        <tr><td class="help-item"><script>putmsg(mGapTXPAdjust);</script></td></tr>
	<tr><td><script>putmsg(mIntroGapTXPAdjust);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

	<tr><td class="help-item" style="color:red;"><script>putmsg(mNote);</script>:&nbsp;</td></tr>
	<tr><td><span style="color:red;"><script>putmsg(mNoteGap);</script></span>&nbsp;<br />
		<span style="color:red;"><script>putmsg(mNoteGapTime);</script></span>
	</td></tr>

       </table>
  </div>
 <script>hclose("hclose");</script>
</div>
</div>

<div style="text-align:right; border-left-style:none;">
    <a href="#" onclick="showHelp();return false;" onfocus="this.blur();" id="btnHelp" class="ahelp"><script>document.writeln(mHelp);</script></a>
</div>
<!-- help div end -->

<div class="body_div">

<table class="body" cellSpacing="0" cellPadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
    <td class="navi" valign="top">
      <script>writeNavi(lang, ver, "inic", "inic_gap");</script>
    </td>
    <td class="left" align="center" valign="top">
	<script>writeReboot(rb);</script>
  	<br />
	<form method="post" name="gap" action="/goform/gap">
	<input type="hidden" name="nextPage" value="m/inic/inic_gap.asp">
  	<fieldset align="center" style="width:95%;"> 
    	<legend><script>putmsg(mGapSet);</script></legend>  

      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
<script language="javascript" type="text/javascript" >
	if (ntpServer.length < 2) {
		document.writeln("<tr><td colspan=\"2\">");
		document.writeln("<span style=\"color:red;\"><b>"+mWarning+":</b> "+mWarningGapNTP+"</span>");
		document.writeln("&nbsp;&nbsp;<input type=\"button\" class=\"button\" value=\""+mGapNTPSetup+"\" onClick=\"gotoNtp();\">");
		document.writeln("</td></tr>");
	}
</script>

	<tr id="div_radio_off" style="visibility:hidden;display:none;">
	  <td colspan="2">
	    <b style="color:red;"><script>putmsg(mWarning);</script>:</b>
	    <span style="color:red;"><script>putmsg(mAlertRadioOff);</script></span>
	    <script>document.writeln("<input type='button' class='button' value='"+mBtnSetup+"' onClick=\"gotoURL('basic.asp');\">");</script>
	  </td>
	</tr>

	<tr>
	<td width="25%">&nbsp;</td>
	<td>&nbsp;</td>
	</tr>

	<tr id="auto_green_ap" style="display:none;visibility:hidden;">
	  <td class="head"><b><script>putmsg(mAutoGap);</script>:</b></td>
	  <td>
	   <input type="radio" name="gapEnbl" id="gapDisable" value="0"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
	   <input type="radio" name="gapEnbl" id="gapEnabled" value="1"><script>putmsg(mRadioEnable);</script>
	  </td>
	</tr>

<script language="javascript" type="text/javascript" >
	var i,j;
	for (i=0; i<MAX_RULES; i++) {
		document.writeln("<tr>");
		document.writeln("<td width=\"25%\">&nbsp;</td>");
		document.writeln("<td>&nbsp;</td>");
		document.writeln("</tr>");

		document.writeln("<tr>");
		document.writeln("<td class=\"head\">");
		if (i==0)
			document.writeln("<b>"+mGapRadioOff+":</b>");
		else if (i==1) {
			if (wlanSwitchBuilt == '2')
				document.writeln("<b>100%&nbsp;"+mWlanTXP+":</b>");
			else
				document.writeln("<b>1/4&nbsp;"+mWlanTXP+":</b>");
		}
		else if (i==2) {
			if (wlanSwitchBuilt == '2')
				document.writeln("<b>200%&nbsp;"+mWlanTXP+":</b>");
			else
				document.writeln("<b>1/2&nbsp;"+mWlanTXP+":</b>");
		}
		else if (i==3) {
			if (wlanSwitchBuilt == '2')
				document.writeln("<b>400%&nbsp;"+mWlanTXP+":</b>");
			else
				document.writeln("<b>3/4&nbsp;"+mWlanTXP+":</b>");
		}
		document.writeln("</td>");
		document.writeln("<td>");
		document.writeln("<input type=\"checkbox\" name=\"cbEnbl_"+i+"\" id=\"cbEnbl_"+i+"\" onClick=\"gapEnable("+i+");\">");
		document.writeln("<input type=\"hidden\" name=\"enbl_"+i+"\" id=\"enbl_"+i+"\" value=\"0\">");
		document.writeln("</td>");
		document.writeln("</tr>");

		document.writeln("<tr id=\"rDate0_"+i+"\">");
		document.writeln("<td class=\"head\" valign=\"top\">"+mDate+":</td>");
		document.writeln("<td>");
		document.writeln("<input type=\"checkbox\" name=\"dateMode_"+i+"\" id=\"dateMode_"+i+"\" checked onClick=\"dateModeChange("+i+");\">"+mDateAll);
		document.writeln("<input type=\"hidden\" name=\"dateVal_"+i+"\" id=\"dateVal_"+i+"\" value=\"255\">");
		document.writeln("</td>");
		document.writeln("</tr>");

		document.writeln("<tr id=\"rDate1_"+i+"\">");
		document.writeln("<td>&nbsp;</td>");
		document.writeln("<td>");

		document.writeln("<input type=\"checkbox\" name=\"date_"+i+"_0\" id=\"date_"+i+"_0\">"+mDateSun+"&nbsp;");
		document.writeln("<input type=\"checkbox\" name=\"date_"+i+"_1\" id=\"date_"+i+"_1\">"+mDateMon+"&nbsp;");
		document.writeln("<input type=\"checkbox\" name=\"date_"+i+"_2\" id=\"date_"+i+"_2\">"+mDateTue+"&nbsp;");
		document.writeln("<input type=\"checkbox\" name=\"date_"+i+"_3\" id=\"date_"+i+"_3\">"+mDateWed+"&nbsp;");
		document.writeln("<input type=\"checkbox\" name=\"date_"+i+"_4\" id=\"date_"+i+"_4\">"+mDateThu+"<br />");
		document.writeln("<input type=\"checkbox\" name=\"date_"+i+"_5\" id=\"date_"+i+"_5\">"+mDateFri+"&nbsp;");
		document.writeln("<input type=\"checkbox\" name=\"date_"+i+"_6\" id=\"date_"+i+"_6\">"+mDateSat+"&nbsp;");

		document.writeln("</td>");
		document.writeln("</tr>");

		document.writeln("<tr id=\"rTime0_"+i+"\">");
		document.writeln("<td class=\"head\" valign=\"top\">"+mTime+":</td>");
		document.writeln("<td>");
		document.writeln("<input type=\"radio\" name=\"timeMode_"+i+"\" id=\"timeMode_"+i+"_0\" value=\"0\" checked onClick=\"timeModeChange("+i+");\">24 "+mTimeHour);
		document.writeln("</td>");
		document.writeln("</tr>");

		document.writeln("<tr id=\"rTime1_"+i+"\">");
		document.writeln("<td>&nbsp;</td>");
		document.writeln("<td>");
		document.writeln("<input type=\"radio\" name=\"timeMode_"+i+"\" id=\"timeMode_"+i+"_1\" value=\"1\" onClick=\"timeModeChange("+i+");\">"+mTimeSpecified+"&nbsp;<br />");
		document.writeln("&nbsp;&nbsp;&nbsp;&nbsp;<input type=\"text\" name=\"tHourFrom_"+i+"\" id=\"tHourFrom_"+i+"\" value=\"\" size=\"2\" maxlength=\"2\">:");
		document.writeln("<input type=\"text\" name=\"tMinFrom_"+i+"\" id=\"tMinFrom_"+i+"\" value=\"\" size=\"2\" maxlength=\"2\">&nbsp;&nbsp;-&nbsp;");
		document.writeln("<input type=\"text\" name=\"tHourTo_"+i+"\" id=\"tHourTo_"+i+"\" value=\"\" size=\"2\" maxlength=\"2\">:");
		document.writeln("<input type=\"text\" name=\"tMinTo_"+i+"\" id=\"tMinTo_"+i+"\" value=\"\" size=\"2\" maxlength=\"2\">");
		document.writeln("<br />&nbsp;&nbsp;&nbsp;&nbsp;<input type=\"text\" name=\"tHourFrom2_"+i+"\" id=\"tHourFrom2_"+i+"\" value=\"\" size=\"2\" maxlength=\"2\">:");
		document.writeln("<input type=\"text\" name=\"tMinFrom2_"+i+"\" id=\"tMinFrom2_"+i+"\" value=\"\" size=\"2\" maxlength=\"2\">&nbsp;&nbsp;-&nbsp;");
		document.writeln("<input type=\"text\" name=\"tHourTo2_"+i+"\" id=\"tHourTo2_"+i+"\" value=\"\" size=\"2\" maxlength=\"2\">:");
		document.writeln("<input type=\"text\" name=\"tMinTo2_"+i+"\" id=\"tMinTo2_"+i+"\" value=\"\" size=\"2\" maxlength=\"2\">");
		document.writeln("</td>");
		document.writeln("</tr>");
	}

	gapRules = gapRuleStr.split(";");

	for (i=0; i<MAX_RULES; i++) {
		if (gapRules.length > i) {
			var entry = new Array();
			entry = gapRules[i].split(",");

			if (entry.length == 11) {
				initDateTime(i, entry);
			}
		}
		dateModeChange(i);
		timeModeChange(i);
		gapEnable(i);
	}
</script>

       </table>

       <br /><br />
         <table align="center" class="content" width="90%" cellSpacing="0" cellPadding="0">
	  <tr>
	    <td align="center"><script>
		document.write("<input type='submit' class='button' name='save' value='"+mBtnSave+"' onClick='return gapFormCheck();'>&nbsp;&nbsp;");
		if (rb == 0)
		  document.write("<input type='submit' class='button' value='"+mBtnApply+"'  onClick='return gapFormCheck();'>&nbsp;&nbsp;");
		document.write("<input type='reset' class='button' value='"+mBtnCancel+"'  onClick='window.location.reload();'>");
	    </script> </td>
	  </tr>
	</table>
       
	</fieldset>
	</form>
	<br /><br />
  </td>
    <td class="right-blank">&nbsp;</td>
</tr>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 
       
</div> 
</body>
</html>

