<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<style type="text/css">
#wps_progress_bar {
width:251px;
height:15;
margin: 0 auto;
border: 1px solid gray;
}
</style>

<% getWebsHeader(); %>
<script type="text/javascript" src="/wireless/wps_timer.js"></script>

<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("wps"); %>

<% getWebsNoClick(); %>

var wps_status;
var wps_result;

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';     
var opmode = '<% getCfgZero(1, "OperationMode"); %>';
var http_request = false;
var rb = <% getRebootFlag(); %>;
var radio_off = '<% getCfg2Zero(1, "RadioOff"); %>';
var lockMenu = 0;

document.title = vendor+" "+model+" - "+mTitleWps;

function updateWPSContent()
{
	if (http_request.readyState == 4) {
		if (http_request.status == 200) {
			WPSUpdateHTML( http_request.responseText);
		} 
	}
}

function WPSUpdateHTML(str)
{
	var all_str = new Array();
	all_str = str.split("\n");
	wpsconfigured = document.getElementById("WPSConfigured");
	if(all_str[0] == "1" || all_str[0] == "0")
		wpsconfigured.innerHTML = "No";
	else if(all_str[0] == "2")
		wpsconfigured.innerHTML = "Yes";
	else
		wpsconfigured.innerHTML = "Unknown";
	
	wpsssid = document.getElementById("WPSSSID");
	wpsssid.innerHTML = all_str[1];

	wpsauthmode = document.getElementById("WPSAuthMode");
	wpsauthmode.innerHTML = all_str[2];

	wpsencryptype = document.getElementById("WPSEncryptype");
	wpsencryptype.innerHTML = all_str[3];

	wpsdefaultkeyindex = document.getElementById("WPSDefaultKeyIndex");
	wpsdefaultkeyindex.innerHTML = all_str[4];

	wpskeytype = document.getElementById("WPSKeyType");
	if(all_str[3] == "WEP")
		wpskeytype.innerHTML =mWlanSecKey + " (" + mWlanSecHex + "):";
	else
		wpskeytype.innerHTML = mWlanSecKey + " (" + mWlanSecAscii + "):";

	wpswpakey = document.getElementById("WPSWPAKey");
	var WPSWPA_Key1 = all_str[5].substring(0,16);
        var WPSWPA_Key2 = all_str[5].substring(16,32);
        var WPSWPA_Key3 = all_str[5].substring(32,48+4);
        var WPSWPA_Key4 = all_str[5].substring(48+4);
        var WPSWPA_Key = WPSWPA_Key1+'<br>'+WPSWPA_Key2+WPSWPA_Key3+'<br>'+WPSWPA_Key4;
        wpswpakey.innerHTML = WPSWPA_Key;

	wpsstatus = document.getElementById("WPSCurrentStatus");
	wpsstatus.innerHTML = all_str[6];

	if(all_str[7] == "-1")
		document.getElementById("WPSInfo").value = "WSC: " + mWlanFailed;
	else if(all_str[7] == "0"){
		document.getElementById("WPSInfo").value = "WSC:" + all_str[6];
	}else if(all_str[7] == "1")
		document.getElementById("WPSInfo").value = "WSC: " + mWlanSuccess;
	wps_result = all_str[7];
	wps_status = all_str[8];
}

function updateWPS(){
	//clear_progress_bar();
	makeRequest("/goform/updateWPS", "rai0", updateWPSContent);
	if (lockMenu == 1) {
		if(rb == 0)
			document.WPSConfig.submitWPSEnable.disabled = true;
		document.WPSConfig.WPSEnable.disabled = true;
		document.SubmitGenPIN.GenPIN.disabled = true;
		document.SubmitOOB.submitResetOOB.disabled = true;
		document.WPS.PINPBCRadio[0].disabled = true;
		document.WPS.PINPBCRadio[1].disabled = true;
		document.WPS.PIN.disabled = true;
		document.WPS.submitWPS.disabled = true;
		document.wps_cancel.wpsCancel.disabled = false;
		if (wps_result == "1" || wps_result == "-1") {
			lockMenu = 0;
			window.location.reload();
		}
	} else {
		if(rb == 0)
			document.WPSConfig.submitWPSEnable.disabled = false;
		document.WPSConfig.WPSEnable.disabled = false;
		document.SubmitGenPIN.GenPIN.disabled = false;
		document.SubmitOOB.submitResetOOB.disabled = false;
		document.WPS.PINPBCRadio[0].disabled = false;
		document.WPS.PINPBCRadio[1].disabled = false;
		document.WPS.PIN.disabled = false;
		document.WPS.submitWPS.disabled = false;
		document.wps_cancel.wpsCancel.disabled = true;
	}
/*
	if (wps_result == "1")
		refresh_progress_bar(34);
	else
		refresh_progress_bar(wps_status);
*/
}

function enableTextField (field)
{
  if(document.all || document.getElementById)
    field.disabled = false;
  else {
    field.onfocus = field.oldOnFocus;
  }
}

function disableTextField (field)
{
  if(document.all || document.getElementById)
    field.disabled = true;
  else {
    field.oldOnFocus = field.onfocus;
    field.onfocus = skip;
  }
}

function ValidateChecksum(PIN)
{
    var accum = 0;

    accum += 3 * (parseInt(PIN / 10000000) % 10);
    accum += 1 * (parseInt(PIN / 1000000) % 10);
    accum += 3 * (parseInt(PIN / 100000) % 10);
    accum += 1 * (parseInt(PIN / 10000) % 10);
    accum += 3 * (parseInt(PIN / 1000) % 10);
    accum += 1 * (parseInt(PIN / 100) % 10);
    accum += 3 * (parseInt(PIN / 10) % 10);
    accum += 1 * (parseInt(PIN / 1) % 10);

    return ((accum % 10) == 0);
}

function PINPBCFormCheck()
{
	if (document.WPS.PINPBCRadio[0].checked) {
		// PIN
		if(document.WPS.PIN.value != "") {
			// Driver 1.9 supports 4 digit PIN code.
			if (document.WPS.PIN.value.length != 4 && !ValidateChecksum(document.WPS.PIN.value)) {
				alert(mWpsPinNum + mAlertInvalid);
				return false;
			}
			return true;
		}
		return true;
	} else {
		// PBC
	}
	lockMenu = 1;
	return true;
}

function checkSecurity()
{
	var authmode = '<% getCfg2General(1, "AuthMode"); %>';
	var ieee8021x = '<% getCfg2General(1, "IEEE8021X"); %>';
	var security = new Array(); 

	security = authmode.split(";");
	if (security[0] == "SHARED" || security[0] == "WEPAUTO" || security[0] == "WPA" || 
			security[0] == "WPA2" || security[0] == "WPA1WPA2" || ieee8021x == "1")
		alert(mAlertSupport);
}

function wpsCheck()
{
	if (document.WPSConfig.WPSEnable[0].checked == true)
		return true;

	var wpsEn = "<% getCfgZero(1, "WscModeOption"); %>";
	var wlanSingleSwitch = "<% getUniqueWPSButton(); %>"/*"<% getWlanSingleSwitchBuilt(); %>"*/;
	if (wpsEn == "0" || wlanSingleSwitch == "1")
		return true;

	if (confirm(mConfrmWps)) {
		document.WPSConfig.WPSEn.value = "0";
		return true;
	}

	return false;
}

function pageInit()
{
	var radio_off = '<% getCfg2Zero(1, "RadioOff"); %>';

	if (1*radio_off == 1) {
		document.getElementById("div_radio_off").style.visibility = "";
		document.getElementById("div_radio_off").style.display = "";
		document.SubmitGenPIN.GenPIN.disabled = true;
		document.SubmitOOB.submitResetOOB.disabled = true;
	}

	// hide tables first
	document.getElementById("div_wps_status").style.visibility = "hidden";
	document.getElementById("div_wps_status").style.display = "none";
	document.getElementById("div_wps").style.visibility = "hidden";
	document.getElementById("div_wps").style.display = "none";
	document.getElementById("div_wps_info").style.visibility = "hidden";
	document.getElementById("div_wps_info").style.display = "none";

	var wpsenable = "<% getCfg2Zero(1, "WscModeOption"); %>";
	if(wpsenable == "0"){
		// disable WPS
		document.WPSConfig.WPSEnable[0].checked = true;
		//document.getElementById("WPSEnable").options.selectedIndex = 0;
	}else{
		// enable WPS
		document.WPSConfig.WPSEnable[1].checked = true;
		//document.getElementById("WPSEnable").options.selectedIndex = 1;
		checkSecurity();

		document.getElementById("div_wps_status").style.visibility = "hidden";
		document.getElementById("div_wps_status").style.display = "none";
		document.getElementById("div_wps").style.visibility = "hidden";
		document.getElementById("div_wps").style.display = "none";
		document.getElementById("div_wps_info").style.visibility = "hidden";
		document.getElementById("div_wps_info").style.display = "none";

		document.getElementById("div_wps_status").style.visibility = "visible";
		document.getElementById("div_wps").style.visibility = "visible";
		document.getElementById("div_wps_info").style.visibility = "visible";


		document.getElementById("div_wps_status").style.display = "";
		document.getElementById("div_wps").style.display = "";
		document.getElementById("div_wps_info").style.display = "";
		// show WPS-related tables
	/*
		if (window.ActiveXObject) { // IE
			document.getElementById("div_wps_status").style.display = "block";
			document.getElementById("div_wps").style.display = "block";
			document.getElementById("div_wps_info").style.display = "block";
		}else if (window.XMLHttpRequest) { // Mozilla, Safari...
			document.getElementById("div_wps_status").style.display = "table";
			document.getElementById("div_wps").style.display = "table";
			document.getElementById("div_wps_info").style.display = "table";
 		}
	*/

		updateWPS();
		InitializeTimer(3);
	}
}


function onPINPBCRadioClick(value)
{
	if(value == 1){
		// PIN selected
		document.getElementById("PINRow").style.visibility = "visible";
		document.getElementById("PINRow").style.display = style_display_on();
	}else{
		// PBC selected
		document.getElementById("PINRow").style.visibility = "hidden";
		document.getElementById("PINRow").style.display = "none";

	}
}

function refresh_progress_bar(index)
{
	var bar_color = "blue";
	var clear = "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"
	var wps_progress;

	switch (1*index) {
		case 3:		// Start WSC Process
			wps_progress = 0;
			break;
		case 4:		// Received EAPOL-Start
			wps_progress = 1;
			break;
		case 5:		// Sending EAP-Req(ID)
		case 6:		// Receive EAP-Rsp(ID)
			wps_progress = 2;
			break;
		case 7:		// Receive EAP-Req with wrong WSC SMI Vendor Id
		case 8:		// Receive EAPReq with wrong WSC Vendor Type
		case 9:		// Sending EAP-Req(WSC_START)
			wps_progress = 3;
			break;
		case 10:	// Send M1
		case 11:	// Received M1
			wps_progress = 4;
			break;
		case 12:	// Send M2
		case 13:	// Received M2
			wps_progress = 5;
			break;
		case 15: 	// Send M3
		case 16:	// Received M3
			wps_progress = 6;
			break;
		case 17:	// Send M4
		case 18:	// Received M4
			wps_progress = 7;
			break;
		case 19:	// Send M5
		case 20:	// Received M5
			wps_progress = 8;
			break;
		case 21:	// Send M6
		case 22:	// Received M6
			wps_progress = 9;
			break;
		case 23:	// Send M7
		case 24:	// Received M7
			wps_progress = 10;
			break;
		case 25:	// Send M8
		case 26:	// Received M8
			wps_progress = 11;
			break;
		case 27:	// Processing EAP Response (ACK)
		case 28:	// Processing EAP Request (Done)
		case 29:	// Processing EAP Response (Done)
			wps_progress = 12;
			break;
		case 30:	// Sending EAP-Fail
		case 34:	// Configured
			wps_progress = 13;
			break;
	}
	for (i = 0; i <= wps_progress; i++) {
		var block = document.getElementById("block" + i);
		block.innerHTML = clear;
		block.style.backgroundColor = bar_color;
	}
}

function clear_progress_bar()
{
	index = 13;
	var bar_color = "white";
	var clear = "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"
		
	for (i = 0; i <= index; i++) {
		var block = document.getElementById("block" + i);
		block.innerHTML = clear;
		block.style.backgroundColor = bar_color;
	}
}

function WPSCancel()
{
	lockMenu = 0;
	document.WPS.PINPBCRadio[0].disabled = false;
	document.WPS.PINPBCRadio[1].disabled = false;
	document.WPS.PIN.disabled = false;
	document.WPS.submitWPS.disabled = false;
	document.SubmitGenPIN.GenPIN.disabled = false;
	document.SubmitOOB.submitResetOOB.disabled = false;
	document.WPSConfig.WPSEnable.disabled = false;
	if(rb == 0)
		document.WPSConfig.submitWPSEnable.disabled = false;
	document.wps_cancel.submit();
	window.location.reload();
}
</script>

</head>

<body onLoad="pageInit();">
<script language="javascript" type="text/javascript" >
	writeWebsHeader_M(menuWireless.wps, "/m/inic/menu_inic.asp");
</script> 

<!-- help div  -->
<div id="help" class="help">
<script>htitle("htitle");</script>
<div class="hcontent">
  <div>
	<table cellPadding="3" cellSpacing="0">
        <tr><td class="help-item"><script>putmsg(mWpsSet);</script></td></tr>
	<tr><td><script>putmsg(mIntroWps);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

        <tr><td class="help-item"><script>putmsg(mWpsModePbc);</script></td></tr>
	<tr><td><script>putmsg(mIntroWpsModePbc);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

        <tr><td class="help-item"><script>putmsg(mWpsModePin);</script></td></tr>
	<tr><td><script>putmsg(mIntroWpsModePin);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

        <tr><td class="help-item"><script>putmsg(mWpsResetOob);</script></td></tr>
	<tr><td><script>putmsg(mIntroWpsResetOob);</script></td></tr>
       </table>
  </div>
 <script>hclose("hclose");</script>
</div>
</div>

<div style="text-align:right; border-left-style:none;">
    <a href="#" onclick="showHelp();return false;" onfocus="this.blur();" id="btnHelp" class="ahelp"><script>document.writeln(mHelp);</script></a>
</div>
<!-- help div end -->
<div class="body_div">

<table class="body" cellSpacing="0" cellPadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
    <td class="navi" valign="top">
      <script>writeNavi(lang, ver, "inic", "inic_wps");</script>
    </td>
    <td class="left" align="center" valign="top">
	<script>writeReboot(rb);</script>
  	<br />
  	<form method="post" name ="WPSConfig" action="/goform/RaixWPSSetup" onSubmit="return wpsCheck();">
  	<fieldset align="center" style="width:95%;"> 
    	<legend><script>putmsg(mLegendWpsSet);</script></legend>  
        <input type="hidden" name="WPSEn" value="<% getCfgZero(1, "WscModeOption"); %>">
		<input type="hidden" name="nextPage" value="m/inic/inic_wps.asp">

      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3" id="div_radio_off" style="visibility:hidden;display:none;">
	<tr>
	  <td>
	    <b style="color:red;"><script>putmsg(mWarning);</script>:</b>
	    <span style="color:red;"><script>putmsg(mAlertRadioOff);</script></span>
	    <script>document.writeln("<input type='button' class='button' value='"+mBtnSetup+"' onClick=\"gotoURL('inic_basic.asp');\">");</script>
	  </td>
	</tr>
	</table>

      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tbody>
        
        <tr>
          <td width="40%">&nbsp;</td>
          <td width="60%">&nbsp;</td>
        </tr>
        
        <tr>
          <td class="head"><script>putmsg(mWps);</script>:</td>
          <td>
		<input type="radio" id="WPSEnable" name="WPSEnable" value="0"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
		<input type="radio" id="WPSEnable" name="WPSEnable" value="1"><script>putmsg(mRadioEnable);</script>
          </td>
        </tr>

	<tr>
          <td class="head">&nbsp; </td>
          <td class="tail"> &nbsp; </td>
        </tr>    
        </tbody>
       </table>
       
        <table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
          <tr>
            <td align="center"><script>
		document.writeln("<input type='submit' class='button' name='save' value='"+mBtnSave+"'>&nbsp;&nbsp;");
		if (rb == 0)
              		document.write("<input type='submit' class='button' value='"+mBtnApply+"' name='submitWPSEnable'>");
            </script></td>
          </tr>
        </table>
	</fieldset>
	</form>
	<br />

  <fieldset id="div_wps_status" name="div_wps_status" align="center" style="width:95%; visibility:hidden;"> 
    	<legend><script>putmsg(mWpsSummary);</script></legend>  

      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tbody>
        
        <tr>
          <td width="40%">&nbsp;</td>
          <td width="60%">&nbsp;</td>
        </tr>
        
        <tr>
          <td class="head"><script>putmsg(mWpsCurStatus);</script>: </td>
          <td> <span id="WPSCurrentStatus"> </span> </td>
        </tr>
        
        <tr>
          <td class="head"><script>putmsg(mWpsConfig);</script>: </td>
          <td> <span id="WPSConfigured"> </span> </td>
        </tr>
        
        <tr>
          <td class="head"><script>putmsg(mWpsSsid);</script>:</td>
          <td> <span id="WPSSSID"> </span> </td>
        </tr>
        
        <tr>
          <td class="head"><script>putmsg(mWlanSecMode);</script>: </td>
          <td> <span id="WPSAuthMode"> </span> </td>
        </tr>
        
        <tr>
          <td class="head"><script>putmsg(mWlanSecEncType);</script>:</td>
          <td> <span id="WPSEncryptype"> </span> </td> 
        </tr>
        
        <tr>
          <td class="head"><script>putmsg(mWlanSecDftKey);</script>:</td>
          <td> <span id="WPSDefaultKeyIndex"> </span> </td>
        </tr>
        
        <tr>
          <td class="head" > <span id="WPSKeyType"> </span>:</td>
          <td> <span id="WPSWPAKey"> </span> </td>
        </tr>
        
        <form method="post" name="SubmitGenPIN" action="/goform/GenRaixPIN">
		<input type="hidden" name="nextPage" value="m/inic/inic_wps.asp">
        <tr>
          <td class="head"><script>putmsg(mWpsPinNumAp);</script>:</td>
          <td> <% getRaixPINASP(); %> &nbsp;&nbsp;
		    <script>document.write("<input type='submit' class='button' value='"+mWpsGeneratePin+"' name='GenPIN'>");</script>
		  </td>
        </tr>
        </form>

	<tr><td colspan="2">&nbsp;</td></tr>    
  	<form method="post" name ="SubmitOOB" action="/goform/RaixOOB">
	<input type="hidden" name="nextPage" value="m/inic/inic_wps.asp">
<tr>
          <td class="head">&nbsp;</td>
          <td><script>
            document.write("<input type='submit' class='button' value='"+mWpsResetOob+"' id='wpsResetOOB_text' name='submitResetOOB'>");
          </script></td>
        </tr>  
	</form>     

	<tr>
          <td class="head">&nbsp;</td>
          <td class="tail">&nbsp;</td>
        </tr>    
        </tbody>
       </table>
	</fieldset> 
  <br />
  
  <form method="post" name="WPS" action="/goform/RaixWPS">
  	<fieldset id="div_wps" name="div_wps" align="center" style="width:95%;visibility:hidden;"> 
    	<legend><script>putmsg(mWpsModeSet);</script></legend>  
		<input type="hidden" name="nextPage" value="m/inic/inic_wps.asp">

      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tbody>
        
        <tr>
          <td width="40%">&nbsp;</td>
          <td width="60%">&nbsp;</td>
        </tr>
        
        <tr>
        	<td class="head"><script>putmsg(mWpsMode);</script>:</td>
        	<td>
        		<input name="PINPBCRadio" id="PINPBCRadio" value="1" type="radio" checked onClick="onPINPBCRadioClick(1);">
				<script>putmsg(mWpsModePin);</script>&nbsp;
        		<input name="PINPBCRadio" id="PINPBCRadio" value="2" type="radio" onClick="onPINPBCRadioClick(2);">
				<script>putmsg(mWpsModePbc);</script> &nbsp;
        	</td>
        </tr>
        
        <tr id="PINRow">
        	<td class="head"><script>putmsg(mWpsPinNumSta);</script>:</td>
        	<td>
        		<input value="" name="PIN" id="PIN" size="8" maxlength="16" type="text">
        	</td>
        </tr>

	<tr>
          <td class="head">&nbsp;</td>
          <td class="tail">&nbsp;</td>
        </tr>    
        </tbody>
       </table>
        <table align="center" class="content" width="90%" id="div_wps_apply" name="div_wps_apply" cellSpacing="0" cellPadding="0">
          <tr>
            <td align="center"><script>
              document.write("<input type='submit' class='button' value='"+mBtnApply+"' name='submitWPS' onClick='return PINPBCFormCheck();'>");
            </script></td>
          </tr>
        </table>
	</fieldset>
	</form>
	<br />
	<fieldset id="div_wps_info" name="div_wps_info"  align="center" style="width:95%;visibility:hidden;"> 
    	<legend><script>putmsg(mWpsStatus);</script></legend>  

      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tbody>
        <tr>
          <td colspan="2"> 
          <textarea style="font-family:Arial,Verdana,Helvetica;font-size:1em;width:100%;" name="WPSInfo" id="WPSInfo" cols="80" rows="2" wrap="off" readonly="1"></textarea>
          </td>
        </tr>
	<tr style="display:none;visibility:hidden;">
  <td align="center">
    <div id="wps_progress_bar">
      <span id="block0">&nbsp;</span>
      <span id="block1">&nbsp;</span>
      <span id="block2">&nbsp;</span>
      <span id="block3">&nbsp;</span>
      <span id="block4">&nbsp;</span>
      <span id="block5">&nbsp;</span>
      <span id="block6">&nbsp;</span>
      <span id="block7">&nbsp;</span>
      <span id="block8">&nbsp;</span>
      <span id="block9">&nbsp;</span>
      <span id="block10">&nbsp;</span>
      <span id="block11">&nbsp;</span>
      <span id="block12">&nbsp;</span>
      <span id="block13">&nbsp;</span>
    </div>
  </td>
  <form method="post" name="wps_cancel" action="/goform/WPSRaixCancel">
	<input type="hidden" name="nextPage" value="m/inic/inic_wps.asp">
    <td align="center">
	<script>
	document.write("<input type=\"button\" class=\"button\" value="+mBtnCancel+" name=\"wpsCancel\" onClick=\"WPSCancel()\">");
	</script>
	</td>
  </form>
</tr>
        </tbody>
       </table>
	</fieldset>
  <br /><br />
  </td>

    <td class="right-blank">&nbsp;</td>
</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 
       
</div> 

</body>
</html>

