<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("ctparms"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var opmode = '<% getCfgZero(1, "OperationMode"); %>';
var rb = <% getRebootFlag(); %>;

var lanIp = "<% getLanIpASP(); %>";
var lanMask = "<% getLanNetmaskASP(); %>";

document.title = vendor+" "+model+" - "+mCtTitle;

function formCheck()
{
	var val;

	val = document.ctParams.ctMax.value;
	if (val == "" || !isNumOnly(val) || parseInt(val) < 512) {
		alert(mAlertInvalid);
		return false;
	}

	val = document.ctParams.ctGenTo.value;
	if (val == "" || !isNumOnly(val) || parseInt(val) < 0) {
		alert(mAlertInvalid);
		return false;
	}

	val = document.ctParams.ctIcmpTo.value;
	if (val == "" || !isNumOnly(val) || parseInt(val) < 0) {
		alert(mAlertInvalid);
		return false;
	}

	val = document.ctParams.ctTcpToClose.value;
	if (val == "" || !isNumOnly(val) || parseInt(val) < 0) {
		alert(mAlertInvalid);
		return false;
	}

	val = document.ctParams.ctTcpToCloseWait.value;
	if (val == "" || !isNumOnly(val) || parseInt(val) < 0) {
		alert(mAlertInvalid);
		return false;
	}

	val = document.ctParams.ctTcpToEst.value;
	if (val == "" || !isNumOnly(val) || parseInt(val) < 0) {
		alert(mAlertInvalid);
		return false;
	}

	val = document.ctParams.ctTcpToFinWait.value;
	if (val == "" || !isNumOnly(val) || parseInt(val) < 0) {
		alert(mAlertInvalid);
		return false;
	}

	val = document.ctParams.ctTcpToLastAck.value;
	if (val == "" || !isNumOnly(val) || parseInt(val) < 0) {
		alert(mAlertInvalid);
		return false;
	}

	val = document.ctParams.ctTcpToSynRecv.value;
	if (val == "" || !isNumOnly(val) || parseInt(val) < 0) {
		alert(mAlertInvalid);
		return false;
	}

	val = document.ctParams.ctTcpToSynSent.value;
	if (val == "" || !isNumOnly(val) || parseInt(val) < 0) {
		alert(mAlertInvalid);
		return false;
	}

	val = document.ctParams.ctTcpToTimeWait.value;
	if (val == "" || !isNumOnly(val) || parseInt(val) < 0) {
		alert(mAlertInvalid);
		return false;
	}


	val = document.ctParams.ctUdpTo.value;
	if (val == "" || !isNumOnly(val) || parseInt(val) < 0) {
		alert(mAlertInvalid);
		return false;
	}

	val = document.ctParams.ctUdpToStream.value;
	if (val == "" || !isNumOnly(val) || parseInt(val) < 0) {
		alert(mAlertInvalid);
		return false;
	}

	return true;
}

function initVal()
{
}

</script>
</head>

<body onLoad="initVal();">
<script language="javascript" type="text/javascript" >
	writeWebsHeader_M(menuNetwork.ctparms, "/m/internet/menu_network.asp");
</script> 

<!-- help div  -->
<div id="help" class="help">
<script>htitle("htitle");</script>
<div class="hcontent">
  <div>
	<table cellPadding="3" cellSpacing="0">
        <tr><td class="help-item"><script>putmsg(mCtTitle);</script></td></tr>
	<tr><td><script>putmsg(mIntroCt);</script></td></tr>

	<tr class="helpHr"><td><hr/></td></tr>
        <tr><td class="help-item"><script>putmsg(mCtMax);</script></td></tr>
	<tr><td><script>putmsg(mIntroCtMax);</script></td></tr>

	<tr class="helpHr"><td><hr/></td></tr>
        <tr><td class="help-item"><script>putmsg(mCtTo);</script></td></tr>
	<tr><td><script>putmsg(mIntroCtTo);</script></td></tr>

	<tr class="helpHr"><td><hr/></td></tr>
	<tr><td style="color:red;"><b><script>putmsg(mNote);</script>:</b><script>putmsg(mNoteCt);</script></td></tr>
	</table>
  </div>
 <script>hclose("hclose");</script>
</div>
</div>

<div style="text-align:right; border-left-style:none;">
    <a href="#" onclick="showHelp();return false;" onfocus="this.blur();" id="btnHelp" class="ahelp"><script>document.writeln(mHelp);</script></a>
</div>
<!-- help div end -->
<div class="body_div">

<table class="body" cellSpacing="0" cellPadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
    <td class="navi" valign="top">
      <script>writeNavi(lang, ver, "network", "ctparms");</script>
    </td>
    <td class="left" align="center" valign="top">
	<script>writeReboot(rb);</script>
  	<br />
	<form method="post" name="ctParams" action="/goform/setCtParams">
  	<fieldset align="center" style="width:95%;"> 
    	<legend><script>putmsg(mCtSettings);</script></legend>  
	<input type="hidden" name="nextPage" value="m/internet/ctparms.asp">	
      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tbody>
        
        <tr><td width="40%">&nbsp;</td><td width="60%">&nbsp;</td></tr>
	<tr>
	  <td class="head"><script>putmsg(mCtMax);</script>:</td>
	  <td>
            <input type="text" name="ctMax" value="<% getCfgZero(1, "ctMax"); %>" size="5" maxlength="5">
	    <span class="comment"> (512~99999, <script>putmsg(mDefault);</script>: <% getDefaultCfg(0, "ctMax"); %>)</span>
          </td>
	</tr>
	<tr>
	  <td class="head"><script>putmsg(mCtGenTo);</script>:</td>
	  <td>
            <input type="text" name="ctGenTo" value="<% getCfgZero(1, "ctGenTo"); %>" size="5" maxlength="5"> <script>putmsg(mTimeMin);</script>
	    <span class="comment"> (<script>putmsg(mDefault);</script>: 600)</span>
          </td>
	</tr>
	<tr>
	  <td class="head">ICMP <script>putmsg(mCtTo);</script>:</td>
	  <td>
            <input type="text" name="ctIcmpTo" value="<% getCfgZero(1, "ctIcmpTo"); %>" size="5" maxlength="5"> <script>putmsg(mTimeMin);</script>
	    <span class="comment"> (<script>putmsg(mDefault);</script>: 30)</span>
          </td>
	</tr>
	<tr>
	  <td class="head">TCP CLOSE <script>putmsg(mCtTo);</script>:</td>
	  <td>
            <input type="text" name="ctTcpToClose" value="<% getCfgZero(1, "ctTcpToClose"); %>" size="5" maxlength="5"> <script>putmsg(mTimeMin);</script>
	    <span class="comment"> (<script>putmsg(mDefault);</script>: 10)</span>
          </td>
	</tr>
	<tr>
	  <td class="head">TCP CLOSE WAIT <script>putmsg(mCtTo);</script>:</td>
	  <td>
            <input type="text" name="ctTcpToCloseWait" value="<% getCfgZero(1, "ctTcpToCloseWait"); %>" size="5" maxlength="5"> <script>putmsg(mTimeMin);</script>
	    <span class="comment"> (<script>putmsg(mDefault);</script>: 60)</span>
          </td>
	</tr>
	<tr>
	  <td class="head">TCP ESTABLISHED <script>putmsg(mCtTo);</script>:</td>
	  <td>
            <input type="text" name="ctTcpToEst" value="<% getCfgZero(1, "ctTcpToEst"); %>" size="5" maxlength="5"> <script>putmsg(mTimeMin);</script>
	    <span class="comment"> (<script>putmsg(mDefault);</script>: 180)</span>
          </td>
	</tr>
	<tr>
	  <td class="head">TCP FIN WAIT <script>putmsg(mCtTo);</script>:</td>
	  <td>
            <input type="text" name="ctTcpToFinWait" value="<% getCfgZero(1, "ctTcpToFinWait"); %>" size="5" maxlength="5"> <script>putmsg(mTimeMin);</script>
	    <span class="comment"> (<script>putmsg(mDefault);</script>: 120)</span>
          </td>
	</tr>
	<tr>
	  <td class="head">TCP LAST ACK <script>putmsg(mCtTo);</script>:</td>
	  <td>
            <input type="text" name="ctTcpToLastAck" value="<% getCfgZero(1, "ctTcpToLastAck"); %>" size="5" maxlength="5"> <script>putmsg(mTimeMin);</script>
	    <span class="comment"> (<script>putmsg(mDefault);</script>: 30)</span>
          </td>
	</tr>
	<tr>
	  <td class="head">TCP SYN RECV <script>putmsg(mCtTo);</script>:</td>
	  <td>
            <input type="text" name="ctTcpToSynRecv" value="<% getCfgZero(1, "ctTcpToSynRecv"); %>" size="5" maxlength="5"> <script>putmsg(mTimeMin);</script>
	    <span class="comment"> (<script>putmsg(mDefault);</script>: 60)</span>
          </td>
	</tr>
	<tr>
	  <td class="head">TCP SYN SENT <script>putmsg(mCtTo);</script>:</td>
	  <td>
            <input type="text" name="ctTcpToSynSent" value="<% getCfgZero(1, "ctTcpToSynSent"); %>" size="5" maxlength="5"> <script>putmsg(mTimeMin);</script>
	    <span class="comment"> (<script>putmsg(mDefault);</script>: 20)</span>
          </td>
	</tr>
	<tr>
	  <td class="head">TCP TIME WAIT <script>putmsg(mCtTo);</script>:</td>
	  <td>
            <input type="text" name="ctTcpToTimeWait" value="<% getCfgZero(1, "ctTcpToTimeWait"); %>" size="5" maxlength="5"> <script>putmsg(mTimeMin);</script>
	    <span class="comment"> (<script>putmsg(mDefault);</script>: 120)</span>
          </td>
	</tr>
	<tr>
	  <td class="head">UDP <script>putmsg(mCtTo);</script>:</td>
	  <td>
            <input type="text" name="ctUdpTo" value="<% getCfgZero(1, "ctUdpTo"); %>" size="5" maxlength="5"> <script>putmsg(mTimeMin);</script>
	    <span class="comment"> (<script>putmsg(mDefault);</script>: 180)</span>
          </td>
	</tr>
	<tr>
	  <td class="head">UDP STREAM <script>putmsg(mCtTo);</script>:</td>
	  <td>
            <input type="text" name="ctUdpToStream" value="<% getCfgZero(1, "ctUdpToStream"); %>" size="5" maxlength="5"> <script>putmsg(mTimeMin);</script>
	    <span class="comment"> (<script>putmsg(mDefault);</script>: 180)</span>
          </td>
	</tr>

	<tr><td class="head">&nbsp;</td><td class="tail">&nbsp;</td></tr>    
        </tbody>
       </table>
       
	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	<tr>
	  <td align="center"><script>
	    document.write("<input type='submit' class='button' name='save' value='"+mBtnSave+"' onClick='return formCheck();'>&nbsp;&nbsp;");
		if (rb == 0)
		document.write("<input type='submit' class='button' value='"+mBtnApply+"' name='addDMZ' onClick='return formCheck();'> &nbsp;&nbsp;");
	    document.write("<input type='reset' class='button' value='"+mBtnCancel+"' name='reset' onClick='window.location.reload();'>");
	  </script></td>
	</tr>
	</table>

	</fieldset>
	<br />
	</form>
    </td>
 
    <td class="right-blank">&nbsp;</td>
</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 
       
</div> 
</body>
</html>

