<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("igmp"); %>
<% websIncludeLang("ipv6"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var opmode = '<% getCfgZero(1, "OperationMode"); %>';
var rb = <% getRebootFlag(); %>;
document.title = vendor+" "+model+" - "+mIpv6Setting;

var ipv66rdb = "<% getIPv66rdBuilt(); %>";
var ipv6dsb = "<% getIPv6DSBuilt(); %>";
var dhcp6cb = "<% getIPv6DhcpCliBuilt(); %>";

function SwitchOpMode()
{
	document.getElementById("v6StaticTable").style.visibility = "hidden";
	document.getElementById("v6StaticTable").style.display = "none";
	//document.ipv6_cfg.ipv6_lan_ipaddr.disabled = true;
//	document.ipv6_cfg.ipv6_lan_prefix_len.disabled = true;
	document.ipv6_cfg.ipv6_wan_ipaddr.disabled = true;
	document.ipv6_cfg.ipv6_wan_prefix_len.disabled = true;
	document.ipv6_cfg.ipv6_static_gw.disabled = true;
	document.getElementById("v66rdTable").style.visibility = "hidden";
	document.getElementById("v66rdTable").style.display = "none";
	document.ipv6_cfg.ipv6_6rd_prefix.disabled = true;
	document.ipv6_cfg.ipv6_6rd_prefix_len.disabled = true;
	document.ipv6_cfg.ipv6_6rd_border_ipaddr.disabled = true;
	document.getElementById("v6DSTable").style.visibility = "hidden";
	document.getElementById("v6DSTable").style.display = "none";
	document.ipv6_cfg.ipv6_ds_wan_ipaddr.disabled = true;
	document.ipv6_cfg.ipv6_ds_aftr_ipaddr.disabled = true;
	document.ipv6_cfg.ipv6_ds_gw_ipaddr.disabled = true;

	if (document.ipv6_cfg.ipv6_opmode.options.selectedIndex == 1) {
		document.getElementById("v6StaticTable").style.visibility = "visible";
		document.getElementById("v6StaticTable").style.display = ""; //display_on();
	//	document.ipv6_cfg.ipv6_lan_ipaddr.disabled = false;
	//	document.ipv6_cfg.ipv6_lan_prefix_len.disabled = false;
		document.ipv6_cfg.ipv6_wan_ipaddr.disabled = false;
		document.ipv6_cfg.ipv6_wan_prefix_len.disabled = false;
		document.ipv6_cfg.ipv6_static_gw.disabled = false;
	} else if (ipv66rdb == "1" && document.ipv6_cfg.ipv6_opmode.options.selectedIndex == 3) {
		document.getElementById("v66rdTable").style.visibility = "visible";
		document.getElementById("v66rdTable").style.display = ""; //display_on();
		document.ipv6_cfg.ipv6_6rd_prefix.disabled = false;
		document.ipv6_cfg.ipv6_6rd_prefix_len.disabled = false;
		document.ipv6_cfg.ipv6_6rd_border_ipaddr.disabled = false;
	} else if (document.ipv6_cfg.ipv6_opmode.options.selectedIndex == document.ipv6_cfg.ipv6_opmode.options.length-1) {
		document.getElementById("v6DSTable").style.visibility = "visible";
		document.getElementById("v6DSTable").style.display = ""; //display_on();
		document.ipv6_cfg.ipv6_ds_wan_ipaddr.disabled = false;
		document.ipv6_cfg.ipv6_ds_aftr_ipaddr.disabled = false;
		document.ipv6_cfg.ipv6_ds_gw_ipaddr.disabled = false;
	}
}

function initValue()
{
	var opmode = "<% getCfgZero(1, "IPv6OpMode"); %>";
	var opmode_len = document.ipv6_cfg.ipv6_opmode.options.length;

	if (dhcp6cb == "1") {
		document.ipv6_cfg.ipv6_opmode.options[opmode_len] = new Option("DHCPv6", "2");
		opmode_len++;
	}

	if (ipv66rdb == "1") {
		document.ipv6_cfg.ipv6_opmode.options[opmode_len] = new Option(mIpc6TunConnect+" (6RD)", "3");
		opmode_len++;
	}
	if (ipv6dsb == "1") {
		document.ipv6_cfg.ipv6_opmode.options[opmode_len] = new Option(mIpc6TunConnect+" (DS-Lite)", "4");
		opmode_len++;
	}
	
	if (opmode == "1")
		document.ipv6_cfg.ipv6_opmode.options.selectedIndex = 1;
	else if(opmode == "2")
		document.ipv6_cfg.ipv6_opmode.options.selectedIndex = 2;
	else if (opmode == "3")
		document.ipv6_cfg.ipv6_opmode.options.selectedIndex = 3;
	else if (opmode == "4")
		document.ipv6_cfg.ipv6_opmode.options.selectedIndex = opmode_len-1;
	

	SwitchOpMode();

	if (opmode == "1") {
	//	document.ipv6_cfg.ipv6_lan_ipaddr.value = "<% getCfgGeneral(1, "IPv6IPAddr"); %>";
	//	document.ipv6_cfg.ipv6_lan_prefix_len.value = "<% getCfgGeneral(1, "IPv6PrefixLen"); %>";
		document.ipv6_cfg.ipv6_wan_ipaddr.value = "<% getCfgGeneral(1, "IPv6WANIPAddr"); %>";
		document.ipv6_cfg.ipv6_wan_prefix_len.value = "<% getCfgGeneral(1, "IPv6WANPrefixLen"); %>";
		document.ipv6_cfg.ipv6_static_gw.value = "<% getCfgGeneral(1, "IPv6GWAddr"); %>";
	} else if (opmode == "3") {
		document.ipv6_cfg.ipv6_6rd_prefix.value = "<% getCfgGeneral(1, "IPv6IPAddr"); %>";
		document.ipv6_cfg.ipv6_6rd_prefix_len.value = "<% getCfgGeneral(1, "IPv6PrefixLen"); %>";
		document.ipv6_cfg.ipv6_6rd_border_ipaddr.value = "<% getCfgGeneral(1, "IPv6SrvAddr"); %>";
	} else if (opmode == "4") {
		document.ipv6_cfg.ipv6_ds_wan_ipaddr.value = "<% getCfgGeneral(1, "IPv6IPAddr"); %>";
		document.ipv6_cfg.ipv6_ds_aftr_ipaddr.value = "<% getCfgGeneral(1, "IPv6SrvAddr"); %>";
		document.ipv6_cfg.ipv6_ds_gw_ipaddr.value = "<% getCfgGeneral(1, "IPv6GWAddr"); %>";
	}
}

function checkIpv4Addr(field)
{
	if (field.value == "") {
		alert(mAlertIpv4Empty);
		field.value = field.defaultValue;
		field.focus();
		return false;
	}

	if (isAllNum(field.value) == 0) {
		alert(mAlertIpv4Addr);
		field.value = field.defaultValue;
		field.focus();
		return false;
	}

	if ((!checkRange(field.value, 1, 0, 255)) ||
			(!checkRange(field.value, 2, 0, 255)) ||
			(!checkRange(field.value, 3, 0, 255)) ||
			(!checkRange(field.value, 4, 1, 254)))
	{
		alert(mAlertIpv4Format);
		field.value = field.defaultValue;
		field.focus();
		return false;
	}
	return true;
}

function checkIpv6Addr(ip_addr, len)
{
	var ip_item = new Array();
	ip_item = ip_addr.split(":");
	for (var i=0; i<ip_item.length; i++) {
		if (parseInt(ip_item[i], 16) == "NaN") {
			alert(mAlertIpv6Addr);
			return false;
		}
	}

	return true;
}

function CheckValue()
{
	if (document.ipv6_cfg.ipv6_opmode.value == "1") {
//		if (document.ipv6_cfg.ipv6_lan_ipaddr.value == "" &&
//		    document.ipv6_cfg.ipv6_wan_ipaddr.value == "") {
		 if(document.ipv6_cfg.ipv6_wan_ipaddr.value == "") {
			alert(mAlertIpv6WanLanAddr);
			return false;
		}
	/*	if (document.ipv6_cfg.ipv6_lan_ipaddr.value != "") {
			if (!checkIpv6Addr(document.ipv6_cfg.ipv6_lan_ipaddr.value, 128)) {
				alert(mAlertIpv6Invalid);
				document.ipv6_cfg.ipv6_lan_ipaddr.focus();
				document.ipv6_cfg.ipv6_lan_ipaddr.select();
				return false;
			}
			if (document.ipv6_cfg.ipv6_lan_prefix_len.value == "" || 
			    document.ipv6_cfg.ipv6_lan_prefix_len.value > 128 || 
			    document.ipv6_cfg.ipv6_lan_prefix_len.value < 0) {
				alert(mAlertIpv6prefixLen);
				document.ipv6_cfg.ipv6_lan_prefix_len.focus();
				document.ipv6_cfg.ipv6_lan_prefix_len.select();
				return false;
			}
		}*/
		if (document.ipv6_cfg.ipv6_wan_ipaddr.value != "") {
			if (!checkIpv6Addr(document.ipv6_cfg.ipv6_wan_ipaddr.value, 128)) {
				alert(mAlertIpv6Invalid);
				document.ipv6_cfg.ipv6_wan_ipaddr.focus();
				document.ipv6_cfg.ipv6_wan_ipaddr.select();
				return false;
			}
			if (document.ipv6_cfg.ipv6_wan_prefix_len.value == "" ||
			    document.ipv6_cfg.ipv6_wan_prefix_len.value > 128 || 
			    document.ipv6_cfg.ipv6_wan_prefix_len.value < 0) {
				alert(mAlertIpv6prefixLen);
				document.ipv6_cfg.ipv6_wan_prefix_len.focus();
				document.ipv6_cfg.ipv6_wan_prefix_len.select();
				return false;
			}
		}
		if (document.ipv6_cfg.ipv6_static_gw.value != "" &&
		    (!checkIpv6Addr(document.ipv6_cfg.ipv6_static_gw.value, 128))) {
			alert(mAlertIpv6Invalid);
			document.ipv6_cfg.ipv6_static_gw.focus();
			document.ipv6_cfg.ipv6_static_gw.select();
			return false;
		}
	} else if (document.ipv6_cfg.ipv6_opmode.value == "3") {
		if (document.ipv6_cfg.ipv6_6rd_prefix.value == "" ||
		    document.ipv6_cfg.ipv6_6rd_prefix_len.value == "" ||
		    document.ipv6_cfg.ipv6_6rd_border_ipaddr.value == "") {
			alert(mAlertFillFields);
			return false;
		}
		if (!checkIpv6Addr(document.ipv6_cfg.ipv6_6rd_prefix.value, 32)) {
			alert(mAlertIpv6Invalid);
			document.ipv6_cfg.ipv6_6rd_prefix.focus();
			document.ipv6_cfg.ipv6_6rd_prefix.select();
			return false;
		}
		if (document.ipv6_cfg.ipv6_6rd_prefix_len.value > 32 || 
		    document.ipv6_cfg.ipv6_6rd_prefix_len.value < 0) {
			alert(mAlertIpv6prefixLen);
			document.ipv6_cfg.ipv6_6rd_prefix_len.focus();
			document.ipv6_cfg.ipv6_6rd_prefix_len.select();
			return false;
		}
		if (!checkIpv4Addr(document.ipv6_cfg.ipv6_6rd_border_ipaddr.value)) {
			alert(mAlertIpv4Invalid);
			document.ipv6_cfg.ipv6_6rd_border_ipaddr.focus();
			document.ipv6_cfg.ipv6_6rd_border_ipaddr.select();
			return false;
		}
	} else if (document.ipv6_cfg.ipv6_opmode.value == "4") {
		if (document.ipv6_cfg.ipv6_ds_wan_ipaddr.value == "" ||
		    document.ipv6_cfg.ipv6_ds_aftr_ipaddr.value == "" ||
		    document.ipv6_cfg.ipv6_ds_gw_ipaddr.value == "") {
			alert(mAlertFillFields);
			return false;
		}
		if (!checkIpv6Addr(document.ipv6_cfg.ipv6_ds_wan_ipaddr.value, 128)) {
			alert(mAlertIpv6Invalid);
			document.ipv6_cfg.ipv6_ds_wan_ipaddr.focus();
			document.ipv6_cfg.ipv6_ds_wan_ipaddr.select();
			return false;
		}
		if (!checkIpv6Addr(document.ipv6_cfg.ipv6_ds_aftr_ipaddr.value, 128)) {
			alert(mAlertIpv6Invalid);
			document.ipv6_cfg.ipv6_ds_aftr_ipaddr.focus();
			document.ipv6_cfg.ipv6_ds_aftr_ipaddr.select();
			return false;
		}
		if (!checkIpv6Addr(document.ipv6_cfg.ipv6_ds_gw_ipaddr.value, 128)) { 
			alert(mAlertIpv6Invalid);
			document.ipv6_cfg.ipv6_ds_gw_ipaddr.focus();
			document.ipv6_cfg.ipv6_ds_gw_ipaddr.select();
			return false;
		}
	}
	
	return true;
}
</script>

</head>

<body onLoad="initValue();">
<script language="javascript" type="text/javascript" >
	writeWebsHeader_M(menuNetwork.ipv6, "/m/internet/menu_network.asp");
</script> 

<!-- help div  -->
<div id="help" class="help">
<script>htitle("htitle");</script>
<div class="hcontent">
  <div>
	<table cellPadding="3" cellSpacing="0">
  <tr><td class="help-item">IPv6 Settings</td></tr>
  <tr><td>Setup IPv6 interface.</td></tr>
	</table>
  </div>
 <script>hclose("hclose");</script>
</div>
</div>

<div style="text-align:right; border-left-style:none;">
    <a href="#" onclick="showHelp();return false;" onfocus="this.blur();" id="btnHelp" class="ahelp"><script>document.writeln(mHelp);</script></a>
</div>
<!-- help div end -->
<div class="body_div">

<table class="body" cellSpacing="0" cellPadding="0">
<tbody>
<tr>
  <td class="left-blank">&nbsp;</td>
  <td class="navi" valign="top">
    <script>writeNavi(lang, ver, "network", "ipv6");</script>
  </td>
  <td class="left" align="center" valign="top">
    <script>writeReboot(rb);</script>
  <br />

<form method="POST" name="ipv6_cfg" action="/goform/setIPv6" onSubmit="return CheckValue();">
<fieldset align="center" style="width:90%;"> 
<legend><script>putmsg(mIpv6Setting);</script></legend>  
<input type="hidden" name="nextPage" value="m/internet/ipv6.asp">

<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
<tr>
  <td class="head" id="v6OpMode" width="46%"><script>putmsg(mIpv6OpMode + ":");</script></td>
  <td>
    <select name="ipv6_opmode" size="1" onChange="SwitchOpMode();">
      <option value="0" id="v6Disable"><script>putmsg(mIpv6Disabled);</script></option>
      <option value="1" id="v6Static"><script>putmsg(mIpv6Static);</script></option>
    </select>
  </td>
</tr>
</table>

<!-- STATIC IP -->
<table id="v6StaticTable" align="center" class="content" width="90%" cellSpacing="0" cellPadding="3" style="display:none;visibility:hidden;">
<!--tr>
  <td class="head" id="v6StaticIPAddr" width="46%"><script>putmsg(mIpv6LanAddrSubPreLen + ":");</script></td>
  <td><input name="ipv6_lan_ipaddr" maxlength="39" size="34"> / <input name="ipv6_lan_prefix_len" maxlength="3" size="3"></td>
</tr -->
<tr>
  <td class="head" id="v6StaticIPAddr" width="46%"><script>putmsg(mIpv6WanAddrSubPreLen + ":");</script></td>
  <td><input name="ipv6_wan_ipaddr" maxlength="39" size="34"> / <input name="ipv6_wan_prefix_len" maxlength="3" size="3"></td>
</tr>
<tr>
  <td class="head" id="v6StaticGW"><script>putmsg(mIpv6DefGateway + ":");</script></td>
  <td><input name="ipv6_static_gw" maxlength="39" size="34"></td>
</tr>
</table>

<!-- 6RD -->
<table id="v66rdTable" align="center" class="content" width="90%" cellSpacing="0" cellPadding="3" style="display:none;visibility:hidden;">
<tr>
  <td class="head" id="v66rdPrefix" width="46%"><script>putmsg(mIpv6ISP6rdPre +":");</script></td>
  <td><input name="ipv6_6rd_prefix" maxlength="9" size="9"> / <input name="ipv6_6rd_prefix_len" maxlength="3" size="3"></td>
</tr>
<tr>
  <td class="head" id="v66rdBorderIPAddr"><script>putmsg(mIpV6ISPBorder +":");</script></td>
  <td><input name="ipv6_6rd_border_ipaddr" maxlength="15" size="13"></td>
</tr>
</table>

<!-- DS-Lite -->
<table id="v6DSTable" align="center" class="content" width="90%" cellSpacing="0" cellPadding="3" style="display:none;visibility:hidden;">
<tr>
  <td class="head" id="v6DSLocalIPAddr" width="46%"><script>putmsg(mIpv6WanAddr +":");</script></td>
  <td><input name="ipv6_ds_wan_ipaddr" maxlength="39" size="34"></td>
</tr>
<tr>
  <td class="head" id="v6DSAFTRIPAddr"><script>putmsg(mIpv6AftrSrv +":");</script></td>
  <td><input name="ipv6_ds_aftr_ipaddr" maxlength="39" size="34"></td>
</tr>
<tr>
  <td class="head" id="v6DSGWIPAddr"><script>putmsg(mIpv6Gw +":");</script></td>
  <td><input name="ipv6_ds_gw_ipaddr" maxlength="39" size="34"></td>
</tr>
</table>

<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
<tr><td>&nbsp;</td></tr>
<tr>
  <td align="center">
  <script>
    document.writeln("<input type='submit' class='button' name='save' value='"+mBtnSave+"'>&nbsp;&nbsp;");
    if (rb == 0)
      document.writeln("<input type='submit' class='button' value='"+mBtnApply+"'>&nbsp;&nbsp;");
    document.writeln("<input type='reset' class='button' value='"+mBtnCancel+"' onClick=\"window.location.reload();\">");
  </script>
  </td>
</tr>
</table>

<br />
</fieldset>
</form>
<br />

</td>

<td class="right-blank">&nbsp;</td>
</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 
       
</div>
</body>
</html>

