<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript">
<% websIncludeFile("comm/jdefines.js"); %>
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("inet"); %>
<% websIncludeLang("setupwizard"); %>
<% websIncludeLang("opmode"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var apcliB = "<% getWlanApcliBuilt(); %>";
var b3g = "<% get3GBuilt(); %>";
var l2tpbuilt = "<% getL2tpBuilt();%>";
var pptpbuilt = "<% getPptpBuilt();%>";
var brb = "<% getBridgeBuilt(); %>";
var rtdevB = "<% getRtDevBuilt(); %>";
var raxABand = "<% getRaxABand(); %>";

var wanDetectionBuilt = "<% getWanTypeDetectionBuilt(); %>";

document.title = vendor+" "+model+" - "+mTitleWizard;

var http_request = false;
var Max_Num = 30;
var staMaxNum = 100;
var radio_off = '<% getCfgZero(1, "RadioOff"); %>';
var opmode = '<% getCfgZero(1, "OperationMode"); %>';

var apcli_ssid = '<% getCfgGeneralJS(1, "ApCliSsid"); %>';
var apcli_bssid = '<% getCfgGeneral(1, "ApCliBssid"); %>';
var apcli_authmode = '<% getCfgGeneral(1, "ApCliAuthMode"); %>';
var apcli_enc = '<% getCfgGeneral(1, "ApCliEncrypType"); %>';
var apcli_wpapsk = '<% getCfgGeneralJS(1, "ApCliWPAPSK"); %>';
var apcli_keyid = '<% getCfgGeneral(1, "ApCliDefaultKeyID"); %>';
var apcli_key1 = '<% getCfgGeneral(1, "ApCliKey1Str"); %>';
var apcli_key2 = '<% getCfgGeneral(1, "ApCliKey2Str"); %>';
var apcli_key3 = '<% getCfgGeneral(1, "ApCliKey3Str"); %>';
var apcli_key4 = '<% getCfgGeneral(1, "ApCliKey4Str"); %>';
var apcli_key1Type = '<% getCfgGeneral(1, "ApCliKey1Type"); %>';
var apcli_key2Type = '<% getCfgGeneral(1, "ApCliKey2Type"); %>';
var apcli_key3Type = '<% getCfgGeneral(1, "ApCliKey3Type"); %>';
var apcli_key4Type = '<% getCfgGeneral(1, "ApCliKey4Type"); %>';
var timerId = 0;
var curChannel = "<% getCfgGeneral(1, "Channel"); %>";
var channel_index  = '<% getWlanChannel(); %>';

var channel = new Array();//b[0]
var ssid = new Array();//b[1]
var bssid = new Array();//b[2]
var encrypts = new Array();//b[3]
var auth_wpa = new Array();//WPAPSK/AES

function cancel()
{
	window.location.href = "/";
}

function opmodeChange()
{
	if (document.setupwizard.opMode[0].checked == true) {
		opmode = OPMODE_BRIDGE;
		document.setupwizard.connectionType.options.selectedIndex = 1;
		connectionTypeSwitch();
	}
	else if (document.setupwizard.opMode[1].checked == true) {
		opmode = OPMODE_GATEWAY;
	}
	else if (document.setupwizard.opMode[2].checked == true) {
		opmode = OPMODE_BRIDGE_APCLI;
		document.setupwizard.connectionType.options.selectedIndex = 1;
		connectionTypeSwitch();
	}
	else {
		opmode = OPMODE_APCLI;
		document.setupwizard.connectionType.options.selectedIndex = 1;
		connectionTypeSwitch();
	}
}

function wirelessModeChange(band)
{
	if (band == 0) {
		var sel = document.setupwizard.wirelessmode.options.selectedIndex;
		var wmode = document.setupwizard.wirelessmode.options[sel].value;

		document.getElementById("wlr_11a_channel").style.visibility = "hidden";
		document.getElementById("wlr_11a_channel").style.display = "none";
		document.setupwizard.sz11aChannel.disabled = true;
		document.getElementById("wlr_11b_channel").style.visibility = "hidden";
		document.getElementById("wlr_11b_channel").style.display = "none";
		document.setupwizard.sz11bChannel.disabled = true;
		document.getElementById("wlr_11g_channel").style.visibility = "hidden";
		document.getElementById("wlr_11g_channel").style.display = "none";
		document.setupwizard.sz11gChannel.disabled = true;

		if ((wmode == WIRELESS_MODE_BG) || (wmode == WIRELESS_MODE_G) || (wmode == WIRELESS_MODE_BGN)
			|| (wmode == WIRELESS_MODE_N) || (wmode == WIRELESS_MODE_GN)) {
			//document.getElementById("wlr_11g_channel").style.visibility = "visible";
			//document.getElementById("wlr_11g_channel").style.display = style_display_on();
			document.setupwizard.sz11gChannel.disabled = false;
		}
		else if (wmode == WIRELESS_MODE_B) {
			//document.getElementById("wlr_11b_channel").style.visibility = "visible";
			//document.getElementById("wlr_11b_channel").style.display = style_display_on();
			document.setupwizard.sz11bChannel.disabled = false;
		}
		else if ((wmode == WIRELESS_MODE_A) || (wmode == WIRELESS_MODE_AN) || (wmode == WIRELESS_MODE_N_5G)
			|| (wmode == WIRELESS_MODE_AC_NA) || (wmode == WIRELESS_MODE_AC_N)) {
			//document.getElementById("wlr_11a_channel").style.visibility = "visible";
			//document.getElementById("wlr_11a_channel").style.display = style_display_on();
			document.setupwizard.sz11aChannel.disabled = false;
		}
	}
	else {
		var sel = document.setupwizard.wirelessmode1.options.selectedIndex;
		var wmode = document.setupwizard.wirelessmode1.options[sel].value;

		document.getElementById("wlr_11a_channel1").style.visibility = "hidden";
		document.getElementById("wlr_11a_channel1").style.display = "none";
		document.setupwizard.sz11aChannel1.disabled = true;
		document.getElementById("wlr_11b_channel1").style.visibility = "hidden";
		document.getElementById("wlr_11b_channel1").style.display = "none";
		document.setupwizard.sz11bChannel1.disabled = true;
		document.getElementById("wlr_11g_channel1").style.visibility = "hidden";
		document.getElementById("wlr_11g_channel1").style.display = "none";
		document.setupwizard.sz11gChannel1.disabled = true;

		if ((wmode == WIRELESS_MODE_BG) || (wmode == WIRELESS_MODE_G) || (wmode == WIRELESS_MODE_BGN)
			|| (wmode == WIRELESS_MODE_N) || (wmode == WIRELESS_MODE_GN)) {
			//document.getElementById("wlr_11g_channel1").style.visibility = "visible";
			//document.getElementById("wlr_11g_channel1").style.display = style_display_on();
			document.setupwizard.sz11gChannel1.disabled = false;
		}
		else if (wmode == WIRELESS_MODE_B) {
			//document.getElementById("wlr_11b_channel1").style.visibility = "visible";
			//document.getElementById("wlr_11b_channel1").style.display = style_display_on();
			document.setupwizard.sz11bChannel1.disabled = false;
		}
		else if ((wmode == WIRELESS_MODE_A) || (wmode == WIRELESS_MODE_AN) || (wmode == WIRELESS_MODE_N_5G)
			|| (wmode == WIRELESS_MODE_AC_NA) || (wmode == WIRELESS_MODE_AC_N)) {
			//document.getElementById("wlr_11a_channel1").style.visibility = "visible";
			//document.getElementById("wlr_11a_channel1").style.display = style_display_on();
			document.setupwizard.sz11aChannel1.disabled = false;
		}
	}
}

function passSwitch(type)
{
	var e;
	var e2;
	var eBtn;

	if (type == 0) {
		e = document.getElementById("pppoePass");
		e2 = document.getElementById("pppoePass2");
		eBtn = document.getElementById("btnPassSwitch");
	}


	if (e && e2 && eBtn) {
		var str = mInetPass;
		str += ": " + e.value;
		str += " " + mInetPass2 + ": " + e2.value;
		
		alert(str);
	}
}

function onSelect(idx)
{
	var selIdx = 0;
	var encIdx = 0;

	auth_wpa = encrypts[idx].split("/");
	if (auth_wpa[0] == "NONE" || encrypts[idx].indexOf("NONE") >= 0) {
		selIdx = 0;
	}
	else if(auth_wpa[0] == "OPEN") {
		selIdx = 1;
	}
	else if(auth_wpa[0] == "SHAERD") {
		selIdx = 2;
	}
	else if (auth_wpa[0] == "WEP" || encrypts[idx].indexOf("WEP") >= 0) {
		//alert(mAlertWep);
		selIdx = 3; // WEPAUTO
	}
	else if(auth_wpa[0].indexOf("WPAPSK") >= 0 || auth_wpa[0].indexOf("WPA1PSK") >= 0 || auth_wpa[0].indexOf("WPA2PSK") >= 0
		|| auth_wpa[0].indexOf("WPA-PSK") >= 0 || auth_wpa[0].indexOf("WPA1-PSK") >= 0 || auth_wpa[0].indexOf("WPA2-PSK") >= 0) {
		if (auth_wpa[0].indexOf("WPA2PSK") >= 0 || auth_wpa[0].indexOf("WPA2-PSK") >= 0)
			selIdx = 5;
		else
			selIdx = 4;
		if (auth_wpa.length != 2) {
			return;
		}
		if (auth_wpa[1] == "AES" || auth_wpa[1].indexOf("AES") >= 0)
			encIdx = 1;
		else
			encIdx = 0;
	}
	else {
		alert(mAlertApcliAuth);
		return;
	}

	if (channel[idx] != curChannel) {
		/*var str = mCfmApcliChannelCur + curChannel + ", ";
		str += mCfmApcliChannelRemote + channel[idx] + ". ";
		str += mCfmApcliChannelShare;
		str += mCfmApcliSelectSure;
		if (!confirm(str)) {
			return;
		}
		if (confirm(mAlertApcliChannel)) */{
			document.setupwizard.apcli_channel.value = channel[idx];
		}
	}
	document.setupwizard.apcli_ssid.value = ssid[idx];
	document.setupwizard.apcli_bssid.value = bssid[idx];
	document.setupwizard.apcli_mode.options.selectedIndex = selIdx;
	if(selIdx == 4 || selIdx == 5) {
		document.setupwizard.apcli_enc.options.selectedIndex = encIdx;
		document.setupwizard.apcli_wpapsk.value = "";
	}
	else if(selIdx == 1 || selIdx == 2 || selIdx == 3) {
		document.setupwizard.apcli_key1.value = "";
		document.setupwizard.apcli_key2.value = "";
		document.setupwizard.apcli_key3.value = "";
		document.setupwizard.apcli_key4.value = "";
	}

	SecurityModeSwitch();
}

function writeSignalImg(id, percent)
{
	if(percent < 10)
		document.getElementById(id).src = "/graphics/sig00.png";
	else if(percent >= 10 && percent < 20)
		document.getElementById(id).src = "/graphics/sig20.png";
	else if(percent >= 20 && percent < 30)
		document.getElementById(id).src = "/graphics/sig40.png";
	else if(percent >= 30 && percent < 40)
		document.getElementById(id).src = "/graphics/sig60.png";
	else if(percent >= 40 && percent < 60)
		document.getElementById(id).src = "/graphics/sig80.png";
	else if(percent >= 60)
		document.getElementById(id).src = "/graphics/sig100.png";
}

function showSite()
{
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
			
		if(http_request.responseText==""){
			document.getElementById("r_nosite").style.visibility = "visible";
			document.getElementById("r_nosite").style.display = style_display_on();
			document.getElementById("aSurveyNoSite").innerHTML = mSurveyNoSiteFound;
		}
		else{	
			var i,j,c;
			var a = new Array();
			
			document.getElementById("r_nosite").style.visibility = "hidden";
			document.getElementById("r_nosite").style.display = "none";
			a=http_request.responseText.split("\n");
			if(a.length < Max_Num)
				c = a.length;
			else
				c = Max_Num;

			var aplist = new Array();

			/* aplist */
			for (i=0; i<c; i++) {
				var ap = new Array();
				ap = a[i].split("\r");
				aplist[i] = new Array();
				for (j=0; j<ap.length; j++) {
					aplist[i][j] = ap[j];
				}
			}

			/* sort aplist */
			for (i=0; i<aplist.length; i++) {
				for (j=0; j<aplist.length-i-1; j++) {
					if (parseInt(aplist[j][4]) < parseInt(aplist[j+1][4])) {
						var t = new Array();
						t = aplist[j];  
						aplist[j] = aplist[j+1];
						aplist[j+1] = t;
					}
				}
			}

			for(i=0; i<c; i++){
				var b = new Array();
				b = aplist[i];

				channel[i] = b[0];
				ssid[i] = b[1];
				bssid[i] = b[2];
				encrypts[i] = b[3];//WPAPSK/WPA2PSK

				// Channel
				document.getElementById("channel"+i).innerHTML = mWlanChannel+" - "+b[0];

				// Frequency
				if (b[6] == "BELLOW" || b[6] == "ABOVE")
					document.getElementById("freq"+i).innerHTML = " ("+mWlanFreq+" - 20/40MHz), ";
				else
					document.getElementById("freq"+i).innerHTML = " ("+mWlanFreq+" - 20MHz), ";

				// SSID
				if (b[1].length == 0)
					document.getElementById("ssid"+i).innerHTML = "["+mWlanSsidHidden+"]";
				else
					document.getElementById("ssid"+i).innerHTML = b[1];

				// BSSID
				document.getElementById("bssid"+i).innerHTML = "("+b[2]+")";

				// Security
				if (b[3] == "NONE" || b[3].indexOf("NONE") >= 0) {
					if (b[8] == "YES")
						document.getElementById("wpsnosec"+i).innerHTML = ", "+mWlanWpsEnbl+" ("+b[9]+")";
					document.getElementById("nosecrow"+i).style.visibility = "visible";
					document.getElementById("nosecrow"+i).style.display = style_display_on();
					document.getElementById("secrow"+i).style.visibility = "hidden";
					document.getElementById("secrow"+i).style.display = "none";
				}
				else {
					if (b[8] == "YES")
						document.getElementById("wps"+i).innerHTML = ", "+mWlanWpsEnbl+" ("+b[9]+")";
					document.getElementById("security"+i).innerHTML = mWlanSecOn+" ("+b[3]+")";
				}

				// Signal
				//document.getElementById("signal"+i).innerHTML = mWlanSignal+" - "+b[4]+"%";
				writeSignalImg("signal"+i, b[4]);

				// Network mode
				document.getElementById("wmode"+i).innerHTML = mWlanMode+" - "+b[5];
				if (b[7] == "In")
					document.getElementById("wnt"+i).innerHTML = " ("+mNetworkInfra+")";
				else
					document.getElementById("wnt"+i).innerHTML = " ("+mNetworkAdHoc+")";

				// Show entry
				document.getElementById("site"+i).style.visibility = "visible";
				document.getElementById("site"+i).style.display = style_display_on();
			}
		}
        }
    }
}

function startSiteSurvey()
{
	var i;
	for(i=0;i<Max_Num;i++){
		document.getElementById("site"+i).style.visibility = "hidden";
		document.getElementById("site"+i).style.display = "none";
	}

	document.getElementById("r_nosite").style.visibility = "visible";
	document.getElementById("r_nosite").style.display = style_display_on();
	document.getElementById("aSurveyNoSite").innerHTML = mSurveyScan;

	makeRequest("/goform/getWlanSiteSurveyAjax", "sitesurvey", showSite);
}

function searchOn()
{
	document.getElementById("btnsearch").value= mSurveyClose;
	startSiteSurvey();
}

function onDetectedWanConnType() {
	if (http_request.readyState == 4) {
		if (http_request.status == 200) {
			var wanConnType = http_request.responseText;
			document.getElementById("wanTypeDetectionStatus").innerHTML = mWanDetectType;
			if (wanConnType == EXIT_LINK_DETECT_DOWN) {
				// set color to red
				document.getElementById("wanTypeDetectionStatus").style.color = "red";
				document.getElementById("wanTypeDetectionStatus").innerHTML = mWanDetectLinkdown;
			}
			else if (wanConnType == EXIT_LINK_DETECT_OK_DHCP) {
				document.getElementById("wanTypeDetected").innerHTML = mWanModeDhcp;
				document.setupwizard.connectionType.options.selectedIndex = 1;
				connectionTypeSwitch();
			}
			else if (wanConnType == EXIT_LINK_DETECT_OK_PPPOE) {
				document.getElementById("wanTypeDetected").innerHTML = mWanModePppoe;
				document.setupwizard.connectionType.options.selectedIndex = 2;
				connectionTypeSwitch();
			}
			else if (wanConnType == EXIT_LINK_DETECT_BRIDGE) {
				document.getElementById("wanTypeDetectionStatus").style.color = "red";
				document.getElementById("wanTypeDetectionStatus").innerHTML = mWanDetectBridge;
			}
			else {
				document.getElementById("wanTypeDetected").innerHTML = mWanModeStatic;
				document.setupwizard.connectionType.options.selectedIndex = 0;
				connectionTypeSwitch();
			}
		}
		else {
			// set the color to red
			document.getElementById("wanTypeDetectionStatus").style.color = "red";
			document.getElementById("wanTypeDetectionStatus").innerHTML = mWanDetectFailed;
		}
		document.getElementById("btnDetect").disabled = false;
		document.getElementById("btnCancel").disabled = false;
		document.getElementById("btnBack").disabled = false;
		document.getElementById("btnNext").disabled = false;
	}
}

function detectWanConnType()
{
	document.getElementById("wanTypeDetectionStatus").style.color = "blue";
	document.getElementById("wanTypeDetectionStatus").innerHTML = mWanDetecting;
	document.getElementById("wanTypeDetected").innerHTML = "&nbsp;";
	// disable the buttons
	document.getElementById("btnDetect").disabled = true;
	document.getElementById("btnCancel").disabled = true;
	document.getElementById("btnBack").disabled = true;
	document.getElementById("btnNext").disabled = true;
	makeRequest("/goform/getDetectedWanConnType", "1", onDetectedWanConnType);
}

function l2tpModeSwitch()
{
	if (document.setupwizard.l2tpMode.selectedIndex == 0) {
		document.getElementById("wrL2tpIp").style.visibility = "visible";
		document.getElementById("wrL2tpIp").style.display = style_display_on();
		document.getElementById("wrL2tpNetmask").style.visibility = "visible";
		document.getElementById("wrL2tpNetmask").style.display = style_display_on();
		document.getElementById("wrL2tpGateway").style.visibility = "visible";
		document.getElementById("wrL2tpGateway").style.display = style_display_on();
	}
	else {
		document.getElementById("wrL2tpIp").style.visibility = "hidden";
		document.getElementById("wrL2tpIp").style.display = "none";
		document.getElementById("wrL2tpNetmask").style.visibility = "hidden";
		document.getElementById("wrL2tpNetmask").style.display = "none";
		document.getElementById("wrL2tpGateway").style.visibility = "hidden";
		document.getElementById("wrL2tpGateway").style.display = "none";
	}
}

function pptpModeSwitch()
{
	if (document.setupwizard.pptpMode.selectedIndex == 0) {
		document.getElementById("wrPptpIp").style.visibility = "visible";
		document.getElementById("wrPptpIp").style.display = style_display_on();
		document.getElementById("wrPptpNetmask").style.visibility = "visible";
		document.getElementById("wrPptpNetmask").style.display = style_display_on();
		document.getElementById("wrPptpGateway").style.visibility = "visible";
		document.getElementById("wrPptpGateway").style.display = style_display_on();
	}
	else {
		document.getElementById("wrPptpIp").style.visibility = "hidden";
		document.getElementById("wrPptpIp").style.display = "none";
		document.getElementById("wrPptpNetmask").style.visibility = "hidden";
		document.getElementById("wrPptpNetmask").style.display = "none";
		document.getElementById("wrPptpGateway").style.visibility = "hidden";
		document.getElementById("wrPptpGateway").style.display = "none";
	}
}

function showHideStatic(show)
{
	var display = show ? style_display_on() : "none";
	var visibility = show ? "visible" : "hidden";

	document.getElementById("wrStaticIp").style.visibility = visibility;
	document.getElementById("wrStaticIp").style.display = display;
	document.getElementById("wrStaticNetMask").style.visibility = visibility;
	document.getElementById("wrStaticNetMask").style.display = display;
	document.getElementById("wrStaticGateway").style.visibility = visibility;
	document.getElementById("wrStaticGateway").style.display = display;
	document.getElementById("wrStaticPriDns").style.visibility = visibility;
	document.getElementById("wrStaticPriDns").style.display = display;
	document.getElementById("wrStaticSecDns").style.visibility = visibility;
	document.getElementById("wrStaticSecDns").style.display = display;
}

function showHideDhcp(show)
{
}

function showHidePppoe(show)
{
	var display = show ? style_display_on() : "none";
	var visibility = show ? "visible" : "hidden";

	document.getElementById("wrPppoeUser").style.visibility = visibility;
	document.getElementById("wrPppoeUser").style.display = display;
	document.getElementById("wrPppoePass").style.visibility = visibility;
	document.getElementById("wrPppoePass").style.display = display;
	document.getElementById("wrPppoePass2").style.visibility = visibility;
	document.getElementById("wrPppoePass2").style.display = display;
}

function showHideL2tp(show)
{
	var display = show ? style_display_on() : "none";
	var visibility = show ? "visible" : "hidden";

	document.getElementById("wrL2tpServer").style.visibility = visibility;
	document.getElementById("wrL2tpServer").style.display = display;
	document.getElementById("wrL2tpUser").style.visibility = visibility;
	document.getElementById("wrL2tpUser").style.display = display;
	document.getElementById("wrL2tpPass").style.visibility = visibility;
	document.getElementById("wrL2tpPass").style.display = display;
	document.getElementById("wrL2tpAddrMode").style.visibility = visibility;
	document.getElementById("wrL2tpAddrMode").style.display = display;

	document.getElementById("wrL2tpIp").style.visibility = visibility;
	document.getElementById("wrL2tpIp").style.display = display;
	document.getElementById("wrL2tpNetmask").style.visibility = visibility;
	document.getElementById("wrL2tpNetmask").style.display = display;
	document.getElementById("wrL2tpGateway").style.visibility = visibility;
	document.getElementById("wrL2tpGateway").style.display = display;
}

function showHidePptp(show)
{
	var display = show ? style_display_on() : "none";
	var visibility = show ? "visible" : "hidden";

	document.getElementById("wrPptpServer").style.visibility = visibility;
	document.getElementById("wrPptpServer").style.display = display;
	document.getElementById("wrPptpUser").style.visibility = visibility;
	document.getElementById("wrPptpUser").style.display = display;
	document.getElementById("wrPptpPass").style.visibility = visibility;
	document.getElementById("wrPptpPass").style.display = display;
	document.getElementById("wrPptpAddrMode").style.visibility = visibility;
	document.getElementById("wrPptpAddrMode").style.display = display;

	document.getElementById("wrPptpIp").style.visibility = visibility;
	document.getElementById("wrPptpIp").style.display = display;
	document.getElementById("wrPptpNetmask").style.visibility = visibility;
	document.getElementById("wrPptpNetmask").style.display = display;
	document.getElementById("wrPptpGateway").style.visibility = visibility;
	document.getElementById("wrPptpGateway").style.display = display;
}

function showHide3G(show)
{
	var display = show ? style_display_on() : "none";
	var visibility = show ? "visible" : "hidden";

	document.getElementById("wr3GDev").style.visibility = visibility;
	document.getElementById("wr3GDev").style.display = display;
	document.getElementById("wr3GApn").style.visibility = visibility;
	document.getElementById("wr3GApn").style.display = display;
	document.getElementById("wr3GUser").style.visibility = visibility;
	document.getElementById("wr3GUser").style.display = display;
	document.getElementById("wr3GPass").style.visibility = visibility;
	document.getElementById("wr3GPass").style.display = display;
	document.getElementById("wr3GPin").style.visibility = visibility;
	document.getElementById("wr3GPin").style.display = display;
	document.getElementById("wr3GDial").style.visibility = visibility;
	document.getElementById("wr3GDial").style.display = display;
}

function hideAllWan()
{
	showHideStatic(0);
	showHideDhcp(0);
	showHidePppoe(0);
	showHidePptp(0);
	showHideL2tp(0);
	showHide3G(0);
}

function showHideSumLan(show)
{
	var display = show ? style_display_on() : "none";
	var visibility = show ? "visible" : "hidden";

	document.getElementById("srLanHr").style.visibility = visibility;
	document.getElementById("srLanHr").style.display = display;
	document.getElementById("srLanIp").style.visibility = visibility;
	document.getElementById("srLanIp").style.display = display;
	document.getElementById("srLanNetmask").style.visibility = visibility;
	document.getElementById("srLanNetmask").style.display = display;

	if (show) {
		document.getElementById("sdLanIp").innerHTML = document.setupwizard.lanIp.value;
		document.getElementById("sdLanNetmask").innerHTML = document.setupwizard.lanNetmask.value;
	}
}

function showHideSumOpMode(show)
{
	var display = show ? style_display_on() : "none";
	var visibility = show ? "visible" : "hidden";

	document.getElementById("srOpModeHr").style.visibility = visibility;
	document.getElementById("srOpModeHr").style.display = display;
	document.getElementById("srOpMode").style.visibility = visibility;
	document.getElementById("srOpMode").style.display = display;

	if (show) {
		if (opmode == OPMODE_BRIDGE)
			document.getElementById("sdOpMode").innerHTML = mOModeB;
		else if (opmode == OPMODE_BRIDGE_APCLI)
			document.getElementById("sdOpMode").innerHTML = mOModeBA;
		else if (opmode == OPMODE_APCLI)
			document.getElementById("sdOpMode").innerHTML = mOModeA;
		else
			document.getElementById("sdOpMode").innerHTML = mOModeG;
	}
}

function showHideSumStatic(show)
{
	var display = show ? style_display_on() : "none";
	var visibility = show ? "visible" : "hidden";

	document.getElementById("srStaticIp").style.visibility = visibility;
	document.getElementById("srStaticIp").style.display = display;
	document.getElementById("srStaticNetmask").style.visibility = visibility;
	document.getElementById("srStaticNetmask").style.display = display;
	document.getElementById("srStaticGateway").style.visibility = visibility;
	document.getElementById("srStaticGateway").style.display = display;
	document.getElementById("srStaticPriDns").style.visibility = visibility;
	document.getElementById("srStaticPriDns").style.display = display;
	document.getElementById("srStaticSecDns").style.visibility = visibility;
	document.getElementById("srStaticSecDns").style.display = display;
}

function showHideSumDhcp(show)
{
}

function showHideSumPppoe(show)
{
	var display = show ? style_display_on() : "none";
	var visibility = show ? "visible" : "hidden";

	document.getElementById("srPppoeUser").style.visibility = visibility;
	document.getElementById("srPppoeUser").style.display = display;
	document.getElementById("srPppoePassword").style.visibility = visibility;
	document.getElementById("srPppoePassword").style.display = display;
}

function showHideSumL2tp(show)
{
	var display = show ? style_display_on() : "none";
	var visibility = show ? "visible" : "hidden";

	document.getElementById("srL2tpServer").style.visibility = visibility;
	document.getElementById("srL2tpServer").style.display = display;
	document.getElementById("srL2tpUser").style.visibility = visibility;
	document.getElementById("srL2tpUser").style.display = display;
	document.getElementById("srL2tpPassword").style.visibility = visibility;
	document.getElementById("srL2tpPassword").style.display = display;
	document.getElementById("srL2tpAddrMode").style.visibility = visibility;
	document.getElementById("srL2tpAddrMode").style.display = display;

	document.getElementById("srL2tpIp").style.visibility = visibility;
	document.getElementById("srL2tpIp").style.display = display;
	document.getElementById("srL2tpNetmask").style.visibility = visibility;
	document.getElementById("srL2tpNetmask").style.display = display;
	document.getElementById("srL2tpGateway").style.visibility = visibility;
	document.getElementById("srL2tpGateway").style.display = display;

	if (show && document.setupwizard.l2tpMode.options.selectedIndex == 1) { // Dynamic
		document.getElementById("srL2tpIp").style.visibility = "hidden";
		document.getElementById("srL2tpIp").style.display = "none";
		document.getElementById("srL2tpNetmask").style.visibility = "hidden";
		document.getElementById("srL2tpNetmask").style.display = "none";
		document.getElementById("srL2tpGateway").style.visibility = "hidden";
		document.getElementById("srL2tpGateway").style.display = "none";
	}
}

function showHideSumPptp(show)
{
	var display = show ? style_display_on() : "none";
	var visibility = show ? "visible" : "hidden";

	document.getElementById("srPptpServer").style.visibility = visibility;
	document.getElementById("srPptpServer").style.display = display;
	document.getElementById("srPptpUser").style.visibility = visibility;
	document.getElementById("srPptpUser").style.display = display;
	document.getElementById("srPptpPassword").style.visibility = visibility;
	document.getElementById("srPptpPassword").style.display = display;
	document.getElementById("srPptpAddrMode").style.visibility = visibility;
	document.getElementById("srPptpAddrMode").style.display = display;

	document.getElementById("srPptpIp").style.visibility = visibility;
	document.getElementById("srPptpIp").style.display = display;
	document.getElementById("srPptpNetmask").style.visibility = visibility;
	document.getElementById("srPptpNetmask").style.display = display;
	document.getElementById("srPptpGateway").style.visibility = visibility;
	document.getElementById("srPptpGateway").style.display = display;

	if (show && document.setupwizard.pptpMode.options.selectedIndex == 1) { // Dynamic 
		document.getElementById("srPptpIp").style.visibility = "hidden";
		document.getElementById("srPptpIp").style.display = "none";
		document.getElementById("srPptpNetmask").style.visibility = "hidden";
		document.getElementById("srPptpNetmask").style.display = "none";
		document.getElementById("srPptpGateway").style.visibility = "hidden";
		document.getElementById("srPptpGateway").style.display = "none";
	}
}

function showHideSum3G(show)
{
	var display = show ? style_display_on() : "none";
	var visibility = show ? "visible" : "hidden";

	document.getElementById("sr3GDev").style.visibility = visibility;
	document.getElementById("sr3GDev").style.display = display;
	document.getElementById("sr3GApn").style.visibility = visibility;
	document.getElementById("sr3GApn").style.display = display;
	document.getElementById("sr3GUser").style.visibility = visibility;
	document.getElementById("sr3GUser").style.display = display;
	document.getElementById("sr3GPass").style.visibility = visibility;
	document.getElementById("sr3GPass").style.display = display;
	document.getElementById("sr3GPin").style.visibility = visibility;
	document.getElementById("sr3GPin").style.display = display;
	document.getElementById("sr3GDial").style.visibility = visibility;
	document.getElementById("sr3GDial").style.display = display;
}

function showHideSumApCli(show)
{
	var sel = document.setupwizard.apcli_mode.options.selectedIndex;
	var apclimode = document.setupwizard.apcli_mode.options[sel].value;;
	sel = document.setupwizard.apcli_enc.options.selectedIndex;
	var apclienc = document.setupwizard.apcli_enc.options[sel].value;;
	sel = document.setupwizard.apcli_key1type.options.selectedIndex;
	var apclikey1Type = document.setupwizard.apcli_key1type.options[sel].value;
	sel = document.setupwizard.apcli_key2type.options.selectedIndex;
	var apclikey2Type = document.setupwizard.apcli_key2type.options[sel].value;
	sel = document.setupwizard.apcli_key3type.options.selectedIndex;
	var apclikey3Type = document.setupwizard.apcli_key3type.options[sel].value;
	sel = document.setupwizard.apcli_key4type.options.selectedIndex;
	var apclikey4Type = document.setupwizard.apcli_key4type.options[sel].value;

	var e;

	if (show) {
		document.getElementById("sdApCliSsid").innerHTML = document.setupwizard.apcli_ssid.value;
		document.getElementById("sdApCliBssid").innerHTML = document.setupwizard.apcli_bssid.value;
		sel = document.setupwizard.apcli_default_key.options.selectedIndex;
		document.getElementById("sdApCliDefaultKeyID").innerHTML = document.setupwizard.apcli_default_key.options[sel].value;
		document.getElementById("sdApCliKey1Str").innerHTML = document.setupwizard.apcli_key1.value;
		document.getElementById("sdApCliKey2Str").innerHTML = document.setupwizard.apcli_key2.value;
		document.getElementById("sdApCliKey3Str").innerHTML = document.setupwizard.apcli_key3.value;
		document.getElementById("sdApCliKey4Str").innerHTML = document.setupwizard.apcli_key4.value;
		document.getElementById("sdApCliWPAPSK").innerHTML = document.setupwizard.apcli_wpapsk.value;

		e = document.getElementById("sdApCliMode");
		if (apclimode == "Disable")
			e.innerHTML = mRadioDisable;
		else if (apclimode == "OPEN")
			e.innerHTML = mWlanSecModeOpen;
		else if (apclimode == "SHARED")
			e.innerHTML = mWlanSecModeShared;
		else if (apclimode == "WEPAUTO")
			e.innerHTML = mWlanSecModeOpen+"|"+mWlanSecModeShared;
		else if (apclimode == "WPAPSK")
			e.innerHTML = mWlanSecModeWpapsk;
		else if (apclimode == "WPA2PSK")
			e.innerHTML = mWlanSecModeWpa2psk;

		e = document.getElementById("sdApCliEnc");
		e.innerHTML = apclienc;

		e = document.getElementById("sdApCliKey1Type");
		if (apclikey1Type == "0")
			e.innerHTML = "("+mWlanSecHex+")";
		else
			e.innerHTML = "("+mWlanSecAscii+")";
		e = document.getElementById("sdApCliKey2Type");
		if (apclikey2Type == "0")
			e.innerHTML = "("+mWlanSecHex+")";
		else
			e.innerHTML = "("+mWlanSecAscii+")";
		e = document.getElementById("sdApCliKey3Type");
		if (apclikey3Type == "0")
			e.innerHTML = "("+mWlanSecHex+")";
		else
			e.innerHTML = "("+mWlanSecAscii+")";
		e = document.getElementById("sdApCliKey4Type");
		if (apclikey4Type == "0")
			e.innerHTML = "("+mWlanSecHex+")";
		else
			e.innerHTML = "("+mWlanSecAscii+")";

		document.getElementById("sr_apcli_hr").style.visibility = "visible";
		document.getElementById("sr_apcli_hr").style.display = style_display_on();
		document.getElementById("sr_apcli_ssid").style.visibility = "visible";
		document.getElementById("sr_apcli_ssid").style.display = style_display_on();
		document.getElementById("sr_apcli_mac").style.visibility = "visible";
		document.getElementById("sr_apcli_mac").style.display = style_display_on();
		document.getElementById("sr_apcli_mode").style.visibility = "visible";
		document.getElementById("sr_apcli_mode").style.display = style_display_on();
		if (apclimode == "Disable") {
			return;
		}
		if (apclimode == "OPEN" || apclimode == "SHARED") {
			//document.getElementById("sr_apcli_default_key").style.visibility = "visible";
			//document.getElementById("sr_apcli_default_key").style.display = style_display_on();
			document.getElementById("sr_apcli_key1").style.visibility = "visible";
			document.getElementById("sr_apcli_key1").style.display = style_display_on();
			//document.getElementById("sr_apcli_key2").style.visibility = "visible";
			//document.getElementById("sr_apcli_key2").style.display = style_display_on();
			//document.getElementById("sr_apcli_key3").style.visibility = "visible";
			//document.getElementById("sr_apcli_key3").style.display = style_display_on();
			//document.getElementById("sr_apcli_key4").style.visibility = "visible";
			//document.getElementById("sr_apcli_key4").style.display = style_display_on();
		}
		else {
			document.getElementById("sr_apcli_enc").style.visibility = "visible";
			document.getElementById("sr_apcli_enc").style.display = style_display_on();
			document.getElementById("sr_apcli_wpapsk").style.visibility = "visible";
			document.getElementById("sr_apcli_wpapsk").style.display = style_display_on();
		}

	}
	else {
		document.getElementById("sr_apcli_hr").style.visibility = "hidden";
		document.getElementById("sr_apcli_hr").style.display = "none";
		document.getElementById("sr_apcli_ssid").style.visibility = "hidden";
		document.getElementById("sr_apcli_ssid").style.display = "none";
		document.getElementById("sr_apcli_mac").style.visibility = "hidden";
		document.getElementById("sr_apcli_mac").style.display = "none";
		document.getElementById("sr_apcli_mode").style.visibility = "hidden";
		document.getElementById("sr_apcli_mode").style.display = "none";
		document.getElementById("sr_apcli_enc").style.visibility = "hidden";
		document.getElementById("sr_apcli_enc").style.display = "none";
		document.getElementById("sr_apcli_default_key").style.visibility = "hidden";
		document.getElementById("sr_apcli_default_key").style.display = "none";
		document.getElementById("sr_apcli_key1").style.visibility = "hidden";
		document.getElementById("sr_apcli_key1").style.display = "none";
		document.getElementById("sr_apcli_key2").style.visibility = "hidden";
		document.getElementById("sr_apcli_key2").style.display = "none";
		document.getElementById("sr_apcli_key3").style.visibility = "hidden";
		document.getElementById("sr_apcli_key3").style.display = "none";
		document.getElementById("sr_apcli_key4").style.visibility = "hidden";
		document.getElementById("sr_apcli_key4").style.display = "none";
		document.getElementById("sr_apcli_wpapsk").style.visibility = "hidden";
		document.getElementById("sr_apcli_wpapsk").style.display = "none";
	}
}

function showHideSumWlani(show)
{
	var channel_index;
	var sel = document.setupwizard.security_mode1.options.selectedIndex;
	var wlanauthmode = document.setupwizard.security_mode1.options[sel].value;;
	sel = document.setupwizard.WEP1Select1.options.selectedIndex;
	var wlankey1type = document.setupwizard.WEP1Select1.options[sel].value;
	sel = document.setupwizard.WEP2Select1.options.selectedIndex;
	var wlankey2type = document.setupwizard.WEP2Select1.options[sel].value;
	sel = document.setupwizard.WEP3Select1.options.selectedIndex;
	var wlankey3type = document.setupwizard.WEP3Select1.options[sel].value;
	sel = document.setupwizard.WEP4Select1.options.selectedIndex;
	var wlankey4type = document.setupwizard.WEP4Select1.options[sel].value;
	sel = document.setupwizard.wirelessmode1.options.selectedIndex;
	var PhyMode  = document.setupwizard.wirelessmode1.options[sel].value;

	var e;

	if (show) {
		e = document.getElementById("sdWlanNetwork1");
		if (document.setupwizard.radioOn1[0].checked == true) {
			e.innerHTML = mRadioOff;
		}
		else {
			e.innerHTML = mRadioOn;
		}

		e = document.getElementById("sdWlanNetworkMode1");
		if (PhyMode == WIRELESS_MODE_BG)
			e.innerHTML = mWlanModeBG;
		else if (PhyMode == WIRELESS_MODE_B)
			e.innerHTML = mWlanModeB;
		else if (PhyMode == WIRELESS_MODE_G)
			e.innerHTML = mWlanModeG;
		else if (PhyMode == WIRELESS_MODE_BGN)
			e.innerHTML = mWlanModeBGN;
		else if (PhyMode == WIRELESS_MODE_GN)
			e.innerHTML = mWlanModeGN;
		else if (PhyMode == WIRELESS_MODE_N)
			e.innerHTML = mWlanModeN;
		else if (PhyMode == WIRELESS_MODE_A)
			e.innerHTML = mWlanModeA;
		else if (PhyMode == WIRELESS_MODE_AN)
			e.innerHTML = mWlanModeAN;
		else if (PhyMode == WIRELESS_MODE_N_5G)
			e.innerHTML = mWlanModeNABand;
		else if (PhyMode == WIRELESS_MODE_AC_NA)
			e.innerHTML = mWlanModeACNA;
		else if (PhyMode == WIRELESS_MODE_AC_N)
			e.innerHTML = mWlanModeACN;
		/* Other PHY Modes ... */

		document.getElementById("sdWlanSSID1").innerHTML = document.setupwizard.ssid1.value;
		e = document.getElementById("sdWlanHSSID1");
		if (document.setupwizard.hssid1[1].checked == true) {
			e.innerHTML = mRadioEnable;
		}
		else {
			e.innerHTML = mRadioDisable;
		}
  
		e = document.getElementById("sdWlanChannel1");
		if (document.setupwizard.sz11aChannel1.disabled == false) {
			channel_index = document.setupwizard.sz11aChannel1.options.selectedIndex;
			if (channel_index == 0)
				e.innerHTML = mWlanAuto;
			else
				e.innerHTML = document.setupwizard.sz11aChannel1.options[channel_index].value;
		}
		else if (document.setupwizard.sz11bChannel1.disabled == false) {
			channel_index = document.setupwizard.sz11bChannel1.options.selectedIndex;
			if (channel_index == 0)
				e.innerHTML = mWlanAuto;
			else
				e.innerHTML = document.setupwizard.sz11bChannel1.options[channel_index].value;
		}
		else {
			channel_index = document.setupwizard.sz11gChannel1.options.selectedIndex;
			if (channel_index == 0)
				e.innerHTML = mWlanAuto;
			else
				e.innerHTML = document.setupwizard.sz11gChannel1.options[channel_index].value;
		}

		sel = document.setupwizard.wep_default_key1.options.selectedIndex;
		document.getElementById("sdWlanDefaultKeyID1").innerHTML = document.setupwizard.wep_default_key1.options[sel].value;
		document.getElementById("sdWlanKey1Str1").innerHTML = document.setupwizard.wep_key_11.value;
		document.getElementById("sdWlanKey2Str1").innerHTML = document.setupwizard.wep_key_21.value;
		document.getElementById("sdWlanKey3Str1").innerHTML = document.setupwizard.wep_key_31.value;
		document.getElementById("sdWlanKey4Str1").innerHTML = document.setupwizard.wep_key_41.value;
		document.getElementById("sdWlanWPAPSK1").innerHTML = document.setupwizard.passphrase1.value;

		e = document.getElementById("sdWlanMode1");
		if (wlanauthmode == "Disable")
			e.innerHTML = mRadioDisable;
		else if (wlanauthmode == "OPEN")
			e.innerHTML = mWlanSecModeOpen;
		else if (wlanauthmode == "SHARED")
			e.innerHTML = mWlanSecModeShared;
		else if (wlanauthmode == "WPAPSK")
			e.innerHTML = mWlanSecModeWpapsk;
		else if (wlanauthmode == "WPA2PSK")
			e.innerHTML = mWlanSecModeWpa2psk;
		else if (wlanauthmode == "WPAPSKWPA2PSK")
			e.innerHTML = mWlanSecModeWpaMixed;

		e = document.getElementById("sdWlanEnc1");
		if (document.setupwizard.cipher1[0].checked == true)
			e.innerHTML = "TKIP";
		else if (document.setupwizard.cipher1[1].checked == true)
			e.innerHTML = "AES";
		else if (document.setupwizard.cipher1[2].checked == true)
			e.innerHTML = "TKIPAES";

		e = document.getElementById("sdWlanKey1Type1");
		if (wlankey1type == "0")
			e.innerHTML = "("+mWlanSecHex+")";
		else
			e.innerHTML = "("+mWlanSecAscii+")";
		e = document.getElementById("sdWlanKey2Type1");
		if (wlankey2type == "0")
			e.innerHTML = "("+mWlanSecHex+")";
		else
			e.innerHTML = "("+mWlanSecAscii+")";
		e = document.getElementById("sdWlanKey3Type1");
		if (wlankey3type == "0")
			e.innerHTML = "("+mWlanSecHex+")";
		else
			e.innerHTML = "("+mWlanSecAscii+")";
		e = document.getElementById("sdWlanKey4Type1");
		if (wlankey4type == "0")
			e.innerHTML = "("+mWlanSecHex+")";
		else
			e.innerHTML = "("+mWlanSecAscii+")";

		document.getElementById("sr_wlan_hr1").style.visibility = "visible";
		document.getElementById("sr_wlan_hr1").style.display = style_display_on();
		//document.getElementById("sr_wlan_network1").style.visibility = "visible";
		//document.getElementById("sr_wlan_network1").style.display = style_display_on();
		//document.getElementById("sr_wlan_networkmode1").style.visibility = "visible";
		//document.getElementById("sr_wlan_networkmode1").style.display = style_display_on();
		document.getElementById("sr_wlan_ssid1").style.visibility = "visible";
		document.getElementById("sr_wlan_ssid1").style.display = style_display_on();
		//document.getElementById("sr_wlan_hssid1").style.visibility = "visible";
		//document.getElementById("sr_wlan_hssid1").style.display = style_display_on();
		//document.getElementById("sr_wlan_channel1").style.visibility = "visible";
		//document.getElementById("sr_wlan_channel1").style.display = style_display_on();
		document.getElementById("sr_wlan_mode1").style.visibility = "visible";
		document.getElementById("sr_wlan_mode1").style.display = style_display_on();
		if (wlanauthmode == "Disable") {
			return;
		}
		if (wlanauthmode == "OPEN" || wlanauthmode == "SHARED") {
			document.getElementById("sr_wlan_default_key1").style.visibility = "visible";
			document.getElementById("sr_wlan_default_key1").style.display = style_display_on();
			document.getElementById("sr_wlan_key11").style.visibility = "visible";
			document.getElementById("sr_wlan_key11").style.display = style_display_on();
			document.getElementById("sr_wlan_key21").style.visibility = "visible";
			document.getElementById("sr_wlan_key21").style.display = style_display_on();
			document.getElementById("sr_wlan_key31").style.visibility = "visible";
			document.getElementById("sr_wlan_key31").style.display = style_display_on();
			document.getElementById("sr_wlan_key41").style.visibility = "visible";
			document.getElementById("sr_wlan_key41").style.display = style_display_on();
		}
		else {
			document.getElementById("sr_wlan_enc1").style.visibility = "visible";
			document.getElementById("sr_wlan_enc1").style.display = style_display_on();
			document.getElementById("sr_wlan_wpapsk1").style.visibility = "visible";
			document.getElementById("sr_wlan_wpapsk1").style.display = style_display_on();
		}

	}
	else {
		document.getElementById("sr_wlan_hr1").style.visibility = "hidden";
		document.getElementById("sr_wlan_hr1").style.display = "none";
		document.getElementById("sr_wlan_network1").style.visibility = "hidden";
		document.getElementById("sr_wlan_network1").style.display = "none";
		//document.getElementById("sr_wlan_networkmode1").style.visibility = "hidden";
		//document.getElementById("sr_wlan_networkmode1").style.display = "none";
		document.getElementById("sr_wlan_ssid1").style.visibility = "hidden";
		document.getElementById("sr_wlan_ssid1").style.display = "none";
		document.getElementById("sr_wlan_hssid1").style.visibility = "hidden";
		document.getElementById("sr_wlan_hssid1").style.display = "none";
		document.getElementById("sr_wlan_channel1").style.visibility = "hidden";
		document.getElementById("sr_wlan_channel1").style.display = "none";
		document.getElementById("sr_wlan_mode1").style.visibility = "hidden";
		document.getElementById("sr_wlan_mode1").style.display = "none";
		document.getElementById("sr_wlan_enc1").style.visibility = "hidden";
		document.getElementById("sr_wlan_enc1").style.display = "none";
		document.getElementById("sr_wlan_default_key1").style.visibility = "hidden";
		document.getElementById("sr_wlan_default_key1").style.display = "none";
		document.getElementById("sr_wlan_key11").style.visibility = "hidden";
		document.getElementById("sr_wlan_key11").style.display = "none";
		document.getElementById("sr_wlan_key21").style.visibility = "hidden";
		document.getElementById("sr_wlan_key21").style.display = "none";
		document.getElementById("sr_wlan_key31").style.visibility = "hidden";
		document.getElementById("sr_wlan_key31").style.display = "none";
		document.getElementById("sr_wlan_key41").style.visibility = "hidden";
		document.getElementById("sr_wlan_key41").style.display = "none";
		document.getElementById("sr_wlan_wpapsk1").style.visibility = "hidden";
		document.getElementById("sr_wlan_wpapsk1").style.display = "none";
	}
}

function showHideSumWlan(show)
{
	var channel_index;
	var sel = document.setupwizard.security_mode.options.selectedIndex;
	var wlanauthmode = document.setupwizard.security_mode.options[sel].value;;
	sel = document.setupwizard.WEP1Select.options.selectedIndex;
	var wlankey1type = document.setupwizard.WEP1Select.options[sel].value;
	sel = document.setupwizard.WEP2Select.options.selectedIndex;
	var wlankey2type = document.setupwizard.WEP2Select.options[sel].value;
	sel = document.setupwizard.WEP3Select.options.selectedIndex;
	var wlankey3type = document.setupwizard.WEP3Select.options[sel].value;
	sel = document.setupwizard.WEP4Select.options.selectedIndex;
	var wlankey4type = document.setupwizard.WEP4Select.options[sel].value;
	sel = document.setupwizard.wirelessmode.options.selectedIndex;
	var PhyMode  = document.setupwizard.wirelessmode.options[sel].value;

	var e;

	if (show) {
		e = document.getElementById("sdWlanNetwork");
		if (document.setupwizard.radioOn[0].checked == true) {
			e.innerHTML = mRadioOff;
		}
		else {
			e.innerHTML = mRadioOn;
		}

		e = document.getElementById("sdWlanNetworkMode");
		if (PhyMode == WIRELESS_MODE_BG)
			e.innerHTML = mWlanModeBG;
		else if (PhyMode == WIRELESS_MODE_B)
			e.innerHTML = mWlanModeB;
		else if (PhyMode == WIRELESS_MODE_G)
			e.innerHTML = mWlanModeG;
		else if (PhyMode == WIRELESS_MODE_BGN)
			e.innerHTML = mWlanModeBGN;
		else if (PhyMode == WIRELESS_MODE_GN)
			e.innerHTML = mWlanModeGN;
		else if (PhyMode == WIRELESS_MODE_N)
			e.innerHTML = mWlanModeN;
		else if (PhyMode == WIRELESS_MODE_A)
			e.innerHTML = mWlanModeA;
		else if (PhyMode == WIRELESS_MODE_AN)
			e.innerHTML = mWlanModeAN;
		else if (PhyMode == WIRELESS_MODE_N_5G)
			e.innerHTML = mWlanModeNABand;
		else if (PhyMode == WIRELESS_MODE_AC_NA)
			e.innerHTML = mWlanModeACNA;
		else if (PhyMode == WIRELESS_MODE_AC_N)
			e.innerHTML = mWlanModeACN;
		/* Other PHY Modes ... */

		document.getElementById("sdWlanSSID").innerHTML = document.setupwizard.ssid.value;
		e = document.getElementById("sdWlanHSSID");
		if (document.setupwizard.hssid[1].checked == true) {
			e.innerHTML = mRadioEnable;
		}
		else {
			e.innerHTML = mRadioDisable;
		}
  
		e = document.getElementById("sdWlanChannel");
		if (document.setupwizard.sz11aChannel.disabled == false) {
			channel_index = document.setupwizard.sz11aChannel.options.selectedIndex;
			if (channel_index == 0)
				e.innerHTML = mWlanAuto;
			else
				e.innerHTML = document.setupwizard.sz11aChannel.options[channel_index].value;
		}
		else if (document.setupwizard.sz11bChannel.disabled == false) {
			channel_index = document.setupwizard.sz11bChannel.options.selectedIndex;
			if (channel_index == 0)
				e.innerHTML = mWlanAuto;
			else
				e.innerHTML = document.setupwizard.sz11bChannel.options[channel_index].value;
		}
		else {
			channel_index = document.setupwizard.sz11gChannel.options.selectedIndex;
			if (channel_index == 0)
				e.innerHTML = mWlanAuto;
			else
				e.innerHTML = document.setupwizard.sz11gChannel.options[channel_index].value;
		}

		sel = document.setupwizard.wep_default_key.options.selectedIndex;
		document.getElementById("sdWlanDefaultKeyID").innerHTML = document.setupwizard.wep_default_key.options[sel].value;
		document.getElementById("sdWlanKey1Str").innerHTML = document.setupwizard.wep_key_1.value;
		document.getElementById("sdWlanKey2Str").innerHTML = document.setupwizard.wep_key_2.value;
		document.getElementById("sdWlanKey3Str").innerHTML = document.setupwizard.wep_key_3.value;
		document.getElementById("sdWlanKey4Str").innerHTML = document.setupwizard.wep_key_4.value;
		document.getElementById("sdWlanWPAPSK").innerHTML = document.setupwizard.passphrase.value;

		e = document.getElementById("sdWlanMode");
		if (wlanauthmode == "Disable")
			e.innerHTML = mRadioDisable;
		else if (wlanauthmode == "OPEN")
			e.innerHTML = mWlanSecModeOpen;
		else if (wlanauthmode == "SHARED")
			e.innerHTML = mWlanSecModeShared;
		else if (wlanauthmode == "WPAPSK")
			e.innerHTML = mWlanSecModeWpapsk;
		else if (wlanauthmode == "WPA2PSK")
			e.innerHTML = mWlanSecModeWpa2psk;
		else if (wlanauthmode == "WPAPSKWPA2PSK")
			e.innerHTML = mWlanSecModeWpaMixed;

		e = document.getElementById("sdWlanEnc");
		if (document.setupwizard.cipher[0].checked == true)
			e.innerHTML = "TKIP";
		else if (document.setupwizard.cipher[1].checked == true)
			e.innerHTML = "AES";
		else if (document.setupwizard.cipher[2].checked == true)
			e.innerHTML = "TKIPAES";

		e = document.getElementById("sdWlanKey1Type");
		if (wlankey1type == "0")
			e.innerHTML = "("+mWlanSecHex+")";
		else
			e.innerHTML = "("+mWlanSecAscii+")";
		e = document.getElementById("sdWlanKey2Type");
		if (wlankey2type == "0")
			e.innerHTML = "("+mWlanSecHex+")";
		else
			e.innerHTML = "("+mWlanSecAscii+")";
		e = document.getElementById("sdWlanKey3Type");
		if (wlankey3type == "0")
			e.innerHTML = "("+mWlanSecHex+")";
		else
			e.innerHTML = "("+mWlanSecAscii+")";
		e = document.getElementById("sdWlanKey4Type");
		if (wlankey4type == "0")
			e.innerHTML = "("+mWlanSecHex+")";
		else
			e.innerHTML = "("+mWlanSecAscii+")";

		document.getElementById("sr_wlan_hr").style.visibility = "visible";
		document.getElementById("sr_wlan_hr").style.display = style_display_on();
		//document.getElementById("sr_wlan_network").style.visibility = "visible";
		//document.getElementById("sr_wlan_network").style.display = style_display_on();
		//document.getElementById("sr_wlan_networkmode").style.visibility = "visible";
		//document.getElementById("sr_wlan_networkmode").style.display = style_display_on();
		document.getElementById("sr_wlan_ssid").style.visibility = "visible";
		document.getElementById("sr_wlan_ssid").style.display = style_display_on();
		//document.getElementById("sr_wlan_hssid").style.visibility = "visible";
		//document.getElementById("sr_wlan_hssid").style.display = style_display_on();
		//document.getElementById("sr_wlan_channel").style.visibility = "visible";
		//document.getElementById("sr_wlan_channel").style.display = style_display_on();
		document.getElementById("sr_wlan_mode").style.visibility = "visible";
		document.getElementById("sr_wlan_mode").style.display = style_display_on();
		if (wlanauthmode == "Disable") {
			return;
		}
		if (wlanauthmode == "OPEN" || wlanauthmode == "SHARED") {
			document.getElementById("sr_wlan_default_key").style.visibility = "visible";
			document.getElementById("sr_wlan_default_key").style.display = style_display_on();
			document.getElementById("sr_wlan_key1").style.visibility = "visible";
			document.getElementById("sr_wlan_key1").style.display = style_display_on();
			document.getElementById("sr_wlan_key2").style.visibility = "visible";
			document.getElementById("sr_wlan_key2").style.display = style_display_on();
			document.getElementById("sr_wlan_key3").style.visibility = "visible";
			document.getElementById("sr_wlan_key3").style.display = style_display_on();
			document.getElementById("sr_wlan_key4").style.visibility = "visible";
			document.getElementById("sr_wlan_key4").style.display = style_display_on();
		}
		else {
			document.getElementById("sr_wlan_enc").style.visibility = "visible";
			document.getElementById("sr_wlan_enc").style.display = style_display_on();
			document.getElementById("sr_wlan_wpapsk").style.visibility = "visible";
			document.getElementById("sr_wlan_wpapsk").style.display = style_display_on();
		}

	}
	else {
		document.getElementById("sr_wlan_hr").style.visibility = "hidden";
		document.getElementById("sr_wlan_hr").style.display = "none";
		document.getElementById("sr_wlan_network").style.visibility = "hidden";
		document.getElementById("sr_wlan_network").style.display = "none";
		//document.getElementById("sr_wlan_networkmode").style.visibility = "hidden";
		//document.getElementById("sr_wlan_networkmode").style.display = "none";
		document.getElementById("sr_wlan_ssid").style.visibility = "hidden";
		document.getElementById("sr_wlan_ssid").style.display = "none";
		document.getElementById("sr_wlan_hssid").style.visibility = "hidden";
		document.getElementById("sr_wlan_hssid").style.display = "none";
		document.getElementById("sr_wlan_channel").style.visibility = "hidden";
		document.getElementById("sr_wlan_channel").style.display = "none";
		document.getElementById("sr_wlan_mode").style.visibility = "hidden";
		document.getElementById("sr_wlan_mode").style.display = "none";
		document.getElementById("sr_wlan_enc").style.visibility = "hidden";
		document.getElementById("sr_wlan_enc").style.display = "none";
		document.getElementById("sr_wlan_default_key").style.visibility = "hidden";
		document.getElementById("sr_wlan_default_key").style.display = "none";
		document.getElementById("sr_wlan_key1").style.visibility = "hidden";
		document.getElementById("sr_wlan_key1").style.display = "none";
		document.getElementById("sr_wlan_key2").style.visibility = "hidden";
		document.getElementById("sr_wlan_key2").style.display = "none";
		document.getElementById("sr_wlan_key3").style.visibility = "hidden";
		document.getElementById("sr_wlan_key3").style.display = "none";
		document.getElementById("sr_wlan_key4").style.visibility = "hidden";
		document.getElementById("sr_wlan_key4").style.display = "none";
		document.getElementById("sr_wlan_wpapsk").style.visibility = "hidden";
		document.getElementById("sr_wlan_wpapsk").style.display = "none";
	}
}

function hideAllSum()
{
	showHideSumLan(0);
	showHideSumOpMode(0);
	showHideSumStatic(0);
	showHideSumDhcp(0);
	showHideSumPppoe(0);
	showHideSumPptp(0);
	showHideSumL2tp(0);
	showHideSum3G(0);
	showHideSumWlan(0);
	showHideSumWlani(0);
	showHideSumApCli(0);
}

function connectionTypeSwitch()
{
	var sel = document.setupwizard.connectionType.options.selectedIndex;
	hideAllWan();

	if (document.setupwizard.connectionType.options[sel].value == WAN_TYPE_STATIC) {
		showHideStatic(1);
	}
	else if (document.setupwizard.connectionType.options[sel].value == WAN_TYPE_DHCP) {
		showHideDhcp(1);
	}
	else if (document.setupwizard.connectionType.options[sel].value == WAN_TYPE_PPPOE) {
		showHidePppoe(1);
	}
	else if (document.setupwizard.connectionType.options[sel].value == WAN_TYPE_L2TP) {
		showHideL2tp(1);
		l2tpModeSwitch();
	}
	else if (document.setupwizard.connectionType.options[sel].value == WAN_TYPE_PPTP) {
		showHidePptp(1);
		pptpModeSwitch();
	}
	else if (document.setupwizard.connectionType.options[sel].value == WAN_TYPE_3G) {
		showHide3G(1);
	}
	else {
		showHideDhcp(1);
	}
}

function check_wepi()
{
	var defaultid = document.setupwizard.wep_default_key1.value;
	var key_input;

	if ( defaultid == 1 )
		var keyvalue = document.setupwizard.wep_key_11.value;
	else if (defaultid == 2)
		var keyvalue = document.setupwizard.wep_key_21.value;
	else if (defaultid == 3)
		var keyvalue = document.setupwizard.wep_key_31.value;
	else if (defaultid == 4)
		var keyvalue = document.setupwizard.wep_key_41.value;

	if (keyvalue.length == 0){ // shared wep  || md5
		alert(mWlanSecKey + defaultid+mAlertEmpty);
		return false;
	}

	var keylength = document.setupwizard.wep_key_11.value.length;
	if (keylength != 0){
		if (document.setupwizard.WEP1Select1.options.selectedIndex == 0){
			if(keylength != 5 && keylength != 13) {
				alert(mWlanSecKey + '1' + mAlertWepKey5or13);
				return false;
			}
			if(checkInjection(document.setupwizard.wep_key_11.value)== false){
				alert(mWlanSecKey + '1' +mAlertInvalid);
				return false;
			}
		}
		if (document.setupwizard.WEP1Select1.options.selectedIndex == 1){
			if(keylength != 10 && keylength != 26) {
				alert(mWlanSecKey + '1' + mAlertWepKey10or26);
				return false;
			}
			if(checkHex(document.setupwizard.wep_key_11.value) == false){
				alert(mWlanSecKey + '1' +mAlertInvalid);
				return false;
			}
		}
	}

	keylength = document.setupwizard.wep_key_21.value.length;
	if (keylength != 0){
		if (document.setupwizard.WEP2Select1.options.selectedIndex == 0){
			if(keylength != 5 && keylength != 13) {
				alert(mWlanSecKey + '2' +mAlertWepKey5or13);
				return false;
			}
			if(checkInjection(document.setupwizard.wep_key_21.value)== false){
				alert(mWlanSecKey + '2' +mAlertInvalid);
				return false;
			}			
		}
		if (document.setupwizard.WEP2Select1.options.selectedIndex == 1){
			if(keylength != 10 && keylength != 26) {
				alert(mWlanSecKey + '2' + mAlertWepKey10or26);
				return false;
			}
			if(checkHex(document.setupwizard.wep_key_21.value) == false){
				alert(mWlanSecKey + '2' +mAlertInvalid);
				return false;
			}
		}
	}

	keylength = document.setupwizard.wep_key_31.value.length;
	if (keylength != 0){
		if (document.setupwizard.WEP3Select1.options.selectedIndex == 0){
			if(keylength != 5 && keylength != 13) {
				alert(mWlanSecKey + '3' + mAlertWepKey5or13);
				return false;
			}
			if(checkInjection(document.setupwizard.wep_key_31.value)== false){
				alert(mWlanSecKey + '3' +mAlertInvalid);
				return false;
			}
		}
		if (document.setupwizard.WEP3Select1.options.selectedIndex == 1){
			if(keylength != 10 && keylength != 26) {
				alert(mWlanSecKey + '3' + mAlertWepKey10or26);
				return false;
			}
			if(checkHex(document.setupwizard.wep_key_31.value) == false){
				alert(mWlanSecKey + '3' + mAlertInvalid);
				return false;
			}			
		}
	}

	keylength = document.setupwizard.wep_key_41.value.length;
	if (keylength != 0){
		if (document.setupwizard.WEP4Select1.options.selectedIndex == 0){
			if(keylength != 5 && keylength != 13) {
				alert(mWlanSecKey + '4' + mAlertWepKey5or13);
				return false;
			}
			if(checkInjection(document.setupwizard.wep_key_41.value)== false){
				alert(mWlanSecKey + '4' + mAlertInvalid);
				return false;
			}			
		}
		if (document.setupwizard.WEP4Select1.options.selectedIndex == 1){
			if(keylength != 10 && keylength != 26) {
				alert(mWlanSecKey + '4' +mAlertWepKey10or26);
				return false;
			}

			if(checkHex(document.setupwizard.wep_key_41.value) == false){
				alert(mWlanSecKey + '4' +mAlertInvalid);
				return false;
			}			
		}
	}
	return true;
}

function check_wep()
{
	var defaultid = document.setupwizard.wep_default_key.value;
	var key_input;

	if ( defaultid == 1 )
		var keyvalue = document.setupwizard.wep_key_1.value;
	else if (defaultid == 2)
		var keyvalue = document.setupwizard.wep_key_2.value;
	else if (defaultid == 3)
		var keyvalue = document.setupwizard.wep_key_3.value;
	else if (defaultid == 4)
		var keyvalue = document.setupwizard.wep_key_4.value;

	if (keyvalue.length == 0){ // shared wep  || md5
		alert(mWlanSecKey + defaultid+mAlertEmpty);
		return false;
	}

	var keylength = document.setupwizard.wep_key_1.value.length;
	if (keylength != 0){
		if (document.setupwizard.WEP1Select.options.selectedIndex == 0){
			if(keylength != 5 && keylength != 13) {
				alert(mWlanSecKey + '1' + mAlertWepKey5or13);
				return false;
			}
			if(checkInjection(document.setupwizard.wep_key_1.value)== false){
				alert(mWlanSecKey + '1' +mAlertInvalid);
				return false;
			}
		}
		if (document.setupwizard.WEP1Select.options.selectedIndex == 1){
			if(keylength != 10 && keylength != 26) {
				alert(mWlanSecKey + '1' + mAlertWepKey10or26);
				return false;
			}
			if(checkHex(document.setupwizard.wep_key_1.value) == false){
				alert(mWlanSecKey + '1' +mAlertInvalid);
				return false;
			}
		}
	}

	keylength = document.setupwizard.wep_key_2.value.length;
	if (keylength != 0){
		if (document.setupwizard.WEP2Select.options.selectedIndex == 0){
			if(keylength != 5 && keylength != 13) {
				alert(mWlanSecKey + '2' +mAlertWepKey5or13);
				return false;
			}
			if(checkInjection(document.setupwizard.wep_key_2.value)== false){
				alert(mWlanSecKey + '2' +mAlertInvalid);
				return false;
			}			
		}
		if (document.setupwizard.WEP2Select.options.selectedIndex == 1){
			if(keylength != 10 && keylength != 26) {
				alert(mWlanSecKey + '2' + mAlertWepKey10or26);
				return false;
			}
			if(checkHex(document.setupwizard.wep_key_2.value) == false){
				alert(mWlanSecKey + '2' +mAlertInvalid);
				return false;
			}
		}
	}

	keylength = document.setupwizard.wep_key_3.value.length;
	if (keylength != 0){
		if (document.setupwizard.WEP3Select.options.selectedIndex == 0){
			if(keylength != 5 && keylength != 13) {
				alert(mWlanSecKey + '3' + mAlertWepKey5or13);
				return false;
			}
			if(checkInjection(document.setupwizard.wep_key_3.value)== false){
				alert(mWlanSecKey + '3' +mAlertInvalid);
				return false;
			}
		}
		if (document.setupwizard.WEP3Select.options.selectedIndex == 1){
			if(keylength != 10 && keylength != 26) {
				alert(mWlanSecKey + '3' + mAlertWepKey10or26);
				return false;
			}
			if(checkHex(document.setupwizard.wep_key_3.value) == false){
				alert(mWlanSecKey + '3' + mAlertInvalid);
				return false;
			}			
		}
	}

	keylength = document.setupwizard.wep_key_4.value.length;
	if (keylength != 0){
		if (document.setupwizard.WEP4Select.options.selectedIndex == 0){
			if(keylength != 5 && keylength != 13) {
				alert(mWlanSecKey + '4' + mAlertWepKey5or13);
				return false;
			}
			if(checkInjection(document.setupwizard.wep_key_4.value)== false){
				alert(mWlanSecKey + '4' + mAlertInvalid);
				return false;
			}			
		}
		if (document.setupwizard.WEP4Select.options.selectedIndex == 1){
			if(keylength != 10 && keylength != 26) {
				alert(mWlanSecKey + '4' +mAlertWepKey10or26);
				return false;
			}

			if(checkHex(document.setupwizard.wep_key_4.value) == false){
				alert(mWlanSecKey + '4' +mAlertInvalid);
				return false;
			}			
		}
	}
	return true;
}

function check_wpai()
{
	var keyvalue = document.setupwizard.passphrase1.value;

	if (keyvalue.length == 0){
		alert(mWlanSecPassPhrase +mAlertEmpty);
		return false;
	}

	if (keyvalue.length < 8){
		alert(mWlanSecPassPhrase +mAlertTooShort);
		return false;
	}
		
	if (keyvalue.length == 64 && checkHex(keyvalue) == false) {
		alert(mAlertKeyvalue);
		return false;
	}
		
	if(checkInjection(document.setupwizard.passphrase1.value) == false){
		alert(mWlanSecPassPhrase +mAlertInvalid);
		return false;
	}

	if(document.setupwizard.cipher1[0].checked != true && 
	   document.setupwizard.cipher1[1].checked != true &&
   	   document.setupwizard.cipher1[2].checked != true){
   	   alert(mWlanSecEncType + mAlertSelect);
   	   return false;
	}

	// there is no tkip-aes mixed mode in WPA-PSK.
	if (document.setupwizard.security_mode1.value == "WPAPSK" && document.setupwizard.cipher1[2].checked == true) {
		document.setupwizard.cipher1[1].checked = true;
	}

	return true;
}

function check_wpa()
{
	var keyvalue = document.setupwizard.passphrase.value;

	if (keyvalue.length == 0){
		alert(mWlanSecPassPhrase +mAlertEmpty);
		return false;
	}

	if (keyvalue.length < 8){
		alert(mWlanSecPassPhrase +mAlertTooShort);
		return false;
	}
		
	if (keyvalue.length == 64 && checkHex(keyvalue) == false) {
		alert(mAlertKeyvalue);
		return false;
	}
		
	if(checkInjection(document.setupwizard.passphrase.value) == false){
		alert(mWlanSecPassPhrase +mAlertInvalid);
		return false;
	}

	if(document.setupwizard.cipher[0].checked != true && 
	   document.setupwizard.cipher[1].checked != true &&
   	   document.setupwizard.cipher[2].checked != true){
   	   alert(mWlanSecEncType + mAlertSelect);
   	   return false;
	}

	// there is no tkip-aes mixed mode in WPA-PSK.
	if (document.setupwizard.security_mode.value == "WPAPSK" && document.setupwizard.cipher[2].checked == true) {
		document.setupwizard.cipher[1].checked = true;
	}

	return true;
}

function CheckLan()
{
	var lan_ip = document.setupwizard.lanIp.value;
	var lan_mask = document.setupwizard.lanNetmask.value;

	if (!checkIpAddr(document.setupwizard.lanIp)) {
		alert(mInetIp + mAlertInvalid);
		return false;
	}
	if (!checkNetMask(document.setupwizard.lanNetmask)) {
		alert(mInetMask + mAlertInvalid);
		return false;
	}

	return true;
}

function CheckWan()
{
	var lan_ip = document.setupwizard.lanIp.value;
	var lan_mask = document.setupwizard.lanNetmask.value;
	var sel = document.setupwizard.connectionType.selectedIndex;
	var connectiontype = document.setupwizard.connectionType.options[sel].value;

	if (connectiontype  == WAN_TYPE_STATIC) {      //STATIC
		var wan_ip = document.setupwizard.staticIp.value;
		if (!checkIpAddr(document.setupwizard.staticIp)) {
			alert(mInetIp + mAlertInvalid);
			return false;
		}
		if (!checkNetMask(document.setupwizard.staticNetmask)) {
			alert(mInetMask + mAlertInvalid);
			return false;
		}
		if (checkLanIp(lan_ip, lan_mask, wan_ip)) {
			alert(mAlertWanLan);
			return false;
		}
		if (document.setupwizard.staticGateway.value != "") {
			if (!checkIpAddr(document.setupwizard.staticGateway)) {
				alert(mInetGw + mAlertInvalid);
				return false;
			}
		}
		if (!checkIpAddr(document.setupwizard.staticPriDns)) {
			alert(mInetDnsPri + mAlertInvalid);
			return false;
		}
		if (document.setupwizard.staticSecDns.value != "") {
			if (!checkIpAddr(document.setupwizard.staticSecDns)) {
				alert(mInetDnsSec + mAlertInvalid);
				return false;
			}
		}
		if (document.setupwizard.staticPriDns.value == document.setupwizard.staticSecDns.value) {
			alert(mAlertDnsConflict);
			return false;
		}
	}
	else if (connectiontype == WAN_TYPE_DHCP) { //DHCP
		// Nothing
	}
	else if (connectiontype == WAN_TYPE_PPPOE) { //PPPOE
		var pppUser = "<% getDefaultCfg(0, "wan_pppoe_user"); %>";
		var pppPass = "<% getDefaultCfg(0, "wan_pppoe_pass"); %>";
		
		if(document.setupwizard.pppoeUser.value == pppUser)
		{
			alert(mInetUser + mAlertUserChange);
			document.setupwizard.pppoeUser.focus();
			return false;
		}
		if(document.setupwizard.pppoePass.value == pppPass){
			ret = confirm(mInetPass + mAlertPassChange);
			if(!ret){
				document.setupwizard.pppoePass.focus();
				return false;
			}
		}
		if (document.setupwizard.pppoePass.value != document.setupwizard.pppoePass2.value) {
			alert(mAlertPwdMismatch);
			return false;
		}
	}
	else if (connectiontype == WAN_TYPE_L2TP) { //L2TP
		if (!checkIpAddr(document.setupwizard.l2tpServer)) {
			alert(mInetSrv + mAlertInvalid);
			return false;
		}
		if (document.setupwizard.l2tpMode.selectedIndex == 0) {
			if (!checkIpAddr(document.setupwizard.l2tpIp)) {
				alert(mInetIp + mAlertInvalid);
				return false;
			}
			if (!checkNetMask(document.setupwizard.l2tpNetmask)) {
				alert(mInetMask + mAlertInvalid);
				return false;
			}
			if (!checkIpAddr(document.setupwizard.l2tpGateway)) {
				alert(mInetGw + mAlertInvalid);
				return false;
			}
			var wan_ip = document.setupwizard.l2tpIp.value;
			if (checkLanIp(lan_ip, lan_mask, wan_ip)) {
				alert(mAlertWanLan);
				return false;
			}
		}
	}
	else if (connectiontype == WAN_TYPE_PPTP) { //PPTP
		if (!checkIpAddr(document.setupwizard.pptpServer)) {
			alert(mInetSrv + mAlertInvalid);
			return false;
		}
		if (document.setupwizard.pptpMode.selectedIndex == 0) {
			if (!checkIpAddr(document.setupwizard.pptpIp)) {
				alert(mInetIp + mAlertInvalid);
				return false;
			}
			if (!checkNetMask(document.setupwizard.pptpNetmask)) {
				alert(mInetMask + mAlertInvalid);
				return false;
			}
			if (!checkIpAddr(document.setupwizard.pptpGateway)) {
				alert(mInetGw + mAlertInvalid);
				return false;
			}
			var wan_ip = document.setupwizard.pptpIp.value;
			if (checkLanIp(lan_ip, lan_mask, wan_ip)) {
				alert(mAlertWanLan);
				return false;
			}
		}
	}
	else if (connectiontype == WAN_TYPE_3G) {
		if (document.setupwizard.APN3G.value == "") {
			alert(m3GApn + mAlertEmpty);
			return false;
		}
		if (document.setupwizard.PIN3G.value != "") {
			if (!isNumOnly(document.setupwizard.PIN3G.value)) {
				alert(m3GPin + mAlertInvalid);
				return false;
			}
		}
		if (document.setupwizard.Dial3G.value == "") {
			alert(m3GDial + mAlertEmpty);
			return false;
		}
	}
	else {
		return false;
	}

	return true;
}

function CheckWlani()
{
	if (document.setupwizard.ssid1.value == ""){
		alert(mWlanSsid + mAlertEmpty);
		document.setupwizard.ssid1.focus(); 
		return false;
	}

	var securitymode = document.setupwizard.security_mode1.value;
	if (securitymode == "OPEN" || securitymode == "SHARED") {
		if(check_wepi() == false)
			return false;
	}
	else if (securitymode == "WPAPSK" || securitymode == "WPA2PSK" || securitymode == "WPAPSKWPA2PSK"){
		if(check_wpai() == false)
			return false;
	}
	
	return true;
}

function CheckWlan()
{
	if (document.setupwizard.ssid.value == ""){
		alert(mWlanSsid + mAlertEmpty);
		document.setupwizard.ssid.focus(); 
		return false;
	}

	var securitymode = document.setupwizard.security_mode.value;
	if (securitymode == "OPEN" || securitymode == "SHARED") {
		if(check_wep() == false)
			return false;
	}
	else if (securitymode == "WPAPSK" || securitymode == "WPA2PSK" || securitymode == "WPAPSKWPA2PSK"){
		if(check_wpa() == false)
			return false;
	}
	
	return true;
}

function CheckApCli()
{
	//if(opmode == OPMODE_APCLI){
		if (document.setupwizard.apcli_ssid.value == '') {
			alert(mApcliSsid + mAlertEmpty);
			document.setupwizard.apcli_ssid.focus(); 
			return false;
		}

		if (document.setupwizard.apcli_bssid.value != '') {
			var re = /[A-Fa-f0-9]{2}:[A-Fa-f0-9]{2}:[A-Fa-f0-9]{2}:[A-Fa-f0-9]{2}:[A-Fa-f0-9]{2}:[A-Fa-f0-9]{2}/;
			if (!re.test(document.setupwizard.apcli_bssid.value)) {
				alert(mInetMac + mAlertInvalid);
				document.setupwizard.apcli_bssid.focus(); 
				return false;
			}
		}

		if (document.setupwizard.apcli_mode.options.selectedIndex == 0)
			return true;
		else if (document.setupwizard.apcli_mode.options.selectedIndex == 1)
			return CheckWep();
		else if (document.setupwizard.apcli_mode.options.selectedIndex == 2)
			return CheckWep();
		else if (document.setupwizard.apcli_mode.options.selectedIndex == 3)
			return CheckWep();
		else if (document.setupwizard.apcli_mode.options.selectedIndex == 4)
			return CheckWpa();
		else if (document.setupwizard.apcli_mode.options.selectedIndex == 5)
			return CheckWpa();
		else {
			alert(mAlertUnknownSecMode);
			return false;
		}
	//}
	return true;
}

function KeyTypeSwitch(id)
{
	var keytype = eval("document.setupwizard.apcli_key"+id+"type.options.selectedIndex");
	document.setupwizard.apcli_key1type.options.selectedIndex = keytype;
	document.setupwizard.apcli_key2type.options.selectedIndex = keytype;
	document.setupwizard.apcli_key3type.options.selectedIndex = keytype;
	document.setupwizard.apcli_key4type.options.selectedIndex = keytype;
}

function SecurityModeSwitch()
{
	document.getElementById("r_apcli_enc").style.visibility = "hidden";
	document.getElementById("r_apcli_enc").style.display = "none";
	document.getElementById("r_apcli_default_key").style.visibility = "hidden";
	document.getElementById("r_apcli_default_key").style.display = "none";
	document.setupwizard.apcli_default_key.disabled = true;
	document.getElementById("r_apcli_key1").style.visibility = "hidden";
	document.getElementById("r_apcli_key1").style.display = "none";
	document.setupwizard.apcli_key1.disabled = true;
	document.getElementById("r_apcli_key2").style.visibility = "hidden";
	document.getElementById("r_apcli_key2").style.display = "none";
	document.setupwizard.apcli_key2.disabled = true;
	document.getElementById("r_apcli_key3").style.visibility = "hidden";
	document.getElementById("r_apcli_key3").style.display = "none";
	document.setupwizard.apcli_key3.disabled = true;
	document.getElementById("r_apcli_key4").style.visibility = "hidden";
	document.getElementById("r_apcli_key4").style.display = "none";
	document.setupwizard.apcli_key4.disabled = true;
	document.getElementById("r_apcli_wpapsk").style.visibility = "hidden";
	document.getElementById("r_apcli_wpapsk").style.display = "none";
	document.setupwizard.apcli_wpapsk.disabled = true;

	var mysel = document.setupwizard.apcli_enc;
/*
	mysel.options.length = 0;
*/
	if (document.setupwizard.apcli_mode.options.selectedIndex == 0) { // Disable
	}
	else if (document.setupwizard.apcli_mode.options.selectedIndex == 1 /* OPEN */
		|| document.setupwizard.apcli_mode.options.selectedIndex == 2 /* SHARED */
		|| document.setupwizard.apcli_mode.options.selectedIndex == 3 /* WEPAUTO */
		) {
	/*
		mysel.options[0] = new Option("None", "NONE");
		mysel.options[1] = new Option("Wep", "WEP");
		document.getElementById("r_apcli_default_key").style.visibility = "visible";
		document.getElementById("r_apcli_default_key").style.display = style_display_on();
	*/
		document.setupwizard.apcli_default_key.disabled = false;
		document.getElementById("r_apcli_key1").style.visibility = "visible";
		document.getElementById("r_apcli_key1").style.display = style_display_on();
		document.setupwizard.apcli_key1.disabled = false;
	/*
		document.getElementById("r_apcli_key2").style.visibility = "visible";
		document.getElementById("r_apcli_key2").style.display = style_display_on();
	*/
		document.setupwizard.apcli_key2.disabled = false;
	/*
		document.getElementById("r_apcli_key3").style.visibility = "visible";
		document.getElementById("r_apcli_key3").style.display = style_display_on();
	*/
		document.setupwizard.apcli_key3.disabled = false;
	/*
		document.getElementById("r_apcli_key4").style.visibility = "visible";
		document.getElementById("r_apcli_key4").style.display = style_display_on();
	*/
		document.setupwizard.apcli_key4.disabled = false;
		mysel.disabled = true;
	}
	else if (document.setupwizard.apcli_mode.options.selectedIndex == 4 /* WPA-PSK */
		|| document.setupwizard.apcli_mode.options.selectedIndex == 5 /* WPA2-PSK */
		) {
	/*
		mysel.options[0] = new Option("TKIP", "TKIP");
		mysel.options[1] = new Option("AES", "AES");
	*/
		document.getElementById("r_apcli_enc").style.visibility = "visible";
		document.getElementById("r_apcli_enc").style.display = style_display_on();
		document.getElementById("r_apcli_wpapsk").style.visibility = "visible";
		document.getElementById("r_apcli_wpapsk").style.display = style_display_on();
		document.setupwizard.apcli_wpapsk.disabled = false;
		mysel.disabled = false;
	}
}

function CheckWep()
{
	var mykey = document.setupwizard.apcli_key1;
	document.setupwizard.apcli_default_key.options.selectedIndex = 0;
	if (mykey.value.length == 0) {
		alert(mWlanSecKey+mAlertEmpty);
		mykey.focus();
		return false;
	}

	if (mykey.value.length == 5 || mykey.value.length == 13) { // ASCII 5/13
		if (!checkInjection(mykey.value)) {
			alert(mWlanSecKey+mAlertWepKeyFormat);
			mykey.focus();
			return false;
		}
		document.setupwizard.apcli_key1type.options.selectedIndex = 1;
		document.setupwizard.apcli_key2type.options.selectedIndex = 1;
		document.setupwizard.apcli_key3type.options.selectedIndex = 1;
		document.setupwizard.apcli_key4type.options.selectedIndex = 1;
	}
	else if (mykey.value.length == 10 || mykey.value.length == 26) { // Hex 10/26
		if (!checkHex(mykey.value)) {
			alert(mWlanSecKey + mAlertWepKeyFormat);
			mykey.focus();
			return false;
		}
		document.setupwizard.apcli_key1type.options.selectedIndex = 0;
		document.setupwizard.apcli_key2type.options.selectedIndex = 0;
		document.setupwizard.apcli_key3type.options.selectedIndex = 0;
		document.setupwizard.apcli_key4type.options.selectedIndex = 0;
	}
	else { // Invalid Key
		alert(mWlanSecKey+mAlertInvalid);
	}

	document.setupwizard.apcli_key2.value = mykey.value;
	document.setupwizard.apcli_key3.value = mykey.value;
	document.setupwizard.apcli_key4.value = mykey.value;

	return true;
}

function CheckWpa()
{
	if (document.setupwizard.apcli_wpapsk.value.length < 8) {
		alert(mWlanSecPassPhrase + mAlertPassPhraseLen);
		document.setupwizard.apcli_wpapsk.focus();
		return false;
	}
	if (!checkInjection(document.setupwizard.apcli_wpapsk.value)) {
		alert(mWlanSecPassPhrase + mAlertInvalid);
		document.setupwizard.apcli_wpapsk.focus();
		return false;
	}
	return true;
}

function showHideDiv(show, div_id)
{
	if (show) {
		document.getElementById(div_id).style.visibility = "visible";
		document.getElementById(div_id).style.display = div_display_on();
	}
	else {
		document.getElementById(div_id).style.visibility = "hidden";
		document.getElementById(div_id).style.display = "none";
	}
}

function securityMode(band)
{
	var security_mode;

	if (band == 0) {
		document.getElementById("div_wep").style.visibility = "hidden";
		document.getElementById("div_wep").style.display = "none";
		document.getElementById("div_wpa").style.visibility = "hidden";
		document.getElementById("div_wpa").style.display = "none";
		document.setupwizard.cipher[0].disabled = true;
		document.setupwizard.cipher[1].disabled = true;
		document.setupwizard.cipher[2].disabled = true;
		document.setupwizard.passphrase.disabled = true;
		document.setupwizard.keyRenewalInterval.disabled = true;

		security_mode = document.setupwizard.security_mode.value;

		if (security_mode == "OPEN" || security_mode == "SHARED") {
			document.getElementById("div_wep").style.visibility = "visible";
			document.getElementById("div_wep").style.display = div_display_on();
		}
		else if (security_mode == "WPAPSK" || security_mode == "WPA2PSK" || security_mode == "WPAPSKWPA2PSK"){
			document.getElementById("div_wpa").style.visibility = "visible";
			document.getElementById("div_wpa").style.display = div_display_on();

			document.setupwizard.cipher[0].disabled = false;
			document.setupwizard.cipher[1].disabled = false;

			// deal with TKIP-AES mixed mode
			if(security_mode == "WPA2PSK") {
				document.setupwizard.cipher[2].disabled = false;
			}
			else {
				// do not support TKIPAES
				if (document.setupwizard.cipher[2].checked == true)
					document.setupwizard.cipher[1].checked = true;
			}

			document.setupwizard.passphrase.disabled = false;
			document.setupwizard.keyRenewalInterval.disabled = false;
		}
	}
	else {
		document.getElementById("div_wep1").style.visibility = "hidden";
		document.getElementById("div_wep1").style.display = "none";
		document.getElementById("div_wpa1").style.visibility = "hidden";
		document.getElementById("div_wpa1").style.display = "none";
		document.setupwizard.cipher1[0].disabled = true;
		document.setupwizard.cipher1[1].disabled = true;
		document.setupwizard.cipher1[2].disabled = true;
		document.setupwizard.passphrase1.disabled = true;
		document.setupwizard.keyRenewalInterval1.disabled = true;

		security_mode = document.setupwizard.security_mode1.value;

		if (security_mode == "OPEN" || security_mode == "SHARED") {
			document.getElementById("div_wep1").style.visibility = "visible";
			document.getElementById("div_wep1").style.display = div_display_on();
		}
		else if (security_mode == "WPAPSK" || security_mode == "WPA2PSK" || security_mode == "WPAPSKWPA2PSK"){
			document.getElementById("div_wpa1").style.visibility = "visible";
			document.getElementById("div_wpa1").style.display = div_display_on();

			document.setupwizard.cipher1[0].disabled = false;
			document.setupwizard.cipher1[1].disabled = false;

			// deal with TKIP-AES mixed mode
			if(security_mode == "WPA2PSK") {
				document.setupwizard.cipher1[2].disabled = false;
			}
			else {
				// do not support TKIPAES
				if (document.setupwizard.cipher1[2].checked == true)
					document.setupwizard.cipher1[1].checked = true;
			}

			document.setupwizard.passphrase1.disabled = false;
			document.setupwizard.keyRenewalInterval1.disabled = false;
		}
	}
}

function hideAllDiv()
{
	showHideDiv(0, "div_welcome");
	showHideDiv(0, "div_lan");
	showHideDiv(0, "div_opmode");
	showHideDiv(0, "div_wan");
	showHideDiv(0, "div_wlani");
	showHideDiv(0, "div_wlan");
	showHideDiv(0, "div_apcli");
	showHideDiv(0, "div_summary");
}

function initSum()
{
	var sel = document.setupwizard.connectionType.options.selectedIndex;
	var wanmode = document.setupwizard.connectionType.options[sel].value;

	var e;

	hideAllSum();

	e = document.getElementById("sdConnectionType");
	if (wanmode == WAN_TYPE_STATIC) {
		e.innerHTML = mWanModeStatic;
		document.getElementById("sdStaticIp").innerHTML = document.setupwizard.staticIp.value;
		document.getElementById("sdStaticNetmask").innerHTML = document.setupwizard.staticNetmask.value;
		document.getElementById("sdStaticGateway").innerHTML = document.setupwizard.staticGateway.value;
		document.getElementById("sdStaticPriDns").innerHTML = document.setupwizard.staticPriDns.value;
		document.getElementById("sdStaticSecDns").innerHTML = document.setupwizard.staticSecDns.value;
		showHideSumStatic(1);
	}
	else if (wanmode == WAN_TYPE_DHCP) {
		e.innerHTML = mWanModeDhcp;
		showHideSumDhcp(1);
	}
	else if (wanmode == WAN_TYPE_PPPOE) {
		e.innerHTML = mWanModePppoe;
		document.getElementById("sdPppoeUser").innerHTML = document.setupwizard.pppoeUser.value;
		document.getElementById("sdPppoePassword").innerHTML = document.setupwizard.pppoePass.value;
		showHideSumPppoe(1);
	}
	else if (wanmode == WAN_TYPE_L2TP) {
		e.innerHTML = mWanModel2tp;
		document.getElementById("sdL2tpServer").innerHTML = document.setupwizard.l2tpServer.value;
		document.getElementById("sdL2tpUser").innerHTML = document.setupwizard.l2tpUser.value;
		document.getElementById("sdL2tpPassword").innerHTML = document.setupwizard.l2tpPass.value;
		if (document.setupwizard.l2tpMode.options.selectedIndex == 1) {
			document.getElementById("sdL2tpMode").innerHTML = mWanModeDhcp;
		}
		else {
			document.getElementById("sdL2tpMode").innerHTML = mWanModeStatic;
			document.getElementById("sdL2tpIp").innerHTML = document.setupwizard.l2tpIp.value;
			document.getElementById("sdL2tpNetmask").innerHTML = document.setupwizard.l2tpNetmask.value;
			document.getElementById("sdL2tpGateway").innerHTML = document.setupwizard.l2tpGateway.value;
		}
		showHideSumL2tp(1);
	}
	else if (wanmode == WAN_TYPE_PPTP) {
		e.innerHTML = mWanModePptp;
		document.getElementById("sdPptpServer").innerHTML = document.setupwizard.pptpServer.value;
		document.getElementById("sdPptpUser").innerHTML = document.setupwizard.pptpUser.value;
		document.getElementById("sdPptpPassword").innerHTML = document.setupwizard.pptpPass.value;
		if (document.setupwizard.pptpMode.options.selectedIndex == 1) {
			document.getElementById("sdPptpMode").innerHTML = mWanModeDhcp;
		}
		else {
			document.getElementById("sdPptpMode").innerHTML = mWanModeStatic;
			document.getElementById("sdPptpIp").innerHTML = document.setupwizard.pptpIp.value;
			document.getElementById("sdPptpNetmask").innerHTML = document.setupwizard.pptpNetmask.value;
			document.getElementById("sdPptpGateway").innerHTML = document.setupwizard.pptpGateway.value;
		}
		showHideSumPptp(1);
	}
	else if (wanmode == WAN_TYPE_3G) {
		e.innerHTML = mWanMode3G;
		document.getElementById("sd3GDev").innerHTML = document.setupwizard.Dev3G.value;

		document.getElementById("sd3GApn").innerHTML = document.setupwizard.APN3G.value;
		document.getElementById("sd3GUser").innerHTML = document.setupwizard.User3G.value;
		document.getElementById("sd3GPass").innerHTML = document.setupwizard.Pass3G.value;
		document.getElementById("sd3GPin").innerHTML = document.setupwizard.PIN3G.value;
		document.getElementById("sd3GDial").innerHTML = document.setupwizard.Dial3G.value;
		showHideSum3G(1);
	}
	else {
		e.innerHTML = mWanModeStatic;
		showHideSumStatic(1);
	}

	if (opmode == OPMODE_BRIDGE || opmode == OPMODE_BRIDGE_APCLI) {
		document.getElementById("srConnectionType").style.visibility = "hidden";
		document.getElementById("srConnectionType").style.display = "none";
	}
	else {
		document.getElementById("srConnectionType").style.visibility = "visible";
		document.getElementById("srConnectionType").style.display = style_display_on();
	}

	showHideSumLan(1);
	showHideSumOpMode(1);
	showHideSumWlan(1);

	if (rtdevB == '1') {
		showHideSumWlani(1);
	}

	if (apcliB == "1" && (opmode == OPMODE_BRIDGE_APCLI || opmode == OPMODE_APCLI)) {
		showHideSumApCli(1);
	}
}

function gotoStep(current, next)
{
	if (current == "lan") {
		if (!CheckLan())
			return;
	}
	else if (current == "opmode") {
	}
	else if (current == "wan") {
		if (!CheckWan())
			return;
	}
	else if (current == "wlani") {
		if (!CheckWlani())
			return;
	}
	else if (current == "wlan") {
		if (!CheckWlan())
			return;
	}
	else if (current == "apcli") {
		if (!CheckApCli())
			return;
	}

	hideAllDiv();

	if (next == "lan") {
		showHideDiv(1, "div_lan");
	}
	else if (next == "opmode") {
		showHideDiv(1, "div_opmode");
	}
	else if (next == "wan") {
		showHideDiv(1, "div_wan");
	}
	else if (next == "wlani") {
		showHideDiv(1, "div_wlani");
	}
	else if (next == "wlan") {
		showHideDiv(1, "div_wlan");
	}
	else if (next == "apcli") {
		showHideDiv(1, "div_apcli");
	}
	else if (next == "summary") {
		initSum();
		showHideDiv(1, "div_summary");
	}
	else if (next == "welcome") {
		showHideDiv(1, "div_welcome");
	}
}

function gotoStepWlan()
{
	if (opmode == OPMODE_BRIDGE_APCLI || opmode == OPMODE_APCLI)
		gotoStep("wlan", "apcli");
	else if (opmode == OPMODE_BRIDGE)
		gotoStep("wlan", "summary");
	else
		gotoStep("wlan", "wan");
}

function gotoStepSum()
{
	if (opmode == OPMODE_BRIDGE_APCLI || opmode == OPMODE_APCLI)
		gotoStep("", "apcli");
	else if (opmode == OPMODE_BRIDGE)
		gotoStep("", "wlan");
	else
		gotoStep("", "wan");
}

function initWlani()
{
	var HiddenSSID  = '<% getCfg2NthZero(1, "HideSSID", 0); %>';
	var radio_off = '<% getCfg2Zero(1, "RadioOff"); %>';
	var countrycode = '<% getCfg2General(1, "CountryCode"); %>';
	var PhyMode = '<% getCfg2General(1, "WirelessMode"); %>';
	var authmode = '<% getCfg2NthGeneral(1, "AuthMode", 0); %>';
	var encryptype = '<% getCfg2NthGeneral(1, "EncrypType", 0); %>';
	var keyid = '<% getCfg2NthGeneral(1, "DefaultKeyID", 0); %>';
	var key1type = '<% getCfg2NthZero(1, "Key1Type", 0); %>';
	var key2type = '<% getCfg2NthZero(1, "Key2Type", 0); %>';
	var key3type = '<% getCfg2NthZero(1, "Key3Type", 0); %>';
	var key4type = '<% getCfg2NthZero(1, "Key4Type", 0); %>';

	if (countrycode == '')
		countrycode = 'NONE';

	document.getElementById("wlr_11a_channel1").style.visibility = "hidden";
	document.getElementById("wlr_11a_channel1").style.display = "none";
	document.setupwizard.sz11aChannel1.disabled = true;
	document.getElementById("wlr_11b_channel1").style.visibility = "hidden";
	document.getElementById("wlr_11b_channel1").style.display = "none";
	document.setupwizard.sz11bChannel1.disabled = true;
	document.getElementById("wlr_11g_channel1").style.visibility = "hidden";
	document.getElementById("wlr_11g_channel1").style.display = "none";
	document.setupwizard.sz11gChannel1.disabled = true;

	var wmode_len = document.setupwizard.wirelessmode1.options.length;

	var Gband = "<% getRaixGBand(); %>";
	if (Gband == "1") {
		document.setupwizard.wirelessmode1.options[wmode_len++] = new Option(mWlanModeBG, "0");
		document.setupwizard.wirelessmode1.options[wmode_len++] = new Option(mWlanModeB, "1");
		document.setupwizard.wirelessmode1.options[wmode_len++] = new Option(mWlanModeG, "4");
		document.setupwizard.wirelessmode1.options[wmode_len++] = new Option(mWlanModeN, "6");
		document.setupwizard.wirelessmode1.options[wmode_len++] = new Option(mWlanModeGN, "7");
		document.setupwizard.wirelessmode1.options[wmode_len++] = new Option(mWlanModeBGN, "9");
		wmode_len = document.setupwizard.wirelessmode1.options.length;
	}

	var Aband = "<% getRaixABand(); %>";
	if (Aband == "1") {
		document.setupwizard.wirelessmode1.options[wmode_len++] = new Option(mWlanModeA, "2");
                document.setupwizard.wirelessmode1.options[wmode_len++] = new Option(mWlanModeAN, "8");
                document.setupwizard.wirelessmode1.options[wmode_len++] = new Option(mWlanModeNABand, "11");
		wmode_len = document.setupwizard.wirelessmode1.options.length;
	}

	var AC = "<% getRaixAC(); %>";
	if (AC == "1") {
		document.setupwizard.wirelessmode1.options[wmode_len++] = new Option(mWlanModeACNA, "14");
		document.setupwizard.wirelessmode1.options[wmode_len++] = new Option(mWlanModeACN, "15");
		wmode_len = document.setupwizard.wirelessmode1.options.length;
	}

	for (var i=0; i<document.setupwizard.wirelessmode1.options.length; i++) {
		if (PhyMode == document.setupwizard.wirelessmode1.options[i].value) {
			document.setupwizard.wirelessmode1.options.selectedIndex = i;
			break;
		}
		document.setupwizard.wirelessmode1.options.selectedIndex = 0;
	}

	if ((PhyMode == WIRELESS_MODE_BG) || (PhyMode == WIRELESS_MODE_G) || (PhyMode == WIRELESS_MODE_BGN)
		|| (PhyMode == WIRELESS_MODE_N) || (PhyMode == WIRELESS_MODE_GN)) {
		//document.getElementById("wlr_11g_channel1").style.visibility = "visible";
		//document.getElementById("wlr_11g_channel1").style.display = style_display_on();
		document.setupwizard.sz11gChannel1.disabled = false;
	}
	else if (PhyMode == WIRELESS_MODE_B) {
		//document.getElementById("wlr_11b_channel1").style.visibility = "visible";
		//document.getElementById("wlr_11b_channel1").style.display = style_display_on();
		document.setupwizard.sz11bChannel1.disabled = false;
	}
	else if ((PhyMode == WIRELESS_MODE_A) || (PhyMode == WIRELESS_MODE_AN) || (PhyMode == WIRELESS_MODE_N_5G)
		|| (PhyMode == WIRELESS_MODE_AC_NA) || (PhyMode == WIRELESS_MODE_AC_N)) {
		//document.getElementById("wlr_11a_channel1").style.visibility = "visible";
		//document.getElementById("wlr_11a_channel1").style.display = style_display_on();
		document.setupwizard.sz11aChannel1.disabled = false;
	}

	document.setupwizard.hssid1[1*HiddenSSID].checked = true;

	if (1*radio_off == 1) {
		document.setupwizard.radioOn1[0].checked = true;
	}
	else {
		document.setupwizard.radioOn1[1].checked = true;
	}

	if (authmode == "OPEN" || authmode == "SHARED" || authmode == "WEPAUTO") {
		if (encryptype == "NONE")
			document.setupwizard.security_mode1.options.selectedIndex = 0;
		else if (authmode == "SHARED")
			document.setupwizard.security_mode1.options.selectedIndex = 2;
		else
			document.setupwizard.security_mode1.options.selectedIndex = 1;
	}
	else if (authmode == "WPAPSK" || authmode == "WPA") {
		document.setupwizard.security_mode1.options.selectedIndex = 3;
	}
	else if (authmode == "WPA2PSK" || authmode == "WPA2") {
		document.setupwizard.security_mode1.options.selectedIndex = 4;
	}
	else if (authmode == "WPAPSKWPA2PSK") {
		document.setupwizard.security_mode1.options.selectedIndex = 5;
	}

	document.setupwizard.wep_default_key1.options.selectedIndex = parseInt(keyid)-1;
	document.setupwizard.WEP1Select1.options.selectedIndex = (key1type == "0" ? 1 : 0);
	document.setupwizard.WEP2Select1.options.selectedIndex = (key2type == "0" ? 1 : 0);
	document.setupwizard.WEP3Select1.options.selectedIndex = (key3type == "0" ? 1 : 0);
	document.setupwizard.WEP4Select1.options.selectedIndex = (key4type == "0" ? 1 : 0);

	if (encryptype == "TKIP")
		document.setupwizard.cipher1[0].checked = true;
	else if (encryptype == "AES")
		document.setupwizard.cipher1[1].checked = true;
	else if (encryptype == "TKIPAES")
		document.setupwizard.cipher1[2].checked = true;

	securityMode(1);
}

function initWlan()
{
	var HiddenSSID  = '<% getCfgNthZero(1, "HideSSID", 0); %>';
	var radio_off = '<% getCfgZero(1, "RadioOff"); %>';
	var countrycode = '<% getCfgGeneral(1, "CountryCode"); %>';
	var PhyMode = '<% getCfgGeneral(1, "WirelessMode"); %>';
	var authmode = '<% getCfgNthGeneral(1, "AuthMode", 0); %>';
	var encryptype = '<% getCfgNthGeneral(1, "EncrypType", 0); %>';
	var keyid = '<% getCfgNthGeneral(1, "DefaultKeyID", 0); %>';
	var key1type = '<% getCfgNthZero(1, "Key1Type", 0); %>';
	var key2type = '<% getCfgNthZero(1, "Key2Type", 0); %>';
	var key3type = '<% getCfgNthZero(1, "Key3Type", 0); %>';
	var key4type = '<% getCfgNthZero(1, "Key4Type", 0); %>';

	if (countrycode == '')
		countrycode = 'NONE';

	document.getElementById("wlr_11a_channel").style.visibility = "hidden";
	document.getElementById("wlr_11a_channel").style.display = "none";
	document.setupwizard.sz11aChannel.disabled = true;
	document.getElementById("wlr_11b_channel").style.visibility = "hidden";
	document.getElementById("wlr_11b_channel").style.display = "none";
	document.setupwizard.sz11bChannel.disabled = true;
	document.getElementById("wlr_11g_channel").style.visibility = "hidden";
	document.getElementById("wlr_11g_channel").style.display = "none";
	document.setupwizard.sz11gChannel.disabled = true;

	var wmode_len = document.setupwizard.wirelessmode.length;
	var Gband = "<% getRaxGBand(); %>";
	if (Gband == "1")
	{
		document.setupwizard.wirelessmode.options[wmode_len++] = new Option(mWlanModeBG, "0");
		document.setupwizard.wirelessmode.options[wmode_len++] = new Option(mWlanModeB, "1");
		document.setupwizard.wirelessmode.options[wmode_len++] = new Option(mWlanModeG, "4");
		document.setupwizard.wirelessmode.options[wmode_len++] = new Option(mWlanModeN, "6");
		document.setupwizard.wirelessmode.options[wmode_len++] = new Option(mWlanModeGN, "7");
		document.setupwizard.wirelessmode.options[wmode_len++] = new Option(mWlanModeBGN, "9");
		wmode_len = document.setupwizard.wirelessmode.length;
	}
	var Aband = "<% getRaxABand(); %>";
	if (Aband == "1")
	{
		document.setupwizard.wirelessmode.options[wmode_len++] = new Option(mWlanModeA, "2");
		document.setupwizard.wirelessmode.options[wmode_len++] = new Option(mWlanModeAN, "8");
		document.setupwizard.wirelessmode.options[wmode_len++] = new Option(mWlanModeNABand, "11");
		wmode_len = document.setupwizard.wirelessmode.length;
	}
	var AC = "<% getRaxAC(); %>";
	if (AC == "1")
	{
		document.setupwizard.wirelessmode.options[wmode_len++] = new Option(mWlanModeACNA, "14");
		document.setupwizard.wirelessmode.options[wmode_len++] = new Option(mWlanModeACN, "15");
		wmode_len = document.setupwizard.wirelessmode.length;
	}

	for (var i=0; i<document.setupwizard.wirelessmode.options.length; i++) {
		if (PhyMode == document.setupwizard.wirelessmode.options[i].value) {
			document.setupwizard.wirelessmode.options.selectedIndex = i;
			break;
		}
		document.setupwizard.wirelessmode.options.selectedIndex = 0;
	}

	if ((PhyMode == WIRELESS_MODE_BG) || (PhyMode == WIRELESS_MODE_G) || (PhyMode == WIRELESS_MODE_BGN)
		|| (PhyMode == WIRELESS_MODE_N) || (PhyMode == WIRELESS_MODE_GN)) {
		//document.getElementById("wlr_11g_channel").style.visibility = "visible";
		//document.getElementById("wlr_11g_channel").style.display = style_display_on();
		document.setupwizard.sz11gChannel.disabled = false;
	}
	else if (PhyMode == WIRELESS_MODE_B) {
		//document.getElementById("wlr_11b_channel").style.visibility = "visible";
		//document.getElementById("wlr_11b_channel").style.display = style_display_on();
		document.setupwizard.sz11bChannel.disabled = false;
	}
	else if ((PhyMode == WIRELESS_MODE_A) || (PhyMode == WIRELESS_MODE_AN) || (PhyMode == WIRELESS_MODE_N_5G)
		|| (PhyMode == WIRELESS_MODE_AC_NA) || (PhyMode == WIRELESS_MODE_AC_N)) {
		//document.getElementById("wlr_11a_channel").style.visibility = "visible";
		//document.getElementById("wlr_11a_channel").style.display = style_display_on();
		document.setupwizard.sz11aChannel.disabled = false;
	}

	document.setupwizard.hssid[1*HiddenSSID].checked = true;

	if (1*radio_off == 1) {
		document.setupwizard.radioOn[0].checked = true;
	}
	else {
		document.setupwizard.radioOn[1].checked = true;
	}

	if (authmode == "OPEN" || authmode == "SHARED" || authmode == "WEPAUTO") {
		if (encryptype == "NONE")
			document.setupwizard.security_mode.options.selectedIndex = 0;
		else if (authmode == "SHARED")
			document.setupwizard.security_mode.options.selectedIndex = 2;
		else
			document.setupwizard.security_mode.options.selectedIndex = 1;
	}
	else if (authmode == "WPAPSK" || authmode == "WPA") {
		document.setupwizard.security_mode.options.selectedIndex = 3;
	}
	else if (authmode == "WPA2PSK" || authmode == "WPA2") {
		document.setupwizard.security_mode.options.selectedIndex = 4;
	}
	else if (authmode == "WPAPSKWPA2PSK") {
		document.setupwizard.security_mode.options.selectedIndex = 5;
	}

	document.setupwizard.wep_default_key.options.selectedIndex = parseInt(keyid)-1;
	document.setupwizard.WEP1Select.options.selectedIndex = (key1type == "0" ? 1 : 0);
	document.setupwizard.WEP2Select.options.selectedIndex = (key2type == "0" ? 1 : 0);
	document.setupwizard.WEP3Select.options.selectedIndex = (key3type == "0" ? 1 : 0);
	document.setupwizard.WEP4Select.options.selectedIndex = (key4type == "0" ? 1 : 0);

	if (encryptype == "TKIP")
		document.setupwizard.cipher[0].checked = true;
	else if (encryptype == "AES")
		document.setupwizard.cipher[1].checked = true;
	else if (encryptype == "TKIPAES")
		document.setupwizard.cipher[2].checked = true;

	securityMode(0);
}

function initApCli()
{
	document.getElementById("r_nosite").style.visibility = "hidden";
	document.getElementById("r_nosite").style.display = "none";
	
	document.setupwizard.apcli_ssid.value = apcli_ssid;
	document.setupwizard.apcli_bssid.value = apcli_bssid;
	if (apcli_authmode == "OPEN") {
		if (apcli_enc == "WEP")
			document.setupwizard.apcli_mode.options.selectedIndex = 1;
		else
			document.setupwizard.apcli_mode.options.selectedIndex = 0;
	}
	else if (apcli_authmode == "SHARED")
		document.setupwizard.apcli_mode.options.selectedIndex = 2;
	else if (apcli_authmode == "WEPAUTO")
		document.setupwizard.apcli_mode.options.selectedIndex = 3;
	else if (apcli_authmode == "WPAPSK")
		document.setupwizard.apcli_mode.options.selectedIndex = 4;
	else if (apcli_authmode == "WPA2PSK")
		document.setupwizard.apcli_mode.options.selectedIndex = 5;

	if (apcli_authmode == "WPAPSK" || apcli_authmode == "WPA2PSK") {
		if (apcli_enc == "TKIP")
			document.setupwizard.apcli_enc.options.selectedIndex = 0;
		else
			document.setupwizard.apcli_enc.options.selectedIndex = 1;
	}

	if (apcli_keyid == "")
		apcli_keyid = 1;

	document.setupwizard.apcli_default_key.options.selectedIndex = 0;//apcli_keyid*1 -1;
	document.setupwizard.apcli_key1.value = apcli_key1;
	document.setupwizard.apcli_key2.value = apcli_key2;
	document.setupwizard.apcli_key3.value = apcli_key3;
	document.setupwizard.apcli_key4.value = apcli_key4;
	document.setupwizard.apcli_key1type.options.selectedIndex = apcli_key1Type*1;
	document.setupwizard.apcli_key2type.options.selectedIndex = apcli_key2Type*1;
	document.setupwizard.apcli_key3type.options.selectedIndex = apcli_key3Type*1;
	document.setupwizard.apcli_key4type.options.selectedIndex = apcli_key4Type*1;
	document.setupwizard.apcli_wpapsk.value = apcli_wpapsk;
	
	SecurityModeSwitch();
}

function networkTypeChange()
{
	var nwType = document.setupwizard.network_type.options.selectedIndex;
	if(1*nwType == 1){
		document.getElementById("div_security_infra_mode").style.visibility = "visible";
		document.getElementById("div_security_infra_mode").style.display = style_display_on();
		document.setupwizard.security_infra_mode.disabled = false;

		document.getElementById("div_security_adhoc_mode").style.visibility = "hidden";
		document.getElementById("div_security_adhoc_mode").style.display = "none";
		document.setupwizard.security_adhoc_mode.disabled = true;
	}
	else{
		document.getElementById("div_security_adhoc_mode").style.visibility = "visible";
		document.getElementById("div_security_adhoc_mode").style.display = style_display_on();
		document.setupwizard.security_adhoc_mode.disabled = false;

		document.getElementById("div_security_infra_mode").style.visibility = "hidden";
		document.getElementById("div_security_infra_mode").style.display = "none";
		document.setupwizard.security_infra_mode.disabled = true;
	}

	staSecModeSwitch();
}

function initValue()
{
	var i;
	var wanmode = '<% getCfgGeneral(1, "wanConnectionMode"); %>';
	var pptpMode = '<% getCfgZero(1, "wan_pptp_mode"); %>';
	var l2tpMode = '<% getCfgZero(1, "wan_l2tp_mode"); %>';
	var dev3g = "<% getCfgGeneral(1, "wan_3g_dev"); %>";
	var element;

	if (brb == "0") {
		document.getElementById("brRow").style.visibility = "hidden";
		document.getElementById("brRow").style.display = "none";
		document.getElementById("apcliBRow").style.visibility = "hidden";
		document.getElementById("apcliBRow").style.display = "none";
	}

	if (opmode == OPMODE_BRIDGE) {
		document.setupwizard.opMode[0].checked = true;
	}
	else if (opmode == OPMODE_BRIDGE_APCLI) {
		document.setupwizard.opMode[2].checked = true;
	}
	else if (opmode == OPMODE_APCLI) {
		document.setupwizard.opMode[3].checked = true;
	}
	else {
		document.setupwizard.opMode[1].checked = true;
	}

	if (radio_off == '1') {
		document.getElementById("btnScan").disabled = true;
		document.getElementById("btnsearch").disabled = true;
	}

	if (wanDetectionBuilt != "1" || opmode != OPMODE_GATEWAY) {
		document.getElementById("btnDetect").style.visibility = "hidden";
		document.getElementById("btnDetect").style.display = "none";
		document.getElementById("wrAutoDetectIntro").style.visibility = "hidden";
		document.getElementById("wrAutoDetectIntro").style.display = "none";
	}

	element = document.setupwizard.connectionType;
	for (i=0; i<element.options.length; i++) {
		if (wanmode == element.options[i].value) {
			element.options.selectedIndex = i;
			break;
		}
	}

	document.setupwizard.l2tpMode.options.selectedIndex = 1*l2tpMode;
	document.setupwizard.pptpMode.options.selectedIndex = 1*pptpMode;

	element = document.setupwizard.Dev3G;
	for (i=0; i<element.options.length; i++) {
		if (element.options[i].value == dev3g) {
			element.options.selectedIndex = i;
			break;
		}
	}

	if (wanmode == WAN_TYPE_3G && opmode == OPMODE_3G_GATEWAY) {
		document.getElementById("wSettings").innerHTML = mLegendWan+" (3G)";
		document.getElementById("wSettingsIntro").innerHTML = mIntroWanMode3G;
		document.getElementById("wrConnectionType").style.visibility = "hidden";
		document.getElementById("wrConnectionType").style.display = "none";
		document.getElementById("wrStaticIntro").style.visibility = "hidden";
		document.getElementById("wrStaticIntro").style.display = "none";
		document.getElementById("wrDhcpIntro").style.visibility = "hidden";
		document.getElementById("wrDhcpIntro").style.display = "none";
		document.getElementById("wrPppoeIntro").style.visibility = "hidden";
		document.getElementById("wrPppoeIntro").style.display = "none";
	}

	connectionTypeSwitch();

	if (rtdevB == '1') {
		if (raxABand == "1") {
			document.getElementById("wllegend").innerHTML = mLegendWlan+" (5G)";
			document.getElementById("wllegend1").innerHTML = mLegendWlan+" (2.4G)";
			//document.getElementById("shWlanNetwork").innerHTML = mWlanNetwork+" (5G):";
			//document.getElementById("shWlanNetwork1").innerHTML = mWlanNetwork+" (2.4G):";
		}
		else {
			document.getElementById("wllegend").innerHTML = mLegendWlan+" (2.4G)";
			document.getElementById("wllegend1").innerHTML = mLegendWlan+" (5G)";
			//document.getElementById("shWlanNetwork").innerHTML = mWlanNetwork+" (2.4G):";
			//document.getElementById("shWlanNetwork1").innerHTML = mWlanNetwork+" (5G):";
		}
		initWlani();
	}
	
	initWlan();

	initApCli();

	gotoStep("", "welcome");
}

function CheckRadio()
{
	/*if (opmode == OPMODE_APCLI) {
		if (document.setupwizard.radioOn[0].checked == true) {
			alert(mAlertRadioOff);
		}
	}*/
	return true;
}

</script>

</head>

<body onLoad="initValue();">
<script language="javascript" type="text/javascript" >
	writeWebsHeader_M(menuTitle.wizard, "/m/internet/menu_network.asp");
</script>

<div class="body_div">

<table class="body" cellSpacing="0" cellPadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
    <td class="navi" valign="top">
      <script>writeNavi(lang, ver, "internet", "setupwizard");</script>
    </td>
    <td class="left" align="center" valign="top">
    <br />

    <form method="post" name="setupwizard" action="/goform/quickSetup">
    <input type="hidden" name="nextPage" value="/">
    <input type="hidden" name="apcli_channel" value="<% getCfgGeneral(1, "Channel"); %>">
    <input type="hidden" name="macCloneEnbl" value="<% getCfgZero(1, "macCloneEnabled"); %>">
    <input type="hidden" name="macCloneMac" value="<% getCfgGeneral(1, "macCloneMac"); %>">
    <input type="hidden" name="closeFlag" value="0">
    <input type="hidden" name="withNoReboot" value="0">
    <input type="hidden" name="withOpMode" value="1">

    <!-- ===============Step: Welcome============== -->
    <div id="div_welcome">
    <fieldset align="center" style="width:95%;"> 
    <legend><script>putmsg(mLegendWz);</script></legend> 
    <br />
    <table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
      <tr><td>&nbsp;</td></tr>
      <tr><td><script>putmsg(mIntroWz1);</script></td></tr>
      <tr><td>&nbsp;</td></tr>
      <tr><td><script>putmsg(mIntroWz2);</script></td></tr>
      <tr><td>&nbsp;</td></tr>
      <tr><td><script>putmsg(mIntroWz3);</script></td></tr>
      <tr><td><script>putmsg(mIntroWz4);</script></td></tr>
      <tr><td>&nbsp;</td></tr>
      <tr>
        <td align="center">
          <script>
            document.write("<input type='button' class='button' value='"+mBtnCancel+"' onClick='cancel();'>&nbsp;&nbsp;");
            document.write("<input type='button' class='button' value='"+mBtnNext+"' onClick=\"gotoStep('welcome', 'lan');\">");
          </script>
        </td>
      </tr>
    </table>
    </fieldset>
    <br /><br />
    </div>
  	
    <!-- ===============Step: LAN============== -->
    <div id="div_lan" style="display:none;visibility:hidden;">
    <fieldset align="center" style="width:95%;"> 
    <legend><script>putmsg(mLegendLan);</script></legend> 
    <table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
      <tr><td >&nbsp;</td></tr>
      <tr><td id="lSettingsIntro"><script>putmsg(mIntroLanSettings);</script></td></tr>
    </table>

    <table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
      <tr>
        <td class="head"><script>putmsg(mInetIp);</script>:</td>
        <td class="tail"><input name="lanIp" maxlength="15" size="20" value="<% getCfgGeneral(1, "lan_ipaddr"); %>"></td>
      </tr>
      <tr>
        <td class="head"><script>putmsg(mInetMask);</script>:</td>
        <td class="tail"><input name="lanNetmask" maxlength="15" size="20" value="<% getCfgGeneral(1, "lan_netmask"); %>">
      </td>
    </table>
    <br />

    <table width="90%" border="0" cellpadding="3" cellspacing="0">
      <tr>
        <td align="center">
          <script>
            document.write("<input type='button' class='button' value='"+mBtnCancel+"' onClick='cancel();'>&nbsp;&nbsp;");
            document.write("<input type='button' class='button' value='"+mBtnBack+"' onClick=\"gotoStep('', 'welcome');\">&nbsp;&nbsp;");
            document.write("<input type='button' class='button' value='"+mBtnNext+"' onClick=\"gotoStep('lan', 'opmode');\">");
          </script>
        </td>
      </tr>
    </table>
    </fieldset>
    <br /><br />
    </div>

    <!-- ===============Step: OPMODE============== -->
    <div id="div_opmode" style="display:none;visibility:hidden;">
    <fieldset align="center" style="width:95%;"> 
    <legend><script>putmsg(mOTitle);</script></legend> 
    <table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
      <tr><td >&nbsp;</td></tr>
      <tr><td><script>putmsg(mOModeIntro);</script></td></tr>
    </table>

    <table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
      <tr id="brRow">
        <td class="head"><input type="radio" name="opMode" value="0" onClick="opmodeChange();">&nbsp;&nbsp;<b><script>putmsg(mOModeB);</script>:</b></td>
        <td class="tail"><script>putmsg(mOModeBIntro);</script></td>
      </tr>
      <tr>
        <td class="head"><input type="radio" name="opMode" value="1" onClick="opmodeChange();">&nbsp;&nbsp;<b><script>putmsg(mOModeG);</script>:</b></td>
        <td class="tail"><script>putmsg(mOModeGIntro);</script></td>
      </tr>
      <tr id="apcliBRow">
        <td class="head"><input type="radio" name="opMode" value="6" onClick="opmodeChange();">&nbsp;&nbsp;<b><script>putmsg(mOModeBA);</script>:</b></td>
        <td class="tail"><script>putmsg(mOModeBAIntro);</script></td>
      </tr>
      <tr>
        <td class="head"><input type="radio" name="opMode" value="3" onClick="opmodeChange();">&nbsp;&nbsp;<b><script>putmsg(mOModeA);</script>:</b></td>
        <td class="tail"><script>putmsg(mOModeAIntro);</script></td>
      </tr>
    </table>
    <br />

    <table width="90%" border="0" cellpadding="3" cellspacing="0">
      <tr>
        <td align="center">
          <script>
            document.write("<input type='button' class='button' value='"+mBtnCancel+"' onClick='cancel();'>&nbsp;&nbsp;");
            document.write("<input type='button' class='button' value='"+mBtnBack+"' onClick=\"gotoStep('', 'lan');\">&nbsp;&nbsp;");
            if (rtdevB == '1')
                document.write("<input type='button' class='button' value='"+mBtnNext+"' onClick=\"gotoStep('opmode', 'wlani');\">");
            else
                document.write("<input type='button' class='button' value='"+mBtnNext+"' onClick=\"gotoStep('opmode', 'wlan');\">");
          </script>
        </td>
      </tr>
    </table>
    </fieldset>
    <br /><br />
    </div>

    <!-- ===============Step: WLAN============== -->
    <div id="div_wlan" style="display:none;visibility:hidden;">
    <fieldset align="center" style="width:95%;"> 
    <legend id="wllegend"><script>putmsg(mLegendWlan);</script></legend> 

    <table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
      <tr><td >&nbsp;</td></tr>
      <tr><td><script>putmsg(mIntroWlanSettings);</script></td></tr>
    </table>

    <table align="center" class="content" width="90%" border="0" cellspacing="0" cellpadding="3" >
      <tr><td width="40%">&nbsp;</td><td>&nbsp;</td></tr>
      <tr style="display:none;visibility:hidden;"> 
        <td class="head"><script>putmsg(mWlanNetwork);</script>:</td>
        <td>
          <input type="radio" name="radioOn" value="0"><script>putmsg(mRadioOff);</script>&nbsp;&nbsp;
          <input type="radio" name="radioOn" value="1"><script>putmsg(mRadioOn);</script>
        </td>
      </tr>
      <tr style="display:none;visibility:hidden;"> 
        <td class="head"><script>putmsg(mWlanMode);</script>:</td>
        <td>
          <select name="wirelessmode" id="wirelessmode" size="1" style="width:132px;" onChange="wirelessModeChange(0);">
            <!-- option value="0"><script>putmsg(mWlanModeBG);</script></option>
            <option value="1"><script>putmsg(mWlanModeB);</script></option>
            <option value="4"><script>putmsg(mWlanModeG);</script></option>
            <option value="9"><script>putmsg(mWlanModeBGN);</script></option>
            <option value="6"><script>putmsg(mWlanModeN);</script></option -->
          </select>
        </td>
      </tr>
      <tr> 
        <td class="head"><script>putmsg(mWlanSsid);</script> (SSID):</td>
        <td>
          <input type="text" name="ssid" size="20" maxlength="32" value="<% getCfgToHTML(1, "SSID1"); %>">
        </td>
      </tr>
      <tr style="display:none;visibility:hidden;">
        <td class="head"><script>putmsg(mWlanSsidHide);</script>:</td>
        <td>
          <input type="radio" name="hssid" value="0"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
          <input type="radio" name="hssid" value="1"><script>putmsg(mRadioEnable);</script>
        </td>
      </tr>
      <!--tr> 
        <td class="head"><script>putmsg(mInetMac);</script> (BSSID):</td>
        <td>&nbsp;&nbsp;<% getWlanCurrentMac(); %></td>
      </tr-->
      <tr id="wlr_11a_channel" style="display:none;visibility:hidden;">
        <td class="head"><script>putmsg(mWlanChannel);</script>:</td>
        <td>
          <select id="sz11aChannel" name="sz11aChannel" size="1" style="width:132px;">
	    <option value=0><script>putmsg(mWlanAuto);</script></option>
	    <% getWlan11aChannels(); %>
          </select>
        </td>
      </tr>
      <tr id="wlr_11b_channel" style="display:none;visibility:hidden;">
        <td class="head"><script>putmsg(mWlanChannel);</script>:</td>
        <td>
          <select id="sz11bChannel" name="sz11bChannel" size="1" style="width:132px;">
            <option value=0><script>putmsg(mWlanAuto);</script></option>
            <% getWlan11bChannels(); %>
          </select>
        </td>
      </tr>
      <tr id="wlr_11g_channel" style="display:none;visibility:hidden;">
        <td class="head"><script>putmsg(mWlanChannel);</script>:</td>
        <td>
          <select id="sz11gChannel" name="sz11gChannel" size="1" style="width:132px;">
            <option value=0><script>putmsg(mWlanAuto);</script></option>
            <% getWlan11gChannels(); %>
          </select>
        </td>
      </tr>

      <tr>
        <td class="head"><script>putmsg(mWlanSecMode);</script>:</td>
        <td>
          <select name="security_mode" size="1" onChange="securityMode(0);" style="width:132px;">
            <option value="Disable" selected><script>putmsg(mRadioDisable);</script></option>
            <option value="OPEN"><script>putmsg(mWlanSecModeOpen);</script></option>
            <option value="SHARED"><script>putmsg(mWlanSecModeShared);</script></option>
            <option value="WPAPSK"><script>putmsg(mWlanSecModeWpapsk);</script></option>
            <option value="WPA2PSK"><script>putmsg(mWlanSecModeWpa2psk);</script></option>
            <option value="WPAPSKWPA2PSK"><script>putmsg(mWlanSecModeWpaMixed);</script></option>
          </select>
        </td>
      </tr>
    </table>

    <div id="div_wep" style="visibility:hidden;display:none;">
    <table align="center" class="content" width="90%" border="0" cellspacing="0" cellpadding="3" >
      <tr> 
        <td class="head" width="40%"><script>putmsg(mWlanSecDftkey);</script>:</td>
        <td colspan="2">
          <select name="wep_default_key" id="wep_default_key" size="1" style="width:60px;">
            <option value="1">1</option>
            <option value="2">2</option>
            <option value="3">3</option>
            <option value="4">4</option>
          </select>
        </td>
      </tr>
      <tr> 
        <td class="head">WEP <script>putmsg(mWlanSecKey);</script>&nbsp;1:</td>
        <td><input name="wep_key_1" id="WEP1" size="20" maxlength="26" value="<% getCfgGeneral(1, "Key1Str1"); %>"></td>
        <td>
          <select id="WEP1Select" name="WEP1Select" style="width:74px;"> 
            <option value="1"><script>putmsg(mWlanSecAscii);</script></option>
            <option value="0"><script>putmsg(mWlanSecHex);</script></option>
          </select>
        </td>
      </tr>
      <tr> 
        <td class="head">WEP <script>putmsg(mWlanSecKey);</script>&nbsp;2:</td>
        <td><input name="wep_key_2" id="WEP2" size="20" maxlength="26" value="<% getCfgGeneral(1, "Key2Str1"); %>"></td>
        <td>
          <select id="WEP2Select" name="WEP2Select" style="width:74px;">
            <option value="1"><script>putmsg(mWlanSecAscii);</script></option>
            <option value="0"><script>putmsg(mWlanSecHex);</script></option>
          </select>
        </td>
      </tr>
      <tr> 
        <td class="head">WEP <script>putmsg(mWlanSecKey);</script>&nbsp;3:</td>
        <td><input name="wep_key_3" id="WEP3" size="20" maxlength="26" value="<% getCfgGeneral(1, "Key3Str1"); %>"></td>
        <td>
          <select id="WEP3Select" name="WEP3Select" style="width:74px;">
            <option value="1"><script>putmsg(mWlanSecAscii);</script></option>
            <option value="0"><script>putmsg(mWlanSecHex);</script></option>
          </select>
        </td>
      </tr>
      <tr> 
        <td class="head">WEP <script>putmsg(mWlanSecKey);</script>&nbsp;4:</td>
        <td><input name="wep_key_4" id="WEP4" size="20" maxlength="26" value="<% getCfgGeneral(1, "Key4Str1"); %>"></td>
        <td>
          <select id="WEP4Select" name="WEP4Select" style="width:74px;">
            <option value="1"><script>putmsg(mWlanSecAscii);</script></option>
            <option value="0"><script>putmsg(mWlanSecHex);</script></option>
          </select>
        </td>
      </tr>
    </table>
    </div>

    <div id="div_wpa" style="visibility:hidden;display:none;">
    <table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
      <tr> 
        <td class="head" width="40%"><script>putmsg(mWlanSecWpaAlgorithm);</script>:</td>
        <td>
          <input name="cipher" id="cipher" value="0" type="radio" checked>TKIP &nbsp;
          <input name="cipher" id="cipher" value="1" type="radio">AES &nbsp;
          <input name="cipher" id="cipher" value="2" type="radio">TKIPAES &nbsp;
        </td>
      </tr>
      <tr>
        <td class="head"><script>putmsg(mWlanSecPassPhrase);</script>:</td>
        <td>
          <input name="passphrase" id="passphrase" size="20" maxlength="64" value="<% getCfgToHTML(1, "WPAPSK1"); %>">
        </td>
      </tr>
      <tr id="wpa_key_renewal_interval" style="visibility:hidden;display:none;">
        <td class="head"><script>putmsg(mWlanSecRenewIntrv);</script>:</td>
        <td>
          <input name="keyRenewalInterval" size="6" maxlength="4" value="3600">&nbsp;
          <script>putmsg(mTimeSecond);</script>
        </td>
      </tr>
    </table>
    </div>

    <table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
      <tr><td colspan="2">&nbsp;</td></tr>
      <!-- tr><td width="30%" valign="top"><b><script>putmsg(mWlanNetwork);</script>:</b></td><td><script>putmsg(mIntroWlanNetwork);</script></td></tr -->
      <!-- tr><td valign="top"><b><script>putmsg(mWlanMode);</script>:</b></td><td><script>putmsg(mIntroWlanMode);</script></td></tr -->
      <tr><td width="30%" valign="top"><b><script>putmsg(mWlanSsid);</script> (SSID):</b></td><td><script>putmsg(mIntroWlanSsid);</script></td></tr>
      <!-- tr><td valign="top"><b><script>putmsg(mWlanSsidHide);</script>:</b></td><td><script>putmsg(mIntroWlanSsidHide);</script></td></tr -->
      <!-- tr><td valign="top"><b><script>putmsg(mWlanChannel);</script>:</b></td><td><script>putmsg(mIntroWlanChannel);</script></td></tr -->
      <tr><td colspan="2">&nbsp;</td></tr>
    </table>
    <br />

    <table width="90%" border="0" cellpadding="3" cellspacing="0">
      <tr>
        <td align="center">
          <script>
            document.write("<input type='button' class='button' value='"+mBtnCancel+"' onClick='cancel();'>&nbsp;&nbsp;");
            if (rtdevB == '1')
              document.write("<input type='button' class='button' value='"+mBtnBack+"' onClick=\"gotoStep('', 'wlani');\">&nbsp;&nbsp;");
            else
              document.write("<input type='button' class='button' value='"+mBtnBack+"' onClick=\"gotoStep('', 'opmode');\">&nbsp;&nbsp;");
            document.write("<input type='button' class='button' value='"+mBtnNext+"' onClick=\"gotoStepWlan();\">");
          </script>
        </td>
      </tr>
    </table>
    </fieldset>
    <br /><br />
    </div>

    <!-- ===============Step: WLANI============== -->
    <div id="div_wlani" style="display:none;visibility:hidden;">
    <fieldset align="center" style="width:95%;"> 
    <legend id="wllegend1"><script>putmsg(mLegendWlan);</script></legend> 

    <table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
      <tr><td >&nbsp;</td></tr>
      <tr><td><script>putmsg(mIntroWlanSettings);</script></td></tr>
    </table>

    <table align="center" class="content" width="90%" border="0" cellspacing="0" cellpadding="3" >
      <tr><td width="40%">&nbsp;</td><td>&nbsp;</td></tr>
      <tr style="display:none;visibility:hidden;"> 
        <td class="head"><script>putmsg(mWlanNetwork);</script>:</td>
        <td>
          <input type="radio" name="radioOn1" value="0"><script>putmsg(mRadioOff);</script>&nbsp;&nbsp;
          <input type="radio" name="radioOn1" value="1"><script>putmsg(mRadioOn);</script>
        </td>
      </tr>
      <tr style="display:none;visibility:hidden;"> 
        <td class="head"><script>putmsg(mWlanMode);</script>:</td>
        <td>
          <select name="wirelessmode1" id="wirelessmode1" size="1" style="width:132px;" onChange="wirelessModeChange(1);">
            <!-- option value="0"><script>putmsg(mWlanModeBG);</script></option>
            <option value="1"><script>putmsg(mWlanModeB);</script></option>
            <option value="4"><script>putmsg(mWlanModeG);</script></option>
            <option value="9"><script>putmsg(mWlanModeBGN);</script></option>
            <option value="6"><script>putmsg(mWlanModeN);</script></option -->
          </select>
        </td>
      </tr>
      <tr> 
        <td class="head"><script>putmsg(mWlanSsid);</script> (SSID):</td>
        <td>
          <input type="text" name="ssid1" size="20" maxlength="32" value="<% getCfg2ToHTML(1, "SSID1"); %>">
        </td>
      </tr>
      <tr style="display:none;visibility:hidden;">
        <td class="head"><script>putmsg(mWlanSsidHide);</script>:</td>
        <td>
          <input type="radio" name="hssid1" value="0"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
          <input type="radio" name="hssid1" value="1"><script>putmsg(mRadioEnable);</script>
        </td>
      </tr>
      <!--tr> 
        <td class="head"><script>putmsg(mInetMac);</script> (BSSID):</td>
        <td>&nbsp;&nbsp;<% getInicCurrentMac(); %></td>
      </tr-->
      <tr id="wlr_11a_channel1" style="display:none;visibility:hidden;">
        <td class="head"><script>putmsg(mWlanChannel);</script>:</td>
        <td>
          <select id="sz11aChannel1" name="sz11aChannel1" size="1" style="width:132px;">
	    <option value=0><script>putmsg(mWlanAuto);</script></option>
	    <% getInic11aChannels(); %>
          </select>
        </td>
      </tr>
      <tr id="wlr_11b_channel1" style="display:none;visibility:hidden;">
        <td class="head"><script>putmsg(mWlanChannel);</script>:</td>
        <td>
          <select id="sz11bChannel1" name="sz11bChannel1" size="1" style="width:132px;">
            <option value=0><script>putmsg(mWlanAuto);</script></option>
            <% getInic11bChannels(); %>
          </select>
        </td>
      </tr>
      <tr id="wlr_11g_channel1" style="display:none;visibility:hidden;">
        <td class="head"><script>putmsg(mWlanChannel);</script>:</td>
        <td>
          <select id="sz11gChannel1" name="sz11gChannel1" size="1" style="width:132px;">
            <option value=0><script>putmsg(mWlanAuto);</script></option>
            <% getInic11gChannels(); %>
          </select>
        </td>
      </tr>

      <tr>
        <td class="head"><script>putmsg(mWlanSecMode);</script>:</td>
        <td>
          <select name="security_mode1" size="1" onChange="securityMode(1);" style="width:132px;">
            <option value="Disable" selected><script>putmsg(mRadioDisable);</script></option>
            <option value="OPEN"><script>putmsg(mWlanSecModeOpen);</script></option>
            <option value="SHARED"><script>putmsg(mWlanSecModeShared);</script></option>
            <option value="WPAPSK"><script>putmsg(mWlanSecModeWpapsk);</script></option>
            <option value="WPA2PSK"><script>putmsg(mWlanSecModeWpa2psk);</script></option>
            <option value="WPAPSKWPA2PSK"><script>putmsg(mWlanSecModeWpaMixed);</script></option>
          </select>
        </td>
      </tr>
    </table>

    <div id="div_wep1" style="visibility:hidden;display:none;">
    <table align="center" class="content" width="90%" border="0" cellspacing="0" cellpadding="3" >
      <tr> 
        <td class="head" width="40%"><script>putmsg(mWlanSecDftkey);</script>:</td>
        <td colspan="2">
          <select name="wep_default_key1" id="wep_default_key1" size="1" style="width:60px;">
            <option value="1">1</option>
            <option value="2">2</option>
            <option value="3">3</option>
            <option value="4">4</option>
          </select>
        </td>
      </tr>
      <tr> 
        <td class="head">WEP <script>putmsg(mWlanSecKey);</script>&nbsp;1:</td>
        <td><input name="wep_key_11" id="WEP11" size="20" maxlength="26" value="<% getCfg2General(1, "Key1Str1"); %>"></td>
        <td>
          <select id="WEP1Select1" name="WEP1Select1" style="width:74px;"> 
            <option value="1"><script>putmsg(mWlanSecAscii);</script></option>
            <option value="0"><script>putmsg(mWlanSecHex);</script></option>
          </select>
        </td>
      </tr>
      <tr> 
        <td class="head">WEP <script>putmsg(mWlanSecKey);</script>&nbsp;2:</td>
        <td><input name="wep_key_21" id="WEP21" size="20" maxlength="26" value="<% getCfg2General(1, "Key2Str1"); %>"></td>
        <td>
          <select id="WEP2Select1" name="WEP2Select1" style="width:74px;">
            <option value="1"><script>putmsg(mWlanSecAscii);</script></option>
            <option value="0"><script>putmsg(mWlanSecHex);</script></option>
          </select>
        </td>
      </tr>
      <tr> 
        <td class="head">WEP <script>putmsg(mWlanSecKey);</script>&nbsp;3:</td>
        <td><input name="wep_key_31" id="WEP31" size="20" maxlength="26" value="<% getCfg2General(1, "Key3Str1"); %>"></td>
        <td>
          <select id="WEP3Select1" name="WEP3Select1" style="width:74px;">
            <option value="1"><script>putmsg(mWlanSecAscii);</script></option>
            <option value="0"><script>putmsg(mWlanSecHex);</script></option>
          </select>
        </td>
      </tr>
      <tr> 
        <td class="head">WEP <script>putmsg(mWlanSecKey);</script>&nbsp;4:</td>
        <td><input name="wep_key_41" id="WEP41" size="20" maxlength="26" value="<% getCfg2General(1, "Key4Str1"); %>"></td>
        <td>
          <select id="WEP4Select1" name="WEP4Select1" style="width:74px;">
            <option value="1"><script>putmsg(mWlanSecAscii);</script></option>
            <option value="0"><script>putmsg(mWlanSecHex);</script></option>
          </select>
        </td>
      </tr>
    </table>
    </div>

    <div id="div_wpa1" style="visibility:hidden;display:none;">
    <table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
      <tr> 
        <td class="head" width="40%"><script>putmsg(mWlanSecWpaAlgorithm);</script>:</td>
        <td>
          <input name="cipher1" id="cipher1" value="0" type="radio" checked>TKIP &nbsp;
          <input name="cipher1" id="cipher1" value="1" type="radio">AES &nbsp;
          <input name="cipher1" id="cipher1" value="2" type="radio">TKIPAES &nbsp;
        </td>
      </tr>
      <tr>
        <td class="head"><script>putmsg(mWlanSecPassPhrase);</script>:</td>
        <td>
          <input name="passphrase1" id="passphrase1" size="20" maxlength="64" value="<% getCfg2ToHTML(1, "WPAPSK1"); %>">
        </td>
      </tr>
      <tr id="wpa_key_renewal_interval1" style="visibility:hidden;display:none;">
        <td class="head"><script>putmsg(mWlanSecRenewIntrv);</script>:</td>
        <td>
          <input name="keyRenewalInterval1" size="6" maxlength="4" value="3600">&nbsp;
          <script>putmsg(mTimeSecond);</script>
        </td>
      </tr>
    </table>
    </div>

    <table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
      <tr><td colspan="2">&nbsp;</td></tr>
      <!-- tr><td width="30%" valign="top"><b><script>putmsg(mWlanNetwork);</script>:</b></td><td><script>putmsg(mIntroWlanNetwork);</script></td></tr -->
      <!-- tr><td valign="top"><b><script>putmsg(mWlanMode);</script>:</b></td><td><script>putmsg(mIntroWlanMode);</script></td></tr -->
      <tr><td width="30%" valign="top"><b><script>putmsg(mWlanSsid);</script> (SSID):</b></td><td><script>putmsg(mIntroWlanSsid);</script></td></tr>
      <!-- tr><td valign="top"><b><script>putmsg(mWlanSsidHide);</script>:</b></td><td><script>putmsg(mIntroWlanSsidHide);</script></td></tr -->
      <!-- tr><td valign="top"><b><script>putmsg(mWlanChannel);</script>:</b></td><td><script>putmsg(mIntroWlanChannel);</script></td></tr -->
      <tr><td colspan="2">&nbsp;</td></tr>
    </table>
    <br />

    <table width="90%" border="0" cellpadding="3" cellspacing="0">
      <tr>
        <td align="center">
          <script>
            document.write("<input type='button' class='button' value='"+mBtnCancel+"' onClick='cancel();'>&nbsp;&nbsp;");
            document.write("<input type='button' class='button' value='"+mBtnBack+"' onClick=\"gotoStep('', 'opmode');\">&nbsp;&nbsp;");
            document.write("<input type='button' class='button' value='"+mBtnNext+"' onClick=\"gotoStep('wlani', 'wlan');\">");
          </script>
        </td>
      </tr>
    </table>
    </fieldset>
    <br /><br />
    </div>

    <!-- ===============Step: WAN============== -->
    <div id="div_wan" style="display:none;visibility:hidden;">
    <fieldset align="center" style="width:95%;"> 
    <legend id="wSettings"><script>putmsg(mLegendWan);</script></legend> 
    <table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
      <tr><td >&nbsp;</td></tr>
      <tr><td id="wSettingsIntro"><script>putmsg(mIntroWanSettings);</script></td></tr>
    </table>
 
    <table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
      <tr style="height: 22px;" valign="middle">
        <td colspan="2">
          <span id="wanTypeDetectionStatus" style="font-weight:bold;">&nbsp;</span>
          <span id="wanTypeDetected" style="color:green; font-weight:bold;">&nbsp;</span>
        </td>
      </tr>
      <tr id="wrConnectionType">
        <td class="head" width="40%"><script>putmsg(mWanMode);</script>:&nbsp;</td>
        <td class="tail" >
          <select name="connectionType" size="1" onChange="connectionTypeSwitch();">
            <option value="STATIC" selected><script>putmsg(mWanModeStatic);</script></option>
            <option value="DHCP"><script>putmsg(mWanModeDhcp);</script></option>
            <option value="PPPOE"><script>putmsg(mWanModePppoe);</script></option>
            <script>
            if(l2tpbuilt == "1" && opmode == OPMODE_GATEWAY)
              document.writeln("<option value='L2TP'>L2TP (VPN)</option>");
            if(pptpbuilt == "1" && opmode == OPMODE_GATEWAY)
              document.writeln("<option value='PPTP'>PPTP (VPN)</option>");
            if (b3g == "1" && opmode == OPMODE_3G_GATEWAY)
              document.writeln("<option value=\"3G\">3G</option>");
            </script>
          </select>&nbsp;
	  <script>
	    document.write("<input type='button' class='button' id='btnDetect' value='"+mBtnWanDetect+"' onClick='detectWanConnType();'>");
          </script>
        </td>
      </tr>

      <!-- ================= STATIC Mode ================= -->
      <tr id="wrStaticIp" style="display:none;visibility:hidden;">
        <td class="head"><script>putmsg(mInetIp);</script>:</td>
        <td class="tail"><input name="staticIp" maxlength="15" size="20" value="<% getCfgGeneral(1, "wan_ipaddr"); %>"></td>
      </tr>
      <tr id="wrStaticNetMask" style="display:none;visibility:hidden;">
        <td class="head"><script>putmsg(mInetMask);</script>:</td>
        <td class="tail"><input name="staticNetmask" maxlength="15" size="20" value="<% getCfgGeneral(1, "wan_netmask"); %>">
      </td>
      </tr>
      <tr id="wrStaticGateway" style="display:none;visibility:hidden;">
        <td class="head"><script>putmsg(mInetGw);</script>:</td>
        <td class="tail"><input name="staticGateway" maxlength="15" size="20" value="<% getCfgGeneral(1, "wan_gateway"); %>"></td>
      </tr>
      <tr id="wrStaticPriDns" style="display:none;visibility:hidden;">
        <td class="head"><script>putmsg(mInetDnsPri);</script>:</td>
        <td class="tail"><input name="staticPriDns" maxlength="15" size="20" value="<% getCfgGeneral(1, "wan_primary_dns"); %>"></td>
      </tr>
      <tr id="wrStaticSecDns" style="display:none;visibility:hidden;">
        <td class="head"><script>putmsg(mInetDnsSec);</script>:</td>
        <td class="tail"><input name="staticSecDns" maxlength="15" size="20" value="<% getCfgGeneral(1, "wan_secondary_dns"); %>"></td>
      </tr>

      <!-- ================= DHCP Mode ================= -->
      <tr id="wrDhcpHost" style="display:none;visibility:hidden;">
        <td class="head"><script>putmsg(mInetHostname);</script>:</td>
        <td class="tail"><input type="text" name="hostname" size="20" maxlength="32" value="<% getCfgGeneral(1, "wan_hostname"); %>">
          <span class="comment"><script>putmsg(mOptional);</script></span></td>
      </tr>

      <!-- ================= PPPOE Mode ================= -->
      <tr id="wrPppoeUser" style="display:none;visibility:hidden;">
        <td class="head"><script>putmsg(mInetUser);</script>:</td>
        <td class="tail"><input name="pppoeUser" maxlength="32" size="20" value="<% getCfgGeneral(1, "wan_pppoe_user"); %>"></td>
      </tr>
      <tr id="wrPppoePass" style="display:none;visibility:hidden;">
        <td class="head"><script>putmsg(mInetPass);</script>:</td>
        <td class="tail">
          <input type="password" name="pppoePass" id="pppoePass" maxlength="32" size="20" value="<% getCfgGeneral(1, "wan_pppoe_pass"); %>">
        </td>
      </tr>
      <tr id="wrPppoePass2" style="display:none;visibility:hidden;">
        <td class="head"><script>putmsg(mInetPass2);</script>:</td>
        <td class="tail">
          <input type="password" name="pppoePass2" id="pppoePass2" maxlength="32" size="20" value="<% getCfgGeneral(1, "wan_pppoe_pass"); %>">&nbsp;&nbsp;
          <script>
            document.write("<input type='button' class='button' name='btnPassSwitch' id='btnPassSwitch' value='"+mBtnShow+"' onClick=\"passSwitch(0);\">");
          </script>
        </td>
      </tr>

      <!-- ================= L2TP Mode ================= -->
      <tr id="wrL2tpServer" style="display:none;visibility:hidden;">
        <td class="head"><script>putmsg(mInetSrv);</script>:</td>
        <td class="tail"><input name="l2tpServer" maxlength="15" size="20" value="<% getCfgGeneral(1, "wan_l2tp_server"); %>"></td>
      </tr>
      <tr id="wrL2tpUser" style="display:none;visibility:hidden;">
        <td class="head"><script>putmsg(mInetUser);</script>:</td>
        <td class="tail"><input name="l2tpUser" maxlength="20" size="20" value="<% getCfgGeneral(1, "wan_l2tp_user"); %>"></td>
      </tr>
      <tr id="wrL2tpPass" style="display:none;visibility:hidden;">
        <td class="head"><script>putmsg(mInetPass);</script>:</td>
        <td class="tail"><input type="password" name="l2tpPass" maxlength="32" size="20" value="<% getCfgGeneral(1, "wan_l2tp_pass"); %>"></td>
      </tr>
      <tr id="wrL2tpAddrMode" style="display:none;visibility:hidden;">
        <td class="head"><script>putmsg(mWanAddrMode);</script>:</td>
        <td class="tail">
          <select name="l2tpMode" size="1" style="width:132px;" onChange="l2tpModeSwitch();">
            <option value="0"><script>putmsg(mWanModeStatic);</script></option>
            <option value="1"><script>putmsg(mWanModeDhcp);</script></option>
          </select>
        </td>
      </tr>
      <tr id="wrL2tpIp" style="display:none;visibility:hidden;">
        <td class="head"><script>putmsg(mInetIp);</script>:</td>
        <td class="tail"><input name="l2tpIp" maxlength="15" size="20" value="<% getCfgGeneral(1, "wan_l2tp_ip"); %>"></td>
      </tr>
      <tr id="wrL2tpNetmask" style="display:none;visibility:hidden;">
        <td class="head"><script>putmsg(mInetMask);</script>:</td>
        <td class="tail"><input name="l2tpNetmask" maxlength="15" size="20" value="<% getCfgGeneral(1, "wan_l2tp_netmask"); %>"></td>
      </tr>
      <tr id="wrL2tpGateway" style="display:none;visibility:hidden;">
        <td class="head"><script>putmsg(mInetGw);</script>:</td>
        <td class="tail"><input name="l2tpGateway" maxlength="15" size="20" value="<% getCfgGeneral(1, "wan_l2tp_gateway"); %>"></td>
      </tr>

      <!-- ================= PPTP Mode ================= -->
      <tr id="wrPptpServer" style="display:none;visibility:hidden;">
        <td class="head"><script>putmsg(mInetSrv);</script>:</td>
        <td class="tail"><input name="pptpServer" maxlength="15" size="20" value="<% getCfgGeneral(1, "wan_pptp_server"); %>"></td>
      </tr>
      <tr id="wrPptpUser" style="display:none;visibility:hidden;">
        <td class="head"><script>putmsg(mInetUser);</script>:</td>
        <td class="tail"><input name="pptpUser" maxlength="20" size="20" value="<% getCfgGeneral(1, "wan_pptp_user"); %>"></td>
      </tr>
      <tr id="wrPptpPass" style="display:none;visibility:hidden;">
        <td class="head"><script>putmsg(mInetPass);</script>:</td>
        <td class="tail"><input type="password" name="pptpPass" maxlength="32" size="20" value="<% getCfgGeneral(1, "wan_pptp_pass"); %>"></td>
      </tr>
      <tr id="wrPptpAddrMode" style="display:none;visibility:hidden;">
        <td class="head"><script>putmsg(mWanAddrMode);</script>:</td>
        <td class="tail">
          <select name="pptpMode" size="1" style="width:132px;" onChange="pptpModeSwitch();">
            <option value="0"><script>putmsg(mWanModeStatic);</script></option>
            <option value="1"><script>putmsg(mWanModeDhcp);</script></option>
          </select>
        </td>
      </tr>
      <tr id="wrPptpIp" style="display:none;visibility:hidden;">
        <td class="head"><script>putmsg(mInetIp);</script>:</td>
        <td class="tail"><input name="pptpIp" maxlength="15" size="20" value="<% getCfgGeneral(1, "wan_pptp_ip"); %>"></td>
      </tr>
      <tr id="wrPptpNetmask" style="display:none;visibility:hidden;">
        <td class="head"><script>putmsg(mInetMask);</script>:</td>
        <td class="tail"><input name="pptpNetmask" maxlength="15" size="20" value="<% getCfgGeneral(1, "wan_pptp_netmask"); %>"></td>
      </tr>
      <tr id="wrPptpGateway" style="display:none;visibility:hidden;">
        <td class="head"><script>putmsg(mInetGw);</script>:</td>
        <td class="tail"><input name="pptpGateway" maxlength="15" size="20" value="<% getCfgGeneral(1, "wan_pptp_gateway"); %>"></td>
      </tr>

      <!-- ================= 3G Mode ================= -->
      <tr id="wr3GDev">
        <td class="head"><script>putmsg(m3GDev);</script>:</td>
        <td>
          <select name="Dev3G" size="1">
            <option value="Auto" selected><script>putmsg(mWlanAuto);</script></option>
            <option value="HUAWEI-E180">HUAWEI-E180 (WCDMA)</option>
            <option value="HUAWEI-E1750">HUAWEI-E1750 (WCDMA)</option>
            <option value="ZTE-MF637U">ZTE-MF637U (WCDMA)</option>
            <option value="HUAWEI-E169">HUAWEI-E169 (WCDMA)</option>
            <option value="MU-Q101">MU-Q101 (WCDMA)</option>
            <option value="DATANG-M5731">DATANG-M5731 (TD-SCDMA)</option>
            <option value="MobilePeak-Titan">MobilePeak-Titan (WCDMA)</option>
            <option value="BandLuxe-C270">BandLuxe-C270 (WCDMA)</option>
          </select>
        </td>
      </tr>
      <tr id="wr3GApn">
        <td class="head"><script>putmsg(m3GApn);</script> (APN):</td>
        <td><input name="APN3G" size="20" maxlength="64" value="<% getCfgGeneral(1, "wan_3g_apn"); %>"></td>
      </tr>
      <tr id="wr3GUser">
        <td class="head"><script>putmsg(m3GUser);</script>:</td>
        <td><input name="User3G" size="20" maxlength="64" value="<% getCfgGeneral(1, "wan_3g_user"); %>"></td>
      </tr>
      <tr id="wr3GPass">
        <td class="head"><script>putmsg(m3GPass);</script>:</td>
        <td><input type="password" name="Pass3G" size="20" maxlength="64" value="<% getCfgGeneral(1, "wan_3g_pass"); %>"></td>
      </tr>
      <tr id="wr3GPin">
        <td class="head"><script>putmsg(m3GPin);</script> (PIN):</td>
        <td><input type="password" name="PIN3G" size="20" maxlength="64" value="<% getCfgGeneral(1, "wan_3g_pin"); %>"></td>
      </tr>
      <tr id="wr3GDial">
        <td class="head"><script>putmsg(m3GDial);</script>:</td>
        <td><input name="Dial3G" size="20" maxlength="64" value="<% getCfgGeneral(1, "wan_3g_dial"); %>"></td>
      </tr>

    </table>
    <br />

    <table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
      <tr><td colspan="2" >&nbsp;</td></tr>
      <tr id="wrAutoDetectIntro">
        <td width="30%" valign="top"><b><script>putmsg(mBtnWanDetect);</script>:</b></td>
        <td><script>putmsg(mIntroWanDetect);</script></td>
      </tr>
      <tr id="wrStaticIntro">
        <td width="128" valign="top"><b><script>putmsg(mWanModeStatic);</script>:</b></td>
        <td><script>putmsg(mIntroWanModeStatic);</script></td>
      </tr>
      <tr id="wrDhcpIntro">
        <td valign="top"><b><script>putmsg(mWanModeDhcp);</script>:</b></td>
        <td><script>putmsg(mIntroWanModeDhcp);</script></td>
      </tr>
      <tr id="wrPppoeIntro">
        <td valign="top"><b><script>putmsg(mWanModePppoe);</script>:</b></td>
        <td><script>putmsg(mIntroWanModePppoe);</script></td>
      </tr>
      <!--tr><td valign="top"><b></b></td><td></td></tr-->
      <!--tr><td valign="top"><b></b></td><td></td></tr-->
      <tr><td colspan="2">&nbsp;</td></tr>
    </table>

    <table width="90%" border="0" cellpadding="3" cellspacing="0">
      <tr>
        <td align="center">
          <script>
            document.write("<input type='button' class='button' value='"+mBtnCancel+"' id='btnCancel' onClick='cancel();'>&nbsp;&nbsp;");
            document.write("<input type='button' class='button' value='"+mBtnBack+"' id='btnBack' onClick=\"gotoStep('', 'wlan');\">&nbsp;&nbsp;");
            document.write("<input type='button' class='button' value='"+mBtnNext+"' id='btnNext' onClick=\"gotoStep('wan', 'summary');\">");
          </script>
        </td>
      </tr>
    </table>

    </fieldset>
    <br /><br />
    </div>

    <!-- ===============Step: AP Client============== -->
    <div id="div_apcli" style="display:none;visibility:hidden;">
    <fieldset align="center" style="width:95%;"> 
    <legend><script>putmsg(mApCli);</script></legend>  

    <table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
      <tr><td >&nbsp;</td></tr>
      <tr><td><script>putmsg(mIntroApCliSettings);</script></td></tr>
    </table>

    <table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
      <tr><td width="40%">&nbsp;</td><td width="60%">&nbsp;</td></tr>
      <tr> 
        <td class="head"><script>putmsg(mApcliSsid);</script>:</td>
        <td class="tail"><input type="text" name="apcli_ssid" size="20" maxlength="32"></td>
      </tr>
      <tr> 
        <td class="head"><script>putmsg(mInetMac);</script>:</td>
        <td class="tail">
          <input type="text" name="apcli_bssid" size="20" maxlength="17">&nbsp;<span class="comment"><script>putmsg(mOptional);</script></span>
        </td>
      </tr>
      <tr> 
        <td class="head"><script>putmsg(mWlanSecMode);</script>:</td>
        <td class="tail">
          <select name="apcli_mode" id="apcli_mode" size="1" onChange="SecurityModeSwitch();" style="width:132px;">
            <option value="Disable"><script>putmsg(mRadioDisable);</script></option>
            <option value="OPEN"><script>putmsg(mWlanSecModeOpen);</script></option>
            <option value="SHARED"><script>putmsg(mWlanSecModeShared);</script></option>
            <option value="WEPAUTO"><script>putmsg(mWlanSecModeOpen+"|"+mWlanSecModeShared);</script></option>
            <option value="WPAPSK"><script>putmsg(mWlanSecModeWpapsk);</script></option>
            <option value="WPA2PSK"><script>putmsg(mWlanSecModeWpa2psk);</script></option>
          </select>
        </td>
      </tr>
      <tr id="r_apcli_enc">
        <td class="head"><script>putmsg(mWlanSecEncType);</script>:</td>
        <td class="tail">
          <select name="apcli_enc" id="apcli_enc" size="1" style="width:132px;">
            <option value="TKIP">TKIP</option>
            <option value="AES">AES</option>
          </select>
        </td>
      </tr>
      <tr id="r_apcli_default_key">
        <td class="head"><script>putmsg(mWlanSecDftkey);</script>:</td>
        <td class="tail">
          <select name="apcli_default_key" id="apcli_default_key" size="1" style="width:60px;display:none;visibility:hidden;">
            <option value="1" selected>1</option>
            <option value="2">2</option>
            <option value="3">3</option>
            <option value="4">4</option>
          </select>
        </td>
      </tr>
      <tr id="r_apcli_key1">
        <td class="head"><script>putmsg(mWlanSecKey);</script>:</td>
        <td class="tail">
          <input name="apcli_key1" id="apcli_key1" size="20" maxlength="26">&nbsp;&nbsp;
          <select name="apcli_key1type" onChange="KeyTypeSwitch(1);" style="width:80px;display:none;visibility:hidden;"> 
            <option value="0"><script>putmsg(mWlanSecHex);</script></option>
            <option value="1"><script>putmsg(mWlanSecAscii);</script></option>
          </select>
        </td>
      </tr>
      <tr id="r_apcli_key2">
        <td class="head"><script>putmsg(mWlanSecKey);</script>&nbsp; 2:</td>
        <td class="tail">
          <input name="apcli_key2" id="apcli_key2" size="20" maxlength="26">&nbsp;&nbsp;
          <select name="apcli_key2type" onChange="KeyTypeSwitch(2);" style="width:80px;display:none;visibility:hidden;"> 
            <option value="0"><script>putmsg(mWlanSecHex);</script></option>
            <option value="1"><script>putmsg(mWlanSecAscii);</script></option>
          </select>
        </td>
      </tr>
      <tr id="r_apcli_key3">
        <td class="head"><script>putmsg(mWlanSecKey);</script>&nbsp; 3:</td>
        <td class="tail">
          <input name="apcli_key3" id="apcli_key3" size="20" maxlength="26">&nbsp;&nbsp;
          <select name="apcli_key3type" onChange="KeyTypeSwitch(3);" style="width:80px;display:none;visibility:hidden;"> 
            <option value="0"><script>putmsg(mWlanSecHex);</script></option>
            <option value="1"><script>putmsg(mWlanSecAscii);</script></option>
          </select>
        </td>
      </tr>
      <tr id="r_apcli_key4">
        <td class="head"><script>putmsg(mWlanSecKey);</script>&nbsp; 4:</td>
        <td class="tail">
          <input name="apcli_key4" id="apcli_key4" size="20" maxlength="26">&nbsp;&nbsp;
          <select name="apcli_key4type" onChange="KeyTypeSwitch(4);" style="width:80px;display:none;visibility:hidden;"> 
            <option value="0"><script>putmsg(mWlanSecHex);</script></option>
            <option value="1"><script>putmsg(mWlanSecAscii);</script></option>
          </select>
        </td>
      </tr>
      <tr id="r_apcli_wpapsk"> 
        <td class="head"><script>putmsg(mWlanSecPassPhrase);</script>:</td>
        <td class="tail"><input type="text" name="apcli_wpapsk" size="20" maxlength="64"></td>
      </tr>
    </table>
    <br />

    <div style="width:100%; overflow-x:hidden; overflow-y:auto; height:300px;">
    <table align="center" class="content" width="96%" cellSpacing="1" cellPadding="3">
      <tr>
        <td class="headLine" align="center" width="10%"><script>putmsg(mWlanSelect);</script></td>
        <td class="headLine" align="center" colspan="2"><script>putmsg(mWlanApcliSsid);</script></td>
      </tr>
          
      <tr id="r_nosite">
        <td align="center" id="aSurveyNoSite" colspan="3"></td>
      </tr>
        
      <script language="javascript" type="text/javascript">
	var i;
	for(i=0; i<Max_Num; i+=1){
		document.writeln("<tr id=\"site"+i+"\" style=\"visibility:hidden;display:none;\">");
		document.writeln("<td width=\"10%\" align=\"center\" id=\"select"+i+"\"><input type=\"radio\" name=\"select\" onClick=\"onSelect("+i+");\"></td>");

		document.writeln("<td width=\"10%\" align=\"center\"><img border=\"0\" src=\"/graphics/radio.gif\"></td>");

		document.writeln("<td align=\"center\">");
		document.writeln("<table width=\"100%\" border=\"0\" cellspacing=\"0\">");
		document.writeln("<tr><td width=\"76%\"><b id=\"ssid"+i+"\"></b>&nbsp;&nbsp;");
		document.writeln("<span class=\"comment\" id=\"bssid"+i+"\"></span></td></tr>");
		//document.writeln("<td><span class=\"comment\" id=\"signal"+i+"\"></span></td></tr>");

		document.writeln("<tr><td colspan=\"2\"><span class=\"comment\" id=\"channel"+i+"\"></span>");
		document.writeln("<span class=\"comment\" id=\"freq"+i+"\"></span>");
		document.writeln("<span class=\"comment\" id=\"wmode"+i+"\"></span>");
		document.writeln("<span class=\"comment\" id=\"wnt"+i+"\"></span>");
		document.writeln("</td></tr>");

		document.writeln("<tr id=\"nosecrow"+i+"\" style=\"display:none;visibility:hidden;\">");
		document.writeln("<td colspan=\"2\"><span class=\"comment\" id=\"securitynone"+i+"\">"+mWlanSecOff+"</span>");
		document.writeln("<span class=\"comment\" id=\"wpsnosec"+i+"\"></span>");
		document.writeln("</td></tr>");

		document.writeln("<tr id=\"secrow"+i+"\">");
		document.writeln("<td colspan=\"2\"><img src=\"/graphics/lock.gif\">&nbsp;&nbsp;<span class=\"comment\" id=\"security"+i+"\"></span>");
		document.writeln("<span class=\"comment\" id=\"wps"+i+"\"></span>");
		document.writeln("</td></tr>");

		document.writeln("</table>");
		document.writeln("</td>");
		document.writeln("<td align=\"center\"><img id=\"signal"+i+"\" border=\"0\" src=\"\"></td>");
		document.writeln("</tr>");
	}
      </script>

      <tr>
        <td colspan="3" align="center">
          <script>
            document.write("<input type=\"button\" id=\"btnsearch\" value='"+mWlanSiteScan+"' class='button' onClick='searchOn();'>");
          </script>
        </td>
      </tr>
    </table>
    <br />
    </div>

    <table width="90%" border="0" cellpadding="3" cellspacing="0">
      <tr>
        <td align="center">
          <script>
            document.write("<input type='button' class='button' value='"+mBtnCancel+"' onClick='cancel();'>&nbsp;&nbsp;");
            document.write("<input type='button' class='button' value='"+mBtnBack+"' onClick=\"gotoStep('', 'wlan');\">&nbsp;&nbsp;");
            document.write("<input type='button' class='button' value='"+mBtnNext+"' onClick=\"gotoStep('apcli', 'summary');\">");
          </script>
        </td>
      </tr>
    </table>
    <br />
    </fieldset>
    </div>

    <!-- ===============Step: Summary============== -->
    <div id="div_summary" style="display:none;visibility:hidden;">
    <fieldset align="center" style="width:95%;"> 
    <legend><script>putmsg(mSummary);</script></legend>

    <table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
      <tr><td>&nbsp;</td></tr>
      <tr><td><script>putmsg(mIntroSum);</script></td></tr>
      <tr><td style="color:red;"><b><script>putmsg(mNote);</script>:</b><script>putmsg(mNoteSummary);</script></td></tr>
    </table>

    <table align="center" class="content" border="0" cellpadding="1" cellspacing="0" width="90%">
      <tr><td width="40%">&nbsp;</td><td>&nbsp;</td></tr>
      <!-- ============================ LAN ============================ -->
      <tr id="srLanHr"><td colspan="2"><hr /></td></tr>
      <tr id="srLanIp"> 
        <td class="head"><script>putmsg(mInetIp);</script>:</td>
        <td id="sdLanIp"></td>
      </tr>
      <tr id="srLanNetmask"> 
        <td class="head"><script>putmsg(mInetMask);</script>:</td>
        <td id="sdLanNetmask">
      </tr>

      <!-- ============================ OPMODE ============================ -->
      <tr id="srOpModeHr"><td colspan="2"><hr /></td></tr>
      <tr id="srOpMode"> 
        <td class="head"><script>putmsg(mOMode);</script>:</td>
        <td id="sdOpMode"></td>
      </tr>

      <!-- ============================ WLANI ============================ -->
      <tr id="sr_wlan_hr1"><td colspan="2"><hr /></td></tr>
      <tr id="sr_wlan_network1" style="display:none;visibility:hidden;"> 
        <td id="shWlanNetwork1" class="head"><script>putmsg(mWlanNetwork);</script>:</td>
        <td id="sdWlanNetwork1"></td>
      </tr>
      <tr id="sr_wlan_networkmode1" style="display:none;visibility:hidden;"> 
        <td class="head"><script>putmsg(mWlanMode);</script>:</td>
        <td id="sdWlanNetworkMode1">
      </tr>
      <tr id="sr_wlan_ssid1"> 
        <td class="head"><script>putmsg(mWlanSsid);</script> (SSID):</td>
        <td id="sdWlanSSID1"></td>
      </tr>
      <tr id="sr_wlan_hssid1" style="display:none;visibility:hidden;">
        <td class="head"><script>putmsg(mWlanSsidHide);</script>:</td>
        <td id="sdWlanHSSID1"></td>
      </tr>
      <tr id="sr_wlan_channel1" style="display:none;visibility:hidden;">
        <td class="head"><script>putmsg(mWlanChannel);</script>:</td>
        <td id="sdWlanChannel1"></td>
      </tr>
      <tr id="sr_wlan_mode1"> 
        <td class="head"><script>putmsg(mWlanSecMode);</script>:</td>
        <td id="sdWlanMode1"></td>
      </tr>
      <tr id="sr_wlan_enc1">
        <td class="head"><script>putmsg(mWlanSecEncType);</script>:</td>
        <td id="sdWlanEnc1"></td>
      </tr>
      <tr id="sr_wlan_default_key1">
        <td class="head"><script>putmsg(mWlanSecDftKey);</script>:</td>
        <td id="sdWlanDefaultKeyID1"></td>
      </tr>
      <tr id="sr_wlan_key11">
        <td class="head">WEP <script>putmsg(mWlanSecKey);</script> 1:</td>
        <td><span id="sdWlanKey1Str1"></span>&nbsp;<span class="comment" id="sdWlanKey1Type1"></span></td>
      </tr>
      <tr id="sr_wlan_key21">
        <td class="head">WEP <script>putmsg(mWlanSecKey);</script> 2:</td>
        <td><span id="sdWlanKey2Str1"></span>&nbsp;<span class="comment" id="sdWlanKey2Type1"></span></td>
      </tr>
      <tr id="sr_wlan_key31">
        <td class="head">WEP <script>putmsg(mWlanSecKey);</script> 3:</td>
        <td><span id="sdWlanKey3Str1"></span>&nbsp;<span class="comment" id="sdWlanKey3Type1"></span></td>
      </tr>
      <tr id="sr_wlan_key41">
        <td class="head">WEP <script>putmsg(mWlanSecKey);</script> 4:</td>
        <td><span id="sdWlanKey4Str1"></span>&nbsp;<span class="comment" id="sdWlanKey4Type1"></span></td>
      </tr>
      <tr id="sr_wlan_wpapsk1"> 
        <td class="head"><script>putmsg(mWlanSecPassPhrase);</script>:</td>
        <td id="sdWlanWPAPSK1"></td>
      </tr>

      <!-- ============================ WLAN ============================ -->
      <tr id="sr_wlan_hr"><td colspan="2"><hr /></td></tr>
      <tr id="sr_wlan_network" style="display:none;visibility:hidden;"> 
        <td id="shWlanNetwork" class="head"><script>putmsg(mWlanNetwork);</script>:</td>
        <td id="sdWlanNetwork"></td>
      </tr>
      <tr id="sr_wlan_networkmode" style="display:none;visibility:hidden;"> 
        <td class="head"><script>putmsg(mWlanMode);</script>:</td>
        <td id="sdWlanNetworkMode">
      </tr>
      <tr id="sr_wlan_ssid"> 
        <td class="head"><script>putmsg(mWlanSsid);</script> (SSID):</td>
        <td id="sdWlanSSID"></td>
      </tr>
      <tr id="sr_wlan_hssid" style="display:none;visibility:hidden;">
        <td class="head"><script>putmsg(mWlanSsidHide);</script>:</td>
        <td id="sdWlanHSSID"></td>
      </tr>
      <tr id="sr_wlan_channel" style="display:none;visibility:hidden;">
        <td class="head"><script>putmsg(mWlanChannel);</script>:</td>
        <td id="sdWlanChannel"></td>
      </tr>
      <tr id="sr_wlan_mode"> 
        <td class="head"><script>putmsg(mWlanSecMode);</script>:</td>
        <td id="sdWlanMode"></td>
      </tr>
      <tr id="sr_wlan_enc">
        <td class="head"><script>putmsg(mWlanSecEncType);</script>:</td>
        <td id="sdWlanEnc"></td>
      </tr>
      <tr id="sr_wlan_default_key">
        <td class="head"><script>putmsg(mWlanSecDftKey);</script>:</td>
        <td id="sdWlanDefaultKeyID"></td>
      </tr>
      <tr id="sr_wlan_key1">
        <td class="head">WEP <script>putmsg(mWlanSecKey);</script> 1:</td>
        <td><span id="sdWlanKey1Str"></span>&nbsp;<span class="comment" id="sdWlanKey1Type"></span></td>
      </tr>
      <tr id="sr_wlan_key2">
        <td class="head">WEP <script>putmsg(mWlanSecKey);</script> 2:</td>
        <td><span id="sdWlanKey2Str"></span>&nbsp;<span class="comment" id="sdWlanKey2Type"></span></td>
      </tr>
      <tr id="sr_wlan_key3">
        <td class="head">WEP <script>putmsg(mWlanSecKey);</script> 3:</td>
        <td><span id="sdWlanKey3Str"></span>&nbsp;<span class="comment" id="sdWlanKey3Type"></span></td>
      </tr>
      <tr id="sr_wlan_key4">
        <td class="head">WEP <script>putmsg(mWlanSecKey);</script> 4:</td>
        <td><span id="sdWlanKey4Str"></span>&nbsp;<span class="comment" id="sdWlanKey4Type"></span></td>
      </tr>
      <tr id="sr_wlan_wpapsk"> 
        <td class="head"><script>putmsg(mWlanSecPassPhrase);</script>:</td>
        <td id="sdWlanWPAPSK"></td>
      </tr>

      <!-- ============================ AP Client ============================ -->
      <tr id="sr_apcli_hr"><td colspan="2"><hr /></td></tr>
      <tr id="sr_apcli_ssid"> 
        <td class="head"><script>putmsg(mWlanApcliSsid);</script>:</td>
        <td id="sdApCliSsid"></td>
      </tr>
      <tr id="sr_apcli_mac"> 
        <td class="head"><script>putmsg(mInetMac);</script>:</td>
        <td id="sdApCliBssid"></td>
      </tr>
      <tr id="sr_apcli_mode"> 
        <td class="head"><script>putmsg(mWlanSecMode);</script>:</td>
        <td id="sdApCliMode"></td>
      </tr>
      <tr id="sr_apcli_enc">
        <td class="head"><script>putmsg(mWlanSecEncType);</script>:</td>
        <td id="sdApCliEnc"></td>
      </tr>
      <tr id="sr_apcli_default_key">
        <td class="head"><script>putmsg(mWlanSecDftKey);</script>:</td>
        <td id="sdApCliDefaultKeyID"></td>
      </tr>
      <tr id="sr_apcli_key1">
        <td class="head">WEP <script>putmsg(mWlanSecKey);</script>:</td>
        <td><span id="sdApCliKey1Str"></span>&nbsp;<span class="comment" id="sdApCliKey1Type" style="display:none;visibility:hidden;"></span></td>
      </tr>
      <tr id="sr_apcli_key2">
        <td class="head">WEP <script>putmsg(mWlanSecKey);</script> 2:</td>
        <td><span id="sdApCliKey2Str"></span>&nbsp;<span class="comment" id="sdApCliKey2Type"></span></td>
      </tr>
      <tr id="sr_apcli_key3">
        <td class="head">WEP <script>putmsg(mWlanSecKey);</script> 3:</td>
        <td><span id="sdApCliKey3Str"></span>&nbsp;<span class="comment" id="sdApCliKey3Type"></span></td>
      </tr>
      <tr id="sr_apcli_key4">
        <td class="head">WEP <script>putmsg(mWlanSecKey);</script> 4:</td>
        <td><span id="sdApCliKey4Str"></span>&nbsp;<span class="comment" id="sdApCliKey4Type"></span></td>
      </tr>
      <tr id="sr_apcli_wpapsk"> 
        <td class="head"><script>putmsg(mWlanSecPassPhrase);</script>:</td>
        <td id="sdApCliWPAPSK"></td>
      </tr>

      <!-- ============================ WAN ============================ -->
      <tr><td colspan="2"><hr /></td></tr>
      <tr id="srConnectionType">
        <td class="head"><script>putmsg(mWanMode);</script>:</td>
        <td id="sdConnectionType"></td>
      </tr>

      <!-- ============================ STATIC ============================ -->
      <tr id="srStaticIp">
        <td class="head"><script>putmsg(mInetIp);</script>:</td>
        <td id="sdStaticIp"></td>
      </tr>
      <tr id="srStaticNetmask">
        <td class="head"><script>putmsg(mInetMask);</script>:</td>
        <td id="sdStaticNetmask"></td>
      </tr>
      <tr id="srStaticGateway">
        <td class="head"><script>putmsg(mInetGw);</script>:</td>
        <td id="sdStaticGateway"></td>
      </tr>
      <tr id="srStaticPriDns">
        <td class="head"><script>putmsg(mInetDnsPri);</script>:</td>
        <td id="sdStaticPriDns"></td>
      </tr>
      <tr id="srStaticSecDns">
        <td class="head"><script>putmsg(mInetDnsSec);</script>:</td>
        <td id="sdStaticSecDns"></td>
      </tr>

      <!-- ============================ DHCP ============================ -->
      <tr id="srDhcpHost" style="visibility:hidden;display:none;">
        <td class="head"><script>putmsg(mInetHostname);</script>:</td>
        <td id="sdDhcpHost"></td>
      </tr>

      <!-- ============================ PPPoE ============================ -->
      <tr id="srPppoeUser">
        <td class="head"><script>putmsg(mInetUser);</script>:</td>
        <td id="sdPppoeUser"></td>
      </tr>
      <tr id="srPppoePassword">
        <td class="head"><script>putmsg(mInetPass);</script>:</td>
        <td id="sdPppoePassword"></td>
      </tr>

      <!-- ============================ L2TP ============================ -->
      <tr id="srL2tpServer">
        <td class="head"><script>putmsg(mInetSrv);</script>:</td>
        <td id="sdL2tpServer"></td>
      </tr>
      <tr id="srL2tpUser">
        <td class="head"><script>putmsg(mInetUser);</script>:</td>
        <td id="sdL2tpUser"></td>
      </tr>
      <tr id="srL2tpPassword">
        <td class="head"><script>putmsg(mInetPass);</script>:</td>
        <td id="sdL2tpPassword"></td>
      </tr>
      <tr id="srL2tpAddrMode">
        <td class="head"><script>putmsg(mWanAddrMode);</script>:</td>
        <td id="sdL2tpMode"></td>
      </tr>
      <tr id="srL2tpIp">
        <td class="head"><script>putmsg(mInetIp);</script>:</td>
        <td id="sdL2tpIp"></td>
      </tr>
      <tr id="srL2tpNetmask">
        <td class="head"><script>putmsg(mInetMask);</script>:</td>
        <td id="sdL2tpNetmask"></td>
      </tr>
      <tr id="srL2tpGateway">
        <td class="head"><script>putmsg(mInetGw);</script>:</td>
        <td id="sdL2tpGateway"></td>
      </tr>

      <!-- ============================ PPTP ============================ -->
      <tr id="srPptpServer">
        <td class="head"><script>putmsg(mInetSrv);</script>:</td>
        <td id="sdPptpServer"></td>
      </tr>
      <tr id="srPptpUser">
        <td class="head"><script>putmsg(mInetUser);</script>:</td>
        <td id="sdPptpUser"></td>
      </tr>
      <tr id="srPptpPassword">
        <td class="head"><script>putmsg(mInetPass);</script>:</td>
        <td id="sdPptpPassword"></td>
      </tr>
      <tr id="srPptpAddrMode">
        <td class="head"><script>putmsg(mWanAddrMode);</script>:</td>
        <td id="sdPptpMode"></td>
      </tr>
      <tr id="srPptpIp">
        <td class="head"><script>putmsg(mInetIp);</script>:</td>
        <td id="sdPptpIp"></td>
      </tr>
      <tr id="srPptpNetmask">
        <td class="head"><script>putmsg(mInetMask);</script>:</td>
        <td id="sdPptpNetmask"></td>
      </tr>
      <tr id="srPptpGateway">
        <td class="head"><script>putmsg(mInetGw);</script>:</td>
        <td id="sdPptpGateway"></td>
      </tr>

      <!-- ================= 3G Mode ================= -->
      <tr id="sr3GDev">
        <td class="head"><script>putmsg(m3GDev);</script>:</td>
        <td id="sd3GDev"></td>
      </tr>
      <tr id="sr3GApn">
        <td class="head"><script>putmsg(m3GApn);</script> (APN):</td>
        <td id="sd3GApn"></td>
      </tr>
      <tr id="sr3GUser">
        <td class="head"><script>putmsg(m3GUser);</script>:</td>
        <td id="sd3GUser"></td>
      </tr>
      <tr id="sr3GPass">
        <td class="head"><script>putmsg(m3GPass);</script>:</td>
        <td id="sd3GPass"></td>
      </tr>
      <tr id="sr3GPin">
        <td class="head"><script>putmsg(m3GPin);</script> (PIN):</td>
        <td id="sd3GPin"></td>
      </tr>
      <tr id="sr3GDial">
        <td class="head"><script>putmsg(m3GDial);</script>:</td>
        <td id="sd3GDial"></td>
      </tr>
    </table>
    <br />

    <table width="90%" border="0" cellpadding="3" cellspacing="0">
      <tr>
        <td align="center">
          <script>
            document.write("<input type='button' class='button' value='"+mBtnCancel+"' onClick='cancel();'>&nbsp;&nbsp;");
            document.write("<input type='button' class='button' value='"+mBtnBack+"' onClick=\"gotoStepSum();\">&nbsp;&nbsp;");
            document.write("<input type='submit' class='button' value='"+mBtnApply+"' onClick=\"return CheckRadio();\">");
          </script>
        </td>
      </tr>
    </table>
    </fieldset>
    <br /><br />
    </div>

    </form>

    <br /><br />
    </td>
  </tr>
  </tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 

</div>
</body>
</html>

