<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/jdefines.js"); %>
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("inet"); %>
<% websIncludeLang("wan"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var opmode = '<% getCfgZero(1, "OperationMode"); %>';
var nsBuilt = <% getNetSnifferPassBuilt(); %>;
var rb = <% getRebootFlag(); %>;
var pptpbuilt = <% getPptpBuilt(); %>;
var l2tpbuilt = <% getL2tpBuilt();%>;
var b3g = <% get3GBuilt(); %>;

document.title = vendor+" "+model+" - "+(mWanSettings);

var http_request = false;
var lanIp = '<% getCfgGeneral(1, "lan_ipaddr"); %>';
var lan2Ip = '<% getCfgGeneral(1, "lan2_ipaddr");%>';

function macCloneMacFillSubmit()
{
	makeRequest('/goform/getMyMacAjax', 'n/a', doFillMyMac);
}

function doFillMyMac()
{
    if (http_request.readyState == 4) {
	if (http_request.status == 200) {
		document.getElementById("macCloneMac").value = http_request.responseText;
	}
    }
}

function fillDefaultMac()
{
	document.getElementById("macCloneMac").value = document.getElementById("macCloneWanMac").value;
}

function dev3GSwitch()
{
	alert(mAlert3GDev);
}

function passSwitch(type)
{
	var e;
	var e2;
	var eBtn;

	if (type == 0) {
		e = document.getElementById("pppoePass");
		e2 = document.getElementById("pppoePass2");
		eBtn = document.getElementById("btnPassSwitch");
	}


	if (e && e2 && eBtn) {
		var str = (mPass);
		str += ": " + e.value;
		str += " " + (mPass2) + ": " + e2.value;
		
		alert(str);
	}
}

function macCloneSwitch()
{
	if (document.wanCfg.macCloneEnbl[1].checked == true) {
		document.getElementById("macCloneMac").disabled = false;
		document.getElementById("btnFill").disabled = false;
		document.getElementById("btnFillDefault").disabled = false;
	}
	else {
		document.getElementById("macCloneMac").disabled = true;
		document.getElementById("btnFill").disabled = true;
		document.getElementById("btnFillDefault").disabled = true;
	}
}

function dhcpDnsSwitch()
{
	if (document.wanCfg.dhcpDns[1].checked == true) {
		document.getElementById("rDhcpPriDns").style.visibility = "visible";
		document.getElementById("rDhcpPriDns").style.display = style_display_on();
		document.getElementById("rDhcpSecDns").style.visibility = "visible";
		document.getElementById("rDhcpSecDns").style.display = style_display_on();
	}
	else {
		document.getElementById("rDhcpPriDns").style.visibility = "hidden";
		document.getElementById("rDhcpPriDns").style.display = "none";
		document.getElementById("rDhcpSecDns").style.visibility = "hidden";
		document.getElementById("rDhcpSecDns").style.display = "none";
	}
}

function pppoeDnsSwitch()
{
	if (document.wanCfg.pppoeDns[1].checked == 1) {
		document.getElementById("rPppoePriDns").style.visibility = "visible";
		document.getElementById("rPppoePriDns").style.display = style_display_on();
		document.getElementById("rPppoeSecDns").style.visibility = "visible";
		document.getElementById("rPppoeSecDns").style.display = style_display_on();
	}
	else {
		document.getElementById("rPppoePriDns").style.visibility = "hidden";
		document.getElementById("rPppoePriDns").style.display = "none";
		document.getElementById("rPppoeSecDns").style.visibility = "hidden";
		document.getElementById("rPppoeSecDns").style.display = "none";
	}
}

function l2tpDnsSwitch()
{
	if (document.wanCfg.l2tpDns[1].checked == 1) {
		document.getElementById("rL2tpPriDns").style.visibility = "visible";
		document.getElementById("rL2tpPriDns").style.display = style_display_on();
		document.getElementById("rL2tpSecDns").style.visibility = "visible";
		document.getElementById("rL2tpSecDns").style.display = style_display_on();
	}
	else {
		document.getElementById("rL2tpPriDns").style.visibility = "hidden";
		document.getElementById("rL2tpPriDns").style.display = "none";
		document.getElementById("rL2tpSecDns").style.visibility = "hidden";
		document.getElementById("rL2tpSecDns").style.display = "none";
	}
}

function pptpDnsSwitch()
{
	if (document.wanCfg.pptpDns[1].checked == 1) {
		document.getElementById("rPptpPriDns").style.visibility = "visible";
		document.getElementById("rPptpPriDns").style.display = style_display_on();
		document.getElementById("rPptpSecDns").style.visibility = "visible";
		document.getElementById("rPptpSecDns").style.display = style_display_on();
	}
	else {
		document.getElementById("rPptpPriDns").style.visibility = "hidden";
		document.getElementById("rPptpPriDns").style.display = "none";
		document.getElementById("rPptpSecDns").style.visibility = "hidden";
		document.getElementById("rPptpSecDns").style.display = "none";
	}
}

function dns3GSwitch()
{
	if (document.wanCfg.Dns3G[1].checked == true) {
		document.getElementById("r3GPriDns").style.visibility = "visible";
		document.getElementById("r3GPriDns").style.display = style_display_on();
		document.getElementById("r3GSecDns").style.visibility = "visible";
		document.getElementById("r3GSecDns").style.display = style_display_on();
	}
	else {
		document.getElementById("r3GPriDns").style.visibility = "hidden";
		document.getElementById("r3GPriDns").style.display = "none";
		document.getElementById("r3GSecDns").style.visibility = "hidden";
		document.getElementById("r3GSecDns").style.display = "none";
	}
}

function l2tpModeSwitch()
{
	if (document.wanCfg.l2tpMode.options.selectedIndex == 0) {
		document.getElementById("rL2tpIp").style.visibility = "visible";
		document.getElementById("rL2tpIp").style.display = style_display_on();
		document.getElementById("rL2tpNetmask").style.visibility = "visible";
		document.getElementById("rL2tpNetmask").style.display = style_display_on();
		document.getElementById("rL2tpGateway").style.visibility = "visible";
		document.getElementById("rL2tpGateway").style.display = style_display_on();
	}
	else {
		document.getElementById("rL2tpIp").style.visibility = "hidden";
		document.getElementById("rL2tpIp").style.display = "none";
		document.getElementById("rL2tpNetmask").style.visibility = "hidden";
		document.getElementById("rL2tpNetmask").style.display = "none";
		document.getElementById("rL2tpGateway").style.visibility = "hidden";
		document.getElementById("rL2tpGateway").style.display = "none";
	}
}

function pptpModeSwitch()
{
	if (document.wanCfg.pptpMode.options.selectedIndex == 0) {
		document.getElementById("rPptpIp").style.visibility = "visible";
		document.getElementById("rPptpIp").style.display = style_display_on();
		document.getElementById("rPptpNetmask").style.visibility = "visible";
		document.getElementById("rPptpNetmask").style.display = style_display_on();
		document.getElementById("rPptpGateway").style.visibility = "visible";
		document.getElementById("rPptpGateway").style.display = style_display_on();
	}
	else {
		document.getElementById("rPptpIp").style.visibility = "hidden";
		document.getElementById("rPptpIp").style.display = "none";
		document.getElementById("rPptpNetmask").style.visibility = "hidden";
		document.getElementById("rPptpNetmask").style.display = "none";
		document.getElementById("rPptpGateway").style.visibility = "hidden";
		document.getElementById("rPptpGateway").style.display = "none";
	}
}

function showHideStatic(show)
{
	var row_style_visibility = show ? "visible" : "hidden";
	var row_style_display = show ? style_display_on() : "none";

	document.getElementById("rStaticIp").style.visibility = row_style_visibility;
	document.getElementById("rStaticIp").style.display = row_style_display;
	document.getElementById("rStaticNetMask").style.visibility = row_style_visibility;
	document.getElementById("rStaticNetMask").style.display = row_style_display;
	document.getElementById("rStaticGateway").style.visibility = row_style_visibility;
	document.getElementById("rStaticGateway").style.display = row_style_display;
	document.getElementById("rStaticMtu").style.visibility = row_style_visibility;
	document.getElementById("rStaticMtu").style.display = row_style_display;
	document.getElementById("rStaticPriDns").style.visibility = row_style_visibility;
	document.getElementById("rStaticPriDns").style.display = row_style_display;
	document.getElementById("rStaticSecDns").style.visibility = row_style_visibility;
	document.getElementById("rStaticSecDns").style.display = row_style_display;
}

function pppoeOPModeSwitch()
{
	document.wanCfg.pppoeRedialPeriod.disabled = true;
	document.wanCfg.pppoeIdleTime.disabled = true;
	if (document.wanCfg.pppoeOPMode.options.selectedIndex == 0) 
		document.wanCfg.pppoeRedialPeriod.disabled = false;
	else if (document.wanCfg.pppoeOPMode.options.selectedIndex == 1)
		document.wanCfg.pppoeIdleTime.disabled = false;
}

function l2tpOPModeSwitch()
{
	document.wanCfg.l2tpRedialPeriod.disabled = true;
	// document.wanCfg.l2tpIdleTime.disabled = true;
	if (document.wanCfg.l2tpOPMode.options.selectedIndex == 0) 
		document.wanCfg.l2tpRedialPeriod.disabled = false;
}

function pptpOPModeSwitch()
{
	document.wanCfg.pptpRedialPeriod.disabled = true;
	if (document.wanCfg.pptpOPMode.options.selectedIndex == 0) 
		document.wanCfg.pptpRedialPeriod.disabled = false;
}

function showHideDhcp(show)
{
	var row_style_visibility = show ? "visible" : "hidden";
	var row_style_display = show ? style_display_on() : "none";

	document.getElementById("rDhcpHost").style.visibility = row_style_visibility;
	document.getElementById("rDhcpHost").style.display = row_style_display;
	document.getElementById("rDhcpMtu").style.visibility = row_style_visibility;
	document.getElementById("rDhcpMtu").style.display = row_style_display;
	document.getElementById("rDhcpDns").style.visibility = row_style_visibility;
	document.getElementById("rDhcpDns").style.display = row_style_display;
	document.getElementById("rDhcpPriDns").style.visibility = row_style_visibility;
	document.getElementById("rDhcpPriDns").style.display = row_style_display;
	document.getElementById("rDhcpSecDns").style.visibility = row_style_visibility;
	document.getElementById("rDhcpSecDns").style.display = row_style_display;
}

function showHidePppoe(show)
{
	var row_style_visibility = show ? "visible" : "hidden";
	var row_style_display = show ? style_display_on() : "none";

	document.getElementById("rPppoeUser").style.visibility = row_style_visibility;
	document.getElementById("rPppoeUser").style.display = row_style_display;
	document.getElementById("rPppoePass").style.visibility = row_style_visibility;
	document.getElementById("rPppoePass").style.display = row_style_display;
	document.getElementById("rPppoePass2").style.visibility = row_style_visibility;
	document.getElementById("rPppoePass2").style.display = row_style_display;
	document.getElementById("rPppoeService").style.visibility = row_style_visibility;
	document.getElementById("rPppoeService").style.display = row_style_display;
	document.getElementById("rPppoeMtu").style.visibility = row_style_visibility;
	document.getElementById("rPppoeMtu").style.display = row_style_display;
	document.getElementById("rPppoeNoMagic").style.visibility = row_style_visibility;
	document.getElementById("rPppoeNoMagic").style.display = row_style_display;
	document.getElementById("rPppoeOpMode").style.visibility = row_style_visibility;
	document.getElementById("rPppoeOpMode").style.display = row_style_display;
	document.getElementById("rPppoeOpModev").style.visibility = row_style_visibility;
	document.getElementById("rPppoeOpModev").style.display = row_style_display;
	document.getElementById("rPppoeOpModev2").style.visibility = row_style_visibility;
	document.getElementById("rPppoeOpModev2").style.display = row_style_display;
	document.getElementById("rPppoeDns").style.visibility = row_style_visibility;
	document.getElementById("rPppoeDns").style.display = row_style_display;
	document.getElementById("rPppoePriDns").style.visibility = row_style_visibility;
	document.getElementById("rPppoePriDns").style.display = row_style_display;
	document.getElementById("rPppoeSecDns").style.visibility = row_style_visibility;
	document.getElementById("rPppoeSecDns").style.display = row_style_display;
}

function showHideL2tp(show)
{
	var row_style_visibility = show ? "visible" : "hidden";
	var row_style_display = show ? style_display_on() : "none";

	document.getElementById("rL2tpServer").style.visibility = row_style_visibility;
	document.getElementById("rL2tpServer").style.display = row_style_display;
	document.getElementById("rL2tpUser").style.visibility = row_style_visibility;
	document.getElementById("rL2tpUser").style.display = row_style_display;
	document.getElementById("rL2tpPass").style.visibility = row_style_visibility;
	document.getElementById("rL2tpPass").style.display = row_style_display;
	document.getElementById("rL2tpMtu").style.visibility = row_style_visibility;
	document.getElementById("rL2tpMtu").style.display = row_style_display;
	document.getElementById("rL2tpAddrMode").style.visibility = row_style_visibility;
	document.getElementById("rL2tpAddrMode").style.display = row_style_display;

	document.getElementById("rL2tpIp").style.visibility = row_style_visibility;
	document.getElementById("rL2tpIp").style.display = row_style_display;
	document.getElementById("rL2tpNetmask").style.visibility = row_style_visibility;
	document.getElementById("rL2tpNetmask").style.display = row_style_display;
	document.getElementById("rL2tpGateway").style.visibility = row_style_visibility;
	document.getElementById("rL2tpGateway").style.display = row_style_display;

	//document.getElementById("rL2tpOpMode").style.visibility = row_style_visibility;
	//document.getElementById("rL2tpOpMode").style.display = row_style_display;
	//document.getElementById("rL2tpOpModev").style.visibility = row_style_visibility;
	//document.getElementById("rL2tpOpModev").style.display = row_style_display;

	document.getElementById("rL2tpDns").style.visibility = row_style_visibility;
	document.getElementById("rL2tpDns").style.display = row_style_display;
	document.getElementById("rL2tpPriDns").style.visibility = row_style_visibility;
	document.getElementById("rL2tpPriDns").style.display = row_style_display;
	document.getElementById("rL2tpSecDns").style.visibility = row_style_visibility;
	document.getElementById("rL2tpSecDns").style.display = row_style_display;
}

function showHidePptp(show)
{
	var row_style_visibility = show ? "visible" : "hidden";
	var row_style_display = show ? style_display_on() : "none";

	document.getElementById("rPptpServer").style.visibility = row_style_visibility;
	document.getElementById("rPptpServer").style.display = row_style_display;
	document.getElementById("rPptpUser").style.visibility = row_style_visibility;
	document.getElementById("rPptpUser").style.display = row_style_display;
	document.getElementById("rPptpPass").style.visibility = row_style_visibility;
	document.getElementById("rPptpPass").style.display = row_style_display;
	document.getElementById("rPptpMtu").style.visibility = row_style_visibility;
	document.getElementById("rPptpMtu").style.display = row_style_display;
	document.getElementById("rPptpAddrMode").style.visibility = row_style_visibility;
	document.getElementById("rPptpAddrMode").style.display = row_style_display;

	document.getElementById("rPptpIp").style.visibility = row_style_visibility;
	document.getElementById("rPptpIp").style.display = row_style_display;
	document.getElementById("rPptpNetmask").style.visibility = row_style_visibility;
	document.getElementById("rPptpNetmask").style.display = row_style_display;
	document.getElementById("rPptpGateway").style.visibility = row_style_visibility;
	document.getElementById("rPptpGateway").style.display = row_style_display;

	//document.getElementById("rPptpOpMode").style.visibility = row_style_visibility;
	//document.getElementById("rPptpOpMode").style.display = row_style_display;
	//document.getElementById("rPptpOpModev").style.visibility = row_style_visibility;
	//document.getElementById("rPptpOpModev").style.display = row_style_display;

	document.getElementById("rPptpDns").style.visibility = row_style_visibility;
	document.getElementById("rPptpDns").style.display = row_style_display;
	document.getElementById("rPptpPriDns").style.visibility = row_style_visibility;
	document.getElementById("rPptpPriDns").style.display = row_style_display;
	document.getElementById("rPptpSecDns").style.visibility = row_style_visibility;
	document.getElementById("rPptpSecDns").style.display = row_style_display;
}

function showHide3G(show)
{
	var row_style_visibility = show ? "visible" : "hidden";
	var row_style_display = show ? style_display_on() : "none";

	document.getElementById("r3GDev").style.visibility = row_style_visibility;
	document.getElementById("r3GDev").style.display = row_style_display;
	document.getElementById("r3GApn").style.visibility = row_style_visibility;
	document.getElementById("r3GApn").style.display = row_style_display;
	document.getElementById("r3GUser").style.visibility = row_style_visibility;
	document.getElementById("r3GUser").style.display = row_style_display;
	document.getElementById("r3GPass").style.visibility = row_style_visibility;
	document.getElementById("r3GPass").style.display = row_style_display;
	document.getElementById("r3GMtu").style.visibility = row_style_visibility;
	document.getElementById("r3GMtu").style.display = row_style_display;
	document.getElementById("r3GPin").style.visibility = row_style_visibility;
	document.getElementById("r3GPin").style.display = row_style_display;
	document.getElementById("r3GDial").style.visibility = row_style_visibility;
	document.getElementById("r3GDial").style.display = row_style_display;
	document.getElementById("r3GDns").style.visibility = row_style_visibility;
	document.getElementById("r3GDns").style.display = row_style_display;
	document.getElementById("r3GPriDns").style.visibility = row_style_visibility;
	document.getElementById("r3GPriDns").style.display = row_style_display;
	document.getElementById("r3GSecDns").style.visibility = row_style_visibility;
	document.getElementById("r3GSecDns").style.display = row_style_display;
}

function hideAll()
{
	showHideStatic(0);
	showHideDhcp(0);
	showHidePppoe(0);
	showHidePptp(0);
	showHideL2tp(0);
	showHide3G(0);
}

function connectionTypeSwitch()
{
	var sel = document.wanCfg.connectionType.options.selectedIndex;

	hideAll();

	if (document.wanCfg.connectionType.options[sel].value == WAN_TYPE_STATIC) {
		showHideStatic(1);
	}
	else if (document.wanCfg.connectionType.options[sel].value == WAN_TYPE_DHCP) {
		showHideDhcp(1);
		dhcpDnsSwitch();
	}
	else if (document.wanCfg.connectionType.options[sel].value == WAN_TYPE_PPPOE) {
		showHidePppoe(1);
		pppoeOPModeSwitch();
		pppoeDnsSwitch();
	}
	else if (document.wanCfg.connectionType.options[sel].value == WAN_TYPE_L2TP) {
		showHideL2tp(1);
		l2tpModeSwitch();
		l2tpOPModeSwitch();
		l2tpDnsSwitch();
	}
	else if (document.wanCfg.connectionType.options[sel].value == WAN_TYPE_PPTP) {
		showHidePptp(1);
		pptpModeSwitch();
		pptpOPModeSwitch();
		pptpDnsSwitch();
	}
	else if (document.wanCfg.connectionType.options[sel].value == WAN_TYPE_3G) {
		showHide3G(1);
		dns3GSwitch();
	}
	else {
		showHideDhcp(1);
		dhcpDnsSwitch();
	}
}

function CheckValue()
{
	var sel = document.wanCfg.connectionType.options.selectedIndex;

	if (document.wanCfg.connectionType.options[sel].value == WAN_TYPE_STATIC) {      //STATIC
		var wan_ip = document.wanCfg.staticIp.value;
		var lan_ip = "<% getCfgGeneral(1, "lan_ipaddr"); %>";
		var lan_mask = "<% getCfgGeneral(1, "lan_netmask"); %>";
		if (!checkIpAddr(document.wanCfg.staticIp)) {
			alert((mInetIp) + (mAlertInvalid));
			return false;
		}
		
		if (document.wanCfg.staticIp.value==lanIp){
			alert((mAlertIpEqualLan));
			return false;
		}
		if (document.wanCfg.staticIp.value==lan2Ip){
			alert((mAlertIpEqualLan2));
			return false;
		}
		
		if (!checkNetMask(document.wanCfg.staticNetmask)) {
			alert((mInetMask) + (mAlertInvalid));
			return false;
		}
		if (checkLanIp(lan_ip, lan_mask, wan_ip)) {
			alert(mAlertWanLan);
			return false;
		}
		if (document.wanCfg.staticGateway.value != "") {
			if (!checkIpAddr(document.wanCfg.staticGateway)) {
				alert((mInetGw) + (mAlertInvalid));
				return false;
			}
		}
		if (!isNumOnly(document.wanCfg.staticMtu.value)) {
			alert(mAlertPositiveInteger);
			document.wanCfg.staticMtu.focus();
			return false;
		}

		if (!checkIpAddr(document.wanCfg.staticPriDns)) {
			alert((mDnsPri) + (mAlertInvalid));
			return false;
		}
		if (document.wanCfg.staticSecDns.value != "") {
			if (!checkIpAddr(document.wanCfg.staticSecDns)) {
				alert((mDnsSec) + (mAlertInvalid));
				return false;
			}
		}
		if (document.wanCfg.staticPriDns.value == document.wanCfg.staticSecDns.value) {
			alert(mAlertDnsConflict);
			document.wanCfg.staticSecDns.focus();
			return false;
		}
	}
	else if (document.wanCfg.connectionType.options[sel].value == WAN_TYPE_DHCP) { //DHCP
		if (!isNumOnly(document.wanCfg.dhcpMtu.value)) {
			alert(mAlertPositiveInteger);
			document.wanCfg.dhcpMtu.focus();
			return false;
		}
		if (document.wanCfg.dhcpDns[1].checked == true) {
			if (!checkIpAddr(document.wanCfg.dhcpPriDns)) {
				alert((mDnsPri) + (mAlertInvalid));
				return false;
			}
			if (document.wanCfg.dhcpSecDns.value != "") {
				if (!checkIpAddr(document.wanCfg.dhcpSecDns)) {
					alert((mDnsSec) + (mAlertInvalid));
					return false;
				}
			}
			if (document.wanCfg.dhcpPriDns.value == document.wanCfg.dhcpSecDns.value) {
				alert(mAlertDnsConflict);
				document.wanCfg.dhcpSecDns.focus();
	          		return false;
			}
		}
	}
	else if (document.wanCfg.connectionType.options[sel].value == WAN_TYPE_PPPOE) { //PPPOE  
		var pppUser = "<% getDefaultCfg(0, "wan_pppoe_user"); %>";
		var pppPass = "<% getDefaultCfg(0, "wan_pppoe_pass"); %>";

		if (!document.wanCfg.pppoeUser.value)
		{
			alert((mUser) + (mAlertEmpty));
			document.wanCfg.pppoeUser.focus();
			return false;
		}
		if (!document.wanCfg.pppoePass.value)
		{
			alert((mPass) + (mAlertEmpty));
			document.wanCfg.pppoePass.focus();
			return false;
		}

		if(document.wanCfg.pppoeUser.value == pppUser)
		{
			alert(mUser + mAlertUserChange);
			document.wanCfg.pppoeUser.focus();
			return false;
		}
		if(document.wanCfg.pppoePass.value == pppPass){
			ret = confirm(mPass + mAlertPassChange);
			if(!ret){
				document.wanCfg.pppoePass.focus();
				return false;
			}
		}

		if (!isNumOnly(document.wanCfg.pppoeMtu.value)) {
			alert(mAlertPositiveInteger);
			document.wanCfg.pppoeMtu.focus();
			return false;
		}

		if (document.wanCfg.pppoePass.value != document.wanCfg.pppoePass2.value) {
			alert((mAlertPasswordMismatch));
			return false;
		}
		if (document.wanCfg.pppoeOPMode.options.selectedIndex == 0)
		{
			if (document.wanCfg.pppoeRedialPeriod.value == "")
			{
				alert((mAlertEmptyRedialPeriod));
				document.wanCfg.pppoeRedialPeriod.focus();
				document.wanCfg.pppoeRedialPeriod.select();
				return false;
			}
			if (!isNumOnly(document.wanCfg.pppoeRedialPeriod.value))
			 {
				alert(mAlertPositiveInteger);
				document.wanCfg.pppoeRedialPeriod.focus();
				return false;
			}
		}
		else if (document.wanCfg.pppoeOPMode.options.selectedIndex == 1);
		{
			if (document.wanCfg.pppoeIdleTime.value == "")
			{
				alert((mAlertEmptyIdleTime));
				document.wanCfg.pppoeIdleTime.focus();
				document.wanCfg.pppoeIdleTime.select();
				return false;
			}
			if (!isNumOnly(document.wanCfg.pppoeIdleTime.value))
			 {
				alert(mAlertPositiveInteger);
				document.wanCfg.pppoeIdleTime.focus();
				return false;
			}
		}
		if (document.wanCfg.pppoeDns[1].checked == true) {
			if (!checkIpAddr(document.wanCfg.pppoePriDns)) {
				alert((mDnsPri) + (mAlertInvalid));
				return false;
			}
			if (document.wanCfg.pppoeSecDns.value != "") {
				if (!checkIpAddr(document.wanCfg.pppoeSecDns)) {
					alert((mDnsSec) + (mAlertInvalid));
					return false;
				}
			}
			if (document.wanCfg.pppoePriDns.value == document.wanCfg.pppoeSecDns.value) {
				alert(mAlertDnsConflict);
				document.wanCfg.pppoeSecDns.focus();
				return false;
			}	
		}
	}
	else if (document.wanCfg.connectionType.options[sel].value == WAN_TYPE_L2TP) { //L2TP
		if (!document.wanCfg.l2tpUser.value)
		{
			alert((mUser) + (mAlertEmpty));
			document.wanCfg.l2tpUser.focus();
				return false;
		}
		if (!document.wanCfg.l2tpPass.value)
		{
			alert((mPass) + (mAlertEmpty));
			document.wanCfg.l2tpPass.focus();
				return false;
		}
		if (!isNumOnly(document.wanCfg.l2tpMtu.value)) {
			alert(mAlertPositiveInteger);
			document.wanCfg.l2tpMtu.focus();
			return false;
		}
		if (!checkIpAddr(document.wanCfg.l2tpServer)) {
			alert((mIpAddrServer) + (mAlertInvalid));
			return false;
		}
		if (document.wanCfg.l2tpMode.options.selectedIndex == 0) {
			if (!checkIpAddr(document.wanCfg.l2tpIp)) {
				alert((mInetIp) + (mAlertInvalid));
				return false;
			}
			if (!checkNetMask(document.wanCfg.l2tpNetmask)) {
				alert((mInetMask) + (mAlertInvalid));
				return false;
			}
			if (!checkIpAddr(document.wanCfg.l2tpGateway)) {
				alert((mInetGw) + (mAlertInvalid));
				return false;
			}
		}
		if (document.wanCfg.l2tpOPMode.options.selectedIndex == 0)
		{
			if (document.wanCfg.l2tpRedialPeriod.value == "")
			{
				alert((mAlertEmptyRedialPeriod));
				document.wanCfg.l2tpRedialPeriod.focus();
				document.wanCfg.l2tpRedialPeriod.select();
				return false;
			}
		}
		if (document.wanCfg.l2tpDns[1].checked == true) {
			if (!checkIpAddr(document.wanCfg.l2tpPriDns)) {
				alert((mDnsPri) + (mAlertInvalid));
				return false;
			}
			if (document.wanCfg.l2tpSecDns.value != "") {
				if (!checkIpAddr(document.wanCfg.l2tpSecDns)) {
					alert((mDnsSec) + (mAlertInvalid));
					return false;
				}
			}
			if (document.wanCfg.l2tpPriDns.value == document.wanCfg.l2tpSecDns.value) {
				alert(mAlertDnsConflict);
				document.wanCfg.l2tpSecDns.focus();
				return false;
			}
		}

	}
	else if (document.wanCfg.connectionType.options[sel].value == WAN_TYPE_PPTP) { //PPTP
		if (!document.wanCfg.pptpUser.value)
		{
			alert((mUser) + (mAlertEmpty));
			document.wanCfg.pptpUser.focus();
				return false;
		}
		if (!document.wanCfg.pptpPass.value)
		{
			alert((mPass) + (mAlertEmpty));
			document.wanCfg.pptpPass.focus();
				return false;
		}
		if (!isNumOnly(document.wanCfg.pptpMtu.value)) {
			alert(mAlertPositiveInteger);
			document.wanCfg.pptpMtu.focus();
			return false;
		}
		if (!checkIpAddr(document.wanCfg.pptpServer)) {
			alert((mIpAddrServer) + (mAlertInvalid));
			return false;
		}
		if (document.wanCfg.pptpMode.options.selectedIndex == 0) {
			if (!checkIpAddr(document.wanCfg.pptpIp)) {
				alert((mInetIp) + (mAlertInvalid));
				return false;
			}
			if (!checkNetMask(document.wanCfg.pptpNetmask)) {
				alert((mInetMask) + (mAlertInvalid));
				return false;
			}
			if (!checkIpAddr(document.wanCfg.pptpGateway)) {
				alert((mInetGw) + (mAlertInvalid));
				return false;
			}
		}
		if (document.wanCfg.pptpOPMode.options.selectedIndex == 0)
		{
			if (document.wanCfg.pptpRedialPeriod.value == "")
			{
				alert((mAlertEmptyRedialPeriod));
				document.wanCfg.pptpRedialPeriod.focus();
				document.wanCfg.pptpRedialPeriod.select();
				return false;
			}
		}
		if (document.wanCfg.pptpDns[1].checked == true) {
			if (!checkIpAddr(document.wanCfg.pptpPriDns)) {
				alert((mDnsPri) + (mAlertInvalid));
				return false;
			}
			if (document.wanCfg.pptpSecDns.value != "") {
				if (!checkIpAddr(document.wanCfg.pptpSecDns)) {
					alert((mDnsSec) + (mAlertInvalid));
					return false;
				}
			}
			if (document.wanCfg.pptpPriDns.value == document.wanCfg.pptpSecDns.value) {
				alert(mAlertDnsConflict);
				document.wanCfg.pptpSecDns.focus();
				return false;
			}
		}

	}
	else if (document.wanCfg.connectionType.options[sel].value == WAN_TYPE_3G) { //3G
		if (document.wanCfg.APN3G.value == "") {
			alert(m3GApn + mAlertEmpty);
			return false;
		}
		if (document.wanCfg.PIN3G.value != "") {
			if (!isNumOnly(document.wanCfg.PIN3G.value)) {
				alert(m3GPin + mAlertInvalid);
				return false;
			}
		}
		if (document.wanCfg.Dial3G.value == "") {
			alert(m3GDial + mAlertEmpty);
			return false;
		}

		if (document.wanCfg.Dns3G[1].checked == true) {
			if (!checkIpAddr(document.wanCfg.PriDns3G)) {
				alert((mDnsPri) + (mAlertInvalid));
				return false;
			}
			if (!checkIpAddr(document.wanCfg.SecDns3G)) {
				alert((mDnsSec) + (mAlertInvalid));
				return false;
			}
			if (document.wanCfg.PriDns3G.value == document.wanCfg.SecDns3G.value) {
				alert(mAlertDnsConflict);
				document.wanCfg.SecDns3G.focus();
				return false;
			}
		}
	}
	else {
		return false;
	}

	if (opmode == OPMODE_GATEWAY && document.wanCfg.macCloneEnbl[1].checked == true) {
		var re = /[A-Fa-f0-9]{2}:[A-Fa-f0-9]{2}:[A-Fa-f0-9]{2}:[A-Fa-f0-9]{2}:[A-Fa-f0-9]{2}:[A-Fa-f0-9]{2}/;
		if (document.wanCfg.macCloneMac.value.length == 0) {
			alert((mAlertEmptyMac));
			document.wanCfg.macCloneMac.focus();
			return false;
		}
		if (!re.test(document.wanCfg.macCloneMac.value)) {
			alert((mAlertInvalidMac));
			document.wanCfg.macCloneMac.focus();
			return false;
		}
	}
	return true;
}

function initValue()
{
	var i;
	var mode = "<% getCfgGeneral(1, "wanConnectionMode"); %>";
	var dhcp_dns = <% getCfgZero(1, "wan_dhcp_dns"); %>;
	var pppoe_nomagic = <% getCfgZero(1, "wan_pppoe_nomagic"); %>;
	var pppoe_dns = <% getCfgZero(1, "wan_pppoe_dns"); %>;
	var pppoe_opmode = "<% getCfgGeneral(1, "wan_pppoe_opmode"); %>";
	var pppoe_optime = "<% getCfgGeneral(1, "wan_pppoe_optime"); %>";
	var l2tp_dns = <% getCfgZero(1, "wan_l2tp_dns"); %>;
	var l2tpMode = <% getCfgZero(1, "wan_l2tp_mode"); %>;
	var l2tp_opmode = "<% getCfgGeneral(1, "wan_l2tp_opmode"); %>";
	var l2tp_optime = "<% getCfgGeneral(1, "wan_l2tp_optime"); %>";
	var pptp_dns = <% getCfgZero(1, "wan_pptp_dns"); %>;
	var pptpMode = <% getCfgZero(1, "wan_pptp_mode"); %>;
	var pptp_opmode = "<% getCfgGeneral(1, "wan_pptp_opmode"); %>";
	var pptp_optime = "<% getCfgGeneral(1, "wan_pptp_optime"); %>";
	var dev_3g = "<% getCfgGeneral(1, "wan_3g_dev"); %>";
	var dns_3g = <% getCfgZero(1, "wan_3g_dns"); %>;
	var ns_en = <% getCfgZero(1, "netSnifferEn"); %>
	var clone = <% getCfgZero(1, "macCloneEnabled"); %>;

	var dev3GObj = document.wanCfg.Dev3G;
	var wanModeObj = document.wanCfg.connectionType;

	if (opmode == OPMODE_3G_GATEWAY && mode != WAN_TYPE_3G)
		mode = WAN_TYPE_3G;

	// WAN connecion type init
	for (i=0; i<wanModeObj.options.length; i++) {
		if (wanModeObj.options[i].value == mode) {
			wanModeObj.options.selectedIndex = i;
			break;
		}
	}

	document.wanCfg.dhcpDns[1*dhcp_dns].checked = true;

	// PPP init
	document.wanCfg.pppoeNoMagic[1*pppoe_nomagic].checked = true;
	document.wanCfg.pppoeDns[1*pppoe_dns].checked = true;
	if (pppoe_opmode == "Manual") {
		document.wanCfg.pppoeOPMode.options.selectedIndex = 2;
	}
	else if (pppoe_opmode == "OnDemand") {
		document.wanCfg.pppoeOPMode.options.selectedIndex = 1;
		if (pppoe_optime != "")
			document.wanCfg.pppoeIdleTime.value = pppoe_optime;
	}
	else if (pppoe_opmode == "KeepAlive") {
		document.wanCfg.pppoeOPMode.options.selectedIndex = 0;
		if (pppoe_optime != "")
			document.wanCfg.pppoeRedialPeriod.value = pppoe_optime;
	}

	// L2TP init
	document.wanCfg.l2tpDns[1*l2tp_dns].checked = true;
	document.wanCfg.l2tpMode.options.selectedIndex = 1*l2tpMode;
	if (l2tp_opmode == "Manual") {
		document.wanCfg.l2tpOPMode.options.selectedIndex = 2;
	}
	else if (l2tp_opmode == "OnDemand") {
		document.wanCfg.l2tpOPMode.options.selectedIndex = 1;
	}
	else if (l2tp_opmode == "KeepAlive") {
		document.wanCfg.l2tpOPMode.options.selectedIndex = 0;
		if (l2tp_optime != "")
			document.wanCfg.l2tpRedialPeriod.value = l2tp_optime;
	}

	// PPTP init
	document.wanCfg.pptpDns[1*pptp_dns].checked = true;
	document.wanCfg.pptpMode.options.selectedIndex = 1*pptpMode;
	if (pptp_opmode == "Manual") {
		document.wanCfg.pptpOPMode.options.selectedIndex = 2;
	}
	else if (pptp_opmode == "OnDemand") {
		document.wanCfg.pptpOPMode.options.selectedIndex = 1;
	}
	else if (pptp_opmode == "KeepAlive") {
		document.wanCfg.pptpOPMode.options.selectedIndex = 0;
		if (pptp_optime != "")
			document.wanCfg.pptpRedialPeriod.value = pptp_optime;
	}

	// 3G init
	document.wanCfg.Dns3G[1*dns_3g].checked = true;
	for (i=0; i<dev3GObj.options.length; i++) {
		if (dev3GObj.options[i].value == dev_3g) {
			dev3GObj.options.selectedIndex = i;
			break;
		}
	}


	if (mode == WAN_TYPE_3G || opmode == OPMODE_3G_GATEWAY) {
		document.getElementById("rConnectionType").style.visibility = "hidden";
		document.getElementById("rConnectionType").style.display = "none";
	}

	connectionTypeSwitch();

	// MAC Clone init
	if(opmode == OPMODE_GATEWAY){
		document.wanCfg.macCloneEnbl[1*clone].checked = true;
		macCloneSwitch();
	}
	// Net sinffer init
	document.wanCfg.netSnifferEn[1*ns_en].checked = true;
	if (nsBuilt == 1 && opmode == OPMODE_GATEWAY) {
		document.getElementById("div_ns").style.display = "";
		document.getElementById("div_ns").style.visibility = "visible";
	}

	if (opmode != OPMODE_GATEWAY) {
		document.getElementById("div_mac_clone").style.visibility = "hidden";
		document.getElementById("div_mac_clone").style.display = "none";
		document.getElementById("hrMacClone").style.visibility = "hidden";
		document.getElementById("hrMacClone").style.display = "none";
		document.getElementById("hrMacCloneIntro").style.visibility = "hidden";
		document.getElementById("hrMacCloneIntro").style.display = "none";
	}

	if (opmode == OPMODE_3G_GATEWAY) {
		document.getElementById("hrStatic").style.visibility = "hidden";
		document.getElementById("hrStatic").style.display = "none";
		document.getElementById("hrStaticIntro").style.visibility = "hidden";
		document.getElementById("hrStaticIntro").style.display = "none";
		document.getElementById("hrStaticHr").style.visibility = "hidden";
		document.getElementById("hrStaticHr").style.display = "none";
		document.getElementById("hrDhcp").style.visibility = "hidden";
		document.getElementById("hrDhcp").style.display = "none";
		document.getElementById("hrDhcpIntro").style.visibility = "hidden";
		document.getElementById("hrDhcpIntro").style.display = "none";
		document.getElementById("hrDhcpHr").style.visibility = "hidden";
		document.getElementById("hrDhcpHr").style.display = "none";
		document.getElementById("hrPppoe").style.visibility = "hidden";
		document.getElementById("hrPppoe").style.display = "none";
		document.getElementById("hrPppoeIntro").style.visibility = "hidden";
		document.getElementById("hrPppoeIntro").style.display = "none";
		document.getElementById("hrPppoeHr").style.visibility = "hidden";
		document.getElementById("hrPppoeHr").style.display = "none";

		document.getElementById("wanSettings").innerHTML = m3GSettings;
	}
	else {
		document.getElementById("hr3GDev").style.visibility = "hidden";
		document.getElementById("hr3GDev").style.display = "none";
		document.getElementById("hr3GDevIntro").style.visibility = "hidden";
		document.getElementById("hr3GDevIntro").style.display = "none";
		document.getElementById("hr3GDevHr").style.visibility = "hidden";
		document.getElementById("hr3GDevHr").style.display = "none";

		document.getElementById("hr3GApn").style.visibility = "hidden";
		document.getElementById("hr3GApn").style.display = "none";
		document.getElementById("hr3GApnIntro").style.visibility = "hidden";
		document.getElementById("hr3GApnIntro").style.display = "none";
		document.getElementById("hr3GApnHr").style.visibility = "hidden";
		document.getElementById("hr3GApnHr").style.display = "none";

		document.getElementById("hr3GUser").style.visibility = "hidden";
		document.getElementById("hr3GUser").style.display = "none";
		document.getElementById("hr3GUserIntro").style.visibility = "hidden";
		document.getElementById("hr3GUserIntro").style.display = "none";
		document.getElementById("hr3GUserHr").style.visibility = "hidden";
		document.getElementById("hr3GUserHr").style.display = "none";

		document.getElementById("hr3GPass").style.visibility = "hidden";
		document.getElementById("hr3GPass").style.display = "none";
		document.getElementById("hr3GPassIntro").style.visibility = "hidden";
		document.getElementById("hr3GPassIntro").style.display = "none";
		document.getElementById("hr3GPassHr").style.visibility = "hidden";
		document.getElementById("hr3GPassHr").style.display = "none";

		document.getElementById("hr3GPin").style.visibility = "hidden";
		document.getElementById("hr3GPin").style.display = "none";
		document.getElementById("hr3GPinIntro").style.visibility = "hidden";
		document.getElementById("hr3GPinIntro").style.display = "none";
		document.getElementById("hr3GPinHr").style.visibility = "hidden";
		document.getElementById("hr3GPinHr").style.display = "none";

		document.getElementById("hr3GDial").style.visibility = "hidden";
		document.getElementById("hr3GDial").style.display = "none";
		document.getElementById("hr3GDialIntro").style.visibility = "hidden";
		document.getElementById("hr3GDialIntro").style.display = "none";
		document.getElementById("hr3GDialHr").style.visibility = "hidden";
		document.getElementById("hr3GDialHr").style.display = "none";
	}
}
</script>

</head>

<body onLoad="initValue();">

<script language="javascript" type="text/javascript" >
	writeWebsHeader_M(menuNetwork.wan, "/m/internet/menu_network.asp");
</script>   
<!-- help div  -->
<div id="help" class="help">
<script>htitle("htitle");</script>
<div class="hcontent">
  <div>
	<table cellPadding="3" cellSpacing="0">
        <tr id="hrStatic"><td class="help-item"><script>putmsg(mStatic);</script></td></tr>
        <tr id="hrStaticIntro"><td><script>putmsg(mIntroStatic);</script></td></tr>
	<tr id="hrStaticHr" class="helpHr"><td><hr/></td></tr>

        <tr id="hrDhcp"><td class="help-item"><script>putmsg(mDhcp);</script></td></tr>
        <tr id="hrDhcpIntro"><td><script>putmsg(mIntroDhcp);</script></td></tr>
	<tr id="hrDhcpHr" class="helpHr"><td><hr/></td></tr>

        <tr id="hrPppoe"><td class="help-item"><script>putmsg(mPppoe);</script></td></tr>
        <tr id="hrPppoeIntro"><td><script>putmsg(mIntroPppoe);</script></td></tr>
	<tr id="hrPppoeHr" class="helpHr"><td><hr/></td></tr>

        <tr id="hr3GDev"><td class="help-item"><script>putmsg(m3GDev);</script></td></tr>
        <tr id="hr3GDevIntro"><td><script>putmsg(mIntro3GDev);</script></td></tr>
	<tr id="hr3GDevHr" class="helpHr"><td><hr/></td></tr>

        <tr id="hr3GApn"><td class="help-item"><script>putmsg(m3GApn);</script></td></tr>
        <tr id="hr3GApnIntro"><td><script>putmsg(mIntro3GApn);</script></td></tr>
	<tr id="hr3GApnHr" class="helpHr"><td><hr/></td></tr>

        <tr id="hr3GUser"><td class="help-item"><script>putmsg(m3GUser);</script></td></tr>
        <tr id="hr3GUserIntro"><td><script>putmsg(mIntro3GUser);</script></td></tr>
	<tr id="hr3GUserHr" class="helpHr"><td><hr/></td></tr>

        <tr id="hr3GPass"><td class="help-item"><script>putmsg(m3GPass);</script></td></tr>
        <tr id="hr3GPassIntro"><td><script>putmsg(mIntro3GPass);</script></td></tr>
	<tr id="hr3GPassHr" class="helpHr"><td><hr/></td></tr>

        <tr id="hr3GPin"><td class="help-item"><script>putmsg(m3GPin);</script></td></tr>
        <tr id="hr3GPinIntro"><td><script>putmsg(mIntro3GPin);</script></td></tr>
	<tr id="hr3GPinHr" class="helpHr"><td><hr/></td></tr>

        <tr id="hr3GDial"><td class="help-item"><script>putmsg(m3GDial);</script></td></tr>
        <tr id="hr3GDialIntro"><td><script>putmsg(mIntro3GDial);</script></td></tr>
	<tr id="hr3GDialHr" class="helpHr"><td><hr/></td></tr>

        <tr id="hrMacClone"><td class="help-item"><script>putmsg(mMacClone);</script></td></tr>
        <tr id="hrMacCloneIntro"><td><script>putmsg(mIntroMacClone);</script></td></tr>
	</table>
  </div>
 <script>hclose("hclose");</script>
</div>
</div>

<div style="text-align:right; border-left-style:none;">
    <a href="#" onclick="showHelp();return false;" onfocus="this.blur();" id="btnHelp" class="ahelp"><script>document.writeln(mHelp);</script></a>
</div>
<!-- help div end -->
<div class="body_div">
            
<table class="body" cellSpacing="0" cellPadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
    <td class="left" align="center" valign="top">
	<script>writeReboot(rb);</script>
  	<br />
	<form method="post" name="wanCfg" action="/goform/setWan" onSubmit="return CheckValue();">
  	<fieldset align="center"  style="width:95%;"> 
    	<legend><span id="wanSettings"><script>putmsg(mWanSettings);</script></span></legend>  
		<input type="hidden" name="nextPage" value="m/internet/wan.asp">

      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3" >
        <tbody>
        
        <tr>
          <td width="40%">&nbsp;</td><td width="60%">&nbsp;</td>
        </tr>

	<tr id="rConnectionType">
	  <td class="head" valign="top"><script>putmsg(mMode);</script>:&nbsp;</td>
	  <td>	  
	  <select name="connectionType" size="1" onChange="connectionTypeSwitch();">;
	      <option value="STATIC" selected><script>putmsg(mStatic);</script></option>
	      <option value="DHCP"><script>putmsg(mDhcp);</script></option>
	      <option value="PPPOE"><script>putmsg(mPppoe);</script></option>
	      <script>
	      	if(l2tpbuilt == 1 && opmode == OPMODE_GATEWAY)
	      		document.writeln("<option value='L2TP'>L2TP (VPN)</optipn>");
	        if(pptpbuilt == 1 && opmode == OPMODE_GATEWAY)
	      		document.writeln("<option value='PPTP'>PPTP (VPN)</option>");
		if (b3g == 1 && opmode == OPMODE_3G_GATEWAY)
	      		document.writeln("<option value='3G'>3G (UMTS/HSDPA)</option>");
	      </script>	    
	      </select>
	  </td>
	</tr>
	<!--/table-->

	<!-- ================= STATIC Mode ================= -->
	<tr id="rStaticIp" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(mInetIp);</script>:</td>
	  <td><input name="staticIp" maxlength="15" size="20" value="<% getCfgGeneral(1, "wan_ipaddr"); %>"></td>
	</tr>
	<tr id="rStaticNetMask" style="display:none;visibility:hidden;">
	  <td class="head" id="wStaticNetmask"><script>putmsg(mInetMask);</script>:</td>
	  <td><input name="staticNetmask" maxlength="15" size="20" value="<% getCfgGeneral(1, "wan_netmask"); %>"></td>
	</tr>
	<tr id="rStaticGateway" style="display:none;visibility:hidden;">
	  <td class="head" id="wStaticGateway"><script>putmsg(mInetGw);</script>:</td>
	  <td><input name="staticGateway" maxlength="15" size="20" value="<% getCfgGeneral(1, "wan_gateway"); %>"></td>
	</tr>
	<tr id="rStaticMtu" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(mMtu);</script> (MTU):</td>
	  <td>
		<input type="text" name="staticMtu" maxlength="4" size="20" value="<% getCfgGeneral(1, "wan_mtu"); %>">&nbsp;
		<span class="comment">(<script>putmsg(mDefault);</script>: <% getDefaultCfg(0, "wan_mtu"); %>)</span>
	  </td>
	</tr>
	<tr id="rStaticPriDns" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(mDnsPri);</script>:</td>
	  <td><input name="staticPriDns" maxlength="15" size="20" value="<% getCfgGeneral(1, "wan_primary_dns"); %>"></td>
	</tr>
	<tr id="rStaticSecDns" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(mDnsSec);</script>:</td>
	  <td><input name="staticSecDns" maxlength="15" size="20" value="<% getCfgGeneral(1, "wan_secondary_dns"); %>"></td>
	</tr>

	<!-- ================= DHCP Mode ================= -->
	<tr id="rDhcpHost" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(mHostName);</script>:</td>
	  <td><input type="text" name="hostname" size="20" maxlength="32" value="<% getCfgGeneral(1, "wan_hostname"); %>">&nbsp;
              <span class="comment"><script>putmsg(mOptional);</script></span>
          </td>
	</tr>

	<tr id="rDhcpMtu" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(mMtu);</script> (MTU):</td>
	  <td>
		<input type="text" name="dhcpMtu" maxlength="4" size="20" value="<% getCfgGeneral(1, "wan_dhcp_mtu"); %>">&nbsp;
		<span class="comment">(<script>putmsg(mDefault);</script>: <% getDefaultCfg(0, "wan_dhcp_mtu"); %>)</span>
	  </td>
	</tr>

	<tr id="rDhcpDns" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(mDnsStatic);</script>:</td>
	  <td>
	    <input type="radio" name="dhcpDns" value="0" onClick="dhcpDnsSwitch()"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
	    <input type="radio" name="dhcpDns" value="1" onClick="dhcpDnsSwitch()"><script>putmsg(mRadioEnable);</script>
	  </td>
	</tr>
	<tr id="rDhcpPriDns" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(mDnsPri);</script>:</td>
	  <td><input name="dhcpPriDns" maxlength="15" size="20" value="<% getCfgGeneral(1, "wan_primary_dns"); %>"></td>
	</tr>
	<tr id="rDhcpSecDns" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(mDnsSec);</script>:</td>
	  <td><input name="dhcpSecDns" maxlength="15" size="20" value="<% getCfgGeneral(1, "wan_secondary_dns"); %>"></td>
	</tr>

	<!-- ================= PPPOE Mode ================= -->
	<tr id="rPppoeUser" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(mUser);</script>:</td>
	  <td><input name="pppoeUser" maxlength="32" size="20" value="<% getCfgGeneral(1, "wan_pppoe_user"); %>"></td>
	</tr>
	<tr id="rPppoePass" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(mPass);</script>:</td>
	  <td>
		<input type="password" name="pppoePass" id="pppoePass" maxlength="32" size="20" value="<% getCfgGeneral(1, "wan_pppoe_pass"); %>">
	  </td>
	</tr>
	<tr id="rPppoePass2" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(mPass2);</script>:</td>
	  <td>
		<input type="password" name="pppoePass2" id="pppoePass2" maxlength="32" size="20" value="<% getCfgGeneral(1, "wan_pppoe_pass"); %>">&nbsp;&nbsp;
		<script>
			document.writeln("<input type='button' class='button' id='btnPassSwitch' value='"+mBtnShow+"' onClick=\"passSwitch(0);\">");
		</script>
	  </td>
	</tr>
	<tr id="rPppoeMtu" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(mMtu);</script> (MTU):</td>
	  <td>
		<input type="text" name="pppoeMtu" maxlength="4" size="20" value="<% getCfgGeneral(1, "wan_pppoe_mtu"); %>">&nbsp;
		<span class="comment">(<script>putmsg(mDefault);</script>: <% getDefaultCfg(0, "wan_pppoe_mtu"); %>)</span>
	  </td>
	</tr>
	<tr id="rPppoeNoMagic" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(mNoMagic);</script>:</td>
	  <td>
	    <input type="radio" name="pppoeNoMagic" value="0"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
	    <input type="radio" name="pppoeNoMagic" value="1"><script>putmsg(mRadioEnable);</script>
	  </td>
	</tr>
	<tr id="rPppoeService" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(mServiceName);</script>:</td>
	  <td>
		<input type="text" name="pppoeService" maxlength="32" size="20" value="<% getCfgGeneral(1, "wan_pppoe_service"); %>">&nbsp;
		<span class="comment"><script>putmsg(mOptional);</script></span>
	  </td>
	</tr>
	<tr id="rPppoeOpMode" style="display:none;visibility:hidden;">
	  <td class="head" rowspan="3" valign="top"><script>putmsg(mPppOpMode);</script>:</td>
	  <td>
	    <select name="pppoeOPMode" size="1" style="width:132px;" onChange="pppoeOPModeSwitch();">
	      <option value="KeepAlive" selected><script>putmsg(mPppOpModePersist);</script></option>
	      <option value="OnDemand"><script>putmsg(mPppOpModeOndemand);</script></option>
	      <!-- option value="Manual"><script>putmsg(mPppManual);</script></option -->
	    </select>
	  </td>
	</tr>
	<tr id="rPppoeOpModev">
	  <td>
	    <script>putmsg(mPppOpModePersist);</script>: <script>putmsg(mPppRedial);</script>
	    <input type="text" name="pppoeRedialPeriod" maxlength="5" size="4" value="60">
	    <script>putmsg(mSec);</script>
	  </td>
	</tr>
	<tr id="rPppoeOpModev2">
	  <td>
	    <script>putmsg(mPppOpModeOndemand);</script>: <script>putmsg(mPppIdle);</script>
	    <input type="text" name="pppoeIdleTime" maxlength="3" size="4" value="5">
	    <script>putmsg(mMin);</script>
	  </td>
	</tr>

	<tr id="rPppoeDns" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(mDnsStatic);</script>:</td>
	  <td>
	    <input type="radio" name="pppoeDns" value="0" onClick="pppoeDnsSwitch();"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
	    <input type="radio" name="pppoeDns" value="1" onClick="pppoeDnsSwitch();"><script>putmsg(mRadioEnable);</script>
	  </td>
	</tr>
	<tr id="rPppoePriDns" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(mDnsPri);</script>:</td>
	  <td><input name="pppoePriDns" maxlength="15" size="20" value="<% getCfgGeneral(1, "wan_primary_dns"); %>"></td>
	</tr>
	<tr id="rPppoeSecDns" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(mDnsSec);</script>:</td>
	  <td><input name="pppoeSecDns" maxlength="15" size="20" value="<% getCfgGeneral(1, "wan_secondary_dns"); %>"></td>
	</tr>

	<!-- ================= L2TP Mode ================= -->
	<tr id="rL2tpServer" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(mIpAddrServer);</script>:</td>
	  <td><input name="l2tpServer" maxlength="15" size="20" value="<% getCfgGeneral(1, "wan_l2tp_server"); %>"></td>
	</tr>
	<tr id="rL2tpUser" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(mUser);</script>:</td>
	  <td><input name="l2tpUser" maxlength="20" size="20" value="<% getCfgGeneral(1, "wan_l2tp_user"); %>"></td>
	</tr>
	<tr id="rL2tpPass" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(mPass);</script>:</td>
	  <td><input type="password" name="l2tpPass" maxlength="32" size="20" value="<% getCfgGeneral(1, "wan_l2tp_pass"); %>"></td>
	</tr>
	<tr id="rL2tpMtu" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(mMtu);</script> (MTU):</td>
	  <td>
		<input type="text" name="l2tpMtu" maxlength="4" size="20" value="<% getCfgGeneral(1, "wan_l2tp_mtu"); %>">&nbsp;
		<span class="comment">(<script>putmsg(mDefault);</script>: <% getDefaultCfg(0, "wan_l2tp_mtu"); %>)</span>
	  </td>
	</tr>
	<tr id="rL2tpAddrMode" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(mAddrIpMode);</script>:</td>
	  <td>
	    <select name="l2tpMode" size="1" style="width:132px;" onChange="l2tpModeSwitch();">
	      <option value="0"><script>putmsg(mStatic);</script></option>
	      <option value="1" selected><script>putmsg(mDhcp);</script></option>
	    </select>
	  </td>
	</tr>
	<tr id="rL2tpIp" style="display:none;visibility:hidden;">
	  <td class="head">&nbsp;&nbsp;&nbsp;&nbsp;<script>putmsg(mInetIp);</script>:</td>
	  <td><input name="l2tpIp" maxlength="15" size="20" value="<% getCfgGeneral(1, "wan_l2tp_ip"); %>"></td>
	</tr>
	<tr id="rL2tpNetmask" style="display:none;visibility:hidden;">
	  <td class="head">&nbsp;&nbsp;&nbsp;&nbsp;<script>putmsg(mInetMask);</script>:</td>
	  <td><input name="l2tpNetmask" maxlength="15" size="20" value="<% getCfgGeneral(1, "wan_l2tp_netmask"); %>">
	  </td>
	</tr>
	<tr id="rL2tpGateway" style="display:none;visibility:hidden;">
	  <td class="head">&nbsp;&nbsp;&nbsp;&nbsp;<script>putmsg(mInetGw);</script>:</td>
	  <td><input name="l2tpGateway" maxlength="15" size="20" value="<% getCfgGeneral(1, "wan_l2tp_gateway"); %>">
	  </td>
	</tr>
	<tr id="rL2tpOpMode" style="display:none;visibility:hidden;">
	  <td class="head" rowspan="3" valign="top"><script>putmsg(mPppOpMode);</script>:</td>
	  <td>
	    <select name="l2tpOPMode" size="1" style="width:132px;" onChange="l2tpOPModeSwitch();">
	      <option value="KeepAlive" selected><script>putmsg(mPppOpModePersist);</script></option>
	      <option value="OnDemand"><script>putmsg(mPppOpModeOndemand);</script></option>
	      <!-- option value="Manual"><script>putmsg(mPppManual);</script></option -->
	    </select>
	  </td>
	</tr>
	<tr id="rL2tpOpModev" style="display:none;visibility:hidden;">
	  <td>
	    <script>putmsg(mPppOpModePersist);</script>: <script>putmsg(mPppRedial);</script>
	    <input type="text" name="l2tpRedialPeriod" maxlength="5" size="3" value="60">
	    <script>putmsg(mSec);</script>
	  </td>
	</tr>

	<tr id="rL2tpDns">
	  <td class="head"><script>putmsg(mDnsStatic);</script>:</td>
	  <td>
	    <input type="radio" name="l2tpDns" value="0" onClick="l2tpDnsSwitch();"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
	    <input type="radio" name="l2tpDns" value="1" onClick="l2tpDnsSwitch();"><script>putmsg(mRadioEnable);</script>
	  </td>
	</tr>
	<tr id="rL2tpPriDns" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(mDnsPri);</script>:</td>
	  <td><input name="l2tpPriDns" maxlength="15" size="20" value="<% getCfgGeneral(1, "wan_primary_dns"); %>"></td>
	</tr>
	<tr id="rL2tpSecDns" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(mDnsSec);</script>:</td>
	  <td><input name="l2tpSecDns" maxlength="15" size="20" value="<% getCfgGeneral(1, "wan_secondary_dns"); %>"></td>
	</tr>

	<!-- ================= PPTP Mode ================= -->
	<tr id="rPptpServer" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(mIpAddrServer);</script>:</td>
	  <td><input name="pptpServer" maxlength="15" size="20" value="<% getCfgGeneral(1, "wan_pptp_server"); %>"></td>
	</tr>
	<tr id="rPptpUser" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(mUser);</script>:</td>
	  <td><input name="pptpUser" maxlength="20" size="20" value="<% getCfgGeneral(1, "wan_pptp_user"); %>"></td>
	</tr>
	<tr id="rPptpPass" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(mPass);</script>:</td>
	  <td><input type="password" name="pptpPass" maxlength="32" size="20" value="<% getCfgGeneral(1, "wan_pptp_pass"); %>"></td>
	</tr>
	<tr id="rPptpMtu" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(mMtu);</script> (MTU):</td>
	  <td>
		<input type="text" name="pptpMtu" maxlength="4" size="20" value="<% getCfgGeneral(1, "wan_pptp_mtu"); %>">&nbsp;
		<span class="comment">(<script>putmsg(mDefault);</script>: <% getDefaultCfg(0, "wan_pptp_mtu"); %>)</span>
	  </td>
	</tr>
	<tr id="rPptpAddrMode" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(mAddrIpMode);</script>:</td>
	  <td>
	    <select name="pptpMode" size="1" style="width:132px;" onChange="pptpModeSwitch();">
	      <option value="0"><script>putmsg(mStatic);</script></option>
	      <option value="1" selected><script>putmsg(mDhcp);</script></option>
	    </select>
	  </td>
	</tr>
	<tr id="rPptpIp" style="display:none;visibility:hidden;">
	  <td class="head">&nbsp;&nbsp;&nbsp;&nbsp;<script>putmsg(mInetIp);</script>:</td>
	  <td><input name="pptpIp" maxlength="15" size="20" value="<% getCfgGeneral(1, "wan_pptp_ip"); %>"></td>
	</tr>
	<tr id="rPptpNetmask" style="display:none;visibility:hidden;">
	  <td class="head">&nbsp;&nbsp;&nbsp;&nbsp;<script>putmsg(mInetMask);</script>:</td>
	  <td><input name="pptpNetmask" maxlength="15" size="20" value="<% getCfgGeneral(1, "wan_pptp_netmask"); %>">
	  </td>
	</tr>
	<tr id="rPptpGateway" style="display:none;visibility:hidden;">
	  <td class="head">&nbsp;&nbsp;&nbsp;&nbsp;<script>putmsg(mInetGw);</script>:</td>
	  <td><input name="pptpGateway" maxlength="15" size="20" value="<% getCfgGeneral(1, "wan_pptp_gateway"); %>">
	  </td>
	</tr>
	<tr id="rPptpOpMode" style="display:none;visibility:hidden;">
	  <td class="head" rowspan="3" valign="top"><script>putmsg(mPppOpMode);</script>:</td>
	  <td>
	    <select name="pptpOPMode" size="1"  onChange="pptpOPModeSwitch();">
	      <option value="KeepAlive" selected><script>putmsg(mPppOpModePersist);</script></option>
	      <option value="OnDemand"><script>putmsg(mPppOpModeOndemand);</script></option>
	      <!-- option value="Manual"><script>putmsg(mPppManual);</script></option -->
	    </select>
	  </td>
	</tr>
	<tr id="rPptpOpModev" style="display:none;visibility:hidden;">
	  <td>
	    <script>putmsg(mPppOpModePersist);</script>: <script>putmsg(mPppRedial);</script>
	    <input type="text" name="pptpRedialPeriod" maxlength="5" size="3" value="60">
	    <script>putmsg(mSec);</script>
	  </td>
	</tr>      

	<tr id="rPptpDns">
	  <td class="head"><script>putmsg(mDnsStatic);</script>:</td>
	  <td>
	    <input type="radio" name="pptpDns" value="0" onClick="pptpDnsSwitch();"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
	    <input type="radio" name="pptpDns" value="1" onClick="pptpDnsSwitch();"><script>putmsg(mRadioEnable);</script>
	  </td>
	</tr>
	<tr id="rPptpPriDns" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(mDnsPri);</script>:</td>
	  <td><input name="pptpPriDns" maxlength="15" size="20" value="<% getCfgGeneral(1, "wan_primary_dns"); %>"></td>
	</tr>
	<tr id="rPptpSecDns" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(mDnsSec);</script>:</td>
	  <td><input name="pptpSecDns" maxlength="15" size="20" value="<% getCfgGeneral(1, "wan_secondary_dns"); %>"></td>
	</tr>

	<!-- ================= 3G Mode ================= -->
	<tr id="r3GDev" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(m3GDev);</script>:</td>
	  <td>
	    <select name="Dev3G" size="1" onChange="dev3GSwitch();">
              <option value="Auto" selected><script>putmsg(mAuto);</script></option>
	      <option value="HUAWEI-E180">HUAWEI-E180 (WCDMA)</option>
	      <option value="HUAWEI-E1750">HUAWEI-E1750 (WCDMA)</option>
	      <option value="ZTE-MF637U">ZTE-MF637U (WCDMA)</option>
              <option value="HUAWEI-E169">HUAWEI-E169 (WCDMA)</option>
              <option value="MU-Q101">MU-Q101 (WCDMA)</option>
              <option value="DATANG-M5731">DATANG-M5731 (TD-SCDMA)</option>
              <option value="MobilePeak-Titan">MobilePeak-Titan (WCDMA)</option>
              <option value="BandLuxe-C270">BandLuxe-C270 (WCDMA)</option>
              <option value="BigPond-MF636">BigPond-MF636 (WCDMA)</option>
	    </select>
	  </td>
	</tr>
	<tr id="r3GApn" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(m3GApn);</script> (APN):</td>
	  <td><input name="APN3G" size="20" maxlength="64" value="<% getCfgGeneral(1, "wan_3g_apn"); %>"></td>
	</tr>
	<tr id="r3GUser" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(m3GUser);</script>:</td>
	  <td><input name="User3G" size="20" maxlength="64" value="<% getCfgGeneral(1, "wan_3g_user"); %>"></td>
	</tr>
	<tr id="r3GPass" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(m3GPass);</script>:</td>
	  <td><input type="password" name="Pass3G" size="20" maxlength="64" value="<% getCfgGeneral(1, "wan_3g_pass"); %>"></td>
	</tr>
	<tr id="r3GMtu" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(mMtu);</script> (MTU):</td>
	  <td>
		<input type="text" name="Mtu3G" maxlength="4" size="20" value="<% getCfgGeneral(1, "wan_3g_mtu"); %>">&nbsp;
		<span class="comment">(<script>putmsg(mDefault);</script>: <% getDefaultCfg(0, "wan_mtu"); %>)</span>
	  </td>
	</tr>
	<tr id="r3GPin" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(m3GPin);</script> (PIN):</td>
	  <td><input type="password" name="PIN3G" size="20" maxlength="64" value="<% getCfgGeneral(1, "wan_3g_pin"); %>"></td>
	</tr>
	<tr id="r3GDial" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(m3GDial);</script>:</td>
	  <td><input name="Dial3G" size="20" maxlength="64" value="<% getCfgGeneral(1, "wan_3g_dial"); %>"></td>
	</tr>

	<tr id="r3GDns" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(mDnsStatic);</script>:</td>
	  <td>
	    <input type="radio" name="Dns3G" value="0" onClick="dns3GSwitch();" checked><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
	    <input type="radio" name="Dns3G" value="1" onClick="dns3GSwitch();"><script>putmsg(mRadioEnable);</script>
	  </td>
	</tr>
	<tr id="r3GPriDns" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(mDnsPri);</script>:</td>
	  <td><input name="PriDns3G" maxlength="15" size="20" value="<% getCfgGeneral(1, "wan_primary_dns"); %>"></td>
	</tr>
	<tr id="r3GSecDns" style="display:none;visibility:hidden;">
	  <td class="head"><script>putmsg(mDnsSec);</script>:</td>
	  <td><input name="SecDns3G" maxlength="15" size="20" value="<% getCfgGeneral(1, "wan_secondary_dns"); %>"></td>
	</tr>

	 <tr>
          <td class="head">&nbsp; </td><td class="tail">&nbsp;  </td>
        </tr>    
        </tbody>
       </table>
	</fieldset>
	<br /><br />

  	<fieldset id="div_mac_clone" align="center" style="width:95%;"> 
    	<legend><script>putmsg(mMacCloneSettings);</script></legend>  

      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3" >
        <tbody>
        
        <tr>
          <td width="40%">&nbsp;</td><td width="60%">&nbsp;</td>
        </tr>
	 <tr>
	  <td class="head"><script>putmsg(mMacClone);</script>:</td>
	  <td>
	    <input type="radio" name="macCloneEnbl" value="0" onClick="macCloneSwitch();"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
	    <input type="radio" name="macCloneEnbl" value="1" onClick="macCloneSwitch();"><script>putmsg(mRadioEnable);</script>
	  </td>
	</tr>

	<tr id="macCloneMacRow">
	  <td class="head" valign="top"><script>putmsg(mInetMac);</script>:</td>
	  <td>
		<input name="macCloneMac" id="macCloneMac" maxlength="17" size="20" value="<% getCfgGeneral(1, "macCloneMac"); %>">&nbsp;&nbsp;
		<script>
		document.writeln("<input type='button' class='button' value='"+mFillMac+"' onClick=\"macCloneMacFillSubmit();\" style='width:120px;' id='btnFill'>");
		</script>
	 </td>
	</tr>
	<tr>
	  <td class="head" valign="top"><script>putmsg(mDefaultMac);</script>:</td>
	  <td>
		<input name="macCloneWanMac" id="macCloneWanMac" maxlength="17" size="20" value="<% getCfgGeneral(1, "WAN_MAC_ADDR"); %>" readonly disabled>&nbsp;&nbsp;
		<script>
		document.writeln("<input type='button' class='button' value='"+mFillDefaultMac+"' onClick=\"fillDefaultMac();\" style='width:120px;' id='btnFillDefault'>");
		</script>
	 </td>
	</tr>   
    
        <tr>
          <td class="head">&nbsp; </td><td class="tail">&nbsp;  </td>
        </tr>    
        </tbody>
       </table>
    </fieldset>
    <br /><br />

	<fieldset id="div_ns" align="center" style="width:95%;display:none;visibility:hidden;"> 
    	<legend><script>putmsg(mNsSettings);</script></legend>  

      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3" >
        <tbody>
        
        <tr>
          <td width="40%">&nbsp;</td><td width="60%">&nbsp;</td>
        </tr>
    
	<tr>
	  <td class="head"><script>putmsg(mNs);</script>:</td>
	  <td>
	    <input type="radio" name="netSnifferEn" value="0" checked><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
	    <input type="radio" name="netSnifferEn" value="1"><script>putmsg(mRadioEnable);</script>
	  </td>
	</tr>

        <tr>
          <td class="head">&nbsp; </td><td class="tail">&nbsp;  </td>
        </tr>    
        </tbody>
       </table>
    </fieldset>
    <br /><br />

	<table align="center" class="content" width="80%" cellSpacing="0" cellPadding="3" >
	  <tr>
	    <td align="center">
		<script>
		document.writeln("<input type='submit' class='button' name='save' value='"+mBtnSave+"'>&nbsp;&nbsp;");
		if (rb == 0)
			document.writeln("<input type='submit' class='button' name='apply' value='"+mBtnApply+"'>&nbsp;&nbsp;");
		document.writeln("<input type='reset' class='button' name='cancel' value='"+mBtnCancel+"' onClick=\"window.location.reload();\">");
		</script>
	    </td>
	  </tr>
	</table>
	<br /><br />
	   
	</form>
    </td>

    <td class="right-blank">&nbsp;</td>
</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 
       
</div> 
</body>
</html>

