<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("inet"); %>
<% websIncludeLang("port_trigger"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var opmode = '<% getCfgZero(1, "OperationMode"); %>';
var rb = <% getRebootFlag(); %>;

document.title = vendor+" "+model+" - "+mPortTrigger;

var MAX_RULES = <% getMaxNum("portTrigger"); %>;
var ruleStr = "<% getCfgGeneral(1, "PortTriggerRules"); %>";

function formCheck()
{
	var i;
	var iProtoObj;
	var tProtoObj;
	var iPortObj;
	var tPortObj;
	var commentObj;
	var cbEnblObj;
	var enblObj;

	var rList = new Array();

	for (i=0; i<MAX_RULES; i++) {
		iProtoObj = document.getElementById("iproto_"+i);
		tProtoObj = document.getElementById("tproto_"+i);
		iPortObj = document.getElementById("iPort_"+i);
		tPortObj = document.getElementById("tPort_"+i);
		commentObj = document.getElementById("comment_"+i);
		cbEnblObj = document.getElementById("cbEnbl_"+i);
		enblObj = document.getElementById("enbl_"+i);

		if(iPortObj.value == "") {
			alert(mInetPort + mAlertEmpty);
			iPortObj.focus();
			return false;
		}

		if(tPortObj.value == "") {
			alert(mInetPort + mAlertEmpty);
			tPortObj.focus();
			return false;
		}

		if(isNumOnly(iPortObj.value) == 0) {
			alert(mInetPort + mAlertInvalid);
			iPortObj.focus();
			return false;
		}

		d1 = atoi(iPortObj.value, 1);
		if(d1 > 65535 || d1 < 1) {
			alert(mInetPort + mAlertInvalid);
			iPortObj.focus();
			return false;
		}

		if(isNumOnly(tPortObj.value ) == 0){
			alert(mInetPort + mAlertInvalid);
			tPortObj.focus();
			return false;
		}
		d2 = atoi(tPortObj.value, 1);
		if(d2 > 65535 || d2 < 1){
			alert(mInetPort + mAlertInvalid);
			tPortObj.focus();
			return false;
		}

		if (cbEnblObj.checked == true)
			enblObj.value = "1";
		else
			enblObj.value = "0";
	}
	return true;
}

function updateState()
{
}

</script>

</head>

<body onLoad="updateState();">

<script language="javascript" type="text/javascript" >
	writeWebsHeader_M(menuNat.mPortTrigger, "/m/nat/menu_nat.asp");
</script>
<!-- help div  -->
<div id="help" class="help">
<script>htitle("htitle");</script>
<div class="hcontent">
  <div>
  <table cellPadding="3" cellSpacing="0">
  	<tr><td class="help-item"><script>putmsg(mVpnpassSetting);</script></td></tr>
  	<tr><td><script>putmsg(mIntroVpnpass);</script></td></tr>
  	<tr id="ftpPassIntroHr" class="helpHr" style="display:none;visibility:hidden;"><td><hr/></td></tr>
    <tr><td class="help-item"><script>putmsg(mPortTrigger);</script></td></tr>
    <tr><td><script>putmsg(mIntro);</script></td></tr>
    <tr class="helpHr"><td><hr/></td></tr>

    <tr><td class="help-item"><script>putmsg(mTPort);</script></td></tr>
    <tr><td><script>putmsg(mTPortIntro);</script></td></tr>
    <tr class="helpHr"><td><hr/></td></tr>

    <tr><td class="help-item"><script>putmsg(mIPort);</script></td></tr>
    <tr><td><script>putmsg(mIPortIntro);</script></td></tr>
    <tr class="helpHr"><td><hr/></td></tr>

    </table>
  </div>
  <script>hclose("hclose");</script>
</div>
</div>
<div style="text-align:right; border-left-style:none;">
    <a href="#" onclick="showHelp();return false;" onfocus="this.blur();" id="btnHelp" class="ahelp"><script>document.writeln(mHelp);</script></a>
</div>
<!-- help div end -->
<div class="body_div">

<table class="body" cellSpacing="0" cellPadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
    <td class="left" align="center" valign="top">
      <script>writeReboot(rb);</script>
      <br />

<form method="POST" name="portTrigger" action="/goform/portTrigger">
<fieldset align="center" style="width:95%;"> 
<legend><script>putmsg(mTriggerRules);</script></legend>  
		<input type="hidden" name="nextPage" value="m/nat/port_trigger.asp">

<table align="center" class="content" width="90%" cellSpacing="1" cellPadding="3">
<tbody>
<tr>
  <td class="headLine" align="center" rowspan="2"><script>putmsg(mIndex);</script></td>
  <td class="headLine" align="center" colspan="2"><script>putmsg(mTrigger);</script></td>
  <td class="headLine" align="center" colspan="2"><script>putmsg(mIncoming);</script></td>
  <td class="headLine" align="center" rowspan="2"><script>putmsg(mComment);</script></td>
  <td class="headLine" align="center" rowspan="2"><script>putmsg(mRadioEnable);</script></td>
</tr>
<tr>
  <td class="headLine" align="center"><script>putmsg(mInetProto);</script></td>
  <td class="headLine" align="center"><script>putmsg(mInetPort);</script></td>
  <td class="headLine" align="center"><script>putmsg(mInetProto);</script></td>
  <td class="headLine" align="center"><script>putmsg(mInetPort);</script></td>
</tr>

<script language="javascript" type="text/javascript" >
	var i;
	var rules = new Array();
	rules  = ruleStr.split(";");

	for (i=0; i<MAX_RULES; i++) {
		if (i%2)
			document.writeln("<tr bgcolor=\""+listBg+"\">");
		else
			document.writeln("<tr>");
		document.writeln("<td align=\"center\">"+(i+1)+"</td>");

		document.writeln("<td align=\"center\">");
		document.writeln("<select id=\"tproto_"+i+"\" name=\"tproto_"+i+"\">");
		document.writeln("<option value=\"1\">TCP</option>");
		document.writeln("<option value=\"2\">UDP</option>");
		document.writeln("</select>");
		document.writeln("</td>");
		document.writeln("<td align=\"center\"><input type=\"text\" size=\"5\" maxlength=\"5\" id=\"tPort_"+i+"\" name=\"tPort_"+i+"\"></td>");

		document.writeln("<td align=\"center\">");
		document.writeln("<select id=\"iproto_"+i+"\" name=\"iproto_"+i+"\">");
		document.writeln("<option value=\"1\">TCP</option>");
		document.writeln("<option value=\"2\">UDP</option>");
		document.writeln("</select>");
		document.writeln("</td>");
		document.writeln("<td align=\"center\"><input type=\"text\" size=\"5\" maxlength=\"5\" id=\"iPort_"+i+"\" name=\"iPort_"+i+"\"></td>");

		document.writeln("<td align=\"center\"><input type=\"text\" size=\"8\" maxlength=\"16\" id=\"comment_"+i+"\" name=\"comment_"+i+"\"></td>");

		document.writeln("<td align=\"center\"><input type=\"checkbox\" id=\"cbEnbl_"+i+"\" name=\"cbEnbl_"+i+"\" checked>&nbsp;");
		document.writeln("<input type=\"hidden\" name=\"enbl_"+i+"\" id=\"enbl_"+i+"\" value=\"1\"></td>");
		document.writeln("</tr>");
	}

	for(i=0; i<rules.length && i<MAX_RULES; i++) {
		var entry = new Array();
		entry = rules[i].split(",");
		if (entry.length == 6 || entry.length == 5) {
			document.getElementById("tproto_"+i).selectedIndex = (entry[0]*1 - 1);
			document.getElementById("tPort_"+i).value = entry[1];
			document.getElementById("iproto_"+i).selectedIndex = (entry[2]*1 - 1);
			document.getElementById("iPort_"+i).value = entry[3];
			document.getElementById("comment_"+i).value = entry[4];
			if (entry.length == 5)
				entry[5] = "1";
			document.getElementById("cbEnbl_"+i).checked = (entry[5] == "1");
		}
	}
</script>
</tbody>
</table>

<br /><br />       
<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
<tr>
  <td align="center"><script>
  document.write("<input type='submit' class='button' name='save' value='"+mBtnSave+"' onClick='return formCheck();'>&nbsp;&nbsp;");
  if (rb == 0)
	document.write("<input type='submit' class='button' value='"+mBtnApply+"' name='btnApply' onClick='return formCheck();'>&nbsp;&nbsp;");
  document.write("<input type='reset' class='button' value='"+mBtnCancel+"' name='btnCancel' onClick='window.location.reload();'>");
  </script></td>
</tr>
</table>
</fieldset>
</form>

<br /><br /><br />
<br /><br /><br />
<br /><br /><br />
<br /><br /><br />
</td>

<td class="right-blank">&nbsp;</td>
</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 

</div> 

</body>
</html>

