<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<title> </title>
<script language="javascript" type="text/javascript">
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("inet"); %>
<% websIncludeLang("qos_default"); %>
<% websIncludeLang("qos_rules"); %>
<% websIncludeLang("layer7Rules"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var opmode = '<% getCfgZero(1, "OperationMode"); %>';
var rb = <% getRebootFlag(); %>;

var lanIp = "<% getLanIpASP(); %>";
var lanMask = "<% getLanNetmaskASP(); %>";

document.title = vendor+" "+model+" - "+(mQosSetting);

var Rules = "<% getCfgGeneral(1, "QoSRules"); %>";
var ULRules = "<% getCfgGeneral(1, "QoSULRules"); %>";
var DLRules = "<% getCfgGeneral(1, "QoSDLRules"); %>";

var layer7_all = "<% getLayer7FiltersASP(); %>";
var layer7_filter_entries = new Array();
var layer7_filter_item = new Array();

var qosEnbl = "<% getCfgZero(1, "QoSEnable"); %>";

var jcgQosBuilt = "<% getJcgQosBuilt(); %>";
var qosIPBWBuilt = "<% getQosIPBWLimitBuilt(); %>";

var layer7_app = new Array();

var max_rules = <% getMaxNum("qosRule"); %>;

function sortFunc(a, b)
{
	return (a.name > b.name);
}

function hiddenAll()
{
	document.getElementById("pktLenTR").style.visibility = "hidden";
	document.getElementById("pktLenTR").style.display = "none";
	document.getElementById("portRangeTR1").style.visibility = "hidden";
	document.getElementById("portRangeTR1").style.display = "none";
	document.getElementById("portRangeTR2").style.visibility = "hidden";
	document.getElementById("portRangeTR2").style.display = "none";
	document.getElementById("appTR").style.visibility = "hidden";
	document.getElementById("appTR").style.display = "none";
}

function layer7Change()
{
	var index = document.classifier.layer7.options.selectedIndex;
	var intro = document.getElementById("Layer7Intro");
	var introStr = "mIntroLayer7" + layer7_app[index].filename;
	var str = introStr.replace(/-/g, "_");	
	intro.innerHTML = eval(str);
}

function protocolChange()
{
	hiddenAll();
	document.classifier.pktlenfrom.disabled = true;
	document.classifier.pktlento.disabled = true;
	document.classifier.dFromPort.disabled = true;
	document.classifier.dToPort.disabled = true;

	document.classifier.dFromPort.value = 
		document.classifier.dToPort.value = 
		document.classifier.sFromPort.value = 
		document.classifier.sToPort.value = "";

	if( document.classifier.protocol.options.selectedIndex == 0){
		document.classifier.pktlenfrom.disabled = false;
		document.classifier.pktlento.disabled = false;
		document.getElementById("pktLenTR").style.visibility = "visible";
		document.getElementById("pktLenTR").style.display = style_display_on();
		return;
	}else if( document.classifier.protocol.options.selectedIndex == 1 ||
		document.classifier.protocol.options.selectedIndex == 2){
		document.classifier.dFromPort.disabled = false;
		document.classifier.dToPort.disabled = false;
		document.classifier.sFromPort.disabled = false;
		document.classifier.sToPort.disabled = false;

		document.getElementById("portRangeTR1").style.visibility = "visible";
		document.getElementById("portRangeTR1").style.display = style_display_on();
		if (jcgQosBuilt != "1") {
			document.getElementById("portRangeTR2").style.visibility = "visible";
			document.getElementById("portRangeTR2").style.display = style_display_on();
		}
	}else if(document.classifier.protocol.options.selectedIndex == 3){
		return;
	}else if(document.classifier.protocol.options.selectedIndex == 4){
		document.getElementById("appTR").style.visibility = "visible";
		document.getElementById("appTR").style.display = style_display_on();
	}
}

function gotoQoS()
{
	window.location.href = "/m/qos/qos_basic.asp";
}
	
function initValue()
{
	if (qosEnbl == "0") {
		document.getElementById("div_qos_set").style.visibility = "visible";
		document.getElementById("div_qos_set").style.display = "";
	}
	else {
		document.getElementById("div_qos_set").style.visibility = "hidden";
		document.getElementById("div_qos_set").style.display = "none";
	}

	if (jcgQosBuilt == "1") {
		showTableRow("qos_mac", 0);
		showTableRow("qos_dip", 0);
		showTableRow("qos_remark", 0);
		showTableRow("upload_qos_rules", 0);
		showTableRow("download_qos_rules", 0);
		if(Rules == "") {
			document.QoSDeleteRules.btnDel.disabled = true;
			document.QoSDeleteRules.btnDelAll.disabled = true;
		}
	}
	else {
		showTableRow("jcg_qos_rules", 0);
		if(ULRules == "" && DLRules == "") {
			document.QoSDeleteRules.btnDel.disabled = true;
			document.QoSDeleteRules.btnDelAll.disabled = true;
		}
		if (ULRules == "")
			document.QoSDeleteRules.btnDelAllUL.disabled = true;
		if (DLRules == "")
			document.QoSDeleteRules.btnDelAllDL.disabled = true;
	}

	hiddenAll();
	protocolChange();
}

function checkPortNum(num)
{
	if( num > 65536 || num < 0)
		return false;
	return true;
}

function ipverify()
{
	var IPNo = document.classifier.sip_address.value;
	var IPNo2 = document.classifier.sip_address2.value;
	var i;
	var j,z;
	var QosList = new Array();
	var array1 = new Array();
	var array2 = new Array();
	var a1 = new Array();
	var a2 = new Array();
	var ip11 = new Array();
	var ip21 = new Array();

	ip11 = IPNo.split(".");
	ip21 = IPNo2.split(".");
	d11 = parseInt(ip11[3]);
	d21 = parseInt(ip21[3]);

	var a_rule = new Array();
//	if(Rules == "")
//		return;
	a_rule = Rules.split(";");
	if(!Rules && a_rule.length)
		a_rule.length = 0;
	for (i = 0; i < a_rule.length; i++) {		
		var entry = a_rule[i].split(",");
		array1[i] = entry[2];
		array2 [i] = entry[3];
		var ipNum = new Array();
		var ipNum2 = new Array();
		ipNum = array1[i].split(".");
		ipNum2 = array2[i].split(".");
		a1[i] = parseInt(ipNum[3]);
		a2[i] = parseInt(ipNum2[3]); 

		if(isNaN(a2[i]) && isNaN(a1[i])){
			continue;
		}

		if(!isNaN(a1[i]) && isNaN(a2[i])) {
			if(!isNaN(d21)) {
				if(d21 >= a1[i] && d11 <= a1[i]){
					alert (mErro);
					document.classifier.sip_address.focus();
					document.classifier.sip_address.select();
					return false ;
				}
			}

			if( isNaN(d21)){
				if(d11 == a1[i]){
					alert (mErro);
					document.classifier.sip_address.focus();
					document.classifier.sip_address.select();
					return false ;
				}
			}
		}
		else{
			if((d11<= a2[i] && d11>= a1[i]) || (d21 <= a2[i] && d21 >= a1[i]) || ( d11 <= a1[i] && d21 >= a2[i])){
				alert (mErro);
				document.classifier.sip_address.focus();
				document.classifier.sip_address.select();
				return false ;
			}
		}
	}
	return true ;	
}

function checkIpAddr2(str)
{
	if(str == "")
		return false;

	if (isAllNumAndSlash(str) == 0)
		return false;

	var ip_pair = new Array();
	ip_pair = str.split("/");

	if(ip_pair.length > 2){
		return false;
	}

	if(ip_pair.length == 2){
		// sub mask
		if(!ip_pair[1].length)
			return false;
		if(!isNumOnly(ip_pair[1])){
			return false;
		}
		tmp = parseInt(ip_pair[1], 10);
		if(tmp < 0 || tmp > 32){
			return false;
		}
	}

	if( (!checkRange(ip_pair[0],1,0,255)) ||
		(!checkRange(ip_pair[0],2,0,255)) ||
		(!checkRange(ip_pair[0],3,0,255)) ||
		(!checkRange(ip_pair[0],4,0,254)) ){
		return false;
	}
	return true;
}

function checkForm(type)
{
	if(document.classifier.comment.value == ""){
		alert((mAlertEmptyName));
		document.classifier.comment.focus();
		return false;
	}

	if(!checkInjection(document.classifier.comment.value)){
		alert((mAlertInvalidName));
		document.classifier.comment.focus();
		return false;
	}

	if(document.classifier.mac_address.value != ""){
		if(!checkMac(document.classifier.mac_address.value)){
			document.classifier.mac_address.focus();
			alert((mAlertInvalidMac));
			return false;
		}
	}

	if(document.classifier.dip_address.value != ""){
		if(! checkIpAddr2(document.classifier.dip_address.value) ){
			document.classifier.dip_address.focus();
			alert((mAlertInvalidIp));
			return false;
		}
	}

	var obj1 = document.classifier.sip_address;
	var obj2 = document.classifier.sip_address2;
	if(document.classifier.sip_address.value != ""){
		if (jcgQosBuilt == "1") {
			if(! checkIpAddr(document.classifier.sip_address) || !checkLanIp(lanIp, lanMask, document.classifier.sip_address.value) ){
				alert((mAlertInvalidIp));
				return false;
			}

			if(document.classifier.sip_address2.value != ""){
				if(! checkIpAddr(document.classifier.sip_address2) || !checkLanIp(lanIp, lanMask, document.classifier.sip_address2.value) ){
					alert((mAlertInvalidIp));
					return false;
				}
			
				var ip1 = new Array();
				var ip2 = new Array();

				ip1 = obj1.value.split(".");
				ip2 = obj2.value.split(".");
				d1 = parseInt(ip1[3]);
				d2 = parseInt(ip2[3]);
				if (d1 > d2) {
				    alert((mAlertInvalidIp));
				    obj1.focus();
				    return false;
				} 
			}
		}
		else {
			if(document.classifier.sip_address.value != ""){
				if(! checkIpAddr2(document.classifier.sip_address.value) ){
					document.classifier.sip_address.focus();
				   	alert((mAlertInvalidIp));
					return false;
				}
			}
		}
		   
	}

	if (jcgQosBuilt == "1" && !ipverify()){
		return false;
	}

	if(document.classifier.procotol.value == "") { // IP address only or small packets
		if(document.classifier.sip_address.value == "" &&
			document.classifier.pktlenfrom.value == "" &&
			document.classifier.dscp.value == "") {
			alert((mAlertEmptyCf));
			return false;
		}

		// small packet length
		if(	(document.classifier.pktlenfrom.value != "" && document.classifier.pktlento.value == "" ) || 
			(document.classifier.pktlento.value != "" && document.classifier.pktlenfrom.value == "" ) ){
			alert((mAlertRangePktlen) + " (ex: 0-128 64-1024)");
			document.classifier.pktlenfrom.focus();
			return false;
		}

		if( document.classifier.pktlenfrom.value != "" ){
			pktlenfrom = parseInt(document.classifier.pktlenfrom.value);
			pktlento = parseInt(document.classifier.pktlento.value);
			if(pktlenfrom > 2048 ||  pktlento > 2048){
				alert((mAlertPktlenTooBig));
				document.classifier.pktlenfrom.focus();
				return false;
			}
			if(pktlenfrom < 0 ||  pktlento < 0){
				alert((mAlertPktlenTooSmall));
				document.classifier.pktlenfrom.focus();
				return false;
			}
			if(pktlento < pktlenfrom){
				alert((mAlertInvalidPktlen));
				document.classifier.pktlenfrom.focus();
				return false;
			}
		}
	}
	else if(document.classifier.procotol.value == "TCP" || document.classifier.procotol.value == "UDP"){
		// UDP/TCP, can specify port
		var dFromPort = parseInt(document.classifier.dFromPort.value);
		var dToPort = parseInt(document.classifier.dToPort.value);
		var sFromPort = parseInt(document.classifier.sFromPort.value);
		var sToPort = parseInt(document.classifier.sToPort.value);
		if(document.classifier.dFromPort.value != "") {
			if (!isNumOnly(document.classifier.dFromPort.value) || !checkPortNum(dFromPort)) {
				alert((mAlertInvalidPort));
				document.classifier.dFromPort.focus();
				return false;
			}

			if(document.classifier.dToPort.value != "") {
				if (!isNumOnly(document.classifier.dToPort.value) || !checkPortNum(dToPort)) {
					alert((mAlertInvalidPort));
					document.classifier.dToPort.focus();
					return false;
				}
			}

			if(dToPort && (dToPort <= dFromPort)){
				alert((mAlertInvalidPort));
				return false;
			}
		}

		if(document.classifier.sFromPort.value != "") {
			if (!isNumOnly(document.classifier.sFromPort.value) || !checkPortNum(sFromPort)) {
				alert((mAlertInvalidPort));
				document.classifier.sFromPort.focus();
				return false;
			}

			if(document.classifier.sToPort.value != "") {
				if (!isNumOnly(document.classifier.sToPort.value) || !checkPortNum(sToPort)) {
					alert((mAlertInvalidPort));
					document.classifier.sToPort.focus();
					return false;
				}
			}

			if(sToPort && (sToPort <= sFromPort)){
				alert((mAlertInvalidPort));
				return false;
			}
		}
	}
	else if (document.classifier.protocol.value == "ICMP") {
		// do nothing
	}
	else {
		// Layer7 applications
		if (document.classifier.layer7.value == "") {
			alert((mAlertEmptyApp));
			return false;
		}
	}  

	if (type == 1) { // Upload
		document.classifier.dir.value = "Upload";
	}
	else if (type == 2) { // Download
		document.classifier.dir.value = "Download";
	}

	return true;
}

function PrintJcgQosRules()
{
	var a_rule = new Array();
	var rulenum = 0;

	if(Rules == "")
		return;

	a_rule = Rules.split(";");

	for(i=0; i<a_rule.length && i<max_rules; i++){
		var j=0;
		var desc = "";
		var pri = (mQosDefault);
		var ip = "";
		var entry = new Array();
		entry = a_rule[i].split(",");

		if (entry.length != 11) {
			continue;
		}

		var name = entry[j++];
		var af_index = entry[j++];
		var sip = entry[j++];
		var sip2 = entry[j++];
		var dscp = entry[j++];
		var protocol = entry[j++]
		var pkt_len_from = entry[j++];
		var pkt_len_to = entry[j++];
		var dst_port_from = entry[j++];
		var dst_port_to = entry[j++];
		var layer7 = entry[j++];

		if (af_index == "1")
			pri = (mQosLow);
		else if (af_index == "2")
			pri = (mQosMiddle);
		else if (af_index == "5")
			pri = (mQosHigh);
		else
			pri = (mQosDefault);

		if (sip.length) {
			ip += sip;
			if (sip2.length)
				ip += " - "+sip2;
			desc += mInetSip+": "+ip+", ";
		}

		if (protocol == "TCP" || protocol == "UDP") {
			desc += mInetProto+": "+protocol+", "+(mQosDportRange)+": "+dst_port_from;
			if (dst_port_to.length)
				desc += " - "+dst_port_to;
			desc += ", ";
		}
		else if (protocol == "Application") {
			protocol = (mQos17);
			desc += mInetProto+": "+protocol+", "+(mQosl7Name) + ": " + layer7+", ";
		}
		else if (protocol == "ICMP") {
			desc += mInetProto+": "+protocol+", "; // do nothing
		}
		else {
			if (pkt_len_from.length)
				desc += (mQosPktlen)+": "+pkt_len_from+" - "+pkt_len_to+", ";
		}
		if (dscp.length) {
			desc += mQosDscp+": "+dscp+", ";
		}

		if (rulenum%2)
			document.writeln("<tr bgcolor=\""+listBg+"\">");
		else
			document.writeln("<tr>");
		document.writeln("<td align=\"center\" valign=\"top\">"+ (i+1) +"</td>");
		document.write("<td align=\"center\" valign=\"top\">" + mQosRuleName + "(" + name + ")" + ";" + "&nbsp;");
		document.write(mQosRulePrio + "(" + pri + ")" + ";" + "&nbsp;");
		//document.writeln("<td align=\"center\" valign=\"top\">" + ip + "</td>");
		//document.writeln("<td align=\"center\" valign=\"top\">" + dscp + "</td>");
		//document.writeln("<td align=\"center\" valign=\"top\">" + protocol + "</td>");
		document.write(mQosRuleInfo + "(" + desc + ")" + ";" + "&nbsp;" + "</td>");
		document.writeln("<td align=\"center\" valign=\"top\"><input type=\"checkbox\" id=\"del_jcg_qos_" + i + "\" name=\"del_jcg_qos_" + i + "\"></td>");
		document.writeln("</tr>");

		rulenum++;
	}

	if (rulenum >= max_rules) {
		document.classifier.Add.disabled = true;
	}
}

function PrintUploadQosRules()
{
	var a_rule = new Array();
	var rulenum = 0;

	if(ULRules == "")
		return;

	a_rule = ULRules.split(";");

	for(i=0; i<a_rule.length && i<max_rules; i++){
		var j=0;
		var desc = "";
		var pri = (mQosDefault);
		var ip = "";
		var entry = new Array();
		entry = a_rule[i].split(",");

		if (entry.length != 17) {
			continue;
		}

		var name = entry[j++];
		var af_index = entry[j++];
		var dp_index = entry[j++];
		var mac_address = entry[j++];
		var protocol = entry[j++]
		var dip = entry[j++];
		var sip = entry[j++];
		var pkt_len_from = entry[j++];
		var pkt_len_to = entry[j++];
		var dst_port_from = entry[j++];
		var dst_port_to = entry[j++];
		var src_port_from = entry[j++];
		var src_port_to = entry[j++];
		var layer7 = entry[j++];
		var dscp = entry[j++];
		var ingress_if = entry[j++];
		var remark = entry[j++];

		if (af_index == "1")
			pri = (mQosLow);
		else if (af_index == "2")
			pri = (mQosMiddle);
		else if (af_index == "5")
			pri = (mQosHigh);
		else
			pri = (mQosDefault);

		if (mac_address.length) {
			desc += mInetMac+": "+mac_address+", ";
		}

		if (dip.length) {
			desc += mInetDip+": "+dip+", ";
		}

		if (sip.length) {
			desc += mInetSip+": "+sip+", ";
		}

		if (protocol == "TCP" || protocol == "UDP") {
			desc += mInetProto+": "+protocol+", "+(mQosDportRange)+": "+dst_port_from;
			if (dst_port_to.length)
				desc += " - "+dst_port_to;
			desc += ", ";
			desc += (mQosSportRange)+": "+src_port_from;
			if (src_port_to.length)
				desc += " - "+src_port_to;
			desc += ", ";
		}
		else if (protocol == "Application") {
			protocol = (mQos17);
			desc += mInetProto+": "+protocol+", "+(mQosl7Name)+": "+layer7+", ";
		}
		else if (protocol == "ICMP") {
			desc += mInetProto+": "+protocol+", "; // do nothing
		}
		else {
			if (pkt_len_from.length)
				desc += (mQosPktlen)+": "+pkt_len_from+" - "+pkt_len_to+", ";
		}
		if (dscp.length) {
			desc += mQosDscp+": "+dscp+", ";
		}
		if (ingress_if.length) {
		}
		if (remark.length) {
			desc += mQosRemark+": "+remark+", ";
		}

		if (rulenum%2)
			document.writeln("<tr bgcolor=\""+listBg+"\">");
		else
			document.writeln("<tr>");
		document.writeln("<td align=\"center\" valign=\"top\">"+ (i+1) +"</td>");
		document.writeln("<td align=\"center\" valign=\"top\">" + name + "</td>");
		document.write("<td align=\"center\" valign=\"top\">" + mQosRuleName + "(" + name + ")" + ";" + "&nbsp;");
		document.write(mQosRulePrio + "(" + pri + ")" + ";" + "&nbsp;");
		//document.writeln("<td align=\"center\" valign=\"top\">" + ip + "</td>");
		//document.writeln("<td align=\"center\" valign=\"top\">" + dscp + "</td>");
		//document.writeln("<td align=\"center\" valign=\"top\">" + protocol + "</td>");
		document.write(mQosRuleInfo + "(" + desc + ")" + ";" + "&nbsp;" + "</td>");
		document.writeln("<td align=\"center\" valign=\"top\"><input type=\"checkbox\" id=\"del_ul_qos_" + i + "\" name=\"del_ul_qos_" + i + "\"></td>");
		document.writeln("</tr>");

		rulenum++;
	}

	if (rulenum >= max_rules) {
		document.classifier.AddUL.disabled = true;
	}
}

function PrintDownloadQosRules()
{
	var a_rule = new Array();
	var rulenum = 0;

	if(DLRules == "")
		return;

	a_rule = DLRules.split(";");

	for(i=0; i<a_rule.length && i<max_rules; i++){
		var j=0;
		var desc = "";
		var pri = (mQosDefault);
		var ip = "";
		var entry = new Array();
		entry = a_rule[i].split(",");

		if (entry.length != 17) {
			continue;
		}

		var name = entry[j++];
		var af_index = entry[j++];
		var dp_index = entry[j++];
		var mac_address = entry[j++];
		var protocol = entry[j++]
		var dip = entry[j++];
		var sip = entry[j++];
		var pkt_len_from = entry[j++];
		var pkt_len_to = entry[j++];
		var dst_port_from = entry[j++];
		var dst_port_to = entry[j++];
		var src_port_from = entry[j++];
		var src_port_to = entry[j++];
		var layer7 = entry[j++];
		var dscp = entry[j++];
		var ingress_if = entry[j++];
		var remark = entry[j++];

		if (af_index == "1")
			pri = (mQosLow);
		else if (af_index == "2")
			pri = (mQosMiddle);
		else if (af_index == "5")
			pri = (mQosHigh);
		else
			pri = (mQosDefault);

		if (mac_address.length) {
			desc += mInetMac+": "+mac_address+", ";
		}

		if (dip.length) {
			desc += mInetDip+": "+dip+", ";
		}

		if (sip.length) {
			desc += mInetSip+": "+sip+", ";
		}

		if (protocol == "TCP" || protocol == "UDP") {
			desc += mInetProto+": "+protocol+", "+(mQosDportRange)+": "+dst_port_from;
			if (dst_port_to.length)
				desc += " - "+dst_port_to;
			desc += ", ";
			desc += (mQosSportRange)+": "+src_port_from;
			if (src_port_to.length)
				desc += " - "+src_port_to;
			desc += ", ";
		}
		else if (protocol == "Application") {
			protocol = (mQos17);
			desc += mInetProto+": "+protocol+", "+(mQosl7Name)+": "+layer7+", ";
		}
		else if (protocol == "ICMP") {
			desc += mInetProto+": "+protocol+", "; // do nothing
		}
		else {
			if (pkt_len_from.length)
				desc += (mQosPktlen)+": "+pkt_len_from+" - "+pkt_len_to+", ";
		}
		if (dscp.length) {
			desc += mQosDscp+": "+dscp+", ";
		}
		if (ingress_if.length) {
		}
		if (remark.length) {
			desc += mQosRemark+": "+remark+", ";
		}

		if (rulenum%2)
			document.writeln("<tr bgcolor=\""+listBg+"\">");
		else
			document.writeln("<tr>");
		document.writeln("<td align=\"center\" valign=\"top\">"+ (i+1) +"</td>");
		document.writeln("<td align=\"center\" valign=\"top\">" + name + "</td>");
		document.write("<td align=\"center\" valign=\"top\">" + mQosRuleName + "(" + name + ")" + ";" + "&nbsp;");
		document.write(mQosRulePrio + "(" + pri + ")" + ";" + "&nbsp;");
		//document.writeln("<td align=\"center\" valign=\"top\">" + ip + "</td>");
		//document.writeln("<td align=\"center\" valign=\"top\">" + dscp + "</td>");
		//document.writeln("<td align=\"center\" valign=\"top\">" + protocol + "</td>");
		document.write(mQosRuleInfo + "(" + desc + ")" + ";" + "&nbsp;" + "</td>");
		document.writeln("<td align=\"center\" valign=\"top\"><input type=\"checkbox\" id=\"del_dl_qos_" + i + "\" name=\"del_dl_qos_" + i + "\"></td>");
		document.writeln("</tr>");

		rulenum++;
	}

	if (rulenum >= max_rules) {
		document.classifier.AddDL.disabled = true;
	}
}

function delCheckJcg()
{
	var a_rule = new Array();
	var del=0;
	var new_rules = "";
	a_rule = Rules.split(";");
	for(var i=0; i<a_rule.length; i++){
		if(document.getElementById("del_jcg_qos_"+i).checked) {
			del++;
		}
		else {
			if (new_rules.length)
				new_rules += ";" + a_rule[i];
			else
				new_rules += a_rule[i];
		}
	}

	if(del == 0){
		alert((mAlertDeleteSelected));
		return false;
	}

	ret = confirm((mConfirmDeleteSelected));
	if(!ret)
		return false;


	document.QoSDeleteRules.QoSRules.value = new_rules;
	return true;
}

function delCheck()
{
	var a_rule_ul = new Array();
	var a_rule_dl = new Array();
	var del_ul = 0;
	var del_dl = 0;
	var new_rules_ul = "";
	var new_rules_dl = "";

	a_rule_ul = ULRules.split(";");
	a_rule_dl = DLRules.split(";");

	for(var i=0; i<a_rule_ul.length; i++){
		if(document.getElementById("del_ul_qos_"+i).checked) {
			del_ul++;
		}
		else {
			if (new_rules_ul.length)
				new_rules_ul += ";" + a_rule_ul[i];
			else
				new_rules_ul += a_rule_ul[i];
		}
	}

	for(var i=0; i<a_rule_dl.length; i++){
		if(document.getElementById("del_dl_qos_"+i).checked) {
			del_dl++;
		}
		else {
			if (new_rules_dl.length)
				new_rules_dl += ";" + a_rule_dl[i];
			else
				new_rules_dl += a_rule_dl[i];
		}
	}

	if(del_ul == 0 && del_dl == 0){
		alert((mAlertDeleteSelected));
		return false;
	}

	ret = confirm((mConfirmDeleteSelected));
	if(!ret)
		return false;


	document.QoSDeleteRules.QoSULRules.value = new_rules_ul;
	document.QoSDeleteRules.QoSDLRules.value = new_rules_dl;
	return true;
}

function delAll(type)
{
	if (type == 1) { // Upload
		document.QoSDeleteRules.QoSULRules.value = "";
	}
	else if (type == 2) { // Download
		document.QoSDeleteRules.QoSDLRules.value = "";
	}
	else {
		if (jcgQosBuilt == "1") {
			document.QoSDeleteRules.QoSRules.value = "";
		}
		else {
			document.QoSDeleteRules.QoSULRules.value = "";
			document.QoSDeleteRules.QoSDLRules.value = "";
		}
	}

	return true;
}

</script>
</head>

<body onLoad="initValue();">

<script language="javascript" type="text/javascript" >
	writeWebsHeader_M(menuQoS.qosRules, "/m/qos/menu_qos.asp");
</script> 

<!-- help div  -->
<div id="help" class="help">
<script>htitle("htitle");</script>
<div class="hcontent">
  <div>
  <table cellPadding="3" cellSpacing="0">
  <tr><td class="help-item"><script>putmsg(mQos);</script></td></tr>
  <tr><td><script>putmsg(mIntroQosRule);</script></td></tr>
  <tr class="helpHr"><td><hr/></td></tr>

  <tr><td class="help-item"><script>putmsg(mInetSip);</script></td></tr>
  <tr><td><script>putmsg(mIntroQosSip);</script></td></tr>
  <tr class="helpHr"><td><hr/></td></tr>

  <tr><td class="help-item"><script>putmsg(mInetDport);</script></td></tr>
  <tr><td><script>putmsg(mIntroQoDport);</script></td></tr>
  <tr class="helpHr"><td><hr/></td></tr>

  <tr><td class="help-item"><script>putmsg(mQosPktlen);</script></td></tr>
  <tr><td><script>putmsg(mIntroQosSmallPkt);</script></td></tr>
  <tr class="helpHr"><td><hr/></td></tr>

  <tr><td class="help-item"><script>putmsg(mQos17);</script></td></tr>
  <tr><td><script>putmsg(mIntroQosApp);</script></td></tr>
  </table>
  </div>
  <script>hclose("hclose");</script>
</div>
</div>

<div style="text-align:right; border-left-style:none;">
    <a href="#" onclick="showHelp();return false;" onfocus="this.blur();" id="btnHelp" class="ahelp"><script>document.writeln(mHelp);</script></a>
</div>
<!-- help div end -->

<div class="body_div">

<table class="body" cellSpacing="0" cellPadding="0">
<tr>
  <td class="left-blank">&nbsp;</td>
  <td class="navi" valign="top">
    <script>writeNavi(lang, ver, "qos_set", "qos_rules");</script>
  </td>
  <td class="left" align="center" valign="top">
  <script>writeReboot(rb);</script>
  <br />

  <script>
    if (qosIPBWBuilt == "1" && 1*qosEnbl >= 1)
      writeNoneExist(qosEnbl == "1", mAlertPriorityDisable, mBtnSetup, "/m/qos/qos_basic.asp");
  </script>

  <table align="center" class="content" cellpadding="3" cellspacing="0" width="95%" id="div_qos_set">
  <tr><td><b style="color:red;"><script>putmsg(mWarning);</script>:</b>
    <span style="color:red;"><script>putmsg(mWarningQosSt);</script></span></td></tr>
  <tr>
    <td align="center">
      <script>
        document.writeln("<input type='button' class='button' value='"+mBtnSetup+"' onClick=\"gotoQoS();\">");
      </script>
    </td></tr>
  <tr><td>&nbsp;</td></tr>
  </table>

<form method="post" name="classifier" action="/goform/qosClassifier">

<fieldset align="center" style="width:95%;"> 
<legend><script>putmsg(mQosSetting);</script></legend> 
    
<table align="center" class="content" cellpadding="3" cellspacing="0" width="90%">
<tbody>
<tr>
  <td width="30%">&nbsp;</td>
  <td width="70%">&nbsp;</td>
</tr>

<input type="hidden" name="dir" value="Upload">

<tr>
  <td class="head"><script>putmsg(mQosRuleName);</script>:</td>
  <td><input type="text" name="comment" id="comment" size="20" maxlength="32"></td>
</tr>

<input type="hidden" name="dp_index" id="dp_index" value="1">

<tr>
  <td class="head"><script>putmsg(mQosRulePrio);</script>:</td>
  <td >
    <select name="af_index" id="af_index">
      <option value="5" id="af_high"><script>document.write((mQosHigh));</script></option>
      <option value="2" id="af_middle"><script>document.write((mQosMiddle));</script></option>
      <option value="6" id="af_default"><script>document.write((mQosDefault));</script></option>
      <option value="1" id="af_low"><script>document.write((mQosLow));</script></option>
    </select>
  </td>
</tr>

<tr id="qos_mac">
  <td class="head" id="QoSClassifierMacStr"><script>putmsg(mInetMac);</script>:</td>
  <td><input type="text" size="18" name="mac_address" id="mac_address"></td>
</tr>

<tr id="qos_dip">
  <td class="head" id="QoSClassifierDIPStr"><script>putmsg(mInetSip);</script>:</td>
  <td colspan="2"><input type="text" size="20" name="dip_address" id="dip_address"></td>
</tr>

<tr>
  <td class="head"><script>putmsg(mInetSip);</script>:</td>
  <td >
    <input type="text" size="16" maxlength="20" name="sip_address" id="sip_address">
    <span id="qos_sip2">
      &nbsp;-&nbsp;
      <input type="text" size="16" maxlength="15" name="sip_address2"  id="sip_address2">
    </span>
  </td>
</tr>

<tr id="pktLenTR">
  <td class="head"><script>putmsg(mQosPktlen);</script>:</td>
  <td >
    <input type="text" size="5" maxlength="5" name="pktlenfrom" id="pktlenfrom">&nbsp;-&nbsp;
    <input type="text" size="5" maxlength="5" name="pktlento" id="pktlento">
    <span class="comment"><script>putmsg(mQosPktlenEx);</script></span>
  </td>
</tr>

<tr>
  <td class="head"><script>putmsg(mQosDscp);</script>:</td>
  <td>
    <select name="dscp" id="dscp">
      <option value=""></option>
      <option value="BE">BE (<script>putmsg(mQosDefault);</script>)</option>
      <option value="AF11">AF11</option>
      <option value="AF12">AF12</option>
      <option value="AF13">AF13</option>
      <option value="AF21">AF21</option>
      <option value="AF22">AF22</option>
      <option value="AF23">AF23</option>
      <option value="AF31">AF31</option>
      <option value="AF32">AF32</option>
      <option value="AF33">AF33</option>
      <option value="AF41">AF41</option>
      <option value="AF42">AF42</option>
      <option value="AF43">AF43</option>
      <option value="EF">EF</option>
    </select>
  </td>
</tr>

<tr>
  <td class="head"><script>putmsg(mInetProto);</script>:</td>
  <td >
    <select onChange="protocolChange()" name="protocol" id="procotol">
      <option value="" selected></option>
      <option value="TCP">TCP</option>
      <option value="UDP">UDP</option>
      <option value="ICMP">ICMP</option>
      <option value="Application"><script>putmsg(mQos17);</script></option>
    </select>
  </td>
</tr>

<tr id="portRangeTR1" style="visibility:hidden;display:none;">
  <td class="head"><script>putmsg(mInetDport);</script>:</td>
  <td>
    <input type="text" size="5" maxlength="5" name="dFromPort" id="dFromPort">&nbsp;-&nbsp;
    <input type="text" size="5" maxlength="5" name="dToPort" id="dToPort">
  </td>
</tr>

<tr id="portRangeTR2" style="visibility:hidden;display:none">
  <td class="head" colspan="2" id="QoSClassifierSPortStr"><script>putmsg(mInetSport);</script>:</td>
  <td>
    <input type="text" size="5" name="sFromPort" id="sFromPort">&nbsp;-&nbsp;
    <input type="text" size="5" name="sToPort" id="sToPort">
  </td>
</tr>

<tr id="appTR" style="visibility:hidden;display:none;">
  <td class="head"><script>putmsg(mQos17);</script>:</td>
  <td >
    <select name="layer7" id="layer7" size="8" onChange="layer7Change()">
    <script type="text/javascript">
      layer7_filter_entries = layer7_all.split(";");
      for(i=0; i<layer7_filter_entries.length; i++){
        layer7_filter_item = layer7_filter_entries[i].split("#");
        layer7_app[i] = {filename:layer7_filter_item[0], name:layer7_filter_item[1], intro:layer7_filter_item[2]};
      }

      layer7_app.sort(sortFunc);
      for(i=0; i<layer7_app.length; i++){
        document.write("<option value=\""+layer7_app[i].filename+"\">"+layer7_app[i].name+"</option>");
      }
    </script>
    </select><br />
    <span id="Layer7Intro"></span>
    <br />
  </td>
</tr>

<tr id="qos_remark">
  <td class="head" id="QoSClassifierRemarkStr"><script>putmsg(mQosRemark);</script>:</td>
  <td>
    <select name="remark_dscp" id="remark_dscp">
      <option value="N/A"><script>putmsg(mQosNoChange);</script></option>
      <option value="Auto" id="QoSClassifierAutoStr"><script>putmsg(mQosAuto);</script></option>
      <option value="BE">BE (000000)</option>
      <option value="AF11">AF11</option>
      <option value="AF12">AF12</option>
      <option value="AF13">AF13</option>
      <option value="AF21">AF21</option>
      <option value="AF22">AF22</option>
      <option value="AF23">AF23</option>
      <option value="AF31">AF31</option>
      <option value="AF32">AF32</option>
      <option value="AF33">AF33</option>
      <option value="AF41">AF41</option>
      <option value="AF42">AF42</option>
      <option value="AF43">AF43</option>
      <option value="EF">EF (101110)</option>
    </select>
</td>
</tr>

</tbody>
</table>
</fieldset>

<br /><br />

<table align="center" class="content" width="95%" cellPadding="3" cellSpacing="0">
<tr>
  <td align="center">
    <script>
      if (jcgQosBuilt == "1") {
        document.writeln("<input type='submit' name='Add' class='button' value='"+mBtnAdd+"' onClick=\"return checkForm(0);\">&nbsp;&nbsp;");
      }
      else {
        document.writeln("<input type='submit' name='AddUL' class='button' value='"+mBtnAddUp+"' onClick=\"return checkForm(1);\">&nbsp;&nbsp;");
        document.writeln("<input type='submit' name='AddDL' class='button' value='"+mBtnAddDown+"' onClick=\"return checkForm(2);\">&nbsp;&nbsp;");
      }
      document.writeln("<input type='reset' class='button' value='"+mBtnCancel+"' onClick=\"window.location.reload();\">");
    </script>
  </td>
</tr>
</table>

<br />
</form>

<form method="post" name="QoSDeleteRules" action="/goform/QoSDeleteRules">
<input type="hidden" name="QoSRules" value="">
<input type="hidden" name="QoSDLRules" value="">
<input type="hidden" name="QoSULRules" value="">
<input type="hidden" name="nextPage" value="/m/qos/qos_rules.asp">

<div id="jcg_qos_rules">
<br />
<fieldset align="center" style="width:95%;"> 
<legend><script>putmsg(mQosList);</script></legend> 
<br />
<table width="90%" border="0" cellspacing="1" cellpadding="3" align="center">
<tr>
  <td class="headLine" align="center"><script>putmsg(mIndex);</script></td>
  <!-- <td class="headLine" align="center"><script>putmsg(mQosRuleName);</script></td>
  <td class="headLine" align="center"><script>putmsg(mQosRulePrio);</script></td>
  <td class="headLine" align="center"><script>putmsg(mInetIp);</script></td>
  <td class="headLine" align="center"><script>putmsg(mQosDscp);</script></td>
  <td class="headLine" align="center"><script>putmsg(mInetProto);</script></td -->
  <td class="headLine" align="center"><script>putmsg(mQosRuleInfo);</script></td>
  <td class="headLine" align="center" id="QoSRuleDelStr"><script>putmsg(mBtnDelete);</script></td>
</tr>
<script language="javascript" type="text/javascript">
  PrintJcgQosRules();
</script>
</table>
<br />
</fieldset>
</div>

<div id="upload_qos_rules">
<br />
<fieldset align="center" style="width:95%;"> 
<legend><script>putmsg(mQosList+"-"+mQosUp);</script></legend> 
<br />
<table id="upload_qos_rules" width="90%" border="0" cellspacing="1" cellpadding="3" align="center">
<tr>
  <td class="headLine" align="center"><script>putmsg(mIndex);</script></td>
  <!-- <td class="headLine" align="center"><script>putmsg(mQosRuleName);</script></td>
  <td class="headLine" align="center"><script>putmsg(mQosRulePrio);</script></td>
  <td class="headLine" align="center"><script>putmsg(mInetIp);</script></td>
  <td class="headLine" align="center"><script>putmsg(mQosDscp);</script></td>
  <td class="headLine" align="center"><script>putmsg(mInetProto);</script></td -->
  <td class="headLine" align="center"><script>putmsg(mQosRuleInfo);</script></td>
  <td class="headLine" align="center" id="QoSRuleDelStr"><script>putmsg(mBtnDelete);</script></td>
</tr>
<script language="javascript" type="text/javascript">
  PrintUploadQosRules();
</script>
</table>
<br />
</fieldset>
</div>

<div id="download_qos_rules">
<br />
<fieldset align="center" style="width:95%;"> 
<legend><script>putmsg(mQosList+"-"+mQosDown);</script></legend> 
<br />
<table width="90%" border="0" cellspacing="1" cellpadding="3" align="center">
<tr>
  <td class="headLine" align="center"><script>putmsg(mIndex);</script></td>
  <!-- <td class="headLine" align="center"><script>putmsg(mQosRuleName);</script></td>
  <td class="headLine" align="center"><script>putmsg(mQosRulePrio);</script></td>
  <td class="headLine" align="center"><script>putmsg(mInetIp);</script></td>
  <td class="headLine" align="center"><script>putmsg(mQosDscp);</script></td>
  <td class="headLine" align="center"><script>putmsg(mInetProto);</script></td -->
  <td class="headLine" align="center"><script>putmsg(mQosRuleInfo);</script></td>
  <td class="headLine" align="center" id="QoSRuleDelStr"><script>putmsg(mBtnDelete);</script></td>
</tr>
<script language="javascript" type="text/javascript">
  PrintDownloadQosRules();
</script>
</table>
<br />
</fieldset>
</div>

<br />

<table align="center" class="content" width="95%" cellSpacing="0" cellPadding="0">
<tr>
  <td align="center">
    <script>
      if (jcgQosBuilt == "1")
        document.writeln("<input type='submit' class='button' name='btnDel' value='"+mBtnDelete+"' onClick=\"return delCheckJcg();\">&nbsp;&nbsp;");
      else
        document.writeln("<input type='submit' class='button' name='btnDel' value='"+mBtnDelete+"' onClick=\"return delCheck();\">&nbsp;&nbsp;");
      document.writeln("<input type='submit' class='button' name='btnDelAll' value='"+mBtnDelAll+"' onClick=\"return delAll(0);\">");
      if (jcgQosBuilt != "1") {
        document.writeln("&nbsp;&nbsp;<input type='submit' class='button' name='btnDelAllUL' value='"+mBtnDelUp+"' onClick=\"return delAll(1);\">");
        document.writeln("&nbsp;&nbsp;<input type='submit' class='button' name='btnDelAllDL' value='"+mBtnDelDown+"' onClick=\"return delAll(2);\">");
      }
    </script>
  </td>
</tr>
</table>

</form>

<br /><br />
</td>

<td class="right-blank">&nbsp;</td>

</tr>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 

</div>
</body>
</html>

