<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<title></title>
<script language="javascript" type="text/javascript">

<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("diskadddir"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";

var dirStr = "<% getAllDir(); %>";

var dirList = new Array();
dirList = dirStr.split(";");

document.title = vendor+" "+model+" - "+mDirAdd;

function initValue()
{
	var old_dirName = window.opener.document.storage_disk_adm.dirName.value;
	document.disk_editdir.editdir_name.value = old_dirName;
	document.disk_editdir.dir_name.value = old_dirName;
	document.disk_editdir.disk_part.value = window.opener.document.storage_disk_adm.diskPart.value;

	document.getElementById("partName").innerHTML = window.opener.document.storage_disk_adm.partName.value;
	document.getElementById("occup_rate").innerHTML = window.opener.document.getElementById("occupancy_rate").innerHTML;
	document.getElementById("mInfo").innerHTML = window.opener.document.getElementById("mountInfo").innerHTML;
}

function checkNewName(name){
	var curPart = document.disk_editdir.disk_part.value;
	for (var i=0; i<dirList.length; i++) {
		var entry =  new Array();
		entry = dirList[i].split(",");
		if (entry.length < 3)
			continue;
			
		if((entry[1] == curPart) && (name == entry[0]))
			return true;
		else
			continue;
			
	}
	return false;
}

function checkData()
{
	if (document.disk_editdir.editdir_name.value == "")
	{
		alert(mAlertDirName);
		document.disk_editdir.editdir_name.focus();
		document.disk_editdir.editdir_name.select();
		return false;
	}
	else if(checkNewName(document.disk_editdir.editdir_name.value) == true)
	{
		alert(mAlertExist);
		document.disk_editdir.editdir_name.focus();
		return false;
	}
	else if(document.disk_editdir.editdir_name.value.match(/[`~!@#$%^&*\()+\|{}\[\]:;\"\'<,>.\/\\?]/)) 
	{
		alert(mAlertInvalidDirName);
		return false;
	}
	return true;
}

function submit_apply()
{
	if (checkData() == true)
		document.disk_editdir.submit();
}
</script>
</head>

<body class="newopen" onLoad="initValue()">
<div align="left" style="margin-left:30px;">

<form method="post" name="disk_editdir" action="/goform/storageDiskAdm">
<input type="hidden" name="hiddenButton" value="edit">
<input type="hidden" name="dir_name" value="">
<table class="body" width="600">
<tr>
  <td align="center">
    <fieldset align="center" style="width:95%;">
    <legend><script>putmsg(mDirEdit);</script></legend>
    <br />
	<table align="center" class="content" cellPadding="3" cellSpacing="0" align="center" width="90%">
	<tr>
	  <input type="hidden" name="disk_part" value="">
	  <td width="60px"><img src="/graphics/disk.png"></td>
	  <td>
 	    <b id="partName"></b><br />
            <div class="usbprocess_bar">
	      <div class="usbcontainer" id="occup_rate">
	      </div>
	    </div>
            <span class="comment" id="mInfo"></span>
	  </td>
	</tr>
    </table>
    <br />

    <table align="center" class="content" cellPadding="3" cellSpacing="0" width="90%">
    <tr>
      <td class="head" width="30%"><script>putmsg(mDirName);</script>:</td>
      <td>
        <input type="text" name="editdir_name" size="48" maxlength="64" value="">
      </td>
    </tr>
    </table>
    <br />

    <table align="center" class="content" cellPadding="3" cellSpacing="0" width="90%">
    <tr>
      <td align="center">
        <script>
          document.writeln("<input type='button' class='button' name='apply' value='"+mBtnApply+"' onClick=\"submit_apply();\">&nbsp;&nbsp;");
          document.writeln("<input type='reset'  class='button' value='"+mBtnCancel+"' onClick=\"window.close();\">");
        </script>
      </td>
    </tr>
    </table>
    </fieldset>
  </td>
</tr>
</table>
</form>
</div>
</body>
</html>

