<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("advanced"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';     
var opmode = '<% getCfgZero(1, "OperationMode"); %>';
var rb = <% getRebootFlag(); %>;

document.title = vendor+" "+model+" - "+mTitleWlanAdv;

//var basicRate = '<% getCfgZero(1, "BasicRate"); %>';
var bgProtection = '<% getCfgZero(1, "BGProtection"); %>';
//var dataRate = '<!--#include ssi=getWlanDataRate()-->';
var beaconInterval = '<% getCfgZero(1, "BeaconPeriod"); %>';
var dtimValue = '<% getCfgZero(1, "DtimPeriod"); %>';
var fragmentThreshold = '<% getCfgZero(1, "FragThreshold"); %>';
var rtsThreshold = '<% getCfgZero(1, "RTSThreshold"); %>';
var shortPreamble = '<% getCfgZero(1, "TxPreamble"); %>';
var shortSlot = '<% getCfgZero(1, "ShortSlot"); %>';
var txBurst = '<% getCfgZero(1, "TxBurst"); %>';
var pktAggregate = '<% getCfgZero(1, "PktAggregate"); %>';
var autoprovision = '<% getCfgZero(1, "AutoProvisionEn"); %>';
var wmmCapable = '<% getCfgZero(1, "WmmCapable"); %>';
var APSDCapable = '<% getCfgZero(1, "APSDCapable"); %>';
var DLSCapable = '<% getCfgZero(1, "DLSCapable"); %>';
var wirelessMode = '<% getCfgZero(1, "WirelessMode"); %>';
var ieee80211h  = '<% getCfgZero(1, "IEEE80211H"); %>';
var countrycode = '<% getCfgGeneral(1, "CountryCode"); %>';
var txPower = '<% getCfgZero(1, "TxPower"); %>';
var DLSBuilt = '<% getDLSBuilt(); %>';
var m2uBuilt = '<% getWlanM2UBuilt(); %>';
var autoproBuilt = '<% getAutoProvisionBuilt(); %>';
var m2uEnabled = '<% getCfgZero(1, "IgmpSnEnable"); %>';
var dfsb = '<% getDFSBuilt(); %>';
var carrierib = '<% getCarrierBuilt(); %>';
var rvtb = '<% getRVTBuilt(); %>';
var txbfb = '<% getTxBfBuilt("ra0"); %>';
var etxbf = '<% getCfgZero(1, "ETxBfEnCond"); %>';
var itxbf = '<% getCfgZero(1, "ITxBfEn"); %>';

var alcb = '<% getWlanAlcBuilt(); %>';
var StaRoamSupport = '<% getCfgZero(1, "StaRoamEnable"); %>';
var StaEnable = StaRoamSupport.split(";");

var wlanSwitchBuilt = '<% getWlanSwitchBuilt(); %>';
var wlanSwitchOnRtdev = '<% getWlanSwitchOnRtdev(); %>';
var multipwr = 1;

if (wlanSwitchBuilt == '2')
	multipwr = 5;

function getRvtEnb()
{
	var rvt = '<% getCfgZero(1, "RVT"); %>';
	var rx = '<% getCfgZero(1, "HT_RxStream"); %>';
	var tx = '<% getCfgZero(1, "HT_TxStream"); %>';
	var gi = '<% getCfgZero(1, "HT_GI"); %>';
	var vt = '<% getCfgZero(1, "VideoTurbine"); %>';

	if (rvt == "1" && rx == "1" && tx == "1" && vt == "1" && gi == "0")
		return true;
	else
		return false;
}

function rvt_switch()
{
	if (document.wireless_advanced.rvt[1].checked) {
		if (document.wireless_advanced.txbf.options.length == 4) {
			document.wireless_advanced.txbf.remove(3);
			document.wireless_advanced.txbf.remove(2);
			document.wireless_advanced.txbf.remove(1);
		}
	}
	else {
		if (document.wireless_advanced.txbf.options.length == 1) {
			var y = document.createElement('option');
			y.text = "Explicit TxBF";
			y.value = "2";
			try {
				document.wireless_advanced.txbf.add(y, null); // standards compliant
			} catch(ex) {
				document.wireless_advanced.txbf.add(y); // IE only
			}

			y = document.createElement('option');
			y.text = "Implicit TxBf";
			y.value = "1";
			try {
				document.wireless_advanced.txbf.add(y, null);
			} catch(ex) {
				document.wireless_advanced.txbf.add(y);
			}

			y = document.createElement('option');
			y.text = "Disable";
			y.value = "0";
			try {
				document.wireless_advanced.txbf.add(y, null);
			} catch(ex) {
				document.wireless_advanced.txbf.add(y);
			}
		}
	}
}

function Show_support_channel_list(rf_band)
{
	if (rf_band == 24) {
		document.wireless_advanced.country_region.options[0] = new Option("Ch1~11", "0");
		document.wireless_advanced.country_region.options[1] = new Option("Ch1~13", "1");
		document.wireless_advanced.country_region.options[2] = new Option("Ch10~11", "2");
		document.wireless_advanced.country_region.options[3] = new Option("Ch10~13", "3");
		document.wireless_advanced.country_region.options[4] = new Option("Ch14", "4");
		document.wireless_advanced.country_region.options[5] = new Option("Ch1~14", "5");
		document.wireless_advanced.country_region.options[6] = new Option("Ch3~9", "6");
		document.wireless_advanced.country_region.options[7] = new Option("Ch5~13", "7");
		document.wireless_advanced.country_region.options[8] = new Option("Ch1~11", "31");
		document.wireless_advanced.country_region.options[9] = new Option("Ch1~11", "32");
		document.wireless_advanced.country_region.options[10] = new Option("Ch1~14", "33");
	} else if (rf_band == 5) {
		document.wireless_advanced.country_region.options[0] = new Option("Ch36~64, Ch149~165", "0");
		document.wireless_advanced.country_region.options[1] = new Option("Ch36~64, Ch100~140", "1");
		document.wireless_advanced.country_region.options[2] = new Option("Ch36~64", "2");
		document.wireless_advanced.country_region.options[3] = new Option("Ch52~64, Ch149~161", "3");
		document.wireless_advanced.country_region.options[4] = new Option("Ch149~165", "4");
		document.wireless_advanced.country_region.options[5] = new Option("Ch149~161", "5");
		document.wireless_advanced.country_region.options[6] = new Option("Ch36~48", "6");
		document.wireless_advanced.country_region.options[7] = new Option("Ch36~64, Ch100~140, Ch149~165", "7");
		document.wireless_advanced.country_region.options[8] = new Option("Ch52~64", "8");
		document.wireless_advanced.country_region.options[9] = new Option("Ch36~64, Ch100~116, Ch132~140, Ch149~165", "9");
		document.wireless_advanced.country_region.options[10] = new Option("Ch36~48, Ch149~165", "10");
		document.wireless_advanced.country_region.options[11] = new Option("Ch36~64, Ch100~120, Ch149~161", "11");
		document.wireless_advanced.country_region.options[12] = new Option("Ch149~161", "12");
		document.wireless_advanced.country_region.options[13] = new Option("Ch52~64, Ch100~140, Ch149~161", "13");
		document.wireless_advanced.country_region.options[14] = new Option("Ch36~64, Ch100~116, Ch136~140, Ch149~165", "14");
		document.wireless_advanced.country_region.options[15] = new Option("Ch149~165", "15");
		document.wireless_advanced.country_region.options[16] = new Option("Ch52~64, Ch149~165", "16");
		document.wireless_advanced.country_region.options[17] = new Option("Ch36~48, Ch149~161", "17");
		document.wireless_advanced.country_region.options[18] = new Option("Ch36~64, Ch100~116, Ch132~140", "18");
		document.wireless_advanced.country_region.options[19] = new Option("Ch56~64, Ch100~140, Ch149~161", "19");
		document.wireless_advanced.country_region.options[20] = new Option("Ch36~64, Ch100~124, Ch149~161", "20");
		document.wireless_advanced.country_region.options[21] = new Option("Ch36~64, Ch100~140, Ch149~161", "21");
	}
}

function initValue()
{
	var datarateArray;
	
	var radio_off = '<% getCfgZero(1, "RadioOff"); %>';

	if (1*radio_off == 1) {
		document.getElementById("div_radio_off").style.visibility = "";
		document.getElementById("div_radio_off").style.display = "";
	}

	if (wlanSwitchBuilt == '3' && wlanSwitchOnRtdev == '0') {
		document.getElementById("trTxPower").style.visibility = "hidden";
		document.getElementById("trTxPower").style.display = "none";
		document.getElementById("trTxPowerIntroD").style.visibility = "hidden";
		document.getElementById("trTxPowerIntroD").style.display = "none";
		document.getElementById("trTxPowerIntro").style.visibility = "hidden";
		document.getElementById("trTxPowerIntro").style.display = "none";
		document.getElementById("trTxPowerHr").style.visibility = "hidden";
		document.getElementById("trTxPowerHr").style.display = "none";
	}

	bgProtection = 1*bgProtection;
	document.wireless_advanced.bg_protection.options.selectedIndex = bgProtection;
	/*
	basicRate = 1*basicRate;

	if (basicRate == 3)
		document.wireless_advanced.basic_rate.options.selectedIndex = 0;
	else if (basicRate == 15)
		document.wireless_advanced.basic_rate.options.selectedIndex = 1;
	else if (basicRate == 351)
		document.wireless_advanced.basic_rate.options.selectedIndex = 2;
	*/

	wirelessMode = 1*wirelessMode;

	if ((wirelessMode == 2) || (wirelessMode == 8)) {
		; //document.wireless_advanced.basic_rate.disabled = true;
	}
	else {
		document.getElementById("div_ieee_80211h").style.visibility = "hidden";
		document.getElementById("div_ieee_80211h").style.display = "none";
		document.wireless_advanced.ieee_80211h.disabled = true;
	}

	beaconInterval = 1*beaconInterval;
	document.wireless_advanced.beacon.value = beaconInterval;
	dtimValue = 1*dtimValue;
	document.wireless_advanced.dtim.value = dtimValue;
	fragmentThreshold = 1*fragmentThreshold;
	document.wireless_advanced.fragment.value = fragmentThreshold;
	rtsThreshold = 1*rtsThreshold;
	document.wireless_advanced.rts.value = rtsThreshold;

	shortPreamble = 1*shortPreamble;
	if (shortPreamble == 1)
	{
		document.wireless_advanced.short_preamble[1].checked = true;
		document.wireless_advanced.short_preamble[0].checked = false;
	}
	else
	{
		document.wireless_advanced.short_preamble[1].checked = false;
		document.wireless_advanced.short_preamble[0].checked = true;
	}

	shortSlot = 1*shortSlot;
	if (shortSlot == 1)
	{
		document.wireless_advanced.short_slot[1].checked = true;
	}
	else
	{
		document.wireless_advanced.short_slot[0].checked = true;
	}

	txBurst = 1*txBurst;
	if (txBurst == 1)
	{
		document.wireless_advanced.tx_burst[1].checked = true;
		document.wireless_advanced.tx_burst[0].checked = false;
	}
	else
	{
		document.wireless_advanced.tx_burst[1].checked = false;
		document.wireless_advanced.tx_burst[0].checked = true;
	}

	pktAggregate = 1*pktAggregate;
	if (pktAggregate == 1)
	{
		document.wireless_advanced.pkt_aggregate[1].checked = true;
		document.wireless_advanced.pkt_aggregate[0].checked = false;
	}
	else
	{
		document.wireless_advanced.pkt_aggregate[1].checked = false;
		document.wireless_advanced.pkt_aggregate[0].checked = true;
	}

	if (autoproBuilt == "1") {
		document.getElementById("div_AutoPro").style.visibility = "visible";
		document.getElementById("div_AutoPro").style.display = style_display_on();
		document.wireless_advanced.auto_provision.disabled = false;
		if (autoprovision == "1") {
			document.wireless_advanced.auto_provision[1].checked = true;
			document.wireless_advanced.auto_provision[0].checked = false;
		} else {
			document.wireless_advanced.auto_provision[1].checked = false;
			document.wireless_advanced.auto_provision[0].checked = true;
		}
	} else {
		document.getElementById("div_AutoPro").style.visibility = "hidden";
		document.getElementById("div_AutoPro").style.display = "none";
		document.wireless_advanced.auto_provision.disabled = true;
	}

	ieee80211h = 1*ieee80211h;
	if (ieee80211h == 1)
		document.wireless_advanced.ieee_80211h[1].checked = true;
	else
		document.wireless_advanced.ieee_80211h[0].checked = true;

	ieee80211h_switch();
	if (dfsb == "1" && ieee80211h == 1)
	{
		var rdregion = '<% getCfgGeneral(1, "RDRegion"); %>';
		if (rdregion == "CE")
			document.wireless_advanced.rd_region.options.selectedIndex = 2;
		else if (rdregion == "JAP")
			document.wireless_advanced.rd_region.options.selectedIndex = 1;
		else
			document.wireless_advanced.rd_region.options.selectedIndex = 0;
	}

	carrierib = 1*carrierib;
	if (carrierib == 1)
	{
		document.getElementById("div_carrier_detect").style.visibility = "visible";
		document.getElementById("div_carrier_detect").style.display = style_display_on();
		document.wireless_advanced.carrier_detect.disabled = false;
		var carrierebl = '<% getCfgZero(1, "CarrierDetect"); %>';
		if (carrierebl == "1")
		{
			document.wireless_advanced.carrier_detect[1].checked = true;
			document.wireless_advanced.carrier_detect[0].checked = false;
		}
		else
		{
			document.wireless_advanced.carrier_detect[1].checked = false;
			document.wireless_advanced.carrier_detect[0].checked = true;
		}
	}
	else
	{
		document.getElementById("div_carrier_detect").style.visibility = "hidden";
		document.getElementById("div_carrier_detect").style.display = "none";
		document.wireless_advanced.carrier_detect.disabled = true;
	}

	rvtb = 1*rvtb;
	if (rvtb == 1)
	{
		document.getElementById("div_rvt").style.visibility = "visible";
		document.getElementById("div_rvt").style.display = style_display_on();
		document.wireless_advanced.rvt.disabled = false;
		if (getRvtEnb())
		{
			document.wireless_advanced.rvt[1].checked = true;
			document.wireless_advanced.rvt[0].checked = false;
		}
		else
		{
			document.wireless_advanced.rvt[1].checked = false;
			document.wireless_advanced.rvt[0].checked = true;
		}
	}
	else
	{
		document.getElementById("div_rvt").style.visibility = "hidden";
		document.getElementById("div_rvt").style.display = "none";
		document.wireless_advanced.rvt.disabled = true;
	}

	txbfb = 1*txbfb;
	if (txbfb == 1)
	{
		document.getElementById("div_txbf").style.visibility = "visible";
		document.getElementById("div_txbf").style.display = style_display_on();
		document.wireless_advanced.txbf.disabled = false;
		if (etxbf == "1" && itxbf == "1")
			document.wireless_advanced.txbf.options.selectedIndex = 0;
		else if (etxbf == "1")
			document.wireless_advanced.txbf.options.selectedIndex = 1;
		else if (itxbf == "1")
			document.wireless_advanced.txbf.options.selectedIndex = 2;
		else
			document.wireless_advanced.txbf.options.selectedIndex = 3;
	}
	else
	{
		document.getElementById("div_txbf").style.visibility = "hidden";
		document.getElementById("div_txbf").style.display = "none";
		document.wireless_advanced.txbf.disabled = true;
	}

	if (wmmCapable.indexOf("1") >= 0)
	{
		document.wireless_advanced.wmm_capable[1].checked = true;
		document.wireless_advanced.wmm_capable[0].checked = false;
	}
	else
	{
		document.wireless_advanced.wmm_capable[1].checked = false;
		document.wireless_advanced.wmm_capable[0].checked = true;
	}

	wmm_capable_enable_switch();

	APSDCapable = 1*APSDCapable;
	if (APSDCapable == 1)
	{
		document.wireless_advanced.apsd_capable[1].checked = true;
		document.wireless_advanced.apsd_capable[0].checked = false;
	}
	else
	{
		document.wireless_advanced.apsd_capable[1].checked = false;
		document.wireless_advanced.apsd_capable[0].checked = true;
	}

	if (DLSBuilt == 1)
	{
		DLSCapable = 1*DLSCapable;
		if (DLSCapable == 1)
		{
			document.wireless_advanced.dls_capable[1].checked = true;
			document.wireless_advanced.dls_capable[0].checked = false;
		}
		else
		{
			document.wireless_advanced.dls_capable[1].checked = false;
			document.wireless_advanced.dls_capable[0].checked = true;
		}
	}
	document.wireless_advanced.tx_power.value = parseInt(txPower)*multipwr;
	document.wireless_advanced.tx_power_h.value = txPower;

	for(var i=0; i<document.wireless_advanced.country_code.options.length; i++) {
		if (countrycode == document.wireless_advanced.country_code.options[i].value) {
			document.wireless_advanced.country_code.options.selectedIndex = i;
			break;
		}
	}
/*
	if (countrycode == "US")
		document.wireless_advanced.country_code.options.selectedIndex = 0;
	else if (countrycode == "JP")
		document.wireless_advanced.country_code.options.selectedIndex = 1;
	else if (countrycode == "FR")
		document.wireless_advanced.country_code.options.selectedIndex = 2;
	else if (countrycode == "TW")
		document.wireless_advanced.country_code.options.selectedIndex = 3;
	else if (countrycode == "IE")
		document.wireless_advanced.country_code.options.selectedIndex = 4;
	else if (countrycode == "HK")
		document.wireless_advanced.country_code.options.selectedIndex = 5;
	else if (countrycode == "NONE")
		document.wireless_advanced.country_code.options.selectedIndex = 6;
	else
		document.wireless_advanced.country_code.options.selectedIndex = 6;
*/

	var extchlistb = "<% getExtChListBuilt(); %>";
	if (extchlistb != "1") {
		var countryRegion;
		if (wirelessMode == 0 || wirelessMode == 1 || wirelessMode == 4 ||
				wirelessMode == 9 || wirelessMode == 6) {
			countryRegion = 1*'<% getCfgGeneral(1, "CountryRegion"); %>';
			Show_support_channel_list(24);
		} else if (wirelessMode == 2 || wirelessMode == 8 || wirelessMode == 11 ||
				wirelessMode == 14 || wirelessMode == 15) {
			countryRegion = 1*'<% getCfgGeneral(1, "CountryRegionABand"); %>';
			Show_support_channel_list(5);
		}
		if (countryRegion < 30)
			document.wireless_advanced.country_region.options.selectedIndex = countryRegion;
		else
			document.wireless_advanced.country_region.options.selectedIndex = countryRegion - 23;
	} else {
		document.getElementById("div_support_channel").style.visibility = "hidden";
		document.getElementById("div_support_channel").style.display = "none";
	}

	//multicase to unicast converter
	m2uBuilt = 1*m2uBuilt;
	document.getElementById("div_m2u").style.display = "none";
	if (m2uBuilt == 1) {
		//if (window.ActiveXObject) // IE
		//	document.getElementById("div_m2u").style.display = "block";
		//else
		//	document.getElementById("div_m2u").style.display = "table";
		document.getElementById("div_m2u").style.display = "";

		m2uEnabled = 1*m2uEnabled;
		if (m2uEnabled == 1)
		{
			document.wireless_advanced.m2u_enable[1].checked = true;
			document.wireless_advanced.m2u_enable[0].checked = false;
		}
		else
		{
			document.wireless_advanced.m2u_enable[1].checked = false;
			document.wireless_advanced.m2u_enable[0].checked = true;
		}
	}

	if (alcb == '1'/* && txPower == "100"*/) {
		var txAlc = '<% getCfgZero(1, "TxALC"); %>';
		document.wireless_advanced.tx_alc[1*txAlc].checked = true;
	}
	else {
		document.getElementById("div_txalc").style.visibility = "hidden";
		document.getElementById("div_txalc").style.display = "none";
	}
	
	if(StaEnable[0] == '1'){
		
		document.wireless_advanced.StaRoamEnbl[1*StaEnable[1]].checked = true;
        }
        else{
		//document.wireless_advanced.StaRoamEnbl[0].checked = true;
                document.getElementById("StaRoam").style.visibility = "hidden";
                document.getElementById("StaRoam").style.display = "none";	
	}

	StaRoamSwitch();
}

function CheckValue()
{
	if (document.wireless_advanced.beacon.value == "" )
	{
		alert(mWlanBeaconIntrv +mAlertEmpty);
		document.wireless_advanced.beacon.focus();
		document.wireless_advanced.beacon.select();
		return false;
	}

	if (isNaN(document.wireless_advanced.beacon.value) || document.wireless_advanced.beacon.value < 20
	  || document.wireless_advanced.beacon.value > 999 || (document.wireless_advanced.beacon.value).indexOf(".")!= -1)
	{
		alert(mWlanBeaconIntrv + mAlertInvalid);
		document.wireless_advanced.beacon.focus();
		document.wireless_advanced.beacon.select();
		return false;
	}

	if (document.wireless_advanced.dtim.value == "" )
	{
		alert(mWlanDtim +mAlertEmpty);
		document.wireless_advanced.dtim.focus();
		document.wireless_advanced.dtim.select();
		return false;
	}

	if (isNaN(document.wireless_advanced.dtim.value) || document.wireless_advanced.dtim.value < 1
	  || document.wireless_advanced.dtim.value > 255 || (document.wireless_advanced.dtim.value).indexOf(".")!= -1)
	{
		alert(mWlanDtim + mAlertInvalid);
		document.wireless_advanced.dtim.focus();
		document.wireless_advanced.dtim.select();
		return false;
	}

	if (document.wireless_advanced.fragment.value == "" )
	{
		alert(mWlanThresholdFragment +mAlertEmpty);
		document.wireless_advanced.fragment.focus();
		document.wireless_advanced.fragment.select();
		return false;
	}

	if (isNaN(document.wireless_advanced.fragment.value) || document.wireless_advanced.fragment.value < 256 
	 || document.wireless_advanced.fragment.value > 2346 || (document.wireless_advanced.fragment.value).indexOf(".")!= -1)
	{
		alert(mWlanThresholdFragment + mAlertInvalid);
		document.wireless_advanced.fragment.focus();
		document.wireless_advanced.fragment.select();
		return false;
	}

	if (document.wireless_advanced.rts.value == "" )
	{
		alert(mWlanThresholdRTS + mAlertEmpty);
		document.wireless_advanced.rts.focus();
		document.wireless_advanced.rts.select();
		return false;
	}

	if (isNaN(document.wireless_advanced.rts.value) || document.wireless_advanced.rts.value < 1
	 || document.wireless_advanced.rts.value > 2347 || (document.wireless_advanced.rts.value).indexOf(".")!= -1)
	{
		alert(mWlanThresholdRTS + mAlertInvalid);
		document.wireless_advanced.rts.focus();
		document.wireless_advanced.rts.select();
		return false;
	}
	
	//Check the value of tx_power.
	if (document.wireless_advanced.tx_power.value == "" )
	{
		alert(mWlanTXPower +mAlertEmpty);
		document.wireless_advanced.tx_power.focus();
		document.wireless_advanced.tx_power.select();
		return false;
	}

	if (isNaN(document.wireless_advanced.tx_power.value) || document.wireless_advanced.tx_power.value < 1 
	  || document.wireless_advanced.tx_power.value > 100*multipwr || (document.wireless_advanced.tx_power.value).indexOf(".")!= -1)
	{
		alert(mWlanTXPower + mAlertInvalid);
		document.wireless_advanced.tx_power.focus();
		document.wireless_advanced.tx_power.select();
		return false;
	}
		
	if (document.wireless_advanced.StaRoamEnbl[1].checked == true) {
	//	StaRoamEnbAll += document.wireless_advanced.StaRoamEnbl[1].value;
		document.wireless_advanced.StaRoamSupport.value = StaEnable[0]+";"+document.wireless_advanced.StaRoamEnbl[1].value;
	}
	else{
		//StaRoamEnbAll += document.wireless_advanced.StaRoamEnbl[0].value;
		document.wireless_advanced.StaRoamSupport.value = StaEnable[0]+";"+document.wireless_advanced.StaRoamEnbl[0].value;
	}	

	document.wireless_advanced.tx_power_h.value = parseInt(document.wireless_advanced.tx_power.value)/multipwr;
	return true;
}

function open_wmm_window()
{
	window.open("wmm.asp","WMM_Parameters_List","toolbar=no, location=yes, scrollbars=yes, resizable=no, width=screen.availWidth,height=screen.availHeight");
}

function wmm_capable_enable_switch()
{
	document.getElementById("div_apsd_capable").style.visibility = "hidden";
	document.getElementById("div_apsd_capable").style.display = "none";
	document.wireless_advanced.apsd_capable.disabled = true;
	document.getElementById("div_dls_capable").style.visibility = "hidden";
	document.getElementById("div_dls_capable").style.display = "none";
	document.wireless_advanced.dls_capable.disabled = true;
	document.getElementById("div_wmm_conf").style.visibility = "hidden";
	document.getElementById("div_wmm_conf").style.display = "none";
	document.wireless_advanced.wmm_list.disabled = true;

	DLSBuilt = 1*DLSBuilt;
	if (document.wireless_advanced.wmm_capable[1].checked == true)
	{
		document.getElementById("div_apsd_capable").style.visibility = "visible";
		document.getElementById("div_apsd_capable").style.display = style_display_on();
		document.wireless_advanced.apsd_capable.disabled = false;
		if (DLSBuilt == 1)
		{
			document.getElementById("div_dls_capable").style.visibility = "visible";
			document.getElementById("div_dls_capable").style.display = style_display_on();
			document.wireless_advanced.dls_capable.disabled = false;
		}
		document.getElementById("div_wmm_conf").style.visibility = "visible";
		document.getElementById("div_wmm_conf").style.display = style_display_on();
		document.wireless_advanced.wmm_list.disabled = false;
	}
}

function ieee80211h_switch()
{
	if (dfsb == "1" && document.wireless_advanced.ieee_80211h[1].checked == true)
	{
		document.getElementById("div_dfs_rdregion").style.visibility = "visible";
		document.getElementById("div_dfs_rdregion").style.display = style_display_on();
		document.wireless_advanced.rd_region.disabled = false;
	}
	else
	{
		document.getElementById("div_dfs_rdregion").style.visibility = "hidden";
		document.getElementById("div_dfs_rdregion").style.display = "none";
		document.wireless_advanced.rd_region.disabled = true;
	}
}

function StaRoamSwitch()
{
	if (document.wireless_advanced.StaRoamEnbl[1].checked == true) {
		document.getElementById("RssiThreshold").style.visibility = "visible";
                document.getElementById("RssiThreshold").style.display = style_display_on();
	}
	else{
		document.getElementById("RssiThreshold").style.visibility = "hidden";
                document.getElementById("RssiThreshold").style.display = "none";	
	}

}
function CheckRssiThreshold()
{
	var vValue = document.getElementById("RssiTh").value;
        if (isNaN(vValue) || vValue==undefined || vValue>-20 || vValue < -110) {
            alert(mRssiThreshold + mAlertInvalid);
	    document.getElementById("RssiTh").value = "";
            return false;
        }
        return true;	
}

</script>
</head>

<body onLoad="initValue();">

<script language="javascript" type="text/javascript" >
	writeWebsHeader_M(menuWireless.adv, "/m/wireless/menu_wl.asp");
</script> 

<!-- help div  -->
<div id="help" class="help">
<script>htitle("htitle");</script>
<div class="hcontent">
  <div>
  <table cellPadding="3" cellSpacing="0">
  <tr><td class="help-item"><script>putmsg(mWlanAdvSet);</script></td></tr>
  <tr><td><script>putmsg(mIntroWlanAdv);</script></td></tr>
  <tr class="helpHr"><td><hr/></td></tr>
		           
  <tr><td class="help-item"><script>putmsg(mWlanBGPro);</script></td></tr>
  <tr><td><script>putmsg(mIntroWlanBGPro);</script>
  <tr class="helpHr"><td><hr/></td></tr>
		           
  <tr><td class="help-item"><script>putmsg(mWlanBeaconIntrv);</script></td></tr>
  <tr><td><script>putmsg(mIntroWlanBeaconIntrv);</script></td></tr>
  <tr class="helpHr"><td><hr/></td></tr>
		           
  <tr><td class="help-item"><script>putmsg(mWlanDtim);</script></td></tr>
  <tr><td><script>putmsg(mIntroWlanDtim);</script></td></tr>
  <tr class="helpHr"><td><hr/></td></tr>
          
  <tr id="trTxPowerIntroD"><td class="help-item"><script>putmsg(mWlanTXPower);</script></td></tr>
  <tr id="trTxPowerIntro"><td><script>putmsg(mIntroWlanTXPower);</script></td></tr>
  <tr id="trTxPowerHr" class="helpHr"><td><hr/></td></tr>

  <tr><td class="help-item"><script>putmsg(mWlanTXBurst);</script></td></tr>
  <tr><td><script>putmsg(mIntroWlanTXBurst);</script></td></tr>
  </table>
  </div>
 <script>hclose("hclose");</script>
</div>
</div>

<div style="text-align:right; border-left-style:none;">
    <a href="#" onclick="showHelp();return false;" onfocus="this.blur();" id="btnHelp" class="ahelp"><script>document.writeln(mHelp);</script></a>
</div>
<!-- help div end -->

<div class="body_div">
        
<table class="body" cellSpacing="0" cellPadding="0">
<tbody>
<tr>
<td class="left-blank">&nbsp;</td>
<td class="left" align="center" valign="top">
  <script>writeReboot(rb);</script>
  <br />

<form method="post" name="wireless_advanced" action="/goform/wirelessAdvanced" onSubmit="return CheckValue();">
<fieldset align="center" style="width:95%;"> 
<legend><script>putmsg(mLegendWlanAdv);</script></legend>  
<input type="hidden" name="nextPage" value="m/wireless/advanced.asp">

<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3" id="div_radio_off" style="visibility:hidden;display:none;">
  <tr>
    <td>
	  <b style="color:red;"><script>putmsg(mWarning);</script>:</b>
	  <span style="color:red;"><script>putmsg(mAlertRadioOff);</script></span>
	  <script>document.writeln("<input type='button' class='button' value='"+mBtnSetup+"' onClick=\"gotoURL('basic.asp');\">");</script>
	</td>
  </tr>
</table>

<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
<tbody>
        
  <tr>
    <td width="40%">&nbsp;</td>
    <td width="60%">&nbsp;</td>
  </tr>
  <tr> 
    <td class="head" id="advBGProtect"><script>putmsg(mWlanBGPro);</script>:</td>
    <td>
      <select name="bg_protection" size="1" style="width:72px;">
        <option value="0" selected><script>putmsg(mWlanAuto);</script></option>
        <option value="1"><script>putmsg(mRadioOn);</script></option>
        <option value="2"><script>putmsg(mRadioOff);</script></option>
      </select>
    </td>
  </tr>
  <!--
  <tr> 
    <td class="head" id="advBasicDtRt">Basic Data Rates</td>
    <td>
      <select name="basic_rate" size="1">
	    <option value="3" >1-2 Mbps</option>
	    <option value="15" id="advBasicDtRtDefault">Default(1-2-5.5-11 Mbps)</option>
	    <option value="351" id="advBasicDtRtAll">All(1-2-5.5-6-11-12-24 Mbps)</option>
      </select>
    </td>
  </tr>
  -->
  <tr> 
    <td class="head" id="advBeaconInterval"><script>putmsg(mWlanBeaconIntrv);</script>:</td>
    <td>
      <input type="text" name="beacon" size="8" maxlength="3" value="100"><script>putmsg(mTimeMs);</script>&nbsp;<span class="comment">(20-999, <script>putmsg(mWlanDftValue);</script>: 100)</span>
    </td>
  </tr>
  <tr> 
    <td class="head" id="advDTIM"><script>putmsg(mWlanDtim);</script> (DTIM):</td>
    <td>
      <input type="text" name="dtim" size="8" maxlength="3" value="1">&nbsp;<span class="comment">(1-255, <script>putmsg(mWlanDftValue);</script>: <% getDefaultCfg(0, "DtimPeriod"); %>)</span>
    </td>
  </tr>
  <tr> 
    <td class="head" id="advFrag"><script>putmsg(mWlanThresholdFragment);</script>:</td>
    <td>
      <input type="text" name="fragment" size="8" maxlength="4" value="">&nbsp;<span class="comment">(256-2346, <script>putmsg(mWlanDftValue);</script>: 2346)</span>
    </td>
  </tr>
  <tr> 
    <td class="head" id="advRTS"><script>putmsg(mWlanThresholdRTS);</script>:</td>
    <td>
    <input type="text" name="rts" size="8" maxlength="4" value="">&nbsp;<span class="comment">(1-2347, <script>putmsg(mWlanDftValue);</script>: 2347)</span>
    </td>
  </tr>
  <tr id="trTxPower"> 
    <td class="head" id="advTxPW"><script>putmsg(mWlanTXPower);</script>:</td>
    <td>
      <input type="hidden" name="tx_power_h" value="<% getCfgZero(1, "TxPower"); %>">
      <input type="text" name="tx_power" size="8" maxlength="3" value="100">%&nbsp;
      <span class="comment">(1-<script>putmsg(100*multipwr+", "+mWlanDftValue);</script>: 100)</span>
    </td>
  </tr>
  <tr id="div_txalc"> 
    <td class="head"><script>putmsg(mWlanTxAlc);</script>:</td>
    <td>
      <input type="radio" name="tx_alc" value="0" checked><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="tx_alc" value="1"><script>putmsg(mRadioEnable);</script>
      <span class="comment">(<script>putmsg(mWlanMaxPwrValid);</script>)</span>
    </td>
  </tr>
  <tr> 
    <td class="head" id="advShortPre"><script>putmsg(mWlanShortPreamble);</script>:</td>
    <td>
      <input type="radio" name="short_preamble" value="0"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="short_preamble" value="1" checked><script>putmsg(mRadioEnable);</script>
    </td>
  </tr>
  <tr> 
    <td class="head" id="advShortSlot"><script>putmsg(mWlanShortSlot);</script>:</td>
    <td>
      <input type="radio" name="short_slot" value="0"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="short_slot" value="1"><script>putmsg(mRadioEnable);</script>
    </td>
  </tr>
  <tr> 
    <td class="head" id="advTxBurst"><script>putmsg(mWlanTXBurst);</script>:</td>
    <td>
      <input type="radio" name="tx_burst" value="0"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="tx_burst" value="1"><script>putmsg(mRadioEnable);</script>
    </td>
  </tr>
  <tr> 
    <td class="head" id="advPktAggr"><script>putmsg(mWlanPktAggregate);</script>:</td>
    <td>
      <input type="radio" name="pkt_aggregate" value="0"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="pkt_aggregate" value="1"><script>putmsg(mRadioEnable);</script>
    </td>
  </tr>
  <tr id="div_AutoPro"> 
    <td class="head" id="advAutoPro">Auto Provision:</td>
    <td>
      <input type="radio" name="auto_provision" value="0"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="auto_provision" value="1" checked><script>putmsg(mRadioEnable);</script>
    </td>
  </tr>
  <tr id="div_ieee_80211h"> 
    <td class="head" id="adv80211H"><script>putmsg(mWlan80211h);</script>:</td>
    <td>
      <input type="radio" name="ieee_80211h" value="0" onClick="ieee80211h_switch();"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="ieee_80211h" value="1" onClick="ieee80211h_switch();"><script>putmsg(mRadioEnable);</script>
      &nbsp;<span class="comment"><script>putmsg(mWlan80211hDiscr);</script></span>
    </td>
  </tr>
  <tr id="div_dfs_rdregion" name="div_dfs_rdregion">
    <td class="head"><script>putmsg(mWlanRdregion);</script>:</td>
    <td>
      <select name="rd_region" style="width:72px;">
        <option value="FCC">FCC</option>
        <option value="JAP">JAP</option>
        <option value="CE">CE</option>
      </select>
    </td>
  </tr>
  <tr> 
    <td class="head" id="advCountryCode"><script>putmsg(mCtryCode);</script>:</td>
    <td>
      <select name="country_code" style="width:132px;">
        <option value="NONE" selected><script>putmsg(mCtryCodeNone);</script></option>
        <option value="CN"><script>putmsg(mCtryCodeCN);</script></option>
        <option value="KR"><script>putmsg(mCtryCodeKR);</script></option>
        <option value="VN"><script>putmsg(mCtryCodeVN);</script></option>
        <option value="US"><script>putmsg(mCtryCodeUS);</script></option>
        <option value="JP"><script>putmsg(mCtryCodeJP);</script></option>
        <option value="FR"><script>putmsg(mCtryCodeFR);</script></option>
        <option value="TW"><script>putmsg(mCtryCodeTW);</script></option>
        <option value="IE"><script>putmsg(mCtryCodeIE);</script></option>
        <option value="HK"><script>putmsg(mCtryCodeHK);</script></option>
        <option value="CO"><script>putmsg(mCtryCodeCO);</script></option>
        <option value="BR"><script>putmsg(mCtryCodeBR);</script></option>
        <option value="AR"><script>putmsg(mCtryCodeAR);</script></option>
        <option value="DE"><script>putmsg(mCtryCodeDE);</script></option>
        <option value="ES"><script>putmsg(mCtryCodeES);</script></option>
		<option value="PL"><script>putmsg(mCtryCodePL);</script></option>
      </select>
    </td>
  </tr>
  <tr id="div_support_channel" style="display:none;visibility:hidden;"> 
    <td class="head" id="advSupportCH">Country Region:</td>
    <td>
      <select name="country_region">
      </select>
    </td>
  </tr>
  <tr id="div_carrier_detect" name="div_carrier_detect">
    <td class="head" id="advCarrierDetect"><script>putmsg(mWlanCarrier);</script>:</td>
    <td>
      <input type="radio" name="carrier_detect" value="0"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="carrier_detect" value="1"><script>putmsg(mRadioEnable);</script>
    </td>
  </tr>
  <tr id="div_rvt" name="div_rvt">
    <td class="head">Ralink Video Turbine:</td>
    <td>
      <input type="radio" name="rvt" value="0"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="rvt" value="1" checked><script>putmsg(mRadioEnable);</script>
    </td>
  </tr>
  <tr id="div_txbf" name="div_txbf">
    <td class="head">Tx <script>putmsg(mBeamforming);</script>:</td>
    <td>
      <select id="txbf" name="txbf" style="width:132px;">
        <option value="3"><script>putmsg(mBoth);</script></option>
        <option value="2"><script>putmsg(mExplicit);</script></option>
        <option value="1"><script>putmsg(mImplicit);</script></option>
        <option value="0" selected><script>putmsg(mRadioDisable);</script></option>
      </select>
    </td>
  </tr>
 
 <tr id="StaRoam" name="StaRoam">
    <td class="head"><script>putmsg(mStaRoam);</script>:</td>
    <td>
    <input type="radio" name="StaRoamEnbl" value="0" checked onClick="StaRoamSwitch();"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
    <input type="radio" name="StaRoamEnbl" value="1" onClick="StaRoamSwitch();"><script>putmsg(mRadioEnable);</script>
    </td> 
  </tr>   
  <tr id="RssiThreshold">
    <td class="head"><script>putmsg(mRssiThreshold);</script>:</td>
    <td>
      <input type="text" name="RssiTh" id="RssiTh" maxlength="4" size="4" value="<% getCfgGeneral(1, "RssiThreshold"); %>" onblur="CheckRssiThreshold()">&nbsp;dBm &nbsp;<span class="comment">(-20 ~ -110, <script>putmsg(mWlanDftValue);</script>: <% getDefaultCfg(1, "RssiThreshold"); %>)</span> 
    </td>
  </tr>
  <input type="hidden" name="StaRoamSupport" value='<% getCfgZero(1, "StaRoamEnable"); %>'>

  <tr>
    <td class="head">&nbsp;</td>
    <td class="tail">&nbsp;</td>
  </tr>    
</tbody>
</table>
</fieldset>

<br /><br />
<fieldset align="center" style="width:95%;"> 
<legend><script>putmsg(mLegendVMMSet);</script></legend>  

<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
<tbody>  
  <tr>
    <td width="40%">&nbsp;</td>
    <td width="60%">&nbsp;</td>
  </tr>
  <tr> 
    <td class="head" id="advWMM"><script>putmsg(mWlanVMMCapable);</script>:</td>
    <td>
      <input type="radio" name="wmm_capable" value="0" onClick="wmm_capable_enable_switch();"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="wmm_capable" value="1" onClick="wmm_capable_enable_switch();" checked><script>putmsg(mRadioEnable);</script>
    </td>
  </tr>
  <tr id="div_apsd_capable" name="div_apsd_capable">
    <td class="head" id="advAPDS"><script>putmsg(mWlanApsdCapable);</script>:</td>
    <td>
      <input type="radio" name="apsd_capable" value="0" checked><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="apsd_capable" value="1"><script>putmsg(mRadioEnable);</script>
    </td>
  </tr>
  <tr id="div_dls_capable" name="div_dls_capable">
    <td class="head"><script>putmsg(mWlanDlsCapable);</script>:</td>
    <td>
      <input type="radio" name="dls_capable" value="0" checked><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="dls_capable" value="1"><script>putmsg(mRadioEnable);</script>
    </td>
  </tr>
  <tr>
    <td colspan="2">&nbsp;</td>
  </tr>    
  <tr id="div_wmm_conf"> 
    <td colspan="2" align="center">
	  <script>
            document.write("<input type='button' class='button' style='width:150px;' name='wmm_list' value='"+mWlanVMMParameter+"' onClick='open_wmm_window();'>");
	  </script>
    </td>
  </tr>     
  <tr>
    <td class="head">&nbsp;</td>
    <td class="tail">&nbsp;</td>
  </tr>    
</tbody>
</table>
</fieldset>

<br /><br />
<fieldset id="div_m2u" name="div_m2u" align="center" style="width:95%;"> 
<legend><script>putmsg(mLegendM2USet);</script></legend>  

<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
<tbody>
  <tr>
    <td width="40%">&nbsp;</td>
    <td width="60%">&nbsp;</td>
  </tr>
  <tr> 
    <td class="head" id="advMul2Uni"><script>putmsg(mWlanM2U);</script>:</td>
    <td>
      <input type="radio" name="m2u_enable" value="0"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="m2u_enable" value="1"><script>putmsg(mRadioEnable);</script>
    </td>
  </tr>  
  <tr>
    <td class="head">&nbsp;</td>
    <td class="tail">&nbsp;</td>
  </tr>    
</tbody>
</table>
</fieldset>

<br /><br />
<table align="center" class="content" width="80%" cellSpacing="0" cellPadding="3">
  <tr>
    <td align="center">
	  <script>
		document.write("<input type='submit' class='button' name='save' value='"+mBtnSave+"'>&nbsp;&nbsp;");
		if (rb == 0)
			document.write("<input type='submit' class='button' value='"+mBtnApply+"'>&nbsp;&nbsp;");
		document.write("<input type='reset' class='button' value='"+mBtnCancel+"' onClick='window.location.reload();'>");
	  </script>
	</td>
  </tr>
</table>

<br /><br />
</form>

</td>
<td class="right-blank">&nbsp;</td>
</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 

</div>
</body>
</html>

