<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript">
<% websIncludeFile("comm/jdefines.js"); %>
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("inet"); %>
<% websIncludeLang("basic"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';     
var opmode = '<% getCfgZero(1, "OperationMode"); %>';
var rb = <% getRebootFlag(); %>;

document.title = vendor+" "+model+" - "+mTitleWlanBasic;

var PhyMode  = '<% getCfgZero(1, "WirelessMode"); %>';
var HiddenSSID  = '<% getCfgZero(1, "HideSSID"); %>';
var APIsolated = '<% getCfgZero(1, "NoForwarding"); %>';
var mbssidapisolated = '<% getCfgZero(1, "NoForwardingBTNBSSID"); %>';
var ChIdx  = '<% getWlanChannel(); %>';
var fxtxmode = '<% getCfgGeneral(1, "FixedTxMode"); %>';
var CntyCd = '<% getCfgGeneral(1, "CountryCode"); %>';
var CntyRegion = '<% getCfgGeneral(1, "CountryRegion"); %>';
var CntyRegionA = '<% getCfgGeneral(1, "CountryRegionABand"); %>';
var ht_mode = '<% getCfgZero(1, "HT_OpMode"); %>';
var ht_bw = '<% getCfgZero(1, "HT_BW"); %>';
var ht_gi = '<% getCfgZero(1, "HT_GI"); %>';
var ht_stbc = '<% getCfgZero(1, "HT_STBC"); %>';
var ht_mcs = '<% getCfgZero(1, "HT_MCS"); %>';
var ht_htc = '<% getCfgZero(1, "HT_HTC"); %>';
var ht_rdg = '<% getCfgZero(1, "HT_RDG"); %>';
var ht_extcha = '<% getCfgZero(1, "HT_EXTCHA"); %>';
var ht_amsdu = '<% getCfgZero(1, "HT_AMSDU"); %>';
var ht_autoba = '<% getCfgZero(1, "HT_AutoBA"); %>';
var ht_badecline = '<% getCfgZero(1, "HT_BADecline"); %>';
var ht_disallow_tkip = '<% getCfgZero(1, "HT_DisallowTKIP"); %>';
var ht_2040_coexit = '<% getCfgZero(1, "HT_BSSCoexistence"); %>';
//var ht_f_40mhz = '<% getCfgZero(1, "HT_40MHZ_INTOLERANT"); %>';
var ht_ldpc = '<% getCfgZero(1, "HT_LDPC"); %>';
var vht_bw = '<% getCfgZero(1, "VHT_BW"); %>';
var vht_stbc = '<% getCfgZero(1, "VHT_STBC"); %>';
var vht_sgi = '<% getCfgZero(1, "VHT_SGI"); %>';
var vht_bw_signal = '<% getCfgZero(1, "VHT_BW_SIGNAL"); %>';
var vht_ldpc = '<% getCfgZero(1, "VHT_LDPC"); %>';
var apcli_include = '<% getWlanApcliBuilt(); %>';
var draft3b = '<% getRax11nDraft3Built(); %>';
var mesh_include = '<% getMeshBuilt(); %>';
var tx_stream_idx = '<% getCfgZero(1, "HT_TxStream"); %>';
var rx_stream_idx = '<% getCfgZero(1, "HT_RxStream"); %>';
var txrxStream = '<% getRaxHTStream(); %>';
var max_bssid_num = '<% getMaxBssidNum(); %>';
var AC = "<% getRaxAC(); %>";

ChLst_24G = new Array(14);
ChLst_24G[0] = "1"; //"2412MHz (Channel 1)";
ChLst_24G[1] = "2"; //"2417MHz (Channel 2)";
ChLst_24G[2] = "3"; //"2422MHz (Channel 3)";
ChLst_24G[3] = "4"; //"2427MHz (Channel 4)";
ChLst_24G[4] = "5"; //"2432MHz (Channel 5)";
ChLst_24G[5] = "6"; //"2437MHz (Channel 6)";
ChLst_24G[6] = "7"; //"2442MHz (Channel 7)";
ChLst_24G[7] = "8"; //"2447MHz (Channel 8)";
ChLst_24G[8] = "9"; //"2452MHz (Channel 9)";
ChLst_24G[9] = "10"; //"2457MHz (Channel 10)";
ChLst_24G[10] = "11"; //"2462MHz (Channel 11)";
ChLst_24G[11] = "12"; //"2467MHz (Channel 12)";
ChLst_24G[12] = "13"; //"2472MHz (Channel 13)";
ChLst_24G[13] = "14"; //"2484MHz (Channel 14)";

ChLst_5G = new Array(33);
ChLst_5G[0] = "36"; //"5180MHz (Channel 36)";
ChLst_5G[1] = "40"; //"5200MHz (Channel 40)";
ChLst_5G[2] = "44"; //"5220MHz (Channel 44)";
ChLst_5G[3] = "48"; //"5240MHz (Channel 48)";
ChLst_5G[4] = "52"; //"5260MHz (Channel 52)";
ChLst_5G[5] = "56"; //"5280MHz (Channel 56)";
ChLst_5G[6] = "60"; //"5300MHz (Channel 60)";
ChLst_5G[7] = "64"; //"5320MHz (Channel 64)";
ChLst_5G[16] = "100"; //"5500MHz (Channel 100)";
ChLst_5G[17] = "104"; //"5520MHz (Channel 104)";
ChLst_5G[18] = "108"; //"5540MHz (Channel 108)";
ChLst_5G[19] = "112"; //"5560MHz (Channel 112)";
ChLst_5G[20] = "116"; //"5580MHz (Channel 116)";
ChLst_5G[21] = "120"; //"5600MHz (Channel 120)";
ChLst_5G[22] = "124"; //"5620MHz (Channel 124)";
ChLst_5G[23] = "128"; //"5640MHz (Channel 128)";
ChLst_5G[24] = "132"; //"5660MHz (Channel 132)";
ChLst_5G[25] = "136"; //"5680MHz (Channel 136)";
ChLst_5G[26] = "140"; //"5700MHz (Channel 140)";
ChLst_5G[28] = "149"; //"5745MHz (Channel 149)";
ChLst_5G[29] = "153"; //"5765MHz (Channel 153)";
ChLst_5G[30] = "157"; //"5785MHz (Channel 157)";
ChLst_5G[31] = "161"; //"5805MHz (Channel 161)";
ChLst_5G[32] = "165"; //"5825MHz (Channel 165)";

HT5GExtCh = new Array(22);
HT5GExtCh[0] = new Array(1, "40"); // channel 36's extension channel
HT5GExtCh[1] = new Array(0, "36"); // channel 40's extension channel
HT5GExtCh[2] = new Array(1, "48"); // channel 44's
HT5GExtCh[3] = new Array(0, "44"); // channel 48's
HT5GExtCh[4] = new Array(1, "56"); // channel 52's
HT5GExtCh[5] = new Array(0, "52"); // channel 56's
HT5GExtCh[6] = new Array(1, "64"); // channel 60's
HT5GExtCh[7] = new Array(0, "60"); // channel 64's
HT5GExtCh[8] = new Array(1, "104"); // channel 100's
HT5GExtCh[9] = new Array(0, "100"); // channel 104's
HT5GExtCh[10] = new Array(1, "112"); // channel 108's
HT5GExtCh[11] = new Array(0, "108"); // channel 112's
HT5GExtCh[12] = new Array(1, "120"); // channel 116's
HT5GExtCh[13] = new Array(0, "116"); // channel 120's
HT5GExtCh[14] = new Array(1, "128"); // channel 124's
HT5GExtCh[15] = new Array(0, "124"); // channel 128's
HT5GExtCh[16] = new Array(1, "136"); // channel 132's
HT5GExtCh[17] = new Array(0, "132"); // channel 136's
HT5GExtCh[18] = new Array(1, "153"); // channel 149's
HT5GExtCh[19] = new Array(0, "149"); // channel 153's
HT5GExtCh[20] = new Array(1, "161"); // channel 157's
HT5GExtCh[21] = new Array(0, "157"); // channel 161's
HT5GExtCh[22] = new Array(0, "161"); // channel 165's

function changeHTStream(wmode)
{
	var stream = document.wireless_basic.tx_stream.length;
	var x = document.getElementById("tx_stream");
	var y = document.getElementById("rx_stream");

	for (i=stream; i>1;i--) 
	{
		x.remove(i-1);
		y.remove(i-1);
	}
	stream = document.wireless_basic.tx_stream.length;
	if (txrxStream > 1)
	{
		document.wireless_basic.rx_stream.options[1] = new Option("2", "2");
		document.wireless_basic.tx_stream.options[1] = new Option("2", "2");
		stream++;
	}
	if (txrxStream > 2)
	{
		document.wireless_basic.rx_stream.options[2] = new Option("3", "3");
		document.wireless_basic.tx_stream.options[2] = new Option("3", "3");
		stream++;
	}
	if (txrxStream > 3)
	{
		document.wireless_basic.rx_stream.options[3] = new Option("4", "4");
		document.wireless_basic.tx_stream.options[3] = new Option("4", "4");
		stream++;
	}
	
	if (txrxStream == "1")
	{
		tx_stream_idx = 1;
		rx_stream_idx = 1;
	}
	document.wireless_basic.rx_stream.selectedIndex = rx_stream_idx - 1;
	document.wireless_basic.tx_stream.selectedIndex = tx_stream_idx - 1;
}

function changeMCSoptions(wmode)
{
	var w_mode = document.wireless_basic.wirelessmode.options[document.wireless_basic.wirelessmode.selectedIndex].value;
	var mcs_len = document.wireless_basic.n_mcs.length;
	var x = document.getElementById("n_mcs");
	for (i=mcs_len; i>8;i--) 
	{
		x.remove(i-1);
	}
	mcs_len = document.wireless_basic.n_mcs.length;
	if (w_mode != WIRELESS_MODE_AC_NA && w_mode != WIRELESS_MODE_AC_N)
	{
		if (document.wireless_basic.tx_stream.selectedIndex > 0)
		{
			for (i = 8; i < 16; i++) 
			{
				document.wireless_basic.n_mcs.options[i] = new Option(i, i);
				mcs_len++;
			}
			if (1*txrxStream == 3) 
			{
				for (i = 16; i < 24; i++) 
				{
					document.wireless_basic.n_mcs.options[i] = new Option(i, i);
					mcs_len++;
				}
			}
		}
		if (document.wireless_basic.n_bandwidth[1].checked == true)
		{
			document.wireless_basic.n_mcs.options[mcs_len] = new Option("32", "32");
			mcs_len++;
		}
	}
	else
	{
		document.wireless_basic.n_mcs.options[mcs_len] = new Option(8, 8);
		mcs_len++;
		document.wireless_basic.n_mcs.options[mcs_len] = new Option(9, 9);
		mcs_len++;
	}
	document.wireless_basic.n_mcs.options[mcs_len] = new Option(mWlanAuto, "33");
	mcs_len++;
	var ht_mcs_nm = 1*ht_mcs.split(";", 1);
        if (ht_mcs_nm <= 23)
                document.wireless_basic.n_mcs.selectedIndex = ht_mcs_nm;
        else if ((ht_mcs_nm == 32) && (document.wireless_basic.n_bandwidth[1].checked == true))
		document.wireless_basic.n_mcs.selectedIndex = mcs_len-2;
        else
		document.wireless_basic.n_mcs.selectedIndex = mcs_len-1;
}

function changeTxStream()
{
	changeMCSoptions(document.wireless_basic.wirelessmode.selectedIndex);
}

function CreateExtChOpt(vChannel)
{
	var y = document.createElement('option');

	y.text = ChLst_24G[1*vChannel - 1];
//	y.value = 1*vChannel;
	y.value = 1;

	var x = document.getElementById("n_extcha");

	try
	{
		x.add(y,null); // standards compliant
	}
	catch(ex)
	{
		x.add(y); // IE only
	}
}

function InsExtChOpt()
{
	var OptLen; 
	var CurrCh;
	var wmode = document.wireless_basic.wirelessmode.options[document.wireless_basic.wirelessmode.selectedIndex].value;

	if ((wmode == WIRELESS_MODE_BGN) || (wmode == WIRELESS_MODE_GN) || (wmode == WIRELESS_MODE_AN) || (wmode == WIRELESS_MODE_N) 
		|| (wmode == WIRELESS_MODE_N_5G) || (wmode == WIRELESS_MODE_AC_NA) || (wmode == WIRELESS_MODE_AC_N))
	{ // 11n+ External channel
		var x = document.getElementById("n_extcha");
		var length = document.wireless_basic.n_extcha.options.length;

		if (length > 1)
		{
			x.selectedIndex = 1;
			x.remove(x.selectedIndex);
		}

		if ((wmode == WIRELESS_MODE_AN) || (wmode == WIRELESS_MODE_N_5G) || (wmode == WIRELESS_MODE_AC_NA) || (wmode == WIRELESS_MODE_AC_N))
		{ // 5G
			CurrCh = document.wireless_basic.sz11aChannel.value;

			if ((1*CurrCh >= 36) && (1*CurrCh <= 64))
			{
				CurrCh = 1*CurrCh;
				CurrCh /= 4;
				CurrCh -= 9;

				x.options[0].text = HT5GExtCh[CurrCh][1];
				x.options[0].value = HT5GExtCh[CurrCh][0];
			}
			else if ((1*CurrCh >= 100) && (1*CurrCh <= 136))
			{
				CurrCh = 1*CurrCh;
				CurrCh /= 4;
				CurrCh -= 17;

				x.options[0].text = HT5GExtCh[CurrCh][1];
				x.options[0].value = HT5GExtCh[CurrCh][0];
			}
			else if ((1*CurrCh >= 149) && (1*CurrCh <= 161))
			{
				CurrCh = 1*CurrCh;
				CurrCh -= 1;
				CurrCh /= 4;
				CurrCh -= 19;

				x.options[0].text = HT5GExtCh[CurrCh][1];
				x.options[0].value = HT5GExtCh[CurrCh][0];
			}
			else if (1*CurrCh == 165) {
				CurrCh = 22; // 161

				x.options[0].text = HT5GExtCh[CurrCh][1];
				x.options[0].value = HT5GExtCh[CurrCh][0];
			}
			else
			{
				x.options[0].text = mWlanAuto;
				x.options[0].value = 0;
			}
		}
		else if ((wmode == WIRELESS_MODE_BGN) || (wmode == WIRELESS_MODE_N) || (wmode == WIRELESS_MODE_GN))
		{ // 2.4G
			CurrCh = document.wireless_basic.sz11gChannel.value;
			OptLen = document.wireless_basic.sz11gChannel.options.length;

			if ((CurrCh >=1) && (CurrCh <= 4))
			{
				x.options[0].text = ChLst_24G[1*CurrCh + 4 - 1];
				x.options[0].value = 1;
			}
			else if ((CurrCh >= 5) && (CurrCh <= 7))
			{
				x.options[0].text = ChLst_24G[1*CurrCh - 4 - 1];
				x.options[0].value = 0; //1*CurrCh - 4;
				CurrCh = 1*CurrCh;
				CurrCh += 4;
				CreateExtChOpt(CurrCh);
			}
			else if ((CurrCh >= 8) && (CurrCh <= 9))
			{
				x.options[0].text = ChLst_24G[1*CurrCh - 4 - 1];
				x.options[0].value = 0; //1*CurrCh - 4;

				if (OptLen >=14)
				{
					CurrCh = 1*CurrCh;
					CurrCh += 4;
					CreateExtChOpt(CurrCh);
				}
			}
			else if (CurrCh == 10)
			{
				x.options[0].text = ChLst_24G[1*CurrCh - 4 - 1];
				x.options[0].value = 0; //1*CurrCh - 4;

				if (OptLen > 14)
				{
					CurrCh = 1*CurrCh;
					CurrCh += 4;
					CreateExtChOpt(CurrCh);
				}
			}
			else if (CurrCh >= 11)
			{
				x.options[0].text = ChLst_24G[1*CurrCh - 4 - 1];
				x.options[0].value = 0; //1*CurrCh - 4;
			}
			else
			{
				x.options[0].text = mWlanAuto;
				x.options[0].value = 0;
			}
		}
	}
}

function ChOnChange()
{
	if (document.wireless_basic.n_bandwidth[1].checked == true)
	{
		var w_mode = document.wireless_basic.wirelessmode.options[document.wireless_basic.wirelessmode.selectedIndex].value;

		if ((w_mode == WIRELESS_MODE_AN) || (w_mode == WIRELESS_MODE_N_5G) || (w_mode == WIRELESS_MODE_AC_NA) || (w_mode == WIRELESS_MODE_AC_N))
		{ // 5G
			if (document.wireless_basic.n_bandwidth[1].checked == true)
			{
				document.getElementById("extension_channel").style.visibility = "visible";
				document.getElementById("extension_channel").style.display = style_display_on();
				document.wireless_basic.n_extcha.disabled = false;
			}

			if (document.wireless_basic.sz11aChannel.options.selectedIndex == 0)
			{
				document.getElementById("extension_channel").style.visibility = "hidden";
				document.getElementById("extension_channel").style.display = "none";
				document.wireless_basic.n_extcha.disabled = true;
			}
		}
		else if ((w_mode == WIRELESS_MODE_BGN) || (w_mode == WIRELESS_MODE_N) || (w_mode == WIRELESS_MODE_GN))
		{ // 2.4G
			if (document.wireless_basic.n_bandwidth[1].checked == true)
			{
				document.getElementById("extension_channel").style.visibility = "visible";
				document.getElementById("extension_channel").style.display = style_display_on();
				document.wireless_basic.n_extcha.disabled = false;
			}

			if (document.wireless_basic.sz11gChannel.options.selectedIndex == 0)
			{
				document.getElementById("extension_channel").style.visibility = "hidden";
				document.getElementById("extension_channel").style.display = "none";
				document.wireless_basic.n_extcha.disabled = true;
			}
		}
	}

	InsExtChOpt();
}

function changeVHTBW()
{
	var w_mode = document.wireless_basic.wirelessmode.options[document.wireless_basic.wirelessmode.selectedIndex].value;

	document.getElementById("div_vht_bw").style.visibility = "hidden";
	document.getElementById("div_vht_bw").style.display = "none";
	document.wireless_basic.vht_bandwidth[0].disabled = true;
	document.wireless_basic.vht_bandwidth[1].disabled = true;
	if ((w_mode == WIRELESS_MODE_AC_NA) || (w_mode == WIRELESS_MODE_AC_N))
	{
		document.getElementById("div_vht_bw").style.visibility = "visible";
		document.getElementById("div_vht_bw").style.display = StylDispOn();
		if (document.wireless_basic.n_bandwidth[1].checked == true)
		{
			document.wireless_basic.vht_bandwidth[0].disabled = false;
			document.wireless_basic.vht_bandwidth[1].disabled = false;
		}
	}
	if (1*vht_bw == 1)
	{
		document.wireless_basic.vht_bandwidth[1].checked = true;
	}
	else
	{
		document.wireless_basic.vht_bandwidth[0].checked = true;
	}

}

function ChBwOnClick()
{
	var w_mode = document.wireless_basic.wirelessmode.options[document.wireless_basic.wirelessmode.selectedIndex].value;

	if (document.wireless_basic.n_bandwidth[0].checked == true)
	{
		document.getElementById("extension_channel").style.visibility = "hidden";
		document.getElementById("extension_channel").style.display = "none";
		document.wireless_basic.n_extcha.disabled = true;
	}
	else
	{
		document.getElementById("extension_channel").style.visibility = "visible";
		document.getElementById("extension_channel").style.display = style_display_on();
		document.wireless_basic.n_extcha.disabled = false;

		if ((w_mode == WIRELESS_MODE_AN) || (w_mode == WIRELESS_MODE_N_5G) || (w_mode == WIRELESS_MODE_AC_NA) || (w_mode == WIRELESS_MODE_AC_N))
		{ // 5G DFS
			if (document.wireless_basic.sz11aChannel.options.selectedIndex == 0)
			{
				document.getElementById("extension_channel").style.visibility = "hidden";
				document.getElementById("extension_channel").style.display = "none";
				document.wireless_basic.n_extcha.disabled = true;
			}
		}
	}
	changeVHTBW();
	changeMCSoptions(w_mode);
}


function initValue()
{
	var Ch11aIdx;
	var CurrChLen;
	var radio_off = '<% getCfgZero(1, "RadioOff"); %>';
	var wifi_off = '<% getCfgZero(1, "WiFiOff"); %>';
	var mssidb = "<% getMBSSIDBuilt(); %>";
	var BssidNum = 1*'<% getCfgGeneral(1, "BssidNum"); %>';
	var i = 0;

	if (CntyCd == '')
		CntyCd = 'NONE';

	document.getElementById("div_11a_channel").style.visibility = "hidden";
	document.getElementById("div_11a_channel").style.display = "none";
	document.wireless_basic.sz11aChannel.disabled = true;
	document.getElementById("div_11b_channel").style.visibility = "hidden";
	document.getElementById("div_11b_channel").style.display = "none";
	document.wireless_basic.sz11bChannel.disabled = true;
	document.getElementById("div_11g_channel").style.visibility = "hidden";
	document.getElementById("div_11g_channel").style.display = "none";
	document.wireless_basic.sz11gChannel.disabled = true;
	//document.getElementById("div_11n").style.visibility = "hidden";
	document.getElementById("div_11n").style.display = "none";
	document.wireless_basic.n_mode.disabled = true;
	document.wireless_basic.n_bandwidth.disabled = true;
	document.wireless_basic.n_rdg.disabled = true;
	document.wireless_basic.n_gi.disabled = true;
	document.wireless_basic.n_mcs.disabled = true;
	document.getElementById("div_2040_coexit").style.display = "none";
	document.wireless_basic.n_2040_coexit.disabled = true;
	document.wireless_basic.n_ldpc.disabled = true;
	//document.getElementById("div_11vht").style.visibility = "hidden";
	document.getElementById("div_11vht").style.display = "none";
	document.wireless_basic.vht_bandwidth.disabled = true;
	document.wireless_basic.vht_stbc.disabled = true;
	document.wireless_basic.vht_sgi.disabled = true;
	document.wireless_basic.vht_bw_signal.disabled = true;
	document.wireless_basic.vht_ldpc.disabled = true;

	//PhyMode = 1*PhyMode;

	if ((PhyMode == WIRELESS_MODE_BGN) || (PhyMode == WIRELESS_MODE_N) || (PhyMode == WIRELESS_MODE_GN) || (PhyMode == WIRELESS_MODE_AN)
		|| (PhyMode == WIRELESS_MODE_N_5G) || (PhyMode == WIRELESS_MODE_AC_NA) || (PhyMode == WIRELESS_MODE_AC_N))
	{ // 11N
		//document.getElementById("div_11n").style.visibility = "visible";
		//if (window.ActiveXObject) // IE
		//	document.getElementById("div_11n").style.display = "block";
		//else if (window.XMLHttpRequest)  // Mozilla, Safari,...
		//	document.getElementById("div_11n").style.display = "table";
		document.getElementById("div_11n").style.display = "";
		document.wireless_basic.n_mode.disabled = false;
		document.wireless_basic.n_bandwidth.disabled = false;
		document.wireless_basic.n_rdg.disabled = false;
		document.wireless_basic.n_gi.disabled = false;
		document.wireless_basic.n_mcs.disabled = false;
		document.wireless_basic.n_ldpc.disabled = false;
		if ((PhyMode == WIRELESS_MODE_AC_NA) || (PhyMode == WIRELESS_MODE_AC_N))
		{ // 11AC
			//document.getElementById("div_11vht").style.visibility = "visible";
			//if (window.ActiveXObject) // IE
			//	document.getElementById("div_11vht").style.display = "block";
			//else if (window.XMLHttpRequest)  // Mozilla, Safari,...
			//	document.getElementById("div_11vht").style.display = "table";
			document.getElementById("div_11vht").style.display = "";
			document.wireless_basic.vht_bandwidth.disabled = false;
			document.wireless_basic.vht_stbc.disabled = false;
			document.wireless_basic.vht_sgi.disabled = false;
			document.wireless_basic.vht_bw_signal.disabled = false;
			document.wireless_basic.vht_ldpc.disabled = false;
		}
	}
	var wmode_len = document.wireless_basic.wirelessmode.length;
	var Gband = "<% getRaxGBand(); %>";
	if (Gband == "1")
	{
		document.wireless_basic.wirelessmode.options[wmode_len++] = new Option(mWlanModeBG, "0");
                document.wireless_basic.wirelessmode.options[wmode_len++] = new Option(mWlanModeB, "1");
		document.wireless_basic.wirelessmode.options[wmode_len++] = new Option(mWlanModeG, "4");
		document.wireless_basic.wirelessmode.options[wmode_len++] = new Option(mWlanModeN, "6");
		document.wireless_basic.wirelessmode.options[wmode_len++] = new Option(mWlanModeGN, "7");
                document.wireless_basic.wirelessmode.options[wmode_len++] = new Option(mWlanModeBGN, "9");
		wmode_len = document.wireless_basic.wirelessmode.length;
	}
	var Aband = "<% getRaxABand(); %>";
	if (Aband == "1")
	{
		document.wireless_basic.wirelessmode.options[wmode_len++] = new Option(mWlanModeA, "2");
		document.wireless_basic.wirelessmode.options[wmode_len++] = new Option(mWlanModeAN, "8");
		document.wireless_basic.wirelessmode.options[wmode_len++] = new Option(mWlanModeNABand, "11");
		wmode_len = document.wireless_basic.wirelessmode.length;
	}
	if (AC == "1")
	{
		document.wireless_basic.wirelessmode.options[wmode_len++] = new Option(mWlanModeACNA, "14");
		document.wireless_basic.wirelessmode.options[wmode_len++] = new Option(mWlanModeACN, "15");
		wmode_len = document.wireless_basic.wirelessmode.length;
	}
	for (var i=0; i<wmode_len; i++) {
		if (PhyMode == document.wireless_basic.wirelessmode.options[i].value) {
			document.wireless_basic.wirelessmode.selectedIndex = i;
			break;
		}
		document.wireless_basic.wirelessmode.selectedIndex = 0;
	}
	if ((PhyMode == WIRELESS_MODE_BG) || (PhyMode == WIRELESS_MODE_G) || (PhyMode == WIRELESS_MODE_BGN)
		|| (PhyMode == WIRELESS_MODE_N) || (PhyMode == WIRELESS_MODE_GN))
	{ // 11G
		document.getElementById("div_11g_channel").style.visibility = "visible";
		document.getElementById("div_11g_channel").style.display = style_display_on();
		document.wireless_basic.sz11gChannel.disabled = false;
	}
	else if (PhyMode == WIRELESS_MODE_B)
	{ // 11B
		document.getElementById("div_11b_channel").style.visibility = "visible";
		document.getElementById("div_11b_channel").style.display = style_display_on();
		document.wireless_basic.sz11bChannel.disabled = false;
	}
	else if ((PhyMode == WIRELESS_MODE_A) || (PhyMode == WIRELESS_MODE_AN) || (PhyMode == WIRELESS_MODE_N_5G)
		|| (PhyMode == WIRELESS_MODE_AC_NA) || (PhyMode == WIRELESS_MODE_AC_N))
	{ // 11A
		document.getElementById("div_11a_channel").style.visibility = "visible";
		document.getElementById("div_11a_channel").style.display = style_display_on();
		document.wireless_basic.sz11aChannel.disabled = false;
	}

	for (i=1;i<16;i++)
	{
		var ssid = eval("document.wireless_basic.mssid_"+i+".disabled");
		var div = eval("document.getElementById(\"div_hssid"+i+"\").style");

		div.visibility = "hidden";
		div.display = "none";
		ssid = true;
		document.wireless_basic.hssid[i].disabled = true;
	}

	if (mssidb == "1")
	{
		var num = max_bssid_num;
		for (i=1;i<num;i++)
		{
			var ssid = eval("document.wireless_basic.mssid_"+i+".disabled");
			var div = eval("document.getElementById(\"div_hssid"+i+"\").style");

			div.visibility = "visible";
			div.display = style_display_on();
			ssid = false;
			document.wireless_basic.hssid[i].disabled = false;
		}
	}

	if (HiddenSSID.indexOf("0") >= 0)
	{
		document.wireless_basic.broadcastssid[0].checked = true;
		var HiddenSSIDArray = HiddenSSID.split(";");
		for (i=0;i<BssidNum;i++)
		{
			if (HiddenSSIDArray[i] == "1")
				document.wireless_basic.hssid[i].checked = true;
			else
				document.wireless_basic.hssid[i].checked = false;
		}
	}
	else
	{
		document.wireless_basic.broadcastssid[1].checked = true;
		for (i=0;i<BssidNum;i++)
			document.wireless_basic.hssid[i].checked = true;
	}

	if (APIsolated.indexOf("1") >= 0)
	{
		document.wireless_basic.apisolated[1].checked = true;
		var APIsolatedArray = APIsolated.split(";");
		for (i=0;i<BssidNum;i++)
		{
			if (APIsolatedArray[i] == "1")
				document.wireless_basic.isolated_ssid[i].checked = true;
			else
				document.wireless_basic.isolated_ssid[i].checked = false;
		}
	}
	else
	{
		document.wireless_basic.apisolated[0].checked = true;
		for (i=0;i<BssidNum;i++)
			document.wireless_basic.isolated_ssid[i].checked = false;
	}

	if (1*ht_bw == 0)
	{
		document.wireless_basic.n_bandwidth[0].checked = true;
		document.getElementById("extension_channel").style.visibility = "hidden";
		document.getElementById("extension_channel").style.display = "none";
		document.wireless_basic.n_extcha.disabled = true;
	}
	else
	{
		document.wireless_basic.n_bandwidth[1].checked = true;
		document.getElementById("extension_channel").style.visibility = "visible";
		document.getElementById("extension_channel").style.display = style_display_on();
		document.wireless_basic.n_extcha.disabled = false;
	}
	if (AC == "1")
		changeVHTBW();

	ChIdx = 1*ChIdx;

	if ((PhyMode == WIRELESS_MODE_BG) || (PhyMode == WIRELESS_MODE_G) || (PhyMode == WIRELESS_MODE_N) 
		|| (PhyMode == WIRELESS_MODE_GN) || (PhyMode == WIRELESS_MODE_BGN))
	{ // 2.4G
		if (CntyRegion == '0' && (ChIdx < 1 || ChIdx > 11)) // region 0: 1~11
			document.wireless_basic.sz11gChannel.options.selectedIndex = 0;
		else if (CntyRegion == '1' && (ChIdx < 1 || ChIdx > 13)) // region 1: 1~13
			document.wireless_basic.sz11gChannel.options.selectedIndex = 0;
		else if (CntyRegion == '2' && (ChIdx < 10 || ChIdx > 11)) // region 2: 10~11
			document.wireless_basic.sz11gChannel.options.selectedIndex = 0;
		else if (CntyRegion == '3' && (ChIdx < 10 || ChIdx > 13)) // region 3: 10~13
			document.wireless_basic.sz11gChannel.options.selectedIndex = 0;
		else if (CntyRegion == '4' && (ChIdx != 14)) // region 4: 14
			document.wireless_basic.sz11gChannel.options.selectedIndex = 0;
		else if (CntyRegion == '5' && (ChIdx < 1 || ChIdx > 14)) // region 5: 1~14
			document.wireless_basic.sz11gChannel.options.selectedIndex = 0;
		else if (CntyRegion == '6' && (ChIdx < 3 || ChIdx > 9)) // region 6: 3~9
			document.wireless_basic.sz11gChannel.options.selectedIndex = 0;
		else if (CntyRegion == '7' && (ChIdx < 5 || ChIdx > 13)) // region 7: 5~13
			document.wireless_basic.sz11gChannel.options.selectedIndex = 0;
		else {
			if (ChIdx < 1 || ChIdx > 14)
				document.wireless_basic.sz11gChannel.options.selectedIndex = 0;
		}
	}
	else if (PhyMode == WIRELESS_MODE_B)
	{ // 2.4G 11B
		if (CntyRegion == '0' && (ChIdx < 1 || ChIdx > 11)) // region 0: 1~11
			document.wireless_basic.sz11bChannel.options.selectedIndex = 0;
		else if (CntyRegion == '1' && (ChIdx < 1 || ChIdx > 13)) // region 1: 1~13
			document.wireless_basic.sz11bChannel.options.selectedIndex = 0;
		else if (CntyRegion == '2' && (ChIdx < 10 || ChIdx > 11)) // region 2: 10~11
			document.wireless_basic.sz11bChannel.options.selectedIndex = 0;
		else if (CntyRegion == '3' && (ChIdx < 10 || ChIdx > 13)) // region 3: 10~13
			document.wireless_basic.sz11bChannel.options.selectedIndex = 0;
		else if (CntyRegion == '4' && (ChIdx != 14)) // region 4: 14
			document.wireless_basic.sz11bChannel.options.selectedIndex = 0;
		else if (CntyRegion == '5' && (ChIdx < 1 || ChIdx > 14)) // region 5: 1~14
			document.wireless_basic.sz11bChannel.options.selectedIndex = 0;
		else if (CntyRegion == '6' && (ChIdx < 3 || ChIdx > 9)) // region 6: 3~9
			document.wireless_basic.sz11bChannel.options.selectedIndex = 0;
		else if (CntyRegion == '7' && (ChIdx < 5 || ChIdx > 13)) // region 7: 5~13
			document.wireless_basic.sz11bChannel.options.selectedIndex = 0;
		else {
			if (ChIdx < 1 || ChIdx > 14)
				document.wireless_basic.sz11bChannel.options.selectedIndex = 0;
		}
	}
	else if ((PhyMode == WIRELESS_MODE_A) || (PhyMode == WIRELESS_MODE_AN) || (PhyMode == WIRELESS_MODE_N_5G)
		|| (PhyMode == WIRELESS_MODE_AC_NA) || (PhyMode == WIRELESS_MODE_AC_N))
	{ // 5G
		if (CntyRegionA == '0' && (ChIdx < 36 || (ChIdx > 64 && ChIdx < 149) || ChIdx > 165))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '1' && (ChIdx < 36 || (ChIdx > 64 && ChIdx < 100) || ChIdx > 140))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '2' && (ChIdx < 36 || ChIdx > 64))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '3' && (ChIdx < 52 || (ChIdx > 64 && ChIdx < 149) || ChIdx > 161))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '4' && (ChIdx < 149 || ChIdx > 165))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '5' && (ChIdx < 149 || ChIdx > 161))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '6' && (ChIdx < 36 || ChIdx > 48))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '7' && (ChIdx < 36 || (ChIdx > 64 && ChIdx < 100) || (ChIdx > 140 && ChIdx < 149) || ChIdx > 173))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '8' && (ChIdx < 52 || ChIdx > 64))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '9' && (ChIdx < 36 || (ChIdx > 64 && ChIdx < 100) || (ChIdx > 116 && ChIdx < 132) || (ChIdx > 140 && ChIdx < 149) || ChIdx > 165))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '10' && (ChIdx < 36 || (ChIdx > 48 && ChIdx < 149) || ChIdx > 165))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '11' && (ChIdx < 36 || (ChIdx > 64 && ChIdx < 100) || (ChIdx > 120 && ChIdx < 149) || ChIdx > 161))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '12' && (ChIdx < 36 || (ChIdx > 64 && ChIdx < 100) || ChIdx > 140))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '13' && (ChIdx < 52 || (ChIdx > 64 && ChIdx < 100) || (ChIdx > 140 && ChIdx < 149) || ChIdx > 161))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '14' && (ChIdx < 36 || (ChIdx > 64 && ChIdx < 100) || (ChIdx > 116 && ChIdx < 136) || (ChIdx > 140 && ChIdx < 149)|| ChIdx > 165))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '15' && (ChIdx < 149 || ChIdx > 173))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '16' && (ChIdx < 52 || (ChIdx > 64 && ChIdx < 149) || ChIdx > 165))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '17' && (ChIdx < 36 || (ChIdx > 48 && ChIdx < 149) || ChIdx > 161))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '18' && (ChIdx < 36 || (ChIdx > 64 && ChIdx < 100) || (ChIdx > 116 && ChIdx < 132) || ChIdx > 140))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '19' && (ChIdx < 56 || (ChIdx > 64 && ChIdx < 100) || (ChIdx > 140 && ChIdx < 149) || ChIdx > 161))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '20' && (ChIdx < 36 || (ChIdx > 64 && ChIdx < 100) || (ChIdx > 124 && ChIdx < 149) || ChIdx > 161))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else if (CntyRegionA == '20' && (ChIdx < 36 || (ChIdx > 64 && ChIdx < 100) || (ChIdx > 140 && ChIdx < 149) || ChIdx > 161))
			document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		else {
			if (ChIdx < 36 || (ChIdx > 64 && ChIdx < 100) || (ChIdx > 140 && ChIdx < 149) || ChIdx > 173)
				document.wireless_basic.sz11aChannel.options.selectedIndex = 0;
		}
	}

	//ABG Rate
	if ((PhyMode == WIRELESS_MODE_BG) || (PhyMode == WIRELESS_MODE_A) || (PhyMode == WIRELESS_MODE_G))
	{
		document.wireless_basic.abg_rate.options.length = 0;
		document.wireless_basic.abg_rate.options[0] = new Option(mWlanAuto, "0");
		document.wireless_basic.abg_rate.options[1] = new Option("1 Mbps", "1");
		document.wireless_basic.abg_rate.options[2] = new Option("2 Mbps", "2");
		document.wireless_basic.abg_rate.options[3] = new Option("5.5 Mbps", "5");
		document.wireless_basic.abg_rate.options[4] = new Option("6 Mbps", "6");
		document.wireless_basic.abg_rate.options[5] = new Option("9 Mbps", "9");
		document.wireless_basic.abg_rate.options[6] = new Option("11 Mbps", "11");
		document.wireless_basic.abg_rate.options[7] = new Option("12 Mbps", "12");
		document.wireless_basic.abg_rate.options[8] = new Option("18 Mbps", "18");
		document.wireless_basic.abg_rate.options[9] = new Option("24 Mbps", "24");
		document.wireless_basic.abg_rate.options[10] = new Option("36 Mbps", "36");
		document.wireless_basic.abg_rate.options[11] = new Option("48 Mbps", "48");
		document.wireless_basic.abg_rate.options[12] = new Option("54 Mbps", "54");
		if (fxtxmode == "CCK" || fxtxmode == "cck") {
			if (ht_mcs.indexOf("33") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 0;
			else if (ht_mcs.indexOf("0") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 1;
			else if (ht_mcs.indexOf("1") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 2;
			else if (ht_mcs.indexOf("2") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 3;
			else if (ht_mcs.indexOf("3") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 6;
		}
		else {
			if (ht_mcs.indexOf("33") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 0;
			else if (ht_mcs.indexOf("0") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 4;
			else if (ht_mcs.indexOf("1") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 5;
			else if (ht_mcs.indexOf("2") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 7;
			else if (ht_mcs.indexOf("3") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 8;
			else if (ht_mcs.indexOf("4") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 9;
			else if (ht_mcs.indexOf("5") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 10;
			else if (ht_mcs.indexOf("6") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 11;
			else if (ht_mcs.indexOf("7") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 12;
		}
	}
	else if (PhyMode == WIRELESS_MODE_B)
	{
		document.wireless_basic.abg_rate.options.length = 0;
		document.wireless_basic.abg_rate.options[0] = new Option(mWlanAuto, "0");
		document.wireless_basic.abg_rate.options[1] = new Option("1 Mbps", "1");
		document.wireless_basic.abg_rate.options[2] = new Option("2 Mbps", "2");
		document.wireless_basic.abg_rate.options[3] = new Option("5.5 Mbps", "5");
		document.wireless_basic.abg_rate.options[4] = new Option("11 Mbps", "11");
		if (ht_mcs.indexOf("33") == 0)
			document.wireless_basic.abg_rate.options.selectedIndex = 0;
		else if (ht_mcs.indexOf("0") == 0)
			document.wireless_basic.abg_rate.options.selectedIndex = 1;
		else if (ht_mcs.indexOf("1") == 0)
			document.wireless_basic.abg_rate.options.selectedIndex = 2;
		else if (ht_mcs.indexOf("2") == 0)
			document.wireless_basic.abg_rate.options.selectedIndex = 3;
		else if (ht_mcs.indexOf("3") == 0)
			document.wireless_basic.abg_rate.options.selectedIndex = 4;
	}
	else
	{
		document.getElementById("div_abg_rate").style.visibility = "hidden";
		document.getElementById("div_abg_rate").style.display = "none";
		document.wireless_basic.abg_rate.disabled = true;
	}

	document.getElementById("div_mbssidapisolated").style.visibility = "hidden";
	document.getElementById("div_mbssidapisolated").style.display = "none";
	document.wireless_basic.mbssidapisolated.disabled = true;
	if (mssidb == "1" && max_bssid_num > 1)
	{
		document.getElementById("div_mbssidapisolated").style.visibility = "visible";
		document.getElementById("div_mbssidapisolated").style.display = style_display_on();
		document.wireless_basic.mbssidapisolated.disabled = false;
		if (mbssidapisolated == "1")
			document.wireless_basic.mbssidapisolated[1].checked = true;
		else
			document.wireless_basic.mbssidapisolated[0].checked = true;
	}

	InsExtChOpt();

	if (1*ht_stbc == 0)
	{
		document.wireless_basic.n_stbc[0].checked = true;
	}
	else
	{
		document.wireless_basic.n_stbc[1].checked = true;
	}

	if (1*ht_mode == 0)
	{
		document.wireless_basic.n_mode[0].checked = true;
	}
	else if (1*ht_mode == 1)
	{
		document.wireless_basic.n_mode[1].checked = true;
	}

	else if (1*ht_mode == 2)
	{
		document.wireless_basic.n_mode[2].checked = true;
	}

	if (1*ht_gi == 0)
	{
		document.wireless_basic.n_gi[0].checked = true;
	}
	else if (1*ht_gi == 1)
	{
		document.wireless_basic.n_gi[1].checked = true;
	}
	else if (1*ht_gi == 2)
	{
		document.wireless_basic.n_gi[2].checked = true;
	}

	if (1*ht_rdg == 0)
		document.wireless_basic.n_rdg[0].checked = true;
	else
		document.wireless_basic.n_rdg[1].checked = true;

	var OptLen = document.wireless_basic.n_extcha.options.length;

	if (1*ht_extcha == 0)
	{
		if (OptLen > 1)
			document.wireless_basic.n_extcha.options.selectedIndex = 0;
	}
	else if (1*ht_extcha == 1)
	{
		if (OptLen > 1)
			document.wireless_basic.n_extcha.options.selectedIndex = 1;
	}
	else
	{
		document.wireless_basic.n_extcha.options.selectedIndex = 0;
	}

	if ((PhyMode == WIRELESS_MODE_N) || (PhyMode == WIRELESS_MODE_N_5G) || (PhyMode == WIRELESS_MODE_AC_NA) || (PhyMode == WIRELESS_MODE_AC_N))
	{
		if (document.wireless_basic.sz11aChannel.options.selectedIndex == 0)
		{
			document.getElementById("extension_channel").style.visibility = "hidden";
			document.getElementById("extension_channel").style.display = "none";
			document.wireless_basic.n_extcha.disabled = true;
		}
	}
	else if ((PhyMode == WIRELESS_MODE_BGN) || (PhyMode == WIRELESS_MODE_N) || (PhyMode == WIRELESS_MODE_GN))
	{
		if (document.wireless_basic.sz11gChannel.options.selectedIndex == 0)
		{
			document.getElementById("extension_channel").style.visibility = "hidden";
			document.getElementById("extension_channel").style.display = "none";
			document.wireless_basic.n_extcha.disabled = true;
		}
	}

	if (1*ht_amsdu == 0)
		document.wireless_basic.n_amsdu[0].checked = true;
	else
		document.wireless_basic.n_amsdu[1].checked = true;

	if (1*ht_autoba == 0)
		document.wireless_basic.n_autoba[0].checked = true;
	else
		document.wireless_basic.n_autoba[1].checked = true;

	if (1*ht_badecline == 0)
		document.wireless_basic.n_badecline[0].checked = true;
	else
		document.wireless_basic.n_badecline[1].checked = true;

	if (1*ht_disallow_tkip == 1)
		document.wireless_basic.n_disallow_tkip[1].checked = true;
	else
		document.wireless_basic.n_disallow_tkip[0].checked = true;

	if (1*draft3b == 1)
	{
		document.getElementById("div_2040_coexit").style.display = style_display_on();
		document.wireless_basic.n_2040_coexit.disabled = false;
		if (1*ht_2040_coexit == 0)
			document.wireless_basic.n_2040_coexit[0].checked = true;
		else
			document.wireless_basic.n_2040_coexit[1].checked = true;
	}
	if (1*ht_ldpc == 0)
		document.wireless_basic.n_ldpc[0].checked = true;
	else
		document.wireless_basic.n_ldpc[1].checked = true;
	if (AC == "1")
	{
		if (1*vht_stbc == 1)
		{
			document.wireless_basic.vht_stbc[1].checked = true;
		}
		else
		{
			document.wireless_basic.vht_stbc[0].checked = true;
		}
		if (1*vht_sgi == 1)
		{
			document.wireless_basic.vht_sgi[1].checked = true;
		}
		else
		{
			document.wireless_basic.vht_sgi[0].checked = true;
		}
		if (1*vht_bw_signal == 2)
		{
			document.wireless_basic.vht_bw_signal[2].checked = true;
		}
		else if (1*vht_bw_signal == 1)
		{
			document.wireless_basic.vht_bw_signal[1].checked = true;
		}
		else
		{
			document.wireless_basic.vht_bw_signal[0].checked = true;
		}
		if (1*vht_ldpc == 1)
		{
			document.wireless_basic.vht_ldpc[1].checked = true;
		}
		else
		{
			document.wireless_basic.vht_ldpc[0].checked = true;
		}
	}

	if (1*mesh_include == 1 && 1*apcli_include == 1)
	{
		document.wireless_basic.mssid_6.disabled = true;
		document.wireless_basic.mssid_7.disabled = true;
	}
	else if (1*mesh_include == 1 || 1*apcli_include == 1)
		document.wireless_basic.mssid_7.disabled = true;

	changeHTStream(PhyMode);

	changeMCSoptions(PhyMode);

	if (1*radio_off == 1) {
		//document.wireless_basic.radioButton.value = ("wireless on");
		document.wireless_basic.radiohiddenButton[0].checked = true;
		document.getElementById("div_radio_off").style.visibility = "";
		document.getElementById("div_radio_off").style.display = "";
		//document.wireless_basic.scanChannela.disabled = true;
		document.wireless_basic.scanChannelb.disabled = true;
		document.wireless_basic.scanChannelg.disabled = true;
	}
	else {
		//document.wireless_basic.radioButton.value = ("wireless off");
		document.wireless_basic.radiohiddenButton[1].checked = true;
	}
	if (1*wifi_off == 1) {
		//document.wireless_basic.WiFiButton.value = "WiFi ON";
		document.wireless_basic.wifihiddenButton[0].checked = true;
	}
	else {
		//document.wireless_basic.WiFiButton.value = "WiFi OFF";
		document.wireless_basic.wifihiddenButton[1].checked = true;
	}
}

function wirelessModeChange()
{
	var wmode;
   
	document.getElementById("div_11a_channel").style.visibility = "hidden";
	document.getElementById("div_11a_channel").style.display = "none";
	document.wireless_basic.sz11aChannel.disabled = true;
	document.getElementById("div_11b_channel").style.visibility = "hidden";
	document.getElementById("div_11b_channel").style.display = "none";
	document.wireless_basic.sz11bChannel.disabled = true;
	document.getElementById("div_11g_channel").style.visibility = "hidden";
	document.getElementById("div_11g_channel").style.display = "none";
	document.wireless_basic.sz11gChannel.disabled = true;
	document.getElementById("div_abg_rate").style.visibility = "hidden";
	document.getElementById("div_abg_rate").style.display = "none";
	document.wireless_basic.abg_rate.disabled = true;
	document.getElementById("div_11n").style.display = "none";
	document.wireless_basic.n_mode.disabled = true;
	document.wireless_basic.n_bandwidth.disabled = true;
	document.wireless_basic.n_rdg.disabled = true;
	document.wireless_basic.n_gi.disabled = true;
	document.wireless_basic.n_mcs.disabled = true;
	document.wireless_basic.n_ldpc.disabled = true;
	//document.getElementById("div_11vht").style.visibility = "hidden";
	document.getElementById("div_11vht").style.display = "none";
	document.wireless_basic.vht_bandwidth.disabled = true;
	document.wireless_basic.vht_stbc.disabled = true;
	document.wireless_basic.vht_sgi.disabled = true;
	document.wireless_basic.vht_bw_signal.disabled = true;
	document.wireless_basic.vht_ldpc.disabled = true;

	wmode = document.wireless_basic.wirelessmode.options[document.wireless_basic.wirelessmode.selectedIndex].value;

	//wmode = 1*wmode;
	if ((wmode == WIRELESS_MODE_BG) || (wmode == WIRELESS_MODE_G))
	{
		document.getElementById("div_11g_channel").style.visibility = "visible";
		document.getElementById("div_11g_channel").style.display = style_display_on();
		document.wireless_basic.sz11gChannel.disabled = false;
	}
	else if (wmode == WIRELESS_MODE_B)
	{
		document.getElementById("div_11b_channel").style.visibility = "visible";
		document.getElementById("div_11b_channel").style.display = style_display_on();
		document.wireless_basic.sz11bChannel.disabled = false;
	}
	else if (wmode == WIRELESS_MODE_A)
	{
		document.getElementById("div_11a_channel").style.visibility = "visible";
		document.getElementById("div_11a_channel").style.display = style_display_on();
		document.wireless_basic.sz11aChannel.disabled = false;
	}
	else if ((wmode == WIRELESS_MODE_AN) || (wmode == WIRELESS_MODE_N_5G)  || (wmode == WIRELESS_MODE_AC_NA) || (wmode == WIRELESS_MODE_AC_N))
	{
		document.getElementById("div_11a_channel").style.visibility = "visible";
		document.getElementById("div_11a_channel").style.display = style_display_on();
		document.wireless_basic.sz11aChannel.disabled = false;
		//document.getElementById("div_11n").style.visibility = "visible";
		//if (window.ActiveXObject) // IE
		//	document.getElementById("div_11n").style.display = "block";
		//else if (window.XMLHttpRequest)  // Mozilla, Safari,...
		//	document.getElementById("div_11n").style.display = "table";
		document.getElementById("div_11n").style.display = "";
		document.wireless_basic.n_mode.disabled = false;
		document.wireless_basic.n_bandwidth.disabled = false;
		document.wireless_basic.n_rdg.disabled = false;
		document.wireless_basic.n_gi.disabled = false;
		document.wireless_basic.n_mcs.disabled = false;
		document.wireless_basic.n_ldpc.disabled = false;
		changeHTStream(wmode);
		changeMCSoptions(wmode);
		if ((wmode == WIRELESS_MODE_AC_NA) || (wmode == WIRELESS_MODE_AC_N))
		{
			//document.getElementById("div_11vht").style.visibility = "visible";
			//if (window.ActiveXObject) // IE
			//	document.getElementById("div_11vht").style.display = "block";
			//else if (window.XMLHttpRequest)  // Mozilla, Safari,...
			//	document.getElementById("div_11vht").style.display = "table";
			document.getElementById("div_11vht").style.display = "";
			document.wireless_basic.vht_bandwidth.disabled = false;
			document.wireless_basic.vht_stbc.disabled = false;
			document.wireless_basic.vht_sgi.disabled = false;
			document.wireless_basic.vht_bw_signal.disabled = false;
			document.wireless_basic.vht_ldpc.disabled = false;
		}
		changeVHTBW();

		if (document.wireless_basic.sz11aChannel.options.selectedIndex == 0)
		{
			document.getElementById("extension_channel").style.visibility = "hidden";
			document.getElementById("extension_channel").style.display = "none";
			document.wireless_basic.n_extcha.disabled = true;
		}

		InsExtChOpt();
	}
	else if ((wmode == WIRELESS_MODE_BGN) || (wmode == WIRELESS_MODE_N) || (wmode == WIRELESS_MODE_GN))
	{
		document.getElementById("div_11g_channel").style.visibility = "visible";
		document.getElementById("div_11g_channel").style.display = style_display_on();
		document.wireless_basic.sz11gChannel.disabled = false;
		//document.getElementById("div_11n").style.visibility = "visible";
		//if (window.ActiveXObject) // IE
		//	document.getElementById("div_11n").style.display = "block";
		//else if (window.XMLHttpRequest)  // Mozilla, Safari,...
		//	document.getElementById("div_11n").style.display = "table";
		document.getElementById("div_11n").style.display = "";
		document.wireless_basic.n_mode.disabled = false;
		document.wireless_basic.n_bandwidth.disabled = false;
		document.wireless_basic.n_rdg.disabled = false;
		document.wireless_basic.n_gi.disabled = false;
		document.wireless_basic.n_mcs.disabled = false;
		document.wireless_basic.n_ldpc.disabled = false;
		changeHTStream(wmode);
		changeMCSoptions(wmode);
		changeVHTBW();

		if (document.wireless_basic.sz11gChannel.options.selectedIndex == 0)
		{
			document.getElementById("extension_channel").style.visibility = "hidden";
			document.getElementById("extension_channel").style.display = "none";
			document.wireless_basic.n_extcha.disabled = true;
		}

		InsExtChOpt();
	}

	//ABG Rate
	if ((wmode == WIRELESS_MODE_BG) || (wmode == WIRELESS_MODE_G) || (wmode == WIRELESS_MODE_A))
	{
		document.wireless_basic.abg_rate.options.length = 0;
		document.wireless_basic.abg_rate.options[0] = new Option(mWlanAuto, "0");
		document.wireless_basic.abg_rate.options[1] = new Option("1 Mbps", "1");
		document.wireless_basic.abg_rate.options[2] = new Option("2 Mbps", "2");
		document.wireless_basic.abg_rate.options[3] = new Option("5.5 Mbps", "5");
		document.wireless_basic.abg_rate.options[4] = new Option("6 Mbps", "6");
		document.wireless_basic.abg_rate.options[5] = new Option("9 Mbps", "9");
		document.wireless_basic.abg_rate.options[6] = new Option("11 Mbps", "11");
		document.wireless_basic.abg_rate.options[7] = new Option("12 Mbps", "12");
		document.wireless_basic.abg_rate.options[8] = new Option("18 Mbps", "18");
		document.wireless_basic.abg_rate.options[9] = new Option("24 Mbps", "24");
		document.wireless_basic.abg_rate.options[10] = new Option("36 Mbps", "36");
		document.wireless_basic.abg_rate.options[11] = new Option("48 Mbps", "48");
		document.wireless_basic.abg_rate.options[12] = new Option("54 Mbps", "54");
		if (fxtxmode == "CCK" || fxtxmode == "cck") {
			if (ht_mcs.indexOf("33") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 0;
			else if (ht_mcs.indexOf("0") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 1;
			else if (ht_mcs.indexOf("1") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 2;
			else if (ht_mcs.indexOf("2") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 3;
			else if (ht_mcs.indexOf("3") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 6;
		}
		else {
			if (ht_mcs.indexOf("33") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 0;
			else if (ht_mcs.indexOf("0") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 4;
			else if (ht_mcs.indexOf("1") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 5;
			else if (ht_mcs.indexOf("2") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 7;
			else if (ht_mcs.indexOf("3") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 8;
			else if (ht_mcs.indexOf("4") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 9;
			else if (ht_mcs.indexOf("5") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 10;
			else if (ht_mcs.indexOf("6") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 11;
			else if (ht_mcs.indexOf("7") == 0)
				document.wireless_basic.abg_rate.options.selectedIndex = 12;
		}

		document.getElementById("div_abg_rate").style.visibility = "visible";
		document.getElementById("div_abg_rate").style.display = style_display_on();
		document.wireless_basic.abg_rate.disabled = false;
	}
	else if (wmode == WIRELESS_MODE_B)
	{
		document.wireless_basic.abg_rate.options.length = 0;
		document.wireless_basic.abg_rate.options[0] = new Option(mWlanAuto, "0");
		document.wireless_basic.abg_rate.options[1] = new Option("1 Mbps", "1");
		document.wireless_basic.abg_rate.options[2] = new Option("2 Mbps", "2");
		document.wireless_basic.abg_rate.options[3] = new Option("5.5 Mbps", "5");
		document.wireless_basic.abg_rate.options[4] = new Option("11 Mbps", "11");
		if (ht_mcs.indexOf("33") == 0)
			document.wireless_basic.abg_rate.options.selectedIndex = 0;
		else if (ht_mcs.indexOf("0") == 0)
			document.wireless_basic.abg_rate.options.selectedIndex = 1;
		else if (ht_mcs.indexOf("1") == 0)
			document.wireless_basic.abg_rate.options.selectedIndex = 2;
		else if (ht_mcs.indexOf("2") == 0)
			document.wireless_basic.abg_rate.options.selectedIndex = 3;
		else if (ht_mcs.indexOf("3") == 0)
			document.wireless_basic.abg_rate.options.selectedIndex = 4;

		document.getElementById("div_abg_rate").style.visibility = "visible";
		document.getElementById("div_abg_rate").style.display = style_display_on();
		document.wireless_basic.abg_rate.disabled = false;
	}
}

function switch_hidden_ssid()
{
	var BssidNum = 1*'<% getCfgGeneral(1, "BssidNum"); %>';

	if (document.wireless_basic.broadcastssid[0].checked == true)
		for (i=0;i<BssidNum;i++)
			document.wireless_basic.hssid[i].checked = false;
	else
		for (i=0;i<BssidNum;i++)
			document.wireless_basic.hssid[i].checked = true;
}

function switch_isolated_ssid()
{
	var BssidNum = 1*'<% getCfgGeneral(1, "BssidNum"); %>';

	if (document.wireless_basic.apisolated[1].checked == true)
		for (i=0;i<BssidNum;i++)
			document.wireless_basic.isolated_ssid[i].checked = true;
	else
		for (i=0;i<BssidNum;i++)
			document.wireless_basic.isolated_ssid[i].checked = false;
}

function CheckValue()
{
	var wireless_mode;
	var submit_ssid_num;
	var Ch11aIdx;

	if (document.wireless_basic.mssid_0.value == "")
	{
		alert(mAlertSSID);
		document.wireless_basic.mssid_0.focus();
		document.wireless_basic.mssid_0.select();
		return false;
	}

	var wpsenable = "<% getCfgZero(1, "WscModeOption"); %>";
	if (wpsenable != "0" && document.wireless_basic.hssid[0].checked == true)
		alert("WPS feature is going to turn off because of disabled broadcasting of SSID");

	submit_ssid_num = 1;

	for (i = 1; i < max_bssid_num; i++)
	{
		if (eval("document.wireless_basic.mssid_"+i).value != "")
		{
			if (i > 5)
			{
				if (1*mesh_include == 1 && 1*apcli_include == 1)
					break;
				else if (i == (max_bssid_num - 1))
					if (1*mesh_include == 1 || 1*apcli_include == 1)
						break;
			}
			submit_ssid_num++;
		}
	}

	for (i=0; i<max_bssid_num; i++) {
		var objId = "sta_num_"+i;
		var obj = document.getElementById(objId);

		if (obj.value != "") {
			if (isNaN(obj.value) || parseInt(obj.value) < 0
				|| parseInt(obj.value) > 255 || (obj.value).indexOf(".") != -1 ) {
				alert(mWlanStaNum + mAlertInvalid);
				obj.focus();
				obj.select();
				return false;
			}
		}
	}

	document.wireless_basic.bssid_num.value = submit_ssid_num;
	return true;
}

function RadioStatusChange(rs)
{
	if (rs == 1) {
		document.wireless_basic.radioButton.value = "RADIO OFF";
		document.wireless_basic.radiohiddenButton.value = 0;
	}
	else {
		document.wireless_basic.radioButton.value = "RADIO ON";
		document.wireless_basic.radiohiddenButton.value = 1;
	}
}

function WiFiStatusChange(rs)
{
	if (rs == 1) {
		document.wireless_basic.WiFiButton.value = "WiFi OFF";
		document.wireless_basic.wifihiddenButton.value = 0;
	}
	else {
		document.wireless_basic.WiFiButton.value = "WiFi ON";
		document.wireless_basic.wifihiddenButton.value = 1;
	}
}

function showChannelList()
{   
	window.open("channel_SmartSta.asp", "channel_Smart_Statistics", "toolbar=no, location=yes, scrollbars=yes, resizable=no, width=screen.availWidth,height=screen.availHeight");
}

</script>
</head>


<body onLoad="initValue();">

<script language="javascript" type="text/javascript" >
	writeWebsHeader_M(menuWireless.basic, "/m/wireless/menu_wl.asp");
</script> 

<!-- help div  -->
<div id="help" class="help">
<script>htitle("htitle");</script>
<div class="hcontent">
  <div>
  <table cellPadding="3" cellSpacing="0">
  <tr><td class="help-item"><script>putmsg(mWlanBasicSet);</script></td></tr>
  <tr><td><script>putmsg(mIntroWlanBasic);</script></td></tr>
  <tr class="helpHr"><td><hr/></td></tr>
 
  <tr><td class="help-item"><script>putmsg(mWlanNet);</script></td></tr>
  <tr><td><script>putmsg(mIntroWlanNet);</script></td></tr>
  <tr class="helpHr"><td><hr/></td></tr>
      
  <tr><td class="help-item"><script>putmsg(mWlanNetMode);</script></td></tr>
  <tr><td><script>putmsg(mIntroWlanNetMode);</script></td></tr>
  <tr class="helpHr"><td><hr/></td></tr>
      
  <tr><td class="help-item"><script>putmsg(mWlanSsid);</script></td></tr>
  <tr><td><script>putmsg(mIntroWlanSsid);</script></td></tr>
  <tr class="helpHr"><td><hr/></td></tr>

  <tr><td class="help-item"><script>putmsg(mWlanSsidHide);</script></td></tr>
  <tr><td><script>putmsg(mIntroWlanSsidHide);</script></td></tr>
  <tr class="helpHr"><td><hr/></td></tr>

  <tr><td class="help-item"><script>putmsg(mWlanStaNum);</script></td></tr>
  <tr><td><script>putmsg(mIntroWlanStaNum);</script></td></tr>
  <tr class="helpHr"><td><hr/></td></tr>

  <tr><td class="help-item"><script>putmsg(mWlanChannel);</script></td></tr>
  <tr><td><script>putmsg(mIntroWlanChannel);</script></td></tr>
  </table>
  </div>
  <script>hclose("hclose");</script>
</div>
</div>

<div style="text-align:right; border-left-style:none;">
    <a href="#" onclick="showHelp();return false;" onfocus="this.blur();" id="btnHelp" class="ahelp"><script>document.writeln(mHelp);</script></a>
</div>
<!-- help div end -->
<div class="body_div">
<table class="body" cellSpacing="0" cellPadding="0">
<tbody>
<tr>
  <td class="left-blank">&nbsp;</td>
  <td class="left" align="center" valign="top">
  <script>writeReboot(rb);</script>
  <br />
  
<form method="post" name="wireless_basic" action="/goform/wirelessBasic" onSubmit="return CheckValue();">
<fieldset align="center" style="width:95%;"> 
<legend><script>putmsg(mLegendWlanBasic);</script></legend>  
<input type="hidden" name="nextPage" value="m/wireless/basic.asp">
<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3" id="div_radio_off" style="visibility:hidden;display:none;">
  <tr>
    <td><b style="color:red;"><script>putmsg(mWarning);</script>:</b><span style="color:red;"><script>putmsg(mAlertRadioOff);</script></span></td>
  </tr>
</table>

<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
<tbody>
  <tr>
    <td width="45%">&nbsp;<input type="hidden" name="bssid_num" value="1"></td>
    <td width="55%">&nbsp;</td>
  </tr>
  <tr> 
    <td class="head" id="aboutDriverVersion"><script>putmsg(mWlanDriverVer);</script>:</td>
    <td><span class="comment"><% getAPDriverVer(); %></span></td>
  </tr>
  <tr> 
    <td class="head"><script>putmsg(mInetMac);</script>(BSSID):</td>
    <td><span class="comment"><% getWlanCurrentMac(); %></span></td>
  </tr>
  <tr> 
    <td class="head" id="basicRadioButton"><script>putmsg(mWlanNet);</script>:</td>
    <td>
      <input type="radio" name="radiohiddenButton" value="0"><script>putmsg(mRadioOff);</script>&nbsp;&nbsp;
      <input type="radio" name="radiohiddenButton" value="1"><script>putmsg(mRadioOn);</script>
    </td>
  </tr>
  <tr style="display:none;visibility:hidden;"> 
    <td class="head" id="basicWiFiButton"><script>putmsg(mWlanWiFi);</script>:</td>
    <td>
      <input type="radio" name="wifihiddenButton" value="0"><script>putmsg(mRadioOff);</script>&nbsp;&nbsp;
      <input type="radio" name="wifihiddenButton" value="1"><script>putmsg(mRadioOn);</script>
    </td>
  </tr>
  <tr> 
    <td class="head" id="basicNetMode"><script>putmsg(mWlanNetMode);</script>:</td>
    <td>
      <select name="wirelessmode" id="wirelessmode" size="1" style="width:132px;" onChange="wirelessModeChange()">
        <!--
        <option value=0>11b/g mixed mode</option>
        <option value=1>11b only</option>
        <option value=4>11g only</option>
        <option value=9>11b/g/n mixed mode</option>
	    <option value=6>11n only(2.4G)</option>
	    -->
      </select>
    </td>
  </tr>
  <tr> 
    <td class="head" id="basicSSID" valign="top"><script>putmsg(mWlanSsid);</script>(SSID):</td>
    <td>
      <input type="text" name="mssid_0" id="mssid_0" size="20" maxlength="31" value="<% getCfgToHTML(1, "SSID1"); %>"><br />
      <script>putmsg(mWlanHssid);</script><input type="checkbox" name="hssid" value="0">&nbsp;&nbsp;
      <script>putmsg(mWlanIsolated);</script><input type="checkbox" name="isolated_ssid" value="0"><br />
      <script>putmsg(mWlanStaNum);</script>
      <input type="text" name="sta_num_0" id="sta_num_0" size="4" maxlength="3" value="<% getCfgNthZero(1, "MaxStaNum", 0); %>">
      <span class="comment">&nbsp;(0~255)</span>
    </td>
  </tr>
  <tr id="div_hssid1" style="display:none;visibility:hidden;"> 
    <td class="head" valign="top"><script>putmsg(mWlanSsid);</script> 2:&nbsp;</td>
    <td>
      <input type="text" name="mssid_1" id="mssid_1" size="20" maxlength="31" value="<% getCfgToHTML(1, "SSID2"); %>"><br />
      <script>putmsg(mWlanHssid);</script><input type="checkbox" name="hssid" value="1">&nbsp;&nbsp;
      <script>putmsg(mWlanIsolated);</script><input type="checkbox" name="isolated_ssid" value="1"><br />
      <script>putmsg(mWlanStaNum);</script>
      <input type="text" name="sta_num_1" id="sta_num_1" size="4" maxlength="3" value="<% getCfgNthZero(1, "MaxStaNum", 1); %>">
      <span class="comment">&nbsp;(0~255)</span>
    </td>
  </tr>
  <tr id="div_hssid2" style="display:none;visibility:hidden;"> 
    <td class="head" valign="top"><script>putmsg(mWlanSsid);</script> 3:&nbsp;</td>
    <td>
      <input type="text" name="mssid_2" id="mssid_2" size="20" maxlength="31" value="<% getCfgToHTML(1, "SSID3"); %>"><br />
      <script>putmsg(mWlanHssid);</script><input type="checkbox" name="hssid" value="2">&nbsp;&nbsp;
      <script>putmsg(mWlanIsolated);</script><input type="checkbox" name="isolated_ssid" value="2"><br />
      <script>putmsg(mWlanStaNum);</script>
      <input type="text" name="sta_num_2" id="sta_num_2" size="4" maxlength="3" value="<% getCfgNthZero(1, "MaxStaNum", 2); %>">
      <span class="comment">&nbsp;(0~255)</span>
    </td>
  </tr>
  <tr id="div_hssid3" style="display:none;visibility:hidden;"> 
    <td class="head" valign="top"><script>putmsg(mWlanSsid);</script> 4:&nbsp;</td>
    <td>
	  <input type="text" name="mssid_3" id="mssid_3" size="20" maxlength="31" value="<% getCfgToHTML(1, "SSID4"); %>"><br />
      <script>putmsg(mWlanHssid);</script><input type="checkbox" name="hssid" value="3">&nbsp;&nbsp;
      <script>putmsg(mWlanIsolated);</script><input type="checkbox" name="isolated_ssid" value="3"><br />
      <script>putmsg(mWlanStaNum);</script>
      <input type="text" name="sta_num_3" id="sta_num_3" size="4" maxlength="3" value="<% getCfgNthZero(1, "MaxStaNum", 3); %>">
      <span class="comment">&nbsp;(0~255)</span>
    </td>
  </tr>
  <tr id="div_hssid4" style="display:none;visibility:hidden;"> 
    <td class="head" valign="top"><script>putmsg(mWlanSsid);</script> 5:&nbsp;</td>
    <td>
	  <input type="text" name="mssid_4" id="mssid_4" size="20" maxlength="31" value="<% getCfgToHTML(1, "SSID5"); %>"><br />
      <script>putmsg(mWlanHssid);</script><input type="checkbox" name="hssid" value="4">&nbsp;&nbsp;
      <script>putmsg(mWlanIsolated);</script><input type="checkbox" name="isolated_ssid" value="4"><br />
      <script>putmsg(mWlanStaNum);</script>
      <input type="text" name="sta_num_4" id="sta_num_4" size="4" maxlength="3" value="<% getCfgNthZero(1, "MaxStaNum", 4); %>">
      <span class="comment">&nbsp;(0~255)</span>
    </td>
  </tr>
  <tr id="div_hssid5" style="display:none;visibility:hidden;"> 
    <td class="head" valign="top"><script>putmsg(mWlanSsid);</script> 6:&nbsp;</td>
    <td>
	  <input type="text" name="mssid_5" id="mssid_5" size="20" maxlength="31" value="<% getCfgToHTML(1, "SSID6"); %>"><br />
      <script>putmsg(mWlanHssid);</script><input type="checkbox" name="hssid" value="5">&nbsp;&nbsp;
      <script>putmsg(mWlanIsolated);</script><input type="checkbox" name="isolated_ssid" value="5"><br />
      <script>putmsg(mWlanStaNum);</script>
      <input type="text" name="sta_num_5" id="sta_num_5" size="4" maxlength="3" value="<% getCfgNthZero(1, "MaxStaNum", 5); %>">
      <span class="comment">&nbsp;(0~255)</span>
    </td>
  </tr>
  <tr id="div_hssid6" style="display:none;visibility:hidden;"> 
    <td class="head" valign="top"><script>putmsg(mWlanSsid);</script> 7:&nbsp;</td>
    <td>
	  <input type="text" name="mssid_6" id="mssid_6" size="20" maxlength="31" value="<% getCfgToHTML(1, "SSID7"); %>"><br />
      <script>putmsg(mWlanHssid);</script><input type="checkbox" name="hssid" value="6">&nbsp;&nbsp;
      <script>putmsg(mWlanIsolated);</script><input type="checkbox" name="isolated_ssid" value="6"><br />
      <script>putmsg(mWlanStaNum);</script>
      <input type="text" name="sta_num_6" id="sta_num_6" size="4" maxlength="3" value="<% getCfgNthZero(1, "MaxStaNum", 6); %>">
      <span class="comment">&nbsp;(0~255)</span>
    </td>
  </tr>
  <tr id="div_hssid7" style="display:none;visibility:hidden;"> 
    <td class="head" valign="top"><script>putmsg(mWlanSsid);</script> 8:&nbsp;</td>
    <td>
	  <input type="text" name="mssid_7" id="mssid_7" size="20" maxlength="31" value="<% getCfgToHTML(1, "SSID8"); %>"><br />
      <script>putmsg(mWlanHssid);</script><input type="checkbox" name="hssid" value="7">&nbsp;&nbsp;
      <script>putmsg(mWlanIsolated);</script><input type="checkbox" name="isolated_ssid" value="7"><br />
      <script>putmsg(mWlanStaNum);</script>
      <input type="text" name="sta_num_7" id="sta_num_7" size="4" maxlength="3" value="<% getCfgNthZero(1, "MaxStaNum", 7); %>">
      <span class="comment">&nbsp;(0~255)</span>
    </td>
  </tr>
  <tr id="div_hssid8" style="display:none;visibility:hidden;"> 
    <td class="head" valign="top"><script>putmsg(mWlanSsid);</script> 9:&nbsp;</td>
    <td>
	  <input type="text" name="mssid_8" id="mssid_8" size="20" maxlength="31" value="<% getCfgToHTML(1, "SSID9"); %>"><br />
      <script>putmsg(mWlanHssid);</script><input type="checkbox" name="hssid" value="8">&nbsp;&nbsp;
      <script>putmsg(mWlanIsolated);</script><input type="checkbox" name="isolated_ssid" value="8"><br />
      <script>putmsg(mWlanStaNum);</script>
      <input type="text" name="sta_num_8" id="sta_num_8" size="4" maxlength="3" value="<% getCfgNthZero(1, "MaxStaNum", 8); %>">
      <span class="comment">&nbsp;(0~255)</span>
    </td>
  </tr>
  <tr id="div_hssid9" style="display:none;visibility:hidden;"> 
    <td class="head" valign="top"><script>putmsg(mWlanSsid);</script> 10:&nbsp;</td>
    <td>
	  <input type="text" name="mssid_9" id="mssid_9" size="20" maxlength="31" value="<% getCfgToHTML(1, "SSID10"); %>"><br />
      <script>putmsg(mWlanHssid);</script><input type="checkbox" name="hssid" value="9">&nbsp;&nbsp;
      <script>putmsg(mWlanIsolated);</script><input type="checkbox" name="isolated_ssid" value="9"><br />
      <script>putmsg(mWlanStaNum);</script>
      <input type="text" name="sta_num_9" id="sta_num_9" size="4" maxlength="3" value="<% getCfgNthZero(1, "MaxStaNum", 9); %>">
      <span class="comment">&nbsp;(0~255)</span>
    </td>
  </tr>
  <tr id="div_hssid10" style="display:none;visibility:hidden;"> 
    <td class="head" valign="top"><script>putmsg(mWlanSsid);</script> 11:&nbsp;</td>
    <td>
	  <input type="text" name="mssid_10" id="mssid_10" size="20" maxlength="31" value="<% getCfgToHTML(1, "SSID11"); %>"><br />
      <script>putmsg(mWlanHssid);</script><input type="checkbox" name="hssid" value="10">&nbsp;&nbsp;
      <script>putmsg(mWlanIsolated);</script><input type="checkbox" name="isolated_ssid" value="10"><br />
      <script>putmsg(mWlanStaNum);</script>
      <input type="text" name="sta_num_10" id="sta_num_10" size="4" maxlength="3" value="<% getCfgNthZero(1, "MaxStaNum", 10); %>">
      <span class="comment">&nbsp;(0~255)</span>
    </td>
  </tr>
  <tr id="div_hssid11" style="display:none;visibility:hidden;"> 
    <td class="head" valign="top"><script>putmsg(mWlanSsid);</script> 12:&nbsp;</td>
    <td>
	  <input type="text" name="mssid_11" id="mssid_11" size="20" maxlength="31" value="<% getCfgToHTML(1, "SSID12"); %>"><br />
      <script>putmsg(mWlanHssid);</script><input type="checkbox" name="hssid" value="11">&nbsp;&nbsp;
      <script>putmsg(mWlanIsolated);</script><input type="checkbox" name="isolated_ssid" value="11"><br />
      <script>putmsg(mWlanStaNum);</script>
      <input type="text" name="sta_num_11" id="sta_num_11" size="4" maxlength="3" value="<% getCfgNthZero(1, "MaxStaNum", 11); %>">
      <span class="comment">&nbsp;(0~255)</span>
    </td>
  </tr>
  <tr id="div_hssid12" style="display:none;visibility:hidden;"> 
    <td class="head" valign="top"><script>putmsg(mWlanSsid);</script> 13:&nbsp;</td>
    <td>
	  <input type="text" name="mssid_12" id="mssid_12" size="20" maxlength="31" value="<% getCfgToHTML(1, "SSID13"); %>"><br />
      <script>putmsg(mWlanHssid);</script><input type="checkbox" name="hssid" value="12">&nbsp;&nbsp;
      <script>putmsg(mWlanIsolated);</script><input type="checkbox" name="isolated_ssid" value="12"><br />
      <script>putmsg(mWlanStaNum);</script>
      <input type="text" name="sta_num_12" id="sta_num_12" size="4" maxlength="3" value="<% getCfgNthZero(1, "MaxStaNum", 12); %>">
      <span class="comment">&nbsp;(0~255)</span>
    </td>
  </tr>
  <tr id="div_hssid13" style="display:none;visibility:hidden;"> 
    <td class="head" valign="top"><script>putmsg(mWlanSsid);</script> 14:&nbsp;</td>
    <td>
	  <input type="text" name="mssid_13" id="mssid_13" size="20" maxlength="31" value="<% getCfgToHTML(1, "SSID14"); %>"><br />
      <script>putmsg(mWlanHssid);</script><input type="checkbox" name="hssid" value="13">&nbsp;&nbsp;
      <script>putmsg(mWlanIsolated);</script><input type="checkbox" name="isolated_ssid" value="13"><br />
      <script>putmsg(mWlanStaNum);</script>
      <input type="text" name="sta_num_13" id="sta_num_13" size="4" maxlength="3" value="<% getCfgNthZero(1, "MaxStaNum", 13); %>">
      <span class="comment">&nbsp;(0~255)</span>
    </td>
  </tr>
  <tr id="div_hssid14" style="display:none;visibility:hidden;"> 
    <td class="head" valign="top"><script>putmsg(mWlanSsid);</script> 15:&nbsp;</td>
    <td>
	  <input type="text" name="mssid_14" id="mssid_14" size="20" maxlength="31" value="<% getCfgToHTML(1, "SSID15"); %>"><br />
      <script>putmsg(mWlanHssid);</script><input type="checkbox" name="hssid" value="14">&nbsp;&nbsp;
      <script>putmsg(mWlanIsolated);</script><input type="checkbox" name="isolated_ssid" value="14"><br />
      <script>putmsg(mWlanStaNum);</script>
      <input type="text" name="sta_num_14" id="sta_num_14" size="4" maxlength="3" value="<% getCfgNthZero(1, "MaxStaNum", 14); %>">
      <span class="comment">&nbsp;(0~255)</span>
    </td>
  </tr>
  <tr id="div_hssid15" style="display:none;visibility:hidden;"> 
    <td class="head" valign="top"><script>putmsg(mWlanSsid);</script>:&nbsp;</td>
    <td>
	  <input type="text" name="mssid_15" id="mssid_15" size="20" maxlength="31" value="<% getCfgToHTML(1, "SSID16"); %>"><br />
      <script>putmsg(mWlanHssid);</script><input type="checkbox" name="hssid" value="15">&nbsp;&nbsp;
      <script>putmsg(mWlanIsolated);</script><input type="checkbox" name="isolated_ssid" value="15"><br />
      <script>putmsg(mWlanStaNum);</script>
      <input type="text" name="sta_num_15" id="sta_num_15" size="4" maxlength="3" value="<% getCfgNthZero(1, "MaxStaNum", 15); %>">
      <span class="comment">&nbsp;(0~255)</span>
    </td>
  </tr>
  <tr style="display:none;visibility:hidden;"> 
    <td class="head" id="basicBroadcastSSID"><script>putmsg(mWlanHssidAll);</script>:</td>
    <td>
      <input type="radio" name="broadcastssid" value="0" checked onClick="switch_hidden_ssid();"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="broadcastssid" value="1" onClick="switch_hidden_ssid();"><script>putmsg(mRadioEnable);</script>
    </td>
  </tr>
  <tr style="display:none;visibility:hidden;"> 
    <td class="head" id="basicApIsolated"><script>putmsg(mWlanIsolatedAll);</script>:</td>
    <td>
      <input type="radio" name="apisolated" value="0" onClick="switch_isolated_ssid();"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="apisolated" value="1" checked onClick="switch_isolated_ssid();"><script>putmsg(mRadioEnable);</script>
    </td>
  </tr>
  <tr id="div_mbssidapisolated"> 
    <td class="head" id="basicMBSSIDApIsolated"><script>putmsg(mWlanIsolatedAp);</script>:</td>
    <td>
      <input type="radio" name="mbssidapisolated" value="0"><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="mbssidapisolated" value="1"><script>putmsg(mRadioEnable);</script>
    </td>
  </tr>
  <tr id="div_11a_channel" name="div_11a_channel">
    <td class="head"><script>putmsg(mWlanChannel);</script>:</td>
    <td>
      <select id="sz11aChannel" name="sz11aChannel" size="1" style="width:132px;" onChange="ChOnChange();">
	    <option value="0"><script>putmsg(mWlanAuto);</script></option>
	    <% getWlan11aChannels(); %>
      </select>
      <!-- script>
        document.write("<input type='button' class='button' name='scanChannela' style='width:100px;' value='"+mChanStatis+"' onClick='showChannelList();'>");
      </script -->
    </td>
  </tr>
  <tr id="div_11b_channel" name="div_11b_channel">
    <td class="head"><script>putmsg(mWlanChannel);</script>:</td>
    <td>
      <select id="sz11bChannel" name="sz11bChannel" size="1" style="width:132px;" onChange="ChOnChange();">
	    <option value="0"><script>putmsg(mWlanAuto);</script></option>
	    <% getWlan11bChannels(); %>
      </select>&nbsp;&nbsp;
      <script>
        document.write("<input type='button' class='button' name='scanChannelb' style='width:100px;' value='"+mChanStatis+"' onClick='showChannelList();'>");
      </script>
    </td>
  </tr>
  <tr id="div_11g_channel" name="div_11g_channel">
    <td class="head"><script>putmsg(mWlanChannel);</script>:</td>
    <td>
      <select id="sz11gChannel" name="sz11gChannel" size="1" style="width:132px;" onChange="ChOnChange();">
	    <option value="0"><script>putmsg(mWlanAuto);</script></option>
	    <% getWlan11gChannels(); %>
      </select>&nbsp;&nbsp;
      <script>
        document.write("<input type='button' class='button' name='scanChannelg' style='width:100px;' value='"+mChanStatis+"' onClick='showChannelList();'>");
      </script>
	</td>
  </tr>
  <tr id="div_abg_rate">
    <td class="head"><script>putmsg(mWlanRate);</script>:</td>
    <td>
      <select name="abg_rate" size="1" style="width:132px;">
      </select>
    </td>
  </tr>
  <tr>
    <td class="head">&nbsp;</td>
    <td class="tail">&nbsp;</td>
  </tr>    
</tbody>
</table>
</fieldset>

<!-- HT Option -->
<br /><br />
<fieldset id="div_11n" align="center" style="width:95%;"> 
<legend><script>putmsg(mLegendHtMode);</script></legend>  

<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
<tbody>  
  <tr>
    <td width="45%">&nbsp;</td>
    <td width="55%">&nbsp;</td>
  </tr>
  <tr>
    <td class="head" id="basicHTOPMode"><script>putmsg(mWlanOpMode);</script> :</td>
    <td>
      <input type="radio" name="n_mode" value="0" checked><script>putmsg(mWlanOpModeMixed);</script>&nbsp;&nbsp;
      <input type="radio" name="n_mode" value="1">Green Field
    </td>
  </tr>
  <tr>
    <td class="head" id="basicHTChannelBW"><script>putmsg(mWlanChannelBandwidth);</script>:</td>
    <td>
      <input type="radio" name="n_bandwidth" value="0" onClick="ChBwOnClick();" checked>20 MHz&nbsp;&nbsp;
      <input type="radio" name="n_bandwidth" value="1" onClick="ChBwOnClick();">20/40 MHz
    </td>
  </tr>
  <tr>
    <td class="head" id="basicHTGI"><script>putmsg(mWlanGuardIntrv);</script>:</td>
    <td>
      <input type="radio" name="n_gi" value="0" checked><script>putmsg(mWlanGILong);</script>&nbsp;&nbsp;
      <input type="radio" name="n_gi" value="1"><script>putmsg(mWlanAuto);</script>
    </td>
  </tr>
  <tr>
    <td class="head">MCS:</td>
    <td>
      <select name="n_mcs" size="1" id="n_mcs" style="width:132px;">
	    <option value="0">0</option>
	    <option value="1">1</option>
	    <option value="2">2</option>
	    <option value="3">3</option>
	    <option value="4">4</option>
	    <option value="5">5</option>
	    <option value="6">6</option>
	    <option value="7">7</option>
      </select>
    </td>
  </tr>
  <tr id="div_11n_rdg">
    <td class="head" id="basicHTRDG"><script>putmsg(mWlanRDG);</script> (RDG):</td>
    <td>
      <input type="radio" name="n_rdg" value="0" checked><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="n_rdg" value="1"><script>putmsg(mRadioEnable);</script>
    </td>
  </tr>
  <tr name="extension_channel" id="extension_channel">
    <td class="head" id="basicHTExtChannel"><script>putmsg(mWlanEXTChannel);</script>:</td>
    <td>
      <select id="n_extcha" name="n_extcha" size="1" style="width:132px;">
        <option value="1" selected>1</option>
      </select>
    </td>
  </tr>
  <tr>
    <td class="head" id="basicHTSTBC"><script>putmsg(mWlanStbc);</script> (STBC):</td>
    <td>
      <input type="radio" name="n_stbc" value="0" checked><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="n_stbc" value="1"><script>putmsg(mRadioEnable);</script>
    </td>
  </tr>
  <tr id="div_11n_amsdu">
    <td class="head" id="basicHTAMSDU"><script>putmsg(mWlanAmsdu);</script> (A-MSDU):</td>
    <td>
      <input type="radio" name="n_amsdu" value="0" checked><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="n_amsdu" value="1"><script>putmsg(mRadioEnable);</script>
    </td>
  </tr>
  <tr id="div_11n_aba">
    <td class="head" id="basicHTAddBA"><script>putmsg(mWlanAutoBa);</script>:</td>
    <td>
      <input type="radio" name="n_autoba" value="0" checked><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="n_autoba" value="1"><script>putmsg(mRadioEnable);</script>
    </td>
  </tr>
  <tr id="div_11n_dbr">
    <td class="head" id="basicHTDelBA"><script>putmsg(mWlanDeclineBa);</script>:</td>
    <td>
      <input type="radio" name="n_badecline" value="0" checked><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="n_badecline" value="1"><script>putmsg(mRadioEnable);</script>
    </td>
  </tr>
  <tr>
    <td class="head" id="basicHTAllowTKIP"><script>putmsg(mWlanDisableTKIP);</script>:</td>
    <td>
      <input type="radio" name="n_disallow_tkip" value="0" checked><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="n_disallow_tkip" value="1"><script>putmsg(mRadioEnable);</script>
    </td>
  </tr>
  <tr id="div_2040_coexit">
    <td class="head" id="basic2040CoExit"><script>putmsg(mWlan2040CoExit);</script>:</td>
    <td>
      <input type="radio" name="n_2040_coexit" value="0" checked><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="n_2040_coexit" value="1"><script>putmsg(mRadioEnable);</script>
    </td>
  </tr>
  <tr>
    <td class="head" id="basicHTLDPC"><script>putmsg(mWlanStbc);</script> (LDPC):</td>
    <td>
      <input type="radio" name="n_ldpc" value="0" checked><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="n_ldpc" value="1"><script>putmsg(mRadioEnable);</script>
    </td>
  </tr>
  <tr>
    <td class="head">&nbsp;</td>
    <td class="tail">&nbsp;</td>
  </tr>    
</tbody>
</table>
</fieldset>
  
<!-- VHT Option -->
<br />
<fieldset id="div_11vht" name="div_11vht"  align="center" style="width:95%;visibility:hidden;display:none;"> 
<legend><script>putmsg(mWlanVhtOptions);</script></legend>

<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
  <tr id="div_vht_bw">
    <td class="head" id="basicVhtBw">VHT <script>putmsg(mWlanChannelBandwidth);</script>:</td>
    <td>
      <input type="radio" name="vht_bandwidth" value="0" checked>20/40MHz&nbsp;&nbsp;
      <input type="radio" name="vht_bandwidth" value="1">80MHz
    </td>
  </tr>
  <tr>
    <td class="head" id="basicVhtStbc">VHT <script>putmsg(mWlanStbc);</script> (STBC):</td>
    <td>
      <input type="radio" name="vht_stbc" value="0" checked><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="vht_stbc" value="1"><script>putmsg(mRadioEnable);</script>
    </td>
  </tr>
  <tr>
    <td class="head" id="basicVhtSgi">VHT <script>putmsg(mWlanGuardIntrv);</script> (SGI):</td>
    <td>
      <input type="radio" name="vht_sgi" value="0" checked><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="vht_sgi" value="1"><script>putmsg(mRadioEnable);</script>
    </td>
  </tr>
  <tr>
    <td class="head" id="basicVhtBwSignal">VHT <script>putmsg(mWlanBwSignal);</script>:</td>
    <td>
      <input type="radio" name="vht_bw_signal" value="0" checked><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="vht_bw_signal" value="1"><script>putmsg(mWlanStatic);</script>&nbsp;&nbsp;
      <input type="radio" name="vht_bw_signal" value="2"><script>putmsg(mWlanDynamic);</script>
    </td>
  </tr>
  <tr>
    <td class="head" id="basicVHTLDPC">VHT <script>putmsg(mWlanLdpc);</script> (LDPC):</td>
    <td>
      <input type="radio" name="vht_ldpc" value="0" checked><script>putmsg(mRadioDisable);</script>&nbsp;&nbsp;
      <input type="radio" name="vht_ldpc" value="1"><script>putmsg(mRadioEnable);</script>
    </td>
  </tr>
</table>
</fieldset>

<br /><br />
<fieldset id="div_11n_plugfest" name="div_11n_plugfest"  align="center" style="width:95%;"> 
<legend><script>putmsg(mLegendOtherSet);</script></legend>  

<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
<tbody>
  <tr>
    <td width="45%">&nbsp;</td>
    <td width="55%">&nbsp;</td>
    </tr>
  <tr>
    <td class="head" id="basicHTTxStream"><script>putmsg(mWlanStreamTX);</script>:</td>
    <td>
      <select id="tx_stream" name="tx_stream" size="1" style="width:132px;"  onChange="changeTxStream();">
        <option value="1">1</option>
      </select>
    </td>
  </tr>
  <tr>
    <td class="head"><script>putmsg(mWlanStreamRX);</script>:</td>
    <td>
      <select id="rx_stream" name="rx_stream" size="1" style="width:132px;">
        <option value="1">1</option>
      </select>
    </td>
  </tr>
  <tr>
    <td class="head">&nbsp;</td>
    <td class="tail">&nbsp;</td>
  </tr>    
</tbody>
</table>
</fieldset>

<br /><br />
<table align="center" class="content" width="80%" cellSpacing="0" cellPadding="3">
  <tr>
    <td align="center">
    <script>
	  document.writeln("<input type='submit' class='button' name='save' value='"+mBtnSave+"'>&nbsp;&nbsp;");
	  if (rb == 0)
	    document.write("<input type='submit' class='button' value='"+mBtnApply+"' id='basicApply'>&nbsp;&nbsp;");
	  document.write("<input type='reset' class='button' value='"+mBtnCancel+"' id='basicCancel' onClick='window.location.reload();'>");
	</script>
    </td>
  </tr>
</table>

<br /><br />
</form>

</td>

<td class="right-blank">&nbsp;</td>
</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 

</div>
</body>
</html>

