<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("channel_SmartSta"); %>

<% getWebsNoClick(); %>

document.title = mTitle;
var lang = "<% getCfgGeneral(1, "Language"); %>";

//var aStr = "<% getWlan11aChannels(); %>";
//var bStr = "<% getWlan11bChannels(); %>";
var gStr = "<% getWlan11gChannels(); %>";

var gStrList = new Array;
gStrList = gStr.split("</option>");

var x;
var gChannel = new Array;
for(x=0;x<gStrList.length;x++)
{
	var gChan = new Array;
	gChan = gStrList[x].split(" ");
	gChannel[x] = gChan[gChan.length-1];

	var reg = /\D/img;
	gChannel[x] = gChannel[x].replace(reg,"");
}
var chanMax =  gChannel.length-1;

function showStatic()
{
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
		
			var i,j,c;
			var a = new Array();
			var currAllChannel = new Array;

			a=http_request.responseText.split("\n");
			c = a.length;
				
			for(i=0; i<c; i++){
				var b = new Array();
				b = a[i].split("\r");	
					
				currAllChannel[i] = b[0];						
			}
			var curr_max = currAllChannel.length;
			for(j=0;j<chanMax;j++){
				var idx;
				var occupValue = 0;

				for(idx=0;idx<curr_max;idx++){
					if (currAllChannel[idx] == gChannel[j]){
						occupValue++;							
					}
				}

				var rate;
				var occupRate;
				rate = (occupValue/curr_max)*100;
				var occupRate = rate.toFixed(2);
				var x;
			
				document.getElementById("channel"+j).innerHTML = gChannel[j];
				document.getElementById("occupRate"+j).innerHTML = occupRate + "%";
				document.getElementById("processBar"+j).style.width = occupRate+"%";
				
				if(occupRate == 0){
					document.getElementById("processBar"+j).style.backgroundColor = "#FFFFFF";
				}				
				else if((occupRate > 0) && (occupRate <= 20)){
					document.getElementById("processBar"+j).className = "green-value";				
				}
				else if((occupRate > 20) && (occupRate <= 30)){
					document.getElementById("processBar"+j).className = "blue-value";					
				}
				else if(occupRate > 30){		
					document.getElementById("processBar"+j).className = "red-value";				
				}

				document.getElementById("statistics"+j).style.visibility = "visible";
				document.getElementById("statistics"+j).style.display = style_display_on();
			}

			document.getElementById("scanning").style.visibility = "hidden";
			document.getElementById("scanning").style.display = "none";
			document.getElementById("scanBtn").disabled = false;
		}
    }
}

function startStatic()
{
	var i;
	document.getElementById("scanBtn").disabled = true;
	document.getElementById("scanning").style.visibility = "visible";
	document.getElementById("scanning").style.display = style_display_on();
	for(i=0;i<chanMax;i++){
		document.getElementById("statistics"+i).style.visibility = "hidden";
		document.getElementById("statistics"+i).style.display = "none";
	}
	makeRequest("/goform/getWlanSiteSurveyAjax", "sitesurvey", showStatic);
}

function doApply(){
	var count = 0;
	for(i=0;i<chanMax;i++){
		if(document.getElementById("select"+i).checked == true ){
			window.opener.document.getElementById("sz11bChannel").options.selectedIndex=i+1;
			window.opener.document.getElementById("sz11gChannel").options.selectedIndex=i+1;
			window.opener.ChOnChange();
			window.close();
		}
		else
			count++;
	}
	if(count == chanMax){
		var r = confirm(mAlertChanSel);
		if(r == true)
			window.close();	
		else
			return;
	}
	
}

</script>
</head>

<body onLoad="startStatic();" class="newopen">
<script language="javascript" type="text/javascript" >
	writeWebsHeader_M(mTitle, "/m/wireless/basic.asp");
</script> 

<table class="body" width="100%" cellspacing="0" cellpadding="0">  
<tr>
  <td align="center" valign="top">
    <fieldset align="center" style="width:95%;">
	<table align="center" class="content" width="95%" cellSpacing="1" cellPadding="3">
	    <tr><td colspan="3">&nbsp;</td></tr>
	    <tr>
	      <td class="headLine" align="center" width="10%"><script>putmsg(mSelect);</script></td>
	      <td class="headLine" align="center" width="13%"><script>putmsg(mChannel);</script></td>
	      <!--td class="headLine" align="center" width="15%"><script>putmsg(mRate);</script></td-->
	      <td class="headLine" align="center" width="67%" align="left"><script>putmsg(mOccuProportion);</script></td>
            </tr>
	    <tr id="scanning">
	      <td colspan=4 align="center"><script>putmsg(mScanning);</script></td>
	    </tr>
       
		<script>
			var j;
			var id;
			for(j=0;j<chanMax;j++){
				if (j%2)
					document.write("<tr id=\"statistics"+j+"\" bgcolor=\""+listBg+"\">");
				else
					document.write("<tr id=\"statistics"+j+"\">");
				document.write("<td align=\"center\">");
				document.write("<input type=\"radio\" name=\"selc\" id=\"select"+j+"\" style=\"margin:-2px;\"> ");
				document.write("</td>");
				document.write("<td id=\"channel"+j+"\" align=\"center\"></td>");
				//document.write("<td id=\"occupRate"+j+"\" align=\"right\"></td>");
				document.write("<td id=\"occupRateBar"+j+"\" align=\"left\">");
				document.write("<div class='process-bar' style='width:100%;'>");
				document.write("<div class='pb-text' id='occupRate"+j+"'></div>");
				document.write("<div id='processBar"+j+"' class=''></div>");

				document.write("</div></td></tr>");
			}

		</script>
	  </table>
	  <br />

	  <table align="center" class="content" width="95%" cellSpacing="0" cellPadding="3">
	    <tr><td align="center">
	    <script>
	      document.write("<input type='button' class='button' id='btnApply' value='"+mBtnOk+"' onClick='doApply();'>&nbsp;&nbsp;");  
	      document.write("<input type='button' class='button' id='scanBtn' value='"+mRescan+"' onClick='startStatic();'>&nbsp;&nbsp;");  
	      document.write("<input type='button' class='button' id='btnCancel' value='"+mBtnCancel+"' onClick='window.close();'>"); 
	    </script>
	    </td></tr>
	  </table><br />
    </fieldset>
  </td>

</tr>
</table>

</body>
</html>
