<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>
 
<script language="javascript" type="text/javascript" > 
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("inet"); %>
<% websIncludeLang("qos_control"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var opmode = '<% getCfgZero(1, "OperationMode"); %>';
var rb = <% getRebootFlag(); %>;
var autoBalanceB = "<% getQosAutoBalanceBuilt(); %>";
var autoBalance = "<% getCfgZero(1, "QoSAutoBalance"); %>";

document.title = vendor+" "+model+" - "+mQosCtlSet;

var QosList = new Array();
var qosMaxNum = 100;
var QosCurNum = 0;
var lanIp = "<% getLanIpASP(); %>";
var lanMask = "<% getLanNetmaskASP(); %>";

var QosListStr = "<% getCfgGeneral(1, "IpBwLimitList"); %>";

var uploadBandwidth = "<% getCfgGeneral(1, "QoSUploadBandwidth"); %>";
var downloadBandwidth = "<% getCfgGeneral(1, "QoSDownloadBandwidth"); %>";
var uploadBandwidth_custom = "<% getCfgGeneral(1, "QoSUploadBandwidth_custom"); %>";
var downloadBandwidth_custom = "<% getCfgGeneral(1, "QoSDownloadBandwidth_custom"); %>";

if(uploadBandwidth.indexOf("k") == -1 && isNaN(uploadBandwidth)){
	var upBW = parseInt(uploadBandwidth.split("M"))*1024;
}
else {
	var upBW = parseInt(uploadBandwidth.split("k"));
}
if(downloadBandwidth.indexOf("k") == -1 && isNaN(downloadBandwidth)){
	var loadBW = parseInt(downloadBandwidth.split("M"))*1024;
}
else {
	var loadBW = parseInt(downloadBandwidth.split("k"));
}

if(uploadBandwidth_custom.indexOf("k") == -1 && isNaN(uploadBandwidth_custom)){
	if(uploadBandwidth_custom.indexOf("M")!= -1)
	uploadBandwidth_custom.replace(/M/i,"m");
	var upBW2 = parseInt(uploadBandwidth_custom.split("m"))*1024;
}
else {
	var upBW2 = parseInt(uploadBandwidth_custom.split("k"));
}
if(downloadBandwidth_custom.indexOf("k") == -1 && isNaN(downloadBandwidth_custom)){
	if(downloadBandwidth_custom.indexOf("M")!= -1)
	downloadBandwidth_custom.replace(/M/i,"m");
	var loadBW2 = parseInt(downloadBandwidth_custom.split("m"))*1024;
}
else {
	var loadBW2 = parseInt(downloadBandwidth_custom.split("k"));
}
var qosEnbl = "<% getCfgZero(1, "QoSEnable"); %>";

function ipverify()
{
	var IPNo = document.QOSCtrl.IPNo.value;
	var IPNo2 = document.QOSCtrl.IPNo2.value;
	var i;
	var j,z;
	var QosList = new Array();
	var entry1 = new Array();
	var entry2 = new Array();
	var a1 = new Array();
	var a2 = new Array();
	var ip11 = new Array();
	var ip21 = new Array();

	ip11 = IPNo.split(".");
	ip21 = IPNo2.split(".");
	d11 = parseInt(ip11[3]);
	d21 = parseInt(ip21[3]);

        var QosListStr = document.getElementById("QosListStr").value;
        QosList = QosListStr.split(";");

	if(!QosListStr.length && QosList.length)
		QosList.length = 0;

	for (i = 0; i < QosList.length; i++) {		
           var entry = QosList[i].split(",");
	   entry1[i] = entry[1];
	   entry2[i] = entry[2];
           var ipNum = new Array();
           var ipNum2 = new Array();
	   ipNum = entry1[i].split(".");
	   ipNum2 = entry2[i].split(".");
	   a1[i] = parseInt(ipNum[3]);
	   a2[i] = parseInt(ipNum2[3]); 
	   if(isNaN(a2[i])){
	     if(d21 >= a1[i] && d11 <= a1[i]){
	        alert (mErro);
	        document.QOSCtrl.IPNo.focus();
	        document.QOSCtrl.IPNo.select();
	        return false ;
	     }
	  }
	  else if((d11<= a2[i] && d11>= a1[i]) || (d21 <= a2[i] && d21 >= a1[i]) || ( d11 <= a1[i] && d21 >= a2[i])){
	    alert (mErro);
	    document.QOSCtrl.IPNo.focus();
	    document.QOSCtrl.IPNo.select();
	    return false ;
	 }
   }
   return true ;	
}

function CheckValue()
{                           
	 var IPNo = parseInt(document.QOSCtrl.IPNo.value);
	 var IPNo2 = parseInt(document.QOSCtrl.IPNo2.value);
	 var UploadBandWth = parseInt(document.QOSCtrl.UploadBandWth.value);
	 var UploadBandWth2 = parseInt(document.QOSCtrl.UploadBandWth2.value);
	 var loadBandWth = parseInt(document.QOSCtrl.loadBandWth.value);
	 var loadBandWth2 = parseInt(document.QOSCtrl.loadBandWth2.value);
	 var obj1 = document.QOSCtrl.IPNo;
	
	if (document.QOSCtrl.IPNo.value == "" ){
		alert(mRequest);
		obj1.focus();
		obj1.select();
		return false;
	}
	var obj2 = document.QOSCtrl.IPNo2;
	if(document.QOSCtrl.IPNo.value != ""){
		if(! checkIpAddr(document.QOSCtrl.IPNo) || !checkLanIp(lanIp, lanMask, document.QOSCtrl.IPNo.value) ){
			alert((mAlertInvalidIp));
			obj1.focus();
				return false;
		}
		if(obj2.value != ""){
		  if(! checkIpAddr(obj2) || !checkLanIp(lanIp, lanMask, obj2.value) ){
		     alert((mAlertInvalidIp));
		     obj2.focus();
		     obj2.select();
		     return false;
		  }
	
		  var ip1 = new Array();
		  var ip2 = new Array();

		  ip1 = obj1.value.split(".");
		  ip2 = obj2.value.split(".");
		  d1 = parseInt(ip1[3]);
		  d2 = parseInt(ip2[3]);
		  if (d1 > d2) {
		    alert((mAlertInvalidIp));
		    obj1.focus();
		    return false;
		  }
		}   
	}   

	if(!ipverify()){
	  return false;
	}

	if(document.QOSCtrl.UploadBandWth.value == "" && document.QOSCtrl.UploadBandWth2.value == ""
            && document.QOSCtrl.loadBandWth.value == "" && document.QOSCtrl.loadBandWth2.value == ""){
		alert(mAlertAllEmptyBandwidth)
		document.QOSCtrl.UploadBandWth.focus();
		return false;
	}

	if (isNaN(document.QOSCtrl.UploadBandWth.value) || document.QOSCtrl.UploadBandWth.value < 0 || document.QOSCtrl.UploadBandWth.value > 102400){
  		alert(mParams + mAlertInvalid);
		document.QOSCtrl.UploadBandWth.focus();
		document.QOSCtrl.UploadBandWth.select();
		return false;
	}

	if(!isNaN(upBW) && upBW !="") {
	   if (isNaN(document.QOSCtrl.UploadBandWth2.value) || document.QOSCtrl.UploadBandWth2.value < 0 
	    || document.QOSCtrl.UploadBandWth2.value >upBW) {
		alert(mGreaterTotalUPBW);
		document.QOSCtrl.UploadBandWth2.focus();
		document.QOSCtrl.UploadBandWth2.select();
		return false;
	    }
        } 
 	if(!isNaN(upBW2) && upBW2!=""){
	   if (isNaN(document.QOSCtrl.UploadBandWth2.value) || document.QOSCtrl.UploadBandWth2.value < 0 
	    || document.QOSCtrl.UploadBandWth2.value >upBW2){
		alert(mGreaterTotalUPBW);
		document.QOSCtrl.UploadBandWth2.focus();
		document.QOSCtrl.UploadBandWth2.select();
		return false;
	  }
        }
	if(document.QOSCtrl.UploadBandWth.value == 0&&document.QOSCtrl.UploadBandWth2.value > 0 ){
		alert( mAlertInvalid1);
		document.QOSCtrl.UploadBandWth.focus();
		return false;
	}
		
 	if(document.QOSCtrl.UploadBandWth.value != "" || document.QOSCtrl.UploadBandWth2.value != ""){
		if(document.QOSCtrl.UploadBandWth2.value == "" || document.QOSCtrl.UploadBandWth.value == ""){
			alert((mAlertEmptyUploadBandwidth));
			document.QOSCtrl.UploadBandWth2.focus();
			return false;
	       } 
        }
	if(document.QOSCtrl.UploadBandWth2 .value != ""){
		if(UploadBandWth2 < UploadBandWth){
			alert((mAlertInvalidUpBandWth));
			document.QOSCtrl.UploadBandWth2.focus();
		        document.QOSCtrl.UploadBandWth2.select();
			 return false;
		}	
	}		
	
	if (isNaN(document.QOSCtrl.loadBandWth.value) || document.QOSCtrl.loadBandWth.value < 0 || document.QOSCtrl.loadBandWth.value > 102400){
 
		alert(mParams + mAlertInvalid);
		document.QOSCtrl.loadBandWth.focus();
		document.QOSCtrl.loadBandWth.select();
		return false;
	}
	if(!isNaN(loadBW) && loadBW!=""){
	   if (isNaN(document.QOSCtrl.loadBandWth2.value) || document.QOSCtrl.loadBandWth2.value < 0 
	       || document.QOSCtrl.loadBandWth2.value > loadBW ){
 
		alert(mGreaterTotalLoadBW);
		document.QOSCtrl.loadBandWth2.focus();
		document.QOSCtrl.loadBandWth2.select();
		return false;
	   }
	} 
	if(!isNaN(loadBW2) && loadBW2!=""){
	  if (isNaN(document.QOSCtrl.loadBandWth2.value) || document.QOSCtrl.loadBandWth2.value < 0 
	     || document.QOSCtrl.loadBandWth2.value > loadBW2 ){
 
		alert(mGreaterTotalLoadBW);
		document.QOSCtrl.loadBandWth2.focus();
		document.QOSCtrl.loadBandWth2.select();
		return false;
	  }
	} 
	
	if(document.QOSCtrl.loadBandWth2.value == 0&&document.QOSCtrl.loadBandWth2.value > 0 ){
		alert(mAlertInvalid1);
		document.QOSCtrl.UploadBandWth.focus();
		return false;
	}
	if(document.QOSCtrl.loadBandWth.value != "" || document.QOSCtrl.loadBandWth2.value != ""){	
	   if(document.QOSCtrl.loadBandWth2.value == "" ||document.QOSCtrl.loadBandWth.value == ""){
		alert((mAlertEmptyloadBandwidth));
		document.QOSCtrl.loadBandWth2.focus();
		return false;
	  } 
	}
	if(document.QOSCtrl.loadBandWth2 .value != ""){
	  if(loadBandWth2 < loadBandWth){
	 	alert((mAlertInvalidBandWth));
		document.QOSCtrl.loadBandWth2.focus();
	    	document.QOSCtrl.loadBandWth2.select();
		return false;
	  }
	}	
	return true;
}

function  onclickAdd()
{
	var  Name,IPNo,IPNo2,UploadBandWth,UploadBandWth2,loadBandWth,loadBandWth2;
	
	Name = document.getElementById("Name").value;
	IPNo = document.getElementById("IPNo").value;
	IPNo2 = document.getElementById("IPNo2").value;
	UploadBandWth = document.getElementById("UploadBandWth").value;
	UploadBandWth2 = document.getElementById("UploadBandWth2").value;
	loadBandWth = document.getElementById("loadBandWth").value;
	loadBandWth2 = document.getElementById("loadBandWth2").value;

	if(CheckValue())
	{		
		var entry = new Array();
		var entry = new Array();
		var foundFlag = 0;
		var i;
		QosListStr = document.getElementById("QosListStr").value;
		QosList = QosListStr.split(";");
	 
		if(QosListStr != ""){
			for(i = 0; i < QosList.length; i++){
			   entry = QosList[i].split(",")
			   if( entry[1] == IPNo ){
				foundFlag = 1;
				break;
			   }
		 	}
   
			if(foundFlag == 0){
				QosListStr += ";"+Name+","+IPNo+","+IPNo2+","+UploadBandWth+","+UploadBandWth2+","+loadBandWth+","+loadBandWth2;
	  		}
		}
		else {
			QosListStr = Name+","+IPNo+","+IPNo2+","+UploadBandWth+","+UploadBandWth2+","+loadBandWth+","+loadBandWth2;			
		}
 	}
	document.getElementById("QosListStr").value = QosListStr;
	showQosList();
}

function showQosList()
{
	var i;
	var QosList = new Array();
	var entry = new Array();

	hiddenAll();
	QosListStr = document.getElementById("QosListStr").value;
	document.getElementById("QOSEnbl_all").checked = false;
	if(QosListStr == "")
		return ;

	QosList = QosListStr.split(";");
	QosCurNum = QosList.length;
	disabelCheckBox("QOSEnbl_",QosCurNum);
	for (i = 0; i < QosList.length; i++) {
                entry = QosList[i].split(",")
		showTable(i);
		document.getElementById("QosIdex"+i).innerHTML = i+1; 
		document.getElementById("QosDesc"+i).innerHTML = entry[0];
		document.getElementById("QosIPField"+i).innerHTML = entry[1]+"-"+entry[2];
		document.getElementById("QosUpload"+i).innerHTML = entry[3]+"-"+entry[4];
		document.getElementById("QosLoad"+i).innerHTML = entry[5]+"-"+entry[6];

		if( entry[7] == 1){
			document.getElementById("QOSEnbl_"+i).checked = true;
		}
		else{
			document.getElementById("QOSEnbl_"+i).checked = false;	 
		}
	}
}

function enblCheckBox(prefix,max_num)
{
	var i;
	for(i = 0;i<max_num;i++){
		document.getElementById(prefix+i).checked = true;
	}
}

function disabelCheckBox(prefix,max_num)
{
	var i;
	
	for(i = 0;i<max_num;i++){
		document.getElementById(prefix+i).checked = false;
	}
}

function changeCheckBox()
{
	if(document.getElementById("QOSEnbl_all").checked == true)
		enblCheckBox("QOSEnbl_", QosCurNum);
	else
		disabelCheckBox("QOSEnbl_", QosCurNum);
}

function delQosList()
{
	var i,j,count = 0;
	var tmpQosStr = "";
	var QosList = new Array();
	var NoDel;
	var resetValue,nocheckedcount;

	QosListStr = document.getElementById("QosListStr").value;
	QosList = QosListStr.split(";");
	for (i = 0,j=0; i < QosCurNum; i++) {
		if(document.getElementById("QOSEnbl_"+i).checked == true){
			count++;
		}
		else {
			nocheckedcount++;
			if (tmpQosStr.length)
				tmpQosStr += ";" + QosList[i];
			else
				tmpQosStr += QosList[i];
		 }
	}
	
	if(count == 0){
		alert((mAlertDeleteSelected));
		return false;
	}
	
	var ret = confirm((mConfirmDeleteSelected));
	if(!ret)
		return false;

        resetValue=tmpQosStr;
        document.getElementById("QosListStr").value = tmpQosStr;
       	QosCurNum = nocheckedcount;
	showQosList();
		
	return true;
}

function hiddenAll()
{
	var i;
	for (i = 0; i < qosMaxNum; i++)
	{       
		document.getElementById("QosListt"+i).style.visibility = "hidden";
		document.getElementById("QosListt"+i).style.display = "none";
	}
	
}

function showTable(idx)
{
	document.getElementById("QosListt"+idx).style.visibility = "visible";
	document.getElementById("QosListt"+idx).style.display = style_display_on();
}

function gotoQoS()
{
	window.location.href = "/qos/qos_basic.asp";
}

function initValue()
{
	hiddenAll();

	if (qosEnbl == "0") {
		document.getElementById("div_qos_set").style.visibility = "visible";
		document.getElementById("div_qos_set").style.display = "";
	}
	else {
		document.getElementById("div_qos_set").style.visibility = "hidden";
		document.getElementById("div_qos_set").style.display = "none";
	}

	if (autoBalanceB == "1") {
		document.getElementById("div_qos_auto").style.visibility = "visible";
		document.getElementById("div_qos_auto").style.display = style_display_on();

		if (autoBalance == "1") {
			document.QOSCtrl.chbAutoBalance.checked = true;
			document.QOSCtrl.autoBalance.value = "1";
		}
		else {
			document.QOSCtrl.chbAutoBalance.checked = false;
			document.QOSCtrl.autoBalance.value = "0";
		}
	}
	else {
		document.getElementById("div_qos_auto").style.visibility = "hidden";
		document.getElementById("div_qos_auto").style.display = "none";
	}

	showQosList();
}

function autoBalanceSwitch()
{
	if (document.QOSCtrl.chbAutoBalance.checked == true)
		document.QOSCtrl.autoBalance.value = "1";
	else
		document.QOSCtrl.autoBalance.value = "0";
}

</script>
 
</head>
 
<body onLoad="initValue();">

<div class="body_div">

<script language="javascript" type="text/javascript" > 
	writeHead(lang, ver, "qos_set", "qos_control");
</script>      
<table class="body" cellSpacing="0" cellPadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
    <td class="navi" valign="top">
      <script>writeNavi(lang, ver, "qos_set", "qos_control");</script>
    </td>
    <td class="left" align="center" valign="top">
    <script>writeReboot(rb);</script>
    <br />

  <script>
    if (1*qosEnbl >= 1)
      writeNoneExist(qosEnbl == "2", mAlertIPDisable, mBtnSetup, "/qos/qos_basic.asp");
  </script>

  <form method="post" name ="QOSCtrl" action="/goform/QOSControl" >
  <input type="hidden" id="QosListStr"  name="QosListStr" value="<% getCfgGeneral(1, "IpBwLimitList"); %>">  

  <table border="0" cellpadding="0" cellspacing="0" width="80%" id="div_qos_set">
  <tr><td><b style="color:red;"><script>putmsg(mWarning);</script>:</b>
    <span style="color:red;"><script>putmsg(mWarningQosSt);</script></span></td></tr>
  <tr>
    <td align="center">
    <script>
      document.writeln("<input type='button' class='button' value='"+mBtnSetup+"' onClick=\"gotoQoS();\">");
    </script>
    </td></tr>  	
  <tr><td>&nbsp;</td><td>&nbsp;</td></tr>
  </table>

   <fieldset id="hCntAdd" align="center" style="width:80%;">
	<legend><script>putmsg(mCntlAdd);</script></legend>
	
	<table border="0" align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	<tr>
         <td width="35%">&nbsp;</td>
         <td width="65%">&nbsp;</td>
	</tr> 
	<tr >
		<td class="head"><script>putmsg(mQosDesc);</script>:</td>
		<td><input type="text" id="Name" name="Name"  value="" size="20" maxlength="10"></td>
	</tr>
	<tr>
		<td class="head"><script>putmsg(mInetSip);</script>:</td>
		<td >
  		  <input type="text" size="16" maxlength="15" name="IPNo" id="IPNo">&nbsp;-&nbsp;
		  <input type="text" size="16" maxlength="15" name="IPNo2"  id="IPNo2">
		</td>
	</tr>
		
	<tr>
		<td class="head"><script>putmsg(mUpload);</script>:</td>
		<td >
		  <input type="text" size="16" maxlength="8" name="UploadBandWth" id="UploadBandWth">&nbsp;-&nbsp;
		  <input type="text" size="16" maxlength="8" name="UploadBandWth2" id="UploadBandWth2"><script>putmsg(mBandKbps);</script>&nbsp;
		</td>
	</tr>
         <tr>
		<td class="head"><script>putmsg(mLoad);</script>:</td>
		<td >
		  <input type="text" size="16" maxlength="8" name="loadBandWth" id="loadBandWth">&nbsp;-&nbsp;
		  <input type="text" size="16" maxlength="8" name="loadBandWth2" id="loadBandWth2"><script>putmsg(mBandKbps);</script>&nbsp;
		</td>
	</tr>
	</table>
	</fieldset>
      
	<table align="center" class="content">
	<tr >
		<td colspan="2"><script>
			document.write("<input type='button' class='button' value='"+mBtnAdd+"' onClick=\"onclickAdd();\">&nbsp;");
			document.write("<input type='reset' class='button' value='"+mBtnCancel+"' onClick=\"window.location.reload();\">&nbsp;");
	       </script></td>
	</tr>
	</table>

	<br /><br />

	<fieldset id="hRules" align="center" style="width:80%;">
	<legend><script>putmsg(mQosRuleList);</script></legend>
	<br />

	<table align="center" class="content" width="90%" cellspacing="1" cellpadding="3">
	<tr id="div_qos_auto"><td colspan="6">
		<input type="checkbox" name="chbAutoBalance" checked onClick="autoBalanceSwitch();">&nbsp;<script>putmsg(mQosAutoBalance);</script>
		<input type="hidden" name="autoBalance" value="1">
	</td></tr>
	<tr>
	    <td class="headLine" align="center"><script>putmsg(mIndex);</script></td>
	    <td class="headLine" align="center"><script>putmsg(mQosDesc);</script></td>
	    <td class="headLine" align="center"><script>putmsg(mIPField);</script></td>
	    <td class="headLine" align="center"><script>putmsg(mUpload);</script></td>
	    <td class="headLine" align="center"><script>putmsg(mLoad);</script></td>
	    <td class="headLine" align="center" id="enable"><script>putmsg(mBtnDel);</script>&nbsp;
	      <input type="checkbox" id="QOSEnbl_all" name="QOSEnbl_all" onClick="changeCheckBox();">&nbsp;
	    </td>
	</tr>
	  
	<script language="javascript" type="text/javascript">
		var i;
		
		for (i=0; i<qosMaxNum; i++) 
		{
			if (i%2)
				document.writeln("<tr id=\"QosListt"+i+"\" bgcolor=\""+listBg+"\">");
			else
				document.writeln("<tr id=\"QosListt"+i+"\">");
			document.writeln("<td align=\"center\" id=\"QosIdex"+i+"\"></td>");	
			document.writeln("<td align=\"center\" id=\"QosDesc"+i+"\"></td>");	
			document.writeln("<td align=\"center\" id=\"QosIPField"+i+"\"></td>");	
			document.writeln("<td align=\"center\" id=\"QosUpload"+i+"\"></td>");	
			document.writeln("<td align=\"center\" id=\"QosLoad"+i+"\"></td>");	
			document.writeln("<td align=\"center\"><input type=\"checkbox\" id=\"QOSEnbl_"+i+"\" name=\"QOSEnbl_"+i+"\">&nbsp;</td>");
			document.writeln("</tr>");
			
		}
	</script>
	</table>

	<br /><br />
	</fieldset>

	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
	<tr>
	    <td align="center"><script>
	        document.write("<input type='button' class='button' value='"+mBtnDel+" 'onClick=\"return delQosList();\">&nbsp;&nbsp;");
		document.write("<input type='submit' class='button' name='save' value='"+mBtnSave+"'>&nbsp;&nbsp;");
	        if (rb == 0)
		  document.write("<input type='submit' class='button' value='"+mBtnApply+"'>&nbsp;&nbsp;");
		document.write("<input type='reset' class='button' value='"+mBtnCancel+"' onClick=\"window.location.reload();\" >");
	   </script> </td>
	</tr>
	</table>

	<br /><br />
    </form>
  </td>
 
 
    <td class="help">
       <table class="help" cellPadding="3" cellSpacing="0">
	<tr id="helpHead"><td class="helpMenu"><script>putmsg(mHelp);</script></td></tr>
	<tr><td class="help-item"><script>putmsg(mQosCtlSet);</script></td></tr>
	<tr><td><script>putmsg(mIntroBwLimit);</script></td></tr>
	</table>
    </td>  
    <td class="right-blank">&nbsp;</td>
</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" > 
	writeFooter(lang);
</script> 

</div> 

</body>
</html>
 
